<?php
// $Id: ShowInvoiceSheet.php 10474 2007-01-11 23:58:14Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

// Remove the time limit b/c this report can take more than 30 seconds to generate.
// A new way to generate this report may be needed soon.
set_time_limit(0);

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-modernbill/include/accounting/Accounting.php");

/**
 * This class is a child class of MB_Action. It displays the Balance Sheet
 *
 * @author  Kris Bailey
 */
class ShowInvoiceSheet extends MB_Action {

	function ShowInvoiceSheet() {
		parent::MB_Action();

		$this->stringRep = "ShowInvoiceSheet";

	}

	function execute() {
		global $CONF;
		parent::execute();

		require_once mb_path("/app-modernbill-api/include/lib-action/api/GetReportDailyInvoices.php");

		$r =& new GetReportDailyInvoices();
		$this->smartyVars = $r->getReportData();
		
		$this->addTemplate("accounting/ShowInvoiceSheet");

	} // execute
} // MB_Action
?>
















