<?php
// $Id: ShowSignupSheetContainer.php 10474 2007-01-11 23:58:14Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

// Remove the time limit b/c this report can take more than 30 seconds to generate.
// A new way to generate this report may be needed soon.
set_time_limit(0);

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-modernbill/include/accounting/Accounting.php");

/**
 * @author  Michael Fountain
 */
class ShowSignupSheetContainer extends MB_Action {

	function ShowSignupSheetContainer() {
		parent::MB_Action();
		$this->stringRep = "ShowSignupSheetContainer";
	}

	function execute() {
		global $CONF;
		parent::execute();

		$this->smartyVars["signupSheetBeginMonth"] = $_REQUEST["signupSheetBeginMonth"];
		$this->smartyVars["signupSheetBeginDay"] = $_REQUEST["signupSheetBeginDay"];
		$this->smartyVars["signupSheetBeginYear"] = $_REQUEST["signupSheetBeginYear"];
		$this->smartyVars["signupSheetEndMonth"] = $_REQUEST["signupSheetEndMonth"];
		$this->smartyVars["signupSheetEndDay"] = $_REQUEST["signupSheetEndDay"];
		$this->smartyVars["signupSheetEndYear"] = $_REQUEST["signupSheetEndYear"];

		$this->addTemplate("accounting/ShowSignupSheetContainer");

	} // execute
} // MB_Action
?>
