<?php
// $Id: CreateVendorUser.php 10495 2007-01-17 00:42:58Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");

class CreateVendorUser extends MB_Action {
	function CreateVendorUser() {
		parent::MB_Action();
		$this->stringRep = "CreateVendorUser";
	}
	
	function execute() {
		global $CONF;
		
		$this->smartyVars = array(
			"username" => $_REQUEST["username"],
			"password" => $_REQUEST["password"],
			"vendorName" => $_REQUEST["vendorName"],
			"vendorReturnURL" => rawurlencode($_REQUEST["vendorReturnURL"]),
		);
		
		$this->addTemplate("admins/CreateVendorUser", $this->smartyVars, 1);
	}
}
?>
