<?php
// $Id: CreateVendorUserResponse.php 11737 2007-08-03 21:33:01Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");

class CreateVendorUserResponse extends MB_Action {
	function CreateVendorUserResponse() {
		parent::MB_Action();
		$this->stringRep = "CreateVendorUserResponse";
	}
	
	function execute() {
		global $CONF;
		
		if ($_REQUEST["username"] && $_REQUEST["password"] && $_REQUEST["vendorName"]){
		
			$this->smartyVars["adminID"] = $adminID = insertFor(":admins", array(
				"adminFirstName" => $_REQUEST["vendorName"],
				"adminLastName" => TRANS_VENDOR,
				"adminUsername" => $_REQUEST["username"],
				"adminPassword" => $_REQUEST["password"],
				"adminActive" => 1,
				"themeID" => $CONF["user"]["adminData"]["themeID"][0],
				"languageID" => $CONF["user"]["adminData"]["languageID"][0],
				"countriesID" => $CONF["user"]["adminData"]["countriesID"][0],
			));
			
			if (!($group = IDOf(":adminGroups", array("adminGroupName" => "MARKETPLACE VENDORS")))){
				dbg(dispatchMBAPI($cmd = toXML(array(
					"mbapi" => array(
						"command" => "SetAdminGroups",
						"subCommand" => "insert",
						"params" => array(
							"adminGroupName" => "MARKETPLACE VENDORS",
							"adminIDs" => array(
								"adminID" => array(
									$adminID,
								),
							),
							"actionNames" => array(
								"actionName" => array(
									"SyncSellerInventory",
									"UpdateSellerStatus",
									"SendSellerMessage",
									"UpdateVendorInformation",
									"GetCompanyInformation",
								),
							),
						),
					),
				)), 1));
				dbg($cmd);
			} else {
				dbg(dispatchMBAPI($cmd = toXML(array(
					"mbapi" => array(
						"command" => "SetAdminGroups",
						"subCommand" => "update",
						"params" => array(
							"adminGroupID" => $group,
							"adminIDs" => array(
								"adminID" => array(
									$adminID,
								),
							),
						),
					),
				)), 1));
				dbg($cmd);
			}
		
		}
		
		if ($_REQUEST["vendorReturnURL"]){
			mbHeader("Location: ".rawurldecode($_REQUEST["vendorReturnURL"]));
		} else {
			$this->addTemplate("admins/CreateVendorUserResponse");
		}
		
	}
}
?>
