<?php
// $Id: RemoveBillingAccountResponse.php 11070 2007-04-30 20:51:12Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";

class RemoveBillingAccountResponse extends RemoveResponseAction {
	function RemoveBillingAccountResponse() {
		parent::RemoveResponseAction();
		$this->stringRep = "RemoveBillingAccountResponse";
		$this->d =& new DataSource("billingAccounts");
	}
	
	function setReferral() {
		$this->setReferralActionID(getActionID("RemoveBillingAccount"));
		$this->setReferralActionFile($this->d->getEntry("names", "file") . ".php");
	}

	function removeResponseParamHandler() {
		$this->deactivatable = false;
		$billingAccountID = (int)$_REQUEST["billingAccountID"];
		if ($billingAccountID){
			$shares = arrayFor(":clientBillingAccountShares", array("billingAccountID" => $billingAccountID));
			foreach ($shares as $share){
				updateForKey(":clientBillingAccountShares", $share["billingAccountShareID"], array(
					"billingAccountShareValue" => "0",
				));
			}
		}
		return true;
	}
}
?>
