<?php
// $Id: RemoveClientNoteResponse.php 10474 2007-01-11 23:58:14Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";

/**
 * @author  Michael Fountain
 */
class RemoveClientNoteResponse extends MB_Action {

	function RemoveClientNoteResponse() {
		parent::MB_Action();
		$this->stringRep = "RemoveClientNoteResponse";

		// set all possible xml params here, $_REQUEST is already cleaned
		$this->params = array
		(
			"clientID",
			"clientNoteID"
		);
	}

	function execute() {
		global $CONF;
		parent::execute();

		// create sanatized xml command
		$cmd = "
<mbapi>
	<command>SetClients</command>
	<subCommand>update</subCommand>
	<params>
		<clientID>".$_REQUEST["clientID"]."</clientID>
		<removeClientNoteIDs>
			<clientNoteID>".$_REQUEST["clientNoteID"]."</clientNoteID>
		</removeClientNoteIDs>
	</params>
</mbapi>
		";
		$data = dispatchMBAPI($cmd, 1);
		$results =& $data["mbapi"][0]["results"][0];

		redirect("clients.php", getActionID("ManageClientNotes"), array("clientID"=>$_REQUEST["clientID"]));

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();

	}

} // MB_Action
?>
