<?php
// $Id: ShowDashboard.php 8633 2006-09-04 03:55:29Z mfountain $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This Action shows the intro for the first time log in
 *
 * @author  Kris Bailey
 */

class FirstTimeIntroduction extends MB_Action {

	/**
	 */
	function FirstTimeIntroduction() {
		parent::MB_Action();
		$this->stringRep = "FirstTimeIntroduction";
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();

		if ($_REQUEST["dontShow"]==1){
			$CONF["system"]["internal"]["suppressFirstTimeWizard"] = 1;
			storeConfigs("system", "internal");
			redirect("dashboard.php", "ShowDashboard");
			exit;
		}

		if ($_REQUEST["agree"]==1){
			$CONF["system"]["internal"]["hasEULA"] = 1;
			storeConfigs("system", "internal");
		}

		$this->smartyVars["hasEULA"] = $CONF["system"]["internal"]["hasEULA"];

		$this->addTemplate("configs/FirstTimeIntroduction");

		return $this->hasExecutedSuccessfully();
	}
} // FirstTimeIntroduction
?>
