<?php
// $Id: PurgeDbgPageloads.php 9487 2006-10-12 17:54:33Z mfountain $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * @author Michael Fountain
 */
class PurgeDbgPageloads extends MB_Action {
	/**
	 */
	function PurgeDbgPageloads() {
		parent::MB_Action();
		$this->stringRep = "PurgeDbgPageloads";
        $this->params = array("debugToLog");
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();

		purgeDbgPageloads();
		purgeDbgEntries();

		redirect("events.php", getActionID("ShowDbgPageloads"), array("completed"=>1));

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // PurgeDbgPageloads
?>
