<?php
// $Id: AddFAQCategory.php 6965 2006-05-19 20:58:44Z bsmith $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This action displays the form to add a new FAQ category.
 *
 * @author  Mark Garrett
 */
class AddFAQCategory extends MB_Action {
	/**
	 * The constructor for a AddFAQCategory action object. This merely calls the parent constructor,
	 * and sets the string representation of this object. This method also sets up $this->params and
	 * $this->sortColumns for use in $this->getMBAPIQuery().
	 */
	function AddFAQCategory() {
		parent::MB_Action();
		$this->stringRep = "AddFAQCategory";
	}

	/**
	 * The main method of this class that executes the AddFAQCategory action, and returns success or failure.
	 *
	 * @return  1 if this action executed successfully, or 0 if otherwise.
	 */
	function execute() {
		global $CONF;
		parent::execute();

		$smartyVars = array();
		// Set the templete for output
		$smartyVars["faqCategoryTypes"] = getStatuses( "faqs" );
		$smartyVars["addAdditionalFAQCategory"] = 0;
		if((int) $_REQUEST["addAdditionalFAQCategory"]) {
			$smartyVars["addAdditionalFAQCategory"] = 1;
		}
		$this->addTemplate("faqs/AddFAQCategory", $smartyVars, 1);

		return $this->hasExecutedSuccessfully();
	}
} // AddFAQCategory
?>