<?php
// $Id: ShowWizardQuestions.php 12179 2007-11-05 16:30:13Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/genericactions.php");
require_once mb_path("/lib-action/include/wizard/questions.php");

class ShowWizardQuestions extends ShowAction {
	function ShowWizardQuestions() {
		parent::ShowAction();
		$this->stringRep = "ShowWizardQuestions";
		$this->setDataSource(
			new DataSource(
				"questions",
				array(
					"questionParams" => array(
						"questionParamValues" => array(),
					),
				)
			)
		);
	}

	function ShowHandler() {
		$s =& $this->d->getSubject();
		$questions = $s->getEssential();
		/*
		echo '<pre>';
		print_r($questions);
		echo '</pre>';
		*/
		$questionInfo = array();
		foreach($questions as $question) {
			$q =& new Questions(array($question));
			$questionID = $q->questions[0]["questionID"];
			$questionInfo[$questionID] = array(
				"name" => $question["questionDisplayName"],
				"html" => $q->getHTML(),
			);
		}
		$this->smartyVars["questionInfo"] = $questionInfo;
		/*
		echo '<pre>';
		print_r($questionHTML);
		echo '</pre>';
		*/
		$this->mergeSystemNavData();
	}
}

?>
