<?php
// $Id: DowngradePackageResponse.php 12256 2007-11-19 17:42:33Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-action/packages/UpgradeDowngradeAction.php");

/**
 * This upgrades a package based on request variables submitted from the previous page.
 *
 * @author  Kris Bailey
 */
class DowngradePackageResponse extends UpgradeDowngradeAction {
	/**
	 * The constructor for a DowngradePackageResponse action object. 
	 */
	function DowngradePackageResponse() {
		parent::UpgradeDowngradeAction();
		$this->stringRep = "DowngradePackageResponse";
		$this->constants = array(
			"TRANS_PRORATED_X_FEE" => TRANS_PRORATED_DOWNGRADE_FEE,
			"TRANS_ITEMIZED_X_CREDITS" => TRANS_ITEMIZED_DOWNGRADE_CREDITS,
			"TRANS_PACKAGE_X" => TRANS_PACKAGE_DOWNGRADE,
			"TRANS_PACKAGE_X_DESC" => TRANS_PACKAGE_DOWNGRADE_DESC,
			"TRANS_PACKAGE_ADDON_X" => TRANS_PACKAGE_ADDON_DOWNGRADE,
			"TRANS_PACKAGE_ADDON_X_DESC" => TRANS_PACKAGE_ADDON_DOWNGRADE_DESC,
			"TRANS_X_FEE" => TRANS_DOWNGRADE_FEE,
		);
		$this->subCommand = "panelDowngrade";
		$this->params = array("packageID");
	}

} // DowngradePackageResponse
?>
