<?php
// $Id: AddCoupon.php 10474 2007-01-11 23:58:14Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";

/**
 * @author  Ben Woolley
 */
class AddCoupon extends MB_Action {

	function AddCoupon() {
		parent::MB_Action();
		$this->stringRep = "AddCoupon";
		$this->params = array();
	}

	function execute() {
		global $CONF;
		parent::execute();

		$this->formDefaults["couponDateStarted"] = mktime();
		$this->setupDateSelector("couponDateStarted");
		$this->formDefaults["couponDateEnded"] = mktime();
		$this->setupDateSelector("couponDateEnded");
		$this->mergeFormState();

		$this->smartyVars['couponTypes'] = $CONF['types']['coupon'];
		
		$this->smartyVars["selectableOrderForms"] = grabHTMLOpsFromArray(grabResultsFromMBAPIArray(array(
			"mbapi" => array(
				"command" => "GetOrderForms",
				"params" => array(
				),
			),
		)), "orderFormID", "orderFormName");
	
		$this->smartyVars["selectableProducts"] = grabHTMLOpsFromArray(grabResultsFromMBAPIArray(array(
			"mbapi" => array(
				"command" => "GetProducts",
				"params" => array(
				),
			),
		)), "productID", "productName");
	
		//echo '<pre>';
		//print_r($this->smartyVars);
		//echo '</pre>';
		$this->addTemplate("products/AddCoupon");


		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // MB_Action
?>
