<?php
// $Id: CloneProductResponse.php 10474 2007-01-11 23:58:14Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";


class CloneProductResponse extends SourceAction {
	function CloneProductResponse() {
		parent::SourceAction();
		$this->stringRep = "CloneProductResponse";
	}

	function execute() {
		do {
			if($newProductID = cloneForKey("products", (int) $_REQUEST["productID"])) {

				// fetch the new cloned product
				$product = arrayFor("products", array("productID" => $newProductID));

				// update the cloned product name
				dispatchMBAPI(toXML(array(
					"mbapi" => array(
						"command" => "SetProducts",
						"subCommand" => "update",
						"params" => array(
							"productID" => $newProductID,
							"productName" => TRANS_CLONE.": ".$product[0]["productName"]
						)
					)
				)));

				redirect("products.php", "ShowProductDetails", array("productID" => $newProductID, "cloned" => 1));
			} else {
				$this->addError(TRANS_ACTIONERROR, "Failure cloning product.");
			}

		} while(0);
		$this->addErrorTemplates();
	}
}

?>
