
{t c="TRANS_BILLED_SERVER_REVENUE" d="Billed Server Revenue"}
{t c="TRANS_GENERATE_BILLED_REVENUE_FOR" d="Generate Billed Revenue For"}
{t c="TRANS_SERVER_ID" d="Server ID"}
{t c="TRANS_TOTAL_PACKAGES" d="Total Packages"}
{t c="TRANS_LAST_THIRTY_DAYS" d="Last Thirty Days"}
{t c="TRANS_BILLED_SERVER_REVENUE_FOR_PERIOD" d="Billed Server Revenue For Period"}


{****** make sure you create your parameters section ******}

{if $parametersOnly==1}
	<strong>{$smarty.const.TRANS_GENERATE_BILLED_REVENUE_FOR}:</strong>
	<ul>
		<li><a href="{getHREF page="reports.php" actionName="ShowReportContainer" args="reportName=`$reportInfo.reportName`&bsrBeginDay=`$thirtyDaysStart.0`&bsrBeginMonth=`$thirtyDaysStart.1`&bsrBeginYear=`$thirtyDaysStart.2`&bsrEndDay=`$thirtyDaysEnd.0`&bsrEndMonth=`$thirtyDaysEnd.1`&bsrEndYear=`$thirtyDaysEnd.2`"}">{$smarty.const.TRANS_LAST_THIRTY_DAYS}: {$thirtyDaysStartTime|getDate:short} - {$thirtyDaysEndTime|getDate:short}</a> <a target="_BLANK" href="{getHREF page="reports.php" actionName="ShowReportDetails" args="reportName=`$reportInfo.reportName`&bsrBeginDay=`$thirtyDaysStart.0`&bsrBeginMonth=`$thirtyDaysStart.1`&bsrBeginYear=`$thirtyDaysStart.2`&bsrEndDay=`$thirtyDaysEnd.0`&bsrEndMonth=`$thirtyDaysEnd.1`&bsrEndYear=`$thirtyDaysEnd.2`"}">[{$smarty.const.TRANS_PRINT}]</a></li>
		<li>{$smarty.const.TRANS_DATE_RANGE}:
			<form method="GET" action="reports.php">
				<input type="hidden" name="sid" value="{$sid}" />
				<input type="hidden" name="action" value="{getActionID action="ShowReportContainer"}" />
				<input type="hidden" name="reportName" value="{$reportInfo.reportName}" />
					<strong>{$smarty.const.TRANS_FROM}:</strong>
					{html_select_locale_date start_year=1993 end_year=2029 prefix="bsrBegin" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="bsrBegin" value=" ... " />
					&nbsp;
					<strong>{$smarty.const.TRANS_TO}:</strong>
					{html_select_locale_date start_year=1993 end_year=2029 prefix="bsrEnd" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="bsrEnd" value=" ... " />
				<br />
				<input type="submit" class="submit" value="{$smarty.const.TRANS_GENERATE}" />
			</form>
				<script type="text/javascript">
					{literal}
					function bsrBeginSelect(cal) {
						var date = cal.date;
						var selectMonth = document.getElementById("bsrBeginMonth");
						selectMonth.selectedIndex = date.getMonth();
						var selectDay = document.getElementById("bsrBeginDay");
						selectDay.selectedIndex = (date.getDate() - 1);
						var selectYear = document.getElementById("bsrBeginYear");
						selectYear.value = date.getFullYear();
					}
					Zapatec.Calendar.setup({
						button         :    "bsrBegin",
						onUpdate       :     bsrBeginSelect,
						showsTime      :     false
					});
					function bsrEndSelect(cal) {
						var date = cal.date;
						var selectMonth = document.getElementById("bsrEndMonth");
						selectMonth.selectedIndex = date.getMonth();
						var selectDay = document.getElementById("bsrEndDay");
						selectDay.selectedIndex = (date.getDate() - 1);
						var selectYear = document.getElementById("bsrEndYear");
						selectYear.value = date.getFullYear();
					}
					Zapatec.Calendar.setup({
						button		:	"bsrEnd",
						onUpdate	:	bsrEndSelect,
						showsTime	:	false
					});
					{/literal}
				</script>
		</li>
	</ul>
{elseif $revenueTotals}
{****** end parameters section, start report template section ******}
	
	<h1 style="text-align:center;">{$smarty.const.TRANS_BILLED_SERVER_REVENUE_FOR_PERIOD}: {$startTime|getDate:short} {$smarty.const.TRANS_THROUGH} {$endTime|getDate:short}</h1>
	
	
	<table id="sortTable" width="100%" class="list" cellspacing="0" cellpadding="0">
		<thead>
		<tr class="headerRow smallTableHeader">
			<td class="firstTD" width="100">{$smarty.const.TRANS_SERVER_ID}</td>
			<td>{$smarty.const.TRANS_SERVER_NAME}</td>
			<!-- <td>{$smarty.const.TRANS_TOTAL_PACKAGES}</td> -->
			<td class="lastTD" style="text-align: right;">{$smarty.const.TRANS_REVENUE}</td>
		</tr>
		</thead>
		<tbody>
		{foreach item="server" key="i" from=$revenueTotals}
			<tr class="{cycle values="alt1,alt2"}">
				<td>{$server.serverID}</td>
				<td>{$server.serverName}</td>
				<!-- <td width="75" align="right">
					{foreach item="totals" key="currencyID" from=$server.currencies.0}
						{$totals.0.numPackages}<br />
					{/foreach}
				</td> -->
				<td width="100" align="right">
					{foreach item="totals" key="currencyID" from=$server.currencies.0}
						{$totals.0.revTotal|getAmount:$currencyID}<br />
					{/foreach}
				</td>
			</tr>
		{foreachelse}
			<tr>
				<td colspan="3"><em>{$smarty.const.TRANS_NONE}</em></td>
			</tr>
		{/foreach}
		</tbody>
	</table>
	
{/if}
