
{t c="TRANS_NEXT_SEVEN_DAYS" d="Next Seven Days"}
{t c="TRANS_NEXT_THIRTY_DAYS" d="Next Thirty Days"}
{t c="TRANS_GENERATE_ERR_FOR" d="Generate Expected Revenue Report For"}
{t c="TRANS_DATE_RANGE" d="Date Range"}
{t c="TRANS_WITH_DUE_OPTION" d="With Due Option"}

{t c="TRANS_ERR_FOR_PERIOD" d="Expected Revenue Report For Period"}
{t c="TRANS_PRODUCT_TOTALS" d="Product Totals"}

{t c="TRANS_NO_DATA_IN_PERIOD" d="No data in period"}

{t c="TRANS_PRODUCT_USAGE_TOTALS" d="Product Usage Totals"}
{t c="TRANS_SORRY_YOU_HAVE_TO_MANY_CLIENTS_TO_RUN_THIS_REPORT" d="Sorry, you have to many clients to run this report."}


{****** make sure you create your parameters section ******}

{if $parametersOnly==1}
	{if $smarty.const.numClients<2501}
		<strong>{$smarty.const.TRANS_GENERATE_ERR_FOR}:</strong>
		<ul>
			<li>
				<a href="{getHREF page="reports.php" actionName="ShowReportContainer" args="reportName=`$reportInfo.reportName`&errBeginDay=`$sevenDaysStart.0`&errBeginMonth=`$sevenDaysStart.1`&errBeginYear=`$sevenDaysStart.2`&errEndDay=`$sevenDaysEnd.0`&errEndMonth=`$sevenDaysEnd.1`&errEndYear=`$sevenDaysEnd.2`"}">{$smarty.const.TRANS_NEXT_SEVEN_DAYS}: {$sevenDaysStartTime|getDate:short} - {$sevenDaysEndTime|getDate:short}</a> <a target="_BLANK" href="{getHREF page="reports.php" actionName="ShowReportDetails" args="reportName=`$reportInfo.reportName`&errBeginDay=`$sevenDaysStart.0`&errBeginMonth=`$sevenDaysStart.1`&errBeginYear=`$sevenDaysStart.2`&errEndDay=`$sevenDaysEnd.0`&errEndMonth=`$sevenDaysEnd.1`&errEndYear=`$sevenDaysEnd.2`"}">[{$smarty.const.TRANS_PRINT}]</a>
				- <a href="{getHREF page="reports.php" actionName="ShowReportContainer" args="reportName=`$reportInfo.reportName`&errBeginDay=`$sevenDaysStart.0`&errBeginMonth=`$sevenDaysStart.1`&errBeginYear=`$sevenDaysStart.2`&errEndDay=`$sevenDaysEnd.0`&errEndMonth=`$sevenDaysEnd.1`&errEndYear=`$sevenDaysEnd.2`&dueInRange=1"}">{$smarty.const.TRANS_WITH_DUE_OPTION}</a> <a target="_BLANK" href="{getHREF page="reports.php" actionName="ShowReportDetails" args="reportName=`$reportInfo.reportName`&errBeginDay=`$sevenDaysStart.0`&errBeginMonth=`$sevenDaysStart.1`&errBeginYear=`$sevenDaysStart.2`&errEndDay=`$sevenDaysEnd.0`&errEndMonth=`$sevenDaysEnd.1`&errEndYear=`$sevenDaysEnd.2`&dueInRange=1"}">[{$smarty.const.TRANS_PRINT} {$smarty.const.TRANS_WITH_DUE_OPTION}]</a>
			</li>
			<li>
				<a href="{getHREF page="reports.php" actionName="ShowReportContainer" args="reportName=`$reportInfo.reportName`&errBeginDay=`$thirtyDaysStart.0`&errBeginMonth=`$thirtyDaysStart.1`&errBeginYear=`$thirtyDaysStart.2`&errEndDay=`$thirtyDaysEnd.0`&errEndMonth=`$thirtyDaysEnd.1`&errEndYear=`$thirtyDaysEnd.2`"}">{$smarty.const.TRANS_NEXT_THIRTY_DAYS}: {$thirtyDaysStartTime|getDate:short} - {$thirtyDaysEndTime|getDate:short}</a> <a target="_BLANK" href="{getHREF page="reports.php" actionName="ShowReportDetails" args="reportName=`$reportInfo.reportName`&errBeginDay=`$thirtyDaysStart.0`&errBeginMonth=`$thirtyDaysStart.1`&errBeginYear=`$thirtyDaysStart.2`&errEndDay=`$thirtyDaysEnd.0`&errEndMonth=`$thirtyDaysEnd.1`&errEndYear=`$thirtyDaysEnd.2`"}">[{$smarty.const.TRANS_PRINT}]</a>
				- <a href="{getHREF page="reports.php" actionName="ShowReportContainer" args="reportName=`$reportInfo.reportName`&errBeginDay=`$thirtyDaysStart.0`&errBeginMonth=`$thirtyDaysStart.1`&errBeginYear=`$thirtyDaysStart.2`&errEndDay=`$thirtyDaysEnd.0`&errEndMonth=`$thirtyDaysEnd.1`&errEndYear=`$thirtyDaysEnd.2`&dueInRange=1"}">{$smarty.const.TRANS_WITH_DUE_OPTION}</a> <a target="_BLANK" href="{getHREF page="reports.php" actionName="ShowReportDetails" args="reportName=`$reportInfo.reportName`&errBeginDay=`$thirtyDaysStart.0`&errBeginMonth=`$thirtyDaysStart.1`&errBeginYear=`$thirtyDaysStart.2`&errEndDay=`$thirtyDaysEnd.0`&errEndMonth=`$thirtyDaysEnd.1`&errEndYear=`$thirtyDaysEnd.2`&dueInRange=1"}">[{$smarty.const.TRANS_PRINT} {$smarty.const.TRANS_WITH_DUE_OPTION}]</a>
			</li>
			<li>{$smarty.const.TRANS_DATE_RANGE}:
				<form method="GET" action="reports.php">
					<input type="hidden" name="sid" value="{$sid}" />
					<input type="hidden" name="action" value="{getActionID action="ShowReportContainer"}" />
					<input type="hidden" name="reportName" value="{$reportInfo.reportName}" />
						<strong>{$smarty.const.TRANS_FROM}:</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="errBegin" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="errBegin" value=" ... " />
						&nbsp;
						<strong>{$smarty.const.TRANS_TO}:</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="errEnd" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="errEnd" value=" ... " />
					<br />
					<input type="checkbox" value="1" name="dueInRange" id="dueInRange" /> <label for="dueInRange">{$smarty.const.TRANS_WITH_DUE_OPTION}</label><br />
					<input type="submit" class="submit" value="{$smarty.const.TRANS_GENERATE}" />
				</form>
					<script type="text/javascript">
						{literal}
						function errBeginSelect(cal) {
							var date = cal.date;
							var selectMonth = document.getElementById("errBeginMonth");
							selectMonth.selectedIndex = date.getMonth();
							var selectDay = document.getElementById("errBeginDay");
							selectDay.selectedIndex = (date.getDate() - 1);
							var selectYear = document.getElementById("errBeginYear");
							selectYear.value = date.getFullYear();
						}
						Zapatec.Calendar.setup({
							button         :    "errBegin",
							onUpdate       :     errBeginSelect,
							showsTime      :     false
						});
						function errEndSelect(cal) {
							var date = cal.date;
							var selectMonth = document.getElementById("errEndMonth");
							selectMonth.selectedIndex = date.getMonth();
							var selectDay = document.getElementById("errEndDay");
							selectDay.selectedIndex = (date.getDate() - 1);
							var selectYear = document.getElementById("errEndYear");
							selectYear.value = date.getFullYear();
						}
						Zapatec.Calendar.setup({
							button		:	"errEnd",
							onUpdate	:	errEndSelect,
							showsTime	:	false
						});
						{/literal}
					</script>
			</li>
		</ul>
	{else}
		{$smarty.const.TRANS_SORRY_YOU_HAVE_TO_MANY_CLIENTS_TO_RUN_THIS_REPORT}
	{/if}
{elseif $totals}
{****** end parameters section, start report template section ******}

<br />
<blockquote>
	<h3 style="text-align: center;">{$smarty.const.TRANS_ERR_FOR_PERIOD}: {$startTime|getDate:short} {$smarty.const.TRANS_THROUGH} {$endTime|getDate:short}</h3>
	<br />
	<h5 style="margin-bottom: 5px;">{$smarty.const.TRANS_TOTALS}</h5>
	<table class="ledger">
		<tr>
			<th>{$smarty.const.TRANS_CURRENCY}</th>
			<th>{$smarty.const.TRANS_AMOUNT}</th>
		</tr>
		{foreach key="currencyID" item="amt" from=$totals}
			<tr>
				<td>{$currencyID}</td>
				<td align="right">{$amt|getAmount:" "}</td>
			</tr>
		{/foreach}
	</table>
	
	{if $productTotals}
	<br />
	<br />
	<h5 style="margin-bottom: 5px;">{$smarty.const.TRANS_PRODUCT_TOTALS}</h5>
	<table class="ledger">
		<tr>
			<th>{$smarty.const.TRANS_PRODUCT}</th>
			<th>{$smarty.const.TRANS_AMOUNT}</th>
			<th>%</th>
		</tr>
	{foreach key="currencyID" item="prods" from=$productTotals}
		<tr class="total">
			<td colspan="3">{$currencyID}</td>
		</tr>
		{foreach key="productID" item="amt" from=$prods}
			{if $amt>0}
			<tr>
				<td class="green"><a href="{getHREF actionName="ShowProductDetails" page="products.php" args="productID=`$productID`"}">({$productID}) {$productNames.$productID}</a></td>
				<td class="green" align="right">{$amt|getAmount:$currencyID}</td>
				<td valign="middle">
					{include file="$tplDirectory/widgets/miniProgressBar.tpl"
						containerWidth="100"
						containerColor="#CCCCCC"
						barWidth=$amt*100/$productTotalAmount.$currencyID|ceil}
				</td>
			</tr>
			{/if}
		{/foreach}
	{/foreach}
	</table>
	{/if}
	
	{if $usageTotals}
	<br />
	<br />
	<h5 style="margin-bottom: 5px;">{$smarty.const.TRANS_PRODUCT_USAGE_TOTALS}</h5>
	<table class="ledger">
		<tr>
			<th>{$smarty.const.TRANS_PRODUCT}</th>
			<th>{$smarty.const.TRANS_AMOUNT}</th>
			<th>%</th>
		</tr>
	{foreach key="currencyID" item="prods" from=$usageTotals}
		<tr class="total">
			<td colspan="3">{$currencyID}</td>
		</tr>
		{foreach key="productID" item="amt" from=$prods}
			{if $amt>0}
			<tr>
				<td class="green"><a href="{getHREF actionName="ShowProductDetails" page="products.php" args="productID=`$productID`"}">({$productID}) {$productNames.$productID}</a></td>
				<td class="green" align="right">{$amt|getAmount:$currencyID}</td>
				<td valign="middle">
					{include file="$tplDirectory/widgets/miniProgressBar.tpl"
						containerWidth="100"
						containerColor="#CCCCCC"
						barWidth=$amt*100/$usageTotalAmount.$currencyID|ceil}
				</td>
			</tr>
			{/if}
		{/foreach}
	{/foreach}
	</table>
	{/if}
	
</blockquote>

{elseif $smarty.const.numClients>2500}

<br /><br />
<center>
		{$smarty.const.TRANS_SORRY_YOU_HAVE_TO_MANY_CLIENTS_TO_RUN_THIS_REPORT}
</center>

{else}

<br /><br />
<center>
	{$smarty.const.TRANS_NO_DATA_IN_PERIOD}
</center>

{/if}