<?php

$CONF["reportData"]["Transactions.CustomerPayments"] = array(
	"version" => "1.0",
	"template" => dirname(__FILE__)."/Transactions.CustomerPayments.tpl",
	"name" => "Customer Payments",
	"description" => "This report will tell you each of the payments made in a given time period and who made them.",
);


class MB_Report_CustomerPayments {

	function MB_Report_CustomerPayments(){
		// constructor, nothing necessary in here I guess
	}

	function getData($params){
		global $CONF;
		
		$ret = $this->getParamData($params);
		
		if (!(int)$ret["displayParams"]){
			require_once mb_path("/app-modernbill-api/include/lib-action/api/GetReportCustomerPaymentsByDate.php");
			$r =& new GetReportCustomerPaymentsByDate();
			$ret = $ret + (array)$r->getReportData();
		}
		
		$ret["paymentTypes"] = $CONF["types"]["payments"];
		$ret["paymentStatuses"] = $CONF["statuses"]["transactions"];
		
		return $ret;
	}
	
	function getParamData($params=array()){
		
		$ret = array();
		
		$ret["displayParams"] = ((int)$params["cpBeginMonth"])?0:1;
		
		$ret["thirtyDaysStart"] = explode("/", date("d/m/Y", $ret["thirtyDaysStartTime"] = (time()-(60*60*24*30)-(time()%(60*60*24)))) );
		$ret["thirtyDaysEnd"] = explode("/", date("d/m/Y", $ret["thirtyDaysEndTime"] = ($ret["thirtyDaysStartTime"] + (60*60*24*30) - 1)));
		
		return $ret;
	
	}

}