
{t c="TRANS_PAYMENTS_BY_PAYMENT_TYPE" d="Payments By Payment Type"}
{t c="TRANS_TOTAL_TRANSACTIONS" d="Total Packages"}
{t c="TRANS_LAST_THIRTY_DAYS" d="Last Thirty Days"}
{t c="TRANS_PAYMENTS_FOR_PERIOD" d="Payments For Period"}
{t c="TRANS_GET_PAYMENTS_FOR" d="Get Payments For"}
{t c="TRANS_NUMSIGN" d="#"}
{t c="TRANS_RECEIVED" d="Received"}
{t c="TRANS_CURR" d="Curr"}
{t c="TRANS_CAUSE" d="Cause"}
{t c="TRANS_CUSTOMER" d="Customer"}

{****** make sure you create your parameters section ******}

{if $parametersOnly==1}
	<strong>{$smarty.const.TRANS_GET_PAYMENTS_FOR}:</strong>
	<ul>
		<li><a href="{getHREF page="reports.php" actionName="ShowReportContainer" args="reportName=`$reportInfo.reportName`&cpBeginDay=`$thirtyDaysStart.0`&cpBeginMonth=`$thirtyDaysStart.1`&cpBeginYear=`$thirtyDaysStart.2`&cpEndDay=`$thirtyDaysEnd.0`&cpEndMonth=`$thirtyDaysEnd.1`&cpEndYear=`$thirtyDaysEnd.2`"}">{$smarty.const.TRANS_LAST_THIRTY_DAYS}: {$thirtyDaysStartTime|getDate:short} - {$thirtyDaysEndTime|getDate:short}</a> <a target="_BLANK" href="{getHREF page="reports.php" actionName="ShowReportDetails" args="reportName=`$reportInfo.reportName`&cpBeginDay=`$thirtyDaysStart.0`&cpBeginMonth=`$thirtyDaysStart.1`&cpBeginYear=`$thirtyDaysStart.2`&cpEndDay=`$thirtyDaysEnd.0`&cpEndMonth=`$thirtyDaysEnd.1`&cpEndYear=`$thirtyDaysEnd.2`"}">[{$smarty.const.TRANS_PRINT}]</a></li>
		<li>{$smarty.const.TRANS_DATE_RANGE}:
			<form method="GET" action="reports.php">
				<input type="hidden" name="sid" value="{$sid}" />
				<input type="hidden" name="action" value="{getActionID action="ShowReportContainer"}" />
				<input type="hidden" name="reportName" value="{$reportInfo.reportName}" />
					<strong>{$smarty.const.TRANS_FROM}:</strong>
					{html_select_locale_date start_year=1993 end_year=2029 prefix="cpBegin" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="cpBegin" value=" ... " />
					&nbsp;
					<strong>{$smarty.const.TRANS_TO}:</strong>
					{html_select_locale_date start_year=1993 end_year=2029 prefix="cpEnd" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="cpEnd" value=" ... " />
				<br />
				<input type="submit" class="submit" value="{$smarty.const.TRANS_GENERATE}" />
			</form>
				<script type="text/javascricp">
					{literal}
					function cpBeginSelect(cal) {
						var date = cal.date;
						var selectMonth = document.getElementById("cpBeginMonth");
						selectMonth.selectedIndex = date.getMonth();
						var selectDay = document.getElementById("cpBeginDay");
						selectDay.selectedIndex = (date.getDate() - 1);
						var selectYear = document.getElementById("cpBeginYear");
						selectYear.value = date.getFullYear();
					}
					Zapatec.Calendar.setup({
						button         :    "cpBegin",
						onUpdate       :     cpBeginSelect,
						showsTime      :     false
					});
					function cpEndSelect(cal) {
						var date = cal.date;
						var selectMonth = document.getElementById("cpEndMonth");
						selectMonth.selectedIndex = date.getMonth();
						var selectDay = document.getElementById("cpEndDay");
						selectDay.selectedIndex = (date.getDate() - 1);
						var selectYear = document.getElementById("cpEndYear");
						selectYear.value = date.getFullYear();
					}
					Zapatec.Calendar.setup({
						button		:	"cpEnd",
						onUpdate	:	cpEndSelect,
						showsTime	:	false
					});
					{/literal}
				</script>
		</li>
	</ul>
{elseif $transactions}
{****** end parameters section, start report template section ******}
	
	<h1 style="text-align:center;">{$smarty.const.TRANS_PAYMENTS_FOR_PERIOD}: {$startTime|getDate:short} {$smarty.const.TRANS_THROUGH} {$endTime|getDate:short}</h1>
	
	
	<table id="sortTable" width="100%" class="list" cellspacing="0" cellpadding="0" border="0">
	
		<tHead>
		<tr class="headerRow smallTableHeader">
			<td style="white-space: nowrap;" class="firstTD" width="100">{$smarty.const.TRANS_CUSTOMER}</td>
			<td style="white-space: nowrap;">{$smarty.const.TRANS_DATE}</td>
			<td style="white-space: nowrap;">{$smarty.const.TRANS_PAYMENT_TYPE}</td>
			<td style="white-space: nowrap;">{$smarty.const.TRANS_CAUSE}</td>
			<td style="white-space: nowrap;">{$smarty.const.TRANS_INVOICE}</td>
			<td style="white-space: nowrap;">{$smarty.const.TRANS_CURRENCY}</td>
			<td style="text-align: right; white-space: nowrap;">{$smarty.const.TRANS_REFUNDED}</td>
			<td style="white-space: nowrap;" class="lastTD" style="text-align: right;">{$smarty.const.TRANS_RECEIVED}</td>
		</tr>
		</tHead>
	
		<tBody>
		{foreach item="trans" key="i" from=$transactions}
			<tr class="{cycle values="alt1,alt2"}">
				<td>{$trans.contactLastName}, {$trans.contactFirstName}</td>
				<td>{$trans.transactionDateCreated|getDate:short}</td>
				<td>{$paymentTypes[$trans.transactionPaymentMethod]}</td>
				<td>{$paymentStatuses[$trans.authReturn]}</td>
				<td>{$trans.invoiceNumber}</td>
				<td>{$trans.currencyID}</td>
				<td align="right">{$trans.transactionAmountRefunded|getAmount:$trans.currencyID}</td>
				<td align="right">{$trans.transactionAmount|getAmount:$trans.currencyID}</td>
			</tr>
		{/foreach}
		</tBody>
	
	</table>
	
{else}
<br /><br />
<center>
	{$smarty.const.TRANS_NO_DATA_IN_PERIOD}
</center>
{/if}
