<?php

$CONF["reportData"]["Transactions.PaymentsByPaymentType"] = array(
	"version" => "1.0",
	"template" => dirname(__FILE__)."/Transactions.PaymentsByPaymentType.tpl",
	"name" => "Payments By Payment Type",
	"description" => "This report tells you how many transactions and their combined totals for each different transaction type.",
);


class MB_Report_PaymentsByPaymentType {

	function MB_Report_PaymentsByPaymentType(){
		// constructor, nothing necessary in here I guess
	}

	function getData($params){
		global $CONF;
		
		$ret = $this->getParamData($params);
		
		if (!(int)$ret["displayParams"]){
			require_once mb_path("/app-modernbill-api/include/lib-action/api/GetReportPaymentsByPaymentType.php");
			$r =& new GetReportPaymentsByPaymentType();
			$ret = $ret + (array)$r->getReportData();
			foreach ($ret["transactionTotals"] as $k=>$v){ // gotta make some counts !
				$fc = 0;
				foreach ($ret["transactionTotals"][$k]["statuses"] as $ts=>$xv){
					$fc += count($ret["transactionTotals"][$k]["statuses"][$ts]);
					list($currencyID, $dat) = each($xv);
					$authReturn = (int)$xv[$currencyID][0]["authReturn"];
					$ret["transactionTotals"][$k]["statusCounts"][$authReturn] = count($ret["transactionTotals"][$k]["statuses"][$ts]);
				}
				$ret["transactionTotals"][$k]["fullCount"] = $fc;
			}
		}
		
		$ret["paymentTypes"] = $CONF["types"]["payments"];
		$ret["paymentStatuses"] = $CONF["statuses"]["transactions"];
		
		return $ret;
	}
	
	function getParamData($params=array()){
		
		$ret = array();
		
		$ret["displayParams"] = ((int)$params["ptBeginMonth"])?0:1;
		
		$ret["thirtyDaysStart"] = explode("/", date("d/m/Y", $ret["thirtyDaysStartTime"] = (time()-(60*60*24*30)-(time()%(60*60*24)))) );
		$ret["thirtyDaysEnd"] = explode("/", date("d/m/Y", $ret["thirtyDaysEndTime"] = ($ret["thirtyDaysStartTime"] + (60*60*24*30) - 1)));
		
		return $ret;
	
	}

}