<?php
// $Id: SearchDispatchResponse.php 11797 2007-08-15 22:41:55Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 *
 */
class SearchDispatchResponse extends MB_Action {

	function SearchDispatchResponse() {
		parent::MB_Action();
		$this->stringRep = "SearchDispatchResponse";
	}

	function execute() {
		global $CONF;
		parent::execute();

		// set easy vars
		$searchQuery = trim($_REQUEST["searchQuery"]);
		$searchType = $_REQUEST["searchType"];

		// parse search params
		list($searchCat,$searchCol) = explode(":",$searchType);

		// build the URI
		$query = array("query" => $searchQuery);

		if ($searchCol) {
			$query = array_merge($query,array("queryColumn" => $searchCol));
		}

		// build the search redirect
		redirect($searchCat.".php", getActionID("Show".ucfirst($searchCat)),$query);

		return true;
	}

} // MB_Action
?>