<?php
// $Id: products.php 12788 2008-03-18 15:37:03Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

define("MBAPI", 0);
$dispatchDirectory = "products";
$CONF["useMenu"] = "products";
require_once(dirname(__FILE__)."/path.php");
require_once mb_path("/lib-tk/include/common.php");
dispatchAction($dispatchDirectory, $_REQUEST["action"]);

/* ACTIONS

// add new product - step 1
AddProduct
AddProductResponse

// add new product - step 2
AddProductPricing
AddProductPricingResponse

// add new product - step 3
AddProductAttributes
AddProductAttributesResponse

// generic product actions

ShowProductStats
ShowProducts
ShowProductDetails
EditProduct
EditProductResponse
RemoveProduct
RemoveProductResponse
CloneProduct
CloneProductResponse
LockProductPrices
LockProductPricesResponse
unLockProductPrices
unLockProductPricesResponse

// product Addon actions

ShowProductAddons
ShowProductAddonDetails
AddProductAddon
AddProductAddonResponse
EditProductAddon
EditProductAddonResponse
RemoveProductAddon
RemoveProductAddonResponse
CloneProductAddon
CloneProductAddonResponse
LockProductAddonPrices
LockProductAddonPricesResponse
unLockProductAddonPrices
unLockProductAddonPricesResponse
EditProductAddonAttributes
EditProductAddonAttributesResponse

// product addon group actions

ShowProductAddonGroups
EditProductAddonGroup
EditProductAddonGroupResponse
EditProductAddonGroups
EditProductAddonGroupsResponse
AddProductAddonGroup
AddProductAddonGroupResponse
RemoveProductAddonGroup
RemoveProductAddonGroupResponse

// product attributes actions

ShowProductAttributes
ShowProductAttributeDetails
EditProductAttribute
EditProductAttributeResponse
RemoveProductAttribute
RemoveProductAttributeResponse
CloneProductAttribute
CloneProductAttributeResponse

// product time cycle actions

ShowCycleStats
ShowCycles
ShowCyclesResponse
ShowCycleGroups
ShowCycleGroupsResponse
AddCycle
AddCycleResponse
AddCycleGroup
AddCycleGroupResponse
EditCycle
EditCycleResponse
EditCycleGroup
EditCycleGroupResponse
RemoveCycle
RemoveCycleResponse
RemoveCycleGroup
RemoveCycleGroupResponse

// wizard steps
AddWizardStep
AddWizardStepResponse
EditWizardStep
EditWizardStepResponse
RemoveWizardStep
RemoveWizardStepResponse

AddWizardQuestion
AddWizardQuestionResponse
EditWizardQuestion
EditWizardQuestionResponse
RemoveWizardQuestion
RemoveWizardQuestionResponse

ShowWizardSteps

AddPrice
EditPrice

AddCoupon
AddCouponResponse
EditCoupon
EditCouponResponse
RemoveCoupon
RemoveCouponResponse
ShowCoupons

// plain relation editing
EditProductChildren
EditProductChildrenResponse
EditProductOrderForms
EditProductOrderFormsResponse
EditProductCoupons
EditProductCouponsResponse
EditProductAddons
EditProductAddonsResponse
EditProductTLDs
EditProductTLDsResponse
EditProductServerGroups
EditProductServerGroupsResponse
EditProductEmails
EditProductEmailsResponse
EditProductNotifications
EditProductNotificationsResponse
EditProductCycles
EditProductCyclesResponse
EditProductPrices
EditProductPricesResponse

// relation viewing using quick edit for editing
EditProductAttributes

// quick edit only
EditPanelAttributeResponse
EditGenericAttributeResponse
EditProductPriceResponse

AddSkeletonProduct

// variants

AddProductVariable
AddProductVariableResponse
EditProductVariable
EditProductVariableResponse
RemoveProductVariable
RemoveProductVariableResponse

AddProductValues
AddProductValuesResponse
EditProductValues
EditProductValuesResponse
RemoveProductValues
RemoveProductValuesResponse

ShowProductVariants
AddProductVariant
AddProductVariantResponse
EditProductVariant
EditProductVariantResponse
RemoveProductVariant
RemoveProductVariantResponse

EditProductVariantPrices
EditProductVariantPricesResponse
EditProductVariantLedgerEntries
EditProductVariantLedgerEntriesResponse

// ledger

EditLedgerGroupEntries
EditLedgerGroupEntriesResponse
RemoveLedgerGroup
RemoveLedgerGroupResponse

// usage price actions

EditUsagePricing
EditUsagePricingResponse


// generic product relations managing actions

ShowProductRelations
AddProductRelation
AddProductRelationResponse
EditProductRelation
EditProductRelationResponse
RemoveProductRelation
RemoveProductRelationResponse
ShowProductRelationDetails

EditOneProductRelations
EditOneProductRelationsResponse

// product variables

EditAppliedValues
EditAppliedValuesResponse

ShowProductVariables
ShowProductVariableDetails
AddProductVariable
AddProductVariableResponse
EditProductVariable
EditProductVariableResponse
RemoveProductVariable
RemoveProductVariableResponse

ShowProductVariableValues
ShowProductVariableValueDetails
AddProductVariableValue
AddProductVariableValueResponse
EditProductVariableValue
EditProductVariableValueResponse
RemoveProductVariableValue
RemoveProductVariableValueResponse

// product group actions
ShowProductGroups
AddProductGroup
AddProductGroupResponse
EditProductGroup
EditProductGroupResponse
RemoveProductGroup
RemoveProductGroupResponse

// edit which groups a product is in
EditProductsGroup
EditProductsGroupResponse

// cycle based discounting actions
ShowCycleDiscountGroups
AddCycleDiscountGroup
AddCycleDiscountGroupResponse
EditCycleDiscountGroup
EditCycleDiscountGroupResponse
RemoveCycleDiscountGroup
RemoveCycleDiscountGroupResponse

ShowCycleDiscounts
AddCycleDiscount
AddCycleDiscountResponse
EditCycleDiscount
EditCycleDiscountResponse
RemoveCycleDiscount
RemoveCycleDiscountResponse

ShowInvoicingGroups
AddInvoicingGroup
AddInvoicingGroupResponse
EditInvoicingGroup
EditInvoicingGroupResponse
RemoveInvoicingGroup
RemoveInvoicingGroupResponse

EditLedgerGroups

EditProductMiscellaneous
EditProductMiscellaneousResponse

*/
?>
