<?php
// $Id: runevents.php 12048 2007-10-08 19:59:44Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

// Remove the time limit b/c running some MBAPI commands can take more than 30 seconds.
set_time_limit(0);

// Do we really need to show all errors?
error_reporting(E_ERROR);

if (isset($_SERVER["GATEWAY_INTERFACE"])) {
	echo "This is not for HTTP.\n";
	exit;
}

chdir(dirname(__FILE__));

$mbpath = array(dirname(__FILE__));
// initialize the mbapi's library path
define("MB_LIBPATH", realpath(dirname(__FILE__)."/../.."));
require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");

define("ACCESS_TYPE", NON_LOGIN_APP);
define("CLI_INTERFACE", true);

// initialize the current application's library path
define("APP_LIB", "lib-modernbill");
mb_add_path("/".APP_LIB);
mb_add_path("/app-modernbill-admin");

require mb_path("/lib-modernbill/include/config/config.php");
//define("ACCESS_HASH", $CONF["remoteAccessHash"]);
define("INTERNAL_ADMIN", "cron");

$_SERVER["REMOTE_ADDR"] = "127.0.0.1";

list($command, $sid, $actionID, $continue, $started) = (array) $_SERVER["argv"];
if($continue) {
	$_REQUEST["sid"] = $sid;
	$_REQUEST["ajax"] = 1;
	$_REQUEST["continue"] = 1;
	$_REQUEST["started"] = (int) $started;
	$_REQUEST["action"] = $actionID;
}

require_once mb_path("/lib-tk/include/common.php");

dispatchAction("events", "RunEvents");

