<?php
// $Id: GetBillingAccounts.php 9682 2006-10-17 23:52:32Z bwoolley $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-api-action/apiaction.php");

/**
 */
class GetBillingAccounts extends MB_AdminAPIAction {
	/**
	 */
	function GetBillingAccounts() {
		parent::MB_AdminAPIAction();
		$this->stringRep = "GetBillingAccounts";
		$this->params = array
		(
		);
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();

		if (!(int)$_REQUEST["clientID"]){
			Error::api(1001, "[Ax".str_pad((int) __LINE__, 6, "0", STR_PAD_LEFT)."] Failed to pass a valid client ID.");
		}
		$output = array("billingAccounts" => array());
		if($contactIDs = IDsOf("contacts", array("clientID" => (int) $_REQUEST["clientID"], "contactActive" => 1))) {
			if($accounts = arrayFor("billingAccounts", array("clientContactID" => $contactIDs))) {
				$output["billingAccounts"]["billingAccount"] = $accounts;
			}
		}

		return $this->output($output);

	}
} // GetBillingAccounts
?>
