<?php
// $Id: GetClients.php 8255 2006-08-04 20:59:36Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-api-action/apiaction.php");

/**
 */
class GetClients extends MB_AdminAPIAction {
	/**
	 */
	function GetClients() {
		parent::MB_AdminAPIAction();
		$this->stringRep = "GetClients";
		$this->params = array(
			"domainID",
			"packageID",
			"invoiceID",
			"certID",
			"creditID",
			"clientContactID",
			"clientBillingAccountID",
			"billingAccountID",
		);
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();

		$params = array();
		$params["mergePrimaryContact"] = 1;

		if ((int)$_REQUEST["clientID"]){
			$params["clientID"] = (int)$_REQUEST["clientID"];
		}

		if ((int)$_REQUEST["clientContactID"]){
			$params["clientContactID"] = (int)$_REQUEST["clientContactID"];
			$params["mergePrimaryContact"] = 0;
		}

		foreach ($this->params as $paramName){
			if (isset($_REQUEST[$paramName])){
				$params[$paramName] = $_REQUEST[$paramName];
			}
		}

		$clientsInfo = $this->filterFields(grabResultsFromMBAPIArray(array(
			"mbapi" => array(
				"command" => "GetClients",
				"params" => $params,
			),
		)));

		dbg($clientsInfo);
		$output = array("clients" => array("client"=>(count($clientsInfo))?$clientsInfo:array()));

		return $this->output($output);

	}

} // GetOrderForms
?>
