<?php
// $Id: GetLogEnabledCommands.php 8716 2006-09-07 21:01:38Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

//$_REQUEST["__JSON"] = 1;

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-api-action/apiaction.php");

/**
 */
class GetLogEnabledCommands extends MB_AdminAPIAction {
	/**
	 */
	function GetLogEnabledCommands() {
		parent::MB_AdminAPIAction();
		$this->stringRep = "GetLogEnabledCommands";
		$this->params = array();
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();

		require_once mb_path("/lib-tk/mbapimap.php");
		
		
		$startDir = mb_path("/lib-modernbill/include/config/internal/mbapimap/");
		$dh  = opendir($startDir);
		while (false !== ($filename = readdir($dh))) {
			if (is_file($startDir.$filename) && substr($filename, -4)==".php" && !eregi("\.#", $filename)) {
				if ($_REQUEST["dataSource"]){
					if ($_REQUEST["dataSource"].".php"==$filename){
						require_once $startDir.$filename;
					}
				} else {
					require_once $startDir.$filename;
				}
			}
		}
		
		
		$commands = array();
		foreach ($CONF["sources"] as $datasource=>$def){
			$commands[$def["insert"]["command"]] = 1;
			$commands[$def["update"]["command"]] = 1;
			$commands[$def["delete"]["command"]] = 1;
		}

		$commands = array_keys($commands);

		foreach ($commands as $k=>$cmd){
			if (!strlen($cmd) || strpos(mb_path("/lib-mbapi/".$cmd.".php"), $cmd)){
				unset($commands[$k]);
			}
		}

		
		$commands[] = "SetBillingAccounts";
		$commands[] = "SetClientsGeneric";
		$commands = array_unique($commands);
		sort($commands);
		
		$this->addTemplate("", $output = array("loggingCommands" => $commands));

		return (!$_REQUEST["__JS"] && !$_REQUEST["__JSON"] && !$_REQUEST["__XML"])?$this->output($output):array();

	}

} // GetOrderForms
?>
