<?php
// $Id: GetReportPackagesByStatus.php 10665 2007-02-12 23:33:06Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

//$_REQUEST["__JSON"] = 1;

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-api-action/apiaction.php");

/**
 */
class GetReportPackagesByStatus extends MB_AdminAPIAction {
	/**
	 */
	function GetReportPackagesByStatus() {
		parent::MB_AdminAPIAction();
		$this->stringRep = "GetReportPackagesByStatus";
		$this->params = array();
		
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();

		$this->addTemplate("", $output = array("reportData" => $this->getReportData()));

		return (!$_REQUEST["__JS"] && !$_REQUEST["__JSON"] && !$_REQUEST["__XML"])?$this->output($output):array();

	}
	
	function getReportData(){
		dbg("RUNNING IN API REPORT!!!");
		$ret = array();
		
		$ret["statusTotals"] = grabResultsFromMBAPIArray(array(
			"mbapi" => array(
				"command" => "GetStatusPackages",
				"params" => array(
				),
			),
		));
		
		return $ret;
	}
	
} // GetReportPackagesByStatus
?>