<?php
// $Id: UpdateSellerInformation.php 10611 2007-01-31 23:58:12Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

//$_REQUEST["__JSON"] = 1;

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-api-action/apiaction.php");

/**
 */
class UpdateSellerInformation extends MB_ClientAPIAction {
	/**
	 */
	function UpdateSellerInformation() {
		parent::MB_ClientAPIAction();
		$this->stringRep = "UpdateSellerInformation";
		$this->params = array();
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();
		$this->mergeMarketplaceSellerInfo();

		if ((int)$_REQUEST["deactivate"]){
			updateForKey("marketplaceSellers", $this->sellerInfo["sellerID"], array(
				"sellerActive" => 0,
			));
		} else {
			updateForKey("marketplaceSellers", $this->sellerInfo["sellerID"], array(
				"sellerActive" => 1,
			));
		}

		if ($_REQUEST["sellerApiURL"]){
			updateForKey("marketplaceSellers", $this->sellerInfo["sellerID"], array(
				"sellerApiURL" => $_REQUEST["sellerApiURL"],
			));
		}

		return $this->output(array(
			"success" => 1,
		));

	}

} // UpdateSellerStatus
