#!/usr/bin/php
<?php

/**
 * Setup the path for this API_APP
 */

define("APP_IP_CHECK", 1);

chdir(dirname(__FILE__));
require_once(dirname(__FILE__)."/path.php");

/**
 * Setup the config for this API_APP
 * ** IMPORTANT ** The variable $adminRemoteAccessHash MUST BE SET for the API calls to work!
 */
require_once mb_path("/app-modernbill-api/config.php");
$adminRemoteAccessHash = $CONF["remoteAccessHash"];

/**
 * Setup common for this API_APP
 */

require_once mb_path("/lib-tk/include/common.php");

//do your stuff here.

echo "Content-Type: text/xml\r\n\r\n";

//stream_set_blocking(STDIN, 0);
set_time_limit(0);

$args = array();
parse_str($_SERVER["QUERY_STRING"], $args);

$success = false;

if(isset($args["auth"])) {
	$admins = arrayFor("admins", array("adminRemoteAccessHash" => $args["auth"], "getAdminGroupData" => 0));
	$success = (bool) $admins[0]["adminID"];
}

if(!$success) {
	fwrite(STDERR, "Remote authentication failure.");
	exit(1);
}

$delim = "<?mb end ?>";
$delimlen = strlen($delim);

$buf = "";
while(!feof(STDIN)) {
	$buf .= fgets(STDIN);
	
	dbg($buf);
	
	if(($pos = strpos($buf, $delim)) === false) continue;
	
	$command = substr($buf, 0, $pos);
	dbg("REMOTE COMMAND:");
	dbg($command);
	$buf = substr($buf, $pos + $delimlen);
	echo dispatchMBAPI($command) . "\n" . $delim;
	flush();
	
}

?>
