<?php
// $Id: SuppressPPCCodeResponse.php 6210 2006-04-14 18:08:28Z mfountain $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This action will suppress the ppc code from displaying on the client dashboard.
 *
 * @author  Michael Fountain
 */
class SuppressPPCCodeResponse extends MB_Action {
	/**
	 */
	function SuppressPPCCodeResponse() {
		parent::MB_Action();
		$this->stringRep = "SuppressPPCCodeResponse";
        $this->params = array("codeID");
	}

	/**
	 */
	function execute() {
		global $CONF;

        // make sure this code belongs to this client
        $args = array
        (
            "codeID" => (int) $_REQUEST["codeID"],
            "codeClientID" => (int) $CONF["user"]["id"],
        );
		$query = getMBAPIQuery("GetPPCCodes", "", $args, 0, 0, 0, 0, 0, $this->params);
		$data = correctArray(dispatchMBAPI($query, 1));
        dbg($data);

        if ($data["mbapi"][0]["header"][0]["success"] && $data["mbapi"][0]["header"][0]["numResults"]==1) {

            $args = array
            (
                "codeID" => (int) $data["mbapi"][0]["results"][0]["ppcCodes"][0]["codeID"] ,
                "codeStatus" => getAPIStatusID("ppcCodes", "suppress"),
            );
		    $query = getMBAPIQuery("SetPPCCodes", "update", $args, 0, 0, 0, 0, 0, $this->params);
		    $data = correctArray(dispatchMBAPI($query, 1));
            dbg($data);

            if ($data["mbapi"][0]["header"][0]["success"]) {
                redirect("dashboard.php", getActionID("ShowDashboard"));
            }

        } else {
            $this->addError(TRANS_ACTIONERROR, "Invalid ID given.");
        }

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // SuppressPPCCodeResponse
?>
