<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty lookup_id modifier plugin
 *
 * Type:     modifier<br>
 * Name:     getHash<br>
 * Purpose:  get a hash of a string value
 * @param  string  hash type: "sha1", "md5", defaults to "sha1".  
 * @return  string  hashed version of the string
 * @author Ben Woolley
 */
function smarty_function_getQueryString($params, &$smarty){
	return str_replace("__XSEP__", ($params["separator"])?$params["separator"]:"&amp;", MB_makeMultiLevelQueryString('', '', $_GET, explode("|", $params["exclude"])));
}

