<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty getCycleName modifier plugin
 *
 * Type:     modifier<br>
 * Name:     getCycleName<br>
 * Purpose:  lookup the name of the status by the key
 * @param int
 * @return string
 * @author Michael Fountain
 */
function smarty_modifier_getCycleName($id)
{
    return (isset($id)) ? (defined($x = getCycleName($id)) ? constant($x) : $x) : $id ;
}
