<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty getIP modifier plugin. Takes an IP as a long int and returns a string representation of it.
 *
 * Type:     modifier<br>
 * Name:     getIP<br>
 * Purpose:  To convert the given long IP to a string.
 * @param int  The IP as a long int.
 * @return string  A formatted string representation of the given IP.
 */
function smarty_modifier_getIP($longIP) {
	return long2ip($longIP);
}
?>
