<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty getNum modifier plugin
 *
 * Type:     modifier<br>
 * Name:     getNum<br>
 * Purpose:  Return the number in a locale sensitive format
 * @param 	 amount to display (double)
 * @return string
 */
function smarty_modifier_getNum($amount)
{
	global $CONF;

	return $CONF["user"]["locale"]->getLocaleNumber($amount);
}

?>