<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty getPercent modifier plugin
 *
 * Type:     modifier<br>
 * Name:     getPercent<br>
 * Purpose:  Return the number in a locale sensitive format
 * @param 	 amount to display (double)
 * @return string
 */
function smarty_modifier_getPercent($amount)
{
	global $CONF;

	return $CONF["user"]["locale"]->getLocalePercent($amount);
}

?>