<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty getTime modifier plugin
 *
 * Type:     modifier<br>
 * Name:     getTime<br>
 * Purpose:  Return the time in a locale sensitive format
 * @param int
 * @param string
 * @return string
 */
function smarty_modifier_getTime($timestamp, $format = "short")
{
	global $CONF;

// getTime  -> timestamp, string (full, long, medium, short)

	return $CONF["user"]["locale"]->getLocaleTime($timestamp, $format);
}

?>