<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty getTypeName modifier plugin
 *
 * Type:     modifier<br>
 * Name:     getTypeName<br>
 * Purpose:  lookup the name of the type by the key
 * @param int
 * @return string
 * @author Ben Woolley
 */
function smarty_modifier_getTypeName($id,$statusType)
{
	global $CONF;
    return (isset($id)) ? $CONF["types"][$statusType][$id] : TRANS_UNKNOWN;
}
?>
