<?php
// $Id: modifier.highlightTerms.php 11033 2007-04-21 14:07:10Z mfountain $
/**
 * Smarty highlightTerms modifier plugin
 *
 * Type:     modifier<br>
 * Name:     highlightTerms<br>
 * Purpose:  highlights the terms split by a space
 * @param string
 * @param string
 * @return string
 */
function smarty_modifier_highlightTerms($string,$terms){
	$colors = array("FF8E00","FF4E00","666666","666666","666666","666666","666666","666666");
	$strip = array("^","\!","\$");
	$terms = explode(" ",$terms);
	$n = count($terms);
    for($i=0;$i<$n;$i++){
    	$terms[$i] = str_replace($strip,array("","",""),$terms[$i]);
		$string = eregi_replace("(".$terms[$i].")", "<font color=\"#".$colors[$i]."\"><strong>\\1</strong></font>", $string);
	}
	return $string;
}

?>