<?php
// --------------------------------------------------------------------------
// DEBUGGER SETTINGS - Values: 1 = enabled, 0 = disabled
// --------------------------------------------------------------------------

	    // Enable debugger (master setting)
define("DEBUG", 0);
define("RETURN_ERRORS_FOR_INVALID_XML", 0);
define("DEBUG_DEFAULT_COLOR", "black");

        // Enable locale debugger
define("DEBUG_LOCALE_ENABLED",0);

        // Enable QueryMaster debugger
define("DEBUG_QUERYMASTER_ENABLED",0);

        // Enable QueryMaster relations debugger
define("DEBUG_QUERYMASTER_REL_ENABLED",1);

        // Display QueryMaster debug data if enabled
define("DEBUG_QUERYMASTER_DISPLAY", 1);
define("DEBUG_QUERYMASTER_COLOR", "red");

        // Display Timer Class debug data
define("DEBUG_TIMER_DISPLAY", 1);
define("DEBUG_TIMER_COLOR", "purple");
define("DEBUG_RUNNINGX_COLOR", "teal");

        // Display MBAPI Class debug data
define("DEBUG_MBAPI_DISPLAY", 1);
define("DEBUG_MBAPI_COLOR", "blue");

        // Display Action Class debug data
define("DEBUG_ACTION_DISPLAY", 1);
define("DEBUG_ACTION_COLOR", "green");

        // MBAPI debug output options
        // * Does not affect output to server
define("DEBUG_XML_OUTPUT", 0);

// --------------------------------------------------------------------------
// SYSLOG SETTINGS
// --------------------------------------------------------------------------

define("DEBUG_SYSLOG_ENABLED", 0);
define("DEBUG_SYSLOG_SQL_ERROR_ENABLED", 1);
define("DEBUG_SYSLOG_SESSION_SERVER_ENABLED", 1);

// --------------------------------------------------------------------------
// DEBUG SERVER SETTINGS (advanced use only - requires MBAPI SDK)
// --------------------------------------------------------------------------
//error_reporting(E_ALL);
        // Send debug output to debug server:
define("DEBUG_OUTPUT_TO_SERVER", 0);
//define("DEBUG_ONLY_FILENAME", "/lib-modernbill/include/lib-mbapi/ProcessPaymentQueue.php");
#define("DEBUG_ONLY_DIR", "app-modernbill|lib-modernbill");
        // Send only DIRECT messages (not ALL messages) to the debug server:
	// 0 = all messages
	// 1 = all direct messages and php errors
	// 2 = level 2 direct messages only and php errors
	// 3 = php errors only
define("DEBUG_ONLY_DIRECT_MESSAGES", 0);

		// send the line number
define("DEBUG_FILE_AND_LINE_NUMBERS", 1);
        // Enable real-time debugging:
        // ** Requires you to hit the enter key to continue after EACH debug output!
define("EXPERIMENTAL_DEBUG", 0);

        // Define the debug server's URL or IP address:
define("DEBUG_SERVER_ADDRESS", "localhost");

        // Define if PHP errors will be sent to the debug server instead of echo'd:
define("DEBUG_REDIRECT_PHP_ERRORS", 0);

		// Bitmask of PHP errors you want suppressed when sending to the debug errors.
$debugIgnoreErrors = E_NOTICE|E_STRICT;
//$debugIgnoreErrors = ~E_NOTICE;

        // Possible Constant Values:
        // E_ERROR            Fatal run-time errors. These indicate errors that can
        //                    not be recovered from, such as a memory allocation problem.
        //                    Execution of the script is halted.
        // E_WARNING          Run-time warnings (non-fatal errors). Execution of the script
        //                    is not halted.
        // E_PARSE            Compile-time parse errors. Parse errors should only be generated
        //                    by the parser.
        // E_NOTICE           Run-time notices. Indicate that the script encountered something
        //                    that could indicate an error, but could also happen in the normal
        //                    course of running a script.
        // E_CORE_ERROR       Fatal errors that occur during PHP's initial startup. This is like
        //                    an E_ERROR, except it is generated by the core of PHP.
        // E_CORE_WARNING     Warnings (non-fatal errors) that occur during PHP's initial startup.
        //                    This is like an E_WARNING, except it is generated by the core of PHP.
        // E_COMPILE_ERROR    Fatal compile-time errors. This is like an E_ERROR, except it is
        //                    generated by the Zend Scripting Engine.
        // E_COMPILE_WARNING  Compile-time warnings (non-fatal errors). This is like an E_WARNING,
        //                    except it is generated by the Zend Scripting Engine.
        // E_USER_ERROR       User-generated error message. This is like an E_ERROR, except it is
        //                    generated in PHP code by using the PHP function trigger_error().
        // E_USER_WARNING     User-generated warning message. This is like an E_WARNING, except it
        //                    is generated in PHP code by using the PHP function trigger_error().
        // E_USER_NOTICE      User-generated notice message. This is like an E_NOTICE, except it is
        //                    generated in PHP code by using the PHP function trigger_error().
        // E_ALL              All errors and warnings, as supported, except of level E_STRICT.
        // E_STRICT

// $Id: debug.php 11709 2007-07-30 15:53:51Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+
?>
