<?php
// $Id: ColumnMap.php 12437 2008-01-08 19:23:08Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

$CONF["dbCols"] = array(
	"AC_Email" => "ACEmail",
	"AC_FirstName" => "ACFirstName",
	"AC_LastName" => "ACLastName",
	"AC_Phone" => "ACPhone",
	"BC_Email" => "BCEmail",
	"BC_FirstName" => "BCFirstName",
	"BC_LastName" => "BCLastName",
	"BC_Phone" => "BCPhone",
	"CSR_CSR" => "CSRCSR",
	"CSR_CertificateStatus" => "CSRCertificateStatus",
	"CSR_CommonName" => "CSRCommonName",
	"CSR_Country" => "CSRCountry",
	"CSR_DNSNames" => "CSRDNSNames",
	"CSR_DomainName" => "CSRDomainName",
	"CSR_Email" => "CSREmail",
	"CSR_EndDate" => "CSREndDate",
	"CSR_HasBadExtensions" => "CSRHasBadExtensions",
	"CSR_IsValidDomainName" => "CSRIsValidDomainName",
	"CSR_Locality" => "CSRLocality",
	"CSR_Organization" => "CSROrganization",
	"CSR_OrganizationUnit" => "CSROrganizationUnit",
	"CSR_SerialNumber" => "CSRSerialNumber",
	"CSR_StartDate" => "CSRStartDate",
	"CSR_State" => "CSRState",
	"CSR_Subject" => "CSRSubject",
	"CSR_WebServerType" => "CSRWebServerType",
	"CSR_WildCard" => "CSRWildCard",
	"FF_CACert" => "FFCACert",
	"FF_CACertType" => "FFCACertType",
	"FF_ChoicePointURL" => "FFCHOICEPOINTURL",
	"FF_CpsURL" => "FFCPSURL",
	"FF_IconScript" => "FFIconScript",
	"FF_ServerCertificate" => "FFServerCertificate",
	"OD_ApproverConfirmDate" => "ODApproverConfirmDate",
	"OD_ApproverEmailAddress" => "ODApproverEmailAddress",
	"OD_ApproverNotifiedDate" => "ODApproverNotifiedDate",
	"OD_GeoTrustOrderID" => "ODGeoTrustOrderID",
	"OD_Method" => "ODMethod",
	"OD_OrderCompleteDate" => "ODOrderCompleteDate",
	"OD_OrderDate" => "ODOrderDate",
	"OD_OrderDeactivatedDate" => "ODOrderDeactivatedDate",
	"OD_OrderStatusMajor" => "ODOrderStatusMajor",
	"OD_OrderStatusMinorCode" => "ODOrderStatusMinorCode",
	"OD_OrderStatusMinorName" => "ODOrderStatusMinorName",
	"OD_PartnerOrderID" => "ODPartnerOrderID",
	"OD_Price" => "ODPrice",
	"OD_ProductCode" => "ODProductCode",
	"OD_RenewalBehavior" => "ODRenewalBehavior",
	"OD_ServerCount" => "ODServerCount",
	"OD_SpecialInstructions" => "ODSpecialInstructions",
	"OD_ValidityPeriod" => "ODValidityPeriod",
	"ORG_AddressLine1" => "ORGAddressLine1",
	"ORG_AddressLine2" => "ORGAddressLine2",
	"ORG_AddressLine3" => "ORGAddressLine3",
	"ORG_City" => "ORGCity",
	"ORG_Country" => "ORGCountry",
	"ORG_DUNS" => "ORGDUNS",
	"ORG_Fax" => "ORGFax",
	"ORG_OrganizationName" => "ORGOrganizationName",
	"ORG_Phone" => "ORGPhone",
	"ORG_PostalCode" => "ORGPostalCode",
	"ORG_Region" => "ORGRegion",
	"RI_RenewalExpirationDate" => "RIRenewalExpirationDate",
	"RI_RenewalIndicator" => "RIRenewalIndicator",
	"RI_RenewalMonths" => "RIRenewalMonths",
	"RI_RenewalOrderID" => "RIRenewalOrderID",
	"RI_RenewalProductCode" => "RIRenewalProductCode",
	"RI_RenewalSerialNumber" => "RIRenewalSerialNumber",
	"TC_Email" => "TCEmail",
	"TC_FirstName" => "TCFirstName",
	"TC_LastName" => "TCLastName",
	"TC_Phone" => "TCPhone",
	"UPG_CUCertificate" => "UPGCUCertificate",
	"UPG_CUExpirationDate" => "UPGCUExpirationDate",
	"UPG_CUIndicator" => "UPGCUIndicator",
	"UPG_CUIssuer" => "UPGCUIssuer",
	"UPG_CUSerialNumber" => "UPGCUSerialNumber",
	"UPG_CUmonths" => "UPGCUmonths",
	"action_name" => "actionName",
	"admin_active" => "adminActive",
	"admin_email" => "adminEmail",
	"admin_first_name" => "adminFirstName",
	"admin_group_id" => "adminGroupID",
	"admin_group_name" => "adminGroupName",
	"admin_id" => "adminID",
	"admin_last_name" => "adminLastName",
	"admin_password" => "adminPassword",
	"admin_remote_access_hash" => "adminRemoteAccessHash",
	"admin_temp_password" => "adminTempPassword",
	"admin_username" => "adminUsername",
	"af_id" => "afID",
	"aff_code" => "affCode",
	"aff_date_last_paid" => "affDateLastPaid",
	"affiliate_code" => "affiliateCode",
	"affiliate_count" => "affiliateCount",
	"affiliate_date_created" => "affiliateDateCreated",
	"affiliate_hits" => "affiliateHits",
	"affiliate_id" => "affiliateID",
	"affiliate_pay_amount" => "affiliatePayAmount",
	"affiliate_pay_cycle" => "affiliatePayCycle",
	"affiliate_pay_sum" => "affiliatePaySum",
	"affiliate_pay_time" => "affiliatePayTime",
	"affiliate_pay_type" => "affiliatePayType",
	"affiliate_status" => "affiliateStatus",
	"anon_proxy_weight" => "anonProxyWeight",
	"apply_tax" => "applyTax",
	"attribute_id" => "attributeID",
	"attribute_input_restrictions" => "attributeInputRestrictions",
	"attribute_map_id" => "attributeMapID",
	"attribute_map_name" => "attributeMapName",
	"attribute_mapping_id" => "attributeMappingID",
	"attribute_match_value" => "attributeMatchValue",
	"attribute_name" => "attributeName",
	"attribute_nomatch_value" => "attributeNomatchValue",
	"attribute_subtype" => "attributeSubtype",
	"attribute_type" => "attributeType",
	"auth_code" => "authCode",
	"auth_return" => "authReturn",
	"avs_code" => "avsCode",
	"ban_active" => "banActive",
	"ban_count" => "banCount",
	"ban_date_last_used" => "banDateLastUsed",
	"ban_id" => "banID",
	"ban_message" => "banMessage",
	"ban_string" => "banString",
	"ban_type" => "banType",
	"batch_date_created" => "batchDateCreated",
	"batch_log_id" => "batchLogID",
	"batch_num_approved" => "batchNumApproved",
	"batch_num_declined" => "batchNumDeclined",
	"batch_num_error" => "batchNumError",
	"batch_sum_approved" => "batchSumApproved",
	"batch_sum_declined" => "batchSumDeclined",
	"batch_sum_error" => "batchSumError",
	"billing_account_active" => "billingAccountActive",
	"billing_account_date_failed" => "billingAccountDateFailed",
	"billing_account_fallback_group" => "billingAccountFallbackGroup",
	"billing_account_historical" => "billingAccountHistorical",
	"billing_account_id" => "billingAccountID",
	"billing_account_num_last_four" => "billingAccountNumLastFour",
	"billing_account_share_group" => "billingAccountShareGroup",
	"billing_account_share_id" => "billingAccountShareID",
	"billing_account_share_value" => "billingAccountShareValue",
	"billing_account_status" => "billingAccountStatus",
	"billing_account_type" => "billingAccountType",
	"billing_bank_aba_code" => "billingBankAbaCode",
	"billing_bank_account_num" => "billingBankAccountNum",
	"billing_bank_dob" => "billingBankDob",
	"billing_bank_license_num" => "billingBankLicenseNum",
	"billing_bank_license_state" => "billingBankLicenseState",
	"billing_bank_name" => "billingBankName",
	"billing_bank_state" => "billingBankState",
	"billing_bank_type" => "billingBankType",
	"billing_card_exp_month" => "billingCardExpMonth",
	"billing_card_exp_year" => "billingCardExpYear",
	"billing_card_issue_num" => "billingCardIssueNum",
	"billing_card_name_on_card" => "billingCardNameOnCard",
	"billing_card_num" => "billingCardNum",
	"billing_card_start_date" => "billingCardStartDate",
	"billing_card_type" => "billingCardType",
	"bin_bank_match_weight" => "binBankMatchWeight",
	"bin_match_weight" => "binMatchWeight",
	"bookmark_action" => "bookmarkAction",
	"bookmark_args" => "bookmarkArgs",
	"bookmark_count" => "bookmarkCount",
	"bookmark_id" => "bookmarkID",
	"bookmark_name" => "bookmarkName",
	"bookmark_target" => "bookmarkTarget",
	"bookmark_url" => "bookmarkURL",
	"bookmark_window_height" => "bookmarkWindowHeight",
	"bookmark_window_width" => "bookmarkWindowWidth",
	"callback_log_action" => "callbackLogAction",
	"callback_log_action_status" => "callbackLogActionStatus",
	"callback_log_attribute_id" => "callbackLogAttributeID",
	"callback_log_attribute_name" => "callbackLogAttributeName",
	"callback_log_attribute_value" => "callbackLogAttributeValue",
	"callback_log_date_created" => "callbackLogDateCreated",
	"callback_log_id" => "callbackLogID",
	"callback_log_parent_transaction_id" => "callbackLogParentTransactionID",
	"callback_log_transaction_id" => "callbackLogTransactionID",
	"callback_log_type" => "callbackLogType",
	"catch_all_action" => "catchAllAction",
	"cert_id" => "certID",
	"cert_timestamp" => "certTimestamp",
	"change_log_action_by" => "changeLogActionBy",
	"change_log_action_who" => "changeLogActionWho",
	"change_log_column_id" => "changeLogColumnID",
	"change_log_column_name" => "changeLogColumnName",
	"change_log_date_created" => "changeLogDateCreated",
	"change_log_db_table_name" => "changeLogDBTableName",
	"change_log_db_table_pk" => "changeLogDBTablePk",
	"change_log_db_table_pkvalue" => "changeLogDBTablePkvalue",
	"change_log_id" => "changeLogID",
	"change_log_new_value" => "changeLogNewValue",
	"change_log_old_value" => "changeLogOldValue",
	"change_log_table_name" => "changeLogTableName",
	"child_client_id" => "childClientID",
	"child_product_id" => "childProductID",
	"client_active" => "clientActive",
	"client_active_count" => "clientActiveCount",
	"client_attribute_id" => "clientAttributeID",
	"client_attribute_value" => "clientAttributeValue",
	"client_billing_day" => "clientBillingDay",
	"client_canceled_count" => "clientCanceledCount",
	"client_company" => "clientCompany",
	"client_contact_id" => "clientContactID",
	"client_date_cancelled" => "clientDateCancelled",
	"client_date_created" => "clientDateCreated",
	"client_fraud_count" => "clientFraudCount",
	"client_group_id" => "clientGroupID",
	"client_group_name" => "clientGroupName",
	"client_id" => "clientID",
	"client_inactive_count" => "clientInactiveCount",
	"client_last_ip" => "clientLastIP",
	"client_mail_invoices" => "clientMailInvoices",
	"client_note_date_created" => "clientNoteDateCreated",
	"client_note_date_modified" => "clientNoteDateModified",
	"client_note_id" => "clientNoteID",
	"client_note_text" => "clientNoteText",
	"client_pending_count" => "clientPendingCount",
	"client_signup_ip" => "clientSignupIP",
	"client_status" => "clientStatus",
	"client_status_reason" => "clientStatusReason",
	"client_total_count" => "clientTotalCount",
	"code_client_email" => "codeClientEmail",
	"code_client_id" => "codeClientID",
	"code_currency_id" => "codeCurrencyID",
	"code_date_distributed" => "codeDateDistributed",
	"code_date_expires" => "codeDateExpires",
	"code_id" => "codeID",
	"code_product_id" => "codeProductID",
	"code_product_name" => "codeProductName",
	"code_product_price" => "codeProductPrice",
	"code_remote_id" => "codeRemoteID",
	"code_status" => "codeStatus",
	"code_to_use" => "codeToUse",
	"code_type" => "codeType",
	"code_value" => "codeValue",
	"company_address_1" => "companyAddress1",
	"company_address_2" => "companyAddress2",
	"company_city" => "companyCity",
	"company_client_url" => "companyClientURL",
	"company_description" => "companyDescription",
	"company_email" => "companyEmail",
	"company_fax" => "companyFax",
	"company_id" => "companyID",
	"company_name" => "companyName",
	"company_order_url" => "companyOrderURL",
	"company_phone1" => "companyPhone1",
	"company_phone2" => "companyPhone2",
	"company_short_description" => "companyShortDescription",
	"company_state" => "companyState",
	"company_tax_id_number" => "companyTaxIDNumber",
	"company_url" => "companyURL",
	"company_zip" => "companyZip",
	"config_group_action_file" => "configGroupActionFile",
	"config_group_action_name" => "configGroupActionName",
	"config_group_icon" => "configGroupIcon",
	"config_group_id" => "configGroupID",
	"config_group_locked" => "configGroupLocked",
	"config_group_name" => "configGroupName",
	"config_group_order" => "configGroupOrder",
	"config_group_trans_key" => "configGroupTransKey",
	"config_param_description" => "configParamDescription",
	"config_param_group_trans_key" => "configParamGroupTransKey",
	"config_param_id" => "configParamID",
	"config_param_input_type" => "configParamInputType",
	"config_param_locked" => "configParamLocked",
	"config_param_name" => "configParamName",
	"config_param_order" => "configParamOrder",
	"config_param_required" => "configParamRequired",
	"config_param_trans_key" => "configParamTransKey",
	"config_param_value" => "configParamValue",
	"config_param_value_id" => "configParamValueID",
	"config_param_value_name" => "configParamValueName",
	"config_param_value_order" => "configParamValueOrder",
	"config_param_value_trans_key" => "configParamValueTransKey",
	"contact_active" => "contactActive",
	"contact_address_1" => "contactAddress1",
	"contact_address_2" => "contactAddress2",
	"contact_city" => "contactCity",
	"contact_company" => "contactCompany",
	"contact_county" => "contactCounty",
	"contact_date_created" => "contactDateCreated",
	"contact_email" => "contactEmail",
	"contact_email_format" => "contactEmailFormat",
	"contact_email_invoice_pdf" => "contactEmailInvoicePdf",
	"contact_external_id_1" => "contactExternalID1",
	"contact_external_id_2" => "contactExternalID2",
	"contact_external_id_3" => "contactExternalID3",
	"contact_fax" => "contactFax",
	"contact_first_name" => "contactFirstName",
	"contact_last_name" => "contactLastName",
	"contact_mobile_phone" => "contactMobilePhone",
	"contact_password" => "contactPassword",
	"contact_phone1" => "contactPhone1",
	"contact_phone2" => "contactPhone2",
	"contact_primary" => "contactPrimary",
	"contact_state" => "contactState",
	"contact_temp_password" => "contactTempPassword",
	"contact_username" => "contactUsername",
	"contact_zip" => "contactZip",
	"control_id" => "controlID",
	"control_type" => "controlType",
	"cost_amount" => "costAmount",
	"cost_currency_id" => "costCurrencyID",
	"countries_id" => "countriesID",
	"countries_iso_2" => "countriesISO2",
	"countries_iso_num" => "countriesISONum",
	"countries_phone_code" => "countriesPhoneCode",
	"countries_region" => "countriesRegion",
	"country_match_weight" => "countryMatchWeight",
	"country_risk_weight" => "countryRiskWeight",
	"country_type" => "countryType",
	"coupon_active" => "couponActive",
	"coupon_apply_number" => "couponApplyNumber",
	"coupon_code" => "couponCode",
	"coupon_comments" => "couponComments",
	"coupon_condition_group_active" => "couponConditionGroupActive",
	"coupon_condition_group_id" => "couponConditionGroupID",
	"coupon_condition_group_name" => "couponConditionGroupName",
	"coupon_condition_id" => "couponConditionID",
	"coupon_count" => "couponCount",
	"coupon_date_created" => "couponDateCreated",
	"coupon_date_ended" => "couponDateEnded",
	"coupon_date_started" => "couponDateStarted",
	"coupon_discount" => "couponDiscount",
	"coupon_id" => "couponID",
	"coupon_max_count" => "couponMaxCount",
	"coupon_new_only" => "couponNewOnly",
	"coupon_num_cycles" => "couponNumCycles",
	"coupon_price" => "couponPrice",
	"coupon_type" => "couponType",
	"credit_note_for_invoice_id" => "creditNoteForInvoiceID",
	"ct_code" => "ctCode",
	"currency_id" => "currencyID",
	"cycle_discount_active" => "cycleDiscountActive",
	"cycle_discount_amount" => "cycleDiscountAmount",
	"cycle_discount_group_active" => "cycleDiscountGroupActive",
	"cycle_discount_group_id" => "cycleDiscountGroupID",
	"cycle_discount_group_name" => "cycleDiscountGroupName",
	"cycle_discount_id" => "cycleDiscountID",
	"cycle_display_name" => "cycleDisplayName",
	"cycle_group_display_name" => "cycleGroupDisplayName",
	"cycle_group_id" => "cycleGroupID",
	"cycle_group_internal_name" => "cycleGroupInternalName",
	"cycle_id" => "cycleID",
	"cycle_num_days" => "cycleNumDays",
	"cycle_num_hours" => "cycleNumHours",
	"cycle_num_minutes" => "cycleNumMinutes",
	"cycle_num_months" => "cycleNumMonths",
	"cycle_num_seconds" => "cycleNumSeconds",
	"cycle_num_years" => "cycleNumYears",
	"dbg_entry_date_created" => "dbgEntryDateCreated",
	"dbg_entry_file" => "dbgEntryFile",
	"dbg_entry_id" => "dbgEntryID",
	"dbg_entry_line" => "dbgEntryLine",
	"dbg_entry_message" => "dbgEntryMessage",
	"dbg_pageload_action" => "dbgPageloadAction",
	"dbg_pageload_date_created" => "dbgPageloadDateCreated",
	"dbg_pageload_id" => "dbgPageloadID",
	"dbg_pageload_page" => "dbgPageloadPage",
	"dbg_pageload_pid" => "dbgPageloadPid",
	"default_billing_account_id" => "defaultBillingAccountID",
	"default_selected_product_id" => "defaultSelectedProductID",
	"domain_active" => "domainActive",
	"domain_count" => "domainCount",
	"domain_date_created" => "domainDateCreated",
	"domain_date_expires" => "domainDateExpires",
	"domain_date_last_sync" => "domainDateLastSync",
	"domain_exp_next" => "domainExpNext",
	"domain_exp_this" => "domainExpThis",
	"domain_id" => "domainID",
	"domain_idn_language" => "domainIDNLanguage",
	"domain_name" => "domainName",
	"domain_remote_domain_id" => "domainRemoteDomainID",
	"domain_remote_purchase_id" => "domainRemotePurchaseID",
	"domain_renew_type" => "domainRenewType",
	"domain_shopping_item_id" => "domainShoppingItemID",
	"domain_sld" => "domainSLD",
	"domain_tld" => "domainTLD",
	"email_action_id" => "emailActionID",
	"email_active" => "emailActive",
	"email_address" => "emailAddress",
	"email_address_id" => "emailAddressID",
	"email_address_name" => "emailAddressName",
	"email_address_type" => "emailAddressType",
	"email_attachment_id" => "emailAttachmentID",
	"email_attachment_path" => "emailAttachmentPath",
	"email_attachment_remote" => "emailAttachmentRemote",
	"email_body" => "emailBody",
	"email_date_created" => "emailDateCreated",
	"email_date_sent" => "emailDateSent",
	"email_failed" => "emailFailed",
	"email_from_address" => "emailFromAddress",
	"email_from_name" => "emailFromName",
	"email_header" => "emailHeader",
	"email_header_id" => "emailHeaderID",
	"email_id" => "emailID",
	"email_sent" => "emailSent",
	"email_sent_type" => "emailSentType",
	"email_subject" => "emailSubject",
	"email_text_body" => "emailTextBody",
	"email_tpl_body" => "emailTplBody",
	"email_tpl_group_bcc_address" => "emailTplGroupBCCAddress",
	"email_tpl_group_cc_address" => "emailTplGroupCCAddress",
	"email_tpl_group_from_address" => "emailTplGroupFromAddress",
	"email_tpl_group_from_name" => "emailTplGroupFromName",
	"email_tpl_group_id" => "emailTplGroupID",
	"email_tpl_group_name" => "emailTplGroupName",
	"email_tpl_group_priority" => "emailTplGroupPriority",
	"email_tpl_group_reply_address" => "emailTplGroupReplyAddress",
	"email_tpl_group_reply_name" => "emailTplGroupReplyName",
	"email_tpl_id" => "emailTplID",
	"email_tpl_primary" => "emailTplPrimary",
	"email_tpl_subject" => "emailTplSubject",
	"email_tpl_text_body" => "emailTplTextBody",
	"enable_stamp" => "enableStamp",
	"ext_package_id" => "extPackageID",
	"external_id" => "externalID",
	"external_id_1" => "externalID1",
	"external_id_2" => "externalID2",
	"external_id_3" => "externalID3",
	"faq_answer" => "faqAnswer",
	"faq_category_id" => "faqCategoryID",
	"faq_category_name" => "faqCategoryName",
	"faq_category_type" => "faqCategoryType",
	"faq_date_created" => "faqDateCreated",
	"faq_id" => "faqID",
	"faq_question" => "faqQuestion",
	"file_data" => "fileData",
	"file_id" => "fileID",
	"file_name" => "fileName",
	"file_path" => "filePath",
	"fraud_hard_reject_message" => "fraudHardRejectMessage",
	"fraud_level_action" => "fraudLevelAction",
	"fraud_level_action_status" => "fraudLevelActionStatus",
	"fraud_result_adjusted_score" => "fraudResultAdjustedScore",
	"fraud_result_billing_match" => "fraudResultBillingMatch",
	"fraud_result_bin" => "fraudResultBin",
	"fraud_result_bin_bank_match" => "fraudResultBinBankMatch",
	"fraud_result_bin_country" => "fraudResultBinCountry",
	"fraud_result_bin_match" => "fraudResultBinMatch",
	"fraud_result_bin_name" => "fraudResultBinName",
	"fraud_result_bin_phone" => "fraudResultBinPhone",
	"fraud_result_bin_phone_match" => "fraudResultBinPhoneMatch",
	"fraud_result_date_created" => "fraudResultDateCreated",
	"fraud_result_default_score" => "fraudResultDefaultScore",
	"fraud_result_error" => "fraudResultError",
	"fraud_result_final_action_used" => "fraudResultFinalActionUsed",
	"fraud_result_ip" => "fraudResultIP",
	"fraud_result_ip_city" => "fraudResultIPCity",
	"fraud_result_ip_country" => "fraudResultIPCountry",
	"fraud_result_ip_country_match" => "fraudResultIPCountryMatch",
	"fraud_result_ip_distance" => "fraudResultIPDistance",
	"fraud_result_ip_isp" => "fraudResultIPIsp",
	"fraud_result_ip_lat" => "fraudResultIPLat",
	"fraud_result_ip_lon" => "fraudResultIPLon",
	"fraud_result_ip_org" => "fraudResultIPOrg",
	"fraud_result_ip_region" => "fraudResultIPRegion",
	"fraud_result_is_anon_proxy" => "fraudResultIsAnonProxy",
	"fraud_result_is_free_email" => "fraudResultIsFreeEmail",
	"fraud_result_is_open_proxy" => "fraudResultIsOpenProxy",
	"fraud_result_log_id" => "fraudResultLogID",
	"fraud_result_o_amount" => "fraudResultOAmount",
	"fraud_result_o_amount_action" => "fraudResultOAmountAction",
	"fraud_result_order_amount" => "fraudResultOrderAmount",
	"fraud_result_order_email" => "fraudResultOrderEmail",
	"fraud_result_phone_match" => "fraudResultPhoneMatch",
	"fraud_result_risky_country" => "fraudResultRiskyCountry",
	"fraud_result_risky_email" => "fraudResultRiskyEmail",
	"fraud_result_risky_shipping" => "fraudResultRiskyShipping",
	"fraud_result_score_action" => "fraudResultScoreAction",
	"fraud_result_ship_match" => "fraudResultShipMatch",
	"fraud_result_spam_score" => "fraudResultSpamScore",
	"fraud_set_email" => "fraudSetEmail",
	"fraud_set_id" => "fraudSetID",
	"fraud_set_name" => "fraudSetName",
	"fraud_soft_reject_message" => "fraudSoftRejectMessage",
	"free_email_weight" => "freeEmailWeight",
	"gateway_type" => "gatewayType",
	"general_credit_amount" => "generalCreditAmount",
	"general_date_created" => "generalDateCreated",
	"general_debit_amount" => "generalDebitAmount",
	"general_description" => "generalDescription",
	"general_journal_id" => "generalJournalID",
	"general_ledger_credit_amount" => "generalLedgerCreditAmount",
	"general_ledger_date_created" => "generalLedgerDateCreated",
	"general_ledger_debit_amount" => "generalLedgerDebitAmount",
	"general_ledger_description" => "generalLedgerDescription",
	"general_ledger_id" => "generalLedgerID",
	"general_ledger_type" => "generalLedgerType",
	"get_approverlist" => "getApproverlist",
	"get_useragreement" => "getUseragreement",
	"graph_cache_count" => "graphCacheCount",
	"graph_cache_date_created" => "graphCacheDateCreated",
	"graph_cache_id" => "graphCacheID",
	"graph_cache_op" => "graphCacheOp",
	"graph_cache_ref" => "graphCacheRef",
	"graph_cache_src" => "graphCacheSrc",
	"graph_cache_type" => "graphCacheType",
	"group_active" => "groupActive",
	"group_attribute_id" => "groupAttributeID",
	"group_attribute_name" => "groupAttributeName",
	"group_attribute_value" => "groupAttributeValue",
	"group_id" => "groupID",
	"group_name" => "groupName",
	"groupby_invoice_id" => "groupbyInvoiceID",
	"gw_transaction_attr_id" => "gwTransactionAttrID",
	"gw_transaction_attr_name" => "gwTransactionAttrName",
	"gw_transaction_attr_value" => "gwTransactionAttrValue",
	"gw_transaction_id" => "gwTransactionID",
	"gw_transaction_ref" => "gwTransactionRef",
	"gw_transaction_type" => "gwTransactionType",
	"harsh_stamp" => "harshStamp",
	"hd_bucket_id" => "hdBucketID",
	"hd_bucket_name" => "hdBucketName",
	"hd_contact_address_1" => "hdContactAddress1",
	"hd_contact_address_2" => "hdContactAddress2",
	"hd_contact_city" => "hdContactCity",
	"hd_contact_company" => "hdContactCompany",
	"hd_contact_date_created" => "hdContactDateCreated",
	"hd_contact_email" => "hdContactEmail",
	"hd_contact_fax" => "hdContactFax",
	"hd_contact_first_name" => "hdContactFirstName",
	"hd_contact_last_name" => "hdContactLastName",
	"hd_contact_phone1" => "hdContactPhone1",
	"hd_contact_phone2" => "hdContactPhone2",
	"hd_contact_state" => "hdContactState",
	"hd_contact_zip" => "hdContactZip",
	"hd_department_description" => "hdDepartmentDescription",
	"hd_department_id" => "hdDepartmentID",
	"hd_department_name" => "hdDepartmentName",
	"hd_email_tpl_body" => "hdEmailTplBody",
	"hd_email_tpl_id" => "hdEmailTplID",
	"hd_email_tpl_name" => "hdEmailTplName",
	"hd_email_tpl_subject" => "hdEmailTplSubject",
	"hd_resp_tpl_body" => "hdRespTplBody",
	"hd_resp_tpl_id" => "hdRespTplID",
	"hd_resp_tpl_name" => "hdRespTplName",
	"hd_ticket_attachment_filename" => "hdTicketAttachmentFilename",
	"hd_ticket_body" => "hdTicketBody",
	"hd_ticket_contact_id" => "hdTicketContactID",
	"hd_ticket_date_created" => "hdTicketDateCreated",
	"hd_ticket_date_modified" => "hdTicketDateModified",
	"hd_ticket_event_comment" => "hdTicketEventComment",
	"hd_ticket_event_id" => "hdTicketEventID",
	"hd_ticket_id" => "hdTicketID",
	"hd_ticket_key" => "hdTicketKey",
	"hd_ticket_note_body" => "hdTicketNoteBody",
	"hd_ticket_note_id" => "hdTicketNoteID",
	"hd_ticket_priority_id" => "hdTicketPriorityID",
	"hd_ticket_resp_body" => "hdTicketRespBody",
	"hd_ticket_resp_date_created" => "hdTicketRespDateCreated",
	"hd_ticket_resp_date_modified" => "hdTicketRespDateModified",
	"hd_ticket_resp_id" => "hdTicketRespID",
	"hd_ticket_status_id" => "hdTicketStatusID",
	"hd_ticket_subject" => "hdTicketSubject",
	"high_risk_email_weight" => "highRiskEmailWeight",
	"high_risk_shipping_weight" => "highRiskShippingWeight",
	"interface_id" => "interfaceID",
	"invoice_amount" => "invoiceAmount",
	"invoice_amount_paid" => "invoiceAmountPaid",
	"invoice_batch_count" => "invoiceBatchCount",
	"invoice_batch_sum" => "invoiceBatchSum",
	"invoice_batch_timestamp" => "invoiceBatchTimestamp",
	"invoice_comments" => "invoiceComments",
	"invoice_date_due" => "invoiceDateDue",
	"invoice_date_entered" => "invoiceDateEntered",
	"invoice_date_paid" => "invoiceDatePaid",
	"invoice_date_pushed" => "invoiceDatePushed",
	"invoice_declined_count" => "invoiceDeclinedCount",
	"invoice_declined_sum" => "invoiceDeclinedSum",
	"invoice_discount" => "invoiceDiscount",
	"invoice_due_count" => "invoiceDueCount",
	"invoice_due_sum" => "invoiceDueSum",
	"invoice_error_count" => "invoiceErrorCount",
	"invoice_error_sum" => "invoiceErrorSum",
	"invoice_id" => "invoiceID",
	"invoice_number" => "invoiceNumber",
	"invoice_paid_count" => "invoicePaidCount",
	"invoice_paid_sum" => "invoicePaidSum",
	"invoice_payment_method" => "invoicePaymentMethod",
	"invoice_process_date" => "invoiceProcessDate",
	"invoice_process_id" => "invoiceProcessID",
	"invoice_snapshot" => "invoiceSnapshot",
	"invoice_status" => "invoiceStatus",
	"invoice_sub_total" => "invoiceSubTotal",
	"invoice_tax_amount" => "invoiceTaxAmount",
	"invoice_tax_amount_type" => "invoiceTaxAmountType",
	"invoice_tax_total" => "invoiceTaxTotal",
	"invoice_total_count" => "invoiceTotalCount",
	"invoice_total_sum" => "invoiceTotalSum",
	"invoicing_group_id" => "invoicingGroupID",
	"invoicing_group_name" => "invoicingGroupName",
	"ip" => "ip",
	"ip_distance_weight" => "ipDistanceWeight",
	"ipn_date_created" => "ipnDateCreated",
	"ipn_get" => "ipnGet",
	"ipn_id" => "ipnID",
	"ipn_module" => "ipnModule",
	"ipn_post" => "ipnPost",
	"ipn_reason" => "ipnReason",
	"ipn_server" => "ipnServer",
	"ipn_status" => "ipnStatus",
	"journal_table_id" => "journalTableID",
	"journal_table_name" => "journalTableName",
	"journal_type" => "journalType",
	"language_c1" => "languageC1",
	"language_c2" => "languageC2",
	"language_id" => "languageID",
	"language_iso2" => "languageISO2",
	"language_iso3" => "languageISO3",
	"language_name" => "languageName",
	"ledger_account_id" => "ledgerAccountID",
	"ledger_account_name" => "ledgerAccountName",
	"ledger_account_number" => "ledgerAccountNumber",
	"ledger_account_trans_key" => "ledgerAccountTransKey",
	"ledger_account_type" => "ledgerAccountType",
	"ledger_group_id" => "ledgerGroupID",
	"ledger_group_name" => "ledgerGroupName",
	"level_one_action" => "levelOneAction",
	"level_one_score" => "levelOneScore",
	"level_three_action" => "levelThreeAction",
	"level_three_score" => "levelThreeScore",
	"level_two_action" => "levelTwoAction",
	"level_two_score" => "levelTwoScore",
	"license_cipher" => "licenseCipher",
	"license_data" => "licenseData",
	"license_date_created" => "licenseDateCreated",
	"license_date_last_renewal" => "licenseDateLastRenewal",
	"license_date_next_renewal" => "licenseDateNextRenewal",
	"license_date_stop_renewal" => "licenseDateStopRenewal",
	"license_id" => "licenseID",
	"license_key" => "licenseKey",
	"license_locked" => "licenseLocked",
	"license_status" => "licenseStatus",
	"line_item_date_begin_renewal" => "lineItemDateBeginRenewal",
	"line_item_date_current_renewal" => "lineItemDateCurrentRenewal",
	"line_item_date_next_renewal" => "lineItemDateNextRenewal",
	"line_item_description" => "lineItemDescription",
	"line_item_discount" => "lineItemDiscount",
	"line_item_discount_amount" => "lineItemDiscountAmount",
	"line_item_id" => "lineItemID",
	"line_item_is_usage" => "lineItemIsUsage",
	"line_item_payment_amount" => "lineItemPaymentAmount",
	"line_item_price_amount" => "lineItemPriceAmount",
	"line_item_quantity" => "lineItemQuantity",
	"line_item_setup_amount" => "lineItemSetupAmount",
	"line_item_tax_amount" => "lineItemTaxAmount",
	"line_item_tax_amount_type" => "lineItemTaxAmountType",
	"line_item_tax_total" => "lineItemTaxTotal",
	"line_item_taxable_tax_amount" => "lineItemTaxableTaxAmount",
	"line_item_total_amount" => "lineItemTotalAmount",
	"lite_stamp" => "liteStamp",
	"locale_country_iso_2" => "localeCountryISO2",
	"locale_currency_code" => "localeCurrencyCode",
	"locale_currency_digits" => "localeCurrencyDigits",
	"locale_currency_rounding" => "localeCurrencyRounding",
	"locale_currency_symbol" => "localeCurrencySymbol",
	"locale_date_full" => "localeDateFull",
	"locale_date_long" => "localeDateLong",
	"locale_date_medium" => "localeDateMedium",
	"locale_date_short" => "localeDateShort",
	"locale_datetime_am" => "localeDatetimeAm",
	"locale_datetime_pattern" => "localeDatetimePattern",
	"locale_datetime_pm" => "localeDatetimePm",
	"locale_day_abbreviated_fri" => "localeDayAbbreviatedFri",
	"locale_day_abbreviated_mon" => "localeDayAbbreviatedMon",
	"locale_day_abbreviated_sat" => "localeDayAbbreviatedSat",
	"locale_day_abbreviated_sun" => "localeDayAbbreviatedSun",
	"locale_day_abbreviated_thu" => "localeDayAbbreviatedThu",
	"locale_day_abbreviated_tue" => "localeDayAbbreviatedTue",
	"locale_day_abbreviated_wed" => "localeDayAbbreviatedWed",
	"locale_day_wide_fri" => "localeDayWideFri",
	"locale_day_wide_mon" => "localeDayWideMon",
	"locale_day_wide_sat" => "localeDayWideSat",
	"locale_day_wide_sun" => "localeDayWideSun",
	"locale_day_wide_thu" => "localeDayWideThu",
	"locale_day_wide_tue" => "localeDayWideTue",
	"locale_day_wide_wed" => "localeDayWideWed",
	"locale_id" => "localeID",
	"locale_language" => "localeLanguage",
	"locale_month_abbreviated_1" => "localeMonthAbbreviated1",
	"locale_month_abbreviated_10" => "localeMonthAbbreviated10",
	"locale_month_abbreviated_11" => "localeMonthAbbreviated11",
	"locale_month_abbreviated_12" => "localeMonthAbbreviated12",
	"locale_month_abbreviated_2" => "localeMonthAbbreviated2",
	"locale_month_abbreviated_3" => "localeMonthAbbreviated3",
	"locale_month_abbreviated_4" => "localeMonthAbbreviated4",
	"locale_month_abbreviated_5" => "localeMonthAbbreviated5",
	"locale_month_abbreviated_6" => "localeMonthAbbreviated6",
	"locale_month_abbreviated_7" => "localeMonthAbbreviated7",
	"locale_month_abbreviated_8" => "localeMonthAbbreviated8",
	"locale_month_abbreviated_9" => "localeMonthAbbreviated9",
	"locale_month_narrow_1" => "localeMonthNarrow1",
	"locale_month_narrow_10" => "localeMonthNarrow10",
	"locale_month_narrow_11" => "localeMonthNarrow11",
	"locale_month_narrow_12" => "localeMonthNarrow12",
	"locale_month_narrow_2" => "localeMonthNarrow2",
	"locale_month_narrow_3" => "localeMonthNarrow3",
	"locale_month_narrow_4" => "localeMonthNarrow4",
	"locale_month_narrow_5" => "localeMonthNarrow5",
	"locale_month_narrow_6" => "localeMonthNarrow6",
	"locale_month_narrow_7" => "localeMonthNarrow7",
	"locale_month_narrow_8" => "localeMonthNarrow8",
	"locale_month_narrow_9" => "localeMonthNarrow9",
	"locale_month_wide_1" => "localeMonthWide1",
	"locale_month_wide_10" => "localeMonthWide10",
	"locale_month_wide_11" => "localeMonthWide11",
	"locale_month_wide_12" => "localeMonthWide12",
	"locale_month_wide_2" => "localeMonthWide2",
	"locale_month_wide_3" => "localeMonthWide3",
	"locale_month_wide_4" => "localeMonthWide4",
	"locale_month_wide_5" => "localeMonthWide5",
	"locale_month_wide_6" => "localeMonthWide6",
	"locale_month_wide_7" => "localeMonthWide7",
	"locale_month_wide_8" => "localeMonthWide8",
	"locale_month_wide_9" => "localeMonthWide9",
	"locale_pattern_currency" => "localePatternCurrency",
	"locale_pattern_decimal" => "localePatternDecimal",
	"locale_separator_decimal" => "localeSeparatorDecimal",
	"locale_separator_grouping" => "localeSeparatorGrouping",
	"locale_sign_minus" => "localeSignMinus",
	"locale_sign_percent" => "localeSignPercent",
	"locale_time_full" => "localeTimeFull",
	"locale_time_long" => "localeTimeLong",
	"locale_time_medium" => "localeTimeMedium",
	"locale_time_short" => "localeTimeShort",
	"locale_week_firstday" => "localeWeekFirstday",
	"locale_week_weekend_end" => "localeWeekWeekendEnd",
	"locale_week_weekend_start" => "localeWeekWeekendStart",
	"may_assign_tickets" => "mayAssignTickets",
	"may_delete_tickets" => "mayDeleteTickets",
	"may_merge_tickets" => "mayMergeTickets",
	"may_modify_tickets" => "mayModifyTickets",
	"may_note_tickets" => "mayNoteTickets",
	"may_notify_user" => "mayNotifyUser",
	"may_respond_all" => "mayRespondAll",
	"may_respond_tickets" => "mayRespondTickets",
	"may_view_tickets" => "mayViewTickets",
	"mbapi_input" => "mbapiInput",
	"mbapi_log_date_created" => "mbapiLogDateCreated",
	"mbapi_log_id" => "mbapiLogID",
	"mbapi_response" => "mbapiResponse",
	"mbapi_status" => "mbapiStatus",
	"medium_stamp" => "mediumStamp",
	"migration_comment" => "migrationComment",
	"migration_config_id" => "migrationConfigID",
	"migration_dbdriver_type" => "migrationDBDRIVERType",
	"migration_dbhost" => "migrationDBHOST",
	"migration_dbname" => "migrationDBNAME",
	"migration_dbpassword" => "migrationDBPASSWORD",
	"migration_dbusername" => "migrationDBUSERNAME",
	"migration_ext_id" => "migrationExtID",
	"migration_ext_obj_key" => "migrationExtObjKey",
	"migration_ext_obj_name" => "migrationExtObjName",
	"migration_ext_seq_id" => "migrationExtSeqID",
	"migration_int_id" => "migrationIntID",
	"migration_int_obj_key" => "migrationIntObjKey",
	"migration_int_obj_name" => "migrationIntObjName",
	"migration_int_seq_id" => "migrationIntSeqID",
	"migration_mapping_id" => "migrationMappingID",
	"migration_name" => "migrationName",
	"migration_obj_id" => "migrationObjID",
	"migration_obj_name" => "migrationObjName",
	"migration_option_id" => "migrationOptionID",
	"migration_option_name" => "migrationOptionName",
	"migration_option_value" => "migrationOptionValue",
	"migration_order_form_id" => "migrationOrderFormID",
	"migration_orphan_product_id" => "migrationOrphanProductID",
	"migration_payment_group_id" => "migrationPaymentGroupID",
	"migration_product_id" => "migrationProductID",
	"migration_type" => "migrationType",
	"news_active" => "newsActive",
	"news_body" => "newsBody",
	"news_date_created" => "newsDateCreated",
	"news_group_active" => "newsGroupActive",
	"news_group_description" => "newsGroupDescription",
	"news_group_id" => "newsGroupID",
	"news_group_name" => "newsGroupName",
	"news_group_order" => "newsGroupOrder",
	"news_id" => "newsID",
	"news_short_body" => "newsShortBody",
	"news_subject" => "newsSubject",
	"notify_admin_group_id" => "notifyAdminGroupID",
	"open_proxy_weight" => "openProxyWeight",
	"or_billSameAsPrevious" => "orBillSameAsPrevious",
	"or_errorcode" => "orErrorcode",
	"or_errormsg" => "orErrormsg",
	"or_id" => "orID",
	"or_startstamp" => "orStartstamp",
	"or_status" => "orStatus",
	"or_submitstamp" => "orSubmitstamp",
	"or_successcode" => "orSuccesscode",
	"or_syncstamp" => "orSyncstamp",
	"or_techSameAsAdmin" => "orTechSameAsAdmin",
	"order_form_disable_charging" => "orderFormDisableCharging",
	"order_form_id" => "orderFormID",
	"order_form_item_id" => "orderFormItemID",
	"order_form_item_order" => "orderFormItemOrder",
	"order_form_name" => "orderFormName",
	"order_form_param_description" => "orderFormParamDescription",
	"order_form_param_id" => "orderFormParamID",
	"order_form_param_input_type" => "orderFormParamInputType",
	"order_form_param_locked" => "orderFormParamLocked",
	"order_form_param_name" => "orderFormParamName",
	"order_form_param_order" => "orderFormParamOrder",
	"order_form_param_required" => "orderFormParamRequired",
	"order_form_param_trans_key" => "orderFormParamTransKey",
	"order_form_param_value" => "orderFormParamValue",
	"order_form_value_id" => "orderFormValueID",
	"order_form_value_name" => "orderFormValueName",
	"order_form_value_order" => "orderFormValueOrder",
	"order_form_value_trans_key" => "orderFormValueTransKey",
	"order_form_verify_vat" => "orderFormVerifyVat",
	"override_one_action" => "overrideOneAction",
	"override_one_amount" => "overrideOneAmount",
	"override_three_action" => "overrideThreeAction",
	"override_three_amount" => "overrideThreeAmount",
	"override_two_action" => "overrideTwoAction",
	"override_two_amount" => "overrideTwoAmount",
	"package_active" => "packageActive",
	"package_addon_active" => "packageAddonActive",
	"package_addon_attribute_id" => "packageAddonAttributeID",
	"package_addon_discount" => "packageAddonDiscount",
	"package_addon_discountable" => "packageAddonDiscountable",
	"package_addon_display_name" => "packageAddonDisplayName",
	"package_addon_id" => "packageAddonID",
	"package_addon_ledger_comment" => "packageAddonLedgerComment",
	"package_addon_ledger_credit" => "packageAddonLedgerCredit",
	"package_addon_ledger_debit" => "packageAddonLedgerDebit",
	"package_addon_ledger_id" => "packageAddonLedgerID",
	"package_addon_original_price" => "packageAddonOriginalPrice",
	"package_addon_price" => "packageAddonPrice",
	"package_addon_price_lock" => "packageAddonPriceLock",
	"package_addon_product_id" => "packageAddonProductID",
	"package_addon_setup" => "packageAddonSetup",
	"package_attribute_date_created" => "packageAttributeDateCreated",
	"package_attribute_id" => "packageAttributeID",
	"package_attribute_name" => "packageAttributeName",
	"package_attribute_value" => "packageAttributeValue",
	"package_cancellation_type" => "packageCancellationType",
	"package_client_permissions" => "packageClientPermissions",
	"package_comments" => "packageComments",
	"package_cost_amount" => "packageCostAmount",
	"package_cost_currency_id" => "packageCostCurrencyID",
	"package_database_date_created" => "packageDatabaseDateCreated",
	"package_database_id" => "packageDatabaseID",
	"package_database_name" => "packageDatabaseName",
	"package_database_password" => "packageDatabasePassword",
	"package_database_type" => "packageDatabaseType",
	"package_database_username" => "packageDatabaseUsername",
	"package_date_begin_renewal" => "packageDateBeginRenewal",
	"package_date_cancelled" => "packageDateCancelled",
	"package_date_created" => "packageDateCreated",
	"package_date_last_renewal" => "packageDateLastRenewal",
	"package_date_next_renewal" => "packageDateNextRenewal",
	"package_date_stop_renewal" => "packageDateStopRenewal",
	"package_discount" => "packageDiscount",
	"package_discountable" => "packageDiscountable",
	"package_fee_id" => "packageFeeID",
	"package_group_id" => "packageGroupID",
	"package_id" => "packageID",
	"package_invoice_separately" => "packageInvoiceSeparately",
	"package_ledger_comment" => "packageLedgerComment",
	"package_ledger_credit" => "packageLedgerCredit",
	"package_ledger_debit" => "packageLedgerDebit",
	"package_ledger_id" => "packageLedgerID",
	"package_ledger_num_cycles" => "packageLedgerNumCycles",
	"package_name" => "packageName",
	"package_new_count" => "packageNewCount",
	"package_new_sum" => "packageNewSum",
	"package_original_price" => "packageOriginalPrice",
	"package_pending_cancellation" => "packagePendingCancellation",
	"package_pop_date_created" => "packagePopDateCreated",
	"package_pop_ftp" => "packagePopFtp",
	"package_pop_id" => "packagePopID",
	"package_pop_password" => "packagePopPassword",
	"package_pop_quota" => "packagePopQuota",
	"package_pop_real_name" => "packagePopRealName",
	"package_pop_telnet" => "packagePopTelnet",
	"package_pop_username" => "packagePopUsername",
	"package_price" => "packagePrice",
	"package_price_lock" => "packagePriceLock",
	"package_prior_id" => "packagePriorID",
	"package_proratable" => "packageProratable",
	"package_quantity" => "packageQuantity",
	"package_renew_count" => "packageRenewCount",
	"package_renew_sum" => "packageRenewSum",
	"package_setup" => "packageSetup",
	"package_setup_cost_amount" => "packageSetupCostAmount",
	"package_setup_cost_currency_id" => "packageSetupCostCurrencyID",
	"package_status" => "packageStatus",
	"package_status_reason" => "packageStatusReason",
	"package_type" => "packageType",
	"package_usage" => "packageUsage",
	"package_usage_com_brand" => "packageUsageComBrand",
	"package_usage_com_type" => "packageUsageComType",
	"package_usage_cost" => "packageUsageCost",
	"package_usage_data_size" => "packageUsageDataSize",
	"package_usage_date_billed" => "packageUsageDateBilled",
	"package_usage_date_created" => "packageUsageDateCreated",
	"package_usage_date_session" => "packageUsageDateSession",
	"package_usage_external_status" => "packageUsageExternalStatus",
	"package_usage_external_status_error" => "packageUsageExternalStatusError",
	"package_usage_extra_info_1" => "packageUsageExtraInfo1",
	"package_usage_extra_info_2" => "packageUsageExtraInfo2",
	"package_usage_extra_info_3" => "packageUsageExtraInfo3",
	"package_usage_extra_info_f1" => "packageUsageExtraInfoF1",
	"package_usage_extra_info_f2" => "packageUsageExtraInfoF2",
	"package_usage_extra_info_f3" => "packageUsageExtraInfoF3",
	"package_usage_extra_info_f4" => "packageUsageExtraInfoF4",
	"package_usage_extra_info_f5" => "packageUsageExtraInfoF5",
	"package_usage_extra_info_f6" => "packageUsageExtraInfoF6",
	"package_usage_link_date" => "packageUsageLinkDate",
	"package_usage_link_status" => "packageUsageLinkStatus",
	"package_usage_message_date" => "packageUsageMessageDate",
	"package_usage_message_duration" => "packageUsageMessageDuration",
	"package_usage_price" => "packageUsagePrice",
	"package_usage_rate" => "packageUsageRate",
	"package_usage_record_type" => "packageUsageRecordType",
	"package_usage_serial_number" => "packageUsageSerialNumber",
	"package_usage_type" => "packageUsageType",
	"package_usage_username" => "packageUsageUsername",
	"package_usage_vendor" => "packageUsageVendor",
	"package_usage_vessel" => "packageUsageVessel",
	"parent_change_log_id" => "parentChangeLogID",
	"parent_config_group_id" => "parentConfigGroupID",
	"parent_ledger_account_id" => "parentLedgerAccountID",
	"parent_package_id" => "parentPackageID",
	"parent_shopping_item_id" => "parentShoppingItemID",
	"payment_amount" => "paymentAmount",
	"payment_date_charged" => "paymentDateCharged",
	"payment_date_created" => "paymentDateCreated",
	"payment_description" => "paymentDescription",
	"payment_group_currency_id" => "paymentGroupCurrencyID",
	"payment_group_id" => "paymentGroupID",
	"payment_group_name" => "paymentGroupName",
	"payment_groups_gateway_rel_id" => "paymentGroupsGatewayRelID",
	"payment_id" => "paymentID",
	"payment_process_date" => "paymentProcessDate",
	"payment_process_id" => "paymentProcessID",
	"prepay_discount_active" => "prepayDiscountActive",
	"prepay_discount_amount" => "prepayDiscountAmount",
	"prepay_discount_id" => "prepayDiscountID",
	"prepay_discount_name" => "prepayDiscountName",
	"prepay_discount_num_cycles" => "prepayDiscountNumCycles",
	"prepay_discount_percentage" => "prepayDiscountPercentage",
	"primary_domain_id" => "primaryDomainID",
	"primary_score_to_use" => "primaryScoreToUse",
	"prior_billing_account_id" => "priorBillingAccountID",
	"priority_id" => "priorityID",
	"product_active" => "productActive",
	"product_addon_attribute_name" => "productAddonAttributeName",
	"product_addon_group_active" => "productAddonGroupActive",
	"product_addon_group_id" => "productAddonGroupID",
	"product_addon_group_input_type" => "productAddonGroupInputType",
	"product_addon_group_name" => "productAddonGroupName",
	"product_addon_group_none_choice" => "productAddonGroupNoneChoice",
	"product_addon_group_rel_id" => "productAddonGroupRelID",
	"product_addon_required" => "productAddonRequired",
	"product_attribute_date_created" => "productAttributeDateCreated",
	"product_attribute_id" => "productAttributeID",
	"product_attribute_name" => "productAttributeName",
	"product_attribute_value" => "productAttributeValue",
	"product_cancellation_type" => "productCancellationType",
	"product_comments" => "productComments",
	"product_date_created" => "productDateCreated",
	"product_discountable" => "productDiscountable",
	"product_domain_required" => "productDomainRequired",
	"product_group_api_name" => "productGroupApiName",
	"product_group_id" => "productGroupID",
	"product_group_name" => "productGroupName",
	"product_id" => "productID",
	"product_intro_cycle_id" => "productIntroCycleID",
	"product_intro_num_cycles" => "productIntroNumCycles",
	"product_invoice_separately" => "productInvoiceSeparately",
	"product_is_addon" => "productIsAddon",
	"product_is_lockable" => "productIsLockable",
	"product_ledger_comment" => "productLedgerComment",
	"product_ledger_credit" => "productLedgerCredit",
	"product_ledger_debit" => "productLedgerDebit",
	"product_ledger_id" => "productLedgerID",
	"product_ledger_num_cycles" => "productLedgerNumCycles",
	"product_name" => "productName",
	"product_proratable" => "productProratable",
	"product_relation_id" => "productRelationID",
	"product_relation_type" => "productRelationType",
	"product_stop_num_cycles" => "productStopNumCycles",
	"product_type" => "productType",
	"product_usage_price_amount" => "productUsagePriceAmount",
	"product_usage_price_id" => "productUsagePriceID",
	"product_variable_id" => "productVariableID",
	"product_variable_name" => "productVariableName",
	"product_variable_value" => "productVariableValue",
	"product_variable_value_id" => "productVariableValueID",
	"product_variant_active" => "productVariantActive",
	"product_variant_display_name" => "productVariantDisplayName",
	"product_variant_id" => "productVariantID",
	"product_variant_price_amount" => "productVariantPriceAmount",
	"product_variant_price_id" => "productVariantPriceID",
	"product_variant_price_type" => "productVariantPriceType",
	"product_vendor_qty_id" => "productVendorQtyID",
	"proration_discount" => "prorationDiscount",
	"proration_discount_amount" => "prorationDiscountAmount",
	"proration_duration" => "prorationDuration",
	"protx_authorization_code" => "protxAuthorizationCode",
	"protx_security_key" => "protxSecurityKey",
	"protx_transaction_code" => "protxTransactionCode",
	"protx_transaction_id" => "protxTransactionID",
	"purchase_acc_pay_credit_amount" => "purchaseAccPayCreditAmount",
	"purchase_acc_pay_debit_amount" => "purchaseAccPayDebitAmount",
	"purchase_cash_credit_amount" => "purchaseCashCreditAmount",
	"purchase_cash_debit_amount" => "purchaseCashDebitAmount",
	"purchase_credit_amount" => "purchaseCreditAmount",
	"purchase_date_created" => "purchaseDateCreated",
	"purchase_debit_amount" => "purchaseDebitAmount",
	"purchase_description" => "purchaseDescription",
	"purchase_journal_id" => "purchaseJournalID",
	"quantity_available" => "quantityAvailable",
	"quantity_unavailable" => "quantityUnavailable",
	"question_display_name" => "questionDisplayName",
	"question_id" => "questionID",
	"question_order" => "questionOrder",
	"question_param_id" => "questionParamID",
	"question_param_name" => "questionParamName",
	"question_param_order" => "questionParamOrder",
	"question_param_value_id" => "questionParamValueID",
	"question_param_value_text" => "questionParamValueText",
	"question_type" => "questionType",
	"r_id" => "rID",
	"receipt_acc_rec_credit_amount" => "receiptAccRecCreditAmount",
	"receipt_acc_rec_debit_amount" => "receiptAccRecDebitAmount",
	"receipt_cash_credit_amount" => "receiptCashCreditAmount",
	"receipt_cash_debit_amount" => "receiptCashDebitAmount",
	"receipt_coupon_credit_amount" => "receiptCouponCreditAmount",
	"receipt_coupon_debit_amount" => "receiptCouponDebitAmount",
	"receipt_date_created" => "receiptDateCreated",
	"receipt_description" => "receiptDescription",
	"receipt_journal_id" => "receiptJournalID",
	"receipt_sales_credit_amount" => "receiptSalesCreditAmount",
	"receipt_sales_debit_amount" => "receiptSalesDebitAmount",
	"receipt_tax_pay_credit_amount" => "receiptTaxPayCreditAmount",
	"receipt_tax_pay_debit_amount" => "receiptTaxPayDebitAmount",
	"regions_id" => "regionsID",
	"registrar_credits" => "registrarCredits",
	"registrar_debits" => "registrarDebits",
	"registrar_id" => "registrarID",
	"related_product_id" => "relatedProductID",
	"report_date_created" => "reportDateCreated",
	"report_saved" => "reportSaved",
	"saved_order_code" => "savedOrderCode",
	"saved_order_date_modified" => "savedOrderDateModified",
	"sec_gateway_config_group_id" => "secGatewayConfigGroupID",
	"secret_answer" => "secretAnswer",
	"secret_answer_id" => "secretAnswerID",
	"seller_active" => "sellerActive",
	"seller_api_status" => "sellerApiStatus",
	"seller_api_url" => "sellerApiURL",
	"seller_date_registered" => "sellerDateRegistered",
	"seller_id" => "sellerID",
	"seller_password" => "sellerPassword",
	"seller_username" => "sellerUsername",
	"server_active" => "serverActive",
	"server_description" => "serverDescription",
	"server_group_fill_type" => "serverGroupFillType",
	"server_group_id" => "serverGroupID",
	"server_group_name" => "serverGroupName",
	"server_id" => "serverID",
	"server_ip" => "serverIP",
	"server_name" => "serverName",
	"server_status_id" => "serverStatusID",
	"session_active" => "sessionActive",
	"session_date_accessed" => "sessionDateAccessed",
	"session_date_created" => "sessionDateCreated",
	"session_date_expired" => "sessionDateExpired",
	"session_headers" => "sessionHeaders",
	"session_id" => "sessionID",
	"session_ip" => "sessionIP",
	"shopping_coupon_type" => "shoppingCouponType",
	"shopping_item_date_added" => "shoppingItemDateAdded",
	"shopping_item_domain_language" => "shoppingItemDomainLanguage",
	"shopping_item_domain_type" => "shoppingItemDomainType",
	"shopping_item_id" => "shoppingItemID",
	"shopping_item_price" => "shoppingItemPrice",
	"shopping_item_primary_domain_id" => "shoppingItemPrimaryDomainID",
	"shopping_item_quantity" => "shoppingItemQuantity",
	"shopping_item_setup_price" => "shoppingItemSetupPrice",
	"shopping_item_sld" => "shoppingItemSLD",
	"shopping_item_tld" => "shoppingItemTLD",
	"shopping_item_transfer_key" => "shoppingItemTransferKey",
	"shopping_items_domains_rel_id" => "shoppingItemsDomainsRelID",
	"shopping_items_domains_type" => "shoppingItemsDomainsType",
	"shopping_session_fingerprint" => "shoppingSessionFingerprint",
	"shopping_session_id" => "shoppingSessionID",
	"shopping_session_ip" => "shoppingSessionIP",
	"shopping_session_timestamp" => "shoppingSessionTimestamp",
	"shopping_session_url" => "shoppingSessionURL",
	"source_admin_id" => "sourceAdminID",
	"source_log_col_id" => "sourceLogColID",
	"source_log_col_name" => "sourceLogColName",
	"source_log_col_new_val" => "sourceLogColNewVal",
	"source_log_col_old_val" => "sourceLogColOldVal",
	"source_log_date_created" => "sourceLogDateCreated",
	"source_log_id" => "sourceLogID",
	"source_log_row_id" => "sourceLogRowID",
	"source_log_row_pri_key" => "sourceLogRowPriKey",
	"source_log_source_type" => "sourceLogSourceType",
	"source_log_user_id" => "sourceLogUserID",
	"source_log_user_type" => "sourceLogUserType",
	"step_id" => "stepID",
	"step_name" => "stepName",
	"subject_product_id" => "subjectProductID",
	"subscription_account_identifier" => "subscriptionAccountIDENTIFIER",
	"subscription_date_created" => "subscriptionDateCreated",
	"subscription_date_modified" => "subscriptionDateModified",
	"subscription_external_id" => "subscriptionExternalID",
	"subscription_id" => "subscriptionID",
	"subscription_status" => "subscriptionStatus",
	"suspend_id" => "suspendID",
	"suspend_stamp" => "suspendStamp",
	"system_queue_command" => "systemQueueCommand",
	"system_queue_command_input" => "systemQueueCommandInput",
	"system_queue_date_created" => "systemQueueDateCreated",
	"system_queue_date_finished" => "systemQueueDateFinished",
	"system_queue_date_started" => "systemQueueDateStarted",
	"system_queue_date_to_run" => "systemQueueDateToRun",
	"system_queue_day" => "systemQueueDay",
	"system_queue_hour" => "systemQueueHour",
	"system_queue_id" => "systemQueueID",
	"system_queue_is_recurring" => "systemQueueIsRecurring",
	"system_queue_log_date_created" => "systemQueueLogDateCreated",
	"system_queue_log_id" => "systemQueueLogID",
	"system_queue_log_message" => "systemQueueLogMessage",
	"system_queue_minute" => "systemQueueMinute",
	"system_queue_month" => "systemQueueMonth",
	"system_queue_num_errors" => "systemQueueNumErrors",
	"system_queue_parent_id" => "systemQueueParentID",
	"system_queue_status" => "systemQueueStatus",
	"system_queue_year" => "systemQueueYear",
	"tax_id_number" => "taxIDNumber",
	"tax_zone_active" => "taxZoneActive",
	"tax_zone_amount" => "taxZoneAmount",
	"tax_zone_amount_type" => "taxZoneAmountType",
	"tax_zone_description" => "taxZoneDescription",
	"tax_zone_group_active" => "taxZoneGroupActive",
	"tax_zone_group_id" => "taxZoneGroupID",
	"tax_zone_group_name" => "taxZoneGroupName",
	"tax_zone_group_zone_rel_id" => "taxZoneGroupZoneRelID",
	"tax_zone_id" => "taxZoneID",
	"tax_zone_name" => "taxZoneName",
	"tax_zone_stackable" => "taxZoneStackable",
	"theme_active" => "themeActive",
	"theme_display_name" => "themeDisplayName",
	"theme_id" => "themeID",
	"theme_name" => "themeName",
	"threshold_id" => "thresholdID",
	"threshold_name" => "thresholdName",
	"tld_active" => "tldActive",
	"tld_auto_search" => "tldAutoSearch",
	"tld_display_order" => "tldDisplayOrder",
	"tld_extension" => "tldExtension",
	"tld_id" => "tldID",
	"tld_idn_support" => "tldIDNSupport",
	"tld_idn_type" => "tldIDNType",
	"tld_is_transferable" => "tldIsTransferable",
	"tld_maximum_cycle_id" => "tldMaximumCycleID",
	"tld_minimum_cycle_id" => "tldMinimumCycleID",
	"tld_name" => "tldName",
	"tld_remote_lock_enabled" => "tldRemoteLockEnabled",
	"tld_renew_type" => "tldRenewType",
	"tld_transfer_minimum_cycle_id" => "tldTransferMinimumCycleID",
	"tld_transfer_type" => "tldTransferType",
	"tld_whois_resp" => "tldWhoisResp",
	"tld_whois_server" => "tldWhoisServer",
	"todo_assigned_admin_id" => "todoAssignedAdminID",
	"todo_date_created" => "todoDateCreated",
	"todo_date_due" => "todoDateDue",
	"todo_desc" => "todoDesc",
	"todo_id" => "todoID",
	"todo_is_public" => "todoIsPublic",
	"todo_link_action_name" => "todoLinkActionName",
	"todo_link_file" => "todoLinkFile",
	"todo_link_name" => "todoLinkName",
	"todo_link_pk" => "todoLinkPk",
	"todo_priority" => "todoPriority",
	"todo_status_id" => "todoStatusID",
	"todo_title" => "todoTitle",
	"transaction_amount" => "transactionAmount",
	"transaction_amount_refunded" => "transactionAmountRefunded",
	"transaction_code" => "transactionCode",
	"transaction_date_created" => "transactionDateCreated",
	"transaction_id" => "transactionID",
	"transaction_notes" => "transactionNotes",
	"transaction_payment_method" => "transactionPaymentMethod",
	"update_by" => "updateBy",
	"update_timestamp" => "updateTimestamp",
	"usage_calculate_only" => "usageCalculateOnly",
	"usage_cycle_id" => "usageCycleID",
	"usage_date_last_renewal" => "usageDateLastRenewal",
	"usage_date_next_renewal" => "usageDateNextRenewal",
	"usage_log_date_billed" => "usageLogDateBilled",
	"usage_log_date_created" => "usageLogDateCreated",
	"usage_log_id" => "usageLogID",
	"user_id" => "userID",
	"user_type" => "userType",
	"value_map_id" => "valueMapID",
	"value_map_name" => "valueMapName",
	"value_mapping_id" => "valueMappingID",
	"value_mapping_value" => "valueMappingValue",
	"velocitypay_auth_amount" => "velocitypayAuthAmount",
	"velocitypay_cross_reference" => "velocitypayCrossReference",
	"vendor_activation_rule" => "vendorActivationRule",
	"vendor_active" => "vendorActive",
	"vendor_address_1" => "vendorAddress1",
	"vendor_address_2" => "vendorAddress2",
	"vendor_api_url" => "vendorApiURL",
	"vendor_city" => "vendorCity",
	"vendor_contact_active" => "vendorContactActive",
	"vendor_contact_fax" => "vendorContactFax",
	"vendor_contact_first_name" => "vendorContactFirstName",
	"vendor_contact_id" => "vendorContactID",
	"vendor_contact_last_name" => "vendorContactLastName",
	"vendor_contact_phone1" => "vendorContactPhone1",
	"vendor_contact_phone2" => "vendorContactPhone2",
	"vendor_date_last_invoice_sync" => "vendorDateLastInvoiceSync",
	"vendor_id" => "vendorID",
	"vendor_inv_msg_id" => "vendorInvMsgID",
	"vendor_inv_msg_text" => "vendorInvMsgText",
	"vendor_inv_msg_token" => "vendorInvMsgToken",
	"vendor_inv_msg_type" => "vendorInvMsgType",
	"vendor_inv_note_date" => "vendorInvNoteDate",
	"vendor_inv_note_id" => "vendorInvNoteID",
	"vendor_inv_note_qty" => "vendorInvNoteQty",
	"vendor_inv_note_type" => "vendorInvNoteType",
	"vendor_markup_percentage" => "vendorMarkupPercentage",
	"vendor_name" => "vendorName",
	"vendor_order_form_id" => "vendorOrderFormID",
	"vendor_package_id" => "vendorPackageID",
	"vendor_product_id" => "vendorProductID",
	"vendor_product_variant_id" => "vendorProductVariantID",
	"vendor_prov_id" => "vendorProvID",
	"vendor_seller_password" => "vendorSellerPassword",
	"vendor_seller_username" => "vendorSellerUsername",
	"vendor_state" => "vendorState",
	"vendor_zip" => "vendorZip",
	"website_widget_id" => "websiteWidgetID",
	"website_widget_name" => "websiteWidgetName",
	"website_widget_order" => "websiteWidgetOrder",
	"website_widget_tpl" => "websiteWidgetTpl",
	"whois_date_created" => "whoisDateCreated",
	"whois_domain" => "whoisDomain",
	"whois_from" => "whoisFrom",
	"whois_id" => "whoisID",
	"whois_quantity" => "whoisQuantity",
	"wizard_data" => "wizardData",
	"wizard_date_modified" => "wizardDateModified",
	"wizard_id" => "wizardID",
);
$CONF["dbfull"] = array(
	"accounting_control_rel" => array("general_ledger_id","control_type","control_id"),
	"accounting_general_journal" => array("general_journal_id","general_date_created","general_description","general_debit_amount","general_credit_amount","currency_id"),
	"accounting_general_ledger" => array("general_ledger_id","client_id","invoice_id","journal_table_id","journal_table_name","general_ledger_type","ledger_account_id","general_ledger_date_created","general_ledger_description","general_ledger_debit_amount","general_ledger_credit_amount","currency_id"),
	"accounting_ledger_accounts" => array("ledger_account_id","parent_ledger_account_id","ledger_account_number","ledger_account_type","ledger_account_name","ledger_account_trans_key"),
	"accounting_ledger_groups" => array("ledger_group_id","ledger_group_name"),
	"accounting_purchases_journal" => array("purchase_journal_id","client_id","invoice_id","line_item_id","purchase_date_created","purchase_description","purchase_debit_amount","purchase_credit_amount","purchase_acc_pay_debit_amount","purchase_acc_pay_credit_amount","purchase_cash_debit_amount","purchase_cash_credit_amount","currency_id"),
	"accounting_receipts_journal" => array("receipt_journal_id","client_id","invoice_id","transaction_id","receipt_date_created","receipt_description","receipt_cash_debit_amount","receipt_cash_credit_amount","receipt_acc_rec_debit_amount","receipt_acc_rec_credit_amount","receipt_sales_debit_amount","receipt_sales_credit_amount","receipt_tax_pay_debit_amount","receipt_tax_pay_credit_amount","receipt_coupon_debit_amount","receipt_coupon_credit_amount","currency_id"),
	"admin_group_action_rel" => array("admin_group_id","action_name"),
	"admin_group_rel" => array("admin_group_id","admin_id"),
	"admin_groups" => array("admin_group_id","admin_group_name"),
	"admins" => array("admin_id","admin_first_name","admin_last_name","admin_email","admin_username","admin_password","admin_temp_password","admin_remote_access_hash","admin_active","theme_id","language_id","countries_id"),
	"affiliates" => array("affiliate_id","client_id","affiliate_code","affiliate_hits","affiliate_count","affiliate_pay_time","affiliate_pay_amount","affiliate_pay_type","affiliate_pay_cycle","affiliate_pay_sum","affiliate_status","affiliate_date_created"),
	"attribute_groups" => array("group_id","group_name","group_active"),
	"attribute_map_mapping_rel" => array("attribute_map_id","attribute_mapping_id"),
	"attribute_mappings" => array("attribute_mapping_id","attribute_id","attribute_match_value","attribute_nomatch_value"),
	"attribute_maps" => array("attribute_map_id","attribute_map_name"),
	"attributes" => array("attribute_id","attribute_name","attribute_type","attribute_subtype","attribute_input_restrictions","question_id","value_map_id","product_id","order_form_id","config_group_id"),
	"bans" => array("ban_id","ban_type","ban_string","ban_message","ban_count","ban_active","ban_date_last_used"),
	"batch_log" => array("batch_log_id","batch_date_created","batch_sum_approved","batch_sum_declined","batch_sum_error","batch_num_approved","batch_num_declined","batch_num_error"),
	"bookmarks" => array("bookmark_id","admin_id","client_id","bookmark_url","bookmark_action","bookmark_args","bookmark_name","bookmark_target","bookmark_window_width","bookmark_window_height","bookmark_count"),
	"callback_log" => array("callback_log_id","callback_log_type","callback_log_transaction_id","callback_log_parent_transaction_id","callback_log_action","callback_log_action_status","client_id","billing_account_id","transaction_id","subscription_id","config_group_id","callback_log_date_created"),
	"callback_log_attributes" => array("callback_log_attribute_id","callback_log_id","callback_log_attribute_name","callback_log_attribute_value"),
	"client_attributes" => array("client_attribute_id","client_id","order_form_id","attribute_id","client_attribute_value"),
	"client_billing_account_shares" => array("billing_account_share_id","billing_account_id","package_id","billing_account_fallback_group","billing_account_share_group","billing_account_share_value"),
	"client_billing_accounts" => array("billing_account_id","prior_billing_account_id","billing_account_date_failed","billing_account_historical","client_contact_id","billing_card_name_on_card","billing_card_type","billing_card_num","billing_card_exp_month","billing_card_exp_year","billing_card_issue_num","billing_card_start_date","protx_security_key","protx_transaction_code","protx_transaction_id","protx_authorization_code","velocitypay_cross_reference","velocitypay_auth_amount","billing_bank_type","billing_bank_name","billing_bank_aba_code","billing_bank_account_num","billing_bank_license_num","billing_bank_license_state","billing_bank_dob","billing_bank_state","billing_account_num_last_four","billing_account_active","billing_account_type","billing_account_status","sec_gateway_config_group_id"),
	"client_change_log" => array("change_log_id","client_id","change_log_db_table_name","change_log_db_table_pk","change_log_db_table_pkvalue","change_log_column_name","change_log_old_value","change_log_new_value","change_log_action_by","change_log_action_who","parent_change_log_id","change_log_date_created"),
	"client_children_rel" => array("client_id","child_client_id"),
	"client_contact_session_rel" => array("client_contact_id","session_id"),
	"client_contacts" => array("client_contact_id","client_id","contact_username","contact_password","contact_temp_password","contact_first_name","contact_last_name","contact_email","contact_email_format","contact_email_invoice_pdf","contact_company","contact_address_1","contact_address_2","contact_city","contact_county","contact_state","contact_zip","language_id","countries_id","contact_phone1","contact_phone2","contact_fax","contact_mobile_phone","contact_date_created","contact_primary","contact_active","contact_external_id_1","contact_external_id_2","contact_external_id_3"),
	"client_group_rel" => array("client_id","client_group_id"),
	"client_groups" => array("client_group_id","client_group_name"),
	"client_notes" => array("client_note_id","client_id","admin_id","client_note_date_created","client_note_date_modified","client_note_text"),
	"clients" => array("client_id","company_id","client_company","client_status","client_status_reason","apply_tax","tax_id_number","theme_id","countries_id","client_active","client_mail_invoices","group_id","client_billing_day","default_billing_account_id","client_date_created","client_date_cancelled","client_signup_ip","client_last_ip"),
	"companies" => array("company_id","company_name","company_short_description","company_description","company_url","company_client_url","company_order_url","company_email","company_address_1","company_address_2","company_city","company_state","company_zip","countries_id","company_phone1","company_phone2","company_fax","company_tax_id_number"),
	"company_admin_group_rel" => array("company_id","admin_group_id"),
	"company_admin_rel" => array("company_id","admin_id"),
	"company_client_group_rel" => array("company_id","client_group_id"),
	"company_news_rel" => array("company_id","news_id"),
	"company_product_rel" => array("company_id","product_id"),
	"config_groups" => array("config_group_id","parent_config_group_id","config_group_name","config_group_icon","config_group_trans_key","config_group_order","config_group_locked","config_group_action_file","config_group_action_name"),
	"config_param_values" => array("config_param_value_id","config_param_id","config_param_value_name","config_param_value_trans_key","config_param_value_order"),
	"config_params" => array("config_param_id","config_group_id","config_param_name","config_param_value","config_param_group_trans_key","config_param_trans_key","config_param_description","config_param_input_type","config_param_required","config_param_order","config_param_locked"),
	"contact_email_action_rel" => array("client_contact_id","email_action_id"),
	"countries" => array("countries_id","countries_iso_2","countries_iso_num","countries_region","countries_phone_code"),
	"coupon_condition_groups" => array("coupon_condition_group_id","coupon_condition_group_name","coupon_id","coupon_condition_group_active"),
	"coupon_conditions" => array("coupon_condition_id","coupon_condition_group_id","product_variant_id","cycle_id"),
	"coupons" => array("coupon_id","coupon_code","coupon_discount","coupon_type","coupon_comments","coupon_active","coupon_date_created","coupon_date_started","coupon_date_ended","coupon_count","coupon_max_count","coupon_new_only","coupon_num_cycles","coupon_apply_number"),
	"cycle_discount_groups" => array("cycle_discount_group_id","cycle_discount_group_name","cycle_discount_group_active"),
	"cycle_discounts" => array("cycle_discount_id","cycle_discount_group_id","cycle_discount_active","cycle_id","cycle_discount_amount"),
	"cycle_group_rel" => array("cycle_id","cycle_group_id"),
	"cycle_groups" => array("cycle_group_id","cycle_group_display_name","cycle_group_internal_name"),
	"cycles" => array("cycle_id","cycle_display_name","cycle_num_seconds","cycle_num_minutes","cycle_num_hours","cycle_num_days","cycle_num_months","cycle_num_years"),
	"data_change_log" => array("change_log_id","user_type","user_id","change_log_date_created","change_log_table_name","change_log_column_name","change_log_column_id"),
	"dbg_entries" => array("dbg_entry_id","dbg_pageload_id","dbg_entry_date_created","dbg_entry_file","dbg_entry_line","dbg_entry_message"),
	"dbg_pageloads" => array("dbg_pageload_id","dbg_pageload_date_created","dbg_pageload_page","dbg_pageload_action","dbg_pageload_pid","user_type","user_id"),
	"email_addresses" => array("email_address_id","email_address_name","email_address","email_address_type","email_id"),
	"email_attachments" => array("email_attachment_id","email_id","email_attachment_path","email_attachment_remote"),
	"email_headers" => array("email_header_id","email_id","email_header"),
	"email_queue" => array("email_id","client_contact_id","admin_id","email_subject","email_body","email_text_body","email_from_address","email_from_name","email_sent","email_sent_type","email_failed","email_date_created","email_date_sent","email_active"),
	"email_tpl_groups" => array("email_tpl_group_id","email_tpl_group_name","email_action_id","email_tpl_group_priority","email_tpl_group_from_name","email_tpl_group_from_address","email_tpl_group_reply_name","email_tpl_group_reply_address","email_tpl_group_cc_address","email_tpl_group_bcc_address"),
	"email_tpls" => array("email_tpl_id","email_tpl_group_id","email_tpl_subject","email_tpl_primary","email_tpl_body","email_tpl_text_body","language_id","country_type","countries_id","regions_id"),
	"faq_categories" => array("faq_category_id","faq_category_name","faq_category_type"),
	"faqs" => array("faq_id","faq_category_id","faq_question","faq_answer","faq_date_created"),
	"fraud_country_thresholds" => array("threshold_id","threshold_name","country_type","countries_id","regions_id","level_one_score","level_two_score","level_three_score","level_one_action","level_two_action","level_three_action","catch_all_action","override_one_amount","override_two_amount","override_three_amount","override_one_action","override_two_action","override_three_action","primary_score_to_use","free_email_weight","country_match_weight","anon_proxy_weight","country_risk_weight","ip_distance_weight","bin_match_weight","bin_bank_match_weight","high_risk_email_weight","high_risk_shipping_weight","open_proxy_weight","fraud_soft_reject_message","fraud_hard_reject_message"),
	"fraud_results_log" => array("fraud_result_log_id","threshold_id","client_id","order_form_id","fraud_result_order_email","fraud_result_order_amount","fraud_result_o_amount","fraud_result_o_amount_action","fraud_result_default_score","fraud_result_adjusted_score","fraud_result_score_action","fraud_result_final_action_used","fraud_result_ip","fraud_result_ip_lon","fraud_result_ip_lat","fraud_result_ip_city","fraud_result_ip_region","fraud_result_ip_country","fraud_result_ip_isp","fraud_result_ip_org","fraud_result_ip_country_match","fraud_result_ip_distance","fraud_result_bin","fraud_result_bin_country","fraud_result_bin_match","fraud_result_bin_bank_match","fraud_result_bin_name","fraud_result_bin_phone","fraud_result_bin_phone_match","fraud_result_risky_email","fraud_result_risky_country","fraud_result_risky_shipping","fraud_result_is_free_email","fraud_result_is_anon_proxy","fraud_result_is_open_proxy","fraud_result_date_created","fraud_result_spam_score","fraud_result_phone_match","fraud_result_billing_match","fraud_result_ship_match","fraud_result_error"),
	"fraud_set_order_form_rel" => array("fraud_set_id","order_form_id"),
	"fraud_set_threshold_rel" => array("fraud_set_id","threshold_id"),
	"fraud_sets" => array("fraud_set_id","config_group_id","fraud_set_name","fraud_set_email"),
	"graph_cache" => array("graph_cache_id","graph_cache_ref","graph_cache_op","graph_cache_type","graph_cache_date_created","graph_cache_count","graph_cache_src"),
	"group_attributes" => array("group_attribute_id","group_id","group_attribute_name","group_attribute_value"),
	"gw_transaction_attrs" => array("gw_transaction_attr_id","gw_transaction_id","gw_transaction_attr_name","gw_transaction_attr_value"),
	"gw_transactions" => array("gw_transaction_id","gw_transaction_type","gw_transaction_ref","billing_account_id","config_group_id"),
	"hd_assignment_rel" => array("hd_ticket_id","admin_id","source_admin_id"),
	"hd_bucket_admin_rel" => array("hd_bucket_id","admin_id","may_view_tickets","may_respond_tickets","may_note_tickets","may_modify_tickets","may_delete_tickets","may_assign_tickets","may_merge_tickets","may_notify_user","may_respond_all"),
	"hd_bucket_department_rel" => array("hd_bucket_id","hd_department_id"),
	"hd_buckets" => array("hd_bucket_id","hd_bucket_name"),
	"hd_department_admin_rel" => array("hd_department_id","admin_id"),
	"hd_departments" => array("hd_department_id","hd_department_name","hd_department_description"),
	"hd_email_tpl_department_rel" => array("hd_email_tpl_id","hd_department_id"),
	"hd_email_tpls" => array("hd_email_tpl_id","hd_email_tpl_name","hd_email_tpl_subject","hd_email_tpl_body"),
	"hd_resp_tpl_department_rel" => array("hd_resp_tpl_id","hd_department_id"),
	"hd_resp_tpls" => array("hd_resp_tpl_id","hd_resp_tpl_name","hd_resp_tpl_body","admin_id"),
	"hd_ticket_attachments" => array("hd_ticket_id","hd_ticket_attachment_filename"),
	"hd_ticket_bucket_rel" => array("hd_ticket_id","hd_bucket_id"),
	"hd_ticket_contacts" => array("hd_ticket_contact_id","hd_ticket_id","hd_contact_first_name","hd_contact_last_name","hd_contact_email","hd_contact_company","hd_contact_address_1","hd_contact_address_2","hd_contact_city","hd_contact_state","hd_contact_zip","language_id","countries_id","hd_contact_phone1","hd_contact_phone2","hd_contact_fax","hd_contact_date_created"),
	"hd_ticket_department_rel" => array("hd_ticket_id","hd_department_id"),
	"hd_ticket_events" => array("hd_ticket_event_id","hd_ticket_id","user_id","user_type","hd_ticket_priority_id","hd_ticket_status_id","hd_ticket_event_comment"),
	"hd_ticket_notes" => array("hd_ticket_note_id","hd_ticket_id","admin_id","hd_ticket_note_body"),
	"hd_ticket_resps" => array("hd_ticket_resp_id","hd_ticket_id","user_id","user_type","hd_ticket_resp_body","hd_ticket_resp_date_created","hd_ticket_resp_date_modified"),
	"hd_tickets" => array("hd_ticket_id","hd_ticket_key","user_id","user_type","hd_ticket_subject","hd_ticket_body","hd_ticket_date_created","hd_ticket_date_modified","hd_ticket_priority_id","hd_ticket_status_id"),
	"invalid_ipn_log" => array("ipn_id","ipn_status","ipn_reason","ipn_module","ipn_server","ipn_get","ipn_post","ipn_date_created"),
	"invoice_line_items" => array("line_item_id","invoice_id","package_id","package_addon_id","cycle_id","line_item_quantity","line_item_description","line_item_date_begin_renewal","line_item_date_current_renewal","line_item_date_next_renewal","line_item_price_amount","line_item_discount_amount","line_item_discount","line_item_setup_amount","line_item_tax_amount","line_item_taxable_tax_amount","line_item_total_amount","proration_discount_amount","proration_discount","proration_duration","line_item_is_usage"),
	"invoice_tax_zone_rel" => array("invoice_id","tax_zone_id","invoice_tax_amount_type","invoice_tax_amount","invoice_tax_total"),
	"invoice_transaction_rel" => array("invoice_id","transaction_id"),
	"invoices" => array("invoice_id","invoice_process_id","invoice_process_date","invoice_number","credit_note_for_invoice_id","client_id","client_contact_id","currency_id","invoice_amount","invoice_amount_paid","invoice_date_entered","invoice_date_due","invoice_date_paid","invoice_date_pushed","invoice_payment_method","invoice_snapshot","invoice_comments","invoice_batch_timestamp","invoice_sub_total","invoice_discount","invoice_status","payment_group_id"),
	"invoicing_groups" => array("invoicing_group_id","invoicing_group_name"),
	"ip_log" => array("ip","external_id","config_group_id"),
	"languages" => array("language_id","language_iso2","language_iso3","language_name","language_c1","language_c2"),
	"line_items_tax_zone_rel" => array("line_item_id","tax_zone_id","line_item_tax_amount_type","line_item_tax_amount","line_item_tax_total"),
	"locales" => array("locale_id","locale_language","locale_country_iso_2","locale_currency_code","locale_currency_symbol","locale_currency_rounding","locale_currency_digits","locale_separator_decimal","locale_separator_grouping","locale_pattern_decimal","locale_pattern_currency","locale_sign_percent","locale_sign_minus","locale_time_full","locale_time_long","locale_time_medium","locale_time_short","locale_date_full","locale_date_long","locale_date_medium","locale_date_short","locale_datetime_pattern","locale_datetime_am","locale_datetime_pm","locale_week_firstday","locale_week_weekend_start","locale_week_weekend_end","locale_month_abbreviated_1","locale_month_abbreviated_2","locale_month_abbreviated_3","locale_month_abbreviated_4","locale_month_abbreviated_5","locale_month_abbreviated_6","locale_month_abbreviated_7","locale_month_abbreviated_8","locale_month_abbreviated_9","locale_month_abbreviated_10","locale_month_abbreviated_11","locale_month_abbreviated_12","locale_month_narrow_1","locale_month_narrow_2","locale_month_narrow_3","locale_month_narrow_4","locale_month_narrow_5","locale_month_narrow_6","locale_month_narrow_7","locale_month_narrow_8","locale_month_narrow_9","locale_month_narrow_10","locale_month_narrow_11","locale_month_narrow_12","locale_month_wide_1","locale_month_wide_2","locale_month_wide_3","locale_month_wide_4","locale_month_wide_5","locale_month_wide_6","locale_month_wide_7","locale_month_wide_8","locale_month_wide_9","locale_month_wide_10","locale_month_wide_11","locale_month_wide_12","locale_day_abbreviated_sun","locale_day_abbreviated_mon","locale_day_abbreviated_tue","locale_day_abbreviated_wed","locale_day_abbreviated_thu","locale_day_abbreviated_fri","locale_day_abbreviated_sat","locale_day_wide_sun","locale_day_wide_mon","locale_day_wide_tue","locale_day_wide_wed","locale_day_wide_thu","locale_day_wide_fri","locale_day_wide_sat"),
	"marketplace_sellers" => array("seller_id","seller_date_registered","seller_active","seller_api_url","seller_api_status","seller_username","seller_password","client_id"),
	"mbapi_log" => array("mbapi_log_id","admin_id","session_id","mbapi_input","mbapi_response","ip","mbapi_status","mbapi_log_date_created"),
	"migration_configs" => array("migration_config_id","migration_name","migration_comment","migration_payment_group_id","migration_order_form_id","migration_product_id","migration_orphan_product_id","migration_type","migration_dbdriver_type","migration_dbhost","migration_dbname","migration_dbusername","migration_dbpassword"),
	"migration_mappings" => array("migration_mapping_id","migration_config_id","migration_obj_id","migration_ext_id","migration_int_id"),
	"migration_objs" => array("migration_obj_id","migration_config_id","migration_obj_name","migration_ext_seq_id","migration_ext_obj_name","migration_ext_obj_key","migration_int_seq_id","migration_int_obj_name","migration_int_obj_key"),
	"migration_options" => array("migration_option_id","migration_config_id","migration_option_name","migration_option_value"),
	"migration_reservations" => array("migration_obj_id","migration_ext_id","admin_id"),
	"news" => array("news_id","admin_id","news_subject","news_short_body","news_body","news_date_created","priority_id","news_active"),
	"news_client_group_rel" => array("client_group_id","news_id"),
	"news_group_rel" => array("news_id","news_group_id"),
	"news_groups" => array("news_group_id","news_group_name","news_group_description","news_group_active","news_group_order"),
	"order_form_coupon_rel" => array("order_form_id","coupon_id"),
	"order_form_items" => array("order_form_item_id","order_form_id","product_id","order_form_item_order"),
	"order_form_params" => array("order_form_param_id","order_form_id","order_form_param_name","order_form_param_value","order_form_param_trans_key","order_form_param_description","order_form_param_input_type","order_form_param_required","order_form_param_order","order_form_param_locked"),
	"order_form_values" => array("order_form_value_id","order_form_param_id","order_form_value_name","order_form_value_trans_key","order_form_value_order"),
	"order_forms" => array("order_form_id","order_form_name","payment_group_id","company_id","language_id","countries_id","order_form_verify_vat","order_form_disable_charging"),
	"package_addon_attributes" => array("package_addon_attribute_id","package_addon_id","server_group_id","config_group_id","package_attribute_name","package_attribute_value","package_attribute_date_created"),
	"package_addon_ledger_entries" => array("package_addon_ledger_id","package_addon_id","general_ledger_type","journal_type","ledger_account_id","package_addon_ledger_debit","package_addon_ledger_credit","package_addon_ledger_comment","currency_id"),
	"package_addons" => array("package_addon_id","package_id","package_addon_display_name","package_addon_original_price","package_addon_price","package_addon_setup","package_addon_discount","package_addon_price_lock","package_addon_discountable","package_addon_active","package_addon_product_id","tax_zone_group_id","coupon_id","coupon_num_cycles","coupon_price"),
	"package_attributes" => array("package_attribute_id","package_id","server_group_id","config_group_id","package_attribute_name","package_attribute_value","package_attribute_date_created"),
	"package_cert_rel" => array("package_id","cert_id"),
	"package_certs" => array("cert_id","cert_timestamp","or_id","r_id","ct_code","af_id","or_status","or_startstamp","or_submitstamp","or_syncstamp","or_successcode","or_errorcode","or_errormsg","or_techSameAsAdmin","or_billSameAsPrevious","OD_Method","OD_ProductCode","OD_ValidityPeriod","OD_ServerCount","OD_Price","OD_RenewalBehavior","OD_SpecialInstructions","OD_PartnerOrderID","OD_GeoTrustOrderID","OD_OrderDate","OD_OrderCompleteDate","OD_OrderDeactivatedDate","OD_OrderStatusMajor","OD_OrderStatusMinorCode","OD_OrderStatusMinorName","OD_ApproverNotifiedDate","OD_ApproverConfirmDate","OD_ApproverEmailAddress","ORG_OrganizationName","ORG_DUNS","ORG_AddressLine1","ORG_AddressLine2","ORG_AddressLine3","ORG_City","ORG_Region","ORG_PostalCode","ORG_Country","ORG_Phone","ORG_Fax","AC_FirstName","AC_LastName","AC_Phone","AC_Email","TC_FirstName","TC_LastName","TC_Phone","TC_Email","BC_FirstName","BC_LastName","BC_Phone","BC_Email","CSR_CSR","CSR_WildCard","CSR_Subject","CSR_DomainName","CSR_Country","CSR_Email","CSR_Locality","CSR_Organization","CSR_OrganizationUnit","CSR_State","CSR_IsValidDomainName","CSR_HasBadExtensions","CSR_CommonName","CSR_WebServerType","CSR_DNSNames","CSR_CertificateStatus","CSR_StartDate","CSR_EndDate","CSR_SerialNumber","UPG_CUIndicator","UPG_CUCertificate","UPG_CUmonths","UPG_CUSerialNumber","UPG_CUExpirationDate","UPG_CUIssuer","RI_RenewalIndicator","RI_RenewalMonths","RI_RenewalSerialNumber","RI_RenewalExpirationDate","RI_RenewalOrderID","RI_RenewalProductCode","FF_CACertType","FF_CACert","FF_ServerCertificate","FF_IconScript","FF_ChoicePointURL","FF_CpsURL","get_approverlist","get_useragreement"),
	"package_config_group_rel" => array("package_id","config_group_id"),
	"package_database_rel" => array("package_id","package_database_id"),
	"package_databases" => array("package_database_id","package_database_type","package_database_name","package_database_username","package_database_password","package_database_date_created"),
	"package_domain_rel" => array("package_id","domain_id"),
	"package_domains" => array("domain_id","domain_sld","domain_tld","domain_idn_language","domain_active","domain_date_created","domain_remote_purchase_id","domain_remote_domain_id","domain_date_expires","domain_date_last_sync","registrar_id","domain_renew_type","domain_name"),
	"package_fee_rel" => array("package_id","package_addon_id","package_fee_id"),
	"package_ledger_entries" => array("package_ledger_id","package_id","package_ledger_num_cycles","general_ledger_type","journal_type","ledger_account_id","package_ledger_debit","package_ledger_credit","package_ledger_comment","currency_id"),
	"package_license_rel" => array("package_id","license_id"),
	"package_licenses" => array("license_id","license_locked","license_data","license_cipher","license_key","license_date_created","license_date_last_renewal","license_date_next_renewal","license_date_stop_renewal","license_status"),
	"package_pop_rel" => array("package_id","package_pop_id"),
	"package_pops" => array("package_pop_id","package_pop_real_name","package_pop_username","package_pop_password","package_pop_quota","package_pop_ftp","package_pop_telnet","package_pop_date_created"),
	"package_usage_log" => array("usage_log_id","package_id","config_group_id","package_usage","usage_log_date_created","external_id","usage_log_date_billed","interface_id","package_usage_type","package_usage_record_type","package_usage_com_type","package_usage_com_brand","package_usage_link_date","package_usage_link_status","package_usage_message_duration","package_usage_data_size","package_usage_message_date","package_usage_date_session","package_usage_date_created","package_usage_date_billed","groupby_invoice_id","line_item_id","package_usage_serial_number","package_usage_vendor","package_usage_username","package_usage_vessel","package_usage_rate","package_usage_external_status","package_usage_external_status_error","package_usage_extra_info_1","package_usage_extra_info_2","package_usage_extra_info_3","package_usage_extra_info_f1","package_usage_extra_info_f2","package_usage_extra_info_f3","package_usage_extra_info_f4","package_usage_extra_info_f5","package_usage_extra_info_f6","package_usage_price","package_usage_cost"),
	"package_vendor_rel" => array("package_id","vendor_id","vendor_package_id","vendor_product_id","vendor_order_form_id","vendor_product_variant_id"),
	"packages" => array("package_id","parent_package_id","invoice_process_id","invoice_process_date","client_id","client_contact_id","product_id","product_variant_id","primary_domain_id","package_group_id","tax_zone_group_id","cycle_discount_group_id","invoicing_group_id","package_name","package_quantity","package_proratable","package_invoice_separately","package_discountable","package_date_created","package_date_begin_renewal","package_date_last_renewal","package_date_next_renewal","package_date_stop_renewal","package_date_cancelled","package_pending_cancellation","package_active","package_status","package_status_reason","package_comments","package_type","package_original_price","package_price","package_discount","package_setup","package_cost_currency_id","package_cost_amount","package_setup_cost_currency_id","package_setup_cost_amount","package_price_lock","package_prior_id","cycle_id","aff_code","aff_date_last_paid","usage_date_last_renewal","usage_date_next_renewal","usage_cycle_id","usage_calculate_only","external_id","external_id_1","external_id_2","external_id_3","payment_group_id","coupon_id","coupon_num_cycles","coupon_price","package_cancellation_type","package_client_permissions"),
	"payment_groups" => array("payment_group_id","payment_group_name","payment_group_currency_id"),
	"payment_groups_gateway_rel" => array("payment_groups_gateway_rel_id","payment_group_id","config_group_id","gateway_type"),
	"payment_queue" => array("payment_id","payment_process_id","payment_process_date","line_item_id","groupby_invoice_id","payment_description","payment_amount","billing_account_share_id","payment_date_created","payment_date_charged"),
	"ppc_codes" => array("code_id","code_remote_id","code_type","code_to_use","code_value","code_currency_id","code_date_expires","code_date_distributed","code_status","code_client_id","code_client_email","code_product_id","code_product_name","code_product_price"),
	"prepay_discounts" => array("prepay_discount_id","prepay_discount_name","prepay_discount_active","cycle_id","prepay_discount_num_cycles","prepay_discount_amount","prepay_discount_percentage"),
	"product_addon_group_rel" => array("product_addon_group_rel_id","product_addon_group_id","product_id","default_selected_product_id"),
	"product_addon_groups" => array("product_addon_group_id","product_addon_group_active","product_addon_group_name","product_addon_group_input_type","product_addon_group_none_choice"),
	"product_attributes" => array("product_attribute_id","product_id","server_group_id","product_attribute_name","product_attribute_value","product_attribute_date_created"),
	"product_children_rel" => array("product_id","child_product_id"),
	"product_coupon_pre_rel" => array("product_id","coupon_id"),
	"product_coupon_rel" => array("product_id","coupon_id"),
	"product_cycle_ghost_rel" => array("product_id","cycle_id"),
	"product_file_rel" => array("product_id","file_id"),
	"product_files" => array("file_id","file_name","file_path","file_data"),
	"product_group_rel" => array("product_id","product_group_id"),
	"product_groups" => array("product_group_id","product_group_name","product_group_api_name"),
	"product_ledger_curr_rel" => array("product_ledger_id","currency_id"),
	"product_ledger_cycle_rel" => array("product_ledger_id","cycle_id"),
	"product_ledger_entries" => array("product_ledger_id","ledger_group_id","product_variant_id","product_ledger_num_cycles","general_ledger_type","journal_type","ledger_account_id","product_ledger_debit","product_ledger_credit","product_ledger_comment","currency_id"),
	"product_order_form_ghost_rel" => array("product_id","order_form_id"),
	"product_relations" => array("product_relation_id","subject_product_id","related_product_id","product_relation_type"),
	"product_server_group_ghost_rel" => array("product_id","server_group_id"),
	"product_tld_ghost_rel" => array("product_id","tld_id"),
	"product_usage_prices" => array("product_usage_price_id","product_id","currency_id","product_usage_price_amount"),
	"product_variable_values" => array("product_variable_value_id","product_variable_id","product_variable_value"),
	"product_variables" => array("product_variable_id","product_variable_name"),
	"product_variant_prices" => array("product_variant_price_id","product_variant_id","product_variant_price_type","cycle_id","currency_id","product_variant_price_amount","cost_currency_id","cost_amount"),
	"product_variants" => array("product_variant_id","product_variant_display_name","product_variant_active","product_id","product_variable_value_id","tld_id","tax_zone_group_id","cycle_discount_group_id","invoicing_group_id"),
	"product_vendor_qties" => array("product_vendor_qty_id","quantity_available","quantity_unavailable"),
	"product_vendor_qty_rel" => array("product_variant_id","vendor_id","product_vendor_qty_id"),
	"product_vendor_rel" => array("product_id","vendor_id","vendor_product_id","vendor_order_form_id","vendor_product_variant_id"),
	"products" => array("product_id","product_type","product_variable_id","product_is_lockable","product_is_addon","product_invoice_separately","product_addon_group_id","product_addon_attribute_name","product_name","product_comments","product_stop_num_cycles","product_active","product_proratable","product_discountable","product_date_created","product_domain_required","product_addon_required","product_intro_cycle_id","product_intro_num_cycles","email_tpl_group_id","notify_admin_group_id","product_cancellation_type"),
	"question_value_map_mapping_rel" => array("value_map_id","value_mapping_id"),
	"question_value_mappings" => array("value_mapping_id","value_mapping_value","attribute_map_id"),
	"question_value_maps" => array("value_map_id","value_map_name"),
	"report_totals" => array("report_date_created","client_total_count","client_active_count","client_inactive_count","client_pending_count","client_canceled_count","client_fraud_count","package_new_count","package_new_sum","package_renew_count","package_renew_sum","invoice_total_count","invoice_total_sum","invoice_due_count","invoice_due_sum","invoice_paid_count","invoice_paid_sum","invoice_batch_count","invoice_batch_sum","invoice_declined_count","invoice_declined_sum","invoice_error_count","invoice_error_sum","registrar_debits","registrar_credits","domain_count","domain_exp_this","domain_exp_next","update_by","update_timestamp","report_saved"),
	"saved_orders" => array("saved_order_code","client_id","saved_order_date_modified"),
	"secret_answers" => array("secret_answer_id","client_contact_id","question_type","secret_answer"),
	"server_group_rel" => array("server_id","server_group_id"),
	"server_groups" => array("server_group_id","server_group_name","server_group_fill_type"),
	"servers" => array("server_id","server_name","server_ip","server_description","server_status_id","server_active"),
	"sessions" => array("session_id","user_id","user_type","session_date_created","session_date_accessed","session_date_expired","session_ip","session_headers","session_active"),
	"shopping_coupons" => array("shopping_session_id","coupon_id","shopping_coupon_type"),
	"shopping_items" => array("shopping_item_id","shopping_session_id","product_id","product_variant_id","parent_shopping_item_id","shopping_item_primary_domain_id","cycle_id","currency_id","shopping_item_quantity","shopping_item_sld","shopping_item_tld","shopping_item_domain_type","shopping_item_domain_language","shopping_item_transfer_key","shopping_item_price","shopping_item_setup_price","shopping_item_date_added"),
	"shopping_items_domains_rel" => array("shopping_items_domains_rel_id","shopping_item_id","shopping_items_domains_type","domain_id","domain_sld","domain_tld","domain_shopping_item_id"),
	"shopping_sessions" => array("shopping_session_id","client_id","client_contact_id","shopping_session_timestamp","shopping_session_ip","shopping_session_url","order_form_id","invoice_id","fraud_level_action","fraud_level_action_status","shopping_session_fingerprint","billing_account_id"),
	"source_log" => array("source_log_id","source_log_source_type","source_log_user_type","source_log_user_id","source_log_date_created"),
	"source_log_col" => array("source_log_col_id","source_log_row_id","source_log_col_name","source_log_col_old_val","source_log_col_new_val"),
	"source_log_row" => array("source_log_row_id","source_log_id","source_log_row_pri_key"),
	"subscription_package_addon_rel" => array("subscription_id","package_addon_id"),
	"subscription_package_rel" => array("subscription_id","package_id"),
	"subscriptions" => array("subscription_id","client_id","subscription_external_id","billing_account_id","subscription_status","subscription_date_created","subscription_date_modified","config_group_id","subscription_account_identifier"),
	"suspend_log" => array("suspend_id","invoice_id","lite_stamp","medium_stamp","harsh_stamp","suspend_stamp","enable_stamp"),
	"system_queue" => array("system_queue_id","package_id","config_group_id","server_group_id","system_queue_parent_id","system_queue_status","system_queue_command","system_queue_command_input","system_queue_minute","system_queue_hour","system_queue_day","system_queue_month","system_queue_year","system_queue_is_recurring","system_queue_date_created","system_queue_date_to_run","system_queue_date_started","system_queue_date_finished"),
	"system_queue_log" => array("system_queue_log_id","system_queue_id","system_queue_log_message","system_queue_num_errors","system_queue_log_date_created"),
	"tax_zone_group_zone_rel" => array("tax_zone_group_zone_rel_id","tax_zone_group_id","tax_zone_id"),
	"tax_zone_groups" => array("tax_zone_group_id","tax_zone_group_name","tax_zone_group_active"),
	"tax_zones" => array("tax_zone_id","countries_iso_2","tax_zone_name","tax_zone_amount_type","tax_zone_amount","tax_zone_description","ledger_account_id","tax_zone_active","tax_zone_stackable"),
	"themes" => array("theme_id","theme_name","theme_display_name","theme_active"),
	"tlds" => array("tld_id","registrar_id","tld_extension","tld_name","tld_whois_server","tld_whois_resp","tld_active","tld_auto_search","tld_transfer_minimum_cycle_id","tld_minimum_cycle_id","tld_maximum_cycle_id","tld_renew_type","tld_is_transferable","tld_transfer_type","tld_idn_support","tld_idn_type","tld_remote_lock_enabled","tld_display_order"),
	"todos" => array("todo_id","todo_title","todo_desc","user_id","user_type","todo_assigned_admin_id","todo_status_id","todo_priority","todo_is_public","todo_link_pk","todo_link_name","todo_link_action_name","todo_link_file","todo_date_due","todo_date_created"),
	"transaction_log" => array("transaction_id","auth_return","transaction_payment_method","transaction_code","transaction_notes","transaction_date_created","auth_code","avs_code","transaction_amount","transaction_amount_refunded","currency_id","config_group_id","billing_account_id"),
	"transaction_success_rel" => array("transaction_id","billing_account_share_id","line_item_id","line_item_payment_amount"),
	"vendor_contacts" => array("vendor_contact_id","vendor_id","vendor_contact_first_name","vendor_contact_last_name","vendor_contact_phone1","vendor_contact_phone2","vendor_contact_fax","language_id","vendor_contact_active"),
	"vendor_inv_msg_note_rel" => array("vendor_inv_msg_id","vendor_inv_note_id"),
	"vendor_inv_msg_prov_rel" => array("vendor_inv_msg_id","vendor_prov_id"),
	"vendor_inventory_msgs" => array("vendor_inv_msg_id","vendor_id","vendor_inv_msg_type","vendor_inv_msg_token","vendor_inv_msg_text"),
	"vendor_inventory_notes" => array("vendor_inv_note_id","vendor_inv_note_type","product_variant_id","vendor_inv_note_qty","vendor_inv_note_date"),
	"vendor_prov_package_rel" => array("vendor_prov_id","ext_package_id"),
	"vendor_provisionings" => array("vendor_prov_id"),
	"vendors" => array("vendor_id","admin_id","vendor_name","vendor_active","vendor_api_url","vendor_seller_username","vendor_seller_password","vendor_date_last_invoice_sync","vendor_activation_rule","vendor_markup_percentage","vendor_address_1","vendor_address_2","vendor_city","vendor_state","vendor_zip","countries_id"),
	"website_widgets" => array("website_widget_id","website_widget_name","website_widget_tpl","order_form_id"),
	"website_widgets_products_rel" => array("website_widget_id","product_id","website_widget_order"),
	"whois_stats" => array("whois_id","whois_domain","whois_quantity","whois_from","whois_date_created"),
	"wizard_question_param_values" => array("question_param_value_id","question_param_id","question_param_value_text"),
	"wizard_question_params" => array("question_param_id","question_id","question_param_name","question_param_order"),
	"wizard_questions" => array("question_id","step_id","question_display_name","question_order"),
	"wizard_steps" => array("step_id","step_name"),
	"wizards" => array("wizard_id","session_id","wizard_date_modified","wizard_data"),
);
?>