<?php
// $Id: DeferredAccounts.php 8566 2006-08-30 15:01:07Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+


// deferred revenue accounts and the accounts they defer to
$CONF["accounting"]["deferredRevenueAccounts"] = array(
	getGeneralLedgerAccountID("revenue") => getGeneralLedgerAccountID("deferred_revenue"),
	getGeneralLedgerAccountID("coupon_income") => getGeneralLedgerAccountID("deferred_revenue"),
);

// deferred cost of goods accounts and the accounts they defer to
$CONF["accounting"]["deferredCOGSAccounts"] = array(
	getGeneralLedgerAccountID("cogs") => getGeneralLedgerAccountID("deferred_charge"),
	getGeneralLedgerAccountID("domain_cogs") => getGeneralLedgerAccountID("deferred_charge"),
	getGeneralLedgerAccountID("certs_cogs") => getGeneralLedgerAccountID("deferred_charge"),
	getGeneralLedgerAccountID("setup_cogs") => getGeneralLedgerAccountID("deferred_charge"),
	getGeneralLedgerAccountID("usage_cogs") => getGeneralLedgerAccountID("deferred_charge"),
);

// deferred expense accounts and the accounts they defer to
$CONF["accounting"]["deferredExpenseAccounts"] = array(
	getGeneralLedgerAccountID("expense") => getGeneralLedgerAccountID("deferred_charge"),
	getGeneralLedgerAccountID("refund_expense") => getGeneralLedgerAccountID("deferred_charge"),
	getGeneralLedgerAccountID("customer_expense") => getGeneralLedgerAccountID("deferred_charge"),
	getGeneralLedgerAccountID("rent_expense") => getGeneralLedgerAccountID("deferred_charge"),
	getGeneralLedgerAccountID("colocation_expense") => getGeneralLedgerAccountID("deferred_charge"),
	getGeneralLedgerAccountID("hardware_lease_expense") => getGeneralLedgerAccountID("deferred_charge"),
);
