<?php
// $Id: QueryMasterMap.php 9997 2006-11-10 21:42:09Z bwoolley $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

$CONF["dbKeys"] = array(
	"accounting_control_rel" => "",
	"accounting_general_journal" => "general_journal_id",
	"accounting_general_ledger" => "general_ledger_id",
	"accounting_ledger_accounts" => "ledger_account_id",
	"accounting_ledger_groups" => "ledger_group_id",
	"accounting_purchases_journal" => "purchase_journal_id",
	"accounting_receipts_journal" => "receipt_journal_id",
	"admin_group_action_rel" => "",
	"admin_group_rel" => "",
	"admin_groups" => "admin_group_id",
	"admins" => "admin_id",
	"affiliates" => "affiliate_id",
	"attribute_groups" => "group_id",
	"attribute_map_mapping_rel" => "",
	"attribute_mappings" => "attribute_mapping_id",
	"attribute_maps" => "attribute_map_id",
	"attributes" => "attribute_id",
	"bans" => "ban_id",
	"batch_log" => "batch_log_id",
	"bookmarks" => "bookmark_id",
	"client_attributes" => "client_attribute_id",
	"client_billing_account_shares" => "billing_account_share_id",
	"client_billing_accounts" => "billing_account_id",
	"client_change_log" => "change_log_id",
	"client_children_rel" => "",
	"client_contact_session_rel" => "",
	"client_contacts" => "client_contact_id",
	"client_group_rel" => "",
	"client_groups" => "client_group_id",
	"client_notes" => "client_note_id",
	"clients" => "client_id",
	"companies" => "company_id",
	"company_admin_group_rel" => "",
	"company_admin_rel" => "",
	"company_client_group_rel" => "",
	"company_news_rel" => "",
	"company_product_rel" => "",
	"config_groups" => "config_group_id",
	"config_param_values" => "config_param_value_id",
	"config_params" => "config_param_id",
	"contact_email_action_rel" => "",
	"countries" => "countries_id",
	"coupon_condition_groups" => "coupon_condition_group_id",
	"coupon_conditions" => "coupon_condition_id",
	"coupons" => "coupon_id",
	"cycle_discount_groups" => "cycle_discount_group_id",
	"cycle_discounts" => "cycle_discount_id",
	"cycle_group_rel" => "",
	"cycle_groups" => "cycle_group_id",
	"cycles" => "cycle_id",
	"data_change_log" => "change_log_id",
	"dbg_entries" => "dbg_entry_id",
	"dbg_pageloads" => "dbg_pageload_id",
	"email_addresses" => "email_address_id",
	"email_attachments" => "email_attachment_id",
	"email_headers" => "email_header_id",
	"email_queue" => "email_id",
	"email_tpl_groups" => "email_tpl_group_id",
	"email_tpls" => "email_tpl_id",
	"faq_categories" => "faq_category_id",
	"faqs" => "faq_id",
	"fraud_country_thresholds" => "threshold_id",
	"fraud_results_log" => "fraud_result_log_id",
	"fraud_set_order_form_rel" => "",
	"fraud_set_threshold_rel" => "",
	"fraud_sets" => "fraud_set_id",
	"graph_cache" => "graph_cache_id",
	"group_attributes" => "group_attribute_id",
	"gw_transaction_attrs" => "gw_transaction_attr_id",
	"gw_transactions" => "gw_transaction_id",
	"hd_assignment_rel" => "",
	"hd_bucket_admin_rel" => "",
	"hd_bucket_department_rel" => "",
	"hd_buckets" => "hd_bucket_id",
	"hd_department_admin_rel" => "",
	"hd_departments" => "hd_department_id",
	"hd_email_tpl_department_rel" => "",
	"hd_email_tpls" => "hd_email_tpl_id",
	"hd_resp_tpl_department_rel" => "",
	"hd_resp_tpls" => "hd_resp_tpl_id",
	"hd_ticket_attachments" => "hd_ticket_attachment_filename",
	"hd_ticket_bucket_rel" => "",
	"hd_ticket_contacts" => "hd_ticket_contact_id",
	"hd_ticket_department_rel" => "",
	"hd_ticket_events" => "hd_ticket_event_id",
	"hd_ticket_notes" => "hd_ticket_note_id",
	"hd_ticket_resps" => "hd_ticket_resp_id",
	"hd_tickets" => "hd_ticket_id",
	"invalid_ipn_log" => "ipn_id",
	"invoice_line_items" => "line_item_id",
	"invoice_tax_zone_rel" => "",
	"invoice_transaction_rel" => "",
	"invoices" => "invoice_id",
	"ip_log" => "ip",
	"languages" => "language_id",
	"line_items_tax_zone_rel" => "",
	"locales" => "locale_id",
	"mbapi_log" => "mbapi_log_id",
	"migration_configs" => "migration_config_id",
	"migration_mappings" => "migration_mapping_id",
	"migration_objs" => "migration_obj_id",
	"migration_options" => "migration_option_id",
	"migration_reservations" => "",
	"news" => "news_id",
	"news_client_group_rel" => "",
	"news_group_rel" => "",
	"news_groups" => "news_group_id",
	"order_form_coupon_rel" => "",
	"order_form_items" => "order_form_item_id",
	"order_form_params" => "order_form_param_id",
	"order_form_values" => "order_form_value_id",
	"order_forms" => "order_form_id",
	"package_addon_attributes" => "package_addon_attribute_id",
	"package_addon_ledger_entries" => "package_addon_ledger_id",
	"package_addons" => "package_addon_id",
	"package_attributes" => "package_attribute_id",
	"package_cert_rel" => "",
	"package_certs" => "cert_id",
	"package_config_group_rel" => "",
	"package_database_rel" => "",
	"package_databases" => "package_database_id",
	"package_domain_rel" => "",
	"package_domains" => "domain_id",
	"package_ledger_entries" => "package_ledger_id",
	"package_license_rel" => "",
	"package_licenses" => "license_id",
	"package_pop_rel" => "",
	"package_pops" => "package_pop_id",
	"package_usage_log" => "usage_log_id",
	"packages" => "package_id",
	"payment_groups" => "payment_group_id",
	"payment_groups_gateway_rel" => "payment_groups_gateway_rel_id",
	"payment_queue" => "payment_id",
	"ppc_codes" => "code_id",
	"prepay_discounts" => "prepay_discount_id",
	"product_addon_group_rel" => "",
	"product_addon_groups" => "product_addon_group_id",
	"product_attributes" => "product_attribute_id",
	"product_children_rel" => "",
	"product_coupon_pre_rel" => "",
	"product_coupon_rel" => "",
	"product_cycle_ghost_rel" => "",
	"product_file_rel" => "",
	"product_files" => "file_id",
	"product_group_rel" => "",
	"product_groups" => "product_group_id",
	"product_ledger_curr_rel" => "",
	"product_ledger_cycle_rel" => "",
	"product_ledger_entries" => "product_ledger_id",
	"product_order_form_ghost_rel" => "",
	"product_relations" => "product_relation_id",
	"product_server_group_ghost_rel" => "",
	"product_tld_ghost_rel" => "",
	"product_usage_prices" => "product_usage_price_id",
	"product_variable_values" => "product_variable_value_id",
	"product_variables" => "product_variable_id",
	"product_variant_prices" => "product_variant_price_id",
	"product_variants" => "product_variant_id",
	"products" => "product_id",
	"question_value_map_mapping_rel" => "",
	"question_value_mappings" => "value_mapping_id",
	"question_value_maps" => "value_map_id",
	"report_totals" => "report_date_created",
	"saved_orders" => "saved_order_code",
	"secret_answers" => "secret_answer_id",
	"server_group_rel" => "",
	"server_groups" => "server_group_id",
	"servers" => "server_id",
	"sessions" => "session_id",
	"shopping_coupons" => "",
	"shopping_items" => "shopping_item_id",
	"shopping_items_domains_rel" => "shopping_items_domains_rel_id",
	"shopping_sessions" => "shopping_session_id",
	"source_log" => "source_log_id",
	"source_log_col" => "source_log_col_id",
	"source_log_row" => "source_log_row_id",
	"subscription_package_addon_rel" => "",
	"subscription_package_rel" => "",
	"subscriptions" => "subscription_id",
	"suspend_log" => "suspend_id",
	"system_queue" => "system_queue_id",
	"system_queue_log" => "system_queue_log_id",
	"tax_zone_group_zone_rel" => "tax_zone_group_zone_rel_id",
	"tax_zone_groups" => "tax_zone_group_id",
	"tax_zones" => "tax_zone_id",
	"themes" => "theme_id",
	"tlds" => "tld_id",
	"todos" => "todo_id",
	"transaction_log" => "transaction_id",
	"transaction_success_rel" => "",
	"website_widgets" => "website_widget_id",
	"website_widgets_products_rel" => "",
	"whois_stats" => "whois_id",
	"wizard_question_param_values" => "question_param_value_id",
	"wizard_question_params" => "question_param_id",
	"wizard_questions" => "question_id",
	"wizard_steps" => "step_id",
	"wizards" => "",
);
$CONF["dbRels"] = array(
	"general_journal_id" => array("accounting_general_journal"),
	"general_ledger_id" => array("accounting_control_rel", "accounting_general_ledger"),
	"ledger_account_id" => array("accounting_general_ledger", "accounting_ledger_accounts", "package_addon_ledger_entries", "package_ledger_entries", "product_ledger_entries", "tax_zones"),
	"ledger_group_id" => array("accounting_ledger_groups", "product_ledger_entries"),
	"purchase_journal_id" => array("accounting_purchases_journal"),
	"receipt_journal_id" => array("accounting_receipts_journal"),
	"admin_group_id" => array("admin_group_action_rel", "admin_group_rel", "admin_groups", "company_admin_group_rel"),
	"admin_id" => array("admin_group_rel", "admins", "bookmarks", "client_notes", "company_admin_rel", "email_queue", "hd_assignment_rel", "hd_bucket_admin_rel", "hd_department_admin_rel", "hd_resp_tpls", "hd_ticket_notes", "mbapi_log", "migration_reservations", "news"),
	"affiliate_id" => array("affiliates"),
	"group_id" => array("attribute_groups", "clients", "group_attributes"),
	"attribute_mapping_id" => array("attribute_map_mapping_rel", "attribute_mappings"),
	"attribute_map_id" => array("attribute_map_mapping_rel", "attribute_maps", "question_value_mappings"),
	"attribute_id" => array("attribute_mappings", "attributes", "client_attributes"),
	"ban_id" => array("bans"),
	"batch_log_id" => array("batch_log"),
	"bookmark_id" => array("bookmarks"),
	"client_attribute_id" => array("client_attributes"),
	"billing_account_share_id" => array("client_billing_account_shares", "payment_queue", "transaction_success_rel"),
	"billing_account_id" => array("client_billing_account_shares", "client_billing_accounts", "gw_transactions", "shopping_sessions", "subscriptions", "transaction_log"),
	"change_log_id" => array("client_change_log", "data_change_log"),
	"client_contact_id" => array("client_billing_accounts", "client_contact_session_rel", "client_contacts", "contact_email_action_rel", "email_queue", "secret_answers", "shopping_sessions"),
	"client_group_id" => array("client_group_rel", "client_groups", "company_client_group_rel", "news_client_group_rel"),
	"client_note_id" => array("client_notes"),
	"client_id" => array("accounting_general_ledger", "accounting_purchases_journal", "accounting_receipts_journal", "affiliates", "bookmarks", "client_attributes", "client_change_log", "client_children_rel", "client_contacts", "client_group_rel", "client_notes", "clients", "fraud_results_log", "packages", "saved_orders", "shopping_sessions", "subscriptions"),
	"company_id" => array("clients", "companies", "company_admin_group_rel", "company_admin_rel", "company_client_group_rel", "company_news_rel", "company_product_rel", "order_forms"),
	"config_group_id" => array("attributes", "config_groups", "config_params", "fraud_sets", "gw_transactions", "ip_log", "package_addon_attributes", "package_attributes", "package_config_group_rel", "package_usage_log", "payment_groups_gateway_rel", "subscriptions", "system_queue", "transaction_log"),
	"config_param_value_id" => array("config_param_values"),
	"config_param_id" => array("config_param_values", "config_params"),
	"countries_id" => array("admins", "client_contacts", "clients", "companies", "countries", "email_tpls", "fraud_country_thresholds", "hd_ticket_contacts", "order_forms"),
	"coupon_condition_group_id" => array("coupon_condition_groups", "coupon_conditions"),
	"coupon_condition_id" => array("coupon_conditions"),
	"coupon_id" => array("coupon_condition_groups", "coupons", "order_form_coupon_rel", "package_addons", "packages", "product_coupon_pre_rel", "product_coupon_rel", "shopping_coupons"),
	"cycle_discount_group_id" => array("cycle_discount_groups", "cycle_discounts", "packages", "product_variants"),
	"cycle_discount_id" => array("cycle_discounts"),
	"cycle_group_id" => array("cycle_group_rel", "cycle_groups"),
	"cycle_id" => array("coupon_conditions", "cycle_discounts", "cycle_group_rel", "cycles", "invoice_line_items", "packages", "prepay_discounts", "product_ledger_cycle_rel", "product_variant_prices", "shopping_items"),
	"change_log_id" => array("client_change_log", "data_change_log"),
	"dbg_entry_id" => array("dbg_entries"),
	"dbg_pageload_id" => array("dbg_entries", "dbg_pageloads"),
	"email_address_id" => array("email_addresses"),
	"email_attachment_id" => array("email_attachments"),
	"email_header_id" => array("email_headers"),
	"email_id" => array("email_addresses", "email_attachments", "email_headers", "email_queue"),
	"email_tpl_group_id" => array("email_tpl_groups", "email_tpls", "products"),
	"email_tpl_id" => array("email_tpls"),
	"faq_category_id" => array("faq_categories", "faqs"),
	"faq_id" => array("faqs"),
	"threshold_id" => array("fraud_country_thresholds", "fraud_results_log", "fraud_set_threshold_rel"),
	"fraud_result_log_id" => array("fraud_results_log"),
	"fraud_set_id" => array("fraud_set_order_form_rel", "fraud_set_threshold_rel", "fraud_sets"),
	"graph_cache_id" => array("graph_cache"),
	"group_attribute_id" => array("group_attributes"),
	"gw_transaction_attr_id" => array("gw_transaction_attrs"),
	"gw_transaction_id" => array("gw_transaction_attrs", "gw_transactions"),
	"hd_bucket_id" => array("hd_bucket_admin_rel", "hd_bucket_department_rel", "hd_buckets", "hd_ticket_bucket_rel"),
	"hd_department_id" => array("hd_bucket_department_rel", "hd_department_admin_rel", "hd_departments", "hd_email_tpl_department_rel", "hd_resp_tpl_department_rel", "hd_ticket_department_rel"),
	"hd_email_tpl_id" => array("hd_email_tpl_department_rel", "hd_email_tpls"),
	"hd_resp_tpl_id" => array("hd_resp_tpl_department_rel", "hd_resp_tpls"),
	"hd_ticket_attachment_filename" => array("hd_ticket_attachments"),
	"hd_ticket_contact_id" => array("hd_ticket_contacts"),
	"hd_ticket_event_id" => array("hd_ticket_events"),
	"hd_ticket_note_id" => array("hd_ticket_notes"),
	"hd_ticket_resp_id" => array("hd_ticket_resps"),
	"hd_ticket_id" => array("hd_assignment_rel", "hd_ticket_attachments", "hd_ticket_bucket_rel", "hd_ticket_contacts", "hd_ticket_department_rel", "hd_ticket_events", "hd_ticket_notes", "hd_ticket_resps", "hd_tickets"),
	"ipn_id" => array("invalid_ipn_log"),
	"line_item_id" => array("accounting_purchases_journal", "invoice_line_items", "line_items_tax_zone_rel", "payment_queue", "transaction_success_rel"),
	"invoice_id" => array("accounting_general_ledger", "accounting_purchases_journal", "accounting_receipts_journal", "invoice_line_items", "invoice_tax_zone_rel", "invoice_transaction_rel", "invoices", "shopping_sessions", "suspend_log"),
	"ip" => array("ip_log", "mbapi_log"),
	"language_id" => array("admins", "client_contacts", "email_tpls", "hd_ticket_contacts", "languages", "order_forms"),
	"locale_id" => array("locales"),
	"mbapi_log_id" => array("mbapi_log"),
	"migration_config_id" => array("migration_configs", "migration_mappings", "migration_objs", "migration_options"),
	"migration_mapping_id" => array("migration_mappings"),
	"migration_obj_id" => array("migration_mappings", "migration_objs", "migration_reservations"),
	"migration_option_id" => array("migration_options"),
	"news_id" => array("company_news_rel", "news", "news_client_group_rel", "news_group_rel"),
	"news_group_id" => array("news_group_rel", "news_groups"),
	"order_form_item_id" => array("order_form_items"),
	"order_form_param_id" => array("order_form_params", "order_form_values"),
	"order_form_value_id" => array("order_form_values"),
	"order_form_id" => array("attributes", "client_attributes", "fraud_results_log", "fraud_set_order_form_rel", "order_form_coupon_rel", "order_form_items", "order_form_params", "order_forms", "shopping_sessions", "website_widgets"),
	"package_addon_attribute_id" => array("package_addon_attributes"),
	"package_addon_ledger_id" => array("package_addon_ledger_entries"),
	"package_addon_id" => array("invoice_line_items", "package_addon_attributes", "package_addon_ledger_entries", "package_addons", "subscription_package_addon_rel"),
	"package_attribute_id" => array("package_attributes"),
	"cert_id" => array("package_cert_rel", "package_certs"),
	"package_database_id" => array("package_database_rel", "package_databases"),
	"domain_id" => array("package_domain_rel", "package_domains", "shopping_items_domains_rel"),
	"package_ledger_id" => array("package_ledger_entries"),
	"license_id" => array("package_license_rel", "package_licenses"),
	"package_pop_id" => array("package_pop_rel", "package_pops"),
	"usage_log_id" => array("package_usage_log"),
	"package_id" => array("client_billing_account_shares", "invoice_line_items", "package_addons", "package_attributes", "package_cert_rel", "package_config_group_rel", "package_database_rel", "package_domain_rel", "package_ledger_entries", "package_license_rel", "package_pop_rel", "package_usage_log", "packages", "subscription_package_rel", "system_queue"),
	"payment_group_id" => array("invoices", "order_forms", "packages", "payment_groups", "payment_groups_gateway_rel"),
	"payment_groups_gateway_rel_id" => array("payment_groups_gateway_rel"),
	"payment_id" => array("payment_queue"),
	"code_id" => array("ppc_codes"),
	"prepay_discount_id" => array("prepay_discounts"),
	"product_addon_group_id" => array("product_addon_group_rel", "product_addon_groups", "products"),
	"product_attribute_id" => array("product_attributes"),
	"file_id" => array("product_file_rel", "product_files"),
	"product_group_id" => array("product_group_rel", "product_groups"),
	"product_ledger_id" => array("product_ledger_curr_rel", "product_ledger_cycle_rel", "product_ledger_entries"),
	"product_relation_id" => array("product_relations"),
	"product_usage_price_id" => array("product_usage_prices"),
	"product_variable_value_id" => array("product_variable_values", "product_variants"),
	"product_variable_id" => array("product_variable_values", "product_variables", "products"),
	"product_variant_price_id" => array("product_variant_prices"),
	"product_variant_id" => array("coupon_conditions", "packages", "product_ledger_entries", "product_variant_prices", "product_variants", "shopping_items"),
	"product_id" => array("attributes", "company_product_rel", "order_form_items", "packages", "product_addon_group_rel", "product_attributes", "product_children_rel", "product_coupon_pre_rel", "product_coupon_rel", "product_file_rel", "product_group_rel", "product_usage_prices", "product_variants", "products", "shopping_items", "website_widgets_products_rel"),
	"value_mapping_id" => array("question_value_map_mapping_rel", "question_value_mappings"),
	"value_map_id" => array("attributes", "question_value_map_mapping_rel", "question_value_maps"),
	"report_date_created" => array("report_totals"),
	"saved_order_code" => array("saved_orders"),
	"secret_answer_id" => array("secret_answers"),
	"server_group_id" => array("package_addon_attributes", "package_attributes", "product_attributes", "server_group_rel", "server_groups", "system_queue"),
	"server_id" => array("server_group_rel", "servers"),
	"session_id" => array("client_contact_session_rel", "mbapi_log", "sessions", "wizards"),
	"shopping_item_id" => array("shopping_items", "shopping_items_domains_rel"),
	"shopping_items_domains_rel_id" => array("shopping_items_domains_rel"),
	"shopping_session_id" => array("shopping_coupons", "shopping_items", "shopping_sessions"),
	"source_log_id" => array("source_log", "source_log_row"),
	"source_log_col_id" => array("source_log_col"),
	"source_log_row_id" => array("source_log_col", "source_log_row"),
	"subscription_id" => array("subscription_package_addon_rel", "subscription_package_rel", "subscriptions"),
	"suspend_id" => array("suspend_log"),
	"system_queue_id" => array("system_queue", "system_queue_log"),
	"system_queue_log_id" => array("system_queue_log"),
	"tax_zone_group_zone_rel_id" => array("tax_zone_group_zone_rel"),
	"tax_zone_group_id" => array("package_addons", "packages", "product_variants", "tax_zone_group_zone_rel", "tax_zone_groups"),
	"tax_zone_id" => array("invoice_tax_zone_rel", "line_items_tax_zone_rel", "tax_zone_group_zone_rel", "tax_zones"),
	"theme_id" => array("admins", "clients", "themes"),
	"tld_id" => array("product_variants", "tlds"),
	"todo_id" => array("todos"),
	"transaction_id" => array("accounting_receipts_journal", "invoice_transaction_rel", "transaction_log", "transaction_success_rel"),
	"website_widget_id" => array("website_widgets", "website_widgets_products_rel"),
	"whois_id" => array("whois_stats"),
	"question_param_value_id" => array("wizard_question_param_values"),
	"question_param_id" => array("wizard_question_param_values", "wizard_question_params"),
	"question_id" => array("attributes", "wizard_question_params", "wizard_questions"),
	"step_id" => array("wizard_questions", "wizard_steps"),
);
?>