<?php
// $Id: emailactions.php 11303 2007-06-09 23:28:37Z mfountain $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2007 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";

/* included after including types.php to get the dymanic email action types. */

$CONF["types"]["emailAction"] = array();
$CONF["types"]["emailAction"][1] = TRANS_PACKAGE_INFO_EMAIL;
$CONF["types"]["emailAction"][2] = TRANS_INVOICE_EMAIL;
$CONF["types"]["emailAction"][3] = TRANS_PAYMENT_CC_EMAIL;
$CONF["types"]["emailAction"][4] = TRANS_PAYMENT_ECHECK_EMAIL;
$CONF["types"]["emailAction"][5] = TRANS_PAYMENT_BANK_DRAFT_EMAIL;
$CONF["types"]["emailAction"][6] = TRANS_PAYMENT_MANUAL_EMAIL;
$CONF["types"]["emailAction"][7] = TRANS_PAYMENT_SECONDARY_EMAIL;
$CONF["types"]["emailAction"][8] = TRANS_PAYMENT_DECLINED_EMAIL;
$CONF["types"]["emailAction"][9] = TRANS_PAYMENT_ERROR_EMAIL;
$CONF["types"]["emailAction"][10] = TRANS_DOMAIN_RENEWAL_EMAIL;
$CONF["types"]["emailAction"][11] = TRANS_DOMAIN_TRANSFER_SUCCESS_EMAIL;
$CONF["types"]["emailAction"][12] = TRANS_DOMAIN_TRANSFER_FAILURE_EMAIL;
$CONF["types"]["emailAction"][13] = TRANS_CCEXPIRE_EMAIL;
$CONF["types"]["emailAction"][14] = TRANS_SUSPEND_EMAIL;
$CONF["types"]["emailAction"][15] = TRANS_ENABLE_EMAIL;
$CONF["types"]["emailAction"][16] = TRANS_PASSWORD_NOTIFICATIONS;
$CONF["types"]["emailAction"][17] = TRANS_USER_DEFINED_EMAILS;
$CONF["types"]["emailAction"][20] = TRANS_NEW_ORDER_EMAILS;
$CONF["types"]["emailAction"][21] = TRANS_DOMAIN_REGISTRATION_SUCCESS_EMAIL;
$CONF["types"]["emailAction"][22] = TRANS_DOMAIN_REGISTRATION_FAILURE_EMAIL;

// Admin Only actions
$CONF["types"]["admin"]["emailAction"][18] = TRANS_ADMIN_DAILY_REPORT_EMAIL;
$CONF["types"]["admin"]["emailAction"][19] = TRANS_AFFILIATE_PAYOUT_EMAIL;

$CONF["APItypes"]["emailAction"] = array();
$CONF["APItypes"]["emailAction"][1] = "packageInfoEmail";
$CONF["APItypes"]["emailAction"][2] = "invoiceEmail";
$CONF["APItypes"]["emailAction"][3] = "paymentCCEmail";
$CONF["APItypes"]["emailAction"][4] = "paymentEcheckEmail";
$CONF["APItypes"]["emailAction"][5] = "paymentBankDraftEmail";
$CONF["APItypes"]["emailAction"][6] = "paymentManualEmail";
$CONF["APItypes"]["emailAction"][7] = "paymentSecondaryEmail";
$CONF["APItypes"]["emailAction"][8] = "paymentDeclinedEmail";
$CONF["APItypes"]["emailAction"][9] = "paymentErrorEmail";
$CONF["APItypes"]["emailAction"][10] = "domainRenewalEmail";
$CONF["APItypes"]["emailAction"][11] = "domainTransferSuccessEmail";
$CONF["APItypes"]["emailAction"][12] = "domainTransferFailureEmail";
$CONF["APItypes"]["emailAction"][13] = "ccExpireEmail";
$CONF["APItypes"]["emailAction"][14] = "suspendEmail";
$CONF["APItypes"]["emailAction"][15] = "enableEmail";
$CONF["APItypes"]["emailAction"][16] = "passwordNotificationEmail";
$CONF["APItypes"]["emailAction"][17] = "userDefinedEmail";
$CONF["APItypes"]["emailAction"][20] = "newOrderEmail";
$CONF["APItypes"]["emailAction"][21] = "domainRegistrationSuccessEmail";
$CONF["APItypes"]["emailAction"][22] = "domainRegistrationFailureEmail";

// Admin Only Actions
$CONF["APItypes"]["admin"]["emailAction"][18] = "adminDailyReportEmail";
$CONF["APItypes"]["admin"]["emailAction"][19] = "affiliatedPayoutEmail";
?>
