<?php

$pool_config = array(
	"spare" => 2,
	"min" => 5,
	"max" => 50,
	"child_timeout" => 3000,
	"request_timeout" => 300,
	"max_child_requests" => 500,
);

$socket_config = array(
	// listen address
	"address" => "0.0.0.0",	// listen on all local addresses
	"port" => 8080,
	
	// listen() connection backlog
	"backlog" => 128,
	
	// socket type
	"af" => AF_INET,	// IP address family
	"type" => SOCK_STREAM,	// stream socket
	"proto" => SOL_TCP,	// TCP protocol
	
	// block size
	"bs" => 16384,
	
	// seconds for select() to wait
	"select_timeout" => 1,
);

// $Id: mbapid.php 4777 2006-01-31 02:00:47Z mfountain $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+
?>
