<?php
// $Id: accountingControlRels.php 9939 2006-11-03 17:43:10Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['accountingControlRels'] = array(
	"names" => array(
		"singular" => "accountingControlRel",
		"plural" => "accountingControlRels",
		"file" => "accounting.php",
	),
	"request" => array(
		'command' => "GetAccountingControlRels",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("accountingControlRels", "accountingControlRel"),
	),
	"insert" => array(
		"command" => "SetAccountingControlRels",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetAccountingControlRels",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetAccountingControlRels",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("cycleID")),
	),
	"table" => "accounting_control_rel",
	"columns" => array(
		"generalLedgerID" => COLUMN_ID,
		"controlType" => COLUMN_TYPE,
		"controlID" => COLUMN_INT,
	),
	"types" => array(
		"controlType" => "controls",
	),
	"display" => array(
		"filterContextValues" => array(
			"generalLedgerID",
		),
		"context" => array(
			"generalLedgerID" => "accountingGeneralLedger",
		),
	),
);

?>
