<?php
// $Id: accountingGeneralJournal.php 9939 2006-11-03 17:43:10Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['accountingGeneralJournal'] = array(
	"names" => array(
		"singular" => "accountingGeneralJournalEntry",
		"plural" => "accountingGeneralJournal",
		"file" => "accounting.php",
	),
	"request" => array(
		'command' => "GetAccountingGeneralJournal",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("accountingGeneralJournal", "accountingGeneralJournalEntry"),
	),
	"insert" => array(
		"command" => "SetAccountingGeneralJournal",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetAccountingGeneralJournal",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetAccountingGeneralJournal",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("cycleID")),
	),
	"table" => "accounting_general_journal",
	"columns" => array(
		"generalJournalID" => COLUMN_PRIMARY_KEY,
		"generalDateCreated" => COLUMN_DATE,
		"generalDescription" => COLUMN_TEXT,
		"generalDebitAmount" => COLUMN_AMOUNT,
		"generalCreditAmount" => COLUMN_AMOUNT,
		"currencyID" => COLUMN_TEXT,		
	),
	"display" => array(
		"filterContextValues" => array(
		),
		"context" => array(
		),
	),
);

?>
