<?php
// $Id: accountingReceiptsJournal.php 9939 2006-11-03 17:43:10Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['accountingReceiptsJournal'] = array(
	"names" => array(
		"singular" => "accountingReceiptsJournalEntry",
		"plural" => "accountingReceiptsJournal",
		"file" => "accounting.php",
	),
	"request" => array(
		'command' => "GetAccountingReceiptsJournal",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("accountingReceiptsJournal", "accountingReceiptsJournalEntry"),
	),
	"insert" => array(
		"command" => "SetAccountingReceiptsJournal",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetAccountingReceiptsJournal",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetAccountingReceiptsJournal",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("cycleID")),
	),
	"table" => "accounting_receipts_journal",
	"columns" => array(
		"receiptJournalID" => COLUMN_PRIMARY_KEY,
		"clientID" => COLUMN_ID,
		"invoiceID" => COLUMN_ID,
		"transactionID" => COLUMN_ID,
		"receiptDateCreated" => COLUMN_DATE,
		"receiptDescription" => COLUMN_TEXT,
		"receiptCashDebitAmount" => COLUMN_AMOUNT,
		"receiptCashCreditAmount" => COLUMN_AMOUNT,
		"receiptAccRecDebitAmount" => COLUMN_AMOUNT,
		"receiptAccRecCreditAmount" => COLUMN_AMOUNT,
		"receiptSalesDebitAmount" => COLUMN_AMOUNT,
		"receiptSalesCreditAmount" => COLUMN_AMOUNT,
		"receiptTaxPayDebitAmount" => COLUMN_AMOUNT,
		"receiptTaxPayCreditAmount" => COLUMN_AMOUNT,
		"receiptCouponDebitAmount" => COLUMN_AMOUNT,
		"receiptCouponCreditAmount" => COLUMN_AMOUNT,
		"currencyID" => COLUMN_TEXT,		
	),
	"display" => array(
		"filterContextValues" => array(
			"clientID",
			"invoiceID",
			"transactionID",
		),
		"context" => array(
			"clientID" => "clients",
			"invoiceID" => "invoices",
			"transactionID" => "transactions",
		),
	),
);

?>
