<?php
// $Id: adminGroups.php 10199 2006-12-03 22:42:42Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['adminGroups'] = array(
	"names" => array(
		"singular" => "adminGroup",
		"plural" => "adminGroups",
		"file" => "admins",
	),
	"request" => array(
		"command" => "GetAdminGroups",
		"subCommand" => "",
		"params" => array(),
	),
	"response" => array(
		"path" => array("adminGroups", "adminGroup"),
	),
	"insert" => array(
		"command" => "SetAdminGroups",
		"subCommand" => "insert",
		"params" => $allParamsRoot,
	),
	"update" => array(
		"command" => "SetAdminGroups",
		"subCommand" => "update",
		"params" => $allParamsRoot,
	),
	"delete" => array(
		"command" => "SetAdminGroups",
		"subCommand" => "delete",
		"params" => new Params(new Param("adminGroupID")),
	),
	"table" => "admin_groups",
	"columns" => array(
		"adminGroupID" => COLUMN_PRIMARY_KEY,
		"adminGroupName" => COLUMN_PRIMARY_NAME,
	),
	"relations" => array(
		"admins" => array("admin_group_rel", "adminIDs", "adminID"),
	),
	"display" => array(
		"showTemplate" => "admins/ShowAdminGroups",
		"system" => true,
		"revContext" => array(
			"products" => "notifyAdminGroupID",
		),
	),
);

?>
