<?php
// $Id: attributeGroups.php 9025 2006-09-20 02:44:50Z mfountain $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["attributeGroups"] = array(
	"names" => array(
		"singular" => "attributeGroup",
		"plural" => "attributeGroups",
		"file" => "clients",
	),
	"request" => array(
		"command" => "GetAttributeGroups",
		"subCommand" => "",
		"params" => array(),
	),
	"response" => array(
		"path" => array("attributeGroups", "attributeGroup"),
	),
	"insert" => array(
		"command" => "SetAttributeGroups",
		"subCommand" => "insert",
		"params" => array(),//$allParamsRoot,
	),
	"update" => array(
		"command" => "SetAttributeGroups",
		"subCommand" => "update",
		"params" => array(),//$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetAttributeGroups",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeID")),
	),
	"table" => "attribute_groups",
	"columns" => array(
		"groupID" => COLUMN_PRIMARY_KEY|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
		"groupName" => COLUMN_PRIMARY_NAME|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		"groupActive" => COLUMN_BOOL|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		"groupID" => TRANS_GROUP_ID,
		"groupName" => TRANS_GROUP_NAME,
		"groupActive" => TRANS_ACTIVE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_CLIENTS",
		"childName" => "TRANS_CLIENT_GROUPS",
		"sideNavMajor" => "clients",
		"sideNavMinor" => "clientGroups",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_GROUP",
			"show" => "TRANS_SHOW_GROUPS",
			"add" => "TRANS_ADD_GROUP",
		)
	),
	"display" => array(
		"showTemplate" => "clients/ShowAttributeGroups",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "clients/AddAttributeGroup",
		"suppressActions" => array("showdetails"),
		"showAddButton" => 1,
	),
);
