<?php
// $Id: attributeMaps.php 7216 2006-06-04 21:07:13Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['attributeMaps'] = array(
	"names" => array(
		"singular" => "attributeMap",
		"plural" => "attributeMaps",
		"file" => "orderforms",
	),
	"request" => array(
		'command' => "GetAttributeMaps",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("attributeMaps", "attributeMap"),
	),
	"insert" => array(
		"command" => "SetAttributeMaps",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetAttributeMaps",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetAttributeMaps",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeMapID")),
	),
	"table" => "attribute_maps",
	"columns" => array(
		"attributeMapID" => COLUMN_PRIMARY_KEY,
		"attributeMapName" => COLUMN_PRIMARY_NAME,
	),
	"relations" => array(
		"attributeMappings" => array("attribute_map_mapping_rel", "attributeMappingIDs", "attributeMappingID"),
	),
	"display" => array(
		"showTemplate" => "orderforms/ShowAttributeMaps",
		"addTemplate" => "orderforms/AddAttributeMap",
		"editTemplate" => "orderforms/EditAttributeMap",
		"removeTemplate" => "orderforms/RemoveAttributeMap",
		"revContext" => array(
			"questionValueMappings" => "valueMappingID",
		),
	),
);
