<?php
// $Id: clientBillingAccountShares.php 10410 2007-01-03 15:52:58Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['clientBillingAccountShares'] = array(
	"names" => array(
		"singular" => "clientBillingAccountShare",
		"plural" => "clientBillingAccountShares",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetClientBillingAccountShares",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("clientBillingAccountShares", "clientBillingAccountShare"),
	),
	"insert" => array(
		'command' => "SetClientBillingAccountShares",
		'subCommand' => "insert",
		'params' => array(),
	),
	"update" => array(
		'command' => "SetClientBillingAccountShares",
		'subCommand' => "update",
		'params' => array(),
	),
	"delete" => array(
		'command' => "SetClientBillingAccountShares",
		'subCommand' => "delete",
		'params' => array(),
	),
	"table" => "client_billing_account_shares",
	"columns" => array(
		"billingAccountShareID" => COLUMN_PRIMARY_KEY,
		"billingAccountID" => COLUMN_ID,
		"packageID" => COLUMN_ID,
		"billingAccountFallbackGroup" => COLUMN_INT,
		"billingAccountShareGroup" => COLUMN_INT,
		"billingAccountShareValue" => COLUMN_INT,
	),
	"display" => array(
		"context" => array(
			"billingAccountID" => "billingAccounts",
			"packageID" => "packages",
		),
	),
);

?>
