<?php
// $Id: clientGroups.php 8369 2006-08-17 16:27:10Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['clientGroup'] = array(
	"names" => array(
		"singular" => "clientGroup",
		"plural" => "clientGroups",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetClientGroups",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("clientGroups", "clientGroup"),
	),
	"insert" => array(
		"command" => "SetClientGroups",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetClientGroups",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetClientGroups",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("cycleID")),
	),
	"table" => "client_groups",
	"columns" => array(
		"clientGroupID" => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		"clientGroupName" => COLUMN_PRIMARY_NAME|COLUMN_LISTABLE|COLUMN_EDITABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		"clientGroupID" => "TRANS_ID",
		"clientGroupName" => "TRANS_NAME",
	),
	"relations" => array(
		"clients" => array("client_group_rel", "clientIDs", "clientID"),
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_CLIENTS",
		"childName" => "TRANS_MANAGE_CLIENTS",
		"sideNavMajor" => "clients",
		"sideNavMinor" => "clients",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_CLIENT_GROUP",
			"show" => "TRANS_SHOW_CLIENT_GROUP",
			"add" => "TRANS_ADD_CLIENT_GROUP",
			//"showdetails" => "TRANS_CYCLE_DETAILS",
			"remove" => "TRANS_REMOVE_CLIENT_GROUP",
		)
	),
	"display" => array(
		'showTemplate' => "1",
		//'showDetailsTemplate' => "1",
		'removeTemplate' => "1",
		'editTemplate' => "1",
		'addTemplate' => "1",
		"suppressActions" => array("showdetails"),
	),
);

?>
