<?php
// $Id: countries.php 8741 2006-09-08 17:02:43Z mfountain $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

function countryColumnGenerator(&$row) {
	$row["countriesDisplayName"] = $row["countriesISO2"] ." - " . (defined($row["countryName"]) ? constant($row["countryName"]) : $row["countryName"]);
	return true;
}
$CONF["sources"]["countries"] = array(
	"names" => array(
		"singular" => "country",
		"plural" => "countries",
		"file" => "system",
	),
	"request" => array(
		"command" => "GetCountries",
		"subCommand" => "",
		"params" => array(),
	),
	"response" => array(
		"path" => array("countries", "country"),
	),
	"insert" => array(
		"command" => "SetCountries",
		"subCommand" => "insert",
		"params" => $allParamsRoot,
	),
	"update" => array(
		"command" => "SetCountries",
		"subCommand" => "update",
		"params" => $allParamsRoot,
	),
	"delete" => array(
		"command" => "SetCountries",
		"subCommand" => "delete",
		"params" => new Params(new Param("countriesID")),
	),
	"table" => "countries",
	"columns" => array(
		"countriesID" => COLUMN_PRIMARY_KEY,
		"countriesDisplayName" => COLUMN_PRIMARY_NAME, // generated here
		"countryName" => COLUMN_TRANSLATION_MESSAGE, // generated by MBAPI
		"countriesISO2" => COLUMN_TEXT,
		"countriesRegion" => COLUMN_TEXT,
	),
	"refColumnGenerator" => "countryColumnGenerator",
);

?>
