<?php
// $Id: coupons.php 8712 2006-09-07 17:03:51Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['coupons'] = array(
	"names" => array(
		"singular" => "coupon",
		"plural" => "coupons",
		"file" => "products",
	),
	"request" => array(
		'command' => "GetCoupons",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("coupons", "coupon"),
	),
	"insert" => array(
		"command" => "SetCoupons",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetCoupons",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetCoupons",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("productID")),
	),
	"table" => "coupons",
	"columns" => array(
		"couponID" => COLUMN_PRIMARY_KEY,
		"couponCode" => COLUMN_PRIMARY_NAME,
		"couponDiscount" => COLUMN_AMOUNT,
		"couponType" => COLUMN_TYPE,
		"couponComments" => COLUMN_TEXT,
		"couponActive" => COLUMN_ACTIVE,
		"couponDateCreated" => COLUMN_DATE,
		"couponDateStarted" => COLUMN_DATE,
		"couponDateEnded" => COLUMN_DATE,
		"couponCount" => COLUMN_INT,
		"couponMaxCount" => COLUMN_INT,
		"couponNewOnly" => COLUMN_BOOL,
		"couponNumCycles" => COLUMN_INT,
		"couponApplyNumber" => COLUMN_BOOL,
	),
	"types" => array(
		"couponType" => "coupon",
	),
	"relations" => array(
		"orderForms" => array("order_form_coupon_rel", "orderFormIDs", "orderFormID"),
		"products" => array("product_coupon_rel", "productIDs", "productID"),
	),
	"display" => array(
		'showTemplate' => "products/ShowCoupons",
	),
);

?>
