<?php
// $Id: dbgEntries.php 9493 2006-10-12 17:57:48Z mfountain $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["dbgEntries"] = array(
	"names" => array(
		"singular" => "dbgEntrie",
		"plural" => "dbgEntries",
		"file" => "events",
	),
	"request" => array(
		"command" => "GetDbgEntries",
		"subCommand" => "",
		"params" => array(),
	),
	"response" => array(
		"path" => array("dbgEntries", "dbgPageload"),
	),
	"insert" => array(
		"command" => "SetDbgEntries",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetDbgEntries",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetDbgEntries",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("cycleID")),
	),
	"table" => "dbg_entries",
	"columns" => array(
		"dbgEntryID" => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		"dbgPageloadID" => COLUMN_ID|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		"dbgEntryFile" => COLUMN_PRIMARY_NAME|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		"dbgEntryLine" => COLUMN_TEXT|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		"dbgEntryDateCreated" => COLUMN_DATE|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		"dbgEntryMessage" => COLUMN_TEXT|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
	),
	"columnLabels" => array(
		"dbgEntryID" => "TRANS_ID",
		"dbgPageloadID" => "TRANS_PAGELOAD_ID",
		"dbgEntryFile" => "TRANS_FILE",
		"dbgEntryLine" => "TRANS_LINE",
		"dbgEntryDateCreated" => "TRANS_DATE_CREATED",
		"dbgEntryMessage" => "TRANS_MESSAGE",
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_EVENTS",
		"childName" => "TRANS_VIEW_DBG_ENTRIES",
		"sideNavMajor" => "events",
		"sideNavMinor" => "dbglog",
		"grandchildrenLabels" => array(
			"show" => "TRANS_SHOW_DBG_ENTRIES",
			"showdetails" => "TRANS_ENTRY_DETAILS",
		)
	),
	"display" => array(
		"dbgPageloadID" => "dbgPageloads",
		"showTemplate" => "1",
		"showDetailsTemplate" => "1",
		"suppressActions" => array("add", "edit", "remove"),
	),
);

?>
