<?php
// $Id: dbgPageloads.php 9493 2006-10-12 17:57:48Z mfountain $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["dbgPageloads"] = array(
	"names" => array(
		"singular" => "dbgPageload",
		"plural" => "dbgPageloads",
		"file" => "events",
	),
	"request" => array(
		"command" => "GetDbgPageloads",
		"subCommand" => "",
		"params" => array(),
	),
	"response" => array(
		"path" => array("dbgPageloads", "dbgPageload"),
	),
	"insert" => array(
		"command" => "SetDbgPageloads",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetDbgPageloads",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetDbgPageloads",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("cycleID")),
	),
	"table" => "dbg_pageloads",
	"columns" => array(
		"dbgPageloadID" => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		"dbgPageloadAction" => COLUMN_PRIMARY_NAME|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		"dbgPageloadPage" => COLUMN_TEXT|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		"dbgPageloadDateCreated" => COLUMN_IS_DATE|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		"dbgPageloadPid" => COLUMN_TEXT|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		"userType" => COLUMN_TYPE|COLUMN_DISPLAYABLE,
		"userID" => COLUMN_ID|COLUMN_DISPLAYABLE,
	),
	"columnLabels" => array(
		"dbgPageloadID" => "TRANS_ID",
		"dbgPageloadPage" => "TRANS_PAGE",
		"dbgPageloadAction" => "TRANS_ACTION",
		"dbgPageloadDateCreated" => "TRANS_DATE_CREATED",
		"dbgPageloadPid" => "TRANS_PROCESS_ID",
		"userType" => "TRANS_USER_TYPE",
		"userID" => "TRANS_USER_ID",
	),
	"types" => array(
		"userType" => "user",
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_EVENTS",
		"childName" => "TRANS_VIEW_DBG_LOG",
		"sideNavMajor" => "events",
		"sideNavMinor" => "dbglog",
		"grandchildrenLabels" => array(
			"show" => "TRANS_SHOW_PAGELOADS",
			"showdetails" => "TRANS_PAGELOAD_DETAILS",
			"remove" => "TRANS_REMOVE_PAGELOAD",
		)
	),
	"display" => array(
		"revContext" => array(
			"dbgEntries" => "dbgPageloadID",
		),
		"showTemplate" => "events/ShowDbgPageloads",
		"showDetailsTemplate" => "events/ShowDbgPageloadDetails",
		"removeTemplate" => "1",
		"showDetailsParams" => array(
			"dbgEntries" => array(
			),
		),
		"suppressActions" => array("add", "edit"),
	),
);

?>
