<?php
// $Id: accountingGeneralLedgers.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["accountingGeneralLedgers"] = baseMap("accounting_general_ledger", null, "accountingGeneralLedgers", "accountingGeneralLedger") + array(
	"columns" => array(
		'generalLedgerID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'clientID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'invoiceID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'journalTableID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'journalTableName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'generalLedgerType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ledgerAccountID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'generalLedgerDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'generalLedgerDescription' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'generalLedgerDebitAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'generalLedgerCreditAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'currencyID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'generalLedgerID' => TRANS_GENERAL_LEDGER_ID,
		'clientID' => TRANS_CLIENT_ID,
		'invoiceID' => TRANS_INVOICE_ID,
		'journalTableID' => TRANS_JOURNAL_TABLE_ID,
		'journalTableName' => TRANS_JOURNAL_TABLE_NAME,
		'generalLedgerType' => TRANS_GENERAL_LEDGER_TYPE,
		'ledgerAccountID' => TRANS_LEDGER_ACCOUNT_ID,
		'generalLedgerDateCreated' => TRANS_GENERAL_LEDGER_DATE_CREATED,
		'generalLedgerDescription' => TRANS_GENERAL_LEDGER_DESCRIPTION,
		'generalLedgerDebitAmount' => TRANS_GENERAL_LEDGER_DEBIT_AMOUNT,
		'generalLedgerCreditAmount' => TRANS_GENERAL_LEDGER_CREDIT_AMOUNT,
		'currencyID' => TRANS_CURRENCY_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_ACCOUNTINGGENERALLEDGERS",
		"childName" => "TRANS_ACCOUNTINGGENERALLEDGERS",
		"sideNavMajor" => "accountingGeneralLedgers",
		"sideNavMinor" => "accountingGeneralLedgers",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_ACCOUNTINGGENERALLEDGER",
			"show" => "TRANS_SHOW_ACCOUNTINGGENERALLEDGERS",
			"add" => "TRANS_ADD_ACCOUNTINGGENERALLEDGER",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'clientID' => 'clients',
			'invoiceID' => 'invoices',
			'ledgerAccountID' => 'accountingLedgerAccounts',
		),
		"revContext" => array(
			'accountingControlRels' => 'generalLedgerID',
		),
	),
);