<?php
// $Id: accountingLedgerAccounts.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["accountingLedgerAccounts"] = baseMap("accounting_ledger_accounts", null, "accountingLedgerAccounts", "accountingLedgerAccount") + array(
	"columns" => array(
		'ledgerAccountID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'parentLedgerAccountID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ledgerAccountNumber' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ledgerAccountType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ledgerAccountName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ledgerAccountTransKey' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'ledgerAccountID' => TRANS_LEDGER_ACCOUNT_ID,
		'parentLedgerAccountID' => TRANS_PARENT_LEDGER_ACCOUNT_ID,
		'ledgerAccountNumber' => TRANS_LEDGER_ACCOUNT_NUMBER,
		'ledgerAccountType' => TRANS_LEDGER_ACCOUNT_TYPE,
		'ledgerAccountName' => TRANS_LEDGER_ACCOUNT_NAME,
		'ledgerAccountTransKey' => TRANS_LEDGER_ACCOUNT_TRANS_KEY,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_ACCOUNTINGLEDGERACCOUNTS",
		"childName" => "TRANS_ACCOUNTINGLEDGERACCOUNTS",
		"sideNavMajor" => "accountingLedgerAccounts",
		"sideNavMinor" => "accountingLedgerAccounts",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_ACCOUNTINGLEDGERACCOUNT",
			"show" => "TRANS_SHOW_ACCOUNTINGLEDGERACCOUNTS",
			"add" => "TRANS_ADD_ACCOUNTINGLEDGERACCOUNT",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'accountingGeneralLedgers' => 'ledgerAccountID',
			'packageAddonLedgerEntries' => 'ledgerAccountID',
			'packageLedgerEntries' => 'ledgerAccountID',
			'productLedgerEntries' => 'ledgerAccountID',
			'taxZones' => 'ledgerAccountID',
		),
	),
);