<?php
// $Id: accountingLedgerGroups.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["accountingLedgerGroups"] = baseMap("accounting_ledger_groups", null, "accountingLedgerGroups", "accountingLedgerGroup") + array(
	"columns" => array(
		'ledgerGroupID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'ledgerGroupName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'ledgerGroupID' => TRANS_LEDGER_GROUP_ID,
		'ledgerGroupName' => TRANS_LEDGER_GROUP_NAME,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_ACCOUNTINGLEDGERGROUPS",
		"childName" => "TRANS_ACCOUNTINGLEDGERGROUPS",
		"sideNavMajor" => "accountingLedgerGroups",
		"sideNavMinor" => "accountingLedgerGroups",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_ACCOUNTINGLEDGERGROUP",
			"show" => "TRANS_SHOW_ACCOUNTINGLEDGERGROUPS",
			"add" => "TRANS_ADD_ACCOUNTINGLEDGERGROUP",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'productLedgerEntries' => 'ledgerGroupID',
		),
	),
);