<?php
// $Id: accountingPurchasesJournals.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["accountingPurchasesJournals"] = baseMap("accounting_purchases_journal", null, "accountingPurchasesJournals", "accountingPurchasesJournal") + array(
	"columns" => array(
		'purchaseJournalID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'clientID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'invoiceID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'lineItemID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'purchaseDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'purchaseDescription' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'purchaseDebitAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'purchaseCreditAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'purchaseAccPayDebitAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'purchaseAccPayCreditAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'purchaseCashDebitAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'purchaseCashCreditAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'currencyID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'purchaseJournalID' => TRANS_PURCHASE_JOURNAL_ID,
		'clientID' => TRANS_CLIENT_ID,
		'invoiceID' => TRANS_INVOICE_ID,
		'lineItemID' => TRANS_LINE_ITEM_ID,
		'purchaseDateCreated' => TRANS_PURCHASE_DATE_CREATED,
		'purchaseDescription' => TRANS_PURCHASE_DESCRIPTION,
		'purchaseDebitAmount' => TRANS_PURCHASE_DEBIT_AMOUNT,
		'purchaseCreditAmount' => TRANS_PURCHASE_CREDIT_AMOUNT,
		'purchaseAccPayDebitAmount' => TRANS_PURCHASE_ACC_PAY_DEBIT_AMOUNT,
		'purchaseAccPayCreditAmount' => TRANS_PURCHASE_ACC_PAY_CREDIT_AMOUNT,
		'purchaseCashDebitAmount' => TRANS_PURCHASE_CASH_DEBIT_AMOUNT,
		'purchaseCashCreditAmount' => TRANS_PURCHASE_CASH_CREDIT_AMOUNT,
		'currencyID' => TRANS_CURRENCY_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_ACCOUNTINGPURCHASESJOURNALS",
		"childName" => "TRANS_ACCOUNTINGPURCHASESJOURNALS",
		"sideNavMajor" => "accountingPurchasesJournals",
		"sideNavMinor" => "accountingPurchasesJournals",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_ACCOUNTINGPURCHASESJOURNAL",
			"show" => "TRANS_SHOW_ACCOUNTINGPURCHASESJOURNALS",
			"add" => "TRANS_ADD_ACCOUNTINGPURCHASESJOURNAL",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'clientID' => 'clients',
			'invoiceID' => 'invoices',
			'lineItemID' => 'invoiceLineItems',
		),
		"revContext" => array(
		),
	),
);