<?php
// $Id: admins.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["admins"] = baseMap("admins", null, "admins", "admin") + array(
	"columns" => array(
		'adminID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'adminFirstName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'adminLastName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'adminEmail' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'adminUsername' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'adminPassword' => COLUMN_PASSWORD|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'adminTempPassword' => COLUMN_PASSWORD|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'adminRemoteAccessHash' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'adminActive' => COLUMN_ACTIVE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'themeID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'languageID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'countriesID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'adminID' => TRANS_ADMIN_ID,
		'adminFirstName' => TRANS_ADMIN_FIRST_NAME,
		'adminLastName' => TRANS_ADMIN_LAST_NAME,
		'adminEmail' => TRANS_ADMIN_EMAIL,
		'adminUsername' => TRANS_ADMIN_USERNAME,
		'adminPassword' => TRANS_ADMIN_PASSWORD,
		'adminTempPassword' => TRANS_ADMIN_TEMP_PASSWORD,
		'adminRemoteAccessHash' => TRANS_ADMIN_REMOTE_ACCESS_HASH,
		'adminActive' => TRANS_ADMIN_ACTIVE,
		'themeID' => TRANS_THEME_ID,
		'languageID' => TRANS_LANGUAGE_ID,
		'countriesID' => TRANS_COUNTRIES_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_ADMINS",
		"childName" => "TRANS_ADMINS",
		"sideNavMajor" => "admins",
		"sideNavMinor" => "admins",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_ADMIN",
			"show" => "TRANS_SHOW_ADMINS",
			"add" => "TRANS_ADD_ADMIN",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'themeID' => 'themes',
			'languageID' => 'languages',
			'countriesID' => 'countries',
		),
		"revContext" => array(
			'adminGroupRels' => 'adminID',
			'bookmarks' => 'adminID',
			'clientNotes' => 'adminID',
			'companyAdminRels' => 'adminID',
			'emailQueues' => 'adminID',
			'hdAssignmentRels' => 'adminID',
			'hdBucketAdminRels' => 'adminID',
			'hdDepartmentAdminRels' => 'adminID',
			'hdRespTpls' => 'adminID',
			'hdTicketNotes' => 'adminID',
			'mbapiLogs' => 'adminID',
			'migrationReservations' => 'adminID',
			'news' => 'adminID',
			'vendors' => 'adminID',
		),
	),
);