<?php
// $Id: affiliates.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["affiliates"] = baseMap("affiliates", null, "affiliates", "affiliate") + array(
	"columns" => array(
		'affiliateID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'clientID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'affiliateCode' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'affiliateHits' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'affiliateCount' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'affiliatePayTime' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'affiliatePayAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'affiliatePayType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'affiliatePayCycle' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'affiliatePaySum' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'affiliateStatus' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'affiliateDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'affiliateID' => TRANS_AFFILIATE_ID,
		'clientID' => TRANS_CLIENT_ID,
		'affiliateCode' => TRANS_AFFILIATE_CODE,
		'affiliateHits' => TRANS_AFFILIATE_HITS,
		'affiliateCount' => TRANS_AFFILIATE_COUNT,
		'affiliatePayTime' => TRANS_AFFILIATE_PAY_TIME,
		'affiliatePayAmount' => TRANS_AFFILIATE_PAY_AMOUNT,
		'affiliatePayType' => TRANS_AFFILIATE_PAY_TYPE,
		'affiliatePayCycle' => TRANS_AFFILIATE_PAY_CYCLE,
		'affiliatePaySum' => TRANS_AFFILIATE_PAY_SUM,
		'affiliateStatus' => TRANS_AFFILIATE_STATUS,
		'affiliateDateCreated' => TRANS_AFFILIATE_DATE_CREATED,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_AFFILIATES",
		"childName" => "TRANS_AFFILIATES",
		"sideNavMajor" => "affiliates",
		"sideNavMinor" => "affiliates",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_AFFILIATE",
			"show" => "TRANS_SHOW_AFFILIATES",
			"add" => "TRANS_ADD_AFFILIATE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'clientID' => 'clients',
		),
		"revContext" => array(
		),
	),
);