<?php
// $Id: attributes.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["attributes"] = baseMap("attributes", null, "attributes", "attribute") + array(
	"columns" => array(
		'attributeID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'attributeName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'attributeType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'attributeSubtype' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'attributeInputRestrictions' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'questionID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'valueMapID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orderFormID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'attributeID' => TRANS_ATTRIBUTE_ID,
		'attributeName' => TRANS_ATTRIBUTE_NAME,
		'attributeType' => TRANS_ATTRIBUTE_TYPE,
		'attributeSubtype' => TRANS_ATTRIBUTE_SUBTYPE,
		'attributeInputRestrictions' => TRANS_ATTRIBUTE_INPUT_RESTRICTIONS,
		'questionID' => TRANS_QUESTION_ID,
		'valueMapID' => TRANS_VALUE_MAP_ID,
		'productID' => TRANS_PRODUCT_ID,
		'orderFormID' => TRANS_ORDER_FORM_ID,
		'configGroupID' => TRANS_CONFIG_GROUP_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_ATTRIBUTES",
		"childName" => "TRANS_ATTRIBUTES",
		"sideNavMajor" => "attributes",
		"sideNavMinor" => "attributes",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_ATTRIBUTE",
			"show" => "TRANS_SHOW_ATTRIBUTES",
			"add" => "TRANS_ADD_ATTRIBUTE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'questionID' => 'wizardQuestions',
			'valueMapID' => 'questionValueMaps',
			'productID' => 'products',
			'orderFormID' => 'orderForms',
			'configGroupID' => 'configGroups',
		),
		"revContext" => array(
			'attributeMappings' => 'attributeID',
			'clientAttributes' => 'attributeID',
		),
	),
);