<?php
// $Id: companies.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["companies"] = baseMap("companies", null, "companies", "company") + array(
	"columns" => array(
		'companyID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'companyName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'companyShortDescription' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'companyDescription' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'companyURL' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'companyClientURL' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'companyOrderURL' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'companyEmail' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'companyAddress1' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'companyAddress2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'companyCity' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'companyState' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'companyZip' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'countriesID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'companyPhone1' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'companyPhone2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'companyFax' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'companyTaxIDNumber' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'companyID' => TRANS_COMPANY_ID,
		'companyName' => TRANS_COMPANY_NAME,
		'companyShortDescription' => TRANS_COMPANY_SHORT_DESCRIPTION,
		'companyDescription' => TRANS_COMPANY_DESCRIPTION,
		'companyURL' => TRANS_COMPANY_URL,
		'companyClientURL' => TRANS_COMPANY_CLIENT_URL,
		'companyOrderURL' => TRANS_COMPANY_ORDER_URL,
		'companyEmail' => TRANS_COMPANY_EMAIL,
		'companyAddress1' => TRANS_COMPANY_ADDRESS_1,
		'companyAddress2' => TRANS_COMPANY_ADDRESS_2,
		'companyCity' => TRANS_COMPANY_CITY,
		'companyState' => TRANS_COMPANY_STATE,
		'companyZip' => TRANS_COMPANY_ZIP,
		'countriesID' => TRANS_COUNTRIES_ID,
		'companyPhone1' => TRANS_COMPANY_PHONE1,
		'companyPhone2' => TRANS_COMPANY_PHONE2,
		'companyFax' => TRANS_COMPANY_FAX,
		'companyTaxIDNumber' => TRANS_COMPANY_TAX_ID_NUMBER,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_COMPANIES",
		"childName" => "TRANS_COMPANIES",
		"sideNavMajor" => "companies",
		"sideNavMinor" => "companies",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_COMPANY",
			"show" => "TRANS_SHOW_COMPANIES",
			"add" => "TRANS_ADD_COMPANY",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'countriesID' => 'countries',
		),
		"revContext" => array(
			'clients' => 'companyID',
			'companyAdminGroupRels' => 'companyID',
			'companyAdminRels' => 'companyID',
			'companyClientGroupRels' => 'companyID',
			'companyNewsRels' => 'companyID',
			'companyProductRels' => 'companyID',
			'orderForms' => 'companyID',
		),
	),
);