<?php
// $Id: configParams.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["configParams"] = baseMap("config_params", null, "configParams", "configParam") + array(
	"columns" => array(
		'configParamID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'configGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configParamName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configParamValue' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configParamGroupTransKey' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configParamTransKey' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configParamDescription' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configParamInputType' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configParamRequired' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configParamOrder' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configParamLocked' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'configParamID' => TRANS_CONFIG_PARAM_ID,
		'configGroupID' => TRANS_CONFIG_GROUP_ID,
		'configParamName' => TRANS_CONFIG_PARAM_NAME,
		'configParamValue' => TRANS_CONFIG_PARAM_VALUE,
		'configParamGroupTransKey' => TRANS_CONFIG_PARAM_GROUP_TRANS_KEY,
		'configParamTransKey' => TRANS_CONFIG_PARAM_TRANS_KEY,
		'configParamDescription' => TRANS_CONFIG_PARAM_DESCRIPTION,
		'configParamInputType' => TRANS_CONFIG_PARAM_INPUT_TYPE,
		'configParamRequired' => TRANS_CONFIG_PARAM_REQUIRED,
		'configParamOrder' => TRANS_CONFIG_PARAM_ORDER,
		'configParamLocked' => TRANS_CONFIG_PARAM_LOCKED,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_CONFIGPARAMS",
		"childName" => "TRANS_CONFIGPARAMS",
		"sideNavMajor" => "configParams",
		"sideNavMinor" => "configParams",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_CONFIGPARAM",
			"show" => "TRANS_SHOW_CONFIGPARAMS",
			"add" => "TRANS_ADD_CONFIGPARAM",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'configGroupID' => 'configGroups',
		),
		"revContext" => array(
			'configParamValues' => 'configParamID',
		),
	),
);