<?php
// $Id: countries.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["countries"] = baseMap("countries", null, "countries", "country") + array(
	"columns" => array(
		'countriesID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'countriesISO2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'countriesISONum' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'countriesRegion' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'countriesPhoneCode' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'countriesID' => TRANS_COUNTRIES_ID,
		'countriesISO2' => TRANS_COUNTRIES_ISO_2,
		'countriesISONum' => TRANS_COUNTRIES_ISO_NUM,
		'countriesRegion' => TRANS_COUNTRIES_REGION,
		'countriesPhoneCode' => TRANS_COUNTRIES_PHONE_CODE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_COUNTRIES",
		"childName" => "TRANS_COUNTRIES",
		"sideNavMajor" => "countries",
		"sideNavMinor" => "countries",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_COUNTRY",
			"show" => "TRANS_SHOW_COUNTRIES",
			"add" => "TRANS_ADD_COUNTRY",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'admins' => 'countriesID',
			'clientContacts' => 'countriesID',
			'clients' => 'countriesID',
			'companies' => 'countriesID',
			'emailTpls' => 'countriesID',
			'fraudCountryThresholds' => 'countriesID',
			'hdTicketContacts' => 'countriesID',
			'orderForms' => 'countriesID',
			'vendors' => 'countriesID',
		),
	),
);