<?php
// $Id: couponConditions.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["couponConditions"] = baseMap("coupon_conditions", null, "couponConditions", "couponCondition") + array(
	"columns" => array(
		'couponConditionID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'couponConditionGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productVariantID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'cycleID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'couponConditionID' => TRANS_COUPON_CONDITION_ID,
		'couponConditionGroupID' => TRANS_COUPON_CONDITION_GROUP_ID,
		'productVariantID' => TRANS_PRODUCT_VARIANT_ID,
		'cycleID' => TRANS_CYCLE_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_COUPONCONDITIONS",
		"childName" => "TRANS_COUPONCONDITIONS",
		"sideNavMajor" => "couponConditions",
		"sideNavMinor" => "couponConditions",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_COUPONCONDITION",
			"show" => "TRANS_SHOW_COUPONCONDITIONS",
			"add" => "TRANS_ADD_COUPONCONDITION",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'couponConditionGroupID' => 'couponConditionGroups',
			'productVariantID' => 'productVariants',
			'cycleID' => 'cycles',
		),
		"revContext" => array(
		),
	),
);