<?php
// $Id: coupons.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["coupons"] = baseMap("coupons", null, "coupons", "coupon") + array(
	"columns" => array(
		'couponID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'couponCode' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponDiscount' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponComments' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponActive' => COLUMN_ACTIVE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponDateStarted' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponDateEnded' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponCount' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponMaxCount' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponNewOnly' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponNumCycles' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponApplyNumber' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'couponID' => TRANS_COUPON_ID,
		'couponCode' => TRANS_COUPON_CODE,
		'couponDiscount' => TRANS_COUPON_DISCOUNT,
		'couponType' => TRANS_COUPON_TYPE,
		'couponComments' => TRANS_COUPON_COMMENTS,
		'couponActive' => TRANS_COUPON_ACTIVE,
		'couponDateCreated' => TRANS_COUPON_DATE_CREATED,
		'couponDateStarted' => TRANS_COUPON_DATE_STARTED,
		'couponDateEnded' => TRANS_COUPON_DATE_ENDED,
		'couponCount' => TRANS_COUPON_COUNT,
		'couponMaxCount' => TRANS_COUPON_MAX_COUNT,
		'couponNewOnly' => TRANS_COUPON_NEW_ONLY,
		'couponNumCycles' => TRANS_COUPON_NUM_CYCLES,
		'couponApplyNumber' => TRANS_COUPON_APPLY_NUMBER,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_COUPONS",
		"childName" => "TRANS_COUPONS",
		"sideNavMajor" => "coupons",
		"sideNavMinor" => "coupons",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_COUPON",
			"show" => "TRANS_SHOW_COUPONS",
			"add" => "TRANS_ADD_COUPON",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'couponConditionGroups' => 'couponID',
			'orderFormCouponRels' => 'couponID',
			'packageAddons' => 'couponID',
			'packages' => 'couponID',
			'productCouponPreRels' => 'couponID',
			'productCouponRels' => 'couponID',
			'shoppingCoupons' => 'couponID',
		),
	),
);