<?php
// $Id: cycleDiscounts.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["cycleDiscounts"] = baseMap("cycle_discounts", null, "cycleDiscounts", "cycleDiscount") + array(
	"columns" => array(
		'cycleDiscountID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'cycleDiscountGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'cycleDiscountActive' => COLUMN_ACTIVE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'cycleID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'cycleDiscountAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'cycleDiscountID' => TRANS_CYCLE_DISCOUNT_ID,
		'cycleDiscountGroupID' => TRANS_CYCLE_DISCOUNT_GROUP_ID,
		'cycleDiscountActive' => TRANS_CYCLE_DISCOUNT_ACTIVE,
		'cycleID' => TRANS_CYCLE_ID,
		'cycleDiscountAmount' => TRANS_CYCLE_DISCOUNT_AMOUNT,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_CYCLEDISCOUNTS",
		"childName" => "TRANS_CYCLEDISCOUNTS",
		"sideNavMajor" => "cycleDiscounts",
		"sideNavMinor" => "cycleDiscounts",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_CYCLEDISCOUNT",
			"show" => "TRANS_SHOW_CYCLEDISCOUNTS",
			"add" => "TRANS_ADD_CYCLEDISCOUNT",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'cycleDiscountGroupID' => 'cycleDiscountGroups',
			'cycleID' => 'cycles',
		),
		"revContext" => array(
		),
	),
);