<?php
// $Id: cycles.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["cycles"] = baseMap("cycles", null, "cycles", "cycle") + array(
	"columns" => array(
		'cycleID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'cycleDisplayName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'cycleNumSeconds' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'cycleNumMinutes' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'cycleNumHours' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'cycleNumDays' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'cycleNumMonths' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'cycleNumYears' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'cycleID' => TRANS_CYCLE_ID,
		'cycleDisplayName' => TRANS_CYCLE_DISPLAY_NAME,
		'cycleNumSeconds' => TRANS_CYCLE_NUM_SECONDS,
		'cycleNumMinutes' => TRANS_CYCLE_NUM_MINUTES,
		'cycleNumHours' => TRANS_CYCLE_NUM_HOURS,
		'cycleNumDays' => TRANS_CYCLE_NUM_DAYS,
		'cycleNumMonths' => TRANS_CYCLE_NUM_MONTHS,
		'cycleNumYears' => TRANS_CYCLE_NUM_YEARS,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_CYCLES",
		"childName" => "TRANS_CYCLES",
		"sideNavMajor" => "cycles",
		"sideNavMinor" => "cycles",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_CYCLE",
			"show" => "TRANS_SHOW_CYCLES",
			"add" => "TRANS_ADD_CYCLE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'couponConditions' => 'cycleID',
			'cycleDiscounts' => 'cycleID',
			'cycleGroupRels' => 'cycleID',
			'invoiceLineItems' => 'cycleID',
			'packages' => 'cycleID',
			'prepayDiscounts' => 'cycleID',
			'productCycleGhostRels' => 'cycleID',
			'productLedgerCycleRels' => 'cycleID',
			'productVariantPrices' => 'cycleID',
			'shoppingItems' => 'cycleID',
		),
	),
);