<?php
// $Id: dbgEntries.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["dbgEntries"] = baseMap("dbg_entries", null, "dbgEntries", "dbgEntry") + array(
	"columns" => array(
		'dbgEntryID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'dbgPageloadID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'dbgEntryDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'dbgEntryFile' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'dbgEntryLine' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'dbgEntryMessage' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'dbgEntryID' => TRANS_DBG_ENTRY_ID,
		'dbgPageloadID' => TRANS_DBG_PAGELOAD_ID,
		'dbgEntryDateCreated' => TRANS_DBG_ENTRY_DATE_CREATED,
		'dbgEntryFile' => TRANS_DBG_ENTRY_FILE,
		'dbgEntryLine' => TRANS_DBG_ENTRY_LINE,
		'dbgEntryMessage' => TRANS_DBG_ENTRY_MESSAGE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_DBGENTRIES",
		"childName" => "TRANS_DBGENTRIES",
		"sideNavMajor" => "dbgEntries",
		"sideNavMinor" => "dbgEntries",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_DBGENTRY",
			"show" => "TRANS_SHOW_DBGENTRIES",
			"add" => "TRANS_ADD_DBGENTRY",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'dbgPageloadID' => 'dbgPageloads',
		),
		"revContext" => array(
		),
	),
);