<?php
// $Id: emailTpls.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["emailTpls"] = baseMap("email_tpls", null, "emailTpls", "emailTpl") + array(
	"columns" => array(
		'emailTplID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'emailTplGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailTplSubject' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailTplPrimary' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailTplBody' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailTplTextBody' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'languageID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'countryType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'countriesID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'regionsID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'emailTplID' => TRANS_EMAIL_TPL_ID,
		'emailTplGroupID' => TRANS_EMAIL_TPL_GROUP_ID,
		'emailTplSubject' => TRANS_EMAIL_TPL_SUBJECT,
		'emailTplPrimary' => TRANS_EMAIL_TPL_PRIMARY,
		'emailTplBody' => TRANS_EMAIL_TPL_BODY,
		'emailTplTextBody' => TRANS_EMAIL_TPL_TEXT_BODY,
		'languageID' => TRANS_LANGUAGE_ID,
		'countryType' => TRANS_COUNTRY_TYPE,
		'countriesID' => TRANS_COUNTRIES_ID,
		'regionsID' => TRANS_REGIONS_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_EMAILTPLS",
		"childName" => "TRANS_EMAILTPLS",
		"sideNavMajor" => "emailTpls",
		"sideNavMinor" => "emailTpls",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_EMAILTPL",
			"show" => "TRANS_SHOW_EMAILTPLS",
			"add" => "TRANS_ADD_EMAILTPL",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'emailTplGroupID' => 'emailTplGroups',
			'languageID' => 'languages',
			'countriesID' => 'countries',
		),
		"revContext" => array(
		),
	),
);