<?php
// $Id: fraudResultsLogs.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["fraudResultsLogs"] = baseMap("fraud_results_log", null, "fraudResultsLogs", "fraudResultsLog") + array(
	"columns" => array(
		'fraudResultLogID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'thresholdID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'clientID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orderFormID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultOrderEmail' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultOrderAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultOAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultOAmountAction' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultDefaultScore' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultAdjustedScore' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultScoreAction' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultFinalActionUsed' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultIP' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultIPLon' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultIPLat' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultIPCity' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultIPRegion' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultIPCountry' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultIPIsp' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultIPOrg' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultIPCountryMatch' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultIPDistance' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultBin' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultBinCountry' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultBinMatch' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultBinBankMatch' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultBinName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultBinPhone' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultBinPhoneMatch' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultRiskyEmail' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultRiskyCountry' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultRiskyShipping' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultIsFreeEmail' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultIsAnonProxy' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultIsOpenProxy' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultSpamScore' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultPhoneMatch' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultBillingMatch' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultShipMatch' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudResultError' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'fraudResultLogID' => TRANS_FRAUD_RESULT_LOG_ID,
		'thresholdID' => TRANS_THRESHOLD_ID,
		'clientID' => TRANS_CLIENT_ID,
		'orderFormID' => TRANS_ORDER_FORM_ID,
		'fraudResultOrderEmail' => TRANS_FRAUD_RESULT_ORDER_EMAIL,
		'fraudResultOrderAmount' => TRANS_FRAUD_RESULT_ORDER_AMOUNT,
		'fraudResultOAmount' => TRANS_FRAUD_RESULT_O_AMOUNT,
		'fraudResultOAmountAction' => TRANS_FRAUD_RESULT_O_AMOUNT_ACTION,
		'fraudResultDefaultScore' => TRANS_FRAUD_RESULT_DEFAULT_SCORE,
		'fraudResultAdjustedScore' => TRANS_FRAUD_RESULT_ADJUSTED_SCORE,
		'fraudResultScoreAction' => TRANS_FRAUD_RESULT_SCORE_ACTION,
		'fraudResultFinalActionUsed' => TRANS_FRAUD_RESULT_FINAL_ACTION_USED,
		'fraudResultIP' => TRANS_FRAUD_RESULT_IP,
		'fraudResultIPLon' => TRANS_FRAUD_RESULT_IP_LON,
		'fraudResultIPLat' => TRANS_FRAUD_RESULT_IP_LAT,
		'fraudResultIPCity' => TRANS_FRAUD_RESULT_IP_CITY,
		'fraudResultIPRegion' => TRANS_FRAUD_RESULT_IP_REGION,
		'fraudResultIPCountry' => TRANS_FRAUD_RESULT_IP_COUNTRY,
		'fraudResultIPIsp' => TRANS_FRAUD_RESULT_IP_ISP,
		'fraudResultIPOrg' => TRANS_FRAUD_RESULT_IP_ORG,
		'fraudResultIPCountryMatch' => TRANS_FRAUD_RESULT_IP_COUNTRY_MATCH,
		'fraudResultIPDistance' => TRANS_FRAUD_RESULT_IP_DISTANCE,
		'fraudResultBin' => TRANS_FRAUD_RESULT_BIN,
		'fraudResultBinCountry' => TRANS_FRAUD_RESULT_BIN_COUNTRY,
		'fraudResultBinMatch' => TRANS_FRAUD_RESULT_BIN_MATCH,
		'fraudResultBinBankMatch' => TRANS_FRAUD_RESULT_BIN_BANK_MATCH,
		'fraudResultBinName' => TRANS_FRAUD_RESULT_BIN_NAME,
		'fraudResultBinPhone' => TRANS_FRAUD_RESULT_BIN_PHONE,
		'fraudResultBinPhoneMatch' => TRANS_FRAUD_RESULT_BIN_PHONE_MATCH,
		'fraudResultRiskyEmail' => TRANS_FRAUD_RESULT_RISKY_EMAIL,
		'fraudResultRiskyCountry' => TRANS_FRAUD_RESULT_RISKY_COUNTRY,
		'fraudResultRiskyShipping' => TRANS_FRAUD_RESULT_RISKY_SHIPPING,
		'fraudResultIsFreeEmail' => TRANS_FRAUD_RESULT_IS_FREE_EMAIL,
		'fraudResultIsAnonProxy' => TRANS_FRAUD_RESULT_IS_ANON_PROXY,
		'fraudResultIsOpenProxy' => TRANS_FRAUD_RESULT_IS_OPEN_PROXY,
		'fraudResultDateCreated' => TRANS_FRAUD_RESULT_DATE_CREATED,
		'fraudResultSpamScore' => TRANS_FRAUD_RESULT_SPAM_SCORE,
		'fraudResultPhoneMatch' => TRANS_FRAUD_RESULT_PHONE_MATCH,
		'fraudResultBillingMatch' => TRANS_FRAUD_RESULT_BILLING_MATCH,
		'fraudResultShipMatch' => TRANS_FRAUD_RESULT_SHIP_MATCH,
		'fraudResultError' => TRANS_FRAUD_RESULT_ERROR,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_FRAUDRESULTSLOGS",
		"childName" => "TRANS_FRAUDRESULTSLOGS",
		"sideNavMajor" => "fraudResultsLogs",
		"sideNavMinor" => "fraudResultsLogs",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_FRAUDRESULTSLOG",
			"show" => "TRANS_SHOW_FRAUDRESULTSLOGS",
			"add" => "TRANS_ADD_FRAUDRESULTSLOG",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'thresholdID' => 'fraudCountryThresholds',
			'clientID' => 'clients',
			'orderFormID' => 'orderForms',
		),
		"revContext" => array(
		),
	),
);