<?php
// $Id: gwTransactions.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["gwTransactions"] = baseMap("gw_transactions", null, "gwTransactions", "gwTransaction") + array(
	"columns" => array(
		'gwTransactionID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'gwTransactionType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'gwTransactionRef' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'billingAccountID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'gwTransactionID' => TRANS_GW_TRANSACTION_ID,
		'gwTransactionType' => TRANS_GW_TRANSACTION_TYPE,
		'gwTransactionRef' => TRANS_GW_TRANSACTION_REF,
		'billingAccountID' => TRANS_BILLING_ACCOUNT_ID,
		'configGroupID' => TRANS_CONFIG_GROUP_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_GWTRANSACTIONS",
		"childName" => "TRANS_GWTRANSACTIONS",
		"sideNavMajor" => "gwTransactions",
		"sideNavMinor" => "gwTransactions",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_GWTRANSACTION",
			"show" => "TRANS_SHOW_GWTRANSACTIONS",
			"add" => "TRANS_ADD_GWTRANSACTION",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'billingAccountID' => 'clientBillingAccounts',
			'configGroupID' => 'configGroups',
		),
		"revContext" => array(
			'gwTransactionAttrs' => 'gwTransactionID',
		),
	),
);