<?php
// $Id: hdTicketEvents.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["hdTicketEvents"] = baseMap("hd_ticket_events", null, "hdTicketEvents", "hdTicketEvent") + array(
	"columns" => array(
		'hdTicketEventID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'hdTicketID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'userID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'userType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hdTicketPriorityID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hdTicketStatusID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hdTicketEventComment' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'hdTicketEventID' => TRANS_HD_TICKET_EVENT_ID,
		'hdTicketID' => TRANS_HD_TICKET_ID,
		'userID' => TRANS_USER_ID,
		'userType' => TRANS_USER_TYPE,
		'hdTicketPriorityID' => TRANS_HD_TICKET_PRIORITY_ID,
		'hdTicketStatusID' => TRANS_HD_TICKET_STATUS_ID,
		'hdTicketEventComment' => TRANS_HD_TICKET_EVENT_COMMENT,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_HDTICKETEVENTS",
		"childName" => "TRANS_HDTICKETEVENTS",
		"sideNavMajor" => "hdTicketEvents",
		"sideNavMinor" => "hdTicketEvents",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_HDTICKETEVENT",
			"show" => "TRANS_SHOW_HDTICKETEVENTS",
			"add" => "TRANS_ADD_HDTICKETEVENT",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'hdTicketID' => 'hdTickets',
		),
		"revContext" => array(
		),
	),
);