<?php
// $Id: news.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["news"] = baseMap("news", null, "news", "new") + array(
	"columns" => array(
		'newsID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'adminID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'newsSubject' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'newsShortBody' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'newsBody' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'newsDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'priorityID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'newsActive' => COLUMN_ACTIVE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'newsID' => TRANS_NEWS_ID,
		'adminID' => TRANS_ADMIN_ID,
		'newsSubject' => TRANS_NEWS_SUBJECT,
		'newsShortBody' => TRANS_NEWS_SHORT_BODY,
		'newsBody' => TRANS_NEWS_BODY,
		'newsDateCreated' => TRANS_NEWS_DATE_CREATED,
		'priorityID' => TRANS_PRIORITY_ID,
		'newsActive' => TRANS_NEWS_ACTIVE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_NEWS",
		"childName" => "TRANS_NEWS",
		"sideNavMajor" => "news",
		"sideNavMinor" => "news",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_NEW",
			"show" => "TRANS_SHOW_NEWS",
			"add" => "TRANS_ADD_NEW",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'adminID' => 'admins',
		),
		"revContext" => array(
			'companyNewsRels' => 'newsID',
			'newsClientGroupRels' => 'newsID',
			'newsGroupRels' => 'newsID',
		),
	),
);