<?php
// $Id: packageAddonAttributes.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["packageAddonAttributes"] = baseMap("package_addon_attributes", null, "packageAddonAttributes", "packageAddonAttribute") + array(
	"columns" => array(
		'packageAddonAttributeID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'packageAddonID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'serverGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageAttributeName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageAttributeValue' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageAttributeDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'packageAddonAttributeID' => TRANS_PACKAGE_ADDON_ATTRIBUTE_ID,
		'packageAddonID' => TRANS_PACKAGE_ADDON_ID,
		'serverGroupID' => TRANS_SERVER_GROUP_ID,
		'configGroupID' => TRANS_CONFIG_GROUP_ID,
		'packageAttributeName' => TRANS_PACKAGE_ATTRIBUTE_NAME,
		'packageAttributeValue' => TRANS_PACKAGE_ATTRIBUTE_VALUE,
		'packageAttributeDateCreated' => TRANS_PACKAGE_ATTRIBUTE_DATE_CREATED,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PACKAGEADDONATTRIBUTES",
		"childName" => "TRANS_PACKAGEADDONATTRIBUTES",
		"sideNavMajor" => "packageAddonAttributes",
		"sideNavMinor" => "packageAddonAttributes",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PACKAGEADDONATTRIBUTE",
			"show" => "TRANS_SHOW_PACKAGEADDONATTRIBUTES",
			"add" => "TRANS_ADD_PACKAGEADDONATTRIBUTE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'packageAddonID' => 'packageAddons',
			'serverGroupID' => 'serverGroups',
			'configGroupID' => 'configGroups',
		),
		"revContext" => array(
		),
	),
);