<?php
// $Id: packageLedgerEntries.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["packageLedgerEntries"] = baseMap("package_ledger_entries", null, "packageLedgerEntries", "packageLedgerEntry") + array(
	"columns" => array(
		'packageLedgerID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'packageID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageLedgerNumCycles' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'generalLedgerType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'journalType' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ledgerAccountID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageLedgerDebit' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageLedgerCredit' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageLedgerComment' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'currencyID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'packageLedgerID' => TRANS_PACKAGE_LEDGER_ID,
		'packageID' => TRANS_PACKAGE_ID,
		'packageLedgerNumCycles' => TRANS_PACKAGE_LEDGER_NUM_CYCLES,
		'generalLedgerType' => TRANS_GENERAL_LEDGER_TYPE,
		'journalType' => TRANS_JOURNAL_TYPE,
		'ledgerAccountID' => TRANS_LEDGER_ACCOUNT_ID,
		'packageLedgerDebit' => TRANS_PACKAGE_LEDGER_DEBIT,
		'packageLedgerCredit' => TRANS_PACKAGE_LEDGER_CREDIT,
		'packageLedgerComment' => TRANS_PACKAGE_LEDGER_COMMENT,
		'currencyID' => TRANS_CURRENCY_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PACKAGELEDGERENTRIES",
		"childName" => "TRANS_PACKAGELEDGERENTRIES",
		"sideNavMajor" => "packageLedgerEntries",
		"sideNavMinor" => "packageLedgerEntries",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PACKAGELEDGERENTRY",
			"show" => "TRANS_SHOW_PACKAGELEDGERENTRIES",
			"add" => "TRANS_ADD_PACKAGELEDGERENTRY",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'packageID' => 'packages',
			'ledgerAccountID' => 'accountingLedgerAccounts',
		),
		"revContext" => array(
		),
	),
);