<?php
// $Id: packagePops.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["packagePops"] = baseMap("package_pops", null, "packagePops", "packagePop") + array(
	"columns" => array(
		'packagePopID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'packagePopRealName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packagePopUsername' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packagePopPassword' => COLUMN_PASSWORD|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packagePopQuota' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packagePopFtp' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packagePopTelnet' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packagePopDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'packagePopID' => TRANS_PACKAGE_POP_ID,
		'packagePopRealName' => TRANS_PACKAGE_POP_REAL_NAME,
		'packagePopUsername' => TRANS_PACKAGE_POP_USERNAME,
		'packagePopPassword' => TRANS_PACKAGE_POP_PASSWORD,
		'packagePopQuota' => TRANS_PACKAGE_POP_QUOTA,
		'packagePopFtp' => TRANS_PACKAGE_POP_FTP,
		'packagePopTelnet' => TRANS_PACKAGE_POP_TELNET,
		'packagePopDateCreated' => TRANS_PACKAGE_POP_DATE_CREATED,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PACKAGEPOPS",
		"childName" => "TRANS_PACKAGEPOPS",
		"sideNavMajor" => "packagePops",
		"sideNavMinor" => "packagePops",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PACKAGEPOP",
			"show" => "TRANS_SHOW_PACKAGEPOPS",
			"add" => "TRANS_ADD_PACKAGEPOP",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'packagePopRels' => 'packagePopID',
		),
	),
);