<?php
// $Id: packages.php 12257 2007-11-19 18:08:56Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["packages"] = baseMap("packages", null, "packages", "package") + array(
	"columns" => array(
		'packageID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'parentPackageID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'invoiceProcessID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'invoiceProcessDate' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'clientID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'clientContactID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productVariantID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'primaryDomainID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageGroupID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'taxZoneGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'cycleDiscountGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'invoicingGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageQuantity' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageProratable' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageInvoiceSeparately' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageDiscountable' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageDateBeginRenewal' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageDateLastRenewal' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageDateNextRenewal' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageDateStopRenewal' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageDateCancelled' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packagePendingCancellation' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageActive' => COLUMN_ACTIVE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageStatus' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageStatusReason' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageComments' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageOriginalPrice' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packagePrice' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageDiscount' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageSetup' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageCostCurrencyID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageCostAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageSetupCostCurrencyID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageSetupCostAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packagePriceLock' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packagePriorID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'cycleID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'affCode' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'affDateLastPaid' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'usageDateLastRenewal' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'usageDateNextRenewal' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'usageCycleID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'usageCalculateOnly' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'externalID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'externalID1' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'externalID2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'externalID3' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'paymentGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponNumCycles' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponPrice' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageCancellationType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageClientPermissions' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'packageID' => TRANS_PACKAGE_ID,
		'parentPackageID' => TRANS_PARENT_PACKAGE_ID,
		'invoiceProcessID' => TRANS_INVOICE_PROCESS_ID,
		'invoiceProcessDate' => TRANS_INVOICE_PROCESS_DATE,
		'clientID' => TRANS_CLIENT_ID,
		'clientContactID' => TRANS_CLIENT_CONTACT_ID,
		'productID' => TRANS_PRODUCT_ID,
		'productVariantID' => TRANS_PRODUCT_VARIANT_ID,
		'primaryDomainID' => TRANS_PRIMARY_DOMAIN_ID,
		'packageGroupID' => TRANS_PACKAGE_GROUP_ID,
		'taxZoneGroupID' => TRANS_TAX_ZONE_GROUP_ID,
		'cycleDiscountGroupID' => TRANS_CYCLE_DISCOUNT_GROUP_ID,
		'invoicingGroupID' => TRANS_INVOICING_GROUP_ID,
		'packageName' => TRANS_PACKAGE_NAME,
		'packageQuantity' => TRANS_PACKAGE_QUANTITY,
		'packageProratable' => TRANS_PACKAGE_PRORATABLE,
		'packageInvoiceSeparately' => TRANS_PACKAGE_INVOICE_SEPARATELY,
		'packageDiscountable' => TRANS_PACKAGE_DISCOUNTABLE,
		'packageDateCreated' => TRANS_PACKAGE_DATE_CREATED,
		'packageDateBeginRenewal' => TRANS_PACKAGE_DATE_BEGIN_RENEWAL,
		'packageDateLastRenewal' => TRANS_PACKAGE_DATE_LAST_RENEWAL,
		'packageDateNextRenewal' => TRANS_PACKAGE_DATE_NEXT_RENEWAL,
		'packageDateStopRenewal' => TRANS_PACKAGE_DATE_STOP_RENEWAL,
		'packageDateCancelled' => TRANS_PACKAGE_DATE_CANCELLED,
		'packagePendingCancellation' => TRANS_PACKAGE_PENDING_CANCELLATION,
		'packageActive' => TRANS_PACKAGE_ACTIVE,
		'packageStatus' => TRANS_PACKAGE_STATUS,
		'packageStatusReason' => TRANS_PACKAGE_STATUS_REASON,
		'packageComments' => TRANS_PACKAGE_COMMENTS,
		'packageType' => TRANS_PACKAGE_TYPE,
		'packageOriginalPrice' => TRANS_PACKAGE_ORIGINAL_PRICE,
		'packagePrice' => TRANS_PACKAGE_PRICE,
		'packageDiscount' => TRANS_PACKAGE_DISCOUNT,
		'packageSetup' => TRANS_PACKAGE_SETUP,
		'packageCostCurrencyID' => TRANS_PACKAGE_COST_CURRENCY_ID,
		'packageCostAmount' => TRANS_PACKAGE_COST_AMOUNT,
		'packageSetupCostCurrencyID' => TRANS_PACKAGE_SETUP_COST_CURRENCY_ID,
		'packageSetupCostAmount' => TRANS_PACKAGE_SETUP_COST_AMOUNT,
		'packagePriceLock' => TRANS_PACKAGE_PRICE_LOCK,
		'packagePriorID' => TRANS_PACKAGE_PRIOR_ID,
		'cycleID' => TRANS_CYCLE_ID,
		'affCode' => TRANS_AFF_CODE,
		'affDateLastPaid' => TRANS_AFF_DATE_LAST_PAID,
		'usageDateLastRenewal' => TRANS_USAGE_DATE_LAST_RENEWAL,
		'usageDateNextRenewal' => TRANS_USAGE_DATE_NEXT_RENEWAL,
		'usageCycleID' => TRANS_USAGE_CYCLE_ID,
		'usageCalculateOnly' => TRANS_USAGE_CALCULATE_ONLY,
		'externalID' => TRANS_EXTERNAL_ID,
		'externalID1' => TRANS_EXTERNAL_ID_1,
		'externalID2' => TRANS_EXTERNAL_ID_2,
		'externalID3' => TRANS_EXTERNAL_ID_3,
		'paymentGroupID' => TRANS_PAYMENT_GROUP_ID,
		'couponID' => TRANS_COUPON_ID,
		'couponNumCycles' => TRANS_COUPON_NUM_CYCLES,
		'couponPrice' => TRANS_COUPON_PRICE,
		'packageCancellationType' => TRANS_PACKAGE_CANCELLATION_TYPE,
		'packageClientPermissions' => TRANS_PACKAGE_CLIENT_PERMISSIONS,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PACKAGES",
		"childName" => "TRANS_PACKAGES",
		"sideNavMajor" => "packages",
		"sideNavMinor" => "packages",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PACKAGE",
			"show" => "TRANS_SHOW_PACKAGES",
			"add" => "TRANS_ADD_PACKAGE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'clientID' => 'clients',
			'clientContactID' => 'clientContacts',
			'productID' => 'products',
			'productVariantID' => 'productVariants',
			'taxZoneGroupID' => 'taxZoneGroups',
			'cycleDiscountGroupID' => 'cycleDiscountGroups',
			'invoicingGroupID' => 'invoicingGroups',
			'cycleID' => 'cycles',
			'paymentGroupID' => 'paymentGroups',
			'couponID' => 'coupons',
		),
		"revContext" => array(
			'clientBillingAccountShares' => 'packageID',
			'invoiceLineItems' => 'packageID',
			'packageAddons' => 'packageID',
			'packageAttributes' => 'packageID',
			'packageCertRels' => 'packageID',
			'packageConfigGroupRels' => 'packageID',
			'packageDatabaseRels' => 'packageID',
			'packageDomainRels' => 'packageID',
			'packageFeeRels' => 'packageID',
			'packageLedgerEntries' => 'packageID',
			'packageLicenseRels' => 'packageID',
			'packagePopRels' => 'packageID',
			'packageUsageLogs' => 'packageID',
			'packageVendorRels' => 'packageID',
			'subscriptionPackageRels' => 'packageID',
			'systemQueues' => 'packageID',
		),
	),
);