<?php
// $Id: paymentGroupsGatewayRels.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["paymentGroupsGatewayRels"] = baseMap("payment_groups_gateway_rel", null, "paymentGroupsGatewayRels", "paymentGroupsGatewayRel") + array(
	"columns" => array(
		'paymentGroupsGatewayRelID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'paymentGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'gatewayType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'paymentGroupsGatewayRelID' => TRANS_PAYMENT_GROUPS_GATEWAY_REL_ID,
		'paymentGroupID' => TRANS_PAYMENT_GROUP_ID,
		'configGroupID' => TRANS_CONFIG_GROUP_ID,
		'gatewayType' => TRANS_GATEWAY_TYPE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PAYMENTGROUPSGATEWAYRELS",
		"childName" => "TRANS_PAYMENTGROUPSGATEWAYRELS",
		"sideNavMajor" => "paymentGroupsGatewayRels",
		"sideNavMinor" => "paymentGroupsGatewayRels",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PAYMENTGROUPSGATEWAYREL",
			"show" => "TRANS_SHOW_PAYMENTGROUPSGATEWAYRELS",
			"add" => "TRANS_ADD_PAYMENTGROUPSGATEWAYREL",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'paymentGroupID' => 'paymentGroups',
			'configGroupID' => 'configGroups',
		),
		"revContext" => array(
		),
	),
);