<?php
// $Id: productAddonGroups.php 12437 2008-01-08 19:23:08Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["productAddonGroups"] = baseMap("product_addon_groups", null, "productAddonGroups", "productAddonGroup") + array(
	"columns" => array(
		'productAddonGroupID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'productAddonGroupActive' => COLUMN_ACTIVE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productAddonGroupName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productAddonGroupInputType' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productAddonGroupNoneChoice' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'productAddonGroupID' => TRANS_PRODUCT_ADDON_GROUP_ID,
		'productAddonGroupActive' => TRANS_PRODUCT_ADDON_GROUP_ACTIVE,
		'productAddonGroupName' => TRANS_PRODUCT_ADDON_GROUP_NAME,
		'productAddonGroupInputType' => TRANS_PRODUCT_ADDON_GROUP_INPUT_TYPE,
		'productAddonGroupNoneChoice' => TRANS_PRODUCT_ADDON_GROUP_NONE_CHOICE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PRODUCTADDONGROUPS",
		"childName" => "TRANS_PRODUCTADDONGROUPS",
		"sideNavMajor" => "productAddonGroups",
		"sideNavMinor" => "productAddonGroups",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PRODUCTADDONGROUP",
			"show" => "TRANS_SHOW_PRODUCTADDONGROUPS",
			"add" => "TRANS_ADD_PRODUCTADDONGROUP",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'productAddonGroupRels' => 'productAddonGroupID',
			'products' => 'productAddonGroupID',
		),
	),
);