<?php
// $Id: productRelations.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["productRelations"] = baseMap("product_relations", null, "productRelations", "productRelation") + array(
	"columns" => array(
		'productRelationID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'subjectProductID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'relatedProductID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productRelationType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'productRelationID' => TRANS_PRODUCT_RELATION_ID,
		'subjectProductID' => TRANS_SUBJECT_PRODUCT_ID,
		'relatedProductID' => TRANS_RELATED_PRODUCT_ID,
		'productRelationType' => TRANS_PRODUCT_RELATION_TYPE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PRODUCTRELATIONS",
		"childName" => "TRANS_PRODUCTRELATIONS",
		"sideNavMajor" => "productRelations",
		"sideNavMinor" => "productRelations",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PRODUCTRELATION",
			"show" => "TRANS_SHOW_PRODUCTRELATIONS",
			"add" => "TRANS_ADD_PRODUCTRELATION",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
		),
	),
);