<?php
// $Id: productVariantPrices.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["productVariantPrices"] = baseMap("product_variant_prices", null, "productVariantPrices", "productVariantPrice") + array(
	"columns" => array(
		'productVariantPriceID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'productVariantID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productVariantPriceType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'cycleID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'currencyID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productVariantPriceAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'costCurrencyID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'costAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'productVariantPriceID' => TRANS_PRODUCT_VARIANT_PRICE_ID,
		'productVariantID' => TRANS_PRODUCT_VARIANT_ID,
		'productVariantPriceType' => TRANS_PRODUCT_VARIANT_PRICE_TYPE,
		'cycleID' => TRANS_CYCLE_ID,
		'currencyID' => TRANS_CURRENCY_ID,
		'productVariantPriceAmount' => TRANS_PRODUCT_VARIANT_PRICE_AMOUNT,
		'costCurrencyID' => TRANS_COST_CURRENCY_ID,
		'costAmount' => TRANS_COST_AMOUNT,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PRODUCTVARIANTPRICES",
		"childName" => "TRANS_PRODUCTVARIANTPRICES",
		"sideNavMajor" => "productVariantPrices",
		"sideNavMinor" => "productVariantPrices",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PRODUCTVARIANTPRICE",
			"show" => "TRANS_SHOW_PRODUCTVARIANTPRICES",
			"add" => "TRANS_ADD_PRODUCTVARIANTPRICE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'productVariantID' => 'productVariants',
			'cycleID' => 'cycles',
		),
		"revContext" => array(
		),
	),
);