<?php
// $Id: productVariants.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["productVariants"] = baseMap("product_variants", null, "productVariants", "productVariant") + array(
	"columns" => array(
		'productVariantID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'productVariantDisplayName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productVariantActive' => COLUMN_ACTIVE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productVariableValueID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'tldID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'taxZoneGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'cycleDiscountGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'invoicingGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'productVariantID' => TRANS_PRODUCT_VARIANT_ID,
		'productVariantDisplayName' => TRANS_PRODUCT_VARIANT_DISPLAY_NAME,
		'productVariantActive' => TRANS_PRODUCT_VARIANT_ACTIVE,
		'productID' => TRANS_PRODUCT_ID,
		'productVariableValueID' => TRANS_PRODUCT_VARIABLE_VALUE_ID,
		'tldID' => TRANS_TLD_ID,
		'taxZoneGroupID' => TRANS_TAX_ZONE_GROUP_ID,
		'cycleDiscountGroupID' => TRANS_CYCLE_DISCOUNT_GROUP_ID,
		'invoicingGroupID' => TRANS_INVOICING_GROUP_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PRODUCTVARIANTS",
		"childName" => "TRANS_PRODUCTVARIANTS",
		"sideNavMajor" => "productVariants",
		"sideNavMinor" => "productVariants",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PRODUCTVARIANT",
			"show" => "TRANS_SHOW_PRODUCTVARIANTS",
			"add" => "TRANS_ADD_PRODUCTVARIANT",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'productID' => 'products',
			'productVariableValueID' => 'productVariableValues',
			'tldID' => 'tlds',
			'taxZoneGroupID' => 'taxZoneGroups',
			'cycleDiscountGroupID' => 'cycleDiscountGroups',
			'invoicingGroupID' => 'invoicingGroups',
		),
		"revContext" => array(
			'couponConditions' => 'productVariantID',
			'packages' => 'productVariantID',
			'productLedgerEntries' => 'productVariantID',
			'productVariantPrices' => 'productVariantID',
			'productVendorQtyRels' => 'productVariantID',
			'shoppingItems' => 'productVariantID',
			'vendorInventoryNotes' => 'productVariantID',
		),
	),
);