<?php
// $Id: productVendorQties.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["productVendorQties"] = baseMap("product_vendor_qties", null, "productVendorQties", "productVendorQty") + array(
	"columns" => array(
		'productVendorQtyID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'quantityAvailable' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'quantityUnavailable' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'productVendorQtyID' => TRANS_PRODUCT_VENDOR_QTY_ID,
		'quantityAvailable' => TRANS_QUANTITY_AVAILABLE,
		'quantityUnavailable' => TRANS_QUANTITY_UNAVAILABLE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PRODUCTVENDORQTIES",
		"childName" => "TRANS_PRODUCTVENDORQTIES",
		"sideNavMajor" => "productVendorQties",
		"sideNavMinor" => "productVendorQties",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PRODUCTVENDORQTY",
			"show" => "TRANS_SHOW_PRODUCTVENDORQTIES",
			"add" => "TRANS_ADD_PRODUCTVENDORQTY",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'productVendorQtyRels' => 'productVendorQtyID',
		),
	),
);