<?php
// $Id: serverGroups.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["serverGroups"] = baseMap("server_groups", null, "serverGroups", "serverGroup") + array(
	"columns" => array(
		'serverGroupID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'serverGroupName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'serverGroupFillType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'serverGroupID' => TRANS_SERVER_GROUP_ID,
		'serverGroupName' => TRANS_SERVER_GROUP_NAME,
		'serverGroupFillType' => TRANS_SERVER_GROUP_FILL_TYPE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_SERVERGROUPS",
		"childName" => "TRANS_SERVERGROUPS",
		"sideNavMajor" => "serverGroups",
		"sideNavMinor" => "serverGroups",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_SERVERGROUP",
			"show" => "TRANS_SHOW_SERVERGROUPS",
			"add" => "TRANS_ADD_SERVERGROUP",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'packageAddonAttributes' => 'serverGroupID',
			'packageAttributes' => 'serverGroupID',
			'productAttributes' => 'serverGroupID',
			'productServerGroupGhostRels' => 'serverGroupID',
			'serverGroupRels' => 'serverGroupID',
			'systemQueues' => 'serverGroupID',
		),
	),
);