<?php
// $Id: shoppingItems.php 12257 2007-11-19 18:08:56Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["shoppingItems"] = baseMap("shopping_items", null, "shoppingItems", "shoppingItem") + array(
	"columns" => array(
		'shoppingItemID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'shoppingSessionID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productVariantID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'parentShoppingItemID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'shoppingItemPrimaryDomainID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'cycleID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'currencyID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'shoppingItemQuantity' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'shoppingItemSLD' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'shoppingItemTLD' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'shoppingItemDomainType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'shoppingItemDomainLanguage' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'shoppingItemTransferKey' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'shoppingItemPrice' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'shoppingItemSetupPrice' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'shoppingItemDateAdded' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'shoppingItemID' => TRANS_SHOPPING_ITEM_ID,
		'shoppingSessionID' => TRANS_SHOPPING_SESSION_ID,
		'productID' => TRANS_PRODUCT_ID,
		'productVariantID' => TRANS_PRODUCT_VARIANT_ID,
		'parentShoppingItemID' => TRANS_PARENT_SHOPPING_ITEM_ID,
		'shoppingItemPrimaryDomainID' => TRANS_SHOPPING_ITEM_PRIMARY_DOMAIN_ID,
		'cycleID' => TRANS_CYCLE_ID,
		'currencyID' => TRANS_CURRENCY_ID,
		'shoppingItemQuantity' => TRANS_SHOPPING_ITEM_QUANTITY,
		'shoppingItemSLD' => TRANS_SHOPPING_ITEM_SLD,
		'shoppingItemTLD' => TRANS_SHOPPING_ITEM_TLD,
		'shoppingItemDomainType' => TRANS_SHOPPING_ITEM_DOMAIN_TYPE,
		'shoppingItemDomainLanguage' => TRANS_SHOPPING_ITEM_DOMAIN_LANGUAGE,
		'shoppingItemTransferKey' => TRANS_SHOPPING_ITEM_TRANSFER_KEY,
		'shoppingItemPrice' => TRANS_SHOPPING_ITEM_PRICE,
		'shoppingItemSetupPrice' => TRANS_SHOPPING_ITEM_SETUP_PRICE,
		'shoppingItemDateAdded' => TRANS_SHOPPING_ITEM_DATE_ADDED,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_SHOPPINGITEMS",
		"childName" => "TRANS_SHOPPINGITEMS",
		"sideNavMajor" => "shoppingItems",
		"sideNavMinor" => "shoppingItems",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_SHOPPINGITEM",
			"show" => "TRANS_SHOW_SHOPPINGITEMS",
			"add" => "TRANS_ADD_SHOPPINGITEM",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'shoppingSessionID' => 'shoppingSessions',
			'productID' => 'products',
			'productVariantID' => 'productVariants',
			'cycleID' => 'cycles',
		),
		"revContext" => array(
			'shoppingItemsDomainsRels' => 'shoppingItemID',
		),
	),
);