<?php
// $Id: sourceLogCols.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["sourceLogCols"] = baseMap("source_log_col", null, "sourceLogCols", "sourceLogCol") + array(
	"columns" => array(
		'sourceLogColID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'sourceLogRowID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'sourceLogColName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'sourceLogColOldVal' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'sourceLogColNewVal' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'sourceLogColID' => TRANS_SOURCE_LOG_COL_ID,
		'sourceLogRowID' => TRANS_SOURCE_LOG_ROW_ID,
		'sourceLogColName' => TRANS_SOURCE_LOG_COL_NAME,
		'sourceLogColOldVal' => TRANS_SOURCE_LOG_COL_OLD_VAL,
		'sourceLogColNewVal' => TRANS_SOURCE_LOG_COL_NEW_VAL,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_SOURCELOGCOLS",
		"childName" => "TRANS_SOURCELOGCOLS",
		"sideNavMajor" => "sourceLogCols",
		"sideNavMinor" => "sourceLogCols",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_SOURCELOGCOL",
			"show" => "TRANS_SHOW_SOURCELOGCOLS",
			"add" => "TRANS_ADD_SOURCELOGCOL",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'sourceLogRowID' => 'sourceLogRows',
		),
		"revContext" => array(
		),
	),
);