<?php
// $Id: subscriptions.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["subscriptions"] = baseMap("subscriptions", null, "subscriptions", "subscription") + array(
	"columns" => array(
		'subscriptionID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'clientID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'subscriptionExternalID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'billingAccountID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'subscriptionStatus' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'subscriptionDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'subscriptionDateModified' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'subscriptionAccountIDENTIFIER' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'subscriptionID' => TRANS_SUBSCRIPTION_ID,
		'clientID' => TRANS_CLIENT_ID,
		'subscriptionExternalID' => TRANS_SUBSCRIPTION_EXTERNAL_ID,
		'billingAccountID' => TRANS_BILLING_ACCOUNT_ID,
		'subscriptionStatus' => TRANS_SUBSCRIPTION_STATUS,
		'subscriptionDateCreated' => TRANS_SUBSCRIPTION_DATE_CREATED,
		'subscriptionDateModified' => TRANS_SUBSCRIPTION_DATE_MODIFIED,
		'configGroupID' => TRANS_CONFIG_GROUP_ID,
		'subscriptionAccountIDENTIFIER' => TRANS_SUBSCRIPTION_ACCOUNT_IDENTIFIER,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_SUBSCRIPTIONS",
		"childName" => "TRANS_SUBSCRIPTIONS",
		"sideNavMajor" => "subscriptions",
		"sideNavMinor" => "subscriptions",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_SUBSCRIPTION",
			"show" => "TRANS_SHOW_SUBSCRIPTIONS",
			"add" => "TRANS_ADD_SUBSCRIPTION",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'clientID' => 'clients',
			'billingAccountID' => 'clientBillingAccounts',
			'configGroupID' => 'configGroups',
		),
		"revContext" => array(
			'callbackLogs' => 'subscriptionID',
			'subscriptionPackageAddonRels' => 'subscriptionID',
			'subscriptionPackageRels' => 'subscriptionID',
		),
	),
);