<?php
// $Id: transactionSuccessRels.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["transactionSuccessRels"] = baseMap("transaction_success_rel", null, "transactionSuccessRels", "transactionSuccessRel") + array(
	"columns" => array(
		'transactionID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'billingAccountShareID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'lineItemID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'lineItemPaymentAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'transactionID' => TRANS_TRANSACTION_ID,
		'billingAccountShareID' => TRANS_BILLING_ACCOUNT_SHARE_ID,
		'lineItemID' => TRANS_LINE_ITEM_ID,
		'lineItemPaymentAmount' => TRANS_LINE_ITEM_PAYMENT_AMOUNT,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_TRANSACTIONSUCCESSRELS",
		"childName" => "TRANS_TRANSACTIONSUCCESSRELS",
		"sideNavMajor" => "transactionSuccessRels",
		"sideNavMinor" => "transactionSuccessRels",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_TRANSACTIONSUCCESSREL",
			"show" => "TRANS_SHOW_TRANSACTIONSUCCESSRELS",
			"add" => "TRANS_ADD_TRANSACTIONSUCCESSREL",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'transactionID' => 'transactionLogs',
			'billingAccountShareID' => 'clientBillingAccountShares',
			'lineItemID' => 'invoiceLineItems',
		),
		"revContext" => array(
		),
	),
);