<?php
// $Id: vendorInventoryMsgs.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["vendorInventoryMsgs"] = baseMap("vendor_inventory_msgs", null, "vendorInventoryMsgs", "vendorInventoryMsg") + array(
	"columns" => array(
		'vendorInvMsgID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'vendorID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorInvMsgType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorInvMsgToken' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorInvMsgText' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'vendorInvMsgID' => TRANS_VENDOR_INV_MSG_ID,
		'vendorID' => TRANS_VENDOR_ID,
		'vendorInvMsgType' => TRANS_VENDOR_INV_MSG_TYPE,
		'vendorInvMsgToken' => TRANS_VENDOR_INV_MSG_TOKEN,
		'vendorInvMsgText' => TRANS_VENDOR_INV_MSG_TEXT,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_VENDORINVENTORYMSGS",
		"childName" => "TRANS_VENDORINVENTORYMSGS",
		"sideNavMajor" => "vendorInventoryMsgs",
		"sideNavMinor" => "vendorInventoryMsgs",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_VENDORINVENTORYMSG",
			"show" => "TRANS_SHOW_VENDORINVENTORYMSGS",
			"add" => "TRANS_ADD_VENDORINVENTORYMSG",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'vendorID' => 'vendors',
		),
		"revContext" => array(
			'vendorInvMsgNoteRels' => 'vendorInvMsgID',
			'vendorInvMsgProvRels' => 'vendorInvMsgID',
		),
	),
);