<?php
// $Id: vendors.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["vendors"] = baseMap("vendors", null, "vendors", "vendor") + array(
	"columns" => array(
		'vendorID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'adminID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorActive' => COLUMN_ACTIVE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorApiURL' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorSellerUsername' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorSellerPassword' => COLUMN_PASSWORD|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorDateLastInvoiceSync' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorActivationRule' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorMarkupPercentage' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorAddress1' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorAddress2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorCity' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorState' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorZip' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'countriesID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'vendorID' => TRANS_VENDOR_ID,
		'adminID' => TRANS_ADMIN_ID,
		'vendorName' => TRANS_VENDOR_NAME,
		'vendorActive' => TRANS_VENDOR_ACTIVE,
		'vendorApiURL' => TRANS_VENDOR_API_URL,
		'vendorSellerUsername' => TRANS_VENDOR_SELLER_USERNAME,
		'vendorSellerPassword' => TRANS_VENDOR_SELLER_PASSWORD,
		'vendorDateLastInvoiceSync' => TRANS_VENDOR_DATE_LAST_INVOICE_SYNC,
		'vendorActivationRule' => TRANS_VENDOR_ACTIVATION_RULE,
		'vendorMarkupPercentage' => TRANS_VENDOR_MARKUP_PERCENTAGE,
		'vendorAddress1' => TRANS_VENDOR_ADDRESS_1,
		'vendorAddress2' => TRANS_VENDOR_ADDRESS_2,
		'vendorCity' => TRANS_VENDOR_CITY,
		'vendorState' => TRANS_VENDOR_STATE,
		'vendorZip' => TRANS_VENDOR_ZIP,
		'countriesID' => TRANS_COUNTRIES_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_VENDORS",
		"childName" => "TRANS_VENDORS",
		"sideNavMajor" => "vendors",
		"sideNavMinor" => "vendors",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_VENDOR",
			"show" => "TRANS_SHOW_VENDORS",
			"add" => "TRANS_ADD_VENDOR",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'adminID' => 'admins',
			'countriesID' => 'countries',
		),
		"revContext" => array(
			'packageVendorRels' => 'vendorID',
			'productVendorQtyRels' => 'vendorID',
			'productVendorRels' => 'vendorID',
			'vendorContacts' => 'vendorID',
			'vendorInventoryMsgs' => 'vendorID',
		),
	),
);