<?php
// $Id: websiteWidgets.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["websiteWidgets"] = baseMap("website_widgets", null, "websiteWidgets", "websiteWidget") + array(
	"columns" => array(
		'websiteWidgetID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'websiteWidgetName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'websiteWidgetTpl' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orderFormID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'websiteWidgetID' => TRANS_WEBSITE_WIDGET_ID,
		'websiteWidgetName' => TRANS_WEBSITE_WIDGET_NAME,
		'websiteWidgetTpl' => TRANS_WEBSITE_WIDGET_TPL,
		'orderFormID' => TRANS_ORDER_FORM_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_WEBSITEWIDGETS",
		"childName" => "TRANS_WEBSITEWIDGETS",
		"sideNavMajor" => "websiteWidgets",
		"sideNavMinor" => "websiteWidgets",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_WEBSITEWIDGET",
			"show" => "TRANS_SHOW_WEBSITEWIDGETS",
			"add" => "TRANS_ADD_WEBSITEWIDGET",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'orderFormID' => 'orderForms',
		),
		"revContext" => array(
			'websiteWidgetsProductsRels' => 'websiteWidgetID',
		),
	),
);