<?php
// $Id: invoicingGroups.php 9998 2006-11-10 21:49:07Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['invoicingGroups'] = array(
	"names" => array(
		"singular" => "invoicingGroup",
		"plural" => "invoicingGroups",
		"file" => "products",
	),
	"request" => array(
		'command' => "GetInvoicingGroups",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("invoicingGroups", "invoicingGroup"),
	),
	"insert" => array(
		"command" => "SetInvoicingGroups",
		"subCommand" => "insert",
		"params" => array(),//$allParamsRoot,
	),
	"update" => array(
		"command" => "SetInvoicingGroups",
		"subCommand" => "update",
		"params" => array(),//$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetInvoicingGroups",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeID")),
	),
	"table" => "invoicing_groups",
	"columns" => array(
		"invoicingGroupID" => COLUMN_PRIMARY_KEY|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
		"invoicingGroup" => COLUMN_PRIMARY_NAME|COLUMN_EDITABLE|COLUMN_LISTABLE,
	),
	"columnLabels" => array(
		"invoicingGroupID" => TRANS_INVOICING_GROUP_ID,
		"invoicingGroup" => TRANS_INVOICING_GROUP_NAME,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_PRODUCTS",
		"childName" => "TRANS_MANAGE_INVOICING_GROUPS",
		"sideNavMajor" => "products",
		"sideNavMinor" => "invoicinggroups",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_INVOICING_GROUP",
			"add" => "TRANS_ADD_INVOICING_GROUP",
			"show" => "TRANS_SHOW_INVOICING_GROUPS",
		)
	),
	"display" => array(
		'showTemplate' => "1",
		'addTemplate' => "1",
		'editTemplate' => "1",
		"suppressActions" => array("showdetails"),
	),
);
