<?php
// $Id: migrationObjs.php 7624 2006-06-19 20:50:40Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['migrationObjs'] = array(
	"names" => array(
		"singular" => "migrationObj",
		"plural" => "migrationObjs",
		"file" => "migrate",
	),
	"request" => array(
		'command' => "GetMigrationObjs",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("migrationObjs", "migrationObj"),
	),
	"insert" => array(
		"command" => "SetMigrationObjs",
		"subCommand" => "insert",
		"params" => array(),//$allParamsRoot,
	),
	"update" => array(
		"command" => "SetMigrationObjs",
		"subCommand" => "update",
		"params" => array(),//$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetMigrationObjs",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeID")),
	),
	"table" => "migration_objs",
	"columns" => array(
		"migrationObjID" => COLUMN_PRIMARY_KEY,
		"migrationConfigID" => COLUMN_ID,
		"migrationObjName" => COLUMN_PRIMARY_NAME,
		"migrationExtSeqID" => COLUMN_ID,
		"migrationExtObjName" => COLUMN_TEXT,
		"migrationExtObjKey" => COLUMN_TEXT,
		"migrationIntSeqID" => COLUMN_ID,
		"migrationIntObjName" => COLUMN_TEXT,
		"migrationIntObjKey" => COLUMN_TEXT,
	),
	"display" => array(
		"revContext" => array(
			"migrationMappings" => "migrationMappingID",
		),
	),
);
