<?php
// $Id: packageCertRels.php 8593 2006-08-31 00:34:03Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['packageCertRels'] = array(
	"names" => array(
		"singular" => "packageCertRel",
		"plural" => "packageCertRels",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetPackageCertRels",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("packageCertRels", "packageCertRel"),
	),
	"insert" => array(
		'command' => "SetPackageCertRels",
		'subCommand' => "insert",
		'params' => array(),
	),
	"update" => array(
		'command' => "SetPackageCertRels",
		'subCommand' => "update",
		'params' => array(),
	),
	"delete" => array(
		'command' => "SetPackageCertRels",
		'subCommand' => "delete",
		'params' => array(),
	),
	"table" => "package_cert_rel",
	"columns" => array(
		"packageID" => COLUMN_ID,
		"certID" => COLUMN_ID,
	),
	"display" => array(
		"context" => array(
			"packageID" => "packagesGeneric",
			//"certID" => "certsGeneric",
		),
	),
);

?>
