<?php
// $Id: productVariableValues.php 9205 2006-09-28 02:08:53Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['productVariableValues'] = array(
	"names" => array(
		"singular" => "productVariableValue",
		"plural" => "productVariableValues",
		"file" => "products",
	),
	"request" => array(
		'command' => "GetProductVariableValues",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("productVariableValues", "productVariableValue"),
	),
	"insert" => array(
		"command" => "SetProductVariableValues",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetProductVariableValues",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetProductVariableValues",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeMapID")),
	),
	"table" => "product_variable_values",
	"columns" => array(
		"productVariableValueID" => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE,
		"productVariableID" => COLUMN_ID|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"productVariableValue" => COLUMN_PRIMARY_NAME|COLUMN_EDITABLE|COLUMN_LISTABLE,
	),
	"columnLabels" => array(
		"productVariableValueID" => "TRANS_ID",
		"productVariableID" => "TRANS_PRICING_OPTION_NAME",
		"productVariableValue" => "TRANS_PRICING_OPTION_VALUE",
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PRODUCTS",
		"childName" => "TRANS_MANAGE_PRICING",
		"sideNavMajor" => "products",
		"sideNavMinor" => "variants",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_OPTION_VALUE",
			"show" => "TRANS_SHOW_OPTION_VALUES",
			"add" => "TRANS_ADD_OPTION_VALUE",
			//"showdetails" => "TRANS_OPTION_VALUE_DETAILS",
			"remove" => "TRANS_REMOVE_OPTION_VALUE",
		)
	),
	"display" => array(
		"context" => array(
			"productVariableID" => "productVariables",
		),
		"revContext" => array(
			"variants" => "productVariableValueID",
		),
		'show' => "1",
		'showTemplate' => "1",
		'removeTemplate' => "1",
		'editTemplate' => "1",
		'addTemplate' => "1",
	),
);

?>
