<?php
// $Id: questionParams.php 8212 2006-08-02 17:30:37Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['questionParams'] = array(
	"names" => array(
		"singular" => "questionParam",
		"plural" => "questionParams",
		"file" => "orderforms",
	),
	"request" => array(
		'command' => "GetQuestionParams",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("questionParams", "questionParam"),
	),
	"insert" => array(
		"command" => "SetQuestionParams",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetQuestionParams",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetQuestionParams",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeMapID")),
	),
	"table" => "wizard_question_params",
	"columns" => array(
		"questionParamID" => COLUMN_PRIMARY_KEY,
		"questionParamName" => COLUMN_PRIMARY_NAME,
		"questionID" => COLUMN_ID,
	),
	"display" => array(
		"showTemplate" => "orderforms/ShowQuestionParams",
		"addTemplate" => "orderforms/AddQuestionParams",
		"editTemplate" => "orderforms/EditQuestionParams",
		"removeTemplate" => "orderforms/RemoveQuestionParams",
		"context" => array(
			"questionID" => "questions",
		),
		"revContext" => array(
			"questionParamValues" => "questionParamValueID",
		),
	),
);
