<?php
// $Id: sourceLogCols.php 8501 2006-08-25 22:22:54Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['sourceLogCols'] = array(
	"names" => array(
		"singular" => "sourceLogCol",
		"plural" => "sourceLogCols",
		"file" => "system",
	),
	"request" => array(
		'command' => "GetSourceLogCols",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("sourceLogCols", "sourceLogCol"),
	),
	"insert" => array(
		'command' => "SetSourceLogCols",
		'subCommand' => "insert",
		'params' => array(),
	),
	"update" => array(
		'command' => "SetSourceLogCols",
		'subCommand' => "update",
		'params' => array(),
	),
	"delete" => array(
		'command' => "SetSourceLogCols",
		'subCommand' => "delete",
		'params' => array(),
	),
	"table" => "source_log_col",
	"columns" => array(
		"sourceLogColID" => COLUMN_PRIMARY_KEY,
		"sourceLogRowID" => COLUMN_ID,
		"sourceLogColName" => COLUMN_NAME,
		"sourceLogColOldVal" => COLUMN_STRING,
		"sourceLogColNewVal" => COLUMN_STRING,
	),
	"display" => array(
		"context" => array(
			"sourceLogRowID" => "sourceLogRows",
		),
	),
);

?>
