{* $Id: EditGeneralJournalEntry.tpl 7409 2006-06-12 21:59:48Z kbailey $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$entries (array of journal entries data)
 *		generalJournalID
 *		generalDateCreated
 *		generalDescription
 * 		generalDebitAmount
 *		generalCreditAmount
 *      currencyID
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}


{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_EDIT_GENERAL_JOURNAL_ENTRY"
	sideNavMajor="finances"
	sideNavMinor="accounting"}

<form name="generalform" method="post" action="accounting.php">
    <input type="hidden" name="sid" value="{$sid}">
    <input type="hidden" name="generalJournalID" value="{$generalJournalID}">
    <input type="hidden" name="action" value="{getActionID action="EditGeneralJournalEntryResponse"}">
{section name=i loop=$failreason}
{include
    file="$tplDirectory/widgets/showInvalidCustom.tpl"
    message=$failreason[i]
    identifier=$smarty.section.i.index
    class="highlight"}

{/section}
<fieldset>
<legend>{$smarty.const.TRANS_EDIT_GENERAL_JOURNAL_ENTRY}</legend>
    <table border="0" width="100%" class="list">
        <tr>
            <td class="title">{$smarty.const.TRANS_DATE}</td>
            <td>{include file="$tplDirectory/widgets/dateSelector.tpl" param="generalDateCreated" real="generalDateCreated"}</td>
        </tr>
        <tr>
            <td class="title">{$smarty.const.TRANS_GENERAL_JOURNAL_DESCRIPTION}</td>
            <td><input type="text" size="50" name="generalDescription" value="{$generalDescription}"></td>
        </tr>
        <tr>
            <td class="title">{$smarty.const.TRANS_CURRENCY_ID}</td>
            <td><input type="text" size="3" maxlength="3" name="currencyID" value="{$currencyID}" onkeyup="this.value=XKfilterString(this.value, 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ');"></td>
        </tr>
   </table>
</fieldset>
<fieldset>
<legend>{$smarty.const.TRANS_LEDGER_ENTRY}</legend>

{include file="$tplDirectory/widgets/ledgerForm.tpl"
      containerClass="box01"
      containerName="leDiv"
      fieldPrefix="addGeneral"
      printScript=1
      currency=""
      formname="generalform"
      existingEntries=$existingEntries
      ledgerAccounts=$ledgerAccounts
      ledgerTypes=$ledgerTypes}

</fieldset>
<table border="0" width="100%" class="list">
<tr class="listButtons">
<td><div><input class="submit" type="submit" name="save" value="{$smarty.const.TRANS_SAVE}"></div></td>
</tr>
</table>

</form>


{include file="$tplDirectory/footer.tpl"}
