{* $Id: ShowCashFlowContainer.tpl 10113 2006-11-24 21:22:26Z kbailey $
 * --------------------------------------------------------------
 * This template displays a the accounting journals menu.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{t c="TRANS_RANGED_CASH_FLOW" d="Ranged Cash Flow Report"}
{t c="TRANS_LOADING_CASH_FLOW" d="Loading Cash Flow"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_REPORTS"
	sideNavMajor="finances"
	sideNavMinor="accounting"
	includeAjaxJS=1}

<script type="text/javascript">
	var cp = new cpaint();
	cp.set_transfer_mode('get');
	cp.set_response_type('text');
	cp.set_use_cpaint_api(false);
	{literal}
	function ShowCashFlow() {
		document.getElementById("ShowCashFlowOutput").innerHTML = 
			"<br /><center><img src=\"{/literal}{$imageDirectory}{literal}/loading2.gif\" style=\"vertical-align:middle;border-style:none;\" /> {/literal}{$smarty.const.TRANS_LOADING_CASH_FLOW}{literal}</center>";
		cp.call('{/literal}accounting.php?action={getActionID action="ShowCashFlow"}&'+
				'cashFlowBeginMonth={$cashFlowBeginMonth}&cashFlowBeginDay={$cashFlowBeginDay}&'+
				'cashFlowBeginYear={$cashFlowBeginYear}&cashFlowEndMonth={$cashFlowEndMonth}&'+
				'cashFlowEndDay={$cashFlowEndDay}&cashFlowEndYear={$cashFlowEndYear}&'+
				'ajax=1&sid={$sid}&'+Math.random()+'{literal}', 
				'ShowCashFlow', 
				ShowCashFlowOutput);
		return false;
	}
	function ShowCashFlowOutput(result) {
		if (result) {
			document.getElementById("ShowCashFlowOutput").innerHTML = result;
		} else {
			document.getElementById("ShowCashFlowOutput").innerHTML = {/literal}"unable to parse command"{literal};
		}
	}
	setTimeout("ShowCashFlow();", 100);
	{/literal}
</script>

<table  width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01">
<tr><td valign="top">

<div class="blueDiv">

<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
<tr class="headerRowBlue">
	<td>&nbsp;{$smarty.const.TRANS_RANGED_CASH_FLOW}</td>
</tr>
<tr>
	<td style="padding:0px;border:1px solid #BAB8AF;">
		<table width="100%" border="0" cellpadding="0" cellspacing="0">
		<tr>
			<td width="50%" style="text-align:left;padding:1px;">
				&nbsp;
			</td>
			<td width="50%" style="text-align:right;padding:1px;">
				{strip}
				<a href="javascript:void(0);" onclick="return ShowCashFlow();">
					<img src="{$imageDirectory}/ico/refresh.gif" title="{$smarty.const.TRANS_REFRESH}" style="vertical-align:middle;border-style:none;" />
				</a>
				&nbsp;
				<a href="javascript:void(0);" onclick="return ShowCashFlow();">
					{$smarty.const.TRANS_REFRESH}
				</a>
				{/strip}
				&nbsp;
			</td>
		</tr>
		</table>
	</td>
</tr>
<tr>
	<td style="padding:0px;border:1px solid #BAB8AF;">
		<div style="padding:1px;height:500px;overflow:auto;background-color:#FFF;" id="ShowCashFlowOutput"></div>
	</td>
</tr>
</table>

</div>

</td></tr></table>

<br />

{include file="$tplDirectory/footer.tpl"}
