{* $Id: ShowJournalsMenu.tpl 9891 2006-10-31 21:49:28Z kbailey $
 * --------------------------------------------------------------
 * This template displays a the accounting journals menu.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ACCOUNTING" d="Accounting"}
{t c="TRANS_AMOUNT" d="Amount"}
{t c="TRANS_DATE" d="Date"}
{t c="TRANS_DAILY_JOURNALS" d="Daily Journals"}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_PURCHASES_JOURNAL" d="Purchases Journal"}
{t c="TRANS_PURCHASES_JOURNAL_DESC" d="All daily cash disbursements are recorded in the purchases journal."}
{t c="TRANS_SALES_AND_RECEIPTS_JOURNAL" d="Sales & Receipts Journal"}
{t c="TRANS_SALES_AND_RECEIPTS_DESC" d="All daily sales and payments received are recorded in a combined sales and cash receipts journal."}
{t c="TRANS_SELECT_JOURNAL_DATE" d="Select a journal date to view."}

{t c="TRANS_SELECT_JOURNAL_DATE_RANGE" d="Select a journal date range"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_DAILY_JOURNALS"
	sideNavMajor="finances"
	sideNavMinor="accounting"}

<table  width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01">
	<tr>
		<td>
		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td>{$smarty.const.TRANS_SALES_AND_RECEIPTS_JOURNAL}</td>
		</tr>
		<tr class="alt2">
			<td style="padding:2px;border:1px solid #BAB8AF;">{$smarty.const.TRANS_SALES_AND_RECEIPTS_DESC}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;background-color:#FFFFFF;">
				<form method="post" action="accounting.php">
				<input type="hidden" name="action" value="{getActionID action="ShowReceiptsJournal"}" />
				<input type="hidden" name="sid" value="{$sid}" />
				<table border="0" cellpadding="3">
				<tr>
					<td>
						{$smarty.const.TRANS_SELECT_JOURNAL_DATE} <input class="button" type="button" id="salesJournalCal" value=" ... " />
					</td>
				</tr>
				<tr>
					<td>
						{$smarty.const.TRANS_SELECT_JOURNAL_DATE_RANGE}
					</td>
				</tr>
				<tr>
					<td>
						<strong>{$smarty.const.TRANS_FROM}:</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="salesJournalBegin" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="salesJournalBegin" value=" ... " />
						<script type="text/javascript">
							{literal}
							function updateSalesJournalBeginSelect(cal) {
								var date = cal.date;
								var selectMonth = document.getElementById("salesJournalBeginMonth");
								selectMonth.selectedIndex = date.getMonth();
								var selectDay = document.getElementById("salesJournalBeginDay");
								selectDay.selectedIndex = (date.getDate() - 1);
								var selectYear = document.getElementById("salesJournalBeginYear");
								selectYear.value = date.getFullYear();
							}
							Zapatec.Calendar.setup({
								button         :    "salesJournalBegin",
								onUpdate       :     updateSalesJournalBeginSelect,
								showsTime      :     false
							});
							{/literal}
						</script>
						&nbsp;
						<strong>{$smarty.const.TRANS_TO}:</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="salesJournalEnd" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="salesJournalEnd" value=" ... " />
						<script type="text/javascript">
						    {literal}
						    function salesJournalEndSelect(cal) {
						        var date = cal.date;
						        var selectMonth = document.getElementById("salesJournalEndMonth");
						        selectMonth.selectedIndex = date.getMonth();
						        var selectDay = document.getElementById("salesJournalEndDay");
						        selectDay.selectedIndex = (date.getDate() - 1);
						        var selectYear = document.getElementById("salesJournalEndYear");
						        selectYear.value = date.getFullYear();
						    }
						    Zapatec.Calendar.setup({
						        button         :    "salesJournalEnd",
						        onUpdate       :     salesJournalEndSelect,
						        showsTime      :     false
						    });
						    {/literal}
					    </script>
					</td>
				</tr>
				<tr>
					<td>
						<input class="submit" type="submit" value="{$smarty.const.TRANS_GENERATE_REPORT}">
					</td>
				</tr>
				</table>
				</form>
				<br />
			</td>
		</tr>
		</table>
		</div>
		</td>
	</tr>
		
	<tr>
		<td>
		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td>{$smarty.const.TRANS_PURCHASES_JOURNAL}</td>
		</tr>
		<tr class="alt2">
			<td style="padding:2px;border:1px solid #BAB8AF;">{$smarty.const.TRANS_PURCHASES_JOURNAL_DESC}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;background-color:#FFFFFF;">
				<form method="post" action="accounting.php">
				<input type="hidden" name="action" value="{getActionID action="ShowPurchasesJournal"}" />
				<input type="hidden" name="sid" value="{$sid}" />
				<table border="0" cellpadding="3">
				<tr>
					<td>
						{$smarty.const.TRANS_SELECT_JOURNAL_DATE} <input class="button" type="button" id="purchasesJournalCal" value=" ... " />
					</td>
				</tr>
				<tr>
					<td>
						{$smarty.const.TRANS_SELECT_JOURNAL_DATE_RANGE}
					</td>
				</tr>
				<tr>
					<td>
						<strong>{$smarty.const.TRANS_FROM}:</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="purchasesJournalBegin" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="purchasesJournalBegin" value=" ... " />
						<script type="text/javascript">
							{literal}
							function purchasesJournalBeginSelect(cal) {
								var date = cal.date;
								var selectMonth = document.getElementById("purchasesJournalBeginMonth");
								selectMonth.selectedIndex = date.getMonth();
								var selectDay = document.getElementById("purchasesJournalBeginDay");
								selectDay.selectedIndex = (date.getDate() - 1);
								var selectYear = document.getElementById("purchasesJournalBeginYear");
								selectYear.value = date.getFullYear();
							}
							Zapatec.Calendar.setup({
								button         :    "purchasesJournalBegin",
								onUpdate       :     purchasesJournalBeginSelect,
								showsTime      :     false
							});
							{/literal}
						</script>
						&nbsp;
						<strong>{$smarty.const.TRANS_TO}:</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="purchasesJournalEnd" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="purchasesJournalEnd" value=" ... " />
						<script type="text/javascript">
						    {literal}
						    function purchasesJournalEndSelect(cal) {
						        var date = cal.date;
						        var selectMonth = document.getElementById("purchasesJournalEndMonth");
						        selectMonth.selectedIndex = date.getMonth();
						        var selectDay = document.getElementById("purchasesJournalEndDay");
						        selectDay.selectedIndex = (date.getDate() - 1);
						        var selectYear = document.getElementById("purchasesJournalEndYear");
						        selectYear.value = date.getFullYear();
						    }
						    Zapatec.Calendar.setup({
						        button         :    "purchasesJournalEnd",
						        onUpdate       :     purchasesJournalEndSelect,
						        showsTime      :     false
						    });
						    {/literal}
					    </script>
					</td>
				</tr>
				<tr>
					<td>
						<input class="submit" type="submit" value="{$smarty.const.TRANS_GENERATE_REPORT}">
					</td>
				</tr>
				</table>
				</form>
				<br />
			</td>
		</tr>
		</table>
		</div>
		</td>
	</tr>

</table>

<script type="text/javascript">//<![CDATA[
{literal}
var startDate;
var endDate;
var callbacks = 0;

function resetDates() {
	startDate = endDate = null;
}

/*
* Given two dates (in seconds) find out if date1 is bigger, date2 is bigger or
* they're the same, taking only the dates, not the time into account.
* In other words, different times on the same date returns equal.
* returns -1 for date1 bigger, 1 for date2 is bigger 0 for equal
*/

function compareDatesOnly(date1, date2) {
	var year1 = date1.getYear();
	var year2 = date2.getYear();
	var month1 = date1.getMonth();
	var month2 = date2.getMonth();
	var day1 = date1.getDate();
	var day2 = date2.getDate();
	if (year1 > year2) {
		return -1;
	}
	if (year2 > year1) {
		return 1;
	}
	//years are equal
	if (month1 > month2) {
		return -1;
	}
	if (month2 > month1) {
		return 1;
	}
	//years and months are equal
	if (day1 > day2) {
		return -1;
	}
	if (day2 > day1) {
		return 1;
	}
	//days are equal
	return 0;
}

function disableDates(date) {
	var now = new Date();
	if (compareDatesOnly(now, date) > 0) {
		return (true);
	}
	//all other days are enabled
	return false;
}

function goSalesJournal(cal) {
	if (cal.dateClicked) {
		{/literal}
		var url = "accounting.php?action={getActionID action="ShowReceiptsJournal"}&dateQuery[]=" + cal.date.print("%Y/%m/%d/") + "&sid={$sid}";
		{literal}
		window.location = url;
	}
}

function goPurchasesJournal(cal) {
	if (cal.dateClicked) {
		{/literal}
		var url = "accounting.php?action={getActionID action="ShowPurchasesJournal"}&dateQuery[]=" + cal.date.print("%Y/%m/%d/") + "&sid={$sid}";
		{literal}
		window.location = url;
	}
}

Zapatec.Calendar.setup({
	weekNumbers       : false,
	showOthers        : false,
	showsTime         : false,
	timeFormat        : "12",
	step              : 2,
	range             : [1990.01, 2020.12],
	dateStatusFunc	  : disableDates,
	button            : "salesJournalCal",
	onSelect          : goSalesJournal
});

Zapatec.Calendar.setup({
	weekNumbers       : false,
	showOthers        : false,
	showsTime         : false,
	timeFormat        : "12",
	step              : 2,
	range             : [1990.01, 2020.12],
	dateStatusFunc	  : disableDates,
	button            : "purchasesJournalCal",
	onSelect          : goPurchasesJournal
});

{/literal}
//]]></script>

{include file="$tplDirectory/footer.tpl"}