{* $Id: OrderCertGetApproverEula.tpl 6939 2006-05-17 15:57:52Z bsmith $
 * --------------------------------------------------------------
 * This template
 *
 * Smarty Variables:
 *	$certProducts (array of product IDs to select)
 *
 *}
{t c="TRANS_FOCUS_ERROR" d="Click the individual error message below to focus on the element in error"}
{t c="TRANS_GEOTRUST_QUICKSSL" d="The GeoTrust QuickSSL service relies upon the Subscriber or the Subscriber's authorized administrator to approve all certificate requests for all hosts in the domain.  It's important that you select the correct authorized administrator below. By selecting an authorized administrator, you warrant to GeoTrust that the individual is authorized to approve the request. Your request for a GeoTrust QuickSSL server certificate will not be processed beyond this point if you select an incorrect e-mail address."}

{t c="TRANS_MANUAL_APPROVAL_OPTION" d="Manual Approval Option"}
{t c="TRANS_MANUAL_APPROVAL_OPTION_DESC" d="If you are unable to identify an appropriate approver email from the options above, you may select this option and a support representative will contact you and assist in selecting a suitable approver email.  <b>Note: this may take one or two business days longer but can be used when other options are not available.</b>"}

{t c="TRANS_GEOTRUST_MANUAL_APPROVAL" d="GeoTrust Manual Approval"}
{t c="TRANS_DOMAIN_CONTACT" d="Domain Contact"}

{t c="TRANS_LEVEL2" d="Level 2 Domain Addresses"}
{t c="TRANS_LEVEL3" d="Level 3 Domain Addresses"}

{t c="TRANS_REGISTERED_CONTACTS" d="Registered Domain Contacts"}
{t c="TRANS_REGISTERED_CONTACTS_DESC" d="We have successfully obtained domain contacts for this domain from the domain registrar."}

{t c="TRANS_ALT_APPROVAL" d="Alternate Approval e-mail Addresses"}
{t c="TRANS_ALT_APPROVAL_DESC" d="The following approval e-mail addresses can be used. You must make sure that the e-mail account has been set up and is available before you submit this order, or the approval e-mail will not be delivered."}

{t c="TRANS_SELECT_APPROVER_EMAIL" d="Please select one of the approver email addresses."}

{t c="TRANS_CERTAPPROVERLIST" d="Approval for your Certificate Request"}

{include
	file="$tplDirectory/header.tpl"
	parentName=TRANS_SSLCERTS
	childName=TRANS_CERTAPPROVERLIST
	sideNavMajor="products"}

<h4>{$smarty.const.TRANS_QUICKSSL_TITLE}</h4>

<ul id="errors">
	<li class="heading">{$smarty.const.TRANS_FOCUS_ERROR}</li>
</ul>

<p>{$smarty.const.TRANS_GEOTRUST_QUICKSSL}</p>

<form name="ApproverEmail" method="post" action="certs.php">

<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="OrderCertGetApproverEulaResponse"}" />
<input type="hidden" name="certID" value="{$certID}" />


<h4>{$smarty.const.TRANS_REGISTERED_CONTACTS}</h4>

<p>{$smarty.const.TRANS_REGISTERED_CONTACTS_DESC}</p>

<table>
<tr>
	<td><input type="radio" id="approverEmail" name="approverEmail" value="{$approvers.Domain.0}" {if $cert.ODApproverEmailAddress == $approvers.Domain.0 || $cert.ODApproverEmailAddress == ''}CHECKED{/if} alt="radio" emsg="{$smarty.const.TRANS_SELECT_APPROVER_EMAIL}"></td>
 	<td><p><font color="#0000FF">{$approvers.Domain.0}</font></p></td>
 	<td>&nbsp;</td>
 	<td><p><b>{$smarty.const.TRANS_DOMAIN_CONTACT}</b></p></td>
 </tr>
</table>

<br />

<h4>{$smarty.const.TRANS_ALT_APPROVAL}</h4>

<p>{$smarty.const.TRANS_ALT_APPROVAL_DESC}</p>

<table>
<tr>
	<td valign="top">
		<p><b>{$smarty.const.TRANS_LEVEL2}</b></p>

  		<table>
  		{foreach from=$approvers.level2 item=email}
			<tr>
				<td><input type="radio" id="approverEmail" name="approverEmail" value="{$email}" {if $cert.ODApproverEmailAddress == $email}CHECKED{/if} /></td>
				<td><p><font color="#0000FF">{$email}</font></p></td>
			</tr>
		{/foreach}
  		</table>

 	</td>
 	<td width="20">&nbsp;</td>
 	<td valign="top">
 		<p><b>{$smarty.const.TRANS_LEVEL3}</b></p>

  		<table>
  		{foreach from=$approvers.level3 item=email}
			<tr>
				<td><input type="radio" id="approverEmail" name="approverEmail" value="{$email}" {if $cert.ODApproverEmailAddress == $email}CHECKED{/if} /></td>
				<td><p><font color="#0000FF">{$email}</font></p></td>
			</tr>
		{/foreach}
  		</table>

 	</td>
</tr>
</table>

<br />

<h4>{$smarty.const.TRANS_MANUAL_APPROVAL_OPTION}</h4>

<p>{$smarty.const.TRANS_MANUAL_APPROVAL_OPTION_DESC}</p>

<table>
<tr>
	<td><input type="radio" id="approverEmail" name="approverEmail" value="{$approvers.Manual.0}" /></td>
	<td><p><font color="#0000FF">{$smarty.const.TRANS_GEOTRUST_MANUAL_APPROVAL}</font></p></td>
</tr>
</table>

<br/>

<center>
	<input class="submit" type="submit" name="fromApproverInfo" value="{$smarty.const.TRANS_CONTINUE}" />
</center>

</form>

{include file="$tplDirectory/footer.tpl"}
