{* $Id: EditBillingAccount.tpl 12034 2007-10-05 14:45:34Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a billing account.
 *
 * Smarty Variables:
 *	$client (array of this client's data)
 * $contact (array of this contact's data)
 * $billingAccount (array of this billing account's data)
 *
 *}
 
{t c="TRANS_MANAGE_CLIENTS" d="Manage Clients"}
{t c="TRANS_BILLING_ACCOUNT" d="Billing Account"}
{t c="TRANS_BILLING_ACCOUNTS" d="Billing Accounts"}
{t c="TRANS_EDIT_BILLING_ACCOUNT" d="Edit Billing Account"}
{t c="TRANS_RESET" d="Reset"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_ID" d="ID"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_ADD_BILLING_ACCOUNT" d="Add Billing Account"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_ORDER" d="Order"}
{t c="TRANS_PERCENT" d="Percent"}
{t c="TRANS_BILLING_ACCOUNT_DETAILS" d="Billing Account Details"}
{t c="TRANS_NAME_ON_CARD" d="Name On Card"}
{t c="TRANS_CREDIT_CARD_ACCOUNT" d="TRANS_CREDIT_CARD_ACCOUNT"}
{t c="TRANS_BANK_ACCOUNT" d="Bank Account"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_EXPIRES" d="Expires"}
{t c="TRANS_ISSUE_NUMBER" d="Issue Number"}
{t c="TRANS_START_DATE" d="Start Date"}
{t c="TRANS_BANK_NAME" d="Bank Name"}
{t c="TRANS_BANK_STATE" d="Bank State"}
{t c="TRANS_ROUTING_NUMBER" d="Routing Number"}
{t c="TRANS_ACCOUNT_NUMBER" d="Account Number"}
{t c="TRANS_LICENSE_NUMBER" d="License/ID Number"}
{t c="TRANS_LICENSE_STATE" d="License/ID State"}
{t c="TRANS_DOB" d="Date of Birth"}
{t c="TRANS_EXPIRY_MONTH" d="Expiry Month"}
{t c="TRANS_EXPIRY_YEAR" d="Expiry Year"}
{t c="TRANS_CARD_NUMBER" d="Card Number"}
{t c="TRANS_EQUAL_PERCENT" d="Equal Percent"}
{t c="TRANS_ORDER_MESG" d="The ascending order of precedence in which this account is charged for the bill. Lower numbers are attempted first. Billing accounts with the same order of precedence are charged as a group according to the specified percentage."}
{t c="TRANS_PERCENT_MESG" d="Percentage of the bill to pay with this billing account. All percentages of the billing accounts in the specified order of precedence must add up to 100%."}
{t c="TRANS_EQUAL_MESG" d="Apply an equal percentage to all billing accounts within the specified order of precedence."}
{t c="TRANS_ENCRYPTION_PASSPHRASE" d="Encryption Passphrase"}
{t c="TRANS_PACKAGES_THIS_BILLING_ACCOUNT_PAYS_FOR" d="Packages this billing account pays for"}
{t c="TRANS_UPDATE_BILLING_ACCOUNT" d="Update Billing Account"}
{t c="TRANS_BILLABLE_FOR" d="Billable For:"}
{t c="TRANS_NOT_BILLABLE_FOR" d="Not Billable For:"}
{t c="TRANS_ADVANCED_BILLING_ACCOUNT_EDITING_IS_ON_GOTO_PACKAGES_TO_EDIT" d="Advanced billing account editing is turned on, you must go to the package details screen to edit which accounts are set to pay for them."}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_BILLING_ACCOUNTS"
	grandchildName="TRANS_EDIT"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/client.tpl" 
	client=$client suppressEditLink=1 suppressDeleteLink=1}
{include file="$tplDirectory/widgets/context/contact.tpl"
	contact=$contact suppressEditLink=1 suppressDeleteLink=1}
{include file="$tplDirectory/widgets/context/billingAccount.tpl" client=$client contact=$contact billingAccount=$billingAccount billingAccountTypes=$billingAccountTypes}

<form method="post" name="billing" id="billing" action="clients.php" onsubmit="XKselectAllOptionsInMultiSelects(this);" >
<input type="hidden" name="action" value="{getActionID action="EditBillingAccountResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="clientID" value="{$client.clientID}" />
<input type="hidden" name="clientContactID" value="{$contact.clientContactID}" />
<input type="hidden" name="billingAccountID" value="{$billingAccount.billingAccountID}" />

<fieldset>
<legend>{$smarty.const.TRANS_BILLING_ACCOUNT}</legend>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tbody>
<tr {if $invalid.billingAccountType}class="highlight"{/if}>
	<td class="title">{$smarty.const.TRANS_TYPE}</th>
	<td>
		{section name=billing loop=$billingAccountTypes}
			{assign var="thisBillingAccountType" value=$billingAccountTypes[billing]}
			{assign var="thisBillingAccountTypeIndex" value=$smarty.section.billing.index}
			<label for="type_{$thisBillingAccountTypeIndex}"><input onclick="updateTypeEnableState()" id="type_{$thisBillingAccountTypeIndex}" type="radio" name="billingAccountType" value="{$thisBillingAccountTypeIndex}" {if $thisBillingAccountTypeIndex == $formValues.billingAccountType}checked="checked"{/if} /> {$thisBillingAccountType}</label>
			<br />
		{/section}
		
		{* {html_radios name="billingAccountType" separator="<br />" options=$billingAccountTypes selected=$formValues.billingAccountType} *}
		{$invalid.billingAccountType}
	</td>
</tr>
</tbody>
</table>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tbody>
<tr>
	<td width="50%" valign="top">
		<fieldset>
		<legend>{$smarty.const.TRANS_CREDIT_CARD_ACCOUNT}</legend>
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr {if $invalid.billingCardNameOnCard}class="highlight"{/if}>
			<td class="title"><label for="billingCardNameOnCard">{$smarty.const.TRANS_NAME_ON_CARD}</label>:</td>
			<td><input size="25" maxlength="75" type="text" style="width:150px;" id="billingCardNameOnCard" name="billingCardNameOnCard" value="{$formValues.billingCardNameOnCard}" /> {$invalid.billingCardNameOnCard}</td>
		</tr>
		<tr {if $invalid.billingCardType}class="highlight"{/if}>
			<td class="title"><label for="billingCardType">{$smarty.const.TRANS_TYPE}</label>:</td>
			<td><select id="billingCardType" name="billingCardType" style="width:150px;" onchange="updateCardExtraEnableState()"> {html_options options=$cardTypes selected=$formValues.billingCardType} </select> {$invalid.billingCardType}</td>
		</tr>
		<tr {if $invalid.billingCardNum}class="highlight"{/if}>
			<td class="title"><label for="billingCardNum">{$smarty.const.TRANS_CARD_NUMBER}</label>:</td>
			<td><input size="16" maxlength="19" type="text" style="width:150px;" id="billingCardNum" name="billingCardNum" onkeyup="this.value=XKfilterString(this.value, '0123456789');" value="" /> {$invalid.billingCardNum}</td>
		</tr>
		<tr {if $invalid.billingCardExpMonth}class="highlight"{/if}>
			<td class="title"><label for="billingCardExpMonth">{$smarty.const.TRANS_EXPIRY_MONTH}</label>:</td>
			<td><input size="2" maxlength="2" type="text" style="width:50px;" id="billingCardExpMonth" name="billingCardExpMonth" value="{$formValues.billingCardExpMonth}" /> [00] {$invalid.billingCardExpMonth}</td>
		</tr>
		<tr {if $invalid.billingCardExpYear}class="highlight"{/if}>
			<td class="title"><label for="billingCardExpYear">{$smarty.const.TRANS_EXPIRY_YEAR}</label>:</td>
			<td><input size="4" maxlength="4" type="text" style="width:50px;" id="billingCardExpYear" name="billingCardExpYear" value="{$formValues.billingCardExpYear}" /> [0000] {$invalid.billingCardExpYear}</td>
		</tr>
		<tr {if $invalid.billingCardIssueNum}class="highlight"{/if}>
			<td class="title"><label for="billingCardIssueNum">{$smarty.const.TRANS_ISSUE_NUMBER}</label>:</td>
			<td><input size="3" maxlength="3" type="text" style="width:50px;" id="billingCardIssueNum" name="billingCardIssueNum" value="{$formValues.billingCardIssueNum}" /> {$invalid.billingCardIssueNum}</td>
		</tr>
		<tr {if $invalid.billingCardStartDate}class="highlight"{/if}>
			<td class="title"><label for="billingCardStartDate">{$smarty.const.TRANS_START_DATE}</label>:</td>
			<td><input size="25" maxlength="50" type="text" style="width:50px;" id="billingCardStartDate" name="billingCardStartDate" value="{$formValues.billingCardStartDate}" /> {$invalid.billingCardStartDate}</td>
		</tr>
		<tr>
			<td class="title">&nbsp;</td>
			<td>&nbsp;</td>
		</tr>
		</fieldset>
		</table>
	</td>
	<td width="50%" valign="top">
		<fieldset>
		<legend>{$smarty.const.TRANS_BANK_ACCOUNT}</legend>
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr {if $invalid.billingBankName}class="highlight"{/if}>
			<td class="title"><label for="billingBankName">{$smarty.const.TRANS_BANK_NAME}</label>:</td>
			<td><input size="25" maxlength="50" type="text" style="width:150px;" id="billingBankName" name="billingBankName" value="{$formValues.billingBankName}" /> {$invalid.billingBankName}</td>
		</tr>
		<tr {if $invalid.billingBankState}class="highlight"{/if}>
			<td class="title"><label for="billingBankState">{$smarty.const.TRANS_BANK_STATE}</label>:</td>
			<td><input size="25" maxlength="50" type="text" style="width:150px;" id="billingBankState" name="billingBankState" value="{$formValues.billingBankState}" /> {$invalid.billingBankState}</td>
		</tr>
		<tr {if $invalid.billingBankType}class="highlight"{/if}>
			<td class="title"><label for="billingBankType">{$smarty.const.TRANS_TYPE}</label>:</td>
			<td><select id="billingBankType" style="width:150px;" name="billingBankType"> {html_options options=$bankAccountTypes selected=$formValues.billingBankType} </select> {$invalid.billingBankType}</td>
		</tr>
		<tr {if $invalid.billingBankAbaCode}class="highlight"{/if}>
			<td class="title"><label for="billingBankAbaCode">{$smarty.const.TRANS_ROUTING_NUMBER}</label>:</td>
			<td><input size="20" maxlength="20" type="text" style="width:150px;" id="billingBankAbaCode" name="billingBankAbaCode" value="{$formValues.billingBankAbaCode}" /> {$invalid.billingBankAbaCode}</td>
		</tr>
		<tr {if $invalid.billingBankAccountNum}class="highlight"{/if}>
			<td class="title"><label for="billingBankAccountNum">{$smarty.const.TRANS_ACCOUNT_NUMBER}</label>:</td>
			<td><input size="20" maxlength="20" type="text" style="width:150px;" id="billingBankAccountNum" name="billingBankAccountNum" value="" /> {$invalid.billingBankAccountNum}</td>
		</tr>
		<tr {if $invalid.billingBankLicenseNum}class="highlight"{/if}>
			<td class="title"><label for="billingBankLicenseNum">{$smarty.const.TRANS_LICENSE_NUMBER}</label>:</td>
			<td><input size="20" maxlength="20" type="text" style="width:150px;" id="billingBankLicenseNum" name="billingBankLicenseNum" value="{$formValues.billingBankLicenseNum}" /> {$invalid.billingBankLicenseNum}</td>
		</tr>
		<tr {if $invalid.billingBankLicenseState}class="highlight"{/if}>
			<td class="title"><label for="billingBankLicenseState">{$smarty.const.TRANS_LICENSE_STATE}</label>:</td>
			<td><input size="25" maxlength="50" type="text" style="width:150px;" id="billingBankLicenseState" name="billingBankLicenseState" value="{$formValues.billingBankLicenseState}" /> {$invalid.billingBankLicenseState}</td>
		</tr>
		<tr {if $invalid.billingBankDob}class="highlight"{/if}>
			<td class="title"><label for="billingBankDob">{$smarty.const.TRANS_DOB}</label>:</td>
			<td><input size="25" maxlength="25" type="text" style="width:150px;" id="billingBankDob" name="billingBankDob" value="{$formValues.billingBankDob}" /> {$invalid.billingBankDob}</td>
		</tr>
		</table>
		</fieldset>
	</td>
</tr>
<tr>
	<td colspan="2">
{if $paymentQueueSettings.enable_advanced_share_editing!=1}
		<fieldset>
		<legend>{$smarty.const.TRANS_PACKAGES_THIS_BILLING_ACCOUNT_PAYS_FOR}</legend>
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr>
			<td colspan="2" align="center">
				{include file="$tplDirectory/widgets/comboBox.tpl"
					comboTitleLeft=TRANS_BILLABLE_FOR
					comboNameLeft="packages"
					comboOptionsLeft=$selectedPackages
					comboTitleRight=TRANS_NOT_BILLABLE_FOR
					comboNameRight="selectablePackages"
					comboOptionsRight=$selectablePackages
					formName="billing"
					submitName="suppress"
					comboWidth="300"
				}
			</td>
		</tr>
		</table>
		</fieldset>
{else}
		{$smarty.const.TRANS_ADVANCED_BILLING_ACCOUNT_EDITING_IS_ON_GOTO_PACKAGES_TO_EDIT}
{/if}
	</td>
</tr>
<tr class="listButtons">
	<td><div>
		{if $needKey>0}
			<strong>{$smarty.const.TRANS_ENCRYPTION_PASSPHRASE}:</strong>
			&nbsp;
			<input size="15" type="password" style="width:175px;" id="encKey" name="encKey" value="{$formValues.billingCardStartDate}" />
			&nbsp;
		{else}
			&nbsp;
		{/if}
	</div></td>
	<td><div>
		<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_UPDATE_BILLING_ACCOUNT}" />
	</div></td>
</tr>
</tbody>
</table>

</fieldset>

</form>

<br />

<script type="text/javascript">
	{literal}
	function updateTypeEnableState() {
		if(document.getElementById('type_0').checked && !(document.getElementById('type_3').checked || document.getElementById('type_4').checked)) {
			document.getElementById('billingCardNameOnCard').disabled=false;
			document.getElementById('billingCardType').disabled=false;
			document.getElementById('billingCardNum').disabled=false;
			document.getElementById('billingCardExpMonth').disabled=false;
			document.getElementById('billingCardExpYear').disabled=false;
			document.getElementById('billingCardIssueNum').disabled=false;
			document.getElementById('billingCardStartDate').disabled=false;
			
			document.getElementById('billingBankName').disabled=true;
			document.getElementById('billingBankState').disabled=true;
			document.getElementById('billingBankType').disabled=true;
			document.getElementById('billingBankAbaCode').disabled=true;
			document.getElementById('billingBankAccountNum').disabled=true;
			document.getElementById('billingBankLicenseNum').disabled=true;
			document.getElementById('billingBankLicenseState').disabled=true;
			document.getElementById('billingBankDob').disabled=true;

			//document.getElementById('billingBankName').value="";
			//document.getElementById('billingBankState').value="";
			//document.getElementById('billingBankType').selectedIndex="0";
			//document.getElementById('billingBankAbaCode').value="";
			//document.getElementById('billingBankAccountNum').value="";
			//document.getElementById('billingBankLicenseNum').value="";
			//document.getElementById('billingBankLicenseState').value="";
			//document.getElementById('billingBankDob').value="";

			updateCardExtraEnableState();
		}
		if(!document.getElementById('type_0').checked && !(document.getElementById('type_3').checked || document.getElementById('type_4').checked)) {
			document.getElementById('billingCardNameOnCard').disabled=true;
			document.getElementById('billingCardType').disabled=true;
			document.getElementById('billingCardNum').disabled=true;
			document.getElementById('billingCardExpMonth').disabled=true;
			document.getElementById('billingCardExpYear').disabled=true;
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;

			//document.getElementById('billingCardNameOnCard').value="";
			//document.getElementById('billingCardType').selectedIndex="0";
			//document.getElementById('billingCardNum').value="";
			//document.getElementById('billingCardExpMonth').value="";
			//document.getElementById('billingCardExpYear').value="";
			//document.getElementById('billingCardIssueNum').value="";
			//document.getElementById('billingCardStartDate').value="";
			
			document.getElementById('billingBankName').disabled=false;
			document.getElementById('billingBankState').disabled=false;
			document.getElementById('billingBankType').disabled=false;
			document.getElementById('billingBankAbaCode').disabled=false;
			document.getElementById('billingBankAccountNum').disabled=false;
			document.getElementById('billingBankLicenseNum').disabled=false;
			document.getElementById('billingBankLicenseState').disabled=false;
			document.getElementById('billingBankDob').disabled=false;
		}
		
		if(document.getElementById('type_3').checked || document.getElementById('type_4').checked) {
			document.getElementById('billingCardNameOnCard').disabled=true;
			document.getElementById('billingCardType').disabled=true;
			document.getElementById('billingCardNum').disabled=true;
			document.getElementById('billingCardExpMonth').disabled=true;
			document.getElementById('billingCardExpYear').disabled=true;
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;

			document.getElementById('billingBankName').disabled=true;
			document.getElementById('billingBankState').disabled=true;
			document.getElementById('billingBankType').disabled=true;
			document.getElementById('billingBankAbaCode').disabled=true;
			document.getElementById('billingBankAccountNum').disabled=true;
			document.getElementById('billingBankLicenseNum').disabled=true;
			document.getElementById('billingBankLicenseState').disabled=true;
			document.getElementById('billingBankDob').disabled=true;
		}
	}
	updateTypeEnableState();

	function updateCardExtraEnableState() {
		cardExtraTypes = Array({/literal}{strip}
			{assign var="comma" value=0}
			{section name=iter loop=$cardExtraTypes}
				{if $comma}, {/if}
				{$cardExtraTypes[iter]}
				{assign var="comma" value=1}
			{/section}
		{/strip}{literal})
		
		selected = document.getElementById('billingCardType').selectedIndex;
		c = cardExtraTypes.length;
		cardExtraTypeSelected = false;
		for(i = 0; i < c; i++) {
			cardExtraType = cardExtraTypes[i];
			if(cardExtraType == selected) {
				cardExtraTypeSelected = true;
			}
		}
		if(cardExtraTypeSelected) {
			document.getElementById('billingCardIssueNum').disabled=false;
			document.getElementById('billingCardStartDate').disabled=false;
		} else {
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;
		}
	}
	updateCardExtraEnableState();
	{/literal}
</script>

{include file="$tplDirectory/footer.tpl"}
