{* $Id: MergeClient.tpl 12675 2008-02-22 21:51:39Z kbailey $
 * --------------------------------------------------------------
 * Author: Kris Bailey
 *}
{t c="TRANS_MERGE_CLIENT" d="Merge Client"}
{t c="TRANS_INVALID_MERGE_CLIENT_ID" d="Sorry, the client ID passed seems to be invalid."}
{t c="TRANS_INVALID_MASTER_CLIENT_ID" d="Sorry, we were unable to find the client you wish to merge with."}
{t c="TRANS_CLIENT_TO_MERGE_WITH" d="Client To Merge With"}
{t c="TRANS_MERGING_CLIENTS" d="Merging Clients"}
{t c="TRANS_CLIENT_TO_MERGE_WITH_WILL_BE_ONE_LEFT_OVER" d="If you continue and process this client merge that means that the <b>Client To Merge With</b> will be the client that the <b>Merge Client</b> will be merged into.  The primary contact of the <b>Merge Client</b> will NOT be the primary contact any longer.<br /><br /><b><em>THIS CANNOT BE UNDONE!</em></b>"}
{t c="TRANS_CONTINUE_AND_PROCESS_MERGE" d="Continue and process merge"}
{t c="TRANS_CANCEL_MERGE" d="Cancel Merge"}


{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_MERGE_CLIENT"
	sideNavMajor="clients"
	sideNavMinor="clients"}

<fieldset>
<legend>{$smarty.const.TRANS_MERGING_CLIENTS}:</legend>

{if !$mergeClient.clientID}
	<div class="msgWarning">{$smarty.const.TRANS_INVALID_MERGE_CLIENT_ID}</div><br />
{elseif !$masterClient.clientID}
	<div class="msgWarning">{$smarty.const.TRANS_INVALID_MASTER_CLIENT_ID}</div><br />
{else}

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr>
			<td class="title"><strong>{$smarty.const.TRANS_MERGE_CLIENT}:</strong></td>
			<td>{$mergeClient.clientID}</td>
			<td style="white-space: nowrap;"><img src="{$imageDirectory}/flags/flag-{$mergeClient.countriesISO2}.gif" style="vertical-align:middle;border-style:none;" /> {$mergeClient.countriesISO2}</td>
			<td>{if $mergeClient.clientCompany}{$mergeClient.clientCompany}, {/if}
				{$mergeClient.contactLastName}, {$mergeClient.contactFirstName}
			</td>
			<td>{$mergeClient.contactEmail}</td>
			<td>{$mergeClient.contactPhone1}</td>
		</tr>
	
		<tr>
			<td class="title"><strong>{$smarty.const.TRANS_CLIENT_TO_MERGE_WITH}:</strong></td>
			<td>{$masterClient.clientID}</td>
			<td style="white-space: nowrap;"><img src="{$imageDirectory}/flags/flag-{$masterClient.countriesISO2}.gif" style="vertical-align:middle;border-style:none;" /> {$masterClient.countriesISO2}</td>
			<td>{if $masterClient.clientCompany}{$masterClient.clientCompany}, {/if}
				{$masterClient.contactLastName}, {$masterClient.contactFirstName}
			</td>
			<td>{$masterClient.contactEmail}</td>
			<td>{$masterClient.contactPhone1}</td>
		</tr>
		<tr>
			<td colspan="6">
				<br />{$smarty.const.TRANS_CLIENT_TO_MERGE_WITH_WILL_BE_ONE_LEFT_OVER}<br />
			</td>
		</tr>
		<tr class="listButtons">
			<td colspan="6"><div>
				<input type="button" class="button" value="{$smarty.const.TRANS_CANCEL_MERGE}" onclick="history.go(-1);" /> 
				<input type="button" class="button" value="{$smarty.const.TRANS_CONTINUE_AND_PROCESS_MERGE}" onclick="document.location.href='clients.php?action={getActionID action="MergeClientResponse"}&sid={$sid}&mergeClientID={$mergeClient.clientID}&masterClientID={$masterClient.clientID}';" />
			</div></td>
		</tr>
	
	</table>

{/if}

</fieldset>

{include file="$tplDirectory/footer.tpl"}
