{* $Id: RemoveBillingAccount.tpl 9947 2006-11-03 22:57:21Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a form to remove an existing client contact.
 *
 * Smarty Variables:
 *	$clients (array of this clients data)
 *		clientID			A unique client ID
 *		clientFirstName		A client's first name
 *		clientLastName		A client's last name
 *		clientEmail			A client's email address
 *		clientCompany		A client's company name
 *		clientActive		The active state of a client
 * $contact (array of this client contact)
 *		...
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 * Author: Vic Fryzel
 *}
{t c="TRANS_BILLING_ACCOUNTS" d="Billing Accounts"}
{t c="TRANS_MANAGE_CLIENTS" d="Manage Clients"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_REMOVE_BILLING_TIME_MESG" d="Are you sure you want to remove this billing account?"}

{include file="$tplDirectory/header.tpl" parentName="TRANS_MANAGE_CLIENTS" childName="TRANS_BILLING_ACCOUNTS"
	grandchildName="TRANS_REMOVE" sideNavMajor="clients" sideNavMinor="clients"}

{include file="$tplDirectory/widgets/context/client.tpl" client=$client}
{include file="$tplDirectory/widgets/context/contact.tpl" client=$client contact=$contact}
{include file="$tplDirectory/widgets/context/billingAccount.tpl" client=$client contact=$contact billingAccount=$billingAccount billingAccountTypes=$billingAccountTypes}
<fieldset>
<legend>{$smarty.const.TRANS_REMOVE_BILLING_ACCOUNT_MESG}</legend>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tbody>
<tr class="listButtons">
	<td colspan="5"><div>
		<form style="display: inline;" method="post" action="clients.php">
			<input type="hidden" name="action" value="{getActionID action="RemoveBillingAccountResponse"}" />
			<input type="hidden" name="sid" value="{$sid}" />
			<input type="hidden" name="clientID" value="{$client.clientID}" />
			<input type="hidden" name="clientContactID" value="{$contact.clientContactID}" />
			<input type="hidden" name="billingAccountID" value="{$billingAccount.billingAccountID}" />
			<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_YES}" />
		</form>
		<form style="display: inline;" method="get" action="clients.php">
			<input type="hidden" name="action" value="{getActionID action="ShowBillingAccounts"}" />
			<input type="hidden" name="sid" value="{$sid}" />
			<input type="hidden" name="clientID" value="{$client.clientID}" />
			<input type="hidden" name="clientContactID" value="{$contact.clientContactID}" />
			<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_NO}"><br />
		</form>		
	</div></td>
</tr>
</tbody>
</table>
</fieldset>

{include file="$tplDirectory/footer.tpl"}
