{* $Id: ShowAttributeGroups.tpl 9019 2006-09-20 02:41:37Z mfountain $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}
{t c="SHOW_CLIENT_GROUPS" d="Show Client Groups"}
{t c="TRANS_RESULTS_SORTED_BY" d="Results Sorted By"}
{t c="TRANS_GROUP_ID" d="Group ID"}
{t c="TRANS_GROUP_NAME" d="Group Name"}


{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="SHOW_CLIENT_GROUPS"
	sideNavMajor="clients"
	sideNavMinor="clientGroups"}

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="listRowNoBorders">
	<td colspan="4" style="text-align:right;color:#666666;">
		{include file="$tplDirectory/widgets/context/sortedBy.tpl"}
	</td>
</tr>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" 
		headerName="TRANS_GROUP_ID" sortColumn="groupID"}
	
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" 
		headerName="TRANS_GROUP_NAME" sortColumn="groupName"}

	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" 
		filterName="TRANS_STATUS" filterColumn="groupActive" filterOptions="$yesNo" suppressFilterName=1 mergeFilterName=1}

	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
		headerName="TRANS_ACTIONS"}
</tr>
</thead>
{section name=i loop="$attributeGroups"}
{assign var="groupID" value=$attributeGroups[i].groupID}

{assign var="classAlt1" value="alt1"}
{assign var="classAlt2" value="alt2"}
{assign var="classAltHover" value="althover"}

{if $classReverse==$classAlt1}
    {assign var="classReverse" value=$classAlt2}
{else}
    {assign var="classReverse" value=$classAlt1}
{/if}

<tbody>
<tr class="{cycle values="$classAlt1,$classAlt2"}">
	<td style="width:100px;">
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="clients.php"
			actionName="EditAttributeGroup"
			args="groupID=$groupID"
			altText=$groupID
			linkText=$groupID
		}
	</td>
	<td>
		{$attributeGroups[i].groupName}
	</td>
	<td style="width:150px;">
		{$attributeGroups[i].groupActive|getStatusName:"active"}
	</td>
	<td class="nowrap" style="width:200px;">
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="clients.php"
			actionName="EditAttributeGroup"
			args="groupID=$groupID"
			icoImage="edit"
			altText="TRANS_EDIT"
			linkText="TRANS_EDIT"
			noSpace="1"
		}
		&nbsp;
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="clients.php"
			actionName="RemoveAttributeGroup"
			args="groupID=$groupID"
			icoImage="remove"
			altText="TRANS_REMOVE"
			linkText="TRANS_REMOVE"
			noSpace="1"
		}
	</td>
</tr>
</tbody>

{sectionelse}
<tr class="{$classAlt1}">
	<td colspan="3">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{include file="$tplDirectory/footer.tpl"}
