{* $Id: ShowClientDetails.tpl 10229 2006-12-07 02:50:35Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a single client record and a summary of all client information.
 *	$actionID			The unique action ID for this page view
 *	$actionName			The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_LAST_FIVE_PACKAGES" d="Last 5 Packages"}
{t c="TRANS_LAST_FIVE_INVOICES" d="Last 5 Invoices"}
{t c="TRANS_LOADING_PACKAGES" d="Loading Packages"}
{t c="TRANS_LOADING_INVOICES" d="Loading Invoices"}
{t c="TRANS_LOAD" d="Load"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_SHOW_CLIENT_SUMMARY"
	sideNavMajor="clients"
	sideNavMinor="clients"
	useMenu="clients"}

<script language="javascript" type="text/javascript" charset="utf-8">
var addPackageURL = 'packages.php?ajax=1&action={getActionID action="AddHistoricalPackageMenu"}&sid={$sid}&clientID={$clientID}&';
var addPackageURLnoAjax = 'packages.php?action={getActionID action="AddHistoricalPackageMenu"}&sid={$sid}&clientID={$clientID}&';

var cp = new cpaint();
cp.set_response_type('text');
cp.set_debug(-1);

{literal}
function addPackage(e, qs){
	if (e==0){
		var curX = 650;
		var curY = 250;
	} else {
	    var curX = (ns6)?e.pageX : e.x+document.body.scrollLeft;
    	var curY = (ns6)?e.pageY : e.y+document.body.scrollTop;
	}
	document.getElementById('addPackageDiv').style.top = (curY-150)+"px";
	document.getElementById('addPackageDiv').style.left = (curX-400)+"px";
	addPackageUpdateCell(qs);
	showobjbyid('addPackageDiv');
}
{/literal}

{literal}
function addPackageUpdateCell(qs) {
	setLoading('addPackageContentCell');

	var hitURL = addPackageURL+qs+"&"+Math.random();
	cp.call(hitURL, 'addPackageUpdateCell', addPackageUpdateCellResponse);
	return false;
}
{/literal}

{literal}
function addPackageUpdateCellResponse(result) {
	if (result) {
		document.getElementById('addPackageContentCell').innerHTML = result;
	} else {
		{/literal}
		alert("{$smarty.const.TRANS_FAILED_TO_FETCH_CONTENT}");
		{literal}
	}
}
{/literal}

{literal}
function addPackageEnd(qs) {
	setLoading('addPackageContentCell');

	var hitURL = addPackageURLnoAjax+qs+"&"+Math.random();
	document.location.href = hitURL;
}
{/literal}

{literal}
function setLoading(x){
	if (typeof document.getElementById(x)!="undefined"){
		document.getElementById(x).innerHTML = "<img src='{/literal}{$imageDirectory}{literal}/loading2.gif' align='left' height='16' width='16' alt='{/literal}{$smarty.const.TRANS_LOADING}{literal}' /> &nbsp;&nbsp;<b>{/literal}{$smarty.const.TRANS_LOADING}{literal}</b>";
	}
}
{/literal}

{literal}
function ShowLastFiveClientPackages() {
	document.getElementById("ShowLastFiveClientPackagesOutput").innerHTML = 
		"<br /><center><img src=\"{/literal}{$imageDirectory}{literal}/loading2.gif\" style=\"vertical-align:middle;border-style:none;\" /> {/literal}{$smarty.const.TRANS_LOADING_PACKAGES}{literal}</center>";
	cp.call('clients.php?action={/literal}{getActionID action="ShowLastFiveClientPackages"}{literal}&'+
			'clientID={/literal}{$clientID}{literal}&'+
			'ajax=1&sid={/literal}{$sid}{literal}&'+Math.random(), 
			'ShowLastFiveClientPackages', 
			ShowLastFiveClientPackagesOutput);
	return false;
}
{/literal}

{literal}
function ShowLastFiveClientPackagesOutput(result) {
	if (result) {
		document.getElementById("ShowLastFiveClientPackagesOutput").innerHTML = result;
	} else {
		document.getElementById("ShowLastFiveClientPackagesOutput").innerHTML = {/literal}"unable to parse command"{literal};
	}
}
{/literal}

{literal}
function ShowLastFiveClientInvoices() {
	document.getElementById("ShowLastFiveClientInvoicesOutput").innerHTML = 
		"<br /><center><img src=\"{/literal}{$imageDirectory}{literal}/loading2.gif\" style=\"vertical-align:middle;border-style:none;\" /> {/literal}{$smarty.const.TRANS_LOADING_INVOICES}{literal}</center>";
	cp.call('clients.php?action={/literal}{getActionID action="ShowLastFiveClientInvoices"}{literal}&'+
			'clientID={/literal}{$clientID}{literal}&'+
			'ajax=1&sid={/literal}{$sid}{literal}&'+Math.random(), 
			'ShowLastFiveClientInvoices', 
			ShowLastFiveClientInvoicesOutput);
	return false;
}
{/literal}

{literal}
function ShowLastFiveClientInvoicesOutput(result) {
	if (result) {
		document.getElementById("ShowLastFiveClientInvoicesOutput").innerHTML = result;
	} else {
		document.getElementById("ShowLastFiveClientInvoicesOutput").innerHTML = {/literal}"unable to parse command"{literal};
	}
}
{/literal}
</script>

{include file="$tplDirectory/widgets/context/client.tpl" 
	client=$client suppressEditLink=1 suppressDetailsLink=1}

<table border="0" width="100%" cellpadding="0" cellspacing="0">
<tr>
	<td width="33%" valign="top">

		{include file="$tplDirectory/widgets/clients/primaryContact.tpl"}
		<br />
		{include file="$tplDirectory/widgets/clients/clientDetails.tpl"}
		<br />
		{include file="$tplDirectory/widgets/clients/attributes.tpl"}
		<br />

	</td>
	<td>&nbsp;</td>
	<td width="33%" valign="top">

		{include file="$tplDirectory/widgets/clients/accountingSummary.tpl"}
		<br />
		{include file="$tplDirectory/widgets/clients/billingAccounts.tpl"}
		<br />
		{include file="$tplDirectory/widgets/clients/invoices.tpl"}
		<br />
		{if count($fraudResultsLog) > 0}
			{include file="$tplDirectory/widgets/clients/fraudResultsLog.tpl"}
			<br />
		{/if}

	</td>
	<td>&nbsp;</td>
	<td width="33%" valign="top">

		{include file="$tplDirectory/widgets/clients/clientActions.tpl"}
		<br />
		{include file="$tplDirectory/widgets/clients/packageSummary.tpl"}
		<br />
		{if count($domainStatuses) > 0}
			{include file="$tplDirectory/widgets/clients/domainSummary.tpl"}
			<br />
		{/if}
		{if count($certStatuses) > 0}
			{include file="$tplDirectory/widgets/clients/sslSummary.tpl"}
			<br />
		{/if}
		{include file="$tplDirectory/widgets/clients/notes.tpl"}
		<br />
		{include file="$tplDirectory/widgets/clients/helpdesk.tpl"}
		<br />
		{include file="$tplDirectory/widgets/clients/emails.tpl"}
		<br />

	</td>
</tr>
<tr>
	<td colspan="5">&nbsp;</td>
</tr>
<tr>
	<td colspan="5">
		<fieldset>
		<legend>{$smarty.const.TRANS_LAST_FIVE_PACKAGES}</legend>
			<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
			<tr>
				<td>
					<table width="100%" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td width="50%" style="text-align:left;padding:1px;">
							{include file="$tplDirectory/widgets/actionLink.tpl"
								page="packages.php"
								actionName="ShowPackages"
								args="clientID=$clientID"
								icoImage="package_view.gif"
								icoWidth=""
								icoHeight=""
								icoStyle=""
								altText="TRANS_SHOW_ALL_PACKAGES"
								titleText=""
								linkText="TRANS_SHOW_ALL_PACKAGES"}
						</td>
						<td width="50%" style="text-align:right;padding:1px;">
							{strip}
							<a href="javascript:void(0);" onclick="return ShowLastFiveClientPackages();">
								<img src="{$imageDirectory}/ico/refresh.gif" title="{$smarty.const.TRANS_REFRESH}" style="vertical-align:middle;border-style:none;" />
							</a>
							&nbsp;
							<a href="javascript:void(0);" onclick="return ShowLastFiveClientPackages();">
								{$smarty.const.TRANS_LOAD} / {$smarty.const.TRANS_REFRESH}
							</a>
							{/strip}
							&nbsp;
						</td>
					</tr>
					</table>
				</td>
			</tr>
			</table>
			<div style="padding:1px;height:200px;overflow:auto;background-color:#FFF;" id="ShowLastFiveClientPackagesOutput"></div>
		</fieldset>
	</td>
</tr>
<tr>
	<td colspan="5">&nbsp;</td>
</tr>
<tr>
	<td colspan="5">
		<fieldset>
		<legend>{$smarty.const.TRANS_LAST_FIVE_INVOICES}</legend>
			<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
			<tr>
				<td style="padding:0px;border-bottom:1px solid #BAB8AF;">
					<table width="100%" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td width="50%" style="text-align:left;padding:1px;">
							{include file="$tplDirectory/widgets/actionLink.tpl"
								page="invoices.php"
								actionName="ShowInvoices"
								args="clientID=`$client.clientID`"
								icoImage="invoice.gif"
								icoWidth=""
								icoHeight=""
								icoStyle=""
								altText="TRANS_VIEW_ALL_INVOICES"
								titleText=""
								linkText="TRANS_VIEW_ALL_INVOICES"}
						</td>
						<td width="50%" style="text-align:right;padding:1px;">
							{strip}
							<a href="javascript:void(0);" onclick="return ShowLastFiveClientInvoices();">
								<img src="{$imageDirectory}/ico/refresh.gif" title="{$smarty.const.TRANS_REFRESH}" style="vertical-align:middle;border-style:none;" />
							</a>
							&nbsp;
							<a href="javascript:void(0);" onclick="return ShowLastFiveClientInvoices();">
								{$smarty.const.TRANS_LOAD} / {$smarty.const.TRANS_REFRESH}
							</a>
							{/strip}
							&nbsp;
						</td>
					</tr>
					</table>
				</td>
			</tr>
			</table>
			<div style="padding:1px;height:200px;overflow:auto;background-color:#FFF;" id="ShowLastFiveClientInvoicesOutput"></div>
		</fieldset>
	</td>
</tr>
</table>

<br />

{* DO NOT REMOVE *}
<div id="addPackageDiv" style="visibility: hidden; display: none; position: absolute; width: 500px; background-color: #fff; border: 1px outset #000;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="addData">
	<tr>
		<th id="addPackageDivHandle" style="cursor: pointer; text-align: left;" valign="middle">
			<div style="float: right; cursor: pointer;" onclick="hideobjbyid('addPackageDiv');">
				<img src="{$imageDirectory}/ico/remove.gif" width="16" height="16" border="0" alt="" />
			</div>
			{$smarty.const.TRANS_ADD_PACKAGE}
		</th>
	</tr>
	<tr>
		<td>
			<div id="addPackageContentCell" style="height: 500px; overflow: auto;"></div>
		</td>
	</tr>
	</table>
</div>

{* DO NOT REMOVE *}
<script type="text/javascript" language="javascript" charset="utf-8">
// <![CDATA[
	{literal}
	if (ns6) {
		setTimeout("ShowLastFiveClientPackages();", 200);
		setTimeout("ShowLastFiveClientInvoices();", 400);
	}
	new Draggable('addPackageDiv',{handle:'addPackageDivHandle'});
	{/literal}
	{if $productID}
		addPackage(0, 'mode={$mode}&productID={$productID}');
	{/if}
// ]]>
</script>

{include file="$tplDirectory/footer.tpl"}
