{t c="TRANS_COUNTRY_CODE" d="Country Code"}
{t c="TRANS_SIGNUP_DATE" d="Signup Date"}
{t c="TRANS_SIGNUP_IP" d="Signup IP"}

{include
	file="$tplDirectory/header.print.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_NEW_ORDERS"}

<h1>-------- CUSTOMER OVERVIEW --------</h1>

<table width="100%" class="list">
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_SIGNUP_DATE}:</strong></td>
	<td>{$client.clientDateCreated|getDateTime}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_SIGNUP_IP}:</strong></td>
	<td>{$client.clientSignupIP}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_STATUS}:</strong></td>
	<td>{$client.clientStatus|getStatusName:"client"}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_CLIENT_ID}:</strong></td>
	<td>{$client.clientID}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_COMPANY}:</strong></td>
	<td>{$client.clientCompany}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_FIRST_NAME}:</strong></td>
	<td>{$primaryContact.contactFirstName}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_LAST_NAME}:</strong></td>
	<td>{$primaryContact.contactLastName}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_EMAIL}:</strong></td>
	<td>{$client.contactEmail}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_ADDRESS_1}:</strong></td>
	<td>{$primaryContact.contactAddress1}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_ADDRESS_2}:</strong></td>
	<td>{$primaryContact.contactAddress2}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_CITY}:</strong></td>
	<td>{$primaryContact.contactCity}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_STATE}:</strong></td>
	<td>{$primaryContact.contactState}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_ZIP}:</strong></td>
	<td>{$primaryContact.contactZip}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_COUNTRY_CODE}:</strong></td>
	<td>+{$primaryContact.country[0].countriesPhoneCode}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_PHONE1}:</strong></td>
	<td>{$primaryContact.contactPhone1}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_PHONE2}:</strong></td>
	<td>{$primaryContact.contactPhone2}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_FAX}:</strong></td>
	<td>{$primaryContact.contactFax}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_COUNTRY}:</strong></td>
	<td>
		<img src="{$imageDirectory}/flags/flag-{$primaryContact.country[0].countriesISO2}.gif" title="{$primaryContact.country[0].countriesISO2}" style="vertical-align:middle;border-style:none;"/>
		{$primaryContact.country[0].countriesISO2}
	</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_REGION}:</strong></td>
	<td>{$primaryContact.country[0].countriesRegion|getRegionName}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_LANGUAGE}:</strong></td>
	<td>
		{$primaryContact.language[0].languageName}
	</td>
</tr>

</table>

<h1>-------- RISK OVERVIEW --------</h1>

<table width="100%" class="list">
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_DEFAULT_SCORE}:</strong></td>
	<td>{$fraudResult.fraudResultDefaultScore}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_ADJUSTED_SCORE}:</strong></td>
	<td>{$client.clientSignupIP}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_SCORE_ACTION}:</strong></td>
	<td>{$client.clientStatus|getStatusName:"client"}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_CLIENT_ID}:</strong></td>
	<td>{$client.clientID}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_COMPANY}:</strong></td>
	<td>{$client.clientCompany}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_FIRST_NAME}:</strong></td>
	<td>{$primaryContact.contactFirstName}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_LAST_NAME}:</strong></td>
	<td>{$primaryContact.contactLastName}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_EMAIL}:</strong></td>
	<td>{$client.contactEmail}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_ADDRESS_1}:</strong></td>
	<td>{$primaryContact.contactAddress1}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_ADDRESS_2}:</strong></td>
	<td>{$primaryContact.contactAddress2}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_CITY}:</strong></td>
	<td>{$primaryContact.contactCity}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_STATE}:</strong></td>
	<td>{$primaryContact.contactState}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_ZIP}:</strong></td>
	<td>{$primaryContact.contactZip}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_COUNTRY_CODE}:</strong></td>
	<td>+{$primaryContact.country[0].countriesPhoneCode}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_PHONE1}:</strong></td>
	<td>{$primaryContact.contactPhone1}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_PHONE2}:</strong></td>
	<td>{$primaryContact.contactPhone2}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_FAX}:</strong></td>
	<td>{$primaryContact.contactFax}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_COUNTRY}:</strong></td>
	<td>
		<img src="{$imageDirectory}/flags/flag-{$primaryContact.country[0].countriesISO2}.gif" title="{$primaryContact.country[0].countriesISO2}" style="vertical-align:middle;border-style:none;"/>
		{$primaryContact.country[0].countriesISO2}
	</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_REGION}:</strong></td>
	<td>{$primaryContact.country[0].countriesRegion|getRegionName}</td>
</tr>
<tr>
	<td class="title"><strong>{$smarty.const.TRANS_LANGUAGE}:</strong></td>
	<td>
		{$primaryContact.language[0].languageName}
	</td>
</tr>

</table>

<h1>-------- PRODUCT OVERVIEW --------</h1>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
	<tr class="alt1" onclick="XKtoggle('packageOverview');" style="cursor: pointer;">
		<th align="left" colspan="2" style="border: 1px solid #999; padding: 3px;">
			<img src="{$imageDirectory}/ico/more.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_OVERVIEW}" title="{$smarty.const.TRANS_OVERVIEW}" />
			<span style="cursor: pointer;">{$smarty.const.TRANS_OVERVIEW}</span>
		</th>
	</tr>
	<tbody id="packageOverview">
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_PACKAGE_COMMENTS}: </strong></td>
		<td>{$packageInfo.packageComments}</td>
	</tr>
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_CYCLE}: </strong></td>
		<td>{assign var="cycleID" value=$packageInfo.cycleID}
			{$cycleList.$cycleID},
			{if $packageInfo.moreCycles>0}
				{$smarty.const.TRANS_FOR} <strong>{$packageInfo.moreCycles}</strong> {$smarty.const.TRANS_MORE_CYCLES}, 
				{$smarty.const.TRANS_STOPPING_ON}: <strong>{$packageInfo.stopDate|getDate}</strong>
			{else}
				{$smarty.const.TRANS_INDEFINATELY}
			{/if}</td>
	</tr>
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_DISCOUNT}: </strong></td>
		<td>{$packageInfo.packageDiscount*1}%</td>
	</tr>
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_PACKAGE_SETUP_PRICE}: </strong></td>
		<td>{$packageInfo.packageSetup|getAmount:$packageInfo.paymentGroupCurrencyID}</td>
	</tr>
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_PACKAGE_PRICE}: </strong></td>
		<td>{if $packageInfo.couponNumCycles>0}
				{$packageInfo.couponPrice|getAmount:$packageInfo.paymentGroupCurrencyID} 
				{$smarty.const.TRANS_FOR} <strong>{$packageInfo.couponNumCycles}</strong> {$smarty.const.TRANS_MORE_CYCLES}, {$smarty.const.TRANS_THEN}
				{$packageInfo.packagePrice|getAmount:$packageInfo.paymentGroupCurrencyID} {$smarty.const.TRANS_INDEFINATELY}
			{else}
				{$packageInfo.packagePrice|getAmount:$packageInfo.paymentGroupCurrencyID}
			{/if}
		</td>
	</tr>
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_LAST_INVOICE}: </strong></td>
		<td>
			{if $invoiceInfo}
				{$smarty.const.TRANS_INVOICE_NUMBER}: <a href="{getHREF actionName="ShowInvoiceDetails" page="invoices.php" args="invoiceID=`$invoiceInfo.invoiceID`"}">{$invoiceInfo.invoiceNumber}</a><br />
				<fieldset><legend>{$smarty.const.TRANS_LINE_ITEM_INFO}:</legend>
				{assign var="currencyID" value=$packageInfo.paymentGroupCurrencyID}
				<table width="100%" bgcolor="#FFFFFF" class="ledger">
					<tr>
						<th class="green">{$smarty.const.TRANS_CURRENT}</th>
						<th class="green">{$smarty.const.TRANS_NEXT}</th>
						<th>{$smarty.const.TRANS_QUANTITY_ABBR}</th>
						<th align="right">{$smarty.const.TRANS_PRICE}</th>
						<th align="right">{$smarty.const.TRANS_DISCOUNT}</th>
						<th align="right">{$smarty.const.TRANS_SETUP}</th>
						<th align="right">{$smarty.const.TRANS_TAX}</th>
						<th align="right">{$smarty.const.TRANS_SUB_TOTAL}</th>
						<th align="right">{$smarty.const.TRANS_TOTALS}</th>
					</tr>
					<tr class="alt1 total">
						<td class="green">{$lineItem.lineItemDateCurrentRenewal|getDate:"short"}</td>
						<td class="green">{$lineItem.lineItemDateNextRenewal|getDate:"short"}</td>
						<td align="right">{$lineItem.lineItemQuantity}</td>
						<td align="right">{$lineItem.lineItemPriceAmount|getAmount:$currencyID}</td>
						<td align="right">{$lineItem.lineItemDiscountAmount|getAmount:$currencyID}</td>
						<td align="right">{$lineItem.lineItemSetupAmount|getAmount:$currencyID}</td>
						<td align="right">{$lineItem.lineItemTaxAmount|getAmount:$currencyID}</td>
						<td align="right">{$lineItem.lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
						<td align="right">{$lineItem.lineItemTotalAmount|getAmount:$currencyID}</td>
					</tr>
				</table>
				</fieldset>

			{else}
				{$smarty.const.TRANS_NEVER_INVOICED}
			{/if}
		</td>
	</tr>
	</tbody>
	<tr class="alt1" onclick="XKtoggle('packageDetails');">
		<th align="left" colspan="2" style="border: 1px solid #999; padding: 3px;">
			<img src="{$imageDirectory}/ico/more.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
			<span style="cursor: pointer;">{$smarty.const.TRANS_DETAILS}</span>
		</th>
	</tr>
	<tbody id="packageDetails" class="off">
	
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_LAST_RENEWAL_DATE}: </strong></td>
		<td>{$packageInfo.packageDateLastRenewal|getDate}</td>
	</tr>
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_NEXT_RENEWAL_DATE}: </strong></td>
		<td>{$packageInfo.packageDateNextRenewal|getDate}</td>
	</tr>
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_DATE_TO_STOP_RENEWING}: </strong></td>
		<td>{$packageInfo.packageDateStopRenewal|getDate}</td>
	</tr>
	
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_USAGE_LAST_RENEWAL_DATE}: </strong></td>
		<td>{$packageInfo.usageDateLastRenewal|getDate}</td>
	</tr>
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_USAGE_NEXT_RENEWAL_DATE}: </strong></td>
		<td>{$packageInfo.usageDateNextRenewal|getDate}</td>
	</tr>

	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_TAX_ZONE_GROUP}: </strong></td>
		<td>{$taxZoneGroups[$packageInfo.taxZoneGroupID]}</td>
	</tr>

	{if $domains[$packageInfo.packageID]}
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_DOMAIN}: </strong></td>
		<td>{$domains[$packageInfo.packageID]}</td>
	</tr>
	{/if}

	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_PACKAGE_QUANTITY}: </strong></td>
		<td>{$packageInfo.packageQuantity}</td>
	</tr>
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_PACKAGE_PRORATABLE}: </strong></td>
		<td>{$yesNo[$packageInfo.packageProratable]}</td>
	</tr>
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_ACTIVE}: </strong></td>
		<td>{$yesNo[$packageInfo.packageActive]}</td>
	</tr>
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_STATUS}: </strong></td>
		<td>{$packageStatuses[$packageInfo.packageStatus]}</td>
	</tr>
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_STATUS_CHANGE_REASON}: </strong></td>
		<td>{$packageInfo.packageStatusReason}</td>
	</tr>
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_TYPE}: </strong></td>
		<td>{$packageTypes[$packageInfo.packageType]}</td>
	</tr>

	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_USAGE_CYCLE}: </strong></td>
		<td>
			{if $packageInfo.usageCycleID>0}
				{$cycleList[$packageInfo.usageCycleID]}
			{else}
				{$smarty.const.TRANS_SAME_AS_PACKAGE}
			{/if}
		</td>
	</tr>
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_USAGE_CALCULATE_ONLY}: </strong></td>
		<td>{$yesNo[$packageInfo.usageCalculateOnly]}</td>
	</tr>

	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_CANCELLATION_TYPE}: </strong></td>
		<td>{$packageCancellationTypes[$packageInfo.packageCancellationType]}</td>
	</tr>

	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_CLIENT_PACKAGE_PERMISSIONS}: </strong></td>
		<td>{$packageClientPermissions[$packageInfo.packageClientPermissions]}</td>
	</tr>

	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_CANCEL_PACKAGE}: </strong></td>
		<td>{$packagePendingCancellations[$packageInfo.packagePendingCancellation]}</td>
	</tr>


	</tbody>
	<tr class="alt1" onclick="XKtoggle('packageAddonsAttributes');" style="cursor: pointer;">
		<th align="left" colspan="2" style="border: 1px solid #999; padding: 3px;">
			<img src="{$imageDirectory}/ico/more.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_PACKAGE_ADDONS_AND_ATTRIBUTES}" title="{$smarty.const.TRANS_PACKAGE_ADDONS_AND_ATTRIBUTES}" />
			<span style="cursor: pointer;">{$smarty.const.TRANS_PACKAGE_ADDONS_AND_ATTRIBUTES}</span>
		</th>
	</tr>
	<tbody id="packageAddonsAttributes">
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_PACKAGE_ADDONS}: </strong></td>
		<td>
			<table width="99%" cellspacing="0" class="list">
				<tr class="headerRow" style="white-space: nowrap;">
					<td>{$smarty.const.TRANS_NAME}</td>
					<td>{$smarty.const.TRANS_CYCLE}</td>
					<td>{$smarty.const.TRANS_DISCOUNT}</td>
					<td>{$smarty.const.TRANS_SETUP_PRICE}</td>
					<td>{$smarty.const.TRANS_PRICE}</td>
				</tr>
				{section name="i" loop=$packageAddonInfo}
					<tr class="{if $smarty.section.i.index%2==0}alt1{else}alt2{/if}">
						<td>{$packageAddonInfo[i].packageAddonDisplayName}</td>
						<td>{assign var="cycleID" value=$packageInfo.cycleID}
							{$cycleList.$cycleID},
							{if $packageInfo.moreCycles>0}
								{$smarty.const.TRANS_FOR} <strong>{$packageInfo.moreCycles}</strong> {$smarty.const.TRANS_MORE_CYCLES}, 
								{$smarty.const.TRANS_STOPPING_ON}: <strong>{$packageInfo.stopDate|getDate}</strong>
							{else}
								{$smarty.const.TRANS_INDEFINATELY}
							{/if}</td>
						<td>{$packageAddonInfo[i].packageAddonDiscount*1}%</td>
						<td>{$packageAddonInfo[i].packageAddonSetup|getAmount:$packageInfo.paymentGroupCurrencyID}</td>
						<td>
							{if $packageAddonInfo[i].couponNumCycles>0}
								{$packageAddonInfo[i].couponPrice|getAmount:$packageInfo.paymentGroupCurrencyID} 
								{$smarty.const.TRANS_FOR} <strong>{$packageAddonInfo[i].couponNumCycles}</strong> {$smarty.const.TRANS_MORE_CYCLES}, {$smarty.const.TRANS_THEN}
								{$packageAddonInfo[i].packageAddonPrice|getAmount:$packageInfo.paymentGroupCurrencyID} {$smarty.const.TRANS_INDEFINATELY}
							{else}
								{$packageAddonInfo[i].packageAddonPrice|getAmount:$packageInfo.paymentGroupCurrencyID}
							{/if}
						</td>
					</tr>
				{/section}
				
				{section name="i" loop=$childPackageInfo}
					<tr class="{if $smarty.section.i.index%2==0}alt1{else}alt2{/if}">
						<td>{$childPackageInfo[i].packageName}</td>
						<td>{assign var="cycleID" value=$childPackageInfo[i].cycleID}
							{$cycleList.$cycleID},
							{if $childPackageInfo[i].moreCycles>0}
								{$smarty.const.TRANS_FOR} <strong>{$childPackageInfo[i].moreCycles}</strong> {$smarty.const.TRANS_MORE_CYCLES}, 
								{$smarty.const.TRANS_STOPPING_ON}: <strong>{$childPackageInfo[i].stopDate|getDate}</strong>
							{else}
								{$smarty.const.TRANS_INDEFINATELY}
							{/if}</td>
						<td>{$childPackageInfo[i].packageDiscount*1}%</td>
						<td>{$childPackageInfo[i].packageSetup|getAmount:$childPackageInfo[i].paymentGroupCurrencyID}</td>
						<td>
							{if $childPackageInfo[i].couponNumCycles>0}
								{$childPackageInfo[i].couponPrice|getAmount:$childPackageInfo.paymentGroupCurrencyID} 
								{$smarty.const.TRANS_FOR} <strong>{$childPackageInfo[i].couponNumCycles}</strong> {$smarty.const.TRANS_MORE_CYCLES}, {$smarty.const.TRANS_THEN}
								{$childPackageInfo[i].packagePrice|getAmount:$childPackageInfo.paymentGroupCurrencyID} {$smarty.const.TRANS_INDEFINATELY}
							{else}
								{$childPackageInfo[i].packagePrice|getAmount:$childPackageInfo.paymentGroupCurrencyID}
							{/if}

						</td>
					</tr>
				{/section}
				
			</table>
		</td>
	</tr>
	{assign var="thisClass" value="alt1"}
	<tr>
		<td valign="top" class="title"><strong>{$smarty.const.TRANS_ATTRIBUTES}: </strong></td>
		<td>
			{foreach key="serverGroupID" item="attributes" from=$allAttributes.package}
				<h2>{$serverGroupList.$serverGroupID}</h2>
				<table width="99%" cellspacing="0" class="list">
					<tr class="headerRow" style="white-space: nowrap;">
						<td align="right">{$smarty.const.TRANS_NAME}</td>
						<td>{$smarty.const.TRANS_VALUE}</td>
					</tr>
					{foreach key="attributeName" item="attribute" from=$attributes}
						<tr class="{if $thisClass=="alt2"}alt1{assign var="thisClass" value="alt1"}{else}alt2{assign var="thisClass" value="alt2"}{/if}">
							<td width="50%" align="right" title="{$attributeName}">{$attributeName|getHumanReadable}</td>
							<td width="50%">{$attribute.packageAttributeValue}</td>
						</tr>
						{foreach key="x" item="subAttribute" from=$allAttributes.addon.$serverGroupID.$attributeName}
							<tr class="{if $thisClass=="alt2"}alt1{assign var="thisClass" value="alt1"}{else}alt2{assign var="thisClass" value="alt2"}{/if}">
								<td width="50%" align="right"><div title="{$subAttribute.packageAttributeName}" style="margin-left: 5px;"><img title="{$smarty.const.TRANS_ADDON_ATTRIBUTE}" src="{$imageDirectory}/ico/arrow_right_blue.gif" />{$subAttribute.packageAttributeName|getHumanReadable}</div></td>
								<td width="50%">{$subAttribute.packageAttributeValue}</td>
							</tr>
						{/foreach}
					{/foreach}
				</table>
			{foreachelse}
				{$smarty.const.TRANS_NO_ATTRIBUTES}
			{/foreach}

		</td>
	</tr>
	</tbody>
</table>
{include file="$tplDirectory/footer.print.tpl"}

