{* $Id: TakeClientPayment.tpl 11916 2007-09-17 16:43:07Z kbailey $
 * --------------------------------------------------------------
 *}

{t c="TRANS_CHOOSE_INVOICES" d="Choose Invoices"}
{t c="TRANS_CHARGE_ACCOUNTS" d="Charge Accounts"}
{t c="TRANS_PROCESSING_PLEASE_WAIT" d="Processing, Please Wait..."}
{t c="TRANS_CLIENT_INVOICES" d="Client Invoices"}
{t c="TRANS_TAKE_PAYMENT" d="Take Payment"}
{t c="TRANS_CHARGE_CLIENT_ACCOUNTS_FOR_INVOICES" d="Charge Client Accounts for Invoices"}
{t c="TRANS_IGNORE_BILLING_ACCOUNT_RETRY_TIMES" d="Ignore billing account retry times"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_CLIENT_INVOICES"
	grandchildName="TRANS_TAKE_PAYMENT"
	sideNavMajor="clients"
	sideNavMinor="clients"
	includeTableSorting=1}

{include file="$tplDirectory/widgets/context/client.tpl" 
	client=$client suppressEditLink=1 suppressDeleteLink=1}

<script type="text/javascript">
function formSubmitted(){literal}{{/literal}
	document.getElementById('fsub').disabled = true;
	document.getElementById('fsub').value = '{$smarty.const.TRANS_PROCESSING_PLEASE_WAIT}';
{literal}}{/literal}
</script>

<fieldset>
<legend>{$smarty.const.TRANS_CHARGE_CLIENT_ACCOUNTS_FOR_INVOICES}</legend>

<form method="post" action="clients.php" onsubmit="formSubmitted();">
	<input type="hidden" name="action" value="{getActionID action="TakeClientPaymentResponse"}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" name="clientID" value="{$client.clientID}" />

	<table width="100%" class="list" cellspacing="0" cellpadding="0">
	
		<tr>
			<td class="title">{$smarty.const.TRANS_CHOOSE_INVOICES}: </td>
			<td>
				<table width="100%" class="list sortable" cellspacing="0" cellpadding="0">
					<thead>
					<tr class="headerRow">
						<td>{$smarty.const.TRANS_INVOICE}</td>
						<td>{$smarty.const.TRANS_DATE_DUE}</td>
						<td>{$smarty.const.TRANS_AMOUNT}</td>
						<td>{$smarty.const.TRANS_AMOUNT_PAID}</td>
						<td>{$smarty.const.TRANS_AMOUNT_DUE}</td>
					</tr>
					</thead>
					<tbody>
					{foreach item="invoice" key="k" from=$invoices}
						<tr class="{cycle values="alt1,alt2"}">
							<td tableSortingValue="{$invoice.invoiceNumber}"><input type="checkbox" name="invoiceIDs[]" checked="checked" value="{$invoice.invoiceID}" id="inv{$invoice.invoiceNumber}" /> <label for="inv{$invoice.invoiceNumber}">{$invoice.invoiceNumber}</label></td>
							<td tableSortingValue="{$invoice.invoiceDateDue}">{$invoice.invoiceDateDue|getDate:short}</td>
							<td tableSortingValue="{$invoice.invoiceAmount}">{$invoice.invoiceAmount|getAmount:$invoice.currencyID}</td>
							<td tableSortingValue="{$invoice.invoiceAmountPaid}">{$invoice.invoiceAmountPaid|getAmount:$invoice.currencyID}</td>
							<td tableSortingValue="{$invoice.invoiceAmount-$invoice.invoiceAmountPaid}"><strong>{$invoice.invoiceAmount-$invoice.invoiceAmountPaid|getAmount:$invoice.currencyID}</strong></td>
						</tr>
					{/foreach}
					</tbody>
				</table>
			</td>
		</tr>
		
		<tr>
			<td class="title">{$smarty.const.TRANS_ENCRYPTION_KEY}: </td>
			<td><input type="password" value="" name="encKey" /></td>
		</tr>
		<tr>
			<td class="title">&nbsp;</td>
			<td><input type="checkbox" value="1" name="ignoreRetryTime" checked="checked" /> - {$smarty.const.TRANS_IGNORE_BILLING_ACCOUNT_RETRY_TIMES}</td>
		</tr>
		<tr class="listButtons">
			<td colspan="2"><div><input type="submit" class="submit" id="fsub" value="{$smarty.const.TRANS_CHARGE_ACCOUNTS}" /></div></td>
		</tr>
		
	
	</table>

</form>
</fieldset>

{include file="$tplDirectory/footer.tpl"}
