{* $Id: TakeClientPaymentResponse.tpl 10684 2007-02-16 22:18:33Z kbailey $
 * --------------------------------------------------------------
 *}

{t c="TRANS_CHOOSE_INVOICES" d="Choose Invoices"}
{t c="TRANS_CHARGE_ACCOUNTS" d="Charge Accounts"}
{t c="TRANS_PROCESSING_PLEASE_WAIT" d="Processing, Please Wait..."}
{t c="TRANS_CLIENT_INVOICES" d="Client Invoices"}
{t c="TRANS_TAKE_PAYMENT" d="Take Payment"}
{t c="TRANS_CHARGE_CLIENT_ACCOUNTS_FOR_INVOICES" d="Charge Client Accounts for Invoices"}
{t c="TRANS_ERROR_RUNNING_PAYMENT_QUEUE" d="There was an error running the payments."}
{t c="TRANS_ERROR_MESSAGES" d="Error Messages"}
{t c="TRANS_NO_TRANSACTION_ATTEMPTED_CHECK_BILLING_ACCOUNTS" d="No transactions attempted, please check that you have billing accounts set up."}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_CLIENT_INVOICES"
	grandchildName="TRANS_TAKE_PAYMENT"
	sideNavMajor="clients"
	sideNavMinor="clients"
	includeTableSorting=1}

{include file="$tplDirectory/widgets/context/client.tpl" 
	client=$client suppressEditLink=1 suppressDeleteLink=1}

{if count($errors)>0}

<br />
<table width="100%" class="tab01">
<tr class="highlight">
<td>
	{$smarty.const.TRANS_ERROR_RUNNING_PAYMENT_QUEUE} <a href="javascript:history.go(-1);">[{$smarty.const.TRANS_BACK}]</a>
</td>
</tr>
<tr>
	<td>{$smarty.const.TRANS_ERROR_MESSAGES}:</td>
</tr>
	{foreach item="e" key="ee" from=$errors}
		<tr class="highlight"><td>{$ee+1}. {$e.message}</td></tr>
	{/foreach}
</table>

{elseif $noTransactions==1}

<br />
<table width="100%" class="tab01">
<tr class="highlight">
<td>
	{$smarty.const.TRANS_NO_TRANSACTION_ATTEMPTED_CHECK_BILLING_ACCOUNTS} <a href="javascript:history.go(-1);">[{$smarty.const.TRANS_BACK}]</a>
</td>
</tr>
</table>

{else}

<fieldset>
<legend>{$smarty.const.TRANS_TRANSACTIONS}</legend>

<table width="100%" class="list sortable" cellspacing="0" cellpadding="0">
	<thead>
	<tr class="headerRow">
		<td>{$smarty.const.TRANS_STATUS}</td>
		<td>{$smarty.const.TRANS_NOTES}</td>
		<td>{$smarty.const.TRANS_CURRENCY}</td>
		<td>{$smarty.const.TRANS_AMOUNT}</td>
		<td>{$smarty.const.TRANS_BILLING_ACCOUNT}</td>
	</tr>
	</thead>
	<tbody>
	{foreach item="trans" key="k" from=$transactionInfo.transaction}
		<tr class="{cycle values="alt1,alt2"}">
			<td tableSortingValue="{$trans.authReturn}">{$paymentStatuses[$trans.authReturn]}</td>
			<td>{$trans.transactionNotes}</td>
			<td>{$trans.currencyID}</td>
			<td tableSortingValue="{$trans.transactionAmount}">{$trans.transactionAmount|getAmount:$trans.currencyID}</td>
			<td>
				{$billingAccounts[$trans.billingAccountID].billingAccountNameOnCard} - {$billingAccounts[$trans.billingAccountID].billingAccountNumLastFour}
			</td>
		</tr>
	{/foreach}
	</tbody>
</table>

</fieldset>
{/if}

{include file="$tplDirectory/footer.tpl"}
