{* $Id: ShowConfigs.tpl 10464 2007-01-09 20:13:44Z kbailey $
 * --------------------------------------------------------------
 *}

{t c="TRANS_FIRST_TIME_SYSTEM_SETUP" d="First Time Setup"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_FIRST_TIME_SYSTEM_SETUP"
}

{t c="TRANS_WE_NEED_THE_SHARED_IP" d="In order to set up accounts on your Plesk installation automatically we need to know the 'shared' IP address that you want to use.  Each new account will use this as it's IP address for hosting purposes.  Please provide it below:"}
{t c="TRANS_SHARED_IP_ADDRESS" d="Shared IP Address"}
{t c="TRANS_PLESK_IP_SETTINGS" d="Plesk IP Settings"}
{t c="TRANS_REGISTRAR_SETTINGS" d="Registrar Settings"}
{t c="TRANS_PLEASE_CHOOSE_WHICH_PAYMENT_GATEWAYS_YOU_WISH_TO_USE" d="Please choose which payment gateways you wish to use.  You can use one primary gateway and many third party gateways."}
{t c="TRANS_GATEWAY_SETTINGS" d="Payment Gateway Settings"}
{t c="TRANS_THIRD_PARTY_GATEWAYS" d="Third Party Gateways"}
{t c="TRANS_PRIMARY_GATEWAYS" d="Primary Gateways"}
{t c="TRANS_TAX_SETTINGS" d="Tax Settings"}
{t c="TRANS_ENABLE_TAXES" d="Enable Taxes"}
{t c="TRANS_TAXABLE_PRODUCTS" d="Taxable Products"}
{t c="TRANS_THIS_IS_WHAT_CUSTOMERS_SEE_ON_THEIR_INVOICES" d="This is what customers see on their invoices."}
{t c="TRANS_ENABLE_ENCRYPTION" d="Enable Encryption"}
{t c="TRANS_LEAVE_BLANK_AND_THE_SYSTEM_WILL_GENERATE_A_RANDOM_ONE_FOR_YOU" d="Leave it blank and the system will generate a random one for you."}
{t c="TRANS_CHOOSE_A_PIN" d="Choose a PIN"}
{t c="TRANS_CHOOSE_A_PASSPHRASE" d="Choose a Passphrase"}
{t c="TRANS_FRAUD_SETTINGS" d="Fraud Settings"}
{t c="TRANS_IF_YOU_DONT_HAVE_ONE_GO_HERE" d="If you do not have a FraudGuardian account already, you can sign up for one here"}
{t c="TRANS_ENABLE_FRAUDGUARDIAN" d="Enable FraudGuardian"}
{t c="TRANS_CONGRADULATIONS" d="Congradulations"}
{t c="TRANS_CONFIGURATION_COMPLETE" d="Configuration Complete"}
{t c="TRANS_YOUR_SYSTEM_CONFIGURATION_IS_COMPLETE" d="Your system configuration is complete. Please refer to our <a href='http://www.modernbill.com/support/' target='_BLANK'>support center</a> for manuals and assistance when needed."}
{t c="TRANS_DONT_HAVE_AN_ENOM_ACCOUNT" d="<strong>Don't have an eNom account?  Sign up for a free one now! &rarr;</strong>"}

{if !$step || $step=="registrar"}

	<form method="POST" action="configs.php?sid={$sid}&a=registrar&action={getActionID action="FirstTimePerformAction"}">
	
	<h6>{$smarty.const.TRANS_REGISTRAR_SETTINGS}</h6>
	
	<table border="0" class="tab01">
	
	{foreach key="registrarKey" item="registrar" from=$registrars}
	
		{assign var="collapseNow" value=0}
	
		{assign var="configParams" value=$registrar.configParams}
		{section name="i" loop="$configParams"}
			{assign var="configParamID" value=$configParams[i].configParamID}
			{assign var="configParamName" value=$configParams[i].configParamName}
			{if $configParamName=="moduleEnabled"}
				{assign var="enabledID" value=$configParams[i].configParamID}
			{/if}
		{/section}
		{if $classNameM=="alt1"}
			{assign var="classNameM" value="alt2"}
		{else}
			{assign var="classNameM" value="alt1"}
		{/if}
	
		<tr class="{$classNameM}">
			<th valign="top" style="white-space: nowrap;"><strong><input type="checkbox" name="registrars[{$registrar.configGroupID}][{$enabledID}]" value="1" onchange="toggleCheckboxDelay('regCheckBox{$registrar.configGroupID}', 'regTable{$registrar.configGroupID}');" id="regCheckBox{$registrar.configGroupID}" {if $registrar.moduleEnabled==1} checked="checked"{/if} /> <label for="regCheckBox{$registrar.configGroupID}">{$registrar.configGroupTransKey|constant}</label></strong></th>
			<td><table width="97%" id="regTable{$registrar.configGroupID}" {if $registrar.moduleEnabled!=1}style="display: none;"{/if} border="0" cellspacing="3" cellpadding="3" class="tab01">
			{assign var="tbodyid" value=""}
			{assign var="oldtbodyid" value=""}
			{section name="i" loop="$configParams"}
				{assign var="configParamID" value=$configParams[i].configParamID}
				{assign var="configParamName" value=$configParams[i].configParamName}
				{assign var="configParamTransKey" value=$configParams[i].configParamTransKey}
				{if $configParamName!="moduleEnabled"}
					{assign var="configParamGroupTransKey" value=$configParams[i].configParamGroupTransKey}
				
					{if $configParamGroupTransKey != $configParamGroupTransKeyNew}
						{assign var="configParamGroupTransKeyNew" value=$configParamGroupTransKey}
						{assign var="oldtbodyid" value=$tbodyid}
						{assign var="tbodyid" value=$smarty.section.i.index}
						{assign var="switch" value="true"}
					{else}
						{assign var="switch" value="false"}
					{/if}
					{assign var="configParamDescription" value=$configParams[i].configParamDescription}
					{assign var="configParamValues" value=$registrar.configParamValues}
				
				
					{if $className=="alt1"}
						{assign var="className" value="alt2"}
					{else}
						{assign var="className" value="alt1"}
					{/if}
					{if $switch == "true"}
						{if $smarty.section.i.index>0}
						</tbody>
						{/if}
						<tr>
							<td colspan="2" style="white-space: nowrap;">
								<img align="absmiddle" src="{$imageDirectory}/ico/arrow_down_blue.gif" height="16" width="16" onclick="XKtoggle('collapsestuff{$configParams[i].configGroupID}{$tbodyid}');" alt="Show/Hide Data" />
								<a href="javascript:XKtoggle('collapsestuff{$configParams[i].configGroupID}{$tbodyid}');"><strong>{$smarty.const.$configParamGroupTransKey}</strong></a>
							</td>
						</tr>
						<tbody id="collapsestuff{$configParams[i].configGroupID}{$tbodyid}"{if $collapseNow} class="off"{/if}>
						{assign var="collapseNow" value=1}
					{/if}
					<tr class="{cycle values="alt1,alt2"}">
						{if $configParams[i].configParamInputType=="h"}
							<td colspan="2">
								<strong>{$configParamTransKey}</strong>
							</td>
						{else}
							<td valign="top" align="right">
								<strong>{if $configParamTransKey!="" && defined($configParamTransKey) && $configParams[i].configParamInputType!="h"}
									{$smarty.const.$configParamTransKey}
								{else}
									{$configParamTransKey}
								{/if}</strong>
							</td>
							<td>
								{if !$configParams[i].configParamInputType || $configParams[i].configParamInputType=="t"}
									<input type="text" name="configParams[{$configParams[i].configParamID}]" value="{$configParams[i].configParamValue}" />
								{elseif $configParams[i].configParamInputType=="p"}
									<input type="password" name="configParams[{$configParams[i].configParamID}]" value="{$configParams[i].configParamValue}" />
								{elseif $configParams[i].configParamInputType=="a"}
									<textarea name="configParams[{$configParams[i].configParamID}]" cols="40" rows="10">{$configParams[i].configParamValue}</textarea>
								{elseif $configParams[i].configParamInputType=="s"}
									<select name="configParams[{$configParams[i].configParamID}]">
										{html_options options=$configParamValues[$configParamID] selected=$configParams[i].configParamValue}
									</select>
								{elseif $configParams[i].configParamInputType=="m"}
									<select name="configParams[{$configParams[i].configParamID}]" multiple="multiple">
										{html_options options=$configParamValues[$configParamID] selected=$configParams[i].configParamValue}
									</select>
								{elseif $configParams[i].configParamInputType=="c"}
									{html_checkboxes
										name="configParams[`$configParams[i].configParamID`]"
										options=$configParamValues[$configParamID]
										selected=$configParams[i].configParamValue
										separator="<br />"}
								{elseif $configParams[i].configParamInputType=="r"}
									{html_radios
										name="configParams[`$configParams[i].configParamID`]"
										options=$configParamValues[$configParamID]
										selected=$configParams[i].configParamValue
										separator=" &nbsp; "}
								{else}
									<input type="text" name="configParams[{$configParams[i].configParamID}]" value="{$configParams[i].configParamValue}" />
								{/if}
								{if $configParamDescription!="" && defined($configParamDescription)}
									<br /><small>{$smarty.const.$configParamDescription}</small>
								{else}
									<br /><small>{$configParamDescription}</small>
								{/if}
								{if $configParamName=="moduleUsername" AND $registrarKey=="enom" AND $configParams[i].configParamValue=="" AND $securityCode!=""}
									<a href="javascript:document.enomSignupForm.submit();">{$smarty.const.TRANS_DONT_HAVE_AN_ENOM_ACCOUNT}</a>
								{/if}
							</td>
						{/if}
					</tr>
				{/if}
			{sectionelse}
				{assign var="results" value=0}
				<tr>
					<td>&nbsp;</td>
					<td>{$smarty.const.TRANS_NO_CONFIG_PARAMS_FOUND}</td>
				</tr>
			{/section}
			{if $oldtbodyid!=""}
				</tbody>
			{/if}
			{if $results==1}
								<tr>
					<td>&nbsp;</td>
					<td></td>
				</tr>
		
			{/if}
		
			</table></td>
		</tr>
	
	{/foreach}
	
	</table>
	
	
	<input type="submit" class="submit" value="Continue &gt;&gt;">
	
	</form>
	<form method="post" action="https://www.pleskbilling.com/products/moderndns/apply/auto.php" name="enomSignupForm">
		<input type="hidden" name="returnURL" value="{$returnURL}" />
		<input type="hidden" name="securityCode" value="{$securityCode}" />
		<input type="hidden" name="firstName" value="{$adminInfo.adminFirstName}" />
		<input type="hidden" name="lastName" value="{$adminInfo.adminLastName}" />
		<input type="hidden" name="address" value="{$companyInfo.companyAddress1}" />
		<input type="hidden" name="city" value="{$companyInfo.companyCity}" />
		<input type="hidden" name="state" value="{$companyInfo.companyState}" />
		<input type="hidden" name="zip" value="{$companyInfo.companyZip}" />
		<input type="hidden" name="country" value="{$companyInfo.countriesISO2}" />
		<input type="hidden" name="phone" value="{$companyInfo.companyPhone1}" />
		<input type="hidden" name="email" value="{$adminInfo.adminEmail}" />
	</form>

{elseif $step=="sharedip"}

	<form method="POST" action="configs.php?sid={$sid}&a=sharedip&action={getActionID action="FirstTimePerformAction"}">
	<input type="hidden" name="configParamID" value="{$configParamID}" />
	<h6>{$smarty.const.TRANS_PLESK_IP_SETTINGS}</h6>
	
	{$smarty.const.TRANS_WE_NEED_THE_SHARED_IP}<br /></br /><br />

	{$smarty.const.TRANS_SHARED_IP_ADDRESS}: <input type="text" name="sharedip" value="" /><br /><br />
	
	<input type="submit" class="submit" value="Continue &gt;&gt;">
	
	</form>

{elseif $step=="gateway"}

	<form method="POST" action="configs.php?sid={$sid}&a=gateway&action={getActionID action="FirstTimePerformAction"}&paymentGroupID={$paymentGroupID}">
	
	<h6>{$smarty.const.TRANS_GATEWAY_SETTINGS}</h6>
	
	{$smarty.const.TRANS_PLEASE_CHOOSE_WHICH_PAYMENT_GATEWAYS_YOU_WISH_TO_USE}
	<br /><br />
	<table border="0" class="tab01">


		<tr>
			<td colspan="2">
				<strong>{$smarty.const.TRANS_PRIMARY_GATEWAYS}:</strong>
			</td>
		</tr>
	{foreach key="gatewayKey" item="gateway" from=$gateways}
	
		{if $gateway.type==1}

			{assign var="collapseNow" value=0}
		
			{assign var="configParams" value=$gateway.configParams}
			{if $classNameM=="alt1"}
				{assign var="classNameM" value="alt2"}
			{else}
				{assign var="classNameM" value="alt1"}
			{/if}
		
			<tr class="{$classNameM}">
				<th valign="top" style="white-space: nowrap;"><strong><input type="radio" name="pgateways_e[]" value="{$gateway.configGroupID}" onchange="toggleRadioDelay('gatewayCheckBox{$gateway.configGroupID}', 'gatewayTable{$gateway.configGroupID}', 'PRIMARYGATEWAY');" id="gatewayCheckBox{$gateway.configGroupID}" {if $enabledGateways[$gateway.configGroupID]==1} checked="checked"{/if} /> <label for="gatewayCheckBox{$gateway.configGroupID}">{$gateway.name}</label></strong></th>
				<td><table width="97%" id="gatewayTable{$gateway.configGroupID}" {if $enabledGateways[$gateway.configGroupID]!=1}style="display: none;"{/if} border="0" cellspacing="3" cellpadding="3" class="tab01" PRIMARYGATEWAY>
				{assign var="tbodyid" value=""}
				{assign var="oldtbodyid" value=""}
				{section name="i" loop="$configParams"}
					{assign var="configParamID" value=$configParams[i].configParamID}
					{assign var="configParamName" value=$configParams[i].configParamName}
					{assign var="configParamTransKey" value=$configParams[i].configParamTransKey}
	
					{assign var="configParamGroupTransKey" value=$configParams[i].configParamGroupTransKey}
				
					{if $configParamGroupTransKey != $configParamGroupTransKeyNew}
						{assign var="configParamGroupTransKeyNew" value=$configParamGroupTransKey}
						{assign var="oldtbodyid" value=$tbodyid}
						{assign var="tbodyid" value=$smarty.section.i.index}
						{assign var="switch" value="true"}
					{else}
						{assign var="switch" value="false"}
					{/if}
					{assign var="configParamDescription" value=$configParams[i].configParamDescription}
					{assign var="configParamValues" value=$gateway.configParamValues}
				
				
					{if $className=="alt1"}
						{assign var="className" value="alt2"}
					{else}
						{assign var="className" value="alt1"}
					{/if}
					{if $switch == "true"}
						{if $smarty.section.i.index>0}
						</tbody>
						{/if}
						<tr>
							<td colspan="2" style="white-space: nowrap;">
								<img align="absmiddle" src="{$imageDirectory}/ico/arrow_down_blue.gif" height="16" width="16" onclick="XKtoggle('collapsestuff{$tbodyid}');" alt="Show/Hide Data" />
								<a href="javascript:XKtoggle('collapsestuff{$tbodyid}');"><strong>{$smarty.const.$configParamGroupTransKey}</strong></a>
							</td>
						</tr>
						<tbody id="collapsestuff{$tbodyid}"{if $collapseNow} class="off"{/if}>
						{assign var="collapseNow" value=1}
					{/if}
					<tr class="{cycle values="alt1,alt2"}">
						{if $configParams[i].configParamInputType=="h"}
							<td colspan="2">
								<strong>{$configParamTransKey}</strong>
							</td>
						{else}
							<td valign="top" align="right">
								<strong>{if $configParamTransKey!="" && defined($configParamTransKey) && $configParams[i].configParamInputType!="h"}
									{$smarty.const.$configParamTransKey}
								{else}
									{$configParamTransKey}
								{/if}</strong>
							</td>
							<td>
								{if !$configParams[i].configParamInputType || $configParams[i].configParamInputType=="t"}
									<input type="text" name="configParams[{$configParams[i].configParamID}]" value="{$configParams[i].configParamValue}" />
								{elseif $configParams[i].configParamInputType=="p"}
									<input type="password" name="configParams[{$configParams[i].configParamID}]" value="{$configParams[i].configParamValue}" />
								{elseif $configParams[i].configParamInputType=="a"}
									<textarea name="configParams[{$configParams[i].configParamID}]" cols="40" rows="10">{$configParams[i].configParamValue}</textarea>
								{elseif $configParams[i].configParamInputType=="s"}
									<select name="configParams[{$configParams[i].configParamID}]">
										{html_options options=$configParamValues[$configParamID] selected=$configParams[i].configParamValue}
									</select>
								{elseif $configParams[i].configParamInputType=="m"}
									<select name="configParams[{$configParams[i].configParamID}]" multiple="multiple">
										{html_options options=$configParamValues[$configParamID] selected=$configParams[i].configParamValue}
									</select>
								{elseif $configParams[i].configParamInputType=="c"}
									{html_checkboxes
										name="configParams[`$configParams[i].configParamID`]"
										options=$configParamValues[$configParamID]
										selected=$configParams[i].configParamValue
										separator="<br />"}
								{elseif $configParams[i].configParamInputType=="r"}
									{html_radios
										name="configParams[`$configParams[i].configParamID`]"
										options=$configParamValues[$configParamID]
										selected=$configParams[i].configParamValue
										separator=" &nbsp; "}
								{else}
									<input type="text" name="configParams[{$configParams[i].configParamID}]" value="{$configParams[i].configParamValue}" />
								{/if}
								{if $configParamDescription!="" && defined($configParamDescription)}
									<br /><small>{$smarty.const.$configParamDescription}</small>
								{else}
									<br /><small>{$configParamDescription}</small>
								{/if}
	
							</td>
						{/if}
					</tr>
				{sectionelse}
					{assign var="results" value=0}
					<tr>
						<td>&nbsp;</td>
						<td>{$smarty.const.TRANS_NO_CONFIG_PARAMS_FOUND}</td>
					</tr>
				{/section}
				{if $oldtbodyid!=""}
					</tbody>
				{/if}
				{if $results==1}
									<tr>
						<td>&nbsp;</td>
						<td></td>
					</tr>
			
				{/if}
			
				</table></td>
			</tr>
		{/if}
	
	{/foreach}

		<tr>
			<td colspan="2">
				<strong>{$smarty.const.TRANS_THIRD_PARTY_GATEWAYS}:</strong>
			</td>
		</tr>
	{foreach key="gatewayKey" item="gateway" from=$gateways}
	
		{if $gateway.type==0}

			{assign var="collapseNow" value=0}
		
			{assign var="configParams" value=$gateway.configParams}
			{if $classNameM=="alt1"}
				{assign var="classNameM" value="alt2"}
			{else}
				{assign var="classNameM" value="alt1"}
			{/if}
		
			<tr class="{$classNameM}">
				<th valign="top" style="white-space: nowrap;"><strong><input type="checkbox" name="sgateways_e[]" value="{$gateway.configGroupID}" onchange="toggleCheckboxDelay('gatewayCheckBox{$gateway.configGroupID}', 'gatewayTable{$gateway.configGroupID}');" id="gatewayCheckBox{$gateway.configGroupID}" {if $enabledGateways[$gateway.configGroupID]==1} checked="checked"{/if} /> <label for="gatewayCheckBox{$gateway.configGroupID}">{$gateway.name}</label></strong></th>
				<td><table width="97%" id="gatewayTable{$gateway.configGroupID}" {if $enabledGateways[$gateway.configGroupID]!=1}style="display: none;"{/if} border="0" cellspacing="3" cellpadding="3" class="tab01">
				{assign var="tbodyid" value=""}
				{assign var="oldtbodyid" value=""}
				{section name="i" loop="$configParams"}
					{assign var="configParamID" value=$configParams[i].configParamID}
					{assign var="configParamName" value=$configParams[i].configParamName}
					{assign var="configParamTransKey" value=$configParams[i].configParamTransKey}
	
					{assign var="configParamGroupTransKey" value=$configParams[i].configParamGroupTransKey}
				
					{if $configParamGroupTransKey != $configParamGroupTransKeyNew}
						{assign var="configParamGroupTransKeyNew" value=$configParamGroupTransKey}
						{assign var="oldtbodyid" value=$tbodyid}
						{assign var="tbodyid" value=$smarty.section.i.index}
						{assign var="switch" value="true"}
					{else}
						{assign var="switch" value="false"}
					{/if}
					{assign var="configParamDescription" value=$configParams[i].configParamDescription}
					{assign var="configParamValues" value=$gateway.configParamValues}
				
				
					{if $className=="alt1"}
						{assign var="className" value="alt2"}
					{else}
						{assign var="className" value="alt1"}
					{/if}
					{if $switch == "true"}
						{if $smarty.section.i.index>0}
						</tbody>
						{/if}
						<tr>
							<td colspan="2" style="white-space: nowrap;">
								<img align="absmiddle" src="{$imageDirectory}/ico/arrow_down_blue.gif" height="16" width="16" onclick="XKtoggle('collapsestuff{$tbodyid}');" alt="Show/Hide Data" />
								<a href="javascript:XKtoggle('collapsestuff{$tbodyid}');"><strong>{$smarty.const.$configParamGroupTransKey}</strong></a>
							</td>
						</tr>
						<tbody id="collapsestuff{$tbodyid}"{if $collapseNow} class="off"{/if}>
						{assign var="collapseNow" value=1}
					{/if}
					<tr class="{cycle values="alt1,alt2"}">
						{if $configParams[i].configParamInputType=="h"}
							<td colspan="2">
								<strong>{$configParamTransKey}</strong>
							</td>
						{else}
							<td valign="top" align="right">
								<strong>{if $configParamTransKey!="" && defined($configParamTransKey) && $configParams[i].configParamInputType!="h"}
									{$smarty.const.$configParamTransKey}
								{else}
									{$configParamTransKey}
								{/if}</strong>
							</td>
							<td>
								{if !$configParams[i].configParamInputType || $configParams[i].configParamInputType=="t"}
									<input type="text" name="configParams[{$configParams[i].configParamID}]" value="{$configParams[i].configParamValue}" />
								{elseif $configParams[i].configParamInputType=="p"}
									<input type="password" name="configParams[{$configParams[i].configParamID}]" value="{$configParams[i].configParamValue}" />
								{elseif $configParams[i].configParamInputType=="a"}
									<textarea name="configParams[{$configParams[i].configParamID}]" cols="40" rows="10">{$configParams[i].configParamValue}</textarea>
								{elseif $configParams[i].configParamInputType=="s"}
									<select name="configParams[{$configParams[i].configParamID}]">
										{html_options options=$configParamValues[$configParamID] selected=$configParams[i].configParamValue}
									</select>
								{elseif $configParams[i].configParamInputType=="m"}
									<select name="configParams[{$configParams[i].configParamID}]" multiple="multiple">
										{html_options options=$configParamValues[$configParamID] selected=$configParams[i].configParamValue}
									</select>
								{elseif $configParams[i].configParamInputType=="c"}
									{html_checkboxes
										name="configParams[`$configParams[i].configParamID`]"
										options=$configParamValues[$configParamID]
										selected=$configParams[i].configParamValue
										separator="<br />"}
								{elseif $configParams[i].configParamInputType=="r"}
									{html_radios
										name="configParams[`$configParams[i].configParamID`]"
										options=$configParamValues[$configParamID]
										selected=$configParams[i].configParamValue
										separator=" &nbsp; "}
								{else}
									<input type="text" name="configParams[{$configParams[i].configParamID}]" value="{$configParams[i].configParamValue}" />
								{/if}
								{if $configParamDescription!="" && defined($configParamDescription)}
									<br /><small>{$smarty.const.$configParamDescription}</small>
								{else}
									<br /><small>{$configParamDescription}</small>
								{/if}
	
							</td>
						{/if}
					</tr>
				{sectionelse}
					{assign var="results" value=0}
					<tr>
						<td>&nbsp;</td>
						<td>{$smarty.const.TRANS_NO_CONFIG_PARAMS_FOUND}</td>
					</tr>
				{/section}
				{if $oldtbodyid!=""}
					</tbody>
				{/if}
				{if $results==1}
									<tr>
						<td>&nbsp;</td>
						<td></td>
					</tr>
			
				{/if}
			
				</table></td>
			</tr>
		{/if}
	
	{/foreach}
	
	</table>
	
	
	<input type="submit" class="submit" value="Continue &gt;&gt;">
	
	</form>

{elseif $step=="taxes"}

	<form method="POST" action="configs.php?sid={$sid}&a=taxes&action={getActionID action="FirstTimePerformAction"}">
	<input type="hidden" name="taxZoneGroupID" value="{$taxZoneGroupID}" />
	<input type="hidden" name="taxZoneID" value="{$taxZone.taxZoneID}" />
	<h6>{$smarty.const.TRANS_TAX_SETTINGS}</h6>
	
	<table border="0" class="tab01">
		<tr>
			<th valign="top">{$smarty.const.TRANS_ENABLE_TAXES}:</th>
			<td>
				<input type="checkbox" name="enableTaxes"{if $taxesEnabled} checked="checked"{/if} value="1" id="etcb" /> <label for="etcb">{$smarty.const.TRANS_ENABLE_TAXES}</label>
			</td>
		</tr>
		<tr>
			<th valign="top">{$smarty.const.TRANS_TAX_AMOUNT}:</th>
			<td>
				<input type="text" name="taxZoneAmount" size="6" value="{$taxZone.taxZoneAmount}" />%
			</td>
		</tr>
		<tr>
			<th valign="top">{$smarty.const.TRANS_TAX_DESCRIPTION}:</th>
			<td>
				<input type="text" name="taxZoneDescription" value="{if $taxZone.taxZoneDescription}{$taxZone.taxZoneDescription}{else}Sales Tax{/if}" /><br />
				<small>({$smarty.const.TRANS_THIS_IS_WHAT_CUSTOMERS_SEE_ON_THEIR_INVOICES})</small>
			</td>
		</tr>
		<tr>
			<th valign="top">{$smarty.const.TRANS_TAXABLE_PRODUCTS}:</th>
			<td>
				{foreach item="productName" key="productID" from=$products}
					{if count($productVariants.$productID)==1}
						<input type="checkbox" value="{$productVariants[$productID].0.productVariantID}"{if $productVariants[$productID].0.taxZoneGroupID==$taxZoneGroupID AND $taxZoneGroupID>0} checked="checked"{/if} name="taxableProducts[]" id="pv{$productVariants[$productID].0.productVariantID}" /> <label for="pv{$productVariants[$productID].0.productVariantID}">{$productName|constant}</label><br />
					{else}
						{$productName|constant}
						<div style="margin-left: 25px;">
							{foreach item="variant" key="i" from=$productVariants.$productID}
							<input type="checkbox" value="{$variant.productVariantID}"{if $variant.taxZoneGroupID==$taxZoneGroupID AND $taxZoneGroupID>0} checked="checked"{/if} name="taxableProducts[]" id="pv{$variant.productVariantID}" /> <label for="pv{$variant.productVariantID}">{$variant.productVariantDisplayName|constant}</label><br />
							{/foreach}
						</div>
					{/if}
				{/foreach}
			</td>
		</tr>

	</table>
	
	<input type="submit" class="submit" value="Continue &gt;&gt;">
	
	</form>


{elseif $step=="encryption"}
	<form method="POST" action="configs.php?sid={$sid}&a=encryption&action={getActionID action="FirstTimePerformAction"}">
	<h6>{$smarty.const.TRANS_ENCRYPTION_SETTINGS}</h6>
	
	<table border="0" class="tab01">
		<tr>
			<th valign="top">{$smarty.const.TRANS_ENABLE_ENCRYPTION}:</th>
			<td>
				<input type="checkbox" name="enableEncryption"{if $encryption.encryption_agree=="agree"} checked="checked"{/if} value="agree" id="etcb" /> <label for="etcb">{$smarty.const.TRANS_ENABLE_ENCRYPTION}</label>
			</td>
		</tr>
		<tr>
			<th valign="top">{$smarty.const.TRANS_CHOOSE_A_PIN}:</th>
			<td>
				<table>
					<tr>
						<td>{$smarty.const.TRANS_LEK_PIN}:</td>
						<td>
							<input type="password" size="4" maxlength="4" id="lek_pin" name="lek_pin" value="" onkeyup="if (this.value!=document.getElementById('lek_pin_confirm').value){literal}{{/literal}document.getElementById('lek_pin_confirm_status').innerHTML='{$smarty.const.TRANS_RED_MISMATCH}';{literal}}{/literal}else{literal}{{/literal}document.getElementById('lek_pin_confirm_status').innerHTML='{$smarty.const.TRANS_GREEN_MATCH}';{literal}}{/literal}" /><br />
						</td>
					</tr>
					<tr>
						<td>{$smarty.const.TRANS_CONFIRM}:</td>
						<td>
							<input type="password" size="4" maxlength="4" id="lek_pin_confirm" name="lek_pin_confirm" value="" onkeyup="if (this.value!=document.getElementById('lek_pin').value){literal}{{/literal}document.getElementById('lek_pin_confirm_status').innerHTML='{$smarty.const.TRANS_RED_MISMATCH}';{literal}}{/literal}else{literal}{{/literal}document.getElementById('lek_pin_confirm_status').innerHTML='{$smarty.const.TRANS_GREEN_MATCH}';{literal}}{/literal}" />
							<span id="lek_pin_confirm_status"></span>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<th valign="top">{$smarty.const.TRANS_CHOOSE_A_PASSPHRASE}:</th>
			<td>
				<input type="text" name="passphrase" value="" /><br />
				<small>({$smarty.const.TRANS_LEAVE_BLANK_AND_THE_SYSTEM_WILL_GENERATE_A_RANDOM_ONE_FOR_YOU})</small>
			</td>
		</tr>

	</table>
	
	<input type="submit" class="submit" value="Continue &gt;&gt;">
	
	</form>
{elseif $step=="fraudguardian"}

	<form method="POST" action="configs.php?sid={$sid}&a=fraudguardian&action={getActionID action="FirstTimePerformAction"}">
	<h6>{$smarty.const.TRANS_FRAUD_SETTINGS}</h6>
	
	<table border="0" class="tab01">
		<tr>
			<th valign="top">{$smarty.const.TRANS_ENABLE_FRAUDGUARDIAN}:</th>
			<td>
				<input type="checkbox" name="enableFraudGuardian"{if $fraudguardian.enableFraudGuardian==1} checked="checked"{/if} value="1" id="etcb" /> <label for="etcb">{$smarty.const.TRANS_ENABLE_FRAUDGUARDIAN}</label>
			</td>
		</tr>
		<tr>
			<th valign="top">{$smarty.const.TRANS_USERNAME}:</th>
			<td>
				<input type="text" name="usernameFraudGuardian" value="{$fraudguardian.usernameFraudGuardian}" /><br />
				<strong>{$smarty.const.TRANS_IF_YOU_DONT_HAVE_ONE_GO_HERE}:<br />
					<a href="http://www.modernbill.com/products/fraudguardian/" target="_BLANK">http://www.modernbill.com/products/fraudguardian/</a>
				</strong>
			</td>
		</tr>
		<tr>
			<th valign="top">{$smarty.const.TRANS_PASSWORD}:</th>
			<td>
				<input type="password" name="passwordFraudGuardian" value="{$fraudguardian.passwordFraudGuardian}" />
			</td>
		</tr>

	</table>
	
	<input type="submit" class="submit" value="Continue &gt;&gt;">
	
	</form>

{elseif $step=="finished"}

	<h6>{$smarty.const.TRANS_CONFIGURATION_COMPLETE}</h6>

	<strong>{$smarty.const.TRANS_CONGRADULATIONS}!</strong><br />
	{$smarty.const.TRANS_YOUR_SYSTEM_CONFIGURATION_IS_COMPLETE}<br />
	

{/if}

{include file="$tplDirectory/footer.tpl"}
