{* $Id: ShowDashboard.tpl 10940 2007-03-30 19:55:36Z achrist $
 * --------------------------------------------------------------
 *}
{t c="TRANS_NEW_ORDERS" d="New Orders"}
{t c="TRANS_TREND_REPORTS" d="Trend Reports"}
{t c="TRANS_YEARLY_CLIENT_TREND" d="Yearly Client Trend"}
{t c="TRANS_MONTHLY_SIGNUP_TREND" d="Monthly Signup Trend"}
{t c="TRANS_REFRESH" d="Refresh"}
{t c="TRANS_SHOW_ALL_NEW_ORDERS" d="Show All New Orders"}
{t c="TRANS_NEW_CUSTOMERS" d="New Customers"}
{t c="TRANS_SHOW_ALL_NEW_CUSTOMERS" d="Show All New Customers"}
{t c="TRANS_CHECKING_FOR_NEW_CUSTOMERS" d="Checking for new customers. Please wait."}
{t c="TRANS_CHECKING_FOR_YOUR_TODO_ITEMS" d="Checking for your to-do items. Please wait."}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_DASHBOARD"
	sideNavMajor="clients"
	sideNavMinor="clients"
	includeAjaxJS=1}

<script type="text/javascript" language="javascript" charset="utf-8">
// <![CDATA[
var cp = new cpaint();
cp.set_transfer_mode('get');
cp.set_response_type('text');
cp.set_async(true);
cp.set_debug(-1);

{literal}
function cbx_register_click(ctype,clientID) {
	setTimeout('cbx_process_event("'+ctype+'","'+clientID+'");',100);
}
{/literal}

{literal}
function cbx_process_event(ctype,clientID) {
	if (document.getElementById('cbx_'+ctype+'_'+clientID).checked) {
		if (ctype!='activate') cbx_select('cbx_activate_'+clientID);
		if (ctype!='cancel') cbx_select('cbx_cancel_'+clientID);
		if (ctype!='fraud') cbx_select('cbx_fraud_'+clientID);
	} else {
		if (ctype!='activate') cbx_deselect('cbx_activate_'+clientID);
		if (ctype!='cancel') cbx_deselect('cbx_cancel_'+clientID);
		if (ctype!='fraud') cbx_deselect('cbx_fraud_'+clientID);
	}
}
{/literal}

{literal}
function cbx_select(targetID) {
	document.getElementById(targetID).disabled = true;
	document.getElementById(targetID).checked = false;
}
{/literal}

{literal}
function cbx_deselect(targetID) {
	document.getElementById(targetID).disabled = false;
}
{/literal}

{literal}
function ShowDashboardNewOrders() {
	document.getElementById("ShowDashboardNewOrders").innerHTML = "<center><img src=\"{/literal}{$imageDirectory}{literal}/loading2.gif\" style=\"vertical-align:middle;border-style:none;\" /> {/literal}{$smarty.const.TRANS_CHECKING_FOR_NEW_CUSTOMERS}{literal}</center>";
	cp.call('{/literal}dashboard.php?action={getActionID action="ShowDashboardNewOrders"}&ajax=1&sid={$sid}&'+Math.random()+'{literal}', 'ShowDashboardNewOrders', ShowDashboardNewOrdersResponse);
	return false;
}
{/literal}

{literal}
function ShowDashboardNewOrdersResponse(result) {
	if (result) {
		document.getElementById("ShowDashboardNewOrders").innerHTML = result;
	} else {
		document.getElementById("ShowDashboardNewOrders").innerHTML = {/literal}""{literal};
	}
}
{/literal}

{literal}
function ShowDashboardTodos() {
	document.getElementById("ShowDashboardTodos").innerHTML = "<center><img src=\"{/literal}{$imageDirectory}{literal}/loading2.gif\" style=\"vertical-align:middle;border-style:none;\" /> {/literal}{$smarty.const.TRANS_CHECKING_FOR_YOUR_TODO_ITEMS}{literal}</center>";
	cp.call('{/literal}dashboard.php?action={getActionID action="ShowDashboardTodos"}&ajax=1&sid={$sid}&'+Math.random()+'{literal}', 'ShowDashboardTodos', ShowDashboardTodosResponse);
	return false;
}
{/literal}

{literal}
function ShowDashboardTodosResponse(result) {
	if (result) {
		document.getElementById("ShowDashboardTodos").innerHTML = result;
	} else {
		document.getElementById("ShowDashboardTodos").innerHTML = {/literal}""{literal};
	}
}
{/literal}

// ]]>
</script>


<table  width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01x">
<tbody>
<tr>
	<td width="50%" valign="top">
		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td>{$smarty.const.TRANS_NEW_CUSTOMERS}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;">
				<table width="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="50%" style="text-align:left;padding:1px;">
						{include file="$tplDirectory/widgets/actionLink.tpl"
							page="clients.php"
							actionName="ShowNewOrders"
							icoImage="view"
							icoWidth=""
							icoHeight=""
							icoStyle=""
							altText="TRANS_SHOW_ALL_NEW_CUSTOMERS"
							titleText=""
							linkText="TRANS_SHOW_ALL_NEW_CUSTOMERS"
							noSpace="1"}
					</td>
					<td width="50%" style="text-align:right;padding:1px;">
						{strip}
						<a href="javascript:void(0);" onclick="return ShowDashboardNewOrders();">
							<img src="{$imageDirectory}/ico/refresh.gif" title="{$smarty.const.TRANS_REFRESH}" style="vertical-align:middle;border-style:none;" />
						</a>
						&nbsp;
						<a href="javascript:void(0);" onclick="return ShowDashboardNewOrders();">
							{$smarty.const.TRANS_REFRESH}
						</a>
						{/strip}
					</td>
				</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;">
				<div style="padding:1px;height:500px;overflow:auto;background-color:#FFF;" id="ShowDashboardNewOrders"></div>
			</td>
		</tr>
		</table>
		</div>
	</td>
	<td width="50%" valign="top">
		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td>{$smarty.const.TRANS_TODOS}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;">
				<table width="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="50%" style="text-align:left;padding:1px;">
						{include file="$tplDirectory/widgets/actionLink.tpl"
							page="todos.php"
							actionName="ShowAllTodos"
							icoImage="view"
							icoWidth=""
							icoHeight=""
							icoStyle=""
							altText="TRANS_SHOW_ALL_TODOS"
							titleText=""
							linkText="TRANS_SHOW_ALL_TODOS"
							noSpace="1"}
					</td>
					<td width="50%" style="text-align:right;padding:1px;">
						{strip}
						<a href="javascript:void(0);" onclick="return ShowDashboardTodos();">
							<img src="{$imageDirectory}/ico/refresh.gif" title="{$smarty.const.TRANS_REFRESH}" style="vertical-align:middle;border-style:none;" />
						</a>
						&nbsp;
						<a href="javascript:void(0);" onclick="return ShowDashboardTodos();">
							{$smarty.const.TRANS_REFRESH}
						</a>
						{/strip}
					</td>
				</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;">
				<div style="padding:1px;height:500px;overflow:auto;background-color:#FFF;" id="ShowDashboardTodos"></div>
			</td>
		</tr>
		</table>
		</div>
	</td>
</tr>
<tr>
	<td colspan="2">

	</td>
</tr>
</tbody>
</table>

<script type="text/javascript" language="javascript" charset="utf-8">
// <![CDATA[
	setTimeout("ShowDashboardNewOrders();", 100);
	setTimeout("ShowDashboardTodos();", 200);
// ]]>
</script>

{include file="$tplDirectory/footer.tpl"}
