{* $Id: EditDomain.tpl 9896 2006-10-31 22:57:21Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to add a new domain.
 *
 * Smarty Variables:
 *	$domain
 *  $registrars
 *
 *}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_EDIT_DOMAIN" d="Edit Domain"}
{t c="TRANS_DOMAIN_SLD" d="SLD"}
{t c="TRANS_DOMAIN_TLD" d="TLD"}
{t c="TRANS_DOMAIN_DATE_CREATED" d="Date Created"}
{t c="TRANS_DOMAIN_DATE_EXPIRES" d="Date Expires"}
{t c="TRANS_DOMAIN_PACKAGE_ID" d="Package ID"}
{t c="TRANS_DOMAIN_CLIENT_ID" d="Client ID"}
{t c="TRANS_DOMAIN_REGISTRAR" d="Registrar"}
{t c="TRANS_DOMAIN_RENEW_TYPE" d="Renew Type"}
{t c="TRANS_DOMAIN_MANAGE" d="Manage this domain at the registrar"}


{include file="$tplDirectory/header.tpl" parentName="TRANS_EDIT_DOMAIN" childName="TRANS_DOMAIN"
	grandchildName="TRANS_EDIT" sideNavMajor="clients" sideNavMinor="domains"}

<form method="post" action="domains.php">
<input type="hidden" name="action" value="{getActionID action="EditDomainResponse"}" />
<input type="hidden" name="domainID" value="{$domain.domainID}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="EditDomainResponse"}">

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr {if $invalid.domainSLD}class="highlight"{/if}>
	<td class="title"><label for="domainName">{$smarty.const.TRANS_DOMAIN_NAME}</label></td>
	<td><strong>{$domain.domainSLD}.{$domain.domainTLD}</strong></td>
</tr>
<tr>
	<td class="title"><label for="domainDateCreated">{$smarty.const.TRANS_DOMAIN_DATE_CREATED}</td>
	<td>{$domain.domainDateCreated|getDate:long}</td>
</tr>
<tr>
	<td class="title"><label for="domainDateCreated">{$smarty.const.TRANS_DOMAIN_DATE_EXPIRES}</td>
	<td>{$domain.domainDateExpires|getDate:long}</td>
</tr>

<tr {if $invalid.registrarID}class="highlight"{/if}>
	<td class="title"><label for="registrarID">{$smarty.const.TRANS_DOMAIN_REGISTRAR}</label></td>
	<td>{html_options name=registrarID options=$registrars selected=$domain.registrarID} {$invalid.registrarID}</td>
</tr>


<tr {if $invalid.domainRenewType}class="highlight"{/if}>
	<td class="title"><label for="domainRenewType">{$smarty.const.TRANS_DOMAIN_RENEW_TYPE}</label></td>
	<td>{html_options name=domainRenewType options=$tldRenew selected=$domain.domainRenewType} {$invalid.domainRenewType}</td>
</tr>

<tr class="listButtons">
	<td colspan="2"><div><input class="submit" type="submit" name="submit" value="submit"></div></td>
</tr>
</form>
</table>
{include file="$tplDirectory/footer.tpl"}