{* $Id: RegisterDomainConfirm.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays all of the selected domains you want to buy and
 * allows you to select the number of years each domain can be purchased for.
 *
 * Smarty Variables:
 *	$numDomainsToConfirm
 *	$buyDomains (array of domains to buy)
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_AUTORENEW" d="Auto-Renew"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_MANAGE_DOMAINS" d="Manage Domains"}
{t c="TRANS_CONFIRM" d="Confirm"}
{t c="TRANS_CONFIRM_DOMAIN_PURCHASE" d="Confirm Domain Purchase"}
{t c="TRANS_NOTE" d="Note"}
{t c="TRANS_PRODUCT" d="Product"}
{t c="TRANS_REGISTER_NEW_DOMAIN" d="Register New Domain"}
{t c="TRANS_REGISTER_DOMAINS" d="Register Domain(s)"}
{t c="TRANS_REGISTER" d="Register"}
{t c="TRANS_REGLOCK" d="Registrar-Lock"}
{t c="TRANS_SELECT" d="Select"}
{t c="TRANS_QUANTITY" d="Quantity"}
{t c="TRANS_REGISTER_NOTE_MSG" d="All domains selected will be sent to the System Events Queue for processing. If your System Events Queue is running automatically via cron, then the domain(s) ordered will be registered when the event is executed accordingly. However, you may elect to run them now on the next screen."}

{assign var="domainID" value=$domain.domainID}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_REGISTER_NEW_DOMAIN"
	grandchildName="TRANS_CONFIRM"
	sideNavMajor="clients"
    sideNavMinor="domains"
    includeDomainJS=1}

<form method="get" action="domains.php" name="RegisterDomainConfirmResponse">
<input type="hidden" name="action" value="{getActionID action="RegisterDomainConfirmResponse"}" />
<input type="hidden" name="configGroupID" value="{$configGroupID}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
<legend>{$smarty.const.TRANS_CONFIRM_DOMAIN_PURCHASE}</legend>
	
<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
		<tr class="headerRow">
			<td>{$smarty.const.TRANS_SELECT}</td>
			<td>{$smarty.const.TRANS_PRODUCT}</td>
			<td>{$smarty.const.TRANS_DOMAIN}</td>
			<td>{$smarty.const.TRANS_AUTORENEW}</td>
			<td>{$smarty.const.TRANS_REGLOCK}</td>
			<td>{$smarty.const.TRANS_QUANTITY}</td>
		</tr>
	    {section name=i loop=$buyDomains}
			{if $className=="alt2"}
			    {assign var="className" value="alt1"}
			{else}
			    {assign var="className" value="alt2"}
			{/if}
			<tr class="{cycle values="alt2,alt1"}">
	    		<td><input type="checkbox" name="buyDomains[]" value="{$buyDomains[i]}" checked/></td>
				<td>{$smarty.const.TRANS_REGISTER}</td>
	    		<td><strong>{$buyDomains[i]}</strong></td>
	    		<td>
					<select name="domainRenewType[]" style="width:50px">
					   {html_options options=$yesNo}
					</select>
	    		</td>
	    		<td>
					<select name="domainLock[]" style="width:50px">
					   {html_options options=$yesNo}
					</select>
	    		</td>
	    		<td>
					<select name="domainNumYears[]" style="width:50px">
					   {html_options values=$domainRenewYears output=$domainRenewYears selected=$domainRenewDefaultYears}
					</select>
					{$smarty.const.TRANS_YEARS}
	    		</td>
	    	</tr>
	    {/section}
	    </table>
	
	    
<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr>
	<td>
		<hr size="1" color="#444444" />
		<strong>{$smarty.const.TRANS_NOTE}:</strong> {$smarty.const.TRANS_REGISTER_NOTE_MSG}
		<hr size="1" color="#444444" />
	</td>
</tr>
<tr class="listButtons">
	<td><div><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_REGISTER_DOMAINS}" /><div></td>
</tr>
</table>

</fieldset>
</form>

{include file="$tplDirectory/footer.tpl"}