{* $Id: ShowDomains.tpl 12534 2008-01-21 20:40:05Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of domain records.
 *
 * Smarty Variables:
 *	$domains (array of packages that match input criteria)
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *  $sid					The current sessionID
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_PACKAGE_ID" d="Package ID"}
{t c="TRANS_CLIENT" d="Client"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_ID" d="ID"}
{t c="TRANS_MANAGE_DOMAINS" d="Manage Domains"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_PACKAGE" d="Package"}
{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_DOMAINS" d="Show Domains"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_DOMAIN_RENEW_SINGLE" d="Renew"}
{t c="TRANS_ADDITIONAL_DATA" d="Display/Hide Additional Data"}

{assign var="filterArgs" value="packageStatus=$packageStatus&cycleID=$cycleID"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_SHOW_DOMAINS"
	sideNavMajor="clients"
    sideNavMinor="domains"}

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<!-- <tr>
	<td colspan="7" onmouseover="this.style.cursor='hand'" onclick="{strip} {section name=iter loop=$domains} 
		XKtoggle('row_{$domains[iter].domainID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {$smarty.const.TRANS_ADDITIONAL_DATA}
	</td>
</tr> -->
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_ID" sortColumn="domainID"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_CLIENT" sortColumn="clientLastName"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_DOMAIN" sortColumn="domainName"}
	{include file="$tplDirectory/widgets/table/listHeaderSortAmount.tpl" headerName="TRANS_PRICE" sortColumn="packagePrice"}
	{include file="$tplDirectory/widgets/table/listHeaderSortDate.tpl" headerName="TRANS_DOMAIN_RENEW_SINGLE" sortColumn="packageDateNextRenewal"}
	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" filterName="TRANS_CYCLE" filterColumn="cycleID" filterOptions="$cycleList"}
	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" filterName="TRANS_STATUS" filterColumn="packageStatus" filterOptions="$packageStatuses"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{section name=i loop="$domains"}
{assign var="domainID" value=$domains[i].domainID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td>
	{$domainID}
	</td>
	<td>
		{assign var="contactName" value="`$domains[i].contactLastName`, `$domains[i].contactFirstName`"}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="clients.php"
			actionName="ShowClientDetails"
			args="clientID=`$domains[i].clientID`"
			clientID=$domains[i].clientID
			clientContactID=$domains[i].clientContactID
			icoWidth=""
			icoHeight=""
			icoStyle=""
			altText=$contactName
			titleText=""
			linkText=$contactName
			noSpace="1"
		}
	</td>
	<td>
		<a href="{getHREF page="domains.php" actionName="ShowDomainDetails" args="domainID=$domainID"}">{$domains[i].domainName}</a>
	</td>
	<td>
		{$domains[i].packagePrice|getAmount:$domains[i].currencyID}
	</td>
	<td>
		{$domains[i].packageDateNextRenewal|getDate}
	</td>
	<td>
		{$domains[i].cycleID|getArrayValueByID:$cycleList}
	</td>
	<td>
		{$domains[i].packageStatus|getArrayValueByID:$packageStatuses}
	</td>
	<td>
		{strip}
		<a href="{getHREF page="domains.php" actionName="ShowDomainDetails" args="domainID=$domainID"}">
			<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
		</a>
		&nbsp;
		<a href="{getHREF page="domains.php" actionName="EditDomain" args="domainID=$domainID"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		</a>
		{/strip}
	</td>
</tr>
</tbody>
<tbody id="row_{$domainID}" class="off">
<tr>
	<td colspan="8" class="althover">
		more args here
	</td>
</tr>
</tbody>

{sectionelse}
<tr class="alt1">
	<td colspan="8">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{* include file="$tplDirectory/widgets/advancedDisplayOptions.tpl" filterName="TRANS_STATUS" filterColumn="packageActive" filterOptions="$activeInactive" *}
{include file="$tplDirectory/footer.tpl"}
