{* $Id: ShowRegisterDomainForm.tpl 8284 2006-08-08 21:39:47Z bsmith $
 * --------------------------------------------------------------
 * This template displays a domain registration form.
 *
 * Smarty Variables:
 *
 * Author: Michael Fountain
 *}{strip}
{t c="TRANS_ALLOW_DASHES" d="Allow dashes in recommended domains."}
{t c="TRANS_CHECK" d="Check"}
{t c="TRANS_CHECK_ALL_TLDS" d="Check all TLDs for this registrar."}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_DOMAIN_DETAILS" d="Domain Details"}
{t c="TRANS_PLEASE_ENTER_VALID_DOMAIN_NAME" d="Please enter a valid domain name."}
{t c="TRANS_KEYWORDS" d="Keywords"}
{t c="TRANS_MANAGE_DOMAINS" d="Manage Domains"}
{t c="TRANS_REGISTER_NEW_DOMAIN" d="Register New Domain"}
{t c="TRANS_SEARCHING" d="Searching"}
{t c="TRANS_RECOMMEND_ADDITIONAL_DOMAINS" d="Recommend additional domains."}
{t c="TRANS_PLEASE_WAIT_WHILE_SEARCHING" d="Please wait while your search results are being prepared."}
{t c="TRANS_REGISTRAR" d="Registrar"}

{assign var="domainID" value=$domain.domainID}
{/strip}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_REGISTER_NEW_DOMAIN"
	sideNavMajor="clients"
	sideNavMinor="domains"
	includeDomainJS=1
	includeAjaxJS=1}

<script type="text/javascript">
	var cp = new cpaint();
	cp.set_transfer_mode('get');
	cp.set_response_type('text');
	cp.set_use_cpaint_api(false);
	{literal}
	function checkDomainAvailability() {
		domainSLD = document.CheckDomainAvailability.domainSLD.value;
		domainTLD = document.CheckDomainAvailability.domainTLD.value;
		configGroupID = document.CheckDomainAvailability.configGroupID.value;
		checkAllTLDs = getCheckboxValue(document.CheckDomainAvailability.checkAllTLDs);
		checkNameSpinner = getCheckboxValue(document.CheckDomainAvailability.checkNameSpinner);
		checkWithDashes = getCheckboxValue(document.CheckDomainAvailability.checkWithDashes);
		//checkKeyword1 = document.CheckDomainAvailability.checkKeyword1.value;
		//checkKeyword2 = document.CheckDomainAvailability.checkKeyword2.value;
		//checkKeyword3 = document.CheckDomainAvailability.checkKeyword3.value;

		if (domainSLD=="") {
			alert('{/literal}{$smarty.const.TRANS_PLEASE_ENTER_VALID_DOMAIN_NAME}{literal}');
			return false;
		} else {
			document.CheckDomainAvailability.checkButton.disabled=true;
			document.CheckDomainAvailability.checkButton.value={/literal}"{$smarty.const.TRANS_SEARCHING} . . ."{literal};
			document.getElementById("checkDomainAvailabilityResponse").innerHTML = "{/literal}<center><table style=\"border-style:solid;color:red;border-width:1px\" cellpadding=\"3\" bgcolor=\"#FFFFFF\"><tr><td><img src=\"{$imageDirectory}/loading.gif\" style=\"vertical-align:middle\" />&nbsp;&nbsp;{$smarty.const.TRANS_PLEASE_WAIT_WHILE_SEARCHING}</td></tr></table></center>{literal}";
			cp.call('{/literal}domains.php?action={getActionID action="CheckDomainAvailability"}'+
				'&domainSLD='+domainSLD+
				'&domainTLD='+domainTLD+
                '&configGroupID='+configGroupID+
				'&checkAllTLDs='+checkAllTLDs+
				'&checkNameSpinner='+checkNameSpinner+
				'&checkWithDashes='+checkWithDashes+
				//'&checkKeyword1='+checkKeyword1+
				//'&checkKeyword2='+checkKeyword2+
				//'&checkKeyword3='+checkKeyword3+
				'&ajax=1&sid={$sid}{literal}', 'checkDomainAvailability', checkDomainAvailabilityResponse);
			return false;
		}
	}
	function checkDomainAvailabilityResponse(result) {
		if (result) {
			document.getElementById("checkDomainAvailabilityResponse").innerHTML = result;
		} else {
			document.getElementById("checkDomainAvailabilityResponse").innerHTML = {/literal}"unable to lookup domain"{literal};
		}
		document.CheckDomainAvailability.checkButton.disabled=false;
		document.CheckDomainAvailability.checkButton.value={/literal}"{$smarty.const.TRANS_CHECK}"{literal};
	}
	{/literal}
</script>

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form action="domains.php" method="post" name="CheckDomainAvailability" onsubmit="return checkDomainAvailability();">
<input type="hidden" name="action" value="{getActionID action="CheckDomainAvailability"}" />
<input type="hidden" name="sid" value="{$sid}" />

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_REGISTER_NEW_DOMAIN" addEmptyTD=1 headerClass="firstTD lastTD"}
</tr>
</thead>
<tbody>

<tr>
	<td class="title">{$smarty.const.TRANS_REGISTRAR}:</td>
	<td>
		<select name="configGroupID" style="width:180px">
			{html_options options=$modules}
		</select>
	</td>
</tr>
<tr>
	<td class="title">WWW.</td>
	<td>
		<input type="text" name="domainSLD" value="" />
		&nbsp;
		<select name="domainTLD" style="width:50px">
			<option value="com">.com</option>
		</select>
		&nbsp;
		<input class="submit" type="submit" name="checkButton" value="{$smarty.const.TRANS_CHECK}" />
	</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td>
		<input type="checkbox" name="checkAllTLDs" value="1" onmouseup="setTimeout('checkEnableAllTLDs();',10); " />
		&nbsp;
		{$smarty.const.TRANS_CHECK_ALL_TLDS}
	</td>
</tr>
<tr>
	<td colspan="4"><hr size="1" color="#444444" /></td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td>
		<input type="checkbox" name="checkNameSpinner" value="1" />
		&nbsp;
		{$smarty.const.TRANS_RECOMMEND_ADDITIONAL_DOMAINS}
	</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td>
		<input type="checkbox" name="checkWithDashes" value="1" />
		&nbsp;
		{$smarty.const.TRANS_ALLOW_DASHES}
	</td>
</tr>
{************************************************************************************
<tr>
	<td class="title">{$smarty.const.TRANS_KEYWORDS}:</td>
	<td>

		<input type="text" name="checkKeyword1" value="" style="width:75px;" />
		<input type="text" name="checkKeyword2" value="" style="width:75px;" />
		<input type="text" name="checkKeyword3" value="" style="width:75px;" />
	</td>
</tr>
************************************************************************************}
<tr>
	<td colspan="4">&nbsp;</td>
</tr>
</tbody>
</table>
</form>

<br /><br />
<div id="checkDomainAvailabilityResponse"></div>

{include file="$tplDirectory/footer.tpl"}