{* $Id: AddEmailTemplateGroup.tpl 6350 2006-04-18 03:13:17Z mgarrett $
 * --------------------------------------------------------------
 * This template displays a form to edit an email template.
 *
 * Smarty Variables:
 *	$emailTplGroup  --  An array of data found for the given email template ID.
 *
 *}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_EMAILS"
	childName="TRANS_EMAIL_TEMPLATE_GROUPS"
	sideNavMajor="events"
	sideNavMinor="emails"}

<fieldset>
<legend>{$smarty.const.TRANS_ADD_EMAIL_TPL_GROUP}</legend>

<form method="post" action="emails.php">
	<input type="hidden" name="action" value="{getActionID action="AddEmailTemplateGroupResponse"}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<table summary="{$smarty.const.TRANS_ADD_EMAIL_TPL_GROUP}" width="100%" class="list">
		<tr>
			<td class="title">{$smarty.const.TRANS_EMAIL_ACTION}</td>
			<td colspan="3"><select id="emailActionID" name="emailActionID" size="1">
					{html_options options=$emailActions selected=$emailActionID}
				</select></td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_EMAIL_TPL_GROUP_NAME}</td>
			<td><input type="text" name="emailTplGroupName" size="30" value="" /></td>
			<td class="title">{$smarty.const.TRANS_EMAIL_TPL_GROUP_PRIORITY}</td>
			<td><select id="emailTplGroupPriority" name="emailTplGroupPriority" size="1" style="width: 40px;">
					<option label="1" value="1">1</option>
					<option label="2" value="2">2</option>
					<option label="3" value="3" selected="selected">3</option>
					<option label="4" value="4">4</option>
					<option label="5" value="5">5</option>
				</select> {$smarty.const.TRANS_EMAIL_PRIORITY_DESC}
			</td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_EMAIL_FROM_NAME}</td>
			<td><input name="emailTplGroupFromName" type="text" size="20" maxlength="255" value="" /></td>
			<td class="title">{$smarty.const.TRANS_EMAIL_FROM_ADDRESS}</td>
			<td><input name="emailTplGroupFromAddress" type="text" size="30" maxlength="255" value="" /></td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_EMAIL_REPLY_NAME}</td>
			<td><input name="emailTplGroupReplyName" type="text" size="20" maxlength="255" value="" /></td>
			<td class="title">{$smarty.const.TRANS_EMAIL_REPLY_ADDRESS}</td>
			<td><input name="emailTplGroupReplyAddress" type="text" size="30" maxlength="255" value="" /></td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_EMAIL_CC_ADDRESS}</td>
			<td><input name="emailTplGroupCCAddress" type="text" size="20" maxlength="255" value="" /></td>
			<td class="title">{$smarty.const.TRANS_EMAIL_BCC_ADDRESS}</td>
			<td><input name="emailTplGroupBCCAddress" type="text" size="30" maxlength="255" value="" /></td>
		</tr>
		<tr class="listButtons">
			<td colspan="4"><div>
				<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE_EMAIL_TPL_GROUP_DATA}" />
				<input class="reset" type="reset" name="reset" value="{$smarty.const.TRANS_CLEAR}" />
			</div></td>
		</tr>
	</table>
</form>
</fieldset>

{include file="$tplDirectory/footer.tpl"}