{* $Id: ShowEmailTemplates.tpl 10673 2007-02-13 22:29:29Z bsmith $
 * --------------------------------------------------------------
 * This template displays a list of email templates in the system, and provides links with
 * which to manage those email templates.
 *
 * Smarty Variables:
 *	$emailTemplates  --  An array of email template data found for the given criteria.
 *
 *}{strip}
{t c="TRANS_MANAGE_EMAILS" d="Manage Emails"}
{t c="TRANS_EMAIL_TEMPLATES" d="Email Templates"}
{t c="TRANS_VIEW" d="View"}
{t c="TRANS_ADD" d="Add"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_NO_EMAIL_TEMPLATES" d="There are no email templates to display."}
{t c="TRANS_EMAIL_TEMPLATES" d="Email Templates"}
{t c="TRANS_PREVIEW" d="Preview"}
{/strip}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_EMAILS"
	childName="TRANS_EMAIL_TEMPLATES"
	sideNavMajor="events"
	sideNavMinor="emails"}

<div style="text-align:right;"><div class="rm" style="float: right;"><a href="{getHREF page="emails.php" actionName="AddEmailTemplate"}">{$smarty.const.TRANS_ADD}</a></div></div>
<fieldset>
<legend>{$smarty.const.TRANS_EMAIL_TEMPLATES}</legend>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr>
{t c="TRANS_ADDITIONAL_DATA" d="Display/Hide Additional Data"}
	<td colspan="4" style="cursor: pointer;" onclick="{strip} {section name="i" loop="$emailTemplates"}
		XKtoggle('tp{$emailTemplates[i].emailTplID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {$smarty.const.TRANS_ADDITIONAL_DATA}
	</td>
</tr>
<tr>
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_ID" sortColumn="emailTplID"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_NAME" sortColumn="emailTplName"}
	{include file="$tplDirectory/widgets/table/tableSortDateHeader.tpl" headerName="TRANS_SUBJECT" sortColumn="emailTplSubject"}
	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{section name="i" loop="$emailTemplates"}
	{assign var="emailTplID" value=$emailTemplates[i].emailTplID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}">

	<td class="cursor: pointer;" onclick="XKtoggle('tp{$emailTemplates[i].emailTplID}');">{$emailTemplates[i].emailTplID}</td>
	<td>{$emailTemplates[i].emailTplName}</td>
	<td>{$emailTemplates[i].emailTplSubject}</td>

	<td>
		<a href="{getHREF page="emails.php" actionName="EditEmailTemplate"
			args="emailTplID=$emailTplID"}"><img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" /></a>
		<a href="{getHREF page="emails.php" actionName="RemoveEmailTemplate"
			args="emailTplID=$emailTplID"}"><img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" /></a>
	</td>
</tr>
</tbody>
<tbody id="tp{$emailTemplates[i].emailTplID}" class="off">
	<tr class="alt1">
		<td colspan="4">{$emailTemplates[i].emailTplTextBody}</td>
	</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="4">{$smarty.const.TRANS_NO_EMAIL_TEMPLATES}</td>
</tr>
{/section}
</table>
</fieldset>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{include file="$tplDirectory/footer.tpl"}
