{* $Id: ConfirmCreditNote.tpl 10908 2007-03-26 17:21:41Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to confirm the creation of a credit note
 *
 * Smarty Variables:
 *	n/a
 *
 *}
 
 {t c="TRANS_RESET_PACKAGE_RENEW_DATES" d="Reset package renew dates"}
 {t c="TRANS_CREATE_INVOICE_REVERSAL" d="Create Invoice Reversal"}
{t c="TRANS_CREDIT_NOTE_ALREADY_EXISTS" d="Error, Invoice already reversed.  You cannot reverse an invoice twice."}


{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_FINANCES"
    childName="TRANS_MANAGE_INVOICES"
    grandchildName="TRANS_CREATE_INVOICE_REVERSAL"
    sideNavMajor="finances"
    sideNavMinor="invoices"
    useMenu="finances"}

{if !$creditNote.invoiceID}

	<form method="post" action="invoices.php">
	<input type="hidden" name="action" value="{getActionID action="ConfirmCreditNoteResponse"}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" name="invoiceID" value="{$invoice.invoiceID}" />
	<fieldset>
	<legend>{$smarty.const.TRANS_CREDIT_NOTE_CONFIRM_QUESTION}</legend>

					<table border="0" class="list" width="100%">
						<tr>
							<td class="title">{$smarty.const.TRANS_INVOICE_NUMBER}</td>
							<td>{$invoice.invoiceNumber}</td>
						</tr>
	
						<tr>
							<td class="title">{$smarty.const.TRANS_INVOICE_AMOUNT}</td>
							<td>{$invoice.invoiceAmount|getAmount:$invoice.currencyID}</td>
						</tr>
	
						<tr>
							<td align="right" valign="top">{$smarty.const.TRANS_COMMENTS} </td>
							<td><textarea cols="35" rows="3" name="invoiceComments" ></textarea></td>
						</tr>
	
						<tr>
							<td class="title"></td>
							<td><input type="checkbox" value="1" name="rollbackRenewDates" checked="checked" /> {$smarty.const.TRANS_RESET_PACKAGE_RENEW_DATES}</td>
						</tr>
	
						<tr class="listButtons">
							<td colspan="2"><div><input class="submit" type="submit" value="{$smarty.const.TRANS_YES_CREATE_CREDIT_NOTE}">
							<input class="button" type="button" onclick="history.go(-1);" value="{$smarty.const.TRANS_CANCEL}"></div></td>
						</tr>
	
					</table>

	</fieldset>	
	</form>
	
{else}

	{$smarty.const.TRANS_CREDIT_NOTE_ALREADY_EXISTS}

{/if}


{include file="$tplDirectory/footer.tpl"}