{* $Id: ShowInvoiceDetails.tpl 12885 2008-04-22 18:08:51Z btyra $
* --------------------------------------------------------------
* This template displays a list of invoice records.
*
* Smarty Variables:
*	$invoices (array of invoices that match input criteria)
*		invoiceID			A unique invoice ID
*		invoiceNumber		An invoice's number
*		invoiceAmount		An invoice's amount
*		invoiceDateEntered	An invoice's generation date
*		invoiceDateDue		An invoice's due date
*		invoiceStatus		The status of an invoice
*	$actionID				The unique action ID for this page view
*  $actionName				The action name for this action ID
*	$imageDirectory			The image directory for this theme
*	$tplDirectory			The template directory for this theme
*
* Author: Michael Fountain
*}{strip}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_AMOUNT" d="Amount"}
{t c="TRANS_AMOUNT_PAID" d="Amount Paid"}
{t c="TRANS_CLIENT" d="Client"}
{t c="TRANS_QUICK_LINKS" d="Quick Links: "}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_INVOICEID" d="Invoice ID"}
{t c="TRANS_INVOICE_TOTAL" d="Total"}
{t c="TRANS_INVOICE_NUMBER" d="Invoice Number"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DUE" d="Due"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_ENTERED" d="Entered"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_TRANSACTION_AMOUNT_REFUNDED" d="Refunded Amount"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_MANAGE_INVOICES" d="Manage Invoices"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_INVOICES" d="Show Invoices"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_TAX_ID_NUMBER" d="Tax ID Number"}
{t c="TRANS_TAX_TOTAL" d="Total Tax"}
{t c="TRANS_CHARGE_PARTIALLY_REFUNDED" d="Partially Refunded"}
{t c="TRANS_QUANTITY_ABBR" d="Qty"}
{t c="TRANS_PACKAGE_ID" d="PID"}
{t c="TRANS_DESCRIPTION" d="Description"}
{t c="TRANS_BEGIN" d="Begin"}
{t c="TRANS_CURRENT" d="Current"}
{t c="TRANS_NEXT" d="Next"}
{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_SETUP" d="Setup"}
{t c="TRANS_TAX" d="Tax"}
{t c="TRANS_TOTALS" d="Totals"}

{t c="TRANS_TAX_ZONE_ID" d="Tax Zone ID"}
{t c="TRANS_TAX_ZONE_NAME" d="Name"}
{t c="TRANS_TAX_ZONE_DESCRIPTION" d="Description"}
{t c="TRANS_TAX_ZONE_TYPE" d="Type"}
{t c="TRANS_TAX_ZONE_RATE" d="Rate"}
{t c="TRANS_TAX_ZONE_TOTAL" d="Total Tax Charge"}

{t c="TRANS_ADDONS" d="Addons"}
{t c="TRANS_ADDON_ID" d="Addon ID"}

{t c="TRANS_TRANSACTIONS" d="Transactions"}
{t c="TRANS_TRANSACTION_ID" d="ID"}
{t c="TRANS_TRANSACTION_STATUS" d="Status"}
{t c="TRANS_TRANSACTION_CODE" d="Code"}
{t c="TRANS_TRANSACTION_NOTES" d="Notes"}
{t c="TRANS_TRANSACTION_DATE" d="Date"}
{t c="TRANS_TRANSACTION_AMOUNT" d="Amount"}
{t c="TRANS_TRANSACTION_GATEWAY" d="Gateway"}

{t c="TRANS_SET_AMOUNT" d="Set Amount"}
{t c="TRANS_PERCENTAGE" d="Percentage"}

{t c="TRANS_SUCCESSFUL_CHARGE" d="Successful Charge"}
{t c="TRANS_DECLINED_CHARGE" d="Declined Charge"}
{t c="TRANS_SUB_TOTAL" d="Sub Total"}
{t c="TRANS_ERRORED_CHARGE" d="Errored Charge"}
{t c="TRANS_AUTOFAILED_CHARGE" d="Autofailed (previously declined)"}
{t c="TRANS_MANUALLY_APPLIED" d="Manually Applied Payment"}
{t c="TRANS_PAID_WITH_CREDIT" d="Paid with credit"}
{t c="TRANS_CHARGE_REFUNDED" d="Charged but Refunded"}
{t c="TRANS_TRANSACTION_PAYMENT_METHOD" d="Method"}
{t c="TRANS_AUTHORIZED_CHARGE" d="Authorized Only"}
{t c="TRANS_CAPTURE" d="Capture"}
{t c="TRANS_X_CANCEL" d="X"}
{t c="TRANS_AUTH_CANCELLED_CHARGE" d="Cancelled Auth"}
{t c="TRANS_INVOICETOTAL" d="Invoice Total"}

{t c="TRANS_REFUND" d="Refund"}
{t c="TRANS_CLIENT_CURRENT_CREDIT_BALANCE" d="Client has credit on file of"}
{t c="TRANS_PRINT" d="Print"}


{t c="TRANS_TO" d="To"}
{t c="TRANS_FROM" d="From"}
{t c="TRANS_PAYMENT_TERMS" d="Payment Terms"}
{t c="TRANS_APPLY_MANUAL_PAYMENT" d="Apply Manual Payment"}
{t c="TRANS_QUICK_PAYMENT" d="Quick Payment"}
{t c="TRANS_TAX_ZONES" d="Tax Zones"}
{t c="TRANS_CREATE_CREDIT_NOTE" d="Create Credit Note"}
{t c="TRANS_CREATE_INVOICE_REVERSAL" d="Create Invoice Reversal"}
{t c="TRANS_ARE_YOU_SURE_FINALIZE" d="Are you sure you wish to capture the funds of this transaction?"}
{t c="TRANS_ARE_YOU_SURE_CANCEL" d="Are you sure you want to CANCEL this transaction?\\nYou will be unable to capture these funds without running another transaction if you do."}
{t c="TRANS_CAPTURED_CHARGE" d="Captured Charge"}
{t c="TRANS_TAKE_CREDIT_CARD_PAYMENT" d="Take Credit Card Payment"}
{t c="TRANS_BASIS" d="Basis"}
{t c="TRANS_PACKAGE_TOTALS" d="Package Totals"}
{t c="TRANS_PAGES" d="Pages"}
{t c="TRANS_REVERSAL" d="Reversal"}
{t c="TRANS_NO_CREDIT_AVAILABLE" d="No Credit Available"}
{t c="TRANS_FIND_IN_INVOICE" d="Find In Invoice"}
{t c="TRANS_STACKABLE" d="Stackable"}
{t c="TRANS_YOU_MUST_DELETE_THE_TRANSACTIONS_ON_THE_INVOICE_BEFORE_PERFORMING_A_REVERSAL" d="You must remove the transactions on this invoice before performing a reversal."}

{t c="TRANS_RESEND_WITH_COMMENTS" d="Resend with Comments"}
{/strip}

{assign var="filterArgs" value="invoiceStatus=$invoiceStatus"}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_MANAGE_INVOICES"
	grandchildName="TRANS_SHOW_INVOICES"
	sideNavMajor="finances"
	sideNavMinor="invoices"
	useMenu="finances"}

{assign var="lineItems" value=$invoice.lineItems}
<script language="javascript" type="text/javascript">
<!--
{literal}
function checkSure(url){
	if (confirm("{/literal}{$smarty.const.TRANS_ARE_YOU_SURE_FINALIZE}{literal}")){
		document.location.href = url;
	}
}
function checkSure2(url){
	if (confirm("{/literal}{$smarty.const.TRANS_ARE_YOU_SURE_CANCEL}{literal}")){
		document.location.href = url;
	}
}
{/literal}
//-->
</script>
<table width="100%">
	<tr>
		<td>
{if $smarty.request.query || $invoicePageLinks.1==1}
		<form method="GET" action="invoices.php" style="display: inline;">
			<input type="hidden" name="sid" value="{$sid}" />
			<input type="hidden" name="action" value="{getActionID action="ShowInvoiceDetails"}" />
			<input type="hidden" name="invoiceID" value="{$invoice.invoiceID}" />
			{$smarty.const.TRANS_FIND_IN_INVOICE}: <input type="text" size="15" name="query" id="invoiceSearchBox" value="{$smarty.request.query}" /> <input class="submit" type="submit" value="{$smarty.const.TRANS_SEARCH}" />
		</form>
{/if}
		</td>
		<td align="right">
{if $invoicePageLinks.1==1}
		<strong>{$smarty.const.TRANS_PAGES}</strong>:
		{section name="i" loop=$invoicePageLinks}
			{if $page==$invoicePageLinks[i]}
				<b>{$page+1}</b>
			{else}
				<a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$invoice.invoiceID`&page=`$invoicePageLinks[i]`"}&query={$smarty.request.query|escape:url}">{$invoicePageLinks[i]+1}</a>
			{/if}
		{/section}
{/if}
		</td>
	</tr>
</table>

<table width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01">
	{if $invoice.invoiceAmount>-0.0001 && $invoice.invoiceStatus!=2}
<tr>
	<td colspan="4">
	<div class="productHeaderButtonContainer">
	<table width="100%">
		<tr>
			<td>
		{strip}
		<div style="float: left;padding: 3px 3px 3px 0px;margin: 0px 5px 5px 0px;"><strong>{$smarty.const.TRANS_QUICK_LINKS}</strong></div>
		<div class="productHeaderButton"><img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" style="margin-right: 4px; vertical-align:middle;border-style:none;" /><a href="{getHREF page="invoices.php" actionName="EditInvoice" args="invoiceID=`$invoice.invoiceID`&redirectArgs=$bookmarkArgs"}">{$smarty.const.TRANS_EDIT}</a>
		</div>
		<div class="productHeaderButton"><img src="{$imageDirectory}/ico/creditcards.gif" border="0" alt="{$smarty.const.TRANS_TAKE_CREDIT_CARD_PAYMENT}" title="{$smarty.const.TRANS_TAKE_CREDIT_CARD_PAYMENT}" style="margin-right: 4px; vertical-align:middle;border-style:none;" /><a href="{getHREF page="paymentgroups.php" actionName="ShowVirtualTerminals" args="invoiceID=`$invoice.invoiceID`"}">{$smarty.const.TRANS_TAKE_CREDIT_CARD_PAYMENT}</a>
		</div>
		<div class="productHeaderButton">
		{assign var="qpa" value=$invoice.invoiceAmount-$invoice.invoiceAmountPaid}
		{include file="$tplDirectory/widgets/quickApplyPayment.tpl"
			transactionType="manual"
			actionName="ProcessManualPayment"
			lineItems=$lineItems
			sid=$sid
			invoiceID=$invoice.invoiceID
			billingAccounts=$billingAccountOptions
			localeArray=$localeArray
			currencyID=$invoice.currencyID
			defaultAmount=$qpa
			formName="quickPayment"
			paymentTypes=$paymentMethods
			redirectURL="invoices.php"
			redirectAction="ShowInvoiceDetails"
			redirectArgs="invoiceID=`$invoice.invoiceID`"}
		</div>
		{if $transactions.0 AND $transactions.0.transactionID}
			<div class="productHeaderButtonOff">
				<img src="{$imageDirectory}/ico/invoice_reverse.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_CREATE_INVOICE_REVERSAL}" title="{$smarty.const.TRANS_CREATE_INVOICE_REVERSAL}" style="margin-right: 4px; vertical-align:middle;border-style:none;" /><a href="javascript:alert('{$smarty.const.TRANS_YOU_MUST_DELETE_THE_TRANSACTIONS_ON_THE_INVOICE_BEFORE_PERFORMING_A_REVERSAL}');">{$smarty.const.TRANS_CREATE_INVOICE_REVERSAL}</a>
			</div>
		{else}
			<div class="productHeaderButton">
				<img src="{$imageDirectory}/ico/invoice_reverse.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_CREATE_INVOICE_REVERSAL}" title="{$smarty.const.TRANS_CREATE_INVOICE_REVERSAL}" style="margin-right: 4px; vertical-align:middle;border-style:none;" /><a href="{getHREF page="invoices.php" actionName="ConfirmCreditNote" args="invoiceID=`$invoice.invoiceID`"}">{$smarty.const.TRANS_CREATE_INVOICE_REVERSAL}</a>
			</div>
		{/if}
		{assign var="currencyID" value=$invoice.currencyID}
			{if $clientCredits.$currencyID>0}
				<div class="productHeaderButton">
				{include file="$tplDirectory/widgets/quickApplyCredit.tpl"
					actionName="ProcessManualPayment"
					lineItems=$lineItems
					sid=$sid
					invoiceID=$invoice.invoiceID
					defaultCreditAmount=$clientCredits.$currencyID
					localeArray=$localeArray
					currencyID=$invoice.currencyID
					defaultAmount=$clientCredits.$currencyID
					formName="quickPayments"
					redirectURL="invoices.php"
					redirectAction="ShowInvoiceDetails"
					redirectArgs="invoiceID=`$invoice.invoiceID`"}
				</div>
			{else}
				<div class="productHeaderButtonOff">
				<img src="{$imageDirectory}/ico/inactive_credit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_NO_CREDIT_AVAILABLE}" title="{$smarty.const.TRANS_NO_CREDIT_AVAILABLE}" style="margin-right: 4px; vertical-align:middle;border-style:none;" />
				{$smarty.const.TRANS_NO_CREDIT_AVAILABLE}
				</div>
			{/if}
		<div class="productHeaderButton"><img src="{$imageDirectory}/ico/printer_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_PRINT}" title="{$smarty.const.TRANS_PRINT}" align="left" style="margin-right: 4px;" /><a target="_blank" href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$invoice.invoiceID`&__print=1&redirectArgs=$bookmarkArgs"}">{$smarty.const.TRANS_PRINT}
		</a>
		{strip}
		{assign var="productActionMenuIncrementor" value=""}
		{getRandomID name="printActionMenuIncrementor"}
		&nbsp;<a href="javascript:void(0);" onclick="XKshowPrintActionMenu(event, 'printActionMenu{$printActionMenuIncrementor}');">&raquo;</a>
		{include file="$tplDirectory/widgets/printActionMenu.tpl"
			containerID=$printActionMenuIncrementor
			page="invoices.php"
			actionName="ShowInvoiceDetails"
			args="invoiceID=`$invoice.invoiceID`&__print=1&redirectArgs=$bookmarkArgs"}
		{assign var="showPrintMenu" value="no"}
		{/strip}
		</div>
			<div class="productHeaderButton">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="invoices.php"
				actionName="ShowResendInvoiceResponse"
				args="invoiceID=`$invoice.invoiceID`&redirectArgs=$bookmarkArgs"
				icoImage="mail_forward.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_RESEND"
				titleText=""
				linkText="TRANS_RESEND"}
			</div>
		<div class="productHeaderButton">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="invoices.php"
				actionName="ShowResendInvoice"
				args="invoiceID=`$invoice.invoiceID`&redirectArgs=$bookmarkArgs"
				icoImage="mail_write.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_RESEND_WITH_COMMENTS"
				titleText=""
				linkText="TRANS_RESEND_WITH_COMMENTS"}
		</div>
		{/strip}
					</td>
		</tr>
	</table>
	</div>
	</td>
</tr>
	{/if}

<tr>
	<td align="right" valign="top"><strong>{$smarty.const.TRANS_TO}:</strong></td>
	<td align="left" valign="top">
		<table width="100%" bgcolor="#ffffff">
		<tr>
			<td>
				<strong>#{$clientID}<br />
				{if $clientData.clientCompany && $invoice.clientContactID==0}
					{assign var="contactName" value=$clientData.clientCompany}
				{else}
					{assign var="contactName" value="`$contactData.contactFirstName` `$contactData.contactLastName`"}
				{/if}

				{include file="$tplDirectory/widgets/actionLink.tpl"
					page="clients.php"
					actionName="ShowClientDetails"
					args="clientID=`$clientData.clientID`"
					clientID=$clientData.clientID
					clientContactID=$clientData.clientContactID
					icoWidth=""
					icoHeight=""
					icoStyle=""
					altText=$contactName
					titleText=""
					linkText=$contactName
					noSpace="1"
				}
				</strong><br />
				{$contactData.contactAddress1}<br />
				{if $contactData.contactAddress2!=""}
					{$contactData.contactAddress2}<br />
				{/if}
				{$contactData.contactCity}, {$contactData.contactState} {$contactData.contactZip}<br />
				{$contactData.contactPhone1} {if $contactData.contactPhone2!=''}- {$contactData.contactPhone2}{/if}<br />
                {$contactData.countriesISO2}
				{if $clientData.taxIDNumber!=''}
				<br />{$smarty.const.TRANS_TAX_ID_NUMBER}: {$clientData.taxIDNumber}
				{/if}
				{if $clientData.billingAccountID}
				<br />{$smarty.const.TRANS_DEFAULT_BILLING_METHOD}: {$clientData.billingAccountType|getTypeName:"billingAccount"}
				{/if}
			</td>
		</tr>
		</table>
	</td>
	<td align="right" valign="top"><strong>{$smarty.const.TRANS_FROM}:</strong></td>
	<td align="left" valign="top">
		<table width="100%" bgcolor="#ffffff">
		<tr>
			<td>
				<strong>{$companyData.companyName}</strong><br />
				{if $companyData.companyAddress1}
					{$companyData.companyAddress1}<br />
				{/if}
				{if $companyData.companyAddress2!=""}
					{$companyData.companyAddress2}<br />
				{/if}
				{if $companyData.companyCity!=""}
					{$companyData.companyCity},
					{$companyData.companyState}
					{$companyData.companyZip}<br />
				{/if}
				{if $companyData.companyPhone1}
				{$companyData.companyPhone1} {if $companyData.companyPhone2!=''}- {$companyData.companyPhone2}{/if}
				{/if}
				{if $companyData.companyTaxIDNumber!=''}
				<br />{$smarty.const.TRANS_TAX_ID_NUMBER}: {$companyData.companyTaxIDNumber}
				{/if}

			</td>
		</tr>
		</table>
	</td>
</tr>
<tr>
	<td colspan="4" align="center">
		<table width="100%" class="ledger1">
		<tr>
			<th scope="col">
				<strong>{$smarty.const.TRANS_INVOICE_NUMBER}:</strong>
					</th>
			<th scope="col">
						<strong>{$smarty.const.TRANS_ENTERED}:</strong>
			</th>
			<th scope="col">
				<strong>{$smarty.const.TRANS_DUE}:</strong>
			</th>
			<th scope="col">
				<strong>{$smarty.const.TRANS_STATUS}:</strong>
			</th>
			<th scope="col" align="right">
				<strong>{$smarty.const.TRANS_SUB_TOTAL}:</strong>
			</th>
			<th scope="col" align="right">
				<strong>{$smarty.const.TRANS_TAX_TOTAL}:</strong>
			</th>
			<th scope="col" align="right">
				<strong>{$smarty.const.TRANS_INVOICETOTAL}:</strong>
			</th>
			<th scope="col" align="right">
				<strong>{$smarty.const.TRANS_AMOUNT_PAID}:</strong>
			</th>

			<th scope="col" align="right">
				<strong>{$smarty.const.TRANS_AMOUNT_DUE}:</strong>
			</th>
		</tr>

		{if $totalTax}
		{else}
			{section name="j" loop=$taxZones}
				{assign var="totalTax" value=$totalTax+$taxZones[j].taxTotal}
			{/section}
		{/if}

		<tr>
			<td>{$invoice.invoiceNumber}</td>
			<td>{$invoice.invoiceDateEntered|getDate:"short"}</td>
			<td>{$invoice.invoiceDateDue|getDate:"short"}</td>
			<td>{$invoiceStatuses[$invoice.invoiceStatus]}
			{if $sourceInvoice.invoiceID>0}
				<br /> {$smarty.const.TRANS_FOR}:
				<a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$sourceInvoice.invoiceID`"}">{$sourceInvoice.invoiceNumber}</a>
			{/if}
			{if $creditNote.invoiceID>0}
				<br /> {$smarty.const.TRANS_REVERSAL}:
				<a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$creditNote.invoiceID`"}">{$creditNote.invoiceNumber}</a>
			{/if}
			</td>
			{assign var="subTot" value=$invoice.invoiceAmount-$totalTax}
			<td align="right">{$subTot|getAmount:$invoice.currencyID}</td>
			<td align="right">{$totalTax|getAmount:$invoice.currencyID}</td>
			<td align="right">{$invoice.invoiceAmount|getAmount:$invoice.currencyID}</td>
			<td align="right">{$invoice.invoiceAmountPaid|getAmount:$invoice.currencyID}</td>
			<td align="right">{$invoice.invoiceAmountDue|getAmount:$invoice.currencyID}</td>
		</tr>

		</table>


		{if $invoice.invoiceComments}
		<br />
		<table width="100%" class="ledger1">
		<tr>
			<th>
				<strong>{$smarty.const.TRANS_INVOICE_COMMENTS}:</strong>
			</th>
		</tr>

		<tr>
			<td>{$invoice.invoiceComments}</td>
		</tr>

		</table>
		{/if}

	</td>
</tr>
<tr>
	<td colspan="4" align="center">
		<table width="100%" bgcolor="#FFFFFF" class="ledger1">
		<tr>
			<th class="green" style="white-space: nowrap; text-align: left;">{$smarty.const.TRANS_PACKAGE_ID}</th>
			<th class="green" style="text-align:left;" colspan="2">{$smarty.const.TRANS_DESCRIPTION}</th>
			<th class="green" style="text-align:left;">{$smarty.const.TRANS_BEGIN}</th>
			<th class="green" style="text-align:left;">{$smarty.const.TRANS_CURRENT}</th>
			<th class="green" style="text-align:left;">{$smarty.const.TRANS_NEXT}</th>
			<th style="text-align:left;">{$smarty.const.TRANS_QUANTITY_ABBR}</th>
			<th align="right">{$smarty.const.TRANS_PRICE}</th>
			<th align="right">{$smarty.const.TRANS_DISCOUNT}</th>
			<th align="right">{$smarty.const.TRANS_SETUP}</th>
			<th align="right">{$smarty.const.TRANS_SUB_TOTAL}</th>
			<th align="right">{$smarty.const.TRANS_TAX}</th>
			<th align="right">{$smarty.const.TRANS_TOTALS}</th>
			<th align="right">{$smarty.const.TRANS_ACTION}</th>
		</tr>
		{assign var="inaddons" value="no"}
		{assign var="currencyID" value=$lineItems.0.currencyID}
		{section name="j" loop=$lineItems}
			{assign var="currentLineItemID" value=$lineItems[j].lineItemID}
			{assign var="lineItemIDsForTotalsRefund" value="$lineItemIDsForTotalsRefund&lineItemIDs[]=`$currentLineItemID`&"}
			{assign var="tpid" value=$lineItems[j].packageID}
				{if $lineItems[j].packageAddonID>0}
					{if $inaddons=="no"}
						{assign var="inaddons" value="yes"}
						<tr class="alt1">
							<td class="green" align="right"><i>{$smarty.const.TRANS_ADDONS}</i></td>
							<td class="green" style="text-align:left;" colspan="5"><i>{$smarty.const.TRANS_DESCRIPTION}</i></td>
							<td style="text-align:left;"><i>{$smarty.const.TRANS_QUANTITY_ABBR}</i></td>
							<td style="text-align:right;"><i>{$smarty.const.TRANS_PRICE}</i></td>
							<td style="text-align:right;"><i>{$smarty.const.TRANS_DISCOUNT}</i></td>
							<td style="text-align:right;"><i>{$smarty.const.TRANS_SETUP}</i></td>
							<td style="text-align:right;"><i>{$smarty.const.TRANS_SUB_TOTAL}</i></td>
							<td style="text-align:right;"><i>{$smarty.const.TRANS_TAX}</i></td>
							<td style="text-align:right;"><i>{$smarty.const.TRANS_TOTALS}</i></td>
							<td style="text-align:right;"><i>{$smarty.const.TRANS_ACTION}</i></td>
						</tr>
					{/if}
						<tr>
							<td class="green" align="right">{$lineItems[j].packageAddonID|highlightTerm}</td>
							{assign var="addonID" value=$lineItems[j].packageAddonID}
							<td class="green" style="text-align:left;" colspan="5">{$lineItems[j].lineItemDescription|highlightTerm}
							</td>
							<td style="text-align:left;">{$lineItems[j].lineItemQuantity}</td>
							<td style="text-align:right;">{$lineItems[j].lineItemPriceAmount|getAmount:$currencyID|highlightTerm}</td>
							<td style="text-align:right;">{$lineItems[j].lineItemDiscountAmount|getAmount:$currencyID|highlightTerm}
								{if $lineItems[j].lineItemDiscountAmount>0}
								<br />
								{$smarty.const.TRANS_BASIS}: {$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}@
									{if $lineItems[j].lineItemDiscount>0 && $lineItems[j].prorationDiscount>0}
										{$lineItems[j].lineItemDiscount*100}% + {$lineItems[j].prorationDiscount*100}%
									{elseif $lineItems[j].lineItemDiscount>0}
										{$lineItems[j].lineItemDiscount*100}%
									{elseif $lineItems[j].prorationDiscount>0}
										{$lineItems[j].prorationDiscount*100}%
									{/if}
								{/if}
							</td>
							<td style="text-align:right;">{$lineItems[j].lineItemSetupAmount|getAmount:$currencyID|highlightTerm}</td>
							<td style="text-align:right;">{$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
							<td style="text-align:right;">{$lineItems[j].lineItemTaxAmount|getAmount:$currencyID|highlightTerm}</td>
							<td style="text-align:right;">{$lineItems[j].lineItemTotalAmount|getAmount:$currencyID|highlightTerm}</td>
							<td style="text-align:left;">
								{assign var="partialRefundData" value=$lineItemsPartialRefund.$currentLineItemID}
								{if $partialRefundData}
									{assign var="transactionIDArg" value="invoiceID=`$invoice.invoiceID`&lineItemIDs[]=$currentLineItemID&"}
									{foreach item="yes" key="currentTransactionID" from=$partialRefundData}
										{assign var="transactionIDArg" value="`$transactionIDArg`transactionIDs[]=`$currentTransactionID`&"}
										{assign var="transactionIDsForTotalsRefund" value="`$transactionIDsForTotalsRefund`transactionIDs[]=`$currentTransactionID`&"}
									{/foreach}
									{include file="$tplDirectory/widgets/actionLink.tpl"
											page="invoices.php"
											actionName="ProcessTransactionRefund"
											args=$transactionIDArg
											icoImage="refundpayment.gif"
											icoWidth=""
											icoHeight=""
											icoStyle=""
											altText="TRANS_REFUND"
											titleText="TRANS_REFUND"
											linkText="TRANS_REFUND"
											noSpace="1"
									}
								{else}
									<em>{$smarty.const.TRANS_NONE}</em>
								{/if}
							</td>
						</tr>


				{else}

				{if $lastLineItemID>0 && $inaddons=="yes" && $addonTotals.total.$lastLineItemID}

				<tr class="alt1 total">
					<td colspan="9" align="right">[{$lastLineItemDescription|highlightTerm}] {$smarty.const.TRANS_PACKAGE_TOTALS}: </td>
					<td style="text-align:right;">{$addonTotals.setup.$lastLineItemID|getAmount:$currencyID}</td>
					<td style="text-align:right;">{$addonTotals.total.$lastLineItemID-$addonTotals.tax.$lastLineItemID|getAmount:$currencyID}</td>
					<td style="text-align:right;">{$addonTotals.tax.$lastLineItemID|getAmount:$currencyID}</td>
					<td style="text-align:right;">{$addonTotals.total.$lastLineItemID|getAmount:$currencyID}</td>
					<td style="text-align:left;">
						{if $transactionIDsForTotalsRefund}
							{assign var="transactionIDArg" value="invoiceID=`$invoice.invoiceID`&$transactionIDsForTotalsRefund$lineItemIDsForTotalsRefund"}
							{include file="$tplDirectory/widgets/actionLink.tpl"
									page="invoices.php"
									actionName="ProcessTransactionRefund"
									args=$transactionIDArg
									icoImage="refundpayment.gif"
									icoWidth=""
									icoHeight=""
									icoStyle=""
									altText="TRANS_REFUND"
									titleText="TRANS_REFUND"
									linkText="TRANS_REFUND"
									noSpace="1"
							}
						{else}
							<em>{$smarty.const.TRANS_NONE}</em>
						{/if}
					</td>
				</tr>

					{assign var="transactionIDsForTotalsRefund" value=""}
					{assign var="lineItemIDsForTotalsRefund" value=""}

				{/if}

				{if $lineItems[j].packageComments!=""}
					{assign var="rowspan" value="2"}
				{else}
					{assign var="rowspan" value="1"}
				{/if}
				{assign var="inaddons" value="no"}
				<tr class="alt1 total">
					<td rowspan="{$rowspan}" style="text-align:left;" class="green">
						{* make the line item id hidden *}
						<!--LineItemID:{$lineItems[j].lineItemID}-->
						<strong>{include file="$tplDirectory/widgets/actionLink.tpl"
									page="packages.php"
									actionName="ShowPackageDetails"
									args="packageID=`$lineItems[j].packageID`"
									icoWidth=""
									icoHeight=""
									icoStyle=""
									packageID=$lineItems[j].packageID
									altText=$lineItems[j].packageID|highlightTerm
									titleText=""
									linkText=$lineItems[j].packageID|highlightTerm}</strong>
					</td>
					<td class="green" style="text-align:left;" colspan="2">{$lineItems[j].lineItemDescription|highlightTerm}
			{if $domains.$tpid.0.domainID}
				{foreach item="domain" key="dkey" from=$domains.$tpid}
					<br />{$smarty.const.TRANS_DOMAIN}: <strong>{$domain.domainSLD|highlightTerm}.{$domain.domainTLD|highlightTerm}</strong>
				{/foreach}
			{/if}
			</td>
					<td class="green" style="text-align:left;">{$lineItems[j].lineItemDateBeginRenewal|getDate:"short"}</td>
					<td class="green" style="text-align:left;">{$lineItems[j].lineItemDateCurrentRenewal|getDate:"short"}</td>
					<td class="green" style="text-align:left;">{$lineItems[j].lineItemDateNextRenewal|getDate:"short"}</td>
					<td style="text-align:left;">{$lineItems[j].lineItemQuantity}</td>
					<td style="text-align:right;">{$lineItems[j].lineItemPriceAmount|getAmount:$currencyID|highlightTerm}</td>
					<td style="text-align:right;">{$lineItems[j].lineItemDiscountAmount|getAmount:$currencyID|highlightTerm}
						{if $lineItems[j].lineItemDiscountAmount>0}
						<br />
						{$smarty.const.TRANS_BASIS}: {$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}@
							{if $lineItems[j].lineItemDiscount>0 && $lineItems[j].prorationDiscount>0}
								{$lineItems[j].lineItemDiscount*100}% + {$lineItems[j].prorationDiscount*100}%
							{elseif $lineItems[j].lineItemDiscount>0}
								{$lineItems[j].lineItemDiscount*100}%
							{elseif $lineItems[j].prorationDiscount>0}
								{$lineItems[j].prorationDiscount*100}%
							{/if}
						{/if}
					</td>
					<td style="text-align:right;">{$lineItems[j].lineItemSetupAmount|getAmount:$currencyID|highlightTerm}</td>
					<td style="text-align:right;">{$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
					<td style="text-align:right;">{$lineItems[j].lineItemTaxAmount|getAmount:$currencyID|highlightTerm}</td>
					<td style="text-align:right;">{$lineItems[j].lineItemTotalAmount|getAmount:$currencyID|highlightTerm}</td>
					<td style="text-align:left;">
						{assign var="partialRefundData" value=$lineItemsPartialRefund.$currentLineItemID}
						{if $partialRefundData}
							{assign var="transactionIDArg" value="lineItemIDs[]=`$currentLineItemID`&invoiceID=`$invoice.invoiceID`&"}
							{foreach item="yes" key="currentTransactionID" from=$partialRefundData}
								{assign var="transactionIDArg" value="`$transactionIDArg`transactionIDs[]=`$currentTransactionID`&"}
								{assign var="transactionIDsForTotalsRefund" value="`$transactionIDsForTotalsRefund`transactionIDs[]=`$currentTransactionID`&"}
							{/foreach}
							{include file="$tplDirectory/widgets/actionLink.tpl"
									page="invoices.php"
									actionName="ProcessTransactionRefund"
									args=$transactionIDArg
									icoImage="refundpayment.gif"
									icoWidth=""
									icoHeight=""
									icoStyle=""
									altText="TRANS_REFUND"
									titleText="TRANS_REFUND"
									linkText="TRANS_REFUND"
									noSpace="1"
							}
						{else}
							<em>{$smarty.const.TRANS_NONE}</em>
						{/if}
					</td>
				</tr>
					{if $lineItems[j].packageComments!=""}
						<tr class="alt1 total">
							<td colspan="13">{$lineItems[j].packageComments|highlightTerm}</td>
						</tr>
					{/if}
					{assign var="lastLineItemID" value=$lineItems[j].lineItemID}
					{assign var="lastLineItemDescription" value=$lineItems[j].lineItemDescription}
				{/if}


		{/section}
				{if $lastLineItemID>0 && $inaddons=="yes" && $addonTotals.total.$lastLineItemID}

					<tr class="alt1 total">
						<td colspan="9" align="right">[{$lastLineItemDescription|highlightTerm}]  {$smarty.const.TRANS_PACKAGE_TOTALS}: </td>
						<td style="text-align:right;">{$addonTotals.setup.$lastLineItemID|getAmount:$currencyID}</td>
						<td style="text-align:right;">{$addonTotals.total.$lastLineItemID-$addonTotals.tax.$lastLineItemID|getAmount:$currencyID}</td>
						<td style="text-align:right;">{$addonTotals.tax.$lastLineItemID|getAmount:$currencyID}</td>
						<td style="text-align:right;">{$addonTotals.total.$lastLineItemID|getAmount:$currencyID}</td>
						<td style="text-align:left;">
							{if $transactionIDsForTotalsRefund}
								{assign var="transactionIDArg" value="invoiceID=`$invoice.invoiceID`&$transactionIDsForTotalsRefund$lineItemIDsForTotalsRefund"}
								{include file="$tplDirectory/widgets/actionLink.tpl"
										page="invoices.php"
										actionName="ProcessTransactionRefund"
										args=$transactionIDArg
										icoImage="refundpayment.gif"
										icoWidth=""
										icoHeight=""
										icoStyle=""
										altText="TRANS_REFUND"
										titleText="TRANS_REFUND"
										linkText="TRANS_REFUND"
										noSpace="1"
								}
							{else}
								<em>{$smarty.const.TRANS_NONE}</em>
							{/if}
						</td>
					</tr>

					{assign var="lineItemIDsForTotalsRefund" value=""}

				{/if}
		</table>
	</td>
</tr>

<tr>
	<td colspan="4" align="center">

{if $taxZones.0.taxZoneID}
		<div align="left">
			<h2>{$smarty.const.TRANS_TAX_ZONES}</h2>
		<table width="100%" bgcolor="#FFFFFF">
			<tr>
				<th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_ID}</th>
				<th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_NAME}</th>
				<th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_DESCRIPTION}</th>
				<th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_TYPE}</th>
				<th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_RATE}</th>
				<th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_TOTAL}</th>
			</tr>
		{section name="j" loop=$taxZones}
			{if $taxZones[j].taxZoneID>0}
			{if $className=="alt1"}
				{assign var="className" value="alt2"}
			{else}
				{assign var="className" value="alt1"}
			{/if}
			<tr class="{cycle values="alt1,alt2"}">
				<td>{$taxZones[j].taxZoneID}</td>
				<td>{$taxZones[j].taxZoneName}</td>
				<td>{$taxZones[j].taxZoneDescription}</td>
				<td>{if $taxZones[j].lineItemTaxAmountType==0}
					{$smarty.const.TRANS_PERCENTAGE}
				{else}
					{$smarty.const.TRANS_SET_AMOUNT}
				{/if}
				{if $taxZones[j].taxZoneStackable==1} -- {$smarty.const.TRANS_STACKABLE}{/if}
				</td>
				<td align="right">{if $taxZones[j].lineItemTaxAmountType==0}
					{$taxZones[j].lineItemTaxAmount}%
				{else}
					{$taxZones[j].lineItemTaxAmount|getAmount:$currencyID}
				{/if}</td>
				<td align="right">{$taxZones[j].taxTotal|getAmount:$currencyID}</td>
			</tr>
			{/if}
		{/section}
		</table>
		</div>
{/if}


		{if $transactions}
		<div align="left">
			<h2>{$smarty.const.TRANS_TRANSACTIONS}</h2>
			<table width="100%" bgcolor="#FFFFFF">
			<tr>
				<th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_ID}</th>
				<th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_PAYMENT_METHOD}</th>
				<th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_STATUS}</th>
				<th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_CODE}</th>
				<th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_NOTES}</th>
				<th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_DATE}</th>
				<th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_GATEWAY}</th>
				<th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_AMOUNT}</th>
				<th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_AMOUNT_REFUNDED}</th>
				<th scope="col">{$smarty.const.TRANS_ACTION}</th>
			</tr>
			{section name="j" loop=$transactions}
				{if $className=="alt1"}
					{assign var="className" value="alt2"}
				{else}
					{assign var="className" value="alt1"}
				{/if}
				<tr class="{cycle values="alt1,alt2"}">
					<td>{$transactions[j].transactionID}</td>
					{assign var="tkey" value=$transactions[j].transactionPaymentMethod|getArrayValueByID:$paymentMethods}
					<td>{$smarty.const.$tkey|default:$tkey}</td>
					{assign var="tkey" value=$transactions[j].authReturn|getArrayValueByID:$transactionStatuses}
					<td>{strip}{$smarty.const.$tkey|default:$tkey}{/strip}</td>
					<td>{$transactions[j].transactionCode}</td>
					<td>{$transactions[j].transactionNotes}</td>
					<td>{$transactions[j].transactionDateCreated|getDateTime}</td>
					{assign var="tkey" value=$transactions[j].configGroupTransKey}
					<td>{$smarty.const.$tkey|default:$tkey}</td>
					<td align="right">{$transactions[j].transactionAmount|getAmount:$transactions[j].currencyID}</td>
					<td align="right">{$transactions[j].transactionAmountRefunded|getAmount:$transactions[j].currencyID}</td>
					<td>
						{include file="$tplDirectory/widgets/actionLink.tpl"
								page="invoices.php"
								actionName="RemoveInvoiceTransaction"
								args="invoiceID=`$invoice.invoiceID`&transactionID=`$transactions[j].transactionID`"
								icoImage="remove"
								icoWidth=""
								icoHeight=""
								icoStyle=""
								altText="TRANS_REMOVE"
								titleText="TRANS_DELETE"
								linkText="TRANS_DELETE"
								noSpace="1"
						}
						{if $transactions[j].canRefund==1}
							{include file="$tplDirectory/widgets/actionLink.tpl"
									page="invoices.php"
									actionName="ProcessTransactionRefund"
									args="invoiceID=`$invoice.invoiceID`&transactionIDs[]=`$transactions[j].transactionID`"
									icoImage="refundpayment.gif"
									icoWidth=""
									icoHeight=""
									icoStyle=""
									altText="TRANS_REFUND"
									titleText="TRANS_REFUND"
									linkText="TRANS_REFUND"
									noSpace="1"
							}
						{/if}
						{if $transactions[j].canFinalize==1}
							<span style="white-space: nowrap;">
								<a class="st01" href="javascript:checkSure2('{getHREF page="invoices.php" actionName="CancelAuthTransaction" args="transactionID=`$transactions[j].transactionID`"}&invoiceID={$invoice.invoiceID}');"><img style="vertical-align:middle;border-style:none;" src="{$imageDirectory}/ico/cancelauth.gif" width="16" height="16" margin-right: 4px;" alt="{$smarty.const.$altText|default:$altText}" title="{$smarty.const.TRANS_CANCEL|default:TRANS_CANCEL}" /></a>
								<a class="st01" href="javascript:checkSure2('{getHREF page="invoices.php" actionName="CancelAuthTransaction" args="transactionID=`$transactions[j].transactionID`"}&invoiceID={$invoice.invoiceID}');">{$smarty.const.TRANS_CANCEL}</a>
							</span>
							<span style="white-space: nowrap;">
								<a class="st01" href="javascript:checkSure('{getHREF page="paymentqueue.php" actionName="CaptureFunds" args="captureIDs[`$transactions[j].transactionID`]=y"}&invoiceID={$invoice.invoiceID}');"><img style="vertical-align:middle;border-style:none;" src="{$imageDirectory}/ico/capturepayment.gif" width="16" height="16" margin-right: 4px;" alt="{$smarty.const.$altText|default:$altText}" title="{$smarty.const.TRANS_CAPTURE|default:TRANS_CAPTURE}" /></a>
								<a class="st01" href="javascript:checkSure('{getHREF page="paymentqueue.php" actionName="CaptureFunds" args="captureIDs[`$transactions[j].transactionID`]=y"}&invoiceID={$invoice.invoiceID}');">{$smarty.const.TRANS_CAPTURE}</a>
							</span>
						{/if}
					</td>
				</tr>
			{/section}
			</table>

		</div>
		{/if}

	</td>
</tr>
</table>

<table width="100%">
	<tr>
		<td align="right">
{if $invoicePageLinks.1==1}
		<strong>{$smarty.const.TRANS_PAGES}</strong>:
		{section name="i" loop=$invoicePageLinks}
			{if $page==$invoicePageLinks[i]}
				<b>{$page+1}</b>
			{else}
				<a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$invoice.invoiceID`&page=`$invoicePageLinks[i]`"}&term={$smarty.request.term|escape:url}">{$invoicePageLinks[i]+1}</a>
			{/if}
		{/section}
{/if}
		</td>
	</tr>
</table>


{include file="$tplDirectory/footer.tpl"}