{* $Id: ShowLogin.tpl 11994 2007-09-27 20:37:21Z kbailey $
 * --------------------------------------------------------------
 * This template displays the admin login form.
 *
 * Smarty Variables:
 *  $redirectActionID  -  The action ID to redirect to. This is 0 if we're not redirecting.
 *  $redirectActionFile  -  The filename to redirect to. This is "" if we're not redirecting.
 * 
 *	$htmlLang		The language this document will render
 *	$userIP			The logged IP address of the user
 *	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *}
{t c="TRANS_LOGIN_TEXT" d="Enter the login name into \"Login\" and password into the \"Password\" fields respectively. Then click \"Login\"."}
{t c="TRANS_YOU_MUST_CONFIGURE_PLESK_BEFORE_USING_MODERNBILL" d="You must configure Plesk before using Plesk Billing."}

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-basic.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$htmlLang}" lang="{$htmlLang}" dir="{$smarty.const.TRANS_TEXTDIRECTION}">
<head>
<title>ModernBill Billing Software .:. {$smarty.const.TRANS_ADMINISTRATIVE_LOGIN}</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta name="copyright" content="2006, ModernGigabyte, LLC" />
<meta name="description" content="{$appParentName} {$appParentVersion}-{$appParentBuild} {$appCurrentName}-{$appCurrentVersion}" />

<link href="{$cssDirectory}/style.css" rel="stylesheet" type="text/css" />
<script language="javascript" type="text/javascript" src="{$jsDirectory}/clearform.js"></script>
</head>
<body>
<table border="0" cellspacing="0" cellpadding="0" class="top">
	<tr>
		<td class="TopLeftLogo"><img src="{$imageDirectory}/logos/PPBLogo.gif" width="210" height="48" alt="Your Logo" title="Your Logo"/></td>
		<td class="TopTextBlock"><div class="loginInfo"><a target="_blank" href="http://www.parallels.com">&copy; Copyright 1999-2008, Parallels<br />All rights reserved</div></td>
		<td class="TopRightLogo"><a target="_blank" href="http://www.parallels.com"><img src="{$imageDirectory}/logos/ParallelsLogo.gif" width="170" height="48" alt="Parallels" title="Parallels"/></a></td>
	</tr>
</table>
<div class="login-div">

{if $redirectToPlesk}

	<div style="text-align: center;">
		{$smarty.const.TRANS_YOU_MUST_CONFIGURE_PLESK_BEFORE_USING_MODERNBILL}
		<br /><input type="button" class="button" value="Continue To Plesk" onclick="document.location.href='https://{$serverName}:8443';">
	</div>

{else}

		<form name="login" method="post" action="login.php">
		{if ($redirectActionID && $redirectActionFile)}
		<input type="hidden" name="redirectActionID" value="{$redirectActionID}" />
		<input type="hidden" name="redirectActionFile" value="{$redirectActionFile}" />
		<input type="hidden" name="redirectArgs" value="{$redirectActionArgs}" />
		{/if}
		<input type="hidden" name="action" value="{getActionID action="LoginResponse"}" />
		<center>
		{assign var="msg" value=$smarty.request.msg}
		{if $msg}<div class="error-box"><div>{$smarty.const.$msg}</div></div>{/if}
			<table border="0" cellspacing="0" cellpadding="0" class="login" align="center">
				<tr>
					<td class="loginTitle">
					{$smarty.const.TRANS_ADMINISTRATIVE_LOGIN}
					</td>
				</tr>
				<tr>
					<td>
						<div class="login02">
							<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="login04">
							<tr>
								<td colspan="2">
							{$smarty.const.TRANS_IP_LOGGING_ENABLED}: {$userIP}
								</td>
							</tr>
							<tr>
								<td colspan="2">
							{$smarty.const.TRANS_LOGIN_TEXT}
								</td>
							</tr>
							<tr>
								<td>{$smarty.const.TRANS_USERNAME}:</td>
								<td><input name="adminUsername" type="text" value="" /></td>
							</tr>
							<tr>
								<td>{$smarty.const.TRANS_PASSWORD}:</td>
								<td><input name="adminPassword" type="password" value="" /></td>
							</tr>
							<tr>
								<td><a href="{getHREF page="login.php" actionName="ShowForgottenPassword"}">{$smarty.const.TRANS_FORGOT_YOUR_PASSWORD}?</a></td>
								<td class="loginbutton"><div class="rm_login"><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_LOGIN}" /></div></td>
							</tr>
							</table>
						</div>
					</td>
				</tr>
			</table>
		</center>
		</form>
{/if}
</div>
</body>
</html>