{t c="TRANS_MANAGE_MIGRATIONS" d="Manage Migrations"}
{t c="TRANS_INTRODUCTION" d="Introduction"}

{t c="TRANS_ASSOCIATE_IDS" d="Associate IDs"}

{t c="TRANS_LEK_OR_PASSPHRASE" d="LEK PIN or encryption passphrase"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_MIGRATION"
	childName="TRANS_ASSOCIATE_IDS"
	sideNavMajor="system"
	sideNavMinor="migrate"}
	
	<form method="post" action="migrate.php">
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" name="action" value="{getActionID action="MigrateConfigAssociateResponse"}" />
	<input type="hidden" name="migrationConfigID" value="{$migrationConfig.migrationConfigID}" />

	<fieldset>
	<legend>{$smarty.const.TRANS_ASSOCIATE_IDS}</legend>
	
	<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
	<tbody>

	{if !$migrateProducts}
	<tr>
		<td class="title"><label for="products">{$smarty.const.TRANS_PRODUCTS}</label></td>
	 	<td>
			<table border="0" cellpadding="0" cellspacing="3" class="list">
				<tr class="headerRow">
					<td>{$smarty.const.TRANS_FROM}</td>
					<td>{$smarty.const.TRANS_TO}</td>
				</tr>
				<tbody>
					{foreach from=$productOptions key="productID" item="productName"}
						{if $productID == 1}
							{assign var="limitedToProductOptions" value=$toDomainProductOptions}
						{else}
							{assign var="limitedToProductOptions" value=$toProductOptions}
						{/if}
						<tr>
							<td class="title">[{$productID}] {$productName}</td>
							<td>
								<select name="product:{$productID}" id="products">
									{foreach from=$limitedToProductOptions key="toProductID" item="toProductName"}
										<option value="{$toProductID}" {if $toProductID == $selectedProducts.$productID}selected="selected" {/if}>[{$toProductID}] {$toProductName}</option>
									{/foreach}
								</select>
							</td>
						</tr>
					{foreachelse}
						<tr><td>{$smarty.const.TRANS_NONE}</td></tr>
					{/foreach}
				</tbody>
			</table>
		</td>
	</tr>
	{/if}
	<tr>
		<td class="title"><label for="panels">{$smarty.const.TRANS_PANELS}</label></td>
	 	<td>
			<table border="0" cellpadding="0" cellspacing="0" class="list">
				<tr class="headerRow">
					<td>{$smarty.const.TRANS_FROM}</td>
					<td>{$smarty.const.TRANS_TO}</td>
				</tr>
				<tbody>
					{foreach from=$panelOptions key="panelID" item="panelName"}
						<tr>
							<td class="title">{$panelName}</td>
							<td>
								<select name="panel:{$panelID}" id="panels">
									{foreach from=$toPanelOptions key="toPanelID" item="toPanelName"}
										<option value="{$toPanelID}">[{$toPanelID}] {$toPanelName}</option>
									{/foreach}
								</select>
							</td>
						</tr>
					{foreachelse}
						<tr><td>{$smarty.const.TRANS_NONE}</td></tr>
					{/foreach}
				</tbody>
			</table>
		</td>
	</tr>
	<tr>
		<td class="title"><label for="registrars">{$smarty.const.TRANS_REGISTRARS}</label></td>
	 	<td>
			<table border="0" cellpadding="0" cellspacing="0" class="list">
				<tr class="headerRow">
					<td>{$smarty.const.TRANS_FROM}</td>
					<td>{$smarty.const.TRANS_TO}</td>
				</tr>
				<tbody>
					{foreach from=$registrarOptions key="registrarID" item="registrarName"}
						<tr>
							<td class="title">[{$registrarID}] {$registrarName}</td>
							<td>
								<select name="registrar:{$registrarID}" id="registrars">
									{foreach from=$toRegistrarOptions key="toRegistrarID" item="toRegistrarName"}
										<option value="{$toRegistrarID}">[{$toRegistrarID}] {$toRegistrarName}</option>
									{/foreach}
								</select>
							</td>
						</tr>
					{foreachelse}
						<tr><td>{$smarty.const.TRANS_NONE}</td></tr>
					{/foreach}
				</tbody>
			</table>
		</td>
	</tr>
	
	<tr>
		<td class="title"><label for="lek_passphrase">{$smarty.const.TRANS_LEK_OR_PASSPHRASE}</label></td>
	 	<td>
			<input type="text" size="50" id="lek_passphrase" name="lek_passphrase" value="" />
		</td>
	</tr>
	<tr class="listButtons">
		<td colspan="2"><div>
		<input type="submit" class="submit" value="{$smarty.const.TRANS_ASSOCIATE_IDS}" />
		</div></td>
	</tr>
	</tbody>
	</table>
</fieldset>
	
	
	</form>
{include file="$tplDirectory/footer.tpl"}
