
{t c="TRANS_MORE_STEPS" d="more steps"}
{t c="TRANS_MIGRATION_ACTION" d="Migration Action"}
{t c="TRANS_NUM_CLIENTS_PER_STEP" d="Clients Per Step"}
{t c="TRANS_MIGRATION_NUM_STEPS" d="Number of steps"}
{t c="TRANS_MIGRATE" d="Migrate"}
{t c="TRANS_DEMIGRATE" d="Demigrate"}
{t c="TRANS_CONTROL" d="Control"}
{t c="TRANS_START" d="Start"}
{t c="TRANS_PERFORM_MIGRATION_TASKS" d="Perform Migration Tasks"}
{t c="TRANS_RUN_MIGRATION" d="Run Migration"}
{t c="TRANS_ALL" d="All"}
{t c="TRANS_MIGRATION_PROGRESS" d="Migration Progress"}
{t c="TRANS_ESTIMATED_TIME_LEFT" d="Estimated Time Left"}
{t c="TRANS_TOTAL_TIME" d="Total Time"}
{t c="TRANS_RUN_MODULE_MIGRATION" d="Run Module Migration"}
{t c="TRANS_NUM_MODULES_PER_STEP" d="Number of Modules Per Step"}
{t c="TRANS_SHOW_HIDE_DEBUG_INFORMATION" d="Show/Hide Debug Info"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_MIGRATION"
	childName="TRANS_PERFORM_MIGRATION_TASKS"
	grandchildName="TRANS_RUN_MODULE_MIGRATION"
	sideNavMajor="system"
	sideNavMinor="migrate"}



<script language="javascript">
<!--

var migrationProcessURL = "migrate.php?sid={$sid}&action={getActionID action="MigrateModuleProcess"}&migrationConfigID={$migrationConfigID}";
var forwardMigrationProcessURL = "migrate.php?sid={$sid}&action={getActionID action="MigrateProductManager"}&migrationConfigID={$migrationConfigID}";
var migrationDeprocessURL = "migrate.php?sid={$sid}&action={getActionID action="MigrateModuleDeprocess"}&migrationConfigID={$migrationConfigID}";
var containerWidth = parseInt('{$containerWidth}');

var totalToDo = '{$totalModules}';

{literal}

var keepGoing = false;
var totalExecutionTime = 0;
var totalTime = 0;
var intervalHolder = false;
var numDone = 0;
var numDoneAdjust = 0;

function getRadioValue(f, name){
	for (i=0; i<f.elements.length; i++){
		if (f.elements[i].name==name && f.elements[i].checked){
			return f.elements[i].value;
		}
	}
}

function getCurrentSeconds(){
	var d = new Date();
	return d.formatDate("U");
}

function updateTimes(){
	totalTime++;
	updateTotalTime(totalTime);

	var t = parseInt(totalToDo);
	var leftToDo = totalToDo-numDone;
	var d = numDone-numDoneAdjust;
	if (d>0){
		var pers = d/totalTime;

		timeLeft = leftToDo/pers;

		updateEstimatedTime(Math.floor(timeLeft));
		updateModulesPerSecond(pers.toFixed(3));
	}
}

function updateTotalTime(time){
	document.getElementById('totalTimeSpan').innerHTML = makeDisplayTime(time);	
}

function updateEstimatedTime(time){
	document.getElementById('estimatedTimeSpan').innerHTML = makeDisplayTime(time);	
}

function updateModulesPerSecond(perSec){
	document.getElementById('perSec').innerHTML = " ("+perSec+"/sec)";	
}

function makeDisplayTime(stamp){
	var seconds = stamp%60;
	var minutes = Math.floor((stamp/60)%60);
	var hours = Math.floor((stamp/(60*60))%24);
	var days = Math.floor((stamp/(60*60*24))*1);
	return days+":"+paddTwo(hours)+":"+paddTwo(minutes)+":"+paddTwo(seconds);
}

function paddTwo(num){
	if (num<10){
		return "0"+num;
	} else {
		return ""+num;
	}
}

function getMigrationSettings(){
	var f = document.migrationSettings;
	
	var ret = new Array();
	ret["ModulesPerStep"] = parseInt(f.numModulesPerStep.value);
	ret["action"] = getRadioValue(f, "migrationAction");
	ret["steps"] = getRadioValue(f, "migrationSteps");
	ret["numSteps"] = f.numSteps.value;
	ret["migratorID"] = f.migratorID.value;
	
	return ret;
}

function migrationStart(){
	var settings = getMigrationSettings();
	keepGoing = true;
	intervalHolder = setInterval("updateTimes();", 1000);
	if (settings['action']=="migrate"){
		runMigrationLoad();
	} else {
		//runDemigrationLoad();
	}
}

function migrationStop(){
	keepGoing = false;
}

function runMigrationLoad(){
	if (keepGoing==true){
		disableStartFormElements();
		var settings = getMigrationSettings();
		if (settings['steps']=="all"){
			document.getElementById('migrationStatusWindow').src = migrationProcessURL+"&moduleProcessStep="+settings['modulesPerStep']+"&migratorID="+settings['migratorID']+"&"+Math.random();
		} else {
			if (settings['numSteps']<1){
				enableStartFormElements();
			} else {
				document.migrationSettings.numSteps.value = document.migrationSettings.numSteps.value-1;
				document.getElementById('migrationStatusWindow').src = migrationProcessURL+"&moduleProcessStep="+settings['modulesPerStep']+"&migratorID="+settings['migratorID']+"&"+Math.random();
			}
		}
	} else {
		enableStartFormElements();
	}
}

function runForward(){
	document.location.href = forwardMigrationProcessURL;
}

/*
function runDemigrationLoad(){
	if (keepGoing==true){
		disableStartFormElements();
		var settings = getMigrationSettings();
		if (settings['steps']=="all"){
			document.getElementById('migrationStatusWindow').src = migrationDeprocessURL+"&clientProcessStep="+settings['clientsPerStep']+"&"+Math.random();
		} else {
			if (settings['numSteps']<1){
				enableStartFormElements();
			} else {
				document.migrationSettings.numSteps.value = document.migrationSettings.numSteps.value-1;
				document.getElementById('migrationStatusWindow').src = migrationDeprocessURL+"&clientProcessStep="+settings['clientsPerStep']+"&"+Math.random();
			}
		}
	} else {
		enableStartFormElements();
	}
}
*/
function enableStartFormElements(){
	clearInterval(intervalHolder);
	f = document.migrationSettings;
	for (i=0;i<f.elements.length; i++){
		f.elements[i].disabled = false;
	}
	f.controlStop.disabled = true;
}

function disableStartFormElements(){
	f = document.migrationSettings;
	for (i=0;i<f.elements.length; i++){
		f.elements[i].disabled = true;
	}
	f.controlStop.disabled = false;
}

function updateNumModules(done){
	var t = parseInt(totalToDo);
	var d = parseInt(done);
	if (d<1)d=0;
	numDone = d;
	if (numDoneAdjust==0){
		numDoneAdjust = numDone;
	}
	if (t<1){
		updateProgressBarSize(0);
	} else {
		var percentage = d/t;
		if (percentage<0.00001)percentage = 0;
		var udw = percentage*containerWidth;
		percentage = percentage*100;
		if(percentage > 50) {
			updateProgressBarLeftPercentage(percentage.toFixed(2)+"%");
			updateProgressBarRightPercentage("");
		} else {
			updateProgressBarLeftPercentage("");
			updateProgressBarRightPercentage(percentage.toFixed(2)+"%");
		}
		updateProgressBarSize(""+udw);
	}
}

function updateProgressBarSize(size){
	document.getElementById('modulesProgressBarParent').style.width = (parseInt(size)+10)+"px";
	document.getElementById('modulesProgressBar').style.width = parseInt(size)+"px";
}

function updateProgressBarRightPercentage(value){
	document.getElementById('modulesProgressBarRightPercentage').innerHTML = value;
}

function updateProgressBarLeftPercentage(value){
	document.getElementById('modulesProgressBarLeftPercentage').innerHTML = value;
}


function toggleMDebug(){
	if ($('migrationStatusWindow').style.display=="none"){
		$('migrationStatusWindow').style.display = 'block';
	} else {
		$('migrationStatusWindow').style.display = 'none';
	}
}



{/literal}

{if $percentage>50}
	{assign var="leftPercentage" value=$percentage}
{else}
	{assign var="rightPercentage" value=$percentage}
{/if}

// -->
</script>

<form name="migrationSettings" onsubmit="return false;">
<fieldset>
<legend><span id="titleHeader">{$smarty.const.TRANS_PERFORM_MIGRATION_TASKS}</span></legend>

<table border="0" width="100%" class="list">

	<tr>
		<td class="title">{$smarty.const.TRANS_MIGRATION_ACTION}: </td>
		<td><input type="radio" value="migrate" name="migrationAction" checked="checked" /> {$smarty.const.TRANS_MIGRATE} {*&nbsp;&nbsp;&nbsp; <input type="radio" name="migrationAction" value="demigrate" /> {$smarty.const.TRANS_DEMIGRATE}*}
		</td>
	</tr>

	<tr>
		<td class="title">{$smarty.const.TRANS_NUM_MODULES_PER_STEP}: </td>
		<td><input type="text" size="5" value="5" name="numModulesPerStep" /></td>
	</tr>

	<tr>
		<td class="title">{$smarty.const.TRANS_MIGRATION_NUM_STEPS}: </td>
		<td><input type="radio" value="all" name="migrationSteps" checked="checked" /> {$smarty.const.TRANS_ALL} &nbsp;&nbsp;&nbsp; <input type="radio" name="migrationSteps" value="set" /> <input type="text" size="5" name="numSteps" value="10" /> {$smarty.const.TRANS_MORE_STEPS}</td>
	</tr>

{if $distributionMetrics.1}
	<tr>
		<td class="title">{$smarty.const.TRANS_MIGRATOR_ID}: </td>
		<td><select name="migratorID">
			{html_options options=$distributionMetrics}
		</select></td>
	</tr>
{else}
	<input type="hidden" name="migratorID" value="0" />
{/if}

	<tr>
		<td class="title">{$smarty.const.TRANS_CONTROL}:</td>
		<td><input type="button" name="controlStart" value="{$smarty.const.TRANS_START}" onclick="migrationStart();" /> <input type="button" name="controlStop" value="{$smarty.const.TRANS_STOP}" disabled="disabled" onclick="migrationStop();" />
		</td>
	</tr>
</table>
<table width="100%" border="0" class="list">
	<tr>
		<td colspan="2">
		<span id="timeSpan" style="float: right;">{$smarty.const.TRANS_TOTAL_TIME}: <span id="totalTimeSpan" style="font-weight: bold;">--:--:--:--</span> ,{$smarty.const.TRANS_ESTIMATED_TIME_LEFT}: <span id="estimatedTimeSpan" style="font-weight: bold;">--:--:--:--</span> <span id="perSec"></span></span>
		<strong>{$smarty.const.TRANS_MIGRATION_PROGRESS}</strong> &nbsp;
		<a href="javascript:toggleMDebug();">[{$smarty.const.TRANS_SHOW_HIDE_DEBUG_INFORMATION}]</a>
		<br />
		{include file="$tplDirectory/widgets/progressBar.tpl"
		      tdid="modulesProgressBar"
		      containerWidth=$containerWidth
		      containerColor="#cccccc"
		      barWidth=$barWidth
		      rightPercentage=$rightPercentage
		      leftPercentage=$leftPercentage
		      rightPercentageColor="#000000"
		      leftPercentageColor="#ffffff"
		      }

		
		</td>
	</tr>

</table>
</fieldset>

<iframe style="display: none;" src="blank.php" height="300" width="100%" name="migrationStatusWindow" id="migrationStatusWindow"></iframe>





{include file="$tplDirectory/footer.tpl"}
