{* $Id: ChargeVirtualTerminal.tpl 12036 2007-10-05 15:51:56Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of paymentgroups.
 *
 * Smarty Variables:
 *	$paymentgroups (array of paymentgroups that match criteria)
 *
 *}
{t c="TRANS_PAYMENTGROUPID" d="Payment Group ID"}
{t c="TRANS_PAYMENTGROUPNAME" d="Payment Group Name"}
{t c="TRANS_PAYMENTGROUPCURRENCY" d="Payment Group Currency"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_PRIMARYGATEWAY" d="Primary Gateway"}
{t c="TRANS_SECONDARYGATEWAY" d="Secondary Gateway"}
{t c="TRANS_NOGATEWAYS" d="No Gateways for this Payment Group. Edit the Payment Group to Add a Gateway."}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_MERGE" d="Merge"}
{t c="TRANS_MANAGE_PAYMENTGROUPS" d="Manage Payment Groups"}
{t c="TRANS_SHOW_PAYMENTGROUPS" d="Show Payment Groups"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_ADD_PAYMENT_GROUP" d="Add Payment Group"}
{t c="TRANS_CHOOSE_GATEWAY" d="Choose Gateway"}
{t c="TRANS_VIRTUAL_TERMINALS" d="Virtual Terminals"}
{t c="TRANS_INVOICE_AMOUNT_PAID" d="Amount Paid"}
{t c="TRANS_CREATE_INCOME_ACCOUNTING_ENTRIES" d="Create Income Accounting Entries"}
{t c="TRANS_CUSTOMER_FIRST_NAME" d="First Name"}
{t c="TRANS_CUSTOMER_LAST_NAME" d="Last Name"}
{t c="TRANS_CUSTOMER_ADDRESS" d="Address"}
{t c="TRANS_CUSTOMER_ADDRESS2" d="Suite"}
{t c="TRANS_CUSTOMER_CITY" d="City"}
{t c="TRANS_CUSTOMER_STATE" d="State"}
{t c="TRANS_CUSTOMER_ZIP" d="Zip"}
{t c="TRANS_CUSTOMER_PHONE" d="Phone"}
{t c="TRANS_CUSTOMER_FAX" d="Fax"}
{t c="TRANS_PAYMENT_INFORMATION" d="Payment Information"}

{t c="TRANS_PAYMENT_TYPE" d="Payment Type"}
{t c="TRANS_CHARGE_ACTION" d="Charge Action"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_VIRTUAL_TERMINALS"
	childName="TRANS_CHOOSE_GATEWAY"
	sideNavMajor="system"
	parentConfigGroupID=0}


{assign var="formName" value="chargeForm"}

<form method="post" name="{$formName}" action="paymentgroups.php">
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="ChargeVirtualTerminalResponse"}" />
<input type="hidden" name="invoiceID" value="{$invoiceInfo.invoiceID}" />
<input type="hidden" name="gateway" value="{$gatewayInfo.configGroupID}" />
<input type="hidden" name="doaccounting" value="{$doaccounting}" />

<fieldset>
<legend>{$smarty.const.TRANS_PAYMENT_INFORMATION}</legend>

<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">

{if $errorMessage}
	<tr class="highlight">
		<td colspan="2" align="center">{$smarty.const.$errorMessage|default:$errorMessage}</td>
	</tr>
{/if}

{if $invoiceInfo.invoiceID}
	<tr>
		<td class="title">{$smarty.const.TRANS_INVOICE_NUMBER}</td>
		<td>{$invoiceInfo.invoiceNumber}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_CLIENT}</td>
		<td><a href="clients.php?clientID={$clientInfo.clientID}&action={getActionID action="ShowClientDetails"}&sid={$sid}">{$clientInfo.contactFirstName} {$clientInfo.contactLastName}</a></td>
	</tr>

{* ****************** *}
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_FIRST_NAME} </td>
			<td><input type="text" name="contactFirstName" value="{$formValues.contactFirstName}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_LAST_NAME} </td>
			<td><input type="text" name="contactLastName" value="{$formValues.contactLastName}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_EMAIL} </td>
			<td><input type="text" name="contactEmail" value="{$formValues.contactEmail}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_ADDRESS} </td>
			<td><input type="text" name="contactAddress1" value="{$formValues.contactAddress1}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_ADDRESS2} </td>
			<td><input type="text" name="contactAddress2" value="{$formValues.contactAddress2}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_CITY} </td>
			<td><input type="text" name="contactCity" value="{$formValues.contactCity}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_STATE} </td>
			<td><input type="text" name="contactState" value="{$formValues.contactState}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_ZIP} </td>
			<td><input type="text" name="contactZip" value="{$formValues.contactZip}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_COUNTRY} </td>
			<td><select id="countriesID" name="countriesID"> {html_options options=$countryList selected=$formValues.countriesID} </select></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_PHONE} </td>
			<td><input type="text" name="contactPhone" value="{$formValues.contactPhone}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_FAX} </td>
			<td><input type="text" name="contactFax" value="{$formValues.contactFax}" /></td>
		</tr>

	{assign var="lineItems" value=$invoiceInfo.lineItems}

					<tr>
						<td class="title">{$smarty.const.TRANS_APPLY_MANUAL_PAYMENT_TO}</td>
						<td><input type="radio" name="applyPaymentTo" {if $formValues.applyPaymentTo!="lineitems"}checked="checked"{/if} value="invoice" onmouseup="XKtoggleOff('{$formName}_lineitems');XKtoggleOn('{$formName}_amount');" /> {$smarty.const.TRANS_MANUAL_PAYMENT_ENTIRE_INVOICE} &nbsp;&nbsp;&nbsp;
						<input type="radio" name="applyPaymentTo" {if $formValues.applyPaymentTo=="lineitems"}checked="checked"{/if} value="lineitems" onmouseup="XKtoggleOn('{$formName}_lineitems');XKtoggleOff('{$formName}_amount');" /> {$smarty.const.TRANS_MANUAL_PAYMENT_SELECTED_LINEITEMS}</td>
					</tr>
					<tbody id='{$formName}_lineitems' {if $formValues.applyPaymentTo!="lineitems"}class='off'{/if}>
					<tr>
						<td class="title">{$smarty.const.TRANS_LINE_ITEMS}</td>
						<td>
							<table cellpadding="3" cellspacing="2" class="ledger" border="0">
								<tr>
										<th class="green" > {$smarty.const.TRANS_PACKAGE_ID} </td>
										<th class="green" > {$smarty.const.TRANS_DESCRIPTION} </td>
										<th class="green" > {$smarty.const.TRANS_LINE_ITEM_BALANCE} </td>
										<th > {$smarty.const.TRANS_AMOUNT_TO_PAY} </td>
								</tr>
						{section name="j" loop=$lineItems}
								{assign var="iter" value=$smarty.section.j.index}
									<tr class="{if $didfirst==''}{assign var="didfirst" value="yes"} total{/if}">
								{if $lineItems[j].packageAddonID>0}
										<td style="white-space: nowrap;" valign="top">{$smarty.const.TRANS_ADDON_PREFIX}{$lineItems[j].packageAddonID}</td>
								{else}
										<td valign="top">{$lineItems[j].packageID}</td>
								{/if}
										<td valign="top">{$lineItems[j].lineItemDescription}</td>
										{assign var="liAmountDue" value=$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemPaymentAmount}
										<td align="right" valign="top">{$liAmountDue|getAmount:$currencyID|escape:html}</td>
										<td valign="top"><input type=text onkeyup="document.getElementById('{$formName}_totaldiv').innerHTML=XKformatNumber('{$currencyID} {$javascript_pattern_currency}', XKgetFormFieldTotals(document.{$formName}, 'lineItemPayments'), '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" onblur="this.value=XKformatNumber('{$currencyID} {$javascript_pattern_currency}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" size="13" name="lineItemPayments[{$lineItems[j].lineItemID}]" value="{$formValues.lineItemPayments.$iter|getAmount:$currencyID}" /></td>
								</tr>
						{/section}
								<tr class="total">
										<td> </td>
										<td> </td>
										<td align="right"> <strong>{$smarty.const.TRANS_LINEITEM_ADDUP_TOTAL}: </strong></td>
										<td><div id="{$formName}_totaldiv"> </div> </td>
								</tr>
							</table>
						</td>
					</tr>
					</tbody>
					<tbody id='{$formName}_amount' {if $formValues.applyPaymentTo=="lineitems"}class='off'{/if}>
					<tr>
						<td class="title"> {$smarty.const.TRANS_QUICKPAYMENT_INVOICE_AMOUNT} </td>
						<td>
							<input type="text" onblur="this.value=XKformatNumber('{$currencyID} {$javascript_pattern_currency}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" name="paymentAmount" size="25" value="{$formValues.paymentAmount|getAmount:$currencyID}" />
						</td>
					</tr>
					</tbody>

{* ****************** *}

{else}
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_FIRST_NAME} </td>
			<td><input type="text" name="contactFirstName" value="{$formValues.contactFirstName}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_LAST_NAME} </td>
			<td><input type="text" name="contactLastName" value="{$formValues.contactLastName}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_EMAIL} </td>
			<td><input type="text" name="contactEmail" value="{$formValues.contactEmail}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_ADDRESS} </td>
			<td><input type="text" name="contactAddress1" value="{$formValues.contactAddress1}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_ADDRESS2} </td>
			<td><input type="text" name="contactAddress2" value="{$formValues.contactAddress2}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_CITY} </td>
			<td><input type="text" name="contactCity" value="{$formValues.contactCity}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_STATE} </td>
			<td><input type="text" name="contactState" value="{$formValues.contactState}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_ZIP} </td>
			<td><input type="text" name="contactZip" value="{$formValues.contactZip}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_COUNTRY} </td>
			<td><select id="countriesID" name="countriesID"> {html_options options=$countryList selected=$formValues.countriesID} </select></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_PHONE} </td>
			<td><input type="text" name="contactPhone" value="{$formValues.contactPhone}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_CUSTOMER_FAX} </td>
			<td><input type="text" name="contactFax" value="{$formValues.contactFax}" /></td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_QUICKPAYMENT_INVOICE_AMOUNT} </td>
			<td>
				<input type="text" onblur="this.value=XKformatNumber('{$currencyID} {$javascript_pattern_currency}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" name="paymentAmount" size="25" value="{$formValues.paymentAmount|getAmount:$currencyID}" />
			</td>
		</tr>
{/if}

		<tr>
			<td class="title"> {$smarty.const.TRANS_QUICKPAYMENT_COMMENTS} </td>
			<td>
				<input type="text" name="paymentComments" size="25" value="{$formValues.paymentComments}" />
			</td>
		</tr>



{* ************ charge stuff ************ *}

					<tr>
						<td class="title">{$smarty.const.TRANS_PAYMENT_TYPE}</td>
						<td><input type="radio" name="paymentMethod" {if $formValues.paymentMethod!="echeck"}checked="checked"{/if} value="card" onclick="XKtoggleOff('{$formName}_echeck');XKtoggleOn('{$formName}_card');" /> {$smarty.const.TRANS_CREDIT_CARD} &nbsp;&nbsp;&nbsp;
						<input type="radio" name="paymentMethod" {if $formValues.paymentMethod=="echeck"}checked="checked"{/if} value="echeck" onclick="XKtoggleOn('{$formName}_echeck');XKtoggleOff('{$formName}_card');" /> {$smarty.const.TRANS_ECHECK}</td>
					</tr>
					<tbody id='{$formName}_card' {if $formValues.paymentMethod!="card"}class="off"{/if}>
					
					<tr>
						<td class="title">{$smarty.const.TRANS_CHARGE_ACTION}</td>
						<td>
							<select name="transactionAction">
								{html_options options=$transactionAction selected=$selectedTransactionAction}
							</select>
						</td>
					</tr>
					<tr>
						<td class="title">{$smarty.const.TRANS_CREDIT_CARD}</td>
						<td>
							<table width="100%" class="list">
								<tbody>
									<tr>
										<td colspan="2">{$smarty.const.TRANS_ORDERFORM_NAME_ON_CARD}<br /><input name="billingCardNameOnCard" value="{$formValues.billingCardNameOnCard}"{if $invalidFields.billingCardNameOnCard==1} class="formFieldHighlight"{/if} style="width: 150px;" type="text"></td>
										<td>{$smarty.const.TRANS_ORDERFORM_CC_TYPE}<br />
											<select id="billingCardType" style="width: 100px;" name="billingCardType">
												{html_options options=$cardTypes selected=$billingCardType}
											</select></td>
									</tr>
									<tr>
										<td>{$smarty.const.TRANS_ORDERFORM_CC_NUMBER}<br /><input name="billingCardNum" value="{$formValues.billingCardNum}"{if $invalidFields.billingCardNum==1} class="formFieldHighlight"{/if} onkeyup="this.value=XKfilterString(this.value, '0123456789');" type="text"></td>
										<td>{$smarty.const.TRANS_ORDERFORM_CC_EXP_DATE}<br />
											<select name="billingCardExpMonth" style="width: 40px;">
											{html_options options=$billingCardExpMonth selected=$formValues.billingCardExpMonth}
											</select>
											<select name="billingCardExpYear" style="width: 60px;">
											{html_options options=$billingCardExpYear selected=$formValues.billingCardExpYear}
											</select>
										</td>
										<td><a href="" title="{$smarty.const.TRANS_ORDERFORM_WHATS_THIS}">{$smarty.const.TRANS_ORDERFORM_CC_CVV2}</a><br />
											<input name="cardCVV2" value="{$formValues.cardCVV2}" style="width: 50px;" type="text"></td>
									</tr>
								</tbody>
								<tr>
									<td>
										{$smarty.const.TRANS_CARD_ISSUE_NUMBER}<br />
										<input type="text" size="10" name="billingCardIssueNum" value="{$formValues.billingCardIssueNum}" />
									</td>
									<td colspan="2">
										{$smarty.const.TRANS_CARD_START_DATE}<br />
										<input type="text" size="10" name="billingCardStartDate" value="{$formValues.billingCardStartDate}" />
									</td>
								</tr>
							</table>
						</td>
					</tr>
					</tbody>
					<tbody id='{$formName}_echeck' {if $formValues.paymentMethod=="card"}class="off"{/if}>
					<tr>
						<td class="title"> {$smarty.const.TRANS_ECHECK} </td>
						<td>
							<table width="100%" class="list">
								<tbody>
									<tr>
										<td>{$smarty.const.TRANS_BANK_NAME}<br /><input name="billingBankName" value="{$formValues.billingBankName}"{if $invalidFields.billingBankName==1} class="formFieldHighlight"{/if} style="width: 100px;" type="text"></td>
										<td>{$smarty.const.TRANS_BANK_STATE}<br /><input name="billingBankState" value="{$formValues.billingBankState}"{if $invalidFields.billingBankState==1} class="formFieldHighlight"{/if} style="width: 70px;" type="text" value="{$clientInfo.contactState}"></td>
										<td>{$smarty.const.TRANS_TYPE}<br />
											<select style="width: 120px;" id="billingCardType" name="billingBankType">
												{html_options options=$accounttypes selected=$formValues.billingBankType}
											</select>
										</td>
									</tr>
									<tr>
										<td>{$smarty.const.TRANS_ROUTING_NUMBER}<br /><span style="white-space: nowrap;"><img src="{$orderThemeDirectory}/images/checkfirst.gif" /><input name="billingBankAbaCode" value="{$formValues.billingBankAbaCode}" style="width: 100px;" type="text"><img src="{$orderThemeDirectory}/images/checkfirst.gif" /></span></td>
										<td colspan="2">{$smarty.const.TRANS_ACCOUNT_NUMBER}<br /><span style="white-space: nowrap;"><input name="billingBankAccountNum" value="{$formValues.billingBankAccountNum}" style="width: 90px;" type="text"><img src="{$orderThemeDirectory}/images/checksecond.gif" /></span></td>
									</tr>
									<tr>
										<td>{$smarty.const.TRANS_LICENSE_NUMBER}<br /><input name="billingBankLicenseNum" value="{$formValues.billingBankLicenseNum}" style="width: 60px;" type="text"></td>
										<td>{$smarty.const.TRANS_LICENSE_STATE}<br /><input name="billingBankLicenseState" value="{$formValues.billingBankLicenseState}" style="width: 70px;" type="text" value="{$formValues.billingBankLicenseState}"></td>
										<td>{$smarty.const.TRANS_DOB}<br /><input name="billingBankDob" value="{$formValues.billingBankDob}" style="width: 60px;" type="text"> {$smarty.const.TRANS_EXAMPLE}: {$smarty.now|date_format:"%d-%m-%Y"}
										</td>
									</tr>
								</tbody>
							</table>
						</td>
					</tr>
					</tbody>

{* ************************** *}







	<tr class="listButtons">
		<td colspan="2"><div>
			<input class="submit" type="submit" value="{$smarty.const.TRANS_CHARGE}" />
		</div></td>
	</tr>

</table>
</fieldset>
</form>

{include file="$tplDirectory/footer.tpl"}
