{* $Id: ChargeVirtualTerminalResponse.tpl 7869 2006-07-03 22:31:30Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of paymentgroups.
 *
 * Smarty Variables:
 *	$paymentgroups (array of paymentgroups that match criteria)
 *
 *}
{t c="TRANS_PAYMENTGROUPID" d="Payment Group ID"}
{t c="TRANS_PAYMENTGROUPNAME" d="Payment Group Name"}
{t c="TRANS_PAYMENTGROUPCURRENCY" d="Payment Group Currency"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_PRIMARYGATEWAY" d="Primary Gateway"}
{t c="TRANS_SECONDARYGATEWAY" d="Secondary Gateway"}
{t c="TRANS_NOGATEWAYS" d="No Gateways for this Payment Group. Edit the Payment Group to Add a Gateway."}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_MERGE" d="Merge"}
{t c="TRANS_MANAGE_PAYMENTGROUPS" d="Manage Payment Groups"}
{t c="TRANS_SHOW_PAYMENTGROUPS" d="Show Payment Groups"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_ADD_PAYMENT_GROUP" d="Add Payment Group"}
{t c="TRANS_CHOOSE_GATEWAY" d="Choose Gateway"}
{t c="TRANS_VIRTUAL_TERMINALS" d="Virtual Terminals"}
{t c="TRANS_INVOICE_AMOUNT_PAID" d="Amount Paid"}
{t c="TRANS_CREATE_INCOME_ACCOUNTING_ENTRIES" d="Create Income Accounting Entries"}
{t c="TRANS_CUSTOMER_FIRST_NAME" d="First Name"}
{t c="TRANS_CUSTOMER_LAST_NAME" d="Last Name"}
{t c="TRANS_CUSTOMER_ADDRESS" d="Address"}
{t c="TRANS_CUSTOMER_CITY" d="City"}
{t c="TRANS_CUSTOMER_STATE" d="State"}
{t c="TRANS_CUSTOMER_ZIP" d="Zip"}
{t c="TRANS_CUSTOMER_PHONE" d="Phone"}
{t c="TRANS_CUSTOMER_FAX" d="Fax"}
{t c="TRANS_PAYMENT_INFORMATION" d="Payment Information"}
{t c="TRANS_CHARGE_SUCCESSFUL" d="Charge Successful"}
{t c="TRANS_SUCCESSFUL" d="Successful"}
{t c="TRANS_AUTHORIZATION_CODE" d="Authorization Code"}
{t c="TRANS_TRANSACTION_MESSAGE" d="Transaction Message"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_VIRTUAL_TERMINALS"
	childName="TRANS_CHOOSE_GATEWAY"
	sideNavMajor="system"
	parentConfigGroupID=0}

<fieldset>
<legend>{$smarty.const.TRANS_CHARGE_SUCCESSFUL}</legend>

{assign var="formName" value="chargeForm"}

<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">

		<tr>
			<td class="title"> {$smarty.const.TRANS_TRANSACTION_STATUS} </td>
			<td>{$smarty.const.TRANS_SUCCESSFUL}</td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_TRANSACTION_AMOUNT} </td>
			<td>{$transactionAmount|getAmount:$currencyID}</td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_TRANSACTION_ID} </td>
			<td>{$transaction.transactionID}</td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_AUTHORIZATION_CODE} </td>
			<td>{$transaction.authorizationCode}</td>
		</tr>
		<tr>
			<td class="title"> {$smarty.const.TRANS_TRANSACTION_MESSAGE} </td>
			<td>{$transaction.message}</td>
		</tr>

	<tr class="listButtons">
		<td colspan="2"><div>
			<input class="button" type="button" value="{$smarty.const.TRANS_CONTINUE}" onclick="document.location.href='paymentgroups.php?action={getActionID action="ShowVirtualTerminals"}&sid={$sid}';" />
		</div></td>
	</tr>

</table>

</fieldset>

{include file="$tplDirectory/footer.tpl"}