{* $Id: ShowMBRequirementsTest.tpl 12403 2007-12-28 17:46:28Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of servergroups.
 *
 * Smarty Variables:
 * 	$phpinfo => string result from output of phpinfo();
 *}{strip}
{t c="TRANS_CRIT_REQUIREMENTS_NOT_SATISFIED" d="Critical requirements not satisfied. Please prepare a suitable environment before continuing."}
{t c="TRANS_CRIT_REQUIREMENTS_SATISFIED" d="Critical requirements are satisfied. You may continue."}
{t c="TRANS_MODERNBILL_REQUIREMENTS_TEST" d="Modern Bill Requirements Test"}
{t c="TRANS_RECOMMENDED" d="RECOMMENDED"}
{t c="TRANS_OPTIONAL" d="Optional"}
{/strip}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MODERNBILL_REQUIREMENTS_TEST"
	sideNavMajor="system"}

{if $requirements->areNotSatisfied()}
	<p><strong>{$smarty.const.TRANS_CRIT_REQUIREMENTS_NOT_SATISFIED}</strong></p>
{else}
	<p><strong>{$smarty.const.TRANS_CRIT_REQUIREMENTS_SATISFIED}</strong></p>
{/if}

<div>

	<div style="float:left;width:33%">
	<fieldset>
	<legend>{$smarty.const.TRANS_OPTIONAL}</legend>
	{$requirements->getDescription(true, true, REQUIREMENT_MAY)}
	</fieldset>
	</div>

	<div style="float:left;width:33%">
	<fieldset>
	<legend>{$smarty.const.TRANS_RECOMMENDED}</legend>
	{$requirements->getDescription(true, true, REQUIREMENT_SHOULD)}
	</fieldset>
	</div>

	<div style="float:left;width:33%">
	<fieldset>
	<legend>{$smarty.const.TRANS_REQUIRED}</legend>
	{$requirements->getDescription(true, true, REQUIREMENT_MUST)}
	</fieldset>
	</div>

</div>
{include file="$tplDirectory/footer.tpl"}