{* $Id: ShowPaymentGroups.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a list of paymentgroups.
 *
 * Smarty Variables:
 *	$paymentgroups (array of paymentgroups that match criteria)
 *
 *}
{t c="TRANS_PAYMENTGROUPID" d="Payment Group ID"}
{t c="TRANS_PAYMENTGROUPNAME" d="Payment Group Name"}
{t c="TRANS_PAYMENTGROUPCURRENCY" d="Payment Group Currency"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_PRIMARYGATEWAY" d="Primary Gateway"}
{t c="TRANS_SECONDARYGATEWAY" d="Secondary Gateway"}
{t c="TRANS_NOGATEWAYS" d="No Gateways for this Payment Group. Edit the Payment Group to Add a Gateway."}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_MERGE" d="Merge"}
{t c="TRANS_MANAGE_PAYMENTGROUPS" d="Manage Payment Groups"}
{t c="TRANS_SHOW_PAYMENTGROUPS" d="Show Payment Groups"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_ADD_PAYMENT_GROUP" d="Add Payment Group"}

{t c="TRANS_THIRD_PARTY_GATEWAY" d="Third Party Gateway"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PAYMENTGROUPS"
	childName="TRANS_SHOW_PAYMENTGROUPS"
	sideNavMajor="system"
	parentConfigGroupID=0}

<fieldset>
<legend>{$smarty.const.TRANS_PAYMENT_GROUPS}</legend>
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<thead>
<tr class="listRowNoBorders">
	<td colspan="4" align="left">
		<div class="rm"><a href="{getHREF page="paymentgroups.php" actionName="AddPaymentGroup"}">{$smarty.const.TRANS_ADD_PAYMENT_GROUP}</a></div>
	</td>
</tr>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_PAYMENTGROUPID" sortColumn="paymentGroupID"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_PAYMENTGROUPNAME" sortColumn="paymentGroupName"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_PAYMENTGROUPCURRENCY" sortColumn="paymentGroupCurrencyID"}
	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{section name=i loop="$paymentgroups"}
{assign var="paymentGroupID" value=$paymentgroups[i].paymentGroupID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td onmouseover="this.style.cursor='hand'" onclick="return XKtoggle('row_{$paymentGroupID}');">
		<a name="p{$paymentGroupID}"></a> <a href="#p{$paymentGroupID}">{$paymentGroupID}</a>
	</td>
	<td>
		{$paymentgroups[i].paymentGroupName}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$paymentGroupID
			editKey="paymentGroupID"
			editActionName="EditPaymentGroupResponse"
			editName="TRANS_PAYMENTGROUPNAME"
			editColumn="paymentGroupName"
			editValue=$paymentgroups[i].paymentGroupName}
	</td>
	<td>
		{$paymentgroups[i].paymentGroupCurrencyID}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$paymentGroupID
			editKey="paymentGroupID"
			editActionName="EditPaymentGroupResponse"
			editName="TRANS_PAYMENTGROUPCURRENCY"
			editColumn="paymentGroupCurrencyID"
			editValue=$paymentgroups[i].paymentGroupCurrencyID}
	</td>
	<td class="nowrap">
		{strip}
		<a href="{getHREF page="paymentgroups.php" actionName="EditPaymentGroup" args="paymentGroupID=$paymentGroupID"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		</a>
		<a href="{getHREF page="paymentgroups.php" actionName="RemovePaymentGroup" args="paymentGroupID=$paymentGroupID"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</a>
		{/strip}
	</td>
</tr>
</tbody>
<tbody id="row_{$paymentGroupID}">
        {assign var="gateways" value=$paymentgroups[i].gateways}
		{section name="j" loop=$gateways}
		<tr>
			<td colspan="2">&nbsp;</td>
				<td class="{if $smarty.section.j.index%2==0}alt1{else}alt2{/if}">{if $gateways[j].gatewayType == 1}
						{$smarty.const.TRANS_PRIMARYGATEWAY}
					{else}
						{$smarty.const.TRANS_THIRD_PARTY_GATEWAY}
					{/if}
					: <strong>{$paymentgroups[i].gateways[j].configGroupTransKey}</strong></td>
				<td align="center" class="{if $smarty.section.j.index%2==0}alt1{else}alt2{/if}">
				{assign var="configGroupID" value=$gateways[j].configGroupID}
				<a href="{getHREF page="configs.php" actionName="ShowConfigs" args="configGroupID=$configGroupID"}">
					<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
				</a>
				<a href="{getHREF page="paymentgroups.php" actionName="RemovePaymentGroupGateway" args="configGroupID=$configGroupID"}">
					<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
				</a>
				</td>
			</tr>
		{sectionelse}
			<tr>
				<td colspan="2">&nbsp;</td>
				<td colspan="2">{$smarty.const.TRANS_NOGATEWAYS}</td>
			</tr>
		{/section}
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="4">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
</table>
</fieldset>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}

{include file="$tplDirectory/footer.tpl"}
