{* $Id: ShowRegistrarModules.tpl 7568 2006-06-18 20:42:20Z achrist $
 * --------------------------------------------------------------
 * This template displays a list of registrar config groups
 *
 * Smarty Variables:
 *	$configGroups (array of config group data)
 *             configModuleName
 *             configGroupDisplayName
 *             configGroupID
 *
 *}
{t c="TRANS_UNUSED_REGISTRAR" d="Unused Registrar Modules"}
{t c="TRANS_MANAGE_REGISTRAR_MODULES" d="Manage Registrar Modules"}
{t c="TRANS_SHOW_REGISTRAR_MODULES" d="Show Registrar Modules"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_REGISTRAR_MODULES"
	childName="TRANS_SHOW_REGISTRAR_MODULES"
	sideNavMajor="system"
	sideNavMinor="system"
	includeAjaxJS=0}

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
{section name=i loop="$configGroups"}
{assign var="configGroupID" value=$configGroups[i].configGroupID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td>
		{$configGroups[i].configModuleName}
	</td>
	<td>
		{$configGroups[i].moduleDisplayName}
	</td>
	<td>
		{if $configGroups[i].moduleEnabled}
			{$smarty.const.TRANS_ON}
		{else}
			{$smarty.const.TRANS_OFF}
		{/if}
	</td>
	<td class="nowrap">
		{strip}
		<a href="{getHREF page="modules.php" actionName="EditRegistrarConfig" args="configGroupID=$configGroupID"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		</a>
		{/strip}
	</td>
</tr>
</tbody>

{sectionelse}
<tr class="alt1">
	<td colspan="7">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
</table>
{include file="$tplDirectory/widgets/paginationLinks.tpl"}

{if $unusedRegistrars}
<fieldset>
<legend>{$smarty.const.TRANS_UNUSED_REGISTRAR}</legend>
	
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
	{foreach name=outer item=registrarName from=$unusedRegistrars}
	{if $className=="alt1"}
	{assign var="className" value="alt2"}
	{else}
	{assign var="className" value="alt1"}
	{/if}
	<tbody>
	<tr class="{cycle values="alt1,alt2"}">
		<td>
			{$registrarName}
		</td>
		<td class="nowrap">
			{strip}
			<a href="{getHREF page="modules.php" actionName="AddRegistrarResponse" args="registrarName=$registrarName"}">
				<img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_ADD}" title="{$smarty.const.TRANS_ADD}" />
			</a>
			{/strip}
		</td>
	</tr>
	</tbody>
	
	{/foreach}
</table>
{/if}
</fieldset>

{include file="$tplDirectory/footer.tpl"}