{* $Id: AddPackageAddon.tpl 7515 2006-06-16 03:42:44Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PACKAGES"
	childName="TRANS_MANAGE_PACKAGE_ADDONS"
	grandchildName="TRANS_ADD_PACKAGE_ADDON"
	sideNavMajor="clients"
	sideNavMinor="packages"}

{include file="$tplDirectory/widgets/context/package.tpl" package=$packageInfo}

<fieldset>
<legend>{$smarty.const.TRANS_ADD_ADDON}</legend>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">

	{assign var="firsttime" value="1"}
	{foreach key="id" item="addons" from=$products}
		<form method="post" action="packages.php">
		<input type="hidden" name="sid" value="{$sid}">
		<input type="hidden" name="action" value="{getActionID action="AddPackageAddonResponse"}">
		<input type="hidden" name="packageID" value="{$packageInfo.packageID}">
		<tr>
			<td colspan="2"><fieldset><legend>{assign var="group" value=$addonGroups.$id}{$group.productAddonGroupName}</legend></fieldset></td>
		</tr>
		{assign var="firsttime" value=0}
		{if $group.productAddonGroupInputType=="" || $group.productAddonGroupInputType=="r" || $group.productAddonGroupInputType=="s"}
			{section name="i" loop=$addons}
				{assign var="pid" value=$addons[i].productID}
				<tr>
					<td class="title"><input type="radio" name="addons[]" value="{$pid}" />&nbsp; - {$addons[i].productName|constant}</td>
					<td>
						<table>
							<tr>
								<td>{$smarty.const.TRANS_PRICE}: </td>
								<td><input type="text" name="prices[{$pid}][general]" value="{$addons[i].prices.0.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
								<td>{$smarty.const.TRANS_COUPON_PRICE}: </td>
								<td><input type="text" name="prices[{$pid}][coupon]" value="{$addons[i].prices.0.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
							</tr>
							<tr>
								<td>{$smarty.const.TRANS_PLUS_SETUP}: </td>
								<td><input type="text" name="prices[{$pid}][setup]" value="{$addons[i].prices.1.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
								<td>{$smarty.const.TRANS_COUPON_NUM_CYCLES}: </td>
								<td><input type="text" name="prices[{$pid}][couponcycles]" value="0" /></td>
							</tr>
						</table>
					</td>
				</tr>
			{/section}
		{elseif $group.productAddonGroupInputType=="c"}
			{section name="i" loop=$addons}
				{assign var="pid" value=$addons[i].productID}
				<tr>
					<td class="title"><input type="checkbox" name="addons[]" value="{$pid}" />&nbsp; - {$addons[i].productName|constant}</td>
					<td>
						<table>
							<tr>
								<td>{$smarty.const.TRANS_PRICE}: </td>
								<td><input type="text" name="prices[{$pid}][general]" value="{$addons[i].prices.0.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
								<td>{$smarty.const.TRANS_COUPON_PRICE}: </td>
								<td><input type="text" name="prices[{$pid}][coupon]" value="{$addons[i].prices.0.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
							</tr>
							<tr>
								<td>{$smarty.const.TRANS_PLUS_SETUP}: </td>
								<td><input type="text" name="prices[{$pid}][setup]" value="{$addons[i].prices.1.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
								<td>{$smarty.const.TRANS_COUPON_NUM_CYCLES}: </td>
								<td><input type="text" name="prices[{$pid}][couponcycles]" value="0" /></td>
							</tr>
						</table>
					</td>
				</tr>
			{/section}

		{/if}
			<tr class="listButtons">
				<td colspan="2"><div><input class="submit" type="submit" value="{$smarty.const.TRANS_ADD}"></div></td>
			</tr>
		</form>
	{foreachelse}
		<tr>
			<td>{$smarty.const.TRANS_NO_ADDONS}</td>
		</tr>
	{/foreach}

</table>
</fieldset>



{include file="$tplDirectory/footer.tpl"}



