{* $Id: ChangePackageClient.tpl 8964 2006-09-18 17:39:24Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of package records.
 *
 * Smarty Variables:
 *	$packages (array of packages that match input criteria)
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *  $sid					The current sessionID
 *
 * Author: Kris Bailey
 *}
 
{t c="TRANS_PACKAGE_ADDONS" d="Package Addons"}
{t c="TRANS_MORE_CYCLES" d="more cycles"}
{t c="TRANS_STOPPING_ON" d="Stopping On"}
{t c="TRANS_INDEFINATELY" d="Indefinately"}
{t c="TRANS_THEN" d="then"}
{t c="TRANS_ADDON_ATTRIBUTE" d="Addon Attribute"}
{t c="TRANS_PACKAGE_ADDONS_AND_ATTRIBUTES" d="Package Addons and Attributes"}
{t c="TRANS_LINE_ITEM_INFO" d="Line Item Info"}
{t c="TRANS_LAST_INVOICE" d="Last Invoice"}

{t c="TRANS_SAME_AS_PACKAGE" d="Same as package"}
{t c="TRANS_LAST_RENEWAL_DATE" d="Last Renewal Date"}
{t c="TRANS_DATE_TO_STOP_RENEWING" d="Date to Stop Renewing"}
{t c="TRANS_USAGE_NEXT_RENEWAL_DATE" d="Usage Next Renewal Date"}
{t c="TRANS_USAGE_LAST_RENEWAL_DATE" d="Usage Last Renewal Date"}
{t c="TRANS_CANCELLATION_TYPE" d="Cancellation Type"}
{t c="TRANS_CLIENT_PACKAGE_PERMISSIONS" d="Client Package Permissions"}
{t c="TRANS_MOVING_PACKAGE" d="Moving Package"}
{t c="TRANS_FROM_CLIENT" d="From Client"}
{t c="TRANS_TO_CLIENT" d="To Client"}
{t c="TRANS_BILLING_ACCOUNT_TO_PAY_FOR_PACKAGE" d="Which billing account will pay for this package"}
{t c="TRANS_SHARE_ID" d="Share ID"}
{t c="TRANS_ACCOUNT_ID" d="Account ID"}
{t c="TRANS_CONFIRM_PACKAGE_MOVE" d="Confirm Package Move"}
{t c="TRANS_MOVE_PACKAGE" d="Move Package"}
{t c="TRANS_TRANSFERING_PACKAGE" d="Transfering Package"}
{t c="TRANS_CONFIRM_PACKAGE_TRANSFER" d="Confirm Package Transfer"}
{t c="TRANS_TRANSFER_PACKAGE" d="Transfer Package"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PACKAGES"
	childName="TRANS_SHOW_PACKAGES"
	grandchildName="TRANS_TRANSFER_PACKAGE"
	sideNavMajor="clients"
	sideNavMinor="packages"}

<form method='post' action='packages.php'>
	<input type='hidden' name='action' value='{getActionID action="ChangePackageClientResponse"}' />
	<input type='hidden' name='packageID' value='{$package.packageID}' />
	<input type='hidden' name='sid' value='{$sid}' />
	<input type='hidden' name='clientID' value='{$toClient.clientID}' />
<table width="100%" class="list">
	<tr>
		<td colspan="2">
<strong>{$smarty.const.TRANS_TRANSFERING_PACKAGE}:</strong>
	{include file="$tplDirectory/widgets/context/package.tpl" package=$package types=$packageTypes}
<br />
<strong>{$smarty.const.TRANS_FROM_CLIENT}:</strong>
	{include file="$tplDirectory/widgets/context/client.tpl" client=$fromClient suppressEditLink=1 suppressDeleteLink=1}
<br />
<strong>{$smarty.const.TRANS_TO_CLIENT}:</strong>
	{include file="$tplDirectory/widgets/context/client.tpl" client=$toClient suppressEditLink=1 suppressDeleteLink=1}
		</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_BILLING_ACCOUNT_TO_PAY_FOR_PACKAGE}:</td>
		<td><select name="billingAccountID">
			{html_options options=$selectableBillingAccounts}
		</select></td>
	</tr>
	<tr class="listButtons">
		<td colspan="2"><div><input type="submit" value="{$smarty.const.TRANS_CONFIRM_PACKAGE_TRANSFER}" /> <input type="button" value="{$smarty.const.TRANS_CANCEL}" onclick="history.go(-1);" /></div></td>
	</tr>
</table>
</form>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{include file="$tplDirectory/footer.tpl"}
