{* $Id: ShowPackageDetails.tpl 12224 2007-11-14 18:05:35Z kbailey $
 * --------------------------------------------------------------
 * Author: Kris Bailey
 *}
{t c="TRANS_GENERAL_INFORMATION" d="General Information"}
{t c="TRANS_PRICING_INFORMATION" d="Pricing Information"}
{t c="PACKAGE_CANCELLATION_OPTIONS" d="Cancellation Options"}
{t c="GENERAL_RENEWAL_DATES" d="General Renewal Dates"}
{t c="USAGE_RENEWAL_DATES" d="Usage Renewal Dates"}
{t c="TRANS_LAST_INVOICE_DATA" d="Last Invoice Data"}
{t c="TRANS_RESEND_INFO_EMAIL" d="Resend Package Info Email"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PACKAGES"
	childName="TRANS_SHOW_PACKAGES"
	grandchildName="TRANS_SHOW_PACKAGE_DETAILS"
	sideNavMajor="clients"
	sideNavMinor="packages"}

{include file="$tplDirectory/widgets/context/client.tpl" client=$client suppressEditLink=1 suppressDeleteLink=1}
{include file="$tplDirectory/widgets/context/package.tpl" showActions=1 package=$packageInfo}

<div class="box07">
	<div class="st01">
		<h1 style="text-transform:none">
		{strip}
		<a href="javascript:void(0);" onclick="return XKtoggle('packageOverview');">
			<img src="{$imageDirectory}/ico/more.gif" width="16" height="16" border="0" style="vertical-align:middle;border-style:none;" alt="{$smarty.const.TRANS_OVERVIEW}" title="{$smarty.const.TRANS_OVERVIEW}" />
		</a>
		&nbsp;
		<a href="javascript:void(0);" onclick="return XKtoggle('packageOverview');">
			{$smarty.const.TRANS_PACKAGE_DETAILS}
		</a>
		{/strip}
		</h1>
	</div>

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabTight">
	{if $resentPackageInfoEmail}
		<tr class="hightlight">
			<td colspan="2">{$resentPackageInfoEmail|constant|default:$resentPackageInfoEmail}</td>
		</tr>
	{/if}
	<tbody id="packageOverview">
    <tr>
        {************************** TRANS_PACKAGE_DETAILS - COLUMN 1 **************************}
        <td width="50%" valign="top" style="border:0px;">

			{include file="$tplDirectory/widgets/packages/general.tpl"}
			<br />
			{include file="$tplDirectory/widgets/packages/pricing.tpl"}
			<br />
			{include file="$tplDirectory/widgets/packages/billingShares.tpl"}
			<br />

		</td>
        {************************** TRANS_PACKAGE_DETAILS - COLUMN 2 **************************}
        <td width="50%" valign="top" style="border:0px;">

			{include file="$tplDirectory/widgets/packages/status.tpl"}
			<br />
			{include file="$tplDirectory/widgets/packages/cancelOptions.tpl"}
			<br />
			{include file="$tplDirectory/widgets/packages/renewDates.tpl"}
			<br />
			{include file="$tplDirectory/widgets/packages/usageDates.tpl"}
			<br />

		</td>
	</tr>
	</tbody>
	</table>
</div>

<br />

<div class="box07">
	<div class="st01">
		<h1 style="text-transform:none">
		{strip}
		<a href="javascript:void(0);" onclick="return XKtoggle('packageComments');">
			<img src="{$imageDirectory}/ico/more.gif" width="16" height="16" border="0" style="vertical-align:middle;border-style:none;" alt="{$smarty.const.TRANS_PACKAGE_ADDONS_AND_ATTRIBUTES}" title="{$smarty.const.TRANS_PACKAGE_COMMENTS}" />
		</a>
		&nbsp;
		<a href="javascript:void(0);" onclick="return XKtoggle('packageComments');">
			{$smarty.const.TRANS_PACKAGE_COMMENTS}
		</a>
		{/strip}
		</h1>
	</div>

	<div id="packageComments" class="off">
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabTight">
		<tr>
			<td valign="top" style="border:0px;">
				{include file="$tplDirectory/widgets/packages/comments.tpl"}
				<br />
			</td>
		</tr>
		</table>
	</div>
</div>


	{if $invoiceInfo.invoiceID}
<br />

<div class="box07">
	<div class="st01">
		<h1 style="text-transform:none">
		{strip}
		<a href="javascript:void(0);" onclick="return XKtoggle('packageLastInvoice');">
			<img src="{$imageDirectory}/ico/more.gif" width="16" height="16" border="0" style="vertical-align:middle;border-style:none;" alt="{$smarty.const.TRANS_PACKAGE_ADDONS_AND_ATTRIBUTES}" title="{$smarty.const.TRANS_LAST_INVOICE_DATA}" />
		</a>
		&nbsp;
		<a href="javascript:void(0);" onclick="return XKtoggle('packageLastInvoice');">
			{$smarty.const.TRANS_LAST_INVOICE_DATA}
		</a>
		{/strip}
		</h1>
	</div>

	<div id="packageLastInvoice" class="off">
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabTight">
		<tr>
			<td valign="top" style="border:0px;">
				{include file="$tplDirectory/widgets/packages/lastInvoice.tpl"}
				<br />
			</td>
		</tr>
		</table>
	</div>
</div>

	{/if}

<br />

<div class="box07">
	<div class="st01">
		<h1 style="text-transform:none">
		{strip}
		<a href="javascript:void(0);" onclick="return XKtoggle('packageAddonsAttributes');">
			<img src="{$imageDirectory}/ico/more.gif" width="16" height="16" border="0" style="vertical-align:middle;border-style:none;" alt="{$smarty.const.TRANS_PACKAGE_ADDONS_AND_ATTRIBUTES}" title="{$smarty.const.TRANS_PACKAGE_ADDONS_AND_ATTRIBUTES}" />
		</a>
		&nbsp;
		<a href="javascript:void(0);" onclick="return XKtoggle('packageAddonsAttributes');">
			{$smarty.const.TRANS_PACKAGE_ADDONS_AND_ATTRIBUTES}
		</a>
		{/strip}
		</h1>
	</div>

	<table width="100%" border="0" cellspacing="1" cellpadding="1" class="tabTight">
	<tbody id="packageAddonsAttributes" class="off">
    <tr>
        <td valign="top" style="border:0px;">

			{include file="$tplDirectory/widgets/packages/addons.tpl"}
			<br />
			{include file="$tplDirectory/widgets/packages/attributes.tpl"}
			<br />
			
		</td>
	</tr>
	</tbody>
	</table>

</div>

<br />

{include file="$tplDirectory/footer.tpl"}

