{* $Id: ShowPackages.tpl 11445 2007-06-26 20:55:54Z kbailey $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}{strip}
{t c="TRANS_ACTIONS" d="Actions"}

{assign var="filterArgs" value="packageStatus=$packageStatus&cycleID=$cycleID"}
{/strip}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PACKAGES"
	childName="TRANS_SHOW_PACKAGES"
	sideNavMajor="clients"
	sideNavMinor="packages"}

{if $client}
	{include file="$tplDirectory/widgets/context/client.tpl" client=$client suppressEditLink=1 suppressDeleteLink=1}
	{assign var="numCols" value="8"}
{else}
	{assign var="numCols" value="9"}
{/if}

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="listRowNoBorders">
	<td colspan="{math equation="$numCols-4"}" style="text-align:left;">
		<a href="javascript:void(0);" onclick="{strip}
		{section name=iter loop=$packages}
			XKtoggle('row_{$packages[iter].packageID}'); 
		{/section} 
		{/strip}return false;">
			<img src="{$imageDirectory}/ico/up_down.gif" width="16" height="16" alt="" title="" border="0" />
		</a>
		<a href="javascript:void(0);" onclick="{strip}
		{section name=iter loop=$packages}
			XKtoggle('row_{$packages[iter].packageID}'); 
		{/section} 
		{/strip}return false;">
			{$smarty.const.TRANS_ADDITIONAL_DATA}
		</a>
	</td>
	<td colspan="4" style="text-align:right;color:#666666;">
		{include file="$tplDirectory/widgets/context/sortedBy.tpl"}
	</td>
</tr>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" 
		headerClass="firstTD" headerName="TRANS_ID" sortColumn="packageID"}
	
	{if !$client}
		{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" 
			headerName="TRANS_CLIENT" sortColumn="clientLastName"}
	{/if}

	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" 
		headerName="TRANS_PACKAGE" sortColumn="productName"}

	{include file="$tplDirectory/widgets/table/listHeaderSortAmount.tpl" 
		headerName="TRANS_PRICE" sortColumn="packagePrice"}

	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" 
		filterName="TRANS_CYCLE" filterColumn="cycleID" filterOptions="$cycles" suppressFilterName=1 mergeFilterName=1}

	{include file="$tplDirectory/widgets/table/listHeaderSortDate.tpl" 
		headerName="TRANS_LAST_RENEWAL" sortColumn="packageDateLastRenewal"}

	{include file="$tplDirectory/widgets/table/listHeaderSortDate.tpl" 
		headerName="TRANS_NEXT_RENEWAL" sortColumn="packageDateNextRenewal"}

	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" 
		filterName="TRANS_STATUS" filterColumn="packageStatus" filterOptions="$packageStatuses" suppressFilterName=1 mergeFilterName=1}

	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
		headerClass="lastTD" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{section name=i loop="$packages"}

{assign var="packageID" value=$packages[i].packageID}
{assign var="events" value=$packages[i].systemQueueItems}
{assign var="currencyID" value=$packages[i].paymentGroupCurrencyID}

{if $className=="alt1"}
	{assign var="className" value="alt2"}
{else}
	{assign var="className" value="alt1"}
{/if}

<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td style="cursor: pointer;" onclick="return XKtoggle('row_{$packageID}');">
	<img src="{$imageDirectory}/ico/arrow_down_blue.gif" width="16" height="16" alt="" title="" border="0" />
		&nbsp;
		{$packageID}
	</td>
	{if !$client}
		<td>
			{assign var="ccID" value=$packages[i].clientContactID.1}
			{assign var="clientName" value="`$packages[i].contactLastName`, `$packages[i].contactFirstName`"}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ShowClientDetails"
				args="clientID=`$packages[i].clientID`"
				clientID=$packages[i].clientID
				clientContactID=$ccID
				altText=$clientName
				linkText=$clientName
			}
		</td>
	{/if}
	<td>
		{$packages[i].packageName|stripslashes}
	</td>
	<td style="text-align:right;">
		{$packages[i].packagePrice|getAmount:$packages[i].paymentGroupCurrencyID}
	</td>
	<td style="text-align:center;">
		{$packages[i].cycleID|getArrayValueByID:$cycles}
	</td>
	<td style="text-align:center;">
		{$packages[i].packageDateLastRenewal|getDate}
	</td>
	<td style="text-align:center;">
		{$packages[i].packageDateNextRenewal|getDate}
	</td>
	<td style="text-align:center;">
		{$packages[i].packageStatus|getStatusName:"package"}
		{include
			file="$tplDirectory/widgets/quickEditSelectLink.tpl"
			editID=$packageID
			editKey="packageID"
			editActionName="EditPackageResponse"
			editName="TRANS_STATUS"
			editColumn="packageStatus"
			editOptions=$packageStatuses
			editSelected=$packages[i].packageStatus}
	</td>
	<td style="text-align:center;">
		{strip}
		<a href="javascript:void(0);" onclick="return XKtoggle('row_{$packageID}');">
			<img src="{$imageDirectory}/ico/more.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_VIEW}" title="{$smarty.const.TRANS_VIEW}" />
		</a>
		<a href="javascript:void(0);" onclick="return XKtoggle('row_{$packageID}');">
			{$smarty.const.TRANS_VIEW}
		</a>
		{/strip}
	</td>
</tr>
</tbody>
<tbody id="row_{$packageID}" class="off">
<tr>
	<td colspan="{$numCols}" class="solid">
		{strip}
		<a href="javascript:void(0);" onclick="return XKtoggle('row_{$packageID}');">
			<img src="{$imageDirectory}/ico/arrow_up_blue.gif" width="16" height="16" alt="" title="" border="0" align="left" />
			</a>
		&nbsp;

		<strong>{$smarty.const.TRANS_ADDITIONAL_ACTIONS}:</strong>
		&nbsp;

		{* DETAILS *}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="packages.php"
			actionName="ShowPackageDetails"
			args="packageID=$packageID"
			icoImage="view"
			icoWidth=""
			icoHeight=""
			icoStyle=""
			altText="TRANS_DETAILS"
			titleText=""
			linkText="TRANS_DETAILS"
			noSpace="1"
			suppressActionMenu=1
		}
		&nbsp;

		{* EDIT *}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="packages.php"
			actionName="EditPackage"
			args="packageID=$packageID"
			icoImage="edit"
			icoWidth=""
			icoHeight=""
			icoStyle=""
			altText="TRANS_EDIT"
			titleText=""
			linkText="TRANS_EDIT"
			noSpace="1"
		}
		&nbsp;

		{* UPGRADE *}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="packages.php"
			actionName="UpgradePackage"
			args="packageID=$packageID"
			icoImage="upgrade.gif"
			icoWidth=""
			icoHeight=""
			icoStyle=""
			altText="TRANS_UPGRADE"
			titleText=""
			linkText="TRANS_UPGRADE"
			noSpace="1"
		}
		&nbsp;

		{* DOWNGRADE *}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="packages.php"
			actionName="DowngradePackage"
			args="packageID=$packageID"
			icoImage="downgrade.gif"
			icoWidth=""
			icoHeight=""
			icoStyle=""
			altText="TRANS_DOWNGRADE"
			titleText=""
			linkText="TRANS_DOWNGRADE"
			noSpace="1"
		}
		&nbsp;

		{* ATTRIBUTES *}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="packages.php"
			actionName="ShowPackageAttributes"
			args="packageID=$packageID"
			icoImage="cube_molecule.gif"
			icoWidth=""
			icoHeight=""
			icoStyle=""
			altText="TRANS_ATTRIBUTES"
			titleText=""
			linkText="TRANS_ATTRIBUTES"
			noSpace="1"
		}
		&nbsp;

		{* ADDONS *}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="packages.php"
			actionName="ShowPackageAddons"
			args="packageID=$packageID"
			icoImage="cubes_other.gif"
			icoWidth=""
			icoHeight=""
			icoStyle=""
			altText="TRANS_ADDONS"
			titleText=""
			linkText="TRANS_ADDONS"
			noSpace="1"
		}
		&nbsp;
		
		{* MOVE PACKAGE *}
		<a href="javascript:void(0);" onclick="return overlib('&lt;div style=\'white-space: nowrap\'&gt;
			&lt;form method=\'post\' action=\'packages.php\'&gt;
			&lt;input type=\'hidden\' name=\'action\' value=\'{getActionID action="ChangePackageClient"}\' /&gt;
			&lt;input type=\'hidden\' name=\'packageID\' value=\'{$packageID}\' /&gt;
			&lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\' /&gt;
			{$smarty.const.TRANS_CLIENT_ID}:&nbsp;&lt;input type=\'text\' name=\'clientID\' value=\'{$editValue}\' onClick=\'javascript:this.form.editValue.focus();this.form.editValue.select();\' /&gt;
			&lt;input type=\'submit\' name=\'submit\' value=\'{$smarty.const.TRANS_TRANSFER}\' /&gt;
			&lt;/form&gt;&lt;/div&gt;',
			BGCLASS, 'popupBG',
			FGCLASS, 'popupFG',
			CAPTIONFONTCLASS, 'popupCaption',
			CENTER, STICKY,
			CAPTION, '{$smarty.const.TRANS_MOVE_PACKAGE}: {$packageID}', CLOSECLICK, CLOSETEXT, '&lt;img src={$imageDirectory}/ico/remove.gif width=13 height=13 border=0 /&gt;');" onmouseout="return nd();">
			<img src="{$imageDirectory}/ico/arrow_right_blue.gif" alt="{$smarty.const.TRANS_TRANSFER}" title="{$smarty.const.TRANS_MOVE}" />
		</a>
		&nbsp;
		<a href="javascript:void(0);" onclick="return overlib('&lt;div style=\'white-space: nowrap\'&gt;
			&lt;form method=\'post\' action=\'packages.php\'&gt;
			&lt;input type=\'hidden\' name=\'action\' value=\'{getActionID action="ChangePackageClient"}\' /&gt;
			&lt;input type=\'hidden\' name=\'packageID\' value=\'{$packageID}\' /&gt;
			&lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\' /&gt;
			{$smarty.const.TRANS_CLIENT_ID}:&nbsp;&lt;input type=\'text\' name=\'clientID\' value=\'{$editValue}\' onClick=\'javascript:this.form.editValue.focus();this.form.editValue.select();\' /&gt;
			&lt;input type=\'submit\' name=\'submit\' value=\'{$smarty.const.TRANS_TRANSFER}\' /&gt;
			&lt;/form&gt;&lt;/div&gt;',
			BGCLASS, 'popupBG',
			FGCLASS, 'popupFG',
			CAPTIONFONTCLASS, 'popupCaption',
			CENTER, STICKY,
			CAPTION, '{$smarty.const.TRANS_TRANSFER_PACKAGE}: {$packageID}', CLOSECLICK, CLOSETEXT, '&lt;img src={$imageDirectory}/ico/remove.gif width=13 height=13 border=0 /&gt;');" onmouseout="return nd();">
			{$smarty.const.TRANS_TRANSFER_PACKAGE}
		</a>

		{/strip}
	</td>
</tr>
<tr class="comments">
	<td colspan="{$numCols}" class="comments altinner">
		<table cellpadding="0" cellspacing="0" width="100%">
		<tr>
			<td width="33%" valign="top">

				{* COLUMN 1a *}
				{if !$client}
					<table width="100%" border="0" cellpadding="1" cellspacing="1" class="addData">
					<tr>
						<th colspan="2">
							<strong>{$smarty.const.TRANS_CLIENT_ID}: {$packages[i].clientID}</strong>
							&nbsp;
							<a href="{getHREF page="clients.php" actionName="ShowClientDetails" args="clientID=`$packages[i].clientID`"}">
								<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
							</a>
						</th>
					</tr>
					<tr>
						<td style="text-align:right;"><strong>{$smarty.const.TRANS_COMPANY}:</strong></td>
						<td>{$packages[i].clientCompany|default:$smarty.const.TRANS_EMPTY}</td>
					</tr>
					<tr>
						<td style="text-align:right;"><strong>{$smarty.const.TRANS_NAME}:</strong></td>
						<td>{$packages[i].contactLastName}, {$packages[i].contactFirstName}</td>
					</tr>
					</table>
					<br />
				{/if}

				{* COLUMN 1b *}
				<table width="100%" border="0" cellpadding="1" cellspacing="1" class="addData">
				<tr>
					<th colspan="2">
						<strong>{$smarty.const.TRANS_PRODUCT_ID}: {$packages[i].productID}</strong>
						&nbsp;
						<a href="{getHREF page="products.php" actionName="ShowProductDetails" args="productID=`$packages[i].productID`"}">
							<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
						</a>
					</th>
				</tr>
				<tr>
					<td style="text-align:right;"><strong>{$smarty.const.TRANS_NAME}:</strong></td>
					<td>{$packages[i].productName|stripslashes}</td>
				</tr>
				<tr>
					<td style="text-align:right;"><strong>{$smarty.const.TRANS_COMMENTS}:</strong></td>
					<td>{$packages[i].productComments|stripslashes}</td>
				</tr>
				{if $packages[i].domains.0.domainSLD}
					{assign var="domain" value=$domains.$packageID}
					<tr>
						<td style="text-align:right;"><strong>{$smarty.const.TRANS_DOMAIN_NAME}</strong></td>
						<td>{$packages[i].domains.0.domainSLD}.{$packages[i].domains.0.domainTLD}</td>
					</tr>
				{/if}
				</table>

			</td>
			<td width="33%" valign="top">

				{* COLUMN 2 *}
				<table width="100%" border="0" cellpadding="1" cellspacing="1" class="addData">
				<tr>
					<th colspan="2"><strong>{$smarty.const.TRANS_PACKAGE_RENEWAL_DATES}</strong></th>
				</tr>
				<tr>
					<td style="text-align:right;"><strong>{$smarty.const.TRANS_RENEWAL_CYCLE}:</strong></td>
					<td>{$packages[i].cycleID|getArrayValueByID:$cycles}</td>
				</tr>
				<tr>
					<td style="text-align:right;"><strong>{$smarty.const.TRANS_CREATED_ON}:</strong></td>
					<td>{$packages[i].packageDateCreated|getDateTime}</td>
				</tr>
				<tr>
					<td style="text-align:right;"><strong>{$smarty.const.TRANS_FIRST_RENEWAL_ON}:</strong></td>
					<td>{$packages[i].packageDateBeginRenewal|getDateTime}</td>
				</tr>
				<tr>
					<td style="text-align:right;"><strong>{$smarty.const.TRANS_NEXT_RENEWAL_ON}:</strong></td>
					<td>{$packages[i].packageDateNextRenewal|getDateTime}</td>
				</tr>
				<tr>
					<td style="text-align:right;"><strong>{$smarty.const.TRANS_LAST_RENEWAL_ON}:</strong></td>
					<td>{$packages[i].packageDateLastRenewal|getDateTime}</td>
				</tr>
				<tr>
					<td style="text-align:right;"><strong>{$smarty.const.TRANS_END_RENEWAL_ON}:</strong></td>
					<td>{$packages[i].packageDateStopRenewal|getDateTime}</td>
				</tr>
				</table>

			</td>
			<td width="33%" valign="top">

				{* COLUMN 3a *}
				<table width="100%" border="0" cellpadding="1" cellspacing="1" class="addData">
				<tr>
					<th colspan="2"><strong>{$smarty.const.TRANS_PACKAGE_PRICE_DETAILS}</strong></th>
				</tr>
				<tr>
					<td style="text-align:right;"><strong>{$smarty.const.TRANS_QUANTITY}:</strong></td>
					<td>{$packages[i].packageQuantity}</td>
				</tr>
				<tr>
					<td style="text-align:right;"><strong>{$smarty.const.TRANS_DISCOUNT}:</strong></td>
					<td>{$packages[i].packageDiscount}%</td>
				</tr>
				<tr>
					<td style="text-align:right;"><strong>{$smarty.const.TRANS_PRICE}:</strong></td>
					<td>{$packages[i].packagePrice|getAmount:$currencyID}</td>
				</tr>
				<tr>
					<td style="text-align:right;"><strong>{$smarty.const.TRANS_SETUP}:</strong></td>
					<td>{$packages[i].packageSetup|getAmount:$currencyID}</td>
				</tr>
				<tr>
					<td style="text-align:right;"><strong>{$smarty.const.TRANS_PRICE_LOCKED}:</strong></td>
					<td>{$packages[i].packagePriceLock|getArrayValueByID:$yesNo}</td>
				</tr>
				{if $packages[i].couponID}
				<tr>
					<td style="text-align:right;"><strong>{$smarty.const.TRANS_COUPON_PRICE}:</strong></td>
					<td>{$packages[i].couponPrice|getAmount:$currencyID}</td>
				</tr>
				<tr>
					<td style="text-align:right;"><strong>{$smarty.const.TRANS_COUPON_NUM_CYCLES}:</strong></td>
					<td>{$packages[i].couponNumCycles}</td>
				</tr>
				{/if}
				</table>

				{* COLUMN 3b *}
				{if $events}
					<br />
					<table width="100%" border="0" cellpadding="1" cellspacing="1" class="addData">
					<tr>
						<th colspan="2"><strong>{$smarty.const.TRANS_EVENT_QUEUE_DETAILS}</strong></th>
					</tr>
					{foreach key=key item=item from=$events}
					<tr>
						<td style="text-align:right;"><strong>{$item.systemQueueStatus}:</strong></td>
						<td>{$item.systemQueueCommand}&nbsp;
							<a href="{getHREF page="events.php" actionName="ShowEvents" args="systemQueueID=$key"}">
								<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
							</a>
						</td>
					</tr>
					{/foreach}
					</table>
				{/if}
			</td>

		</tr>
		</table>
	</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="{$numCols}">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{include file="$tplDirectory/footer.tpl"}
