{* $Id: RunPaymentQueue.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays the menu for generating payment queue items.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_CONTINUE" d="Continue"}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_BILLING" d="Manage Billing"}
{t c="TRANS_INVOICE_STATS" d="Invoice Stats"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_YES" d="Yes"}
{t c="TRANS_NO" d="No"}
{t c="TRANS_GENERATE" d="Generate"}
{t c="TRANS_RUN_QUEUE_OPTIONS" d="Run Queue Options"}
{t c="TRANS_RUN_OPTIONS" d="Run Options"}
{t c="TRANS_RUN_WHEN" d="Run Payment Queue"}
{t c="TRANS_DONT_RUN" d="Run Manually (link on the left)"}
{t c="TRANS_RUN_NOW" d="Run Now"}
{t c="TRANS_RUN_LATER" d="Run at a later date/time"}
{t c="TRANS_LATER_DATE" d="Date to run Payment Queue"}
{t c="TRANS_CHARGE_LESSER_AMOUNTS" d="Try charging lesser amounts on failed accounts"}
{t c="TRANS_ENCRYPTION_KEY" d="LEK or The PassPhrase"}
{t c="TRANS_LOADING_PATIENCE" d="Initiating Payment Queue Run, Please Be Patient..."}
{t c="TRANS_CHECK_PAYMENT_QUEUE" d="Check status of running payment queue"}
{t c="TRANS_TRANSACTION_ACTION" d="Transaction Type"}
{t c="TRANS_CHARGE" d="Capture Funds"}
{t c="TRANS_AUTH_ONLY" d="Authorize Funds Only"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_BILLING"
	grandchildName="TRANS_RUN_QUEUE_OPTIONS"
	sideNavMajor="finances"
	sideNavMinor="billing"}

		<form method="get" action="paymentqueue.php" onsubmit="this.tsub.disabled=true;this.tsub.value='{$smarty.const.TRANS_LOADING_PATIENCE}';">
		<input type="hidden" name="action" value="{getActionID action="RunPaymentQueueResponse"}" />
		<input type="hidden" name="sid" value="{$sid}" />

		<fieldset>
			<legend><strong>{$smarty.const.TRANS_RUN_OPTIONS}</strong></legend>
			<table width="100%" class="list">
            <tr>
                <td class="title">{$smarty.const.TRANS_CHARGE_LESSER_AMOUNTS}:</td>
                <td><input type="checkbox" name="chargeLesserAmounts" value="1" />
                </td>
            </tr>
            <tr>
                <td class="title">{$smarty.const.TRANS_RUN_WHEN}:</td>
                <td><!--<input type="radio" name="runWhen" value="0" checked="checked" />&nbsp; {$smarty.const.TRANS_DONT_RUN} -->
                &nbsp;&nbsp;<input type="radio" name="runWhen" value="1" checked="checked" />&nbsp; {$smarty.const.TRANS_RUN_NOW}
                &nbsp;&nbsp;<input type="radio" name="runWhen" value="2" />&nbsp; {$smarty.const.TRANS_RUN_LATER}
                </td>
            </tr>
            <tr>
                <td class="title">{$smarty.const.TRANS_LATER_DATE}:</td>
                <td>
                    {html_select_locale_date prefix="laterDate" display_time="true" setID="true" fieldOrder=$localeData.locale_date_order} <input class="reset" type="reset" value=" ... " id="laterDate" />
                    <script type="text/javascript">
                    {literal}
                        function updateLaterDateSelect(cal) {
                            var date = cal.date;
                            var selectMonth = document.getElementById("laterDateMonth");
                            selectMonth.selectedIndex = date.getMonth();
                            var selectDay = document.getElementById("laterDateDay");
                            selectDay.selectedIndex = (date.getDate() - 1);
                            var selectYear = document.getElementById("laterDateYear");
                            selectYear.selectedIndex = (date.getFullYear() - 2000);
                        }
                        Zapatec.Calendar.setup({
                            button         :    "laterDate",
                            onUpdate       :     updateLaterDateSelect,
                            showsTime      :     false
                        });
                    {/literal}
                    </script>
                </td>
            </tr>
            <tr>
                <td class="title">{$smarty.const.TRANS_TRANSACTION_ACTION}:</td>
                <td><select name="transactionAction">
					<option value="charge">{$smarty.const.TRANS_CHARGE}</option>
					<option value="auth"{if $transactionAction=='auth'} selected="selected"{/if}>{$smarty.const.TRANS_AUTH_ONLY}</option>
                </select>
                </td>
            </tr>
            <tr>
                <td class="title">{$smarty.const.TRANS_ENCRYPTION_KEY}:</td>
                <td><input type="password" name="encryptionKey" value="" />
                </td>
            </tr>
            <tr class="listButtons">
                <td colspan="2"><div><input class="submit" type="submit" name="tsub" value="{$smarty.const.TRANS_CONTINUE}" /></div></td>
            </tr>
			</table>
		</fieldset>


		</form>

<a href="{getHREF page="paymentqueue.php" actionName="RunPaymentQueueResponse"}">{$smarty.const.TRANS_CHECK_PAYMENT_QUEUE}</a>

{include file="$tplDirectory/footer.tpl"}