{* $Id: ShowPaymentQueue.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a list of invoice records.
 *
 * Smarty Variables:
 *	$invoices (array of invoices that match input criteria)
 *		invoiceID			A unique invoice ID
 *		invoiceNumber		An invoice's number
 *		invoiceAmount		An invoice's amount
 *		invoiceDateEntered	An invoice's generation date
 *		invoiceDateDue		An invoice's due date
 *		invoiceStatus		The status of an invoice
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_AMOUNT" d="Amount"}
{t c="TRANS_CLIENT" d="Client"}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_INVOICEID" d="Invoice ID"}
{t c="TRANS_INVOICE_NUMBER" d="Invoice Number"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DUE" d="Due"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_ENTERED" d="Entered"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_MANAGE_BILLING" d="Manage Billing"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PAYMENT_QUEUE" d="Show Payment Queue"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_PAYMENT_ID" d="Queue ID"}
{t c="TRANS_BILLING_ACCOUNT_ID" d="Bill Acct."}
{t c="TRANS_PACKAGE_NAME" d="Package Name"}
{t c="TRANS_PACKAGE_ID" d="ID"}
{t c="TRANS_PAYMENT_DESCRIPTION" d="Description"}
{t c="TRANS_DATE_CREATED" d="Date Created"}


{t c="TRANS_QUANTITY" d="Quantity"}
{t c="TRANS_PACKAGE_ID" d="Package ID"}
{t c="TRANS_DESCRIPTION" d="Description"}
{t c="TRANS_BEGIN" d="Begin"}
{t c="TRANS_CURRENT" d="Current"}
{t c="TRANS_NEXT" d="Next"}
{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_SETUP" d="Setup"}
{t c="TRANS_TAX" d="Tax"}
{t c="TRANS_TOTALS" d="Totals"}


{* assign var="filterArgs" value="invoiceStatus=$invoiceStatus" *}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_MANAGE_BILLING"
	grandchildName="TRANS_SHOW_PAYMENT_QUEUE"
	sideNavMajor="finances"
	sideNavMinor="billing"
	useMenu="finances"}


<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr>
{t c="TRANS_ADDITIONAL_DATA" d="Display/Hide Additional Data"}
	<td colspan="7" style="cursor: pointer;" onclick="{strip} {section name=iter loop=$paymentqueue}
		XKtoggle('row_{$paymentqueue[iter].paymentID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {$smarty.const.TRANS_ADDITIONAL_DATA}
	</td>
</tr>
<tr class="headerRow">
    {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_PAYMENT_ID" sortColumn="paymentID"}
    {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_CLIENT" sortColumn="clientLastName"}
    {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_BILLING_ACCOUNT_ID" sortColumn="billingAccountID"}
    {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_PAYMENT_DESCRIPTION" sortColumn="paymentDescription"}
    {* include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_PACKAGE_NAME" sortColumn="packageName" *}
    {* include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_PACKAGE_ID" sortColumn="packageID" *}
	{include file="$tplDirectory/widgets/table/tableSortDateHeader.tpl" headerName="TRANS_DATE_CREATED" sortColumn="paymentDateCreated"}
    {include file="$tplDirectory/widgets/table/tableSortAmountHeader.tpl" headerName="TRANS_AMOUNT" sortColumn="paymentAmount"}
	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{* if $paymentqueue.0.paymentID>0 *}
{section name="i" loop=$paymentqueue}
{assign var="paymentID" value=$paymentqueue[i].paymentID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td style="cursor: pointer;" onclick="return XKtoggle('row_{$paymentqueue[i].paymentID}');">
	<a href="#i{$paymentqueue[i].paymentID}" name="i{$paymentqueue[i].paymentID}">{$paymentqueue[i].paymentID}</a>
	</td>
    <td>
        {strip}
        	{assign var="fname" value=$paymentqueue[i].contactFirstName}
        	{assign var="lname" value=$paymentqueue[i].contactLastName}
        	{assign var="name" value="$lname, $fname"}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ShowClientDetails"
				args="clientID=`$paymentqueue[i].clientID`"
				clientID=$paymentqueue[i].clientID
				clientContactID=$paymentqueue[i].clientContactID
				altText=$name
				linkText=$name
			}
        {/strip}
    </td>
    <td>
        {$paymentqueue[i].billingAccountID}
    </td>
    <td>
        {$paymentqueue[i].paymentDescription}
    </td>
    <td>
        {$paymentqueue[i].paymentDateCreated|getDate}
    </td>
    <td>
        {$paymentqueue[i].paymentAmount|getAmount:$paymentqueue[i].currencyID}
    </td>

	<td>
		{* strip}
		<a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=$invoiceID&redirectArgs=$bookmarkArgs"}">
			<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
		</a>
		&nbsp;
		<a href="{getHREF page="invoices.php" actionName="EditInvoice" args="invoiceID=$invoiceID&redirectArgs=$bookmarkArgs"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		</a>
		&nbsp;
		<a href="{getHREF page="invoices.php" actionName="RemoveInvoice" args="invoiceID=$invoiceID&redirectArgs=$bookmarkArgs"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</a>
		{/strip *}
	</td>
</tr>
</tbody>
<tbody id="row_{$invoices[i].invoiceID}">
<tr>
	<td colspan="7" class="althover">
		<!-- {$smarty.const.TRANS_COMMENTS}: {$invoices[i].invoiceComments}

		{if $lineItems[$invoiceID]}
			<table width="100%">
			<tr>
                <td style="white-space: nowrap;">{$smarty.const.TRANS_PACKAGE_ID}</td>
                <td>{$smarty.const.TRANS_QUANTITY}</td>
				<td>{$smarty.const.TRANS_DESCRIPTION}</td>
				<td>{$smarty.const.TRANS_BEGIN}</td>
				<td>{$smarty.const.TRANS_CURRENT}</td>
				<td>{$smarty.const.TRANS_NEXT}</td>
				<td>{$smarty.const.TRANS_PRICE}</td>
				<td>{$smarty.const.TRANS_DISCOUNT}</td>
				<td>{$smarty.const.TRANS_SETUP}</td>
				<td>{$smarty.const.TRANS_TAX}</td>
				<td>{$smarty.const.TRANS_TOTALS}</td>
			</tr>
			{section name="j" loop=$lineItems[$invoiceID]}
				{assign var="currencyID" value=$lineItems[$invoiceID][j].currencyID}
				<tr>
                    <td>{$lineItems[$invoiceID][j].packageID}</td>
                    <td>{$lineItems[$invoiceID][j].lineItemQuantity}</td>
					<td>{$lineItems[$invoiceID][j].lineItemDescription}</td>
					<td>{$lineItems[$invoiceID][j].lineItemDateBeginRenewal|getDate:"short"}</td>
					<td>{$lineItems[$invoiceID][j].lineItemDateCurrentRenewal|getDate:"short"}</td>
					<td>{$lineItems[$invoiceID][j].lineItemDateNextRenewal|getDate:"short"}</td>
					<td>{$lineItems[$invoiceID][j].lineItemPriceAmount|getAmount:$currencyID}</td>
					<td>{$lineItems[$invoiceID][j].lineItemDiscountAmount|getAmount:$currencyID}</td>
					<td>{$lineItems[$invoiceID][j].lineItemSetupAmount|getAmount:$currencyID}</td>
					<td>{$lineItems[$invoiceID][j].lineItemTaxAmount|getAmount:$currencyID}</td>
					<td>{$lineItems[$invoiceID][j].lineItemTotalAmount|getAmount:$currencyID}</td>
				</tr>
			{/section}
			</table>
		{else}
			<br />
			No Line Items
    	{/if}-->

		<script type="text/JavaScript">XKtoggle('row_{$invoices[i].invoiceID}');</script>
	</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="7">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
{* /if *}
</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{* include file="$tplDirectory/widgets/advancedDisplayOptions.tpl" filterName="TRANS_STATUS" filterColumn="invoiceStatus" filterOptions="$activeInactive" *}
{include file="$tplDirectory/footer.tpl"}
