{* $Id: EditPrice.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit an existing client.
 *
 * Smarty Variables:
 *	$formValues (array of this clients data)
 *		clientID			A unique client ID
 *		clientFirstName		A client's first name
 *		clientLastName		A client's last name
 *		clientEmail			A client's email address
 *		clientCompany		A client's company name
 *		clientActive		The active state of a client
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_TLDID" d="TLD ID"}
{t c="TRANS_TLDS" d="TLDs"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_PRICES" d="Prices"}
{t c="TRANS_EDIT_PRICE" d="Edit Price"}
{t c="TRANS_RESET" d="Reset"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_COGS" d="Cost of Goods"}
{t c="TRANS_GENERAL" d="General"}
{t c="TRANS_SETUP" d="Setup"}
{t c="TRANS_TRANSFER" d="Transfer"}

{assign var="priceTypeName" value=$priceType|getTypeName:"price"}
{assign var="editMsg" value=$smarty.const.TRANS_EDIT}
{t c="PRICE_MSG" d="$editMsg - $priceTypeName"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_PRICES"
	grandchildName="PRICE_MSG"
	sideNavMajor="products"
	sideNavMinor="prices"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form name="addPrice" method="post" action="products.php">
<input type="hidden" name="action" value="{getActionID action="EditPriceResponse"}" />
<input type="hidden" name="priceType" value="{$priceType}" />
<input type="hidden" name="currencyID" value="{$currencyID}" />
<input type="hidden" name="cycleID" value="{$cycleID}" />
<input type="hidden" name="tldID" value="{$tldID}" />
<input type="hidden" name="productID" value="{$productID}" />
<input type="hidden" name="productPriceID" value="{$productPriceID}" />
<input type="hidden" name="productAddonID" value="{$productAddonID}" />
<input type="hidden" name="productAddonPriceID" value="{$productAddonPriceID}" />
<input type="hidden" name="sid" value="{$sid}" />

					{include file="$tplDirectory/widgets/context/currency.tpl"}
{if $TLD}			{include file="$tplDirectory/widgets/context/tld.tpl"}{/if}
{if $product}		{include file="$tplDirectory/widgets/context/product.tpl" types=$productTypes}{/if}
{if $productAddon}	{include file="$tplDirectory/widgets/context/productAddon.tpl"}{/if}
{if $cycle}			{include file="$tplDirectory/widgets/context/cycle.tpl"}{/if}

<fieldset>
<legend>{$smarty.const.TRANS_PRICE}</legend>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<tbody>
<tr {if $invalid.price}class="highlight"{/if}>
	<td class="title"><label for="price">{$smarty.const.TRANS_PRICE}</label></td>
	<td><input size="32"	maxlength="32" type="text" id="price" name="price" value="{$formValues.price}" /> {$invalid.price}</td>
</tr>
<tr {if $invalid.cogs}class="highlight"{/if}>
	<td class="title"><label for="cogs">{$smarty.const.TRANS_COGS}</label></td>
	<td><input size="32"	maxlength="32" type="text" id="cogs" name="cogs" value="{$formValues.cogs}" /> {$invalid.cogs}</td>
</tr>
<tr class="listButtons">
	<td colspan="2"><div>
		<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_EDIT_PRICE}" />
		<input class="reset" type="reset" value="{$smarty.const.TRANS_RESET}" />
	</div></td>
</tr>
</tbody>
</table>
</fieldset>>
</form>

{include file="$tplDirectory/footer.tpl"}