{* $Id: RemoveLedgerGroup.tpl 6782 2006-05-11 16:05:43Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to clone an existing product record.
 *
 * Smarty Variables:
 *	$product (array of this Product's data)
 *
 *}

{t c="TRANS_PRODUCTS" d="Products"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_REMOVE_LEDGER_GROUP" d="Remove Ledger Group"}
{t c="TRANS_REMOVE_LEDGER_GROUP_MESG" d="Are you sure you want to remove this ledger group?"}
{t c="TRANS_LEDGER_GROUP_NAME" d="Ledger Group Name"}
{t c="TRANS_YES_REMOVE_LEDGER_GROUP" d="Yes, remove this ledger group."}
{t c="TRANS_NO_DONT_REMOVE_THIS_LEDGER_GROUP" d="No, don't remove this group."}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_REMOVE_LEDGER_GROUP"
	sideNavMajor="products"
	sideNavMinor="variants"}


<form style="display: inline;" method="post" action="products.php">
	<input type="hidden" name="action" value="{getActionID action="RemoveLedgerGroupResponse"}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" name="ledgerGroupID" value="{$ledgerGroupID}" />
	<input type="hidden" name="productVariantID" value="{$productVariantID}" />

<fieldset>
<legend>{$smarty.const.TRANS_REMOVE_LEDGER_GROUP}</legend>

<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
	<tbody>
	<tr>
		<td colspan="2"><font color="red">{$smarty.const.TRANS_REMOVE_LEDGER_GROUP_MESG}</font></td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_LEDGER_GROUP_NAME}</td>
		<td>{$ledgerGroupName}</td>
	</tr>
	<tr class="listButtons">
		<td colspan="2"><div><input class="submit" type="submit" value="{$smarty.const.TRANS_YES_REMOVE_LEDGER_GROUP}"> <input class="button" type="button" value="{$smarty.const.TRANS_NO_DONT_REMOVE_THIS_LEDGER_GROUP}" onclick="history.go(-1);"></div></td>
	</tr>
	</tbody>
</table>

</fieldset>
</form>

{include file="$tplDirectory/footer.tpl"}
