{* $Id: RemoveProduct.tpl 8190 2006-08-02 04:57:06Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to clone an existing product record.
 *
 * Smarty Variables:
 *	$product (array of this Product's data)
 *
 *}

{t c="TRANS_PRODUCTS" d="Products"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_REMOVE_PRODUCT_MESG" d="Are you sure you want to remove this product?"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_REMOVE"
	sideNavMajor="products"
	sideNavMinor="products"}

{include file="$tplDirectory/widgets/context/product.tpl" product=$product types=$types}

<fieldset>
<ledger>{$smarty.const.TRANS_REMOVE_PRODUCT_MESG}</ledger>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tbody>
<tr>
	<td align="right">
		<form style="display: inline;" method="post" action="products.php">
			<input type="hidden" name="action" value="{getActionID action="RemoveProductResponse"}" />
			<input type="hidden" name="sid" value="{$sid}" />
			<input type="hidden" name="productID" value="{$product.productID}" />
			{if $smarty.request.redirectURL}
				<input type="hidden" name="redirectURL" value="{$smarty.request.redirectURL}" />
				<input type="hidden" name="redirectAction" value="{$smarty.request.redirectAction}" />
				<input type="hidden" name="redirectArgs" value="{$smarty.request.redirectArgs}" />
			{/if}
			<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_YES}" />
		</form>
			<input class="button" type="button" value="{$smarty.const.TRANS_NO}" onclick="history.go(-1);" /><br />
	</td>
</tr>
</tbody>
</table>
</fieldset>

{include file="$tplDirectory/footer.tpl"}