{* $Id: RemoveTLD.tpl 7718 2006-06-23 19:16:17Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to edit an existing client.
 *
 * Smarty Variables:
 *	$formValues (array of this clients data)
 *		clientID			A unique client ID
 *		clientFirstName		A client's first name
 *		clientLastName		A client's last name
 *		clientEmail			A client's email address
 *		clientCompany		A client's company name
 *		clientActive		The active state of a client
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_TLDID" d="TLD ID"}
{t c="TRANS_TLDS" d="TLDs"}
{t c="TRANS_TLD" d="TLD"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EDIT_TLD" d="Edit TLD"}
{t c="TRANS_RESET" d="Reset"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_TLDS"
	grandchildName="TRANS_REMOVE"
	sideNavMajor="products"
	sideNavMinor="tlds"}

<table border="0" cellpadding="0" cellspacing="0" width="100%" class="list">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_TLDID"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_TLD_NAME"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_TLD_EXTENSION"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_WHOIS_SERVER"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ACTIVE"}
</tr>
</thead>

<tbody>
<tr class="alt1">
	<td>{$TLD.tldID}</td>
	<td>{$TLD.tldName}</td>
	<td>{$TLD.tldExtension}</td>
	<td>{$TLD.tldWhoisServer}</td>
	<td>{$TLD.tldActive|getArrayValueByID:$yesNo}</td>
</tr>
<tr class="listButtons">
	<td colspan="5" align="right"><div>
		<form action="products.php" method="post" style="display:inline;">
		<input type="hidden" name="action" value="{getActionID action="RemoveTLDResponse}" />
		<input type="hidden" name="tldID" value="{$TLD.tldID}" />
		<input type="hidden" name="sid" value="{$sid}" />
		<input type="submit" class="submit" value="{$smarty.const.TRANS_REMOVE}" />
		</form>
		<form action="products.php" method="post" style="display:inline;">
		<input type="hidden" name="action" value="{getActionID action="EditTLD"}" />
		<input type="hidden" name="tldID" value="{$TLD.tldID}" />
		<input type="hidden" name="sid" value="{$sid}" />
		<input type="submit" class="submit" value="{$smarty.const.TRANS_CANCEL}" />
		</form>
	</div></td>
</tr>
</tbody>
</table>



{include file="$tplDirectory/footer.tpl"}
