{* $Id: ShowCoupons.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a list of products.
 *
 * Smarty Variables:
 *	$products (array of products that match criteria)
 *
 *}

{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_SHOW_COUPONS" d="Show Coupons"}
{t c="TRANS_COUPONS" d="Coupons"}
{t c="TRANS_COUPON" d="Coupon"}

{t c="TRANS_COUPON_ID" d="Coupon ID"}
{t c="TRANS_COUPON_CODE" d="Coupon Code"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_START_DATE" d="Start Date"}
{t c="TRANS_END_DATE" d="End Date"}
{t c="TRANS_NUM_CYCLES" d="Number of cycles"}
{t c="TRANS_COUNT" d="Count"}
{t c="TRANS_RESET" d="Reset"}
{t c="TRANS_MAX_COUNT" d="Max Count"}
{t c="TRANS_NEW_SIGNUPS" d="New Signups"}
{t c="TRANS_ALLOW_ONLY_NEW_SIGNUPS" d="Allow Only New Signups"}
{t c="TRANS_ALLOW_EXISTING_SIGNUPS" d="Allow Existing Signups"}
{t c="TRANS_ID" d="ID"}
{t c="TRANS_ACTIONS" d="Actions"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_SHOW_COUPONS"
	sideNavMajor="products"
	sideNavMinor="coupons"}
 
<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="listRowNoBorders">
{t c="TRANS_ADDITIONAL_DATA" d="Display/Hide Additional Data"}
	<td colspan="7" onmouseover="this.style.cursor='hand'" onclick="{strip} {section name=iter loop=$coupons} 
		XKtoggle('row_{$coupons[iter].couponID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {$smarty.const.TRANS_ADDITIONAL_DATA}
	</td>
</tr>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_ID" sortColumn="couponID"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_COUPON_CODE" sortColumn="couponCode"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_TYPE" sortColumn="couponType"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_DISCOUNT" sortColumn="couponDiscount"}
	{include file="$tplDirectory/widgets/table/tableFilterHeader.tpl" filterName="TRANS_ACTIVE" filterColumn="couponActive" filterOptions="$activeInactive"}
	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{section name=i loop="$coupons"}
{assign var="couponID" value=$coupons[i].couponID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td onmouseover="this.style.cursor='hand'" onclick="return XKtoggle('row_{$couponID}');">
		<a name="c{$couponID}"></a> <a href="#c{$couponID}">{$couponID}</a>
	</td>
	<td>
		{$coupons[i].couponCode}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$couponID
			editKey="couponID"
			editActionName="EditCouponResponse"
			editName="TRANS_NAME"
			editColumn="couponCode"
			editValue=$coupons[i].couponCode}
	</td>
	<td>
		{$coupons[i].couponType|getTypeName:"coupon"}
		{include
			file="$tplDirectory/widgets/quickEditSelectLink.tpl"
			editID=$couponID
			editKey="couponID"
			editActionName="EditCouponResponse"
			editName="TRANS_TYPE"
			editColumn="couponType"
			editOptions=$couponTypes
			editSelected=$coupons[i].couponType}
	</td>
	<td>
		{$coupons[i].couponDiscount}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$couponID
			editKey="couponID"
			editActionName="EditCouponResponse"
			editName="TRANS_DISCOUNT"
			editColumn="couponDiscount"
			editValue=$coupons[i].couponDiscount}
	</td>
	<td>
		{$coupons[i].couponActive|getArrayValueByID:$activeInactive}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$couponID
			editKey="couponID"
			editActionName="EditCouponResponse"
			editName="TRANS_ACTIVE"
			editColumn="couponActive"
			editValue=$coupons[i].couponActive}
	</td>
	<td class="nowrap">
		{strip}
		<a href="{getHREF page="products.php" actionName="EditCoupon" args="couponID=$couponID"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		</a>
		&nbsp;
		<a href="{getHREF page="products.php" actionName="RemoveCoupon" args="couponID=$couponID"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</a>
		{/strip}
	</td>
</tr>
</tbody>
<tbody id="row_{$couponID}" class="on">
<tr>
	<td colspan="7" class="comments altinner">
		<table width="100%" class="small">
			<tr class="{cycle name="couponAttrs$couponID" values="alt1,alt2"}">
				<th style="white-space: nowrap;" scope="row" style="white-space: nowrap;">{$smarty.const.TRANS_COMMENTS}</th>
				<td width="100%">
					{$coupons[i].couponComments}
					{include
						file="$tplDirectory/widgets/quickEditLink.tpl"
						editID=$couponID
						editKey="couponID"
						editActionName="EditCouponResponse"
						editName="TRANS_COMMENTS"
						editColumn="couponComments"
						editSelected=$coupon[i].couponComments}
				</td>
			</tr>
			<tr class="{cycle name="couponAttrs$couponID" values="alt1,alt2"}">
				<th style="white-space: nowrap;" scope="row" style="white-space: nowrap;">{$smarty.const.TRANS_NUM_CYCLES}</th>
				<td width="100%">
					{if $coupons[i].couponNumCycles}
						{$coupons[i].couponNumCycles}
					{else}
						{$smarty.const.TRANS_UNLIMITED}
					{/if}
					{include
						file="$tplDirectory/widgets/quickEditLink.tpl"
						editID=$couponID
						editKey="couponID"
						editActionName="EditCouponResponse"
						editName="TRANS_NUM_CYCLES"
						editColumn="couponNumCycles"
						editSelected=$coupon[i].couponNumCycles}
				</td>
			</tr>
			<tr class="{cycle name="couponAttrs$couponID" values="alt1,alt2"}">
				<th style="white-space: nowrap;" scope="row" style="white-space: nowrap;">{$smarty.const.TRANS_COUNT}</th>
				<td width="100%">
					{$coupons[i].couponCount}
					{include
						file="$tplDirectory/widgets/quickEditLink.tpl"
						editID=$couponID
						editKey="couponID"
						editActionName="EditCouponResponse"
						editName="TRANS_COUNT"
						editColumn="couponCount"
						editSelected=$coupon[i].couponCount}
				</td>
			</tr>
			<tr class="{cycle name="couponAttrs$couponID" values="alt1,alt2"}">
				<th style="white-space: nowrap;" scope="row" style="white-space: nowrap;">{$smarty.const.TRANS_MAX_COUNT}</th>
				<td>
					{if $coupons[i].couponMaxCount}
						{$coupons[i].couponMaxCount}
					{else}
						{$smarty.const.TRANS_UNLIMITED}
					{/if}
					{include
						file="$tplDirectory/widgets/quickEditLink.tpl"
						editID=$couponID
						editKey="couponID"
						editActionName="EditCouponResponse"
						editName="TRANS_MAX_COUNT"
						editColumn="couponMaxCount"
						editValue=$coupons[i].couponMaxCount}
				</td>
			</tr>
			<tr class="{cycle name="couponAttrs$couponID" values="alt1,alt2"}">
				<th style="white-space: nowrap;" scope="row">{$smarty.const.TRANS_DATE_CREATED}</th>
				<td>{$coupons[i].couponDateCreated|getDateTime}</td>
			</tr>
			<tr class="{cycle name="couponAttrs$couponID" values="alt1,alt2"}">
				<th style="white-space: nowrap;" scope="row">{$smarty.const.TRANS_START_DATE}</th>
				<td>{$coupons[i].couponDateStarted|getDateTime}</td>
			</tr>
			<tr class="{cycle name="couponAttrs$couponID" values="alt1,alt2"}">
				<th style="white-space: nowrap;" scope="row">{$smarty.const.TRANS_END_DATE}</th>
				<td>{$coupons[i].couponDateEnded|getDateTime}</td>
			</tr>
			<tr class="{cycle name="couponAttrs$couponID" values="alt1,alt2"}">
				<th style="white-space: nowrap;" scope="row">{$smarty.const.TRANS_NEW_SIGNUPS}</th>
				<td>{if $coupons[i].couponNewOnly}{$smarty.const.TRANS_ALLOW_ONLY_NEW_SIGNUPS}{else}{$smarty.const.TRANS_ALLOW_EXISTING_SIGNUPS}{/if}</td>
			</tr>
		</table>
		
		<script type="text/javascript">XKtoggle('row_{$coupons[i].couponID}');</script>
	</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="7">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
</table>
 
 
{include file="$tplDirectory/widgets/paginationLinks.tpl"}

{include file="$tplDirectory/footer.tpl"}
