{* $Id: RemovePanel.tpl 6782 2006-05-11 16:05:43Z kbailey $
 * --------------------------------------------------------------
 * This template displays a confirmation on deletion of a panel.
 *
 * Smarty Variables:
 *	$panel (array of this admin's data)
 *
 *}

{t c="TRANS_REMOVE_PANEL" d="Remove Panel"}
{t c="TRANS_CONFIRM_REMOVE_PANEL" d="Yes, remove this panel"}
{t c="TRANS_CONFIRM_REMOVE_PANEL_DESCRIPTION" d="Are you sure you wish to remove this panel?"}
{t c="TRANS_CANCEL" d="Cancel"}
{t c="TRANS_PANEL_TYPE" d="Type"}
{t c="TRANS_PANEL_NAME" d="Name"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_SERVERS"
	childName="TRANS_MANAGE_SERVER_GROUPS"
	grandchildName="TRANS_REMOVE_PANEL"
	useMenu="system"}

<fieldset>
<legend>{$smarty.const.TRANS_REMOVE_PANEL}</legend>

<form method="post" action="servergroups.php">
<input type="hidden" name="action" value="{getActionID action="RemovePanelResponse"}">
<input type="hidden" name="configGroupID" value="{$panel.configGroupID}">
<input type="hidden" name="sid" value="{$sid}">
<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
	<tr>
		<td class="title">{$smarty.const.TRANS_PANEL_TYPE}</td>
		<td>{$panel.panelType}</td>
	</tr>

	<tr>
		<td class="title">{$smarty.const.TRANS_PANEL_NAME}</td>
		<td>{$panel.panelName}</td>
	</tr>

	<tr class="listButtons">
		<td colspan="2"><div><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_CONFIRM_REMOVE_PANEL}"> <input class="button" type="button" value="{$smarty.const.TRANS_CANCEL}" onclick="history.go(-1);"></div></td>
	</tr>
</table>
</form>
</fieldset>

{include file="$tplDirectory/footer.tpl"}
