{* $Id: ShowServerGroups.tpl 11377 2007-06-18 15:37:21Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of servergroups.
 *
 * Smarty Variables:
 *	$serverGroups (array of servergroups that match criteria)
 *  $canGetServerLoad (array of server group IDs with 1 if it can get the server load)
 *
 *}
{t c="TRANS_SERVERGROUPID" d="Server Group ID"}
{t c="TRANS_SERVERGROUPNAME" d="Server Group Name"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_MANAGE_SERVERGROUPS" d="Manage Server Groups"}
{t c="TRANS_SHOW_SERVERGROUPS" d="Show Server Groups"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_SERVER_LOAD" d="load averages"}
{t c="TRANS_SERVER_VERSION" d="v:"}
{t c="TRANS_ADD_SERVER_GROUP" d="Add Server Group"}
{t c="TRANS_SERVER_GROUPS" d="Server Groups"}
{t c="TRANS_ADD_A_PANEL" d="Add A Panel"}
{t c="TRANS_LIST_SERVERS" d="List Servers"}
{t c="TRANS_NO_LIMIT" d="no limit"}
{t c="TRANS_SERVER_GROUP_REPORT" d="Server Group Report"}
{t c="TRANS_IP_QUEUE" d="IP Queue"}
{t c="TRANS_LOGIN" d="Login"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SERVERGROUPS"
	childName="TRANS_SHOW_SERVERGROUPS"
	sideNavMajor="system"
	sideNavMinor="system"
	includeAjaxJS=1}

<script type="text/javascript">
	var the_v = "{$smarty.const.TRANS_SERVER_VERSION}";
	var cp = new cpaint();
	cp.set_transfer_mode('get');
	cp.set_response_type('text');
	cp.set_use_cpaint_api(false);

	var slURL = '';
	var servergroup = '';

	{literal}
	function checkServerLoad() {
		if (document.getElementById("xloading"+servergroup)){
			document.getElementById("xloading"+servergroup).src = '{/literal}{$imageDirectory}/loading2.gif{literal}';
		}
		cp.call(slURL, 'checkServerLoad', checkServerLoadResponse);
		return false;
	}

	function setimgtarget(x){
		if (x!=servergroup && servergroup!=''){
			document.getElementById("xloading"+servergroup).src = '{/literal}{$imageDirectory}/spacer.gif{literal}';
			servergroup = x;
		} else {
			servergroup = x;
		}
	}

	function checkServerLoadResponse(result) {
		if (result) {
			processLoadReturn(result);
		} else {
			alert("Error getting server load data.");
		}
	}

	function processLoadReturn(data){
		var datapart = data.substring(data.indexOf('BEGINRECORDS:')+13,data.indexOf('ENDRECORDS:'));
		var records = datapart.split("\n");
		var record = '';
		var loaditems;
		var items;

		var prec = '';
		for (i=0; i<records.length; i++){
			record = records[i];
			if (record.substring(0,6)=='RECORD'){
				prec = record.substring(7, record.indexOf("="));

				loaditems = record.substring(record.indexOf("=")+1);
				items = loaditems.split("|");

				if(items[0]!='disabled'){
					document.getElementById(prec).innerHTML = "<b>[ </b>"+items[0]+" <b>][</b> "+items[1]+" <b>][</b> "+items[2]+"<b> ]</b>";
				}
				if(items[0]=='disabled'){
					document.getElementById(prec).innerHTML = "<b>[ </b>"+items[0]+" <b>]";
				}
				if (items[3]!='' && items[3]!=' '){
					prec = prec.replace("serverLoad", "serverVersion");
					document.getElementById(prec).innerHTML = "{/literal}{$smarty.const.TRANS_SERVER_VERSION}{literal}"+items[3]+"";
				}

			}
		}
		setimgtarget('');

	}

	{/literal}
</script>

<fieldset>
<legend>{$smarty.const.TRANS_SERVER_GROUPS}</legend>


<div style="float:right;" class="rm">
		<a href="{getHREF page="servergroups.php" actionName="AddServerGroup"}">{$smarty.const.TRANS_ADD_SERVER_GROUP}</a>
</div>
<div style="float:right;" class="rm">
		<a href="{getHREF page="servergroups.php" actionName="ShowServerGroupsReport" args="activePanelsOnly=1"}">{$smarty.const.TRANS_SERVER_GROUP_REPORT}</a>
</div>

<br />
<a href="javascript:void(0);" onclick="
{section name=i loop="$serverGroups"}
	{assign var="serverGroupID" value=$serverGroups[i].serverGroupID}
	XKtoggle('row_{$serverGroupID}');
{/section}
">
	<img src="{$imageDirectory}/ico/more.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_LIST_SERVERS}" title="{$smarty.const.TRANS_LIST_SERVERS}" style="vertical-align:middle;border-style:none;" />
</a>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerClass="firstTD" headerName="TRANS_ID" sortColumn="serverGroupID"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_SERVERGROUPNAME" sortColumn="serverGroupName"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerClass="lastTD" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{section name=i loop="$serverGroups"}
{assign var="serverGroupID" value=$serverGroups[i].serverGroupID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td>
		<a href="javascript:void(0);" onclick="return XKtoggle('row_{$serverGroupID}');">
	    	<img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_LIST_SERVERS}" style="vertical-align:middle;border-style:none;" />
		</a>
		<a href="javascript:void(0);" onclick="return XKtoggle('row_{$serverGroupID}');">
			{$serverGroups[i].serverGroupID}
		</a>
	</td>
	<td>
		{$serverGroups[i].serverGroupName}
		<img src="{$imageDirectory}/spacer.gif" name="xloading{$serverGroupID}" id="xloading{$serverGroupID}" height="14" width="14" align="middle">
	</td>
	<td>
		{strip}
		{if $serverGroups[i].canGetServerLoad}
			<a href="javascript:void(0);" onclick="slURL='{getHREF page="servergroups.php" actionName="CheckServerLoad" args="serverGroupID=$serverGroupID"}';setimgtarget('{$serverGroupID}');checkServerLoad();">
	    		<img src="{$imageDirectory}/ico/server_load.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_SERVER_LOAD}" title="{$smarty.const.TRANS_SERVER_LOAD}" style="vertical-align:middle;border-style:none;" />
			</a>		
			<a href="javascript:void(0);" onclick="slURL='{getHREF page="servergroups.php" actionName="CheckServerLoad" args="serverGroupID=$serverGroupID"}';setimgtarget('{$serverGroupID}');checkServerLoad();">
				{$smarty.const.TRANS_SERVER_LOAD}
			</a>
			&nbsp;
		{/if}
		{if $serverGroups[i].useInternalIPQueue}
			{assign var="useIIPQueue" value=1}
		{else}
			{assign var="useIIPQueue" value=0}
		{/if}
		<a href="javascript:void(0);" onclick="return XKtoggle('row_{$serverGroupID}');">
	    	<img src="{$imageDirectory}/ico/server_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_LIST_SERVERS}" title="{$smarty.const.TRANS_LIST_SERVERS}" style="vertical-align:middle;border-style:none;" />
		</a>
		<a href="javascript:void(0);" onclick="return XKtoggle('row_{$serverGroupID}');">
			{$smarty.const.TRANS_LIST_SERVERS}
		</a>
		&nbsp;		
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="servergroups.php"
		    actionName="EditServerGroup"
		    args="serverGroupID=$serverGroupID"
		    icoImage="edit"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_EDIT"
		    titleText=""
		    linkText="TRANS_EDIT"
		    noSpace="0"
		}		
		&nbsp;
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="servergroups.php"
		    actionName="RemoveServerGroup"
		    args="serverGroupID=$serverGroupID"
		    icoImage="remove"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_REMOVE"
		    titleText=""
		    linkText="TRANS_REMOVE"
		    noSpace="0"
		}			
		{/strip}
	</td>
</tr>
</tbody>
<tbody id="row_{$serverGroupID}" class="{if $serverGroups[i].panels}off{/if}">
<tr>
	<td colspan="3" class="comments altinner">
		<table width="100%" border="0" cellpadding="0" cellspacing="0">
		{assign var="panels" value=$serverGroups[i].panels}
		{section name="j" loop="$panels"}
			{assign var="configID" value=$serverGroups[i].panels[j].configGroupID}
			{assign var="serverGroupID" value=$serverGroups[i].serverGroupID}
			{assign var="configGroupID" value=$serverGroups[i].panels[j].configGroupID}
			{assign var="parentConfigGroupID" value=$serverGroups[i].panels[j].parentConfigGroupID}
			{assign var="configGroupName" value=$serverGroups[i].panels[j].configGroupTransKey}
			<tr class="{if $smarty.section.j.index%2==0}alt1{else}alt2{/if}">
				<td width="75%" style="text-align: left;">
					<b>{$serverNames[$configID].configParamValue}:</b> {$panels[j].configGroupTransKey}
					{if $serverNames[$configGroupID].panelMaxAccounts > 0}
						&nbsp;{$serverNames[$configGroupID].panelCurrentAccounts} / {$serverNames[$configGroupID].panelMaxAccounts}
					{else}
						&nbsp;{$smarty.const.TRANS_NO_LIMIT}
					{/if}

					&nbsp;

					<a href="{getHREF page="modules.php" actionName="ShowPanelDetails" args="configGroupID=$configGroupID&serverGroupID=$serverGroupID"}">
						<img src="{$imageDirectory}/ico/view.gif" width="16" height="16" border="0" alt="{$smarty.const.SERVER_DETAILS}" title="{$smarty.const.SERVER_DETAILS}" style="vertical-align:middle;border-style:none;" />
					</a>		

					<span id="serverLoad{$configGroupID}"></span> 
					&nbsp;
					<span id="serverVersion{$configGroupID}"></span>	
				</td>
				<td width="25%" style="text-align: center;">
				{strip}
				{if $serverGroups[i].panelType == "Plesk" || $serverGroups[i].panelType == "PleskWin" }
					{include file="$tplDirectory/widgets/actionLink.tpl"
						page="modules.php"
						actionName="LoginToPanel"
						args="configGroupID=$configGroupID"
						icoImage="login_to_server.gif"
						icoWidth=""
						icoHeight=""
						icoStyle=""
						altText="TRANS_LOGIN"
						titleText=""
						linkText="TRANS_LOGIN"
						noSpace="0"
						target="_blank"
					}
				{/if}
				{include file="$tplDirectory/widgets/actionLink.tpl"
					page="modules.php"
					actionName="EditPanelConfig"
					args="configGroupID=$configGroupID"
					icoImage="server_edit.gif"
					icoWidth=""
					icoHeight=""
					icoStyle=""
					altText="TRANS_EDIT"
					titleText=""
					linkText="TRANS_EDIT"
					noSpace="0"
				}						
				&nbsp;
				{include file="$tplDirectory/widgets/actionLink.tpl"
					page="servergroups.php"
					actionName="RemovePanel"
					args="configGroupID=$configGroupID"
					icoImage="server_delete.gif"
					icoWidth=""
					icoHeight=""
					icoStyle=""
					altText="TRANS_REMOVE"
					titleText=""
					linkText="TRANS_REMOVE"
					noSpace="0"
				}		
				{/strip}
				{assign var="rowOpen" value=""}
				</td>
			</tr>
			{if $serverNames[$configGroupID].panelMaxAccounts > 0}
			<tr class="{if $smarty.section.j.index%2==0}alt1{else}alt2{/if}">
				<td>
					{if $useIIPQueue}
						{$smarty.const.TRANS_IP_QUEUE}:
						<a href="{getHREF page="servers.php" actionName="ShowIPLog" args="configGroupID=$configGroupID"}">
							{$ips[$configGroupID]}
						</a>
					{/if}
				</td>
				<td>
					<span class="floatright">
						<img class="graph" src="graphs.php?action={getActionID action="ShowGenericBar"}&sid={$sid}&amount={$serverNames[$configGroupID].panelCurrentAccounts}&limit={$serverNames[$configGroupID].panelMaxAccounts}&height=30&width=250" border="0" />
					</span>
				</td>			</tr>
			{/if}
		{sectionelse}			
			<tr>
				<td colspan="2">
					<form method="post" action={getHREF page="servergroups.php" actionName="AddPanelResponse"}>
					{$smarty.const.TRANS_ADD_A_PANEL}: 
					<select id="panelName" name="panelName">
						<option selected="selected"></option>
						{html_options options=$controlPanels}
						{assign var="configGroupID" value=0}
					</select>
					<input type="hidden" name="serverGroupID" value="{$serverGroupID}">
					<input class="submit" type="submit" value="add">
					</form>
				</td>
			</tr>
		{/section}
		{if $configGroupID && $configGroupName}
			<tr>
				<td colspan="2">
					<hr>
					{strip}
					<a href="{getHREF page="servergroups.php" actionName="AddPanelResponse" args="serverGroupID=$serverGroupID&parentConfigGroupID=$parentConfigGroupID"}">
	    				<img src="{$imageDirectory}/ico/server_add.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_ADD}" title="{$smarty.const.TRANS_ADD}" style="vertical-align:middle;border-style:none;" />
					</a>				
					<a href="{getHREF page="servergroups.php" actionName="AddPanelResponse" args="serverGroupID=$serverGroupID&parentConfigGroupID=$parentConfigGroupID"}">
						{$configGroupName}
					</a>
					{/strip}

				</td>
			</tr>
		{/if}
		</table>
	</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="2">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
</table>
</fieldset>
{include file="$tplDirectory/widgets/paginationLinks.tpl"}

{include file="$tplDirectory/footer.tpl"}
