{* $Id: billingAccounts.tpl 10183 2006-12-01 20:42:27Z kbailey $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}
{t c="TRANS_LOGIN_AS_CONTACT" d="Login as Contact"}
{t c="TRANS_SHOW_ALL_BILLING_ACCOUNTS" d="Show All Billing Accounts"}
{t c="TRANS_SHOW_CALLBACK_HISTORY" d="Show Callback History"}

<div class="box07" style="background-color:#EEEDE9">
	<div class="st01"><h1>{$smarty.const.TRANS_BILLING_ACCOUNT_SUMMARY}</h1></div>

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr>
		<td class="title">{$smarty.const.TRANS_DEFAULT_BILLING_METHOD}:</td>
		<td>{$defaultBillingAccount.billingAccountType|getTypeName:"billingAccount"}
			{if $defaultBillingAccount.billingAccountID}
				[<a href="{getHREF page="clients.php" actionName="EditBillingAccount" args="billingAccountID=`$defaultBillingAccount.billingAccountID`&clientID=`$client.clientID`"}">{$defaultShareCount}/{array_sum array=$packageStatuses}</a> {$smarty.const.TRANS_PACKAGE}(s)]
			{/if}
		</td>
	</tr>
	{foreach from=$billingAccountTypes key=typeID item=num}
		<tr>
			<td class="title">
				{$typeID|getTypeName:"billingAccount"}:
			</td>
			<td>{$num}</td>
		</tr>
	{/foreach}
	{if count($billingAccountTypes) != 1}
		<tr>
			<td class="title">{$smarty.const.TRANS_TOTAL}:</td>
			<td>{array_sum array=$billingAccountTypes}</td>
		</tr>
	{/if}
	</table>
	{assign var=p value=$client.clientID}
	{assign var=k value=$primaryContact.clientContactID}

	<table border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr>
		<td>
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="AddBillingAccount"
				args="clientID=$p&clientContactID=$k"
				icoImage="creditcards_add.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_ADD_NEW_TO_PRIMARY"
				titleText=""
				linkText="TRANS_ADD_NEW_TO_PRIMARY"}

			<br />

			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ShowBillingAccounts"
				args="clientID=$p"
				icoImage="creditcards.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_SHOW_ALL_BILLING_ACCOUNTS"
				titleText=""
				linkText="TRANS_SHOW_ALL_BILLING_ACCOUNTS"}
			<br />

			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="paymentqueue.php"
				actionName="ShowCallbackLog"
				args="clientID=$p"
				icoImage="callbacklog.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_SHOW_CALLBACK_HISTORY"
				titleText=""
				linkText="TRANS_SHOW_CALLBACK_HISTORY"}
		</td>
	</tr>
	</table>

</div>{* box07 *}