{* $Id: billingAccount.tpl 9081 2006-09-21 19:26:12Z mfountain $
 * --------------------------------------------------------------
 * This widget template is used to display the billing account context bar.
 *
 * Smarty Variables:
 * $client		array of client information
 * $contact		array of contact information
 * $billingAccount	array of billing account information
 * $billingAccountTypes	array of billing account types for display
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/context/billingAccount.tpl" client=$client contact=$contact billingAccount=$billingAccount billingAccountTypes=$billingAccountTypes}
 *}
{t c="TRANS_BILLING_ACCOUNTID" d="Billing Account ID"}
{t c="TRANS_BILLING_ACCOUNT_TYPE" d="Billing Account Type"}
{t c="TRANS_ORDER" d="Order"}
{t c="TRANS_PERCENT" d="Percent"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_BILLING_ID" d="Billing ID"}

{assign var="clientID" value=$client.clientID}
{assign var="clientContactID" value=$contact.clientContactID}
{assign var="billingAccountID" value=$billingAccount.billingAccountID}

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerClass="firstTD" headerName="TRANS_BILLING_ID"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="75%" headerName="TRANS_BILLING_ACCOUNT_TYPE"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" headerClass="lastTD" headerName="TRANS_ACTIONS"}
</tr>
</thead>
<tbody>
<tr class="althover">
	<td class="listRowFirstTD">
		<strong>
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="clients.php"
			actionName="ShowBillingAccounts"
			args="clientID=$clientID&clientContactID=$clientContactID"
			altText=$billingAccount.billingAccountID
			linkText=$billingAccount.billingAccountID
		}
		</strong>
	</td>
	<td>
		{assign var="thisBillingAccountType" value=$billingAccount.billingAccountType} 
		{$billingAccountTypes.$thisBillingAccountType} - {$billingAccount.billingAccountNumLastFour}
	</td>
	<td>
		{strip}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="clients.php"
			actionName="ShowBillingAccounts"
			args="clientID=$clientID&clientContactID=$clientContactID"
			icoImage="creditcards.gif"
			altText="TRANS_DETAILS"
			linkText="TRANS_DETAILS"
			noSpace="1"
		}
		&nbsp;
		{/strip}
	</td>
</tr>
</tbody>
</table>

<br />
