{* $Id: contact.tpl 9068 2006-09-21 14:44:51Z mfountain $
 * --------------------------------------------------------------
 * This widget template is used to display the client context bar.
 *
 * Smarty Variables:
 *	$client		array of client information
 * $contact		array of contact information
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/context/client.tpl" client=$client contact=$contact}
 *}
{t c="TRANS_CLIENT_CONTACTID" d="Client Contact ID"}
{t c="TRANS_CLIENT_CONTACT_FIRSTNAME" d="Client Contact First Name"}
{t c="TRANS_CLIENT_CONTACT_LASTNAME" d="Client Contact Last Name"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_CONTACT_IS_PRIMARY" d="Contact is Primary"}
{t c="TRANS_CLIENT_CONTACT_NAME" d="Contact Name"}
{t c="TRANS_CLIENT_CONTACT_EMAIL" d="Contact Email"}
{t c="TRANS_CONTACT_ID" d="Contact ID"}

{assign var="clientContactID" value=$contact.clientContactID}
{assign var="clientID" value=$client.clientID}
{assign var="contactPrimary" value=$contact.contactPrimary}

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerClass="firstTD" headerName="TRANS_CONTACT_ID"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="25%" headerName="TRANS_CONTACT_IS_PRIMARY"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="25%" headerName="TRANS_CLIENT_CONTACT_NAME"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="25%" headerName="TRANS_CLIENT_CONTACT_EMAIL"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" headerClass="lastTD" headerName="TRANS_ACTIONS"}
</tr>
</thead>
<tbody>
<tr class="althover">
	<td class="listRowFirstTD">
		<strong>
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ShowClientContacts"
				args="clientID=$clientID&clientContactID=$clientContactID"
				altText=$contact.clientContactID
				linkText=$contact.clientContactID
			}
		</strong>
	</td>
	<td>{$yesNo[$contactPrimary]}</td>
	<td>
		<a href="{getHREF page="clients.php" actionName="ShowClientContacts" args="clientID=$clientID&clientContactID=$clientContactID"}">
			{$contact.contactLastName|stripslashes|mb_truncate:25}, {$contact.contactFirstName|stripslashes|mb_truncate:25}
		</a>
	</td>
	<td><a href="mailto:{$client.contactEmail}">{$contact.contactEmail|mb_truncate:45}</a></td>
	<td class="nowrap">
		{strip}

		{if !$suppressDetailsLink}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ShowClientContacts"
				args="clientID=$clientID&clientContactID=$clientContactID"
				icoImage="contact_view.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_DETAILS"
				titleText=""
				linkText="TRANS_DETAILS"
				noSpace="1"
			}
			&nbsp;
		{/if}

		{if !$suppressEditLink}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="EditClientContact"
				args="clientID=$clientID&clientContactID=$clientContactID"
				icoImage="contact_edit.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_EDIT"
				titleText=""
				linkText="TRANS_EDIT"
				noSpace="1"
			}
			&nbsp;
		{/if}

		{if !$suppressDeleteLink}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="RemoveClientContact"
				args="clientID=$clientID&clientContactID=$clientContactID"
				icoImage="contact_delete.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_REMOVE"
				titleText=""
				linkText="TRANS_REMOVE"
				noSpace="1"
			}
		{/if}

		{/strip}
	</td>
</tr>
</tbody>
</table>

<br />
