{* $Id: cycle.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display the cycle context bar.
 *
 * Smarty Variables:
 *	$cycle		array of cycle information
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/context/cycle.tpl" cycle=$cycle}
 *}
{t c="TRANS_CYCLE_ID" d="Cycle ID"}
{t c="TRANS_CYCLE_NAME" d="Cycle Name"}
{t c="TRANS_SECONDS" d="Seconds"}
{t c="TRANS_MINUTES" d="Minutes"}
{t c="TRANS_HOURS" d="Hours"}
{t c="TRANS_DAYS" d="Days"}
{t c="TRANS_MONTHS" d="Months"}
{t c="TRANS_YEARS" d="Years"}

{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EDIT_PRICES" d="Edit Prices"}
{t c="TRANS_REMOVE" d="Remove"}

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	<td>{$smarty.const.TRANS_CYCLE_ID}</td>
	<td>{$smarty.const.TRANS_CYCLE_NAME}</td>
	<td>{$smarty.const.TRANS_SECONDS}</td>
	<td>{$smarty.const.TRANS_MINUTES}</td>
	<td>{$smarty.const.TRANS_HOURS}</td>
	<td>{$smarty.const.TRANS_DAYS}</td>
	<td>{$smarty.const.TRANS_MONTHS}</td>
	<td>{$smarty.const.TRANS_YEARS}</td>
	<td>{$smarty.const.TRANS_ACTIONS}</td>
</tr>
</thead>
<tbody>
<tr class="alt1">
	<td>{$cycle.cycleID}</td>
	<td>{$cycle.cycleDisplayName}</td>
	<td>{$cycle.cycleNumSeconds}</td>
	<td>{$cycle.cycleNumMinutes}</td>
	<td>{$cycle.cycleNumHours}</td>
	<td>{$cycle.cycleNumDays}</td>
	<td>{$cycle.cycleNumMonths}</td>
	<td>{$cycle.cycleNumYears}</td>
	<td class="nowrap">
		{assign var="tldID" value=$TLD.tldID}
		{strip}
		<a href="{getHREF page="products.php" actionName="EditCycle" args="cycleID=$cycleID"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		</a>
		&nbsp;
		<a href="{getHREF page="products.php" actionName="RemoveCycle" args="cycleID=$cycleID"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</a>
		{/strip}
	</td>
</tr>
</tbody>
</table>

<br />