{* $Id: genericTemplate.tpl 9758 2006-10-23 15:52:28Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_PRODUCT_ADDON_INPUT_TYPE" d="Addon Input Type"}
{t c="TRANS_ARE_YOU_SURE_YOU_WISH_TO_DELETE_THE_FOLLOWING" d="Are you sure you wish to delete the following?"}
{t c="TRANS_YES_REALLY_REMOVE" d="Yes, really remove"}
{t c="TRANS_PRODUCT_ADDON_ID" d="Product Addon ID"}
{t c="TRANS_PACKAGE_ADDON_ID" d="ID"}
{t c="TRANS_ATTRIBUTE_ID" d="Attribute ID"}
{t c="TRANS_PACKAGE" d="Package"}
{t c="TRANS_SERVER_GROUP" d="Server Group"}
{t c="TRANS_SERVER" d="Server ID"}
{t c="TRANS_ATTRIBUTE_NAME" d="Attribute Name"}
{t c="TRANS_ATTRIBUTE_VALUE" d="Attribute Value"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_TEMPLATING_ERROR" d="There has been a templating error."}
{t c="TRANS_TEMPLATE_NOT_FOUND_FOR" d="Template not found for"}
{t c="TRANS_CONFIRM_TRANSACTION_REMOVE" d="Are you really sure you wish to remove this transaction?  This will DELETE it from the database and also delete all accounting data for it.  The invoice it applies to will also be marked as due again."}
{t c="TRANS_MANAGE_GROUPS_ATTRIBUTE" d="Manage Group Attributes"}

{include file="$tplDirectory/header.tpl"
	parentName=$parentName
	childName=$childName
	grandchildName=$grandchildName
	sideNavMajor=$sideNavMajor
	sideNavMinor=$sideNavMinor}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}


{if $genericType=="edit"}

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		formName="editForm"
		inForm=$inForm
		suppressInputValidation="no"
		submitLabel="TRANS_SAVE_CHANGES"
		formAction=$SCRIPT_NAME
		actionName=$editResponseAction
		hiddenFields=$hiddenFields
		fields=$editFields
		autoEditTitle=$grandchildName
		}

{elseif $genericType=="editobject"}

	{if $saved}
		{include
			file="$tplDirectory/widgets/showInvalidCustom.tpl"
			duration="4"
			message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
	{/if}

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl" getDataFrom=$editForm}

{elseif $genericType=="showdetails"}

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		formName="editForm"
		inForm="yes"
		suppressInputValidation="yes"
		submitLabel=""
		formAction=""
		actionName=""
		hiddenFields=""
		fields=$editFields
		autoEditTitle=$grandchildName
		}

{elseif $genericType=="add"}

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		formName="editForm"
		inForm=$inForm
		suppressInputValidation="no"
		submitLabel="TRANS_ADD"
		formAction=$SCRIPT_NAME
		actionName=$addResponseAction
		hiddenFields=$hiddenFields
		fields=$editFields
		autoEditTitle=$grandchildName
		}

{elseif $genericType=="remove"}


	{if $grandchildName}
	<fieldset>
		<legend>{$smarty.const.$grandchildName|default:$grandchildName}</legend>
	</fieldset>
	{/if}

	{if $headerMessage}
		<h1 style="text-align: center;">{$smarty.const.$headerMessage|default:$headerMessage}</h1>
		<br />
	{/if}

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		formName="removeForm"
		inForm=$inForm
		suppressInputValidation="no"
		submitLabel="TRANS_YES_REALLY_REMOVE"
		backLabel="TRANS_CANCEL"
		formAction=$SCRIPT_NAME
		actionName=$removeResponseAction
		hiddenFields=$hiddenFields
		fields=$editFields
		autoEditTitle=TRANS_ARE_YOU_SURE_YOU_WISH_TO_DELETE_THE_FOLLOWING
		autoEditTitleStyle="color:red;"
		}

{elseif $genericType=="show"}
	{if $showAddButton}
		<div style="text-align:right;"><div class="rm"><a href="{getHREF actionName=$addAction}&{$addArgs}">{$smarty.const.TRANS_ADD_NEW}</a></div></div>
	{/if}
	<fieldset>
	<legend>{$smarty.const.$grandchildName|default:$grandchildName}</legend>

	{include file="$tplDirectory/widgets/table/autoShowTable.tpl"
		rowActions=$rowActions
		tableFields=$showFields
		tableData=$showData
		queryArgs=$pagesArgs
		}
	</fieldset>
{else}

<fieldset>
<legend>{$smarty.const.TRANS_TEMPLATING_ERROR}</legend>
{$smarty.const.TRANS_TEMPLATE_NOT_FOUND_FOR}: <strong>{$actionName}</strong>
</fieldset>

{/if}

{include file="$tplDirectory/footer.tpl"}


