{* $Id: sideMenuMajor_finances.tpl 12329 2007-12-07 22:11:44Z kbailey $
 * --------------------------------------------------------------
 * This template widget displays the side navigation when the finance menu is selected.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/menus/sideMenuMajor_finance.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_INVOICING" d="Invoicing"}
{t c="TRANS_BILLING" d="Billing"}
{t c="TRANS_ACCOUNTING" d="Accounting"}
{t c="TRANS_EXPAND_ALL" d="Expand All"}
{t c="TRANS_FINANCES" d="Finances"}

<div>

{* system side menu *}
<div class="lbox01">
	<div {if $sideNavMajor!="finances"}class="lbox01m1"{else}class="lbox01m0"{/if} id="majorNavDivZag_finances" onclick="toggleSubNav('finances');">{$smarty.const.TRANS_FINANCES}</div>
	<div class="lbox01b" id="majorNavDiv_finances" {if $sideNavMajor!="finances"} style="display: none;"{/if}>
		<div class="menu">
			<ul>
				<li><a href="{getHREF page="accounting.php" actionName="ShowAccountingReportsMenu"}"><img src="{$imageDirectory}/ico/mnu_finan_accoun.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.TRANS_ACCOUNTING}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="accounting.php" actionName="ShowAccountingReportsMenu"}"><img src="{$imageDirectory}/ico/mnu_finan_accoun_reports.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ACCOUNTING_REPORTS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="accounting.php" actionName="ShowJournalsMenu"}"><img src="{$imageDirectory}/ico/mnu_finan_accoun_daily.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_DAILY_JOURNALS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="accounting.php" actionName="ShowGeneralJournal"}"><img src="{$imageDirectory}/ico/mnu_finan_accoun_journal.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_GENERAL_JOURNAL}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="accounting.php" actionName="ShowLedgersMenu"}"><img src="{$imageDirectory}/ico/mnu_finan_accoun_ledgers.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_GENERAL_LEDGERS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="accounting.php" actionName="ShowLedgerAccounts"}"><img src="{$imageDirectory}/ico/mnu_finan_accoun_chart.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_CHART_OF_ACCOUNTS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="paymentqueue.php" actionName="ShowTransactionLog" args="status=authorized"}"><img src="{$imageDirectory}/ico/mnu_finan_bill.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.TRANS_MANAGE_BILLING}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="paymentqueue.php" actionName="ShowPaymentQueue"}"><img src="{$imageDirectory}/ico/mnu_finan_bill_payment.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_PAYMENT_QUEUE}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="paymentqueue.php" actionName="GeneratePaymentQueue"}"><img src="{$imageDirectory}/ico/mnu_finan_bill_gen_payment.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_GENERATE_PAYMENT_QUEUE}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
					{if $systemQueue.systemQueueRunning && $systemQueue.systemQueueCommand=="ProcessPaymentQueue"}
						<li><a href="{getHREF page="paymentqueue.php" actionName="RunPaymentQueueResponse"}"><img src="{$imageDirectory}/ico/mnu_finan_bill_run_payment_response.gif" width="14" height="14" alt="" title="" /> {$smarty.const.TRANS_RUN_PAYMENT_QUEUE}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					{else}
						<li><a href="{getHREF page="paymentqueue.php" actionName="RunPaymentQueue"}"><img src="{$imageDirectory}/ico/mnu_finan_bill_run_payment.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_RUN_PAYMENT_QUEUE}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					{/if}
						<li><a href="{getHREF page="paymentqueue.php" actionName="ShowTransactionLog" args="status=authorized"}"><img src="{$imageDirectory}/ico/mnu_finan_bill_uncaptured_funds.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_UNCAPTURED_FUNDS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="paymentqueue.php" actionName="ShowTransactionLog"}"><span class="drop"><span><img src="{$imageDirectory}/ico/mnu_finan_bill_show_transactions.gif" width="16" height="16" alt="" title="" style="margin:0px;" /> {$smarty.const.TRANS_SHOW_TRANSACTIONS}:</span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
							{assignStatuses var="transactionStatuses" status="transactions"}
							{assignStatuses var="transactionAPIStatuses" status="transactions" api=1}
							{assign var="authorizedID" value="transactions"|getStatusID:"authorized"}
								{foreach from=$transactionStatuses item="statusName" key="statusID"}
									{assign var="apiStatusName" value=$transactionAPIStatuses.$statusID}
									{if $apiStatusName=="none"}{else}
									<li><a href="{getHREF page="paymentqueue.php" actionName="ShowTransactionLog" args="status=$apiStatusName"}">&nbsp;{$statusName}</a></li>
									{/if}
								{/foreach}
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						<li><a href="{getHREF page="paymentqueue.php" actionName="ShowCallbackLog"}"><img src="{$imageDirectory}/ico/mnu_finan_bill_callback_history.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_CALLBACK_LOG_HISTORY}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="paymentqueue.php" actionName="ShowCallbackLog"}&errors=1"><img src="{$imageDirectory}/ico/mnu_finan_bill_callback_errors.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_CALLBACK_LOG_ERRORS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="invoices.php" actionName="ShowInvoices"}"><img src="{$imageDirectory}/ico/mnu_finan_invoic.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.TRANS_INVOICING}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="invoices.php" actionName="ShowInvoiceStats"}"><img src="{$imageDirectory}/ico/mnu_finan_invoic_quick_stats.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_QUICK_STATS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="invoices.php" actionName="ShowInvoices"}"><img src="{$imageDirectory}/ico/mnu_finan_invoic_show_all.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_ALL_INVOICES}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="invoices.php" actionName="ShowGenerateInvoiceMenu"}"><img src="{$imageDirectory}/ico/mnu_finan_invoic_gen_invoices.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_GENERATE_INVOICES}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="invoices.php" actionName="ShowInvoices"}"><span class="drop"><span><img src="{$imageDirectory}/ico/mnu_finan_invoic_show_incvoices.gif" width="16" height="16" alt="" title="" style="margin:0px;" /> {$smarty.const.TRANS_SHOW_INVOICES}:</span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								{assign var="invoiceStatuses" value="invoice"|getStatuses}
								{foreach item="statusName" key="statusID" from=$invoiceStatuses}
									<li><a href="{getHREF page="invoices.php" actionName="ShowInvoices" args="invoiceStatus=$statusID"}">&nbsp;{$statusName}</a></li>
								{/foreach}
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
			</ul>
		</div>
		<div class="lbox01c">
		</div>
	</div>{* lbox01b *}
</div>{* lbox01 *}

</div>