{* $Id: sideMenuMajor_system.tpl 12415 2008-01-02 17:02:02Z kbailey $
 * --------------------------------------------------------------
 * This template displays the side navigation when the client's menu is selected.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/header.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_MANAGE_SYSTEM" d="Manage System"}
{t c="TRANS_EXPAND_ALL" d="Expand All"}

{t c="TRANS_SYSTEM_SETTINGS" d="System Settings"}
{t c="TRANS_MAIN_SYSTEM_SETTINGS" d="Main System Settings"}
{t c="TRANS_THEME_SETTINGS" d="Theme Settings"}
{t c="TRANS_ADMIN_SETTINGS" d="Admin Settings"}

{t c="TRANS_PAYMENT_SETTINGS" d="Payment Settings"}
{t c="TRANS_PAYMENT_SETTINGS" d="Payment Settings"}
{t c="TRANS_ENCRYPTION_SETTINGS" d="Encryption Settings"}
{t c="TRANS_GATEWAY_MODULES" d="Gateway Modules"}

{t c="TRANS_DOMAIN_SETTINGS" d="Domain Settings"}
{t c="TRANS_DOMAIN_TLD_SETTINGS" d="Domain TLD Settings"}
{t c="TRANS_REGISTRAR_MODULES" d="Registrar Modules"}

{t c="TRANS_SERVER_SETTINGS" d="Server Settings"}
{t c="TRANS_SERVER_SETTINGS" d="Server Settings"}
{t c="TRANS_SERVER_MODULES" d="Server Modules"}

{t c="TRANS_BILLING_SETTINGS" d="Invoice &amp; Billing Settings"}
{t c="TRANS_INVOICE_SETTINGS" d="Invoice Settings"}
{t c="TRANS_BILLING_SETTINGS" d="Billing Settings"}
{t c="TRANS_TAX_SETTINGS" d="Tax Settings"}
{t c="TRANS_ACCOUNTING_SETTINGS" d="Accounting Settings"}

{t c="TRANS_ORDER_SETTINGS" d="Order Settings"}
{t c="TRANS_ORDER_FORM_SETTINGS" d="Order Form Settings"}
{t c="TRANS_SHOW_ORDER_FORMS" d="Order Form Settings"}
{t c="TRANS_FRAUD_PREVENTION_SETTINGS" d="Fraud Prevention Settings"}

{t c="TRANS_EMAIL_SETTINGS" d="Email Settings"}
{t c="TRANS_EMAIL_TEMPLATES" d="Email Templates"}
{t c="TRANS_EMAIL_BANNING" d="Email Banning"}
{t c="TRANS_SHOW_BANS" d="Show Bans"}
{t c="TRANS_ADD_BAN" d="Add Ban"}

{t c="TRANS_PRODUCT_SETTINGS_CONFIGURATION" d="Product Settings"}
{t c="TRANS_PRODUCT_SETTINGS" d="Product Settings"}
{t c="TRANS_SSLCERT_SETTINGS" d="SSL Cert Setttings"}

{t c="TRANS_AUTOMATION_SETTINGS" d="Automation Settings"}
{t c="TRANS_SYSTEM_QUEUE_SETTINGS" d="System Queue Settings"}
{t c="TRANS_IP_QUEUE_SETTINGS" d="IP Queue Settings"}
{t c="TRANS_CRON_SETTINGS" d="Cron Settings"}
{t c="TRANS_AUTOSUSPEND_SETTINGS" d="Auto-suspend Settings"}
{t c="TRANS_MBALERT_MODULE" d="MBAlert Module"}

{t c="TRANS_USER_SETTINGS" d="User Settings"}
{t c="TRANS_USER_SETTINGS" d="User Settings"}
{t c="TRANS_EXTRA_USER_VARIABLES" d="Extra User Variables"}
{t c="TRANS_FORUMS_SETTINGS" d="Forum Settings"}
{t c="TRANS_PPC_MODULES" d="PPC Modules"}

{t c="TRANS_OTHER_SETTINGS" d="Other Settings"}
{t c="TRANS_FAQ_SETTINGS" d="FAQ Settings"}
{t c="TRANS_NEWS_SETTINGS" d="News Settings"}
{t c="TRANS_AFFILIATE_SETTINGS" d="Affiliate Settings"}
{t c="TRANS_AFFILIATE_MODULES" d="Affiliate Modules"}

{t c="TRANS_MODERNBILL_SUPPORT" d="ModernBill Support"}
{t c="TRANS_CONFIG_MANUAL" d="Configuration Manual"}
{t c="TRANS_OP_MANUAL" d="Operations Manual"}
{t c="TRANS_KNOWLEDGE_BASE" d="Knowledge Base"}
{t c="TRANS_HELPDESK" d="Helpdesk Support"}
{t c="TRANS_MEMBERS_AREA" d="Members Area / Downloads"}
{t c="TRANS_MEMBERS_FORUMS" d="Members Forums"}
{t c="TRANS_SYSTEM_CONFIGURATION" d="System Configuration"}

{t c="TRANS_CONFIGURATION_WIZARD" d="Configuration Wizard"}

{php}
	$this->assign("cfg_icomenu", array(
		"TRANS_SYSTEM_SETTINGS" => "mnu_manage_sys_sett",
			"TRANS_MAIN_SYSTEM_SETTINGS" => "mnu_manage_sys_sett_main",
			"TRANS_ENCRYPTION_SETTINGS" => "mnu_manage_sys_sett_encryption",
			"TRANS_ADMIN_SETTINGS" => "mnu_manage_sys_sett_admin",
			"TRANS_MIGRATION_SETTINGS" => "mnu_manage_migrat",
			"TRANS_COMPANY_SETTINGS" => "mnu_manage_sys_sett_company",
			"TRANS_VERSIONS" => "mnu_manage_sys_sett_version",

		"TRANS_PAYMENT_SETTINGS" => "mnu_manage_payment",
			"TRANS_PAYMENT_GROUPS" => "mnu_manage_payment_groups",
			"TRANS_PAYMENT_QUEUE" => "mnu_manage_payment_queue",
			"TRANS_CLIENT_SIDE_PAYMENT_OPTIONS" => "mnu_manage_payment_client",
			"TRANS_VIRTUAL_TERMINALS" => "mnu_manage_payment_terminals",
		
		"TRANS_ORDER_SETTINGS" => "mnu_manage_order",
			"TRANS_ORDER_FORM_SETTINGS" => "mnu_manage_order_form",
			"TRANS_MANAGE_FRAUD_SETTINGS" => "mnu_manage_order_fraud",
			"TRANS_PPC_SETTINGS" => "mnu_manage_order_adv",
			"TRANS_CUSTOM_ATTRIBUTES" => "mnu_manage_order_attrib",
		
		"TRANS_SERVER_SETTINGS" => "mnu_manage_settings",
		
		"TRANS_PRODUCT_SETTINGS_CONFIGURATION" => "mnu_manage_prod",
			"TRANS_PRODUCT_SETTINGS" => "mnu_manage_prod_sett",
			"TRANS_PRODUCT_MANAGEMENT_SETTINGS" => "mnu_manage_prod_manag",
			"TRANS_CYCLE_SETTINGS" => "mnu_manage_prod_cycle",
		
		"TRANS_DOMAIN_SETTINGS" => "mnu_manage_domain",
			"TRANS_DOMAIN_TLD_SETTINGS" => "mnu_manage_domain_tld",
			"TRANS_DOMAIN_SYNC_SETTINGS" => "mnu_manage_domain_sync",
			"TRANS_REGISTRAR_MODULES" => "mnu_manage_domain_modul",

		"TRANS_BILLING_SETTINGS" => "mnu_manage_bill",
			"TRANS_INVOICE_SETTINGS" => "mnu_manage_bill_invoice",
			"TRANS_TAX_SETTINGS" => "mnu_manage_bill_tax",
			"TRANS_PREPAY_DISCOUNT_TIERS" => "mnu_manage_bill_prepay",
		
		"TRANS_EMAIL_SETTINGS" => "mnu_manage_email",
			"TRANS_EMAIL_TEMPLATE_GROUPS" => "mnu_manage_email_template",
		
		"TRANS_AUTOMATION_SETTINGS" => "mnu_manage_automat",
			"TRANS_SYSTEM_QUEUE_SETTINGS" => "mnu_manage_automat_queue",
			"TRANS_IP_QUEUE_SETTINGS" => "mnu_manage_automat_ip_queue",
			"TRANS_AUTOSUSPEND_SETTINGS" => "mnu_manage_automat_autosusp",
		
		"TRANS_USER_SETTINGS" => "mnu_manage_user",
			"TRANS_USER_SETTINGS" => "mnu_manage_user_sett",
			"TRANS_FORUMS_SETTINGS" => "mnu_manage_user_forum",
			"TRANS_THEME_SETTINGS" => "mnu_manage_user_theme",

		"TRANS_OTHER_SETTINGS" => "mnu_manage_other",
			"TRANS_FAQ_SETTINGS" => "mnu_manage_other_faq",
			"TRANS_NEWS_SETTINGS" => "mnu_manage_other_news",
			"TRANS_AFFILIATE_MODULES" => "mnu_manage_other_affiliate",
			"TRANS_FRAUD_MODULES" => "mnu_manage_other_fraud",
			"TRANS_PPC_MODULES" => "mnu_manage_other_ppc",
			"TRANS_SSL_MODULES" => "mnu_manage_other_ssl",
		));
{/php}

<div>

{* system side menu *}
<div class="lbox01">
	<div {if $sideNavMajor!="system"}class="lbox01m1"{else}class="lbox01m0"{/if} id="majorNavDivZag_system" onclick="toggleSubNav('system');">{$smarty.const.TRANS_SYSTEM}</div>
	<div class="lbox01b" id="majorNavDiv_system" {if $sideNavMajor!="system"} style="display: none;"{/if}>
		<div class="menu">
			<ul>
			{section name=i loop=$navConfigGroups}
				{assign var="configGroupID" value=$navConfigGroups[i].configGroupID}
				{assign var="configGroupTransKey" value=$navConfigGroups[i].configGroupTransKey}
				{assign var="icomenuone" value=$cfg_icomenu[$configGroupTransKey]}
				<li><a href="{getHREF page="servergroups.php" actionName="ShowServerGroups"}"><img src="{$imageDirectory}/ico/{$icomenuone}.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.$configGroupTransKey}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
					{if $navConfigGroups[i].configGroupName=="server"}
						<li><a href="{getHREF page="servergroups.php" actionName="ShowServerGroups"}"><img src="{$imageDirectory}/ico/mnu_manage_groups.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SERVER_GROUPS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						<li><a href="{getHREF page="modules.php" actionName="ShowSystemModuleInfo"}"><span class="drop"><span><img src="{$imageDirectory}/ico/mnu_manage_info.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SYSTEM_INFO}</span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemModuleInfo"}"><img src="{$imageDirectory}/ico/mnu_manage_info_module.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MODERNBILL_MODULE_INFO}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemLibraryInfo"}"><img src="{$imageDirectory}/ico/mnu_manage_info_library.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MODERNBILL_LIBRARY_INFO}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemLicenseInfo"}"><img src="{$imageDirectory}/ico/mnu_manage_info_license.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MODERNBILL_LICENSE_INFO}</a></li>
							{if $smarty.const.PLESKBUNDLE!=1}
								<li><a href="{getHREF page="modules.php" actionName="InstallSystemLicense"}"><img src="{$imageDirectory}/ico/mnu_manage_info_install.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_INSTALL_MODERNBILL_LICENSE}</a></li>
							{/if}
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemServerInfo"}"><img src="{$imageDirectory}/ico/mnu_manage_info_server.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SERVER_INFO}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowMBRequirementsTest"}"><img src="{$imageDirectory}/ico/mnu_manage_info_req_test.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SYSTEM_REQUIREMENTS_TEST}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowPHPInfo"}"><img src="{$imageDirectory}/ico/mnu_manage_info_php.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_PHP_INFO}</a></li>
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					{else}
						{section name=link loop=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup}
							{assign var="configChildGroupTransKey" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupTransKey}
							{assign var="configChildGroupID" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupID}
							{assign var="configChildGroupActionFile" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionFile}
							{assign var="configChildGroupActionName" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionName}
		
							{if $configChildGroupTransKey!=""}
								{assign var="linkTitle" value=$smarty.const.$configChildGroupTransKey}
							{else}
								{assign var="linkTitle" value=$configChildGroupTransKey}
							{/if}
							{assign var="icomenuone" value=$cfg_icomenu[$configChildGroupTransKey]}
							{if $configChildGroupActionFile!="" && $configChildGroupActionName!=""}
							{if $configChildGroupActionName=="ShowAttributes" || $configChildGroupActionName=="ShowTaxZones" ||  $configChildGroupActionName=="ShowAdmins" || $configChildGroupActionName=="MigrateIntro" ||  $configChildGroupActionName=="ShowOrderForms"}
								{assign var="show3" value=1}
							{else}
								{assign var="show3" value=0}
							{/if}
							<li><a href="{getHREF page=$configChildGroupActionFile actionName=$configChildGroupActionName args="configGroupID=$configChildGroupID"}">{if $show3==1}<span class="drop"><span>{/if}<img src="{$imageDirectory}/ico/{$icomenuone}.gif" width="16" height="16" alt="" title="" /> {$linkTitle}{if $show3==1}</span>&raquo;</span>{/if}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
								{if $configChildGroupActionName=="ShowAttributes"}
								<ul>
									<li><a href="{getHREF page="orderforms.php" actionName="ShowAttributes"}"><img src="{$imageDirectory}/ico/mnu_manage_order_attrib_manage.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MANAGE_ATTRIBUTES}</a></li>
									<li><a href="{getHREF page="orderforms.php" actionName="ShowWizardQuestions"}"><img src="{$imageDirectory}/ico/mnu_manage_order_attrib_questions.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MANAGE_QUESTIONS}</a></li>
								</ul>
								{elseif $configChildGroupActionName=="ShowTaxZones"}
								<ul>
									<li><a href="{getHREF page="taxes.php" actionName="ShowTaxZones"}"><img src="{$imageDirectory}/ico/mnu_manage_bill_tax_zones.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_TAX_ZONES}</a></li>
									<li><a href="{getHREF page="taxes.php" actionName="ShowTaxZoneGroups"}"><img src="{$imageDirectory}/ico/mnu_manage_bill_tax_groups.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_TAX_ZONE_GROUPS}</a></li>
								</ul>
								{elseif $configChildGroupActionName=="ShowAdmins"}
								<ul>
									<li><a href="{getHREF page="admins.php" actionName="EditMyProfile"}"><img src="{$imageDirectory}/ico/mnu_manage_sys_sett_admin_profile.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MYPROFILE}</a></li>
									<li><a href="{getHREF page="admins.php" actionName="AddAdmin"}"><img src="{$imageDirectory}/ico/mnu_manage_sys_sett_admin_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_NEW_ADMIN}</a></li>
									<li><a href="{getHREF page="admins.php" actionName="ShowAdminGroups"}"><img src="{$imageDirectory}/ico/mnu_manage_sys_sett_admin_manage.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MANAGE_ADMIN_GROUPS}</a></li>
								</ul>
								{elseif $configChildGroupActionName=="MigrateIntro"}
								<ul>
									<li><a href="{getHREF page="migrate.php" actionName="MigrateIntro"}"><img src="{$imageDirectory}/ico/mnu_manage_migrat_introd.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_INTRODUCTION}</a></li>
									<li><a href="{getHREF page="migrate.php" actionName="ShowMigrationConfigs"}"><img src="{$imageDirectory}/ico/mnu_manage_migrat_show.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_MIGRATIONS}</a></li>
									<li><a href="{getHREF page="migrate.php" actionName="AddMigrationConfig"}"><img src="{$imageDirectory}/ico/mnu_manage_migrat_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_MIGRATION}</a></li>
								</ul>
								{elseif $configChildGroupActionName=="ShowOrderForms"}
								<ul>
									<li><a href="{getHREF page="orderforms.php" actionName="ShowOrderForms"}"><img src="{$imageDirectory}/ico/mnu_manage_order_form_set.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_ORDER_FORMS}</a></li>
									<li><a href="{getHREF page="orderforms.php" actionName="ShowBans"}"><img src="{$imageDirectory}/ico/mnu_manage_order_bans.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_BANS}</a></li>
									<li><a href="{getHREF page="orderforms.php" actionName="AddBan"}"><img src="{$imageDirectory}/ico/mnu_manage_order_bans_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_BAN}</a></li>
								</ul>
								{/if}
								<!--[if lte IE 6]></td></tr></table></a><![endif]-->
							</li>
							{else}
							<li><a href="{getHREF page="configs.php" actionName="ShowConfigs" args="configGroupID=$configChildGroupID"}"><img src="{$imageDirectory}/ico/{$icomenuone}.gif" width="16" height="16" alt="" title="" /> {$linkTitle}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
								<!--[if lte IE 6]></td></tr></table></a><![endif]-->
							</li>
							{/if}
						{/section}
					{/if}
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
			{sectionelse}
				<li><a href="configs.php?sid={$sid}&action={getActionID action="ShowConfigs"}&parentConfigGroupID=0"><img src="{$imageDirectory}/ico/mnu_manage_configuration.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.TRANS_SYSTEM_CONFIGURATION}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="servergroups.php" actionName="ShowServerGroups"}"><img src="{$imageDirectory}/ico/mnu_manage_settings.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.TRANS_SERVER_SETTINGS}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="servergroups.php" actionName="ShowServerGroups"}"><img src="{$imageDirectory}/ico/mnu_manage_groups.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SERVER_GROUPS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						<li><a href="{getHREF page="modules.php" actionName="ShowSystemModuleInfo"}"><span class="drop"><span><img src="{$imageDirectory}/ico/mnu_manage_info.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SYSTEM_INFO}</span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemModuleInfo"}"><img src="{$imageDirectory}/ico/mnu_manage_info_module.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MODERNBILL_MODULE_INFO}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemLibraryInfo"}"><img src="{$imageDirectory}/ico/mnu_manage_info_library.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MODERNBILL_LIBRARY_INFO}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemLicenseInfo"}"><img src="{$imageDirectory}/ico/mnu_manage_info_license.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MODERNBILL_LICENSE_INFO}</a></li>
							{if $smarty.const.PLESKBUNDLE!=1}
								<li><a href="{getHREF page="modules.php" actionName="InstallSystemLicense"}"><img src="{$imageDirectory}/ico/mnu_manage_info_install.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_INSTALL_MODERNBILL_LICENSE}</a></li>
							{/if}
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemServerInfo"}"><img src="{$imageDirectory}/ico/mnu_manage_info_server.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SERVER_INFO}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowMBRequirementsTest"}"><img src="{$imageDirectory}/ico/mnu_manage_info_req_test.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SYSTEM_REQUIREMENTS_TEST}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowPHPInfo"}"><img src="{$imageDirectory}/ico/mnu_manage_info_php.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_PHP_INFO}</a></li>
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="migrate.php" actionName="MigrateIntro"}"><img src="{$imageDirectory}/ico/mnu_manage_migrat.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.TRANS_MIGRATION_SETTINGS}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="migrate.php" actionName="MigrateIntro"}"><img src="{$imageDirectory}/ico/mnu_manage_migrat_introd.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_INTRODUCTION}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						<li><a href="{getHREF page="migrate.php" actionName="ShowMigrationConfigs"}"><img src="{$imageDirectory}/ico/mnu_manage_migrat_show.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_MIGRATIONS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						<li><a href="{getHREF page="migrate.php" actionName="AddMigrationConfig"}"><img src="{$imageDirectory}/ico/mnu_manage_migrat_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_MIGRATION}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
			{/section}
				
				<li><a href="http://support.modernbill.com/" target="_blank"><img src="{$imageDirectory}/ico/mnu_manage_support.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.TRANS_MODERNBILL_SUPPORT}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="http://manual.modernbill.com/v5co/" target="_blank"><img src="{$imageDirectory}/ico/mnu_manage_support_config_manual.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_CONFIG_MANUAL}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="http://manual.modernbill.com/v5op/" target="_blank"><img src="{$imageDirectory}/ico/mnu_manage_support_operat_manual.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_OP_MANUAL}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="http://support.modernbill.com/" target="_blank"><img src="{$imageDirectory}/ico/mnu_manage_support_helpdesk.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_HELPDESK}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="http://billing.modernbill.com/app-modernbill-client/" target="_blank"><img src="{$imageDirectory}/ico/mnu_manage_support_downloads.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MEMBERS_AREA}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="http://forums.modernbill.com/" target="_blank"><img src="{$imageDirectory}/ico/mnu_manage_support_forums.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MEMBERS_FORUMS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="configs.php?sid={$sid}&action={getActionID action="FirstTimeIntroduction"}&parentConfigGroupID=0"><img src="{$imageDirectory}/ico/mnu_manage_configuration.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.TRANS_CONFIGURATION_WIZARD}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
			</ul>
		</div>
		<div class="lbox01c">
		</div>
	</div>{* lbox01b *}
</div>{* lbox01 *}

</div>