{* $Id: pageInfo.tpl 8991 2006-09-19 19:30:58Z mfountain $
 * --------------------------------------------------------------
 * This widget template is used to display page information.
 *
 * Smarty Variables:
 *	$parentName		The constant representation of the parent page name.
 *	$childName		The constant representation of that child page name.
 *	$grandchildName	The constant representation of that grandchild page name.
 *  $query			A query if provided.
 *  $amountQuery	A amount query if provided.
 *  $dateQuery		A date query if provided.
 *	$fileNameLinks.paginationStats.totalRows	The number of rows displayed on this page.
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/pageInfo.tpl" parentName="TRANS_X" childName="TRANS_Y" grandchildName="TRANS_Z"}
 *}
{t c="TRANS_AMOUNT_QUERY" d="Amount Query"}
{t c="TRANS_DATE_QUERY" d="Date Query"}
{t c="TRANS_SEARCH_QUERY" d="Search Query"}
{t c="TRANS_ADVANCED_DISPLAY_OPTIONS" d="Adavanced Display Options"}

{assign var="pageInfoSet" value=0}

<div class="pageInfo">
	<h1>
	{if ($parentName!="")}
		{strip}
		{assign var="pi_cnt" value=0}
		{if ($childName!="")}
			{assign var="pi_cnt" value=1}
		{/if}
		{if ($grandchildName!="")}
			{assign var="pi_cnt" value=2}
		{/if}
	    {if ($query!='')}
			{assign var="pi_cnt" value=2}
	    {/if}
	    {if $amountQuery}
			{assign var="pi_cnt" value=2}
	    {/if}
	    {if $dateQuery}
			{assign var="pi_cnt" value=2}
	    {/if}

	    {if $pi_cnt == 0}
	    	&nbsp;
	    {elseif $pi_cnt == 1}
			{$smarty.const.$parentName|default:$parentName}&nbsp;&gt;
	    {elseif $pi_cnt == 2}
			{$smarty.const.$parentName|default:$parentName}&nbsp;&gt;&nbsp;
			{if ($childName!="")}
				{$smarty.const.$childName|default:$childName}
			{/if}
	    {/if}
  		{/strip}
	{else}
		&nbsp;
	{/if}
	</h1>
</div>
