{* $Id: EditDetails.tpl 12446 2008-01-10 17:27:44Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_USAGE_PRICING" d="Usage Pricing"}
{t c="TRANS_SELECTED" d="Selected"}
{t c="TRANS_SELECTABLE" d="Selectable"}
{t c="TRANS_SAVE_USAGE_PRICING" d="Save Usage Pricing"}
{t c="TRANS_EXPLAIN_USAGE_PRICING" d="Explain Usage Pricing"}
{t c="TRANS_USAGE_PRICING_EXPLAINATION" d="<p>Usage pricing depends on the unit that you use to charge for the usage of this product.  If you charge X amount per GigaByte used over Y limit, then your price here would be what you would charge for each GigaByte over the limit that they go in the specified time cycle."}
{t c="TRANS_EDIT_PRODUCT_DETAILS" d="Edit Product Details"}
{t c="TRANS_ADDON_GROUP" d="Addon Group"}
{t c="TRANS_ATTRIBUTE" d="Attribute"}
{t c="TRANS_PRODUCT_ADDON_CHOICE" d="This product is an addon choice."}
{t c="TRANS_ONLY_USED_FOR_ADDON_PURPOSES" d="Only use for products being used as addons"}
{t c="TRANS_ADDON_GROUP" d="Addon Group"}
{t c="TRANS_IS_PRODUCT_ADDON" d="Is This Product An Addon?"}
{t c="TRANS_IS_PRODUCT_ADDON_COMMENT" d="Select 'yes' if you want this product to act as an addon"}
{t c="TRANS_NUMBER_OF_CYCLES" d="Number of Cycles"}
{t c="TRANS_PRICING" d="Pricing"}
{t c="TRANS_PRODUCTGROUPS" d="Product Groups"}
{t c="TRANS_REGULAR" d="Regular"}
{t c="TRANS_IS_DISCOUNTABLE" d="Is Discountable"}
{t c="TRANS_PRODUCT_NAME_COMMENT" d="Product name to display on order form"}
{t c="TRANS_PRODUCT_DESCRIPTION_COMMENT" d="Brief description to display on order form"}
{t c="TRANS_ADDON_OPTION_COMMENT" d="Require an associated addon, make optional, or make hidden"}
{t c="TRANS_ADDON_OPTION_COMMENT" d="Require an associated domain, make optional, or make hidden"}
{t c="TRANS_PRICING_COMMENT" d="Regular pricing (default) or custom pricing options"}
{t c="TRANS_DOMAIN_OPTION" d="Domain Option"}
{t c="TRANS_BILLING_DURATION" d="Duration To Be Billed"}
{t c="TRANS_BILLING_DURATION_COMMENT" d="How long do you want a customer to be billed for this product?"}
{t c="TRANS_PRORATE_PRODUCT" d="Prorate Product?"}
{t c="TRANS_PRORATE_PRODUCT_COMMENT" d="Do you want the product to be proratable?"}
{t c="TRANS_NUMBER_OF_CYCLES_COMMENT" d="How many cycles do you want a customer to be billed for this product?"}
{t c="TRANS_ALLOW_DISCOUNT" d="Allow Discounts?"}
{t c="TRANS_ALLOW_DISCOUNT_COMMENT" d="Do you want to allow discounts to be applied to this product?"}
{t c="TRANS_CANCELLATION_RULES" d="Cancellation Permissions"}
{t c="TRANS_CANCELLATION_RULES_COMMENT" d="Assign permissions to cancel (suspend or delete)"}
{t c="TRANS_INTERNAL_SETTINGS" d="INTERNAL SETTINGS"}
{t c="TRANS_BILLING_OPTIONS_AND_SETTINGS" d="BILLING OPTIONS AND SETTINGS"}
{t c="TRANS_DISPLAY_INFORMATION" d="PRODUCT DISPLAY INFORMATION"}
{t c="TRANS_BILLING_OPTIONS_AND_SETTINGS" d="BILLING OPTIONS AND SETTINGS"}
{t c="TRANS_VENDOR_PRODUCT_ID" d="Vendor Product ID"}
{t c="TRANS_VENDOR_PRODUCT_ID" d="Vendor Product ID"}
{t c="TRANS_VENDOR_ORDER_FORM_ID" d="Vendor Order Form ID"}
{t c="TRANS_VENDOR_PRODUCT_VARIANT_ID" d="Vendor Product Variant ID"}

{include file="$tplDirectory/widgets/products/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="products.php" onsubmit="XKselectAllOptionsInMultiSelects(this);">
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="EditProductResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}">

<br />

{********* TRANS_PRODUCT_DISPLAY_INFORMATION *********}
<fieldset>
<legend><strong>{$smarty.const.TRANS_DISPLAY_INFORMATION}</strong></legend>
<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">
	<tr>
		<td class="title">{$smarty.const.TRANS_DISPLAY_NAME}</td>
		<td><input type="text" name="productName" style="width: 50%;" value="{$product.productName|escape:html}">
		 {$smarty.const.TRANS_PRODUCT_NAME_COMMENT}</td>
	</tr>

	<tr>
		<td class="title">{$smarty.const.TRANS_PRODUCT} {$smarty.const.TRANS_DESCRIPTION}</td>
		<td><input type="text" name="productComments" style="width: 50%;" value="{$product.productComments|escape:html}">
		 {$smarty.const.TRANS_PRODUCT_DESCRIPTION_COMMENT}</td>
	</tr>

{if $product.productAddonGroupID<1}
	<tr>
		<td class="title">{$smarty.const.TRANS_ADDON_OPTION}</td>
		<td><select name="productAddonRequired">
			{html_options options=$productdependencyrules selected=$product.productAddonRequired}
		</select> {$smarty.const.TRANS_ADDON_OPTION_COMMENT}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_DOMAIN_OPTION}</td>
		<td><select name="productDomainRequired">
			{html_options options=$productdependencyrules selected=$product.productDomainRequired}
		</select> {$smarty.const.TRANS_ADDON_OPTION_COMMENT}</td>
	</tr>
{/if}

{if $product.productAddonGroupID>0 || $advanced==1}
	<tr>
		<td class="title">{$smarty.const.TRANS_QUESTION}</td>
		<td><select name="addonAttribute">
			<option value="-1"></option>
			{if $selectedAttribute!=""}
				<option value="0" selected="selected">{$chooseAttributes.$selectedAttribute}</option>
			{/if}
			{html_options options=$chooseAttributes}
		</select> {$smarty.const.TRANS_ONLY_USED_FOR_ADDON_PURPOSES}</td>
	</tr>
{/if}
</table>
</fieldset>
<br />
{********* TRANS_INTERNAL_VALUES *********}
<fieldset>
<legend><strong>{$smarty.const.TRANS_INTERNAL_SETTINGS}</strong></legend>
<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">
	<tr>
		<td class="title">{$smarty.const.TRANS_IS_ACTIVE}</td>
		<td><select name="productActive">
			{html_options options=$yesNo selected=$product.productActive}
		</select></td>
	</tr>

	<tr class="nowrap">
		<td class="title">{$smarty.const.TRANS_PRODUCT_TYPE}</td>
		<td>
			{if $product.productAddonGroupID>0}
				<strong>{$smarty.const.TRANS_PRODUCT_ADDON_CHOICE}</strong><br />
			{/if}
			{if $advanced==1}
				<select name="productType">
					{html_options options=$productTypes selected=$product.productType}
				</select>
			{else}
				<strong>{$productTypes[$product.productType]}</strong>
			{/if}
		 </td>
	</tr>
{if $product.productAddonGroupID>0 || $advanced==1}
	<tr>
		<td class="title">{$smarty.const.TRANS_IS_PRODUCT_ADDON}</td>
		<td><select name="productIsAddon">
			{html_options options=$yesNo selected=$product.productIsAddon}
		</select> {$smarty.const.TRANS_IS_PRODUCT_ADDON_COMMENT}</td>
	</tr>

	<tr>
		<td class="title">{$smarty.const.TRANS_ADDON_GROUP}</td>
		<td>{if $advanced==1}<select name="productAddonGroupID">
			{html_options options=$chooseGroups selected=$product.productAddonGroupID}
		</select>{else}
		{assign var="key" value=$product.productAddonGroupID}
		{$chooseGroups.$key}
		{/if}
		</td>
	</tr>

{/if}
	<tr>
		<td class="title">{$smarty.const.TRANS_DATE_CREATED}</td>
		<td>{$product.productDateCreated|getDateTime:"long"}</td>
	</tr>
</table>
</fieldset>
<br />
{********* TRANS_BILLING_OPTIONS_AND_SETTINGS *********}
<fieldset>
<legend><strong>{$smarty.const.TRANS_BILLING_OPTIONS_AND_SETTINGS}</strong></legend>
<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">
	{if $product.productType|getAPITypeName:"products" != "domain" && $product.productType|getAPITypeName:"products" != "cert"}
		<tr>
			<td class="title">{$smarty.const.TRANS_PRICING}</td>
			<td><select name="productVariableID">
				<option value="0">{$smarty.const.TRANS_REGULAR}</option>
				{html_options options=$productVariables selected=$product.productVariableID}
			</select> {$smarty.const.TRANS_PRICING_COMMENT}</td>
		</tr>
	{/if}

{if $product.productType|getAPITypeName:"products" != "nonrecurring"}
		<tr>
			<td class="title">{$smarty.const.TRANS_BILLING_DURATION}</td>
			<td><select name="billingPlan">
				{html_options options=$billingPlans selected=$billingPlan}
			</select> {$smarty.const.TRANS_BILLING_DURATION_COMMENT}</td>
		</tr>
	
	{if $billingPlan == 3}
		<tr>
			<td class="title">{$smarty.const.TRANS_NUMBER_OF_CYCLES}</td>
			<td><input type="text" name="productStopNumCycles" size="5" value="{$product.productStopNumCycles}">
			{$smarty.const.TRANS_NUMBER_OF_CYCLES_COMMENT}</td>
		</tr>
	{/if}
	<tr>
		<td class="title">{$smarty.const.TRANS_PRORATE_PRODUCT}</td>
		<td><select name="productProratable">
			{html_options options=$yesNo selected=$product.productProratable}
		</select> {$smarty.const.TRANS_PRORATE_PRODUCT_COMMENT}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_CANCELLATION_RULES}</td>
		<td><select name="productCancellationType">
			{html_options options=$productCancellationRules selected=$product.productCancellationType}
		</select> {$smarty.const.TRANS_CANCELLATION_RULES_COMMENT}</td>
	</tr>
{else}
	<input type="hidden" name="billingPlan" value="2" />
	<input type="hidden" name="productProratable" value="0" />
	<input type="hidden" name="productCancellationType" value="0" />
{/if}
	<tr>
		<td class="title">{$smarty.const.TRANS_ALLOW_DISCOUNT}</td>
		<td><select name="productDiscountable">
			{html_options options=$yesNo selected=$product.productDiscountable}
		</select> {$smarty.const.TRANS_ALLOW_DISCOUNT_COMMENT}</td>
	</tr>

	<tr>
		<td class="title">{$smarty.const.TRANS_PRODUCTGROUPS}</td>
		<td>
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="productGroups"
			comboOptionsLeft=$selectedProductGroups

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableProductGroups"
			comboOptionsRight=$selectableProductGroups
			submitName="suppress"
		}
		</td>
	</tr>
</table>
</fieldset>
<br />
{if $products.0.vendors.0.vendorID}
	{assign var="vendorInfo" value=$products.0.vendors.0}
<fieldset>
<legend><strong>{$smarty.const.TRANS_VENDOR_INFORMATION}</strong></legend>
<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">
	<tr>
		<td class="title">{$smarty.const.TRANS_VENDOR}: </td>
		<td>{$vendorInfo.vendorName}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_VENDOR_PRODUCT_ID}: </td>
		<td>{$vendorInfo.vendorProductID}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_VENDOR_ORDER_FORM_ID}: </td>
		<td>{$vendorInfo.vendorOrderFormID}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_VENDOR_PRODUCT_VARIANT_ID}: </td>
		<td>{$vendorInfo.vendorProductVariantID}</td>
	</tr>
</table>
</fieldset>
<br />
{/if}
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
	<tr class="listButtons">
		<td><div><input class="submit" type="submit" value="{$smarty.const.TRANS_SAVE}"></div></td>
	</tr>
</table>

</form>

{include file="$tplDirectory/widgets/products/footer.tpl"}