{* $Id: EditLedgerGroupEntries.tpl 12604 2008-02-04 22:10:19Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{include file="$tplDirectory/widgets/products/header.tpl"}

<form name="ledgerform" method="post" action="products.php">
    <input type="hidden" name="sid" value="{$sid}">
    <input type="hidden" name="ledgerGroupID" value="{$ledgerGroupID}">
    <input type="hidden" name="productVariantID" value="{$productVariantID}">
    <input type="hidden" name="action" value="{getActionID action="EditLedgerGroupEntriesResponse"}">
{section name=i loop=$failreason}
	{include
	    file="$tplDirectory/widgets/showInvalidCustom.tpl"
	    message=$failreason[i]
	    identifier=$smarty.section.i.index
	    class="highlight"}
{/section}
<fieldset>
<legend>{$smarty.const.TRANS_EDIT_PRODUCT_LEDGER_ENTRIES}</legend>

    <table border="0" width="100%" class="list">
        <tr class="listRowNoBorders">
            <td colspan="2"><div class="rm" style="float: right;"><a href="javascript:history.go(-1);">{$smarty.const.TRANS_BACK}</a></div></td>
        </tr>
        <tr valign="middle">
            <td>{include
	    						file="$tplDirectory/widgets/showTips.tpl"
	    						title="TRANS_LEDGER_GROUP_NAME"
	    						msg="TRANS_LEDGER_GROUP_NAME_EXPLAINATION"}</td>
            <td><input type="text" size="50" name="ledgerGroupName" value="{$ledgerGroupName}"></td>
        </tr>
    </table>

    <table border="0" width="100%" class="list">
		<tr>
			<td valign="top" width="50%">{include
	    						file="$tplDirectory/widgets/showTips.tpl"
	    						title="TRANS_FILTER_CURRENCIES"
	    						msg="TRANS_FILTER_CURRENCIES_EXPLAINATION"}</td>
			<td valign="top" width="50%">{include
	    						file="$tplDirectory/widgets/showTips.tpl"
	    						title="TRANS_FILTER_CYCLES"
	    						msg="TRANS_FILTER_CYCLES_EXPLAINATION"}</td>
		</tr>
		<tr>
			<td width="50%">
                        {include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="filterCurrencyIDs"
			comboOptionsLeft=$selectedCurrencies

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableFilterCurrencyIDs"
			comboOptionsRight=$selectableCurrencies
			formName="ledgerform"
			submitName="suppress"}
						</td>

						<td width="50%">
                        {include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="filterCycleIDs"
			comboOptionsLeft=$selectedCycles

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableFilterCycleIDs"
			comboOptionsRight=$selectableCycles
			formName="ledgerform"
			submitName="suppress"}
			</td>
		</tr>
	</table>


  <table border="0" width="100%" class="list">
        <tr>
            <td>{include
	    						file="$tplDirectory/widgets/showTips.tpl"
	    						title="TRANS_LEDGER_ENTRIES_CURRENCY"
	    						msg="TRANS_LEDGER_ENTRIES_CURRENCY_EXPLAINATION"}</td>
            <td valign="middle"><select name="currencyID">
            {html_options options=$currencyIDs selected=$currencyID}
            </select></td>
        </tr>
   </table>

<table border="0" width="100%" class="list">
  	<tr>
  		<td>{include
	    						file="$tplDirectory/widgets/showTips.tpl"
	    						title="TRANS_LEDGER_ENTRIES"
	    						msg="TRANS_LEDGER_ENTRIES_EXPLAINATION"}</td>
	</tr>
</table>
<table border="0" width="100%" cellpadding="15">
	<tr bgcolor="white">
		<td><br />
		<div align="center">
{include file="$tplDirectory/widgets/variantLedgerForm.tpl"
      containerClass="box01"
      containerName="leDiv"
      fieldPrefix="ledgerGroup"
      printScript=1
      currency=""
      formname="ledgerform"
      existingEntries=$existingEntries
      ledgerAccounts=$ledgerAccounts
      ledgerTypes=$ledgerTypes}

<div style="margin-left: 262px;"><input class="submit" type="submit" id="save" name="save" value="{$smarty.const.TRANS_SAVE}" onclick="selectAllOptions(document.ledgerform.elements['filterCurrencyIDs[]']);selectAllOptions(document.ledgerform.elements['filterCycleIDs[]']);"></div>
		</div>
<br />
		</td>
	</tr>
</table>
<br />

</form>


{include file="$tplDirectory/widgets/products/footer.tpl"}
