{* $Id: EditOneProductRelations.tpl 7706 2006-06-22 23:14:51Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_EDIT_PRODUCT_CHILDREN" d="Edit Product Children"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_PRODUCTID" d="Product ID"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PRODUCTS" d="Show Products"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_UNDEFINED" d="Undefined"}
{t c="TRANS_REGULAR" d="Regular"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_CERT" d="Cert"}
{t c="TRANS_EDIT_PRODUCT" d="Edit Product"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DISPLAY_ORDER" d="Display Order"}
{t c="TRANS_STOP_NUM_CYCLES" d="Last Cycle"}
{t c="TRANS_PRORATABLE" d="Proratable"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_SIGNUP_EMAIL" d="Signup Email"}
{t c="TRANS_WELCOME_EMAIL" d="Welcome Email"}
{t c="TRANS_CHILDREN" d="Children"}
{t c="TRANS_ORDER_FORMS" d="Order Forms"}
{t c="TRANS_SERVER_GROUPS" d="Server Groups"}
{t c="TRANS_CYCLES" d="Cycles"}
{t c="TRANS_SELECTED" d="Selected"}
{t c="TRANS_SELECTABLE" d="Selectable"}

{t c="TRANS_MAY_UPGRADE_TO" d="May Upgrade To"}
{t c="TRANS_MAY_DOWNGRADE_TO" d="May Downgrade To"}

{include file="$tplDirectory/widgets/products/header.tpl"}

<form method="post" name="EditProduct" action="products.php" onsubmit="XKselectAllOptionsInMultiSelects(this);">
<input type="hidden" name="action" value="{getActionID action="EditOneProductRelationsResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
	<tbody>
		<tr {if $invalid.productChildren}class="highlight"{/if}>
			<td class="title"><label for="productUpgradeRelations">{$smarty.const.TRANS_MAY_UPGRADE_TO}</label></td>
			<td>
				{include file="$tplDirectory/widgets/comboBox.tpl"
					comboTitleLeft=TRANS_SELECTED
					comboNameLeft="productUpgradeIDs"
					comboOptionsLeft=$selectedUpgradeRelations

					comboTitleRight=TRANS_SELECTABLE
					comboNameRight="selectableUpgradeIDs"
					comboOptionsRight=$selectableUpgradeRelations
					submitName="suppress"
				}
			</td>
		</tr>
	</tbody>
	<tbody>
		<tr {if $invalid.productChildren}class="highlight"{/if}>
			<td class="title"><label for="productDowngradeRelations">{$smarty.const.TRANS_MAY_DOWNGRADE_TO}</label></td>
			<td>
				{include file="$tplDirectory/widgets/comboBox.tpl"
					comboTitleLeft=TRANS_SELECTED
					comboNameLeft="productDowngradeIDs"
					comboOptionsLeft=$selectedDowngradeRelations

					comboTitleRight=TRANS_SELECTABLE
					comboNameRight="selectableDowngradeIDs"
					comboOptionsRight=$selectableDowngradeRelations
					submitName="suppress"
				}
			</td>
		</tr>
	</tbody>
</table>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<tr class="listButtons">
<td><div><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE_CHANGES}" /></div></td>
</tr>
</table>
</form>

{include file="$tplDirectory/widgets/products/footer.tpl"}
