{* $Id: EditProductNotifications.tpl 9860 2006-10-30 21:39:34Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	$product // product array
 *	$adminGroups // key'd array of admin groups
 *
 *}{strip}
{t c="TRANS_NOTIFICATION_GROUP" d="Group To Notify On Event."}
{/strip}
{include file="$tplDirectory/widgets/products/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" name="EditProduct" action="products.php">
<input type="hidden" name="action" value="{getActionID action="EditProductNotificationsResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="advanced" value="{$smarty.request.advanced}" />

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<tbody>
<tr {if $invalid.notifyAdminGroupID}class="highlight"{/if}>
	<td class="title"><label for="notifyAdminGroupID">{$smarty.const.TRANS_NOTIFICATION_GROUP}</label></td>
	<td>
		<select id="notifyAdminGroupID" name="notifyAdminGroupID">
			{html_options options=$adminGroups selected=$product.notifyAdminGroupID}
		</select>
		  {$invalid.welcomeEmailTemplateGroup}
	</td>
</tr>
<tr class="listButtons">
<td colspan="2"><div><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE_CHANGES}" /></div></td>
</tr>
</tbody>
</table>


</form>

{include file="$tplDirectory/widgets/products/footer.tpl"}
