{* $Id: EditProductOrderForms.tpl 9860 2006-10-30 21:39:34Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_EDIT_PRODUCT_ORDER_FORMS" d="Edit Product Order Forms"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_PRODUCTID" d="Product ID"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PRODUCTS" d="Show Products"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_UNDEFINED" d="Undefined"}
{t c="TRANS_REGULAR" d="Regular"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_CERT" d="Cert"}
{t c="TRANS_EDIT_PRODUCT" d="Edit Product"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DISPLAY_ORDER" d="Display Order"}
{t c="TRANS_STOP_NUM_CYCLES" d="Last Cycle"}
{t c="TRANS_PRORATABLE" d="Proratable"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_SIGNUP_EMAIL" d="Signup Email"}
{t c="TRANS_WELCOME_EMAIL" d="Welcome Email"}
{t c="TRANS_CHILDREN" d="Children"}
{t c="TRANS_ORDER_FORMS" d="Order Forms"}
{t c="TRANS_SERVER_GROUPS" d="Server Groups"}
{t c="TRANS_CYCLES" d="Cycles"}
{t c="TRANS_SELECTED" d="Selected"}
{t c="TRANS_SELECTABLE" d="Selectable"}
{t c="TRANS_EXPLAIN_ORDER_FORMS" d="Explain Order Forms"}
{t c="TRANS_ORDER_FORM_EXPLANATION_RELATING" d="<p>Selecting an <dfn>order form</dfn> creates an order form item of this product for the selected order forms. You can adjust the order in which the product displays on the order form by editing the order form itself.</p><p>The order forms need to be associated before editing pricing. This makes it possible to edit all pricing at once, since all of the possible currencies for pricing are the total set of currencies assigned to the payment groups assigned to each order form.</p>"}

{include file="$tplDirectory/widgets/products/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" name="EditProduct" action="products.php">
<input type="hidden" name="action" value="{getActionID action="EditProductOrderFormsResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<tbody>
<tr>
	<td class="title"><label for="orderForms">{$smarty.const.TRANS_ORDER_FORMS}</label></td>
	<td valign="top">
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="orderForms"
			comboOptionsLeft=$selectedOrderForms

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableOrderForms"
			comboOptionsRight=$selectableOrderForms
			formName="EditProduct"
			submitName="suppress"
		}
		{$invalid.orderForms}
	</td>
	<td valign="top">
    	{include file="$tplDirectory/widgets/showTips.tpl"
        	title="TRANS_EXPLAIN_ORDER_FORMS"
        	msg="TRANS_ORDER_FORM_EXPLANATION_RELATING"
        	width="100%"
        	align="center"
			show="yes"}
	</td>
</tr>
<tr class="listButtons">
	<td colspan="3"><div><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE_CHANGES}" onclick="selectAllOptions(document.EditProduct.elements['orderForms[]']);" /></div></td>
</tr>
</tbody>
</table>

</form>

{include file="$tplDirectory/widgets/products/footer.tpl"}
