{* $Id: EditProductVariantPrices.tpl 12604 2008-02-04 22:10:19Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_EDIT_PRODUCT_VARIANT_PRICES" d="Edit Product Variant Prices"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_PRODUCTID" d="Product ID"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PRODUCTS" d="Show Products"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_UNDEFINED" d="Undefined"}
{t c="TRANS_REGULAR" d="Regular"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_CERT" d="Cert"}
{t c="TRANS_EDIT_PRODUCT" d="Edit Product"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DISPLAY_ORDER" d="Display Order"}
{t c="TRANS_STOP_NUM_CYCLES" d="Last Cycle"}
{t c="TRANS_PRORATABLE" d="Proratable"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_SIGNUP_EMAIL" d="Signup Email"}
{t c="TRANS_WELCOME_EMAIL" d="Welcome Email"}
{t c="TRANS_CHILDREN" d="Children"}
{t c="TRANS_ORDER_FORMS" d="Order Forms"}
{t c="TRANS_SERVER_GROUPS" d="Server Groups"}
{t c="TRANS_CYCLES" d="Cycles"}
{t c="TRANS_SELECTED" d="Selected"}
{t c="TRANS_SELECTABLE" d="Selectable"}

{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_COGS" d="Cost of Goods"}
{t c="TRANS_GENERAL" d="General"}
{t c="TRANS_SETUP" d="Setup"}
{t c="TRANS_TRANSFER" d="Transfer"}
{t c="TRANS_CYCLE_DISCOUNT_GROUP" d="Cycle Discount Group"}


{t c="TRANS_TAX_ZONE_GROUP" d="Tax Zone Group"}

{t c="TRANS_EXPLAIN_PRICES" d="Explain Prices"}
{t c="TRANS_PRICES_EXPLANATION" d="<p>A <dfn>price</dfn> must be set for each combination of cycles and currencies which you would like to appear on the order form.</p><p>To set domain transfer prices, the transfer cycle of the TLD must be associated with the product; then it will be asked here along with other types of prices of the transfer cycle.</p><ul><li>Order forms must be associated with a product to determine which currencies are needed. All of the possible currencies for pricing are the total set of currencies assigned to the payment groups assigned to each order form.</li><li>Cycles must be associated with a product before editing prices for the cycles. Also, domain products need to have cycles in the cycle range specified by the TLD.</li></ul>"}
{t c="TRANS_NEED_ORDER_FORMS" d="<p><strong>Warning:</strong> Order forms must be associated with a product to determine which currencies are needed. All of the possible currencies for pricing are the total set of currencies assigned to the payment groups assigned to each order form.</p>"}
{t c="TRANS_NEED_CYCLES" d="<p><strong>Warning:</strong> Cycles must be associated with a product before editing prices for the cycles. Also, domain products need to have cycles in the cycle range specified by the TLD.</p>"}

{t c="TRANS_UPDATE_PACKAGES" d="Update Packages"}
{t c="TRANS_UPDATE_NO_PACKAGES" d="Update no packages (just update the product)"}
{t c="TRANS_UPDATE_UNLOCKED_PACKAGES" d="Update unlocked packages"}
{t c="TRANS_UPDATE_ALL_PACKAGES" d="Update all packages"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_EDIT_PRODUCT_VARIANT_PRICES"
	sideNavMajor="products"
	sideNavMinor="variants"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/showTips.tpl"
    title="TRANS_EXPLAIN_PRICES"
    msg="TRANS_PRICES_EXPLANATION"
    width="100%"
    align="center"}

<br />

{include file="$tplDirectory/widgets/context/product.tpl" types=$productTypes}

{if $TLD}{include file="$tplDirectory/widgets/context/tld.tpl"}{/if}
{if $value}{include file="$tplDirectory/widgets/context/value.tpl"}{/if}

{include file="$tplDirectory/widgets/products/ProductPricesForm.tpl"}

<br />

{include file="$tplDirectory/footer.tpl"}
