{* $Id: quickAddCredit.tpl 12589 2008-01-30 18:13:40Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display the quick manual payment popup div.
 *
 * 
 * Example Usage:
 * {include file="$tplDirectory/widgets/quickAddCredit.tpl"
 *            actionName="AddClientCreditResponse"
 *			  clientID=$clientID
 *            formName="quickcreditform"
 *            currencyIDs=$currencyIDs
 *            sid=$sid
 *            localeArray=$localeArray
 *            currencyID=$currencyID
 *            ledgerAccountNames=$ledgerAccountNames
 *            redirectURL="clients.php"
 *            redirectAction="ShowClientDetails"
 *            redirectArgs="clientID=`$clientID`"}
 *}

{t c="TRANS_CLOSE" d="Close"}
{t c="TRANS_QUICK_ADD_CREDIT" d="Add Credit"}
{t c="TRANS_ADD_CREDIT_LEGEND" d="Add Credit"}
{t c="TRANS_ADD_CREDIT_CURRENCY" d="Currency"}
{t c="TRANS_CREDIT_ADD" d="Add Credit"}
{t c="TRANS_APPLY_TO_GL" d="Apply To Account"}
{t c="TRANS_QUICK_ADD_CREDIT_AMOUNT" d="Credit Amount"}
{t c="TRANS_ADD_CREDIT_DESCRIPTION_DEFAULT" d="Customer Relations Expense"}
{t c="TRANS_ADD_CREDIT_DESCRIPTION" d="Explanation"}

{assign var="defaultCreditAmount" value="0"}
<span class="actionlink">
<img src="{$imageDirectory}/ico/money2_add.gif" width="16" height="16" alt="{$smarty.const.TRANS_ADD_CREDIT}" title="{$smarty.const.TRANS_ADD_CREDIT}" style="vertical-align:middle;border-style:none;margin-right: 4px;" />
<a  href="javascript:void(0);" 
{strip}
onclick="return overlib('&lt;form method=\'post\' action=\'clients.php\' name=\'{$formName}\' id=\'{$formName}\'&gt;
                        &lt;input type=\'hidden\' name=\'action\' value=\'{getActionID action=$actionName}\' /&gt;
                        &lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\'&gt;
                        &lt;input type=\'hidden\' name=\'clientID\' value=\'{$clientID}\'&gt;
                        &lt;input type=\'hidden\' name=\'redirectURL\' value=\'{$redirectURL}\'&gt;
                        &lt;input type=\'hidden\' name=\'redirectAction\' value=\'{$redirectAction}\'&gt;
                        &lt;input type=\'hidden\' name=\'redirectArgs\' value=\'{$redirectArgs}\'&gt;

                        &lt;fieldset&gt;
                            &lt;legend&gt;{$smarty.const.TRANS_ADD_CREDIT_LEGEND}&lt;/legend&gt;
                            &lt;table width=\'350\'&gt;

                            &lt;tr&gt;
                                &lt;td&gt; {$smarty.const.TRANS_QUICK_ADD_CREDIT_AMOUNT} &lt;/td&gt;
                                &lt;td&gt;
{* $localeArray.locale_pattern_currency *}
                                    &lt;input type=&quot;text&quot; onblur=&quot;this.value=XKformatNumber(\'{1000|getAmount:$currencyID:true:true};({1000|getAmount:$currencyID:true:true})\', this.value, \'{$localeArray.locale_separator_decimal}\', \'{$localeArray.locale_separator_grouping}\');&quot; name=&quot;creditAmount&quot; size=&quot;9&quot; value=&quot;0{$localeArray.locale_separator_decimal}00&quot; /&gt;

                                &lt;/td&gt;

                            &lt;/tr&gt;

                            &lt;tr&gt;
                                &lt;td&gt; {$smarty.const.TRANS_ADD_CREDIT_CURRENCY} &lt;/td&gt;
                                &lt;td&gt;
                                    &lt;select name=\'creditCurrencyID\' style=\'width: 50px;\' &gt;
                                    	{mb_html_options encodeoutput="yes" options=$currencyIDs}
                                    &lt;/select&gt;
                                &lt;/td&gt;
                            &lt;/tr&gt;

                            &lt;tr&gt;
                                &lt;td&gt; {$smarty.const.TRANS_ADD_CREDIT_DESCRIPTION} &lt;/td&gt;
                                &lt;td&gt;
                                    &lt;textarea name=&quot;creditComments&quot; rows=&quot;2&quot; cols=&quot;25&quot; &gt;&lt;/textarea&gt;
                                &lt;/td&gt;
                            &lt;/tr&gt;

                            &lt;tr&gt;
                                &lt;td&gt; {$smarty.const.TRANS_APPLY_TO_GL} &lt;/td&gt;
                                &lt;td&gt;
									&lt;select style=\'width: 190px;\' name=\'ledgerAccountName\'&gt;
										{*  &lt;option value=\'0\'&gt;{$smarty.const.TRANS_SELECT_A_LEDGER_ACCOUNT}&lt;/option&gt; *}
											{section name=j loop=$ledgerAccounts}
												{assign var="ledgerAccountID" value=$ledgerAccounts[j].ledgerAccountID}
												{if $ledgerAccounts[j].ledgerAccountType != $ledgerAccountType}
													{if $notFirstTime}
														&lt;/optgroup&gt;
													{/if}
													{assign var="ledgerAccountType" value=$ledgerAccounts[j].ledgerAccountType}
													{assign var="transkey" value=$accountTypes.$ledgerAccountType.1}
													&lt;optgroup label=&quot;{$smarty.const.$transkey|default:$transkey}&quot;&gt;
													{assign var="notFirstTime" value="1"}
												{/if}
												{assign var="ledgerAccountTransKey" value=$ledgerAccounts[j].ledgerAccountTransKey}
												&lt;option value=&quot;{$ledgerAccounts[j].ledgerAccountName}&quot;{if $existingEntries[i].ledgerAccountID == $ledgerAccounts[j].ledgerAccountID} selected=&quot;selected&quot;{/if}&gt;
													{$ledgerAccounts[j].ledgerAccountNumber} - {$smarty.const.$ledgerAccountTransKey|default:$ledgerAccountTransKey}
												&lt;/option&gt;
											{sectionelse}
											{/section}
									&lt;/optgroup&gt;
									&lt;/select&gt;
                                &lt;/td&gt;
                            &lt;/tr&gt;

                            &lt;tr&gt;
                                &lt;td&gt; &lt;/td&gt;
                                &lt;td&gt;&lt;input type=\'submit\' value=\'{$smarty.const.TRANS_CREDIT_ADD}\' /&gt;&lt;/td&gt;
                            &lt;/tr&gt;

                            &lt;/table&gt;
                        &lt;/fieldset&gt;
                    &lt;/form&gt;',
                        BGCLASS,
                        'popupBG',
                        FGCLASS,
                        'popupFG',
                        CENTER,
                        STICKY,
                        CAPTION,
                        '{$smarty.const.TRANS_QUICK_ADD_CREDIT}',
                        CLOSECLICK,
                        CLOSETEXT,
                        '&lt;img src={$imageDirectory}/ico/remove.gif width=16 height=16 border=0 /&gt;');"
                        onmouseout="return nd();">
{$smarty.const.TRANS_ADD_CREDIT}
</a>
</span>
{/strip}