{* $Id: quickDeleteLink.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display each <th></th> that allows sorting of that column.
 * We only want to allow sort options if the column has infinite values.
 *
 * This widget also builds a special search box for amount columns, that when you click on
 * the header name, will only search this column using amounts!
 *
 * Smarty Variables:
 *	$deleteActionName	The action name to get the action id for.
 *	$deleteID  		The id of the record to delete.
 *	$deleteKey		The primary key column name of the record to delete.
 * $deleteMesg		The constant which is a message to prompt for deletion.
 * $deleteColumn		The the column to delete.
 *	$sortArgs		The sort arguments to pass to the sortLinks widget.
 *	$recordOffset	The current record offset value
 *	$imageDirectory	The image directory for this theme.
 * $extraparam	Extra parameter, if necessary
 * $extravalue	Extra param value, if necessary
 * $sid			The current sessionID
 *
 * Example Usage:
 * {include file="$tplDirectory/widgets/quickDeleteLink.tpl" deleteActionName="RemoveNoteResponse" deleteMesg="TRANS_DELETE_MESG" deleteColumn="clientNoteID" deleteValue="$clientNote[i]clientID"}
 *}
{t c="TRANS_CLOSE" d="Close"}
{t c="TRANS_DELETE" d="Delete"}
{t c="TRANS_KEEP" d="Keep"}
{t c="TRANS_QUICK_DELETE_ID" d="Quick Delete ID"}

{strip}
<a href="javascript:void(0);" onclick="return overlib('&lt;div style=\'white-space: nowrap; text-align: center;\'&gt;
&lt;form method=\'post\' action=\'{$fileName}\'&gt;
&lt;input type=\'hidden\' name=\'action\' value=\'{getActionID action="$deleteActionName"}\' /&gt;
&lt;input type=\'hidden\' name=\'{$deleteKey}\' value=\'{$deleteID}\' /&gt;
&lt;input type=\'hidden\' name=\'redirectURL\' value=\'{$fileName}\' /&gt;
&lt;input type=\'hidden\' name=\'redirectAction\' value=\'{$actionName}\' /&gt;
&lt;input type=\'hidden\' name=\'redirectArgs\' value=\'{$bookmarkArgs}\' /&gt;
&lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\' /&gt;
{if $extraparam}
&lt;input type=\'hidden\' name=\'{$extraparam}\' value=\'{$extravalue}\' /&gt;
{/if}
{$smarty.const.$deleteMesg}<br />
&lt;input type=\'submit\' name=\'submit\' value=\'{$smarty.const.TRANS_DELETE}\' /&gt;
&lt;/form&gt;


&lt;/div&gt;', BGCLASS, 'popupBG', FGCLASS, 'popupFG', CENTER, STICKY, CAPTION, '{$smarty.const.TRANS_QUICK_DELETE_ID}: {$deleteID}', CLOSECLICK, CLOSETEXT, '&lt;img src={$imageDirectory}/ico/remove.gif width=16 height=16 border=0 /&gt;');" onmouseout="return nd();"><img src={$imageDirectory}/ico/remove.gif width=16 height=16 border=0 alt="{$smarty.const.TRANS_QUICK_DELETE}" title="{$smarty.const.TRANS_QUICK_DELETE}" /></a>
{/strip}