{* $Id: quickEditDateLink.tpl 9505 2006-10-13 00:57:52Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display each <th></th> that allows sorting of that column.
 * We only want to allow sort options if the column has infinite values.
 *
 * This widget also builds a special search box for amount columns, that when you click on
 * the header name, will only search this column using amounts!
 *
 * Smarty Variables:
 *	$editActionName	The action name to get the action id for.
 *	$editID  		The id of the record to edit.
 *	$editKey		The primary key column name of the record to edit.
 *  $editColumn		The the column to edit.
 *  $showHourMin	Whether or not to show the editing boxes for hours and minutes
 *	$sortArgs		The sort arguments to pass to the sortLinks widget.
 *	$recordOffset	The current record offset value
 *	$imageDirectory	The image directory for this theme.
 *  $sid			The current sessionID
 *
 * Example Usage:
 * {include file="$tplDirectory/widgets/quickEditDateLink.tpl" editActionName="EditAdminGroupResponse" editName="TRANS_FIRST_NAME" editColumn="clientCompany" editValue=$clients.i.clientCompany}
 *}
{t c="TRANS_CLOSE" d="Close"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_YEAR" d="Year"}
{t c="TRANS_MONTH" d="Month"}
{t c="TRANS_DAY" d="Day"}
{t c="TRANS_HOUR" d="Hour"}
{t c="TRANS_MINUTE" d="Minute"}
{t c="TRANS_QUICK_EDIT_ID" d="Quick Edit ID"}

{strip}
<a href="javascript:void(0);" onclick="overlib('
&lt;div style=\'white-space: nowrap\'&gt;
&lt;form method=\'post\' action=\'{$fileName}\' name=\'DateEdit\' onsubmit=\'javascript:d.setFullYear(document.DateEdit.year.value);
d.setMonth(document.DateEdit.month.value - 1);
d.setDate(document.DateEdit.day.value);
d.setHours(document.DateEdit.hour.value);
d.setMinutes(document.DateEdit.minute.value);
document.DateEdit.{$editColumn}.value = d.getTime()/1000;
\'&gt;
&lt;input type=\'hidden\' name=\'action\' value=\'{getActionID action="$editActionName"}\' /&gt;
&lt;input type=\'hidden\' name=\'{$editKey}\' value=\'{$editID}\' /&gt;
&lt;input type=\'hidden\' name=\'{$editColumn}\' value=\'\' /&gt;
&lt;input type=\'hidden\' name=\'redirectURL\' value=\'{$fileName}\' /&gt;
&lt;input type=\'hidden\' name=\'redirectAction\' value=\'{$actionName}\' /&gt;
&lt;input type=\'hidden\' name=\'redirectArgs\' value=\'{$bookmarkArgs}\' /&gt;
&lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\' /&gt;
{$smarty.const.TRANS_YEAR}:&nbsp;
&lt;input type=\'text\' name=\'year\' value=\'\' size=\'4\' onClick=\'javascript:this.form.year.focus();this.form.year.select();\'/&gt;
&nbsp;{$smarty.const.TRANS_MONTH}:&nbsp;
&lt;input type=\'text\' name=\'month\' value=\'\' size=\'2\' onClick=\'javascript:this.form.month.focus();this.form.month.select();\'/&gt;
&nbsp;{$smarty.const.TRANS_DAY}:&nbsp;
&lt;input type=\'text\' name=\'day\' value=\'\' size=\'2\' onClick=\'javascript:this.form.day.focus();this.form.day.select();\'/&gt;

{if ($showHourMin)}
&lt;br /&gt;&lt;br /&gt;{$smarty.const.TRANS_HOUR}:&nbsp;
&lt;input type=\'text\' name=\'hour\' value=\'\' size=\'2\' onClick=\'javascript:this.form.hour.focus();this.form.hour.select();\'/&gt;
&nbsp;{$smarty.const.TRANS_MINUTE}:&nbsp;
&lt;input type=\'text\' name=\'minute\' value=\'\' size=\'2\' onClick=\'javascript:this.form.minute.focus();this.form.minute.select();\'/&gt;
{/if}
&nbsp;&lt;input type=\'submit\' name=\'submit\' value=\'{$smarty.const.TRANS_EDIT}\' /&gt;
&lt;/form&gt;&lt;/div&gt;
', BGCLASS, 'popupBG', FGCLASS, 'popupFG', CENTER, STICKY, CAPTION, '{$smarty.const.TRANS_QUICK_EDIT_ID}: {$editID}', CLOSECLICK, CLOSETEXT, '&lt;img src={$imageDirectory}/ico/remove.gif width=16 height=16 border=0 /&gt;');
d = new Date({$editValue}000);
document.DateEdit.year.value = d.getFullYear();
document.DateEdit.month.value = d.getMonth() + 1;
document.DateEdit.day.value = d.getDate();
document.DateEdit.hour.value = d.getHours();
document.DateEdit.minute.value = d.getMinutes();
" onmouseout="return nd();"><img src="{$imageDirectory}/{if $icoFile}{$icoFile}{else}spacer.gif{/if}" width="16" height="16" alt="{$smarty.const.TRANS_QUICK_EDIT}" title="{$smarty.const.TRANS_QUICK_EDIT}" /></a>
{/strip}


<!--
<form method="post" action="{$fileName}>
	<select name="day">
	</select>
	<select name="month">
	</select>
	<select name="year">
	</select>
	{if ($showHourMin)}
	<input type="text" name="hour" value="" />
	<input type="text" name="minute" value="" />
	{/if}
</form>
-->