{* $Id: showBookmarks.tpl 6892 2006-05-16 16:57:21Z mgarrett $
 * --------------------------------------------------------------
 * This bookmark template displays the admin's bookmarks.
 *
 * Smarty Variables:
 *	$bookmarks (An array of this admins' bookmarks)
 *		bookmarkID
 *		bookmarkURL
 *		bookmarkAction
 *		bookmarkArgs
 *		bookmarkName
 *		bookmarkTarget
 *		bookmarkWindowWidth
 *		bookmarkWindowHeight
 *		bookmarkCount
 *  $bookmarkArgs	The arguments to be saved when bookmarking this page
 *	$fileName		The file name to save as the bookmarked file
 *	$actionName		The current action name
 *  $sid			The current sessionID
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/showBookmarks.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_BOOKMARK_THIS_PAGE" d="Bookmark this page"}
{t c="TRANS_BOOKMARKS" d="Bookmarks"}
{t c="TRANS_SAVE" d="Save"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_NONE" d="None"}

{strip}
<a href="javascript:void(0);" onclick="return overlib('&lt;div style=\'white-space: nowrap\'&gt;
	&lt;form method=\'get\' action=\'bookmarks.php\'&gt;
		&lt;input type=\'hidden\' name=\'action\' value=\'{getActionID action="AddBookmarkResponse"}\' /&gt;
		{$smarty.const.TRANS_NAME}:
		&nbsp;
		&lt;input type=\'text\' name=\'bookmarkName\' value=\'\' maxlength=\'10\' /&gt;
		&nbsp;
		&lt;input class=\'submit\' type=\'submit\' name=\'submit\' value=\'{$smarty.const.TRANS_SAVE}\' /&gt;
		&lt;input type=\'hidden\' name=\'bookmarkURL\' value=\'{$fileName}\' /&gt;
		&lt;input type=\'hidden\' name=\'bookmarkAction\' value=\'{$actionName}\' /&gt;
		&lt;input type=\'hidden\' name=\'bookmarkArgs\' value=\'{$bookmarkArgs}\' /&gt;
		&lt;input type=\'hidden\' name=\'bookmarkTarget\' value=\'_top\' /&gt;
		&lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\' /&gt;
	&lt;/form&gt;&lt;/div&gt;',
	BGCLASS, 'popupBG',
	FGCLASS, 'popupFG',
	CAPTIONFONTCLASS, 'popupCaption',
	CENTER, STICKY,
	CAPTION, '&nbsp;{$smarty.const.TRANS_BOOKMARK_THIS_PAGE}', CLOSECLICK, CLOSETEXT, '&lt;img src={$imageDirectory}/ico/remove.gif width=16 height=16 border=0 style=\'padding:2px;\' /&gt;');" onmouseout="return nd();">
	<img src="{$imageDirectory}/ico/bookmark_add.gif" width="16" height="16" alt="" title="" border="0" style="vertical-align:text-bottom;" />
</a>
&nbsp;
<b>{$smarty.const.TRANS_BOOKMARKS}:</b>
&nbsp;
{section name=iter loop=$bookmarks}
	&nbsp;
	<img src="{$imageDirectory}/ico/bookmark.gif" width="16" height="16" alt="" title="" border="0" style="vertical-align:text-bottom;" />
	&nbsp;
	<a href="{getHREF page=$bookmarks[iter].bookmarkURL actionName=$bookmarks[iter].bookmarkAction args=$bookmarks[iter].bookmarkArgs}" target="{$bookmarks[iter].bookmarkTarget}">
		{$bookmarks[iter].bookmarkName|mb_truncate:10}
	</a>
	&nbsp;
{sectionelse}
	{$smarty.const.TRANS_NONE}
{/section}
{/strip}