{* $Id: showTinymce.tpl 11018 2007-04-17 18:24:40Z bsmith $
 * --------------------------------------------------------------
 *
 *	mode = "all" || "exact" (default)
 *	elements = "formField1,formField2" the fieldnames in which to run tinymce over
 *	theme = "simple" || "advanced" (default)
 *	debug = (bool) Sets if tinyMCE should operate in debug mode (default:false)
 *	useEmailTemplates = bool Defines if or if not to use MBTemplateVars TinyMCE plugin.
 *	additionalPlugins comma separated list of plugins to include 
 *
 * Author: Brian Smith
 *}{strip}
{if $mode == ""}
	{assign var=mode value="exact"}
{/if}
{if $theme == ""}
	{assign var=theme value="advanced"}
{/if}

{if $TINYMCE_INCLUDED == ""}
	<script language="javascript" type="text/javascript" src="{$jsDirectory}/tinymce/core/tiny_mce.js"></script>
	{assign var=TINYMCE_INCLUDED value="1"}
{/if}
{/strip}
<script language="javascript" type="text/javascript">

//<[[CDATA][
tinyMCE.init({literal}{{/literal}
	mode : "{$mode}",
	fullpage_encodings: "utf-8",
{if $elements != ""}
	elements : "{$elements}",
{/if}
	theme_advanced_toolbar_location : "top",
	theme_advanced_toolbar_align : "left",
{if $showStatusbar != ""}
	theme_advanced_statusbar_location : "bottom",
{/if}
	
	theme : "{$theme}",
	plugins : "table{strip}
{if $useEmailTemplates}
	,mbtemplatevars
{/if}
{if $additionalPlugins}
	,{$additionalPlugins}
{/if}{/strip}",

{if $useEmailTemplates}
	theme_advanced_buttons3_add : "mbtemplatevars",
	mbtemplatevars_sid : "{$sid}",
	mbtemplatevars_action : "{getActionID action="GetEmailTemplateVariables"}",
	mbtemplatevars_templateIDvariable : "currentTemplateID",
{/if}
	convert_urls : false,
	debug : {strip}{if $debug}{$debug}{else}false{/if}{/strip}
	
	
{literal}}{/literal});
//]]>
</script>{strip}
{if $useEmailTemplates}
<div id="MBTemplateVars_div"></div>
<script language="javascript" type="text/javascript">
//<[[CDATA][
XKtoggleOff( "MBTemplateVars_div" );
//]]>
</script>
{/if}
{/strip}
