{* $Id: showTips.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This widget template displays a tips box.
 *
 * Example Usage:
    {include file="$tplDirectory/widgets/showTips.tpl"
        title="TRANS_TITLE"
        msg="TRANS_MSG"
        width="100%"
        align="center"}
 *
 * Author: Michael Fountain
 *}
{if $width==""}
    {assign var="width" value="100%"}
{/if}
{if $align==""}
    {assign var="align" value="center"}
{/if}

<table width="{$width}" align="{$align}" border="0" cellspacing="0" cellpadding="0" class="tabTips">
<tr>
	<th style="cursor: pointer;" onclick="XKtoggle('{$title}');">
        {strip}
            <img src="{$imageDirectory}/ico/tip.gif" width="16" height="16" style="vertical-align:middle;" alt="" title="" />
        &nbsp;
        <strong>{$smarty.const.$title}</strong>
        {/strip}
    </th>
</tr>
<tbody id="{$title}" {if !$show}class="off"{/if} >
<tr>
    <td>{$smarty.const.$msg}</td>
</tr>
</tbody>
</table>
