{* $Id: listHeaderSelectAll.tpl 11135 2007-05-14 16:51:06Z bsmith $
 * --------------------------------------------------------------
 * This widget template is used to display each <th></th> and select all
 * checkboxes matching a name style supplied as an arguement for mass
 * selections of a list.
 *
 * Smarty Variables:
 *	$headerName  	The constant representation of that column name.
 *	$headerAlign  	The text alignment of the header name.
 *	$formName	The name of the form to select all in.
 *	$captureName	The name of the select all checkbox.
 *	$selectedName	The name of the checkboxes we want to select all of.
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/table/listHeaderSelectAll.tpl"
 *		headerName="TRANS_SELECTALL"
 *		headerAlign="center"
 *		formName="document.captureForm"
 *		captureName="selectAll"
 *		selectedName="emailIDs"}
 *}{strip}
{if $headerAlign==""}
	{assign var="headerAlign" value="left"}
{/if}

{if $smarty.const.$headerName == "" && $headerName != ""}
	{assign var="headerName" value=$headerName}
{else}
	{assign var="headerName" value=$smarty.const.$headerName}
{/if}

{if $formName == ""}
	{assign var="formName" value="document"}
{/if}

{if $captureName == ""}
	{assign var="captureName" value="selectAll"}
{/if}

<td align="{$headerAlign}"{if $colWidth>0} width="{$colWidth}"{/if} class="$headerClass" style="text-align:{$headerAlign};" nowrap="nowrap">
	<input type="checkbox" name="{$captureName}" onClick="javascript:XKtoggleFormCheckboxes({$formName}, '{$selectedName}');" />
	{if $headerName != ""}
		&nbsp;{$headerName}
	{/if}
</td{if $colWidth>0} width="{$colWidth}"{/if}>
{if $addEmptyTD}
<td>&nbsp;</td>
{/if}
{/strip}
