{* $Id: listHeaderText.tpl 10611 2007-01-31 23:58:12Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display each <th></th> with no sorting or filtering.
 *
 * Smarty Variables:
 *	$headerName  	The constant representation of that column name.
 *	$headerAlign  	The text alignment of the header name.
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_X" headerAlign="center"}
 *}
{if $headerAlign==""}
	{assign var="headerAlign" value="left"}
{/if}

{if $smarty.const.$headerName == "" && $headerName != ""}
	{assign var="headerName" value=$headerName}
{else}
	{assign var="headerName" value=$smarty.const.$headerName}
{/if}
{strip}
<td {if $colSpan>0} colspan="{$colSpan}"{/if} align="{$headerAlign}"{if $colWidth>0} width="{$colWidth}"{/if} class="{$headerClass}" style="text-align:{$headerAlign};" nowrap="nowrap">
	{$headerName}
</td>
{if $addEmptyTD}
<td>&nbsp;</td>
{/if}
{/strip}
