{* $Id: wizardQuestionInputRadio.tpl 12708 2008-02-28 17:01:59Z kbailey $
 * --------------------------------------------------------------
 * This widget template displays a list of radio options.
 *
 * Smarty Variables:
 *	$question		The question.
 *  $inputName		The name of the select menu.
 *  $inputValue		The value of the input.
 *  $inputOptions	The array of radio options as defined here: http://smarty.php.net/manual/en/language.function.html.radios.php
 *  $appendText		The appended text messege.
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/widgets/wizard/questionInputRadio.tpl" question="Some Question" inputName="" inputValue="" inputOptions="" appendText=""}
 *}
 
{if $smarty.const.WIZARD_CART_DISPLAY==1}

	<tr {if $questionErrorMesgs}class="highlight"{/if}>
		<td class="title" valign="top"><label for="{$questionID}">{$question}</label></td>
		<td>
			{section name="i" loop=$questionAnswers}
				{assign var=inputid value="`$questionID`_`$smarty.section.i.index`"}
				<input id="{$inputid}" type="radio" value="{$questionAnswers[i].value}" name="{$questionID}"
				{if ($questionAnswers[i].selected)}checked="checked"{/if} /> <label for="{$inputid}">{$questionAnswers[i].answer}</label>
				<br />
			{/section}

			{$questionDescription} {if $questionErrorMesgs}<br />{$questionErrorMesgs}{/if}
		</td>
	</tr>

{elseif $smarty.const.WIZARD_ADMIN_ADDON_DISPLAY==1}

	{section name="i" loop=$questionAnswers}
		{assign var=inputid value="`$questionID`_`$smarty.section.i.index`"}
		<input id="{$inputid}_{literal}{ID}{/literal}" type="radio" value="{$questionAnswers[i].value}" name="addonValues[{literal}{ID}{/literal}][{$questionID}]"
		{if ($questionAnswers[i].selected)}checked="checked"{/if} /> <label for="{$inputid}_{literal}{ID}{/literal}">{$questionAnswers[i].answer}</label>
		<br />
	{/section}

	{$questionDescription} {if $questionErrorMesgs}<br />{$questionErrorMesgs}{/if}

{else}

	<tr {if $questionErrorMesgs}class="highlight"{/if}>
		<td class="title" valign="top"><label for="{$questionID}">{$question}</label></td>
		<td>
			{section name="i" loop=$questionAnswers}
				{assign var=inputid value="`$questionID`_`$smarty.section.i.index`"}
				<input id="{$inputid}" type="radio" value="{$questionAnswers[i].value}" name="{$questionID}"
				{if ($questionAnswers[i].selected)}checked="checked"{/if} /> <label for="{$inputid}">{$questionAnswers[i].answer}</label>
				<br />
			{/section}

			{$questionDescription} {if $questionErrorMesgs}<br />{$questionErrorMesgs}{/if}
		</td>
	</tr>

{/if}
