{* $Id: wizardQuestionInputText.tpl 12708 2008-02-28 17:01:59Z kbailey $
 * --------------------------------------------------------------
 * This widget template displays a question input text field.
 *
 * Smarty Variables:
 *	$question		The question.
 *  $inputName		The name of the select menu.
 *  $inputValue		The value of the input.
 *  $inputSize		The size of the input field.
 *  $inputMaxlength	The maxlength of the input field.
 *  $appendText		The appended text messege.
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/widgets/wizard/questionInputText.tpl" question="Some Question" inputName="" inputValue="" inputSize="" inputMaxlength="" appendText=""}
 *}

{if $smarty.const.WIZARD_CART_DISPLAY==1}

	<tr {if $questionErrorMesgs}class="highlight"{/if}>
		<td class="title" valign="top"><label for="{$questionID}">{$question}</label></td>
		<td>
			<input type="text" name="{$questionID}" {if ($questionSize)}size="{$questionSize}"{else}size="6"{/if} {if $questionMaxLength}maxlength="{$questionMaxLength}"{/if} value="{$questionAnswers.0.answer}" /> {if $questionDescription}<br />{$questionDescription}{/if} {if $questionErrorMesgs}<br />{$questionErrorMesgs}{/if}
		</td>
	</tr>

{elseif $smarty.const.WIZARD_ADMIN_ADDON_DISPLAY==1}

	<input type="text" name="addonValues[{literal}{ID}{/literal}][{$questionID}]" {if ($questionSize)}size="{$questionSize}"{else}size="6"{/if} {if $questionMaxLength}maxlength="{$questionMaxLength}"{/if} value="{$questionAnswers.0.answer}" /> {if $questionDescription}<br />{$questionDescription}{/if} {if $questionErrorMesgs}<br />{$questionErrorMesgs}{/if}

{else}

	<tr {if $questionErrorMesgs}class="highlight"{/if}>
		<td class="title" valign="top" scope="row"><label for="{$questionID}">{$question}</label></td>
		<td>
			<input type="text" name="{$questionID}" {if ($questionSize)}size="{$questionSize}"{else}size="6"{/if} {if $questionMaxLength}maxlength="{$questionMaxLength}"{/if} value="{$questionAnswers.0.answer}" /> {if $questionDescription}<br />{$questionDescription}{/if} {if $questionErrorMesgs}<br />{$questionErrorMesgs}{/if}
		</td>
	</tr>

{/if}
