{* $Id: ShowCertDetails.tpl 10479 2007-01-12 22:56:05Z bsmith $
 * --------------------------------------------------------------
 * This template displays a single cert's details.
 *
 * Smarty Variables:
 *	$cert (array of this cert's data)
 *
 *}
{strip}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_PACKAGE_ID" d="Package ID"}
{t c="TRANS_CLIENT" d="Client"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_ID" d="ID"}
{t c="TRANS_MANAGE_DOMAINS" d="Manage Domains"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_PACKAGE" d="Package"}
{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_DOMAINS" d="Show Domains"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_CERT_RENEW_SINGLE" d="Renew"}
{t c="TRANS_SELF_SIGNED_CERT" d="Self Signed Certificate"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_PHONE" d="Phone"}
{t c="TRANS_ADDRESS" d="Street Address"}
{t c="TRANS_SSLCERTS" d="SSL Certs"}
{t c="TRANS_QUANTITY" d="Quantity"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{/strip}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_SSLCERTS"
	grandchildName="TRANS_DETAILS"
	tabMajor="packages"
	tabMinor="packages"}

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ID"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_DOMAIN"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_PRICE"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_CERT_RENEW_SINGLE"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_CYCLE"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_STATUS"}
</tr>
</thead>
<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td>
		{$cert.certID}
	</td>
	<td>
		{if $cert.CSRDomainName}
			{$cert.CSRDomainName}
		{else}
			{$smarty.const.TRANS_PENDING}
		{/if}
	</td>
	<td align="center">
		{$cert.packagePrice|getAmount:$certs[i].currencyID}
	</td>
	<td align="center">
		{$cert.packageDateNextRenewal|getDate:medium}
	</td>
	<td align="center">
		{$cert.cycleID|getArrayValueByID:$cycleList}
	</td>
	<td align="center">
		{$cert.packageStatus|getArrayValueByID:$packageStatuses}
	</td>
</tr>
</tbody>
</table>
<br />

{include file="$tplDirectory/widgets/tabbedTable/tabbedTable.tpl" data=$tabbedTable}

{include file="$tplDirectory/footer.tpl"}