{* $Id: EditDomainContactData.tpl 7317 2006-06-08 01:30:52Z kbailey $
 * --------------------------------------------------------------
 * This template displays a single domain's contact data for editing.
 * This data is fetched from the registrar DIRECTLY! ModernBill does not store
 * this data!
 *
 * Smarty Variables:
 *	$domain (array of this domain's data in ModernBill)
 *	$domainData (array of data fetched from the registrar)
 *	$registrantContactData (array of data fetched from the registrar)
 *	$auxBillingContactData (array of data fetched from the registrar)
 *	$techContactData (array of data fetched from the registrar)
 *	$adminContactData (array of data fetched from the registrar)
 *	$billingContactDataContactData (array of data fetched from the registrar)
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ADMINISTRATIVE_CONTACT" d="Administrative Contact"}
{t c="TRANS_AUXILIARY_BILLING_CONTACT" d="Auxiliary Billing Contact"}
{t c="TRANS_BILLING_CONTACT" d="Billing Contact"}
{t c="TRANS_CITY" d="City"}
{t c="TRANS_CONTACT_WHOIS_INFORMATION" d="Contact/Whois Information"}
{t c="TRANS_COUNTRY" d="Country"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_DATE_EXPIRES" d="Date Expires"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_DOMAIN_DETAILS" d="Domain Details"}
{t c="TRANS_DOMAIN_UTILITITES" d="Domain Utilities"}
{t c="TRANS_EMAIL_ADDRESS" d="Email Address"}
{t c="TRANS_EXT" d="Ext"}
{t c="TRANS_FAX_NUMBER" d="Fax Number"}
{t c="TRANS_FIRST" d="First"}
{t c="TRANS_FOR_WHOIS_DISPLAY" d="for WhoIs display"}
{t c="TRANS_LAST" d="Last"}
{t c="TRANS_MANAGE_DOMAINS" d="Manage Domains"}
{t c="TRANS_NOT_APPLICABLE" d="Not Applicable"}
{t c="TRANS_NOTE" d="Note"}
{t c="TRANS_ORGANIZATION_NAME" d="Organization Name"}
{t c="TRANS_POSTAL_ADDRESS_LINE_1" d="Postal Address Line 1"}
{t c="TRANS_POSTAL_ADDRESS_LINE_2" d="Postal Address Line 2"}
{t c="TRANS_POSTAL_OR_ZIPCODE" d="Postal or Zipcode"}
{t c="TRANS_PROVINCE" d="Province"}
{t c="TRANS_REGISTRANT_CONTACT" d="Registrant Contact"}
{t c="TRANS_ROLE" d="Role"}
{t c="TRANS_REQUIRED" d="required"}
{t c="TRANS_REQUIRED_FOR_ORGS" d="required for organizations"}
{t c="TRANS_US_STATE" d="US State"}
{t c="TRANS_SAVE_DOMAIN_CONTACT_CHANGES_MSG" d="The information you give on this page will be shown in the <b>WhoIs</b> output for this name. Please provide complete and accurate information.<br /><br />If provided, the auxiliary billing information will be shown as the billing contact. You can use the auxiliary billing contact, for example, when you are registering a name on behalf of someone else, and that person would like to be listed in the WhoIs as the billing contact.<br /><br />If no registrant, administrative, or technical information is provided, then the billing information will be displayed in their place on the WhoIs output.<br /><br />Note: When an auxiliary billing contact is set, then this information is also used for the billing information for the purpose of the registrant, administrative, and technical contacts. For example, if you want to setup all contacts to be identical, fill in the auxiliary billing information and set all other contacts to <b>Use Billing</b>."}
{t c="TRANS_SAVE_CHANGES" d="Save Changes"}
{t c="TRANS_SETTING_THIS_WILL_OVERRIDE_MSG" d="Setting this contact will override the Billing contact when displayed in the WhoIs."}
{t c="TRANS_STATE_PROVINCE_WILL_BE_BLANK" d="the state/province field will be left blank"}
{t c="TRANS_TECHNICAL_CONTACT" d="Technical Contact"}
{t c="TRANS_TELEPHONE" d="Telephone"}
{t c="TRANS_TITLE" d="Title"}
{t c="TRANS_YOUR_NAME" d="Your Name"}

{t c="TRANS_USE_BILLING_INFO" d="Use billing information"}
{t c="TRANS_AUX_BILLING_WILL_BE_USED" d="Aux. Billing will be used if it is specified"}
{t c="TRANS_USE_THE_FOLLOWING_INFO" d="Use the following Information"}
{t c="TRANS_SHOW_REGISTRANT_INFO_AS_ADMIN_CONTACT" d="Show the Registrant Information (Above) as the Administrative Contact"}
{t c="TRANS_SHOW_REGISTRANT_INFO_AS_TECH_CONTACT" d="Show the Registrant Information (Above) as the Technical Contact"}
{t c="TRANS_SHOW_REGISTRANT_INFO_AS_BILLING_CONTACT" d="Show the Registrant Information (Above) as the Billing Contact"}

{assign var="domainID" value=$domain.domainID}

{include file="$tplDirectory/header.tpl" tabMajor="packages" tabMinor="domains"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<br />
<strong><a href="{getHREF page="domains.php" actionName="ShowDomainDetails" args="domainID=$domainID"}">{$domainData.domainname}</a></strong>>
<br />

<form method="post" action="domains.php" name="EditDomainContactData" onSubmit="EnableAll();">
<input type="hidden" name="action" value="{getActionID action="EditDomainContactDataResponse"}" />
<input type="hidden" name="domainID" value="{$domainID}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
	<legend>{$domain.domainSLD}.{$domain.domainTLD}</legend>
{*
					<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
						<tr>
							<td colspan="3" class="headerRow">
								{$smarty.const.TRANS_BILLING_CONTACT}
							</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_ORGANIZATION_NAME}</td>
							<td>&nbsp;</td>
							<td>{$billingContactData.BillingOrganizationName}</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_YOUR_NAME} ({$smarty.const.TRANS_FIRST}/{$smarty.const.TRANS_LAST})</td>
							<td>&nbsp;</td>
							<td>{$billingContactData.BillingFirstName} {$billingContactData.BillingLastName}</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_ROLE}/{$smarty.const.TRANS_TITLE}</td>
							<td>&nbsp;</td>
							<td>{$billingContactData.BillingJobTitle}</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_POSTAL_ADDRESS_LINE_1}</td>
							<td>&nbsp;</td>
							<td>{$billingContactData.BillingAddress1}</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_POSTAL_ADDRESS_LINE_2}</td>
							<td>&nbsp;</td>
							<td>{$billingContactData.BillingAddress2}</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_CITY}</td>
							<td>&nbsp;</td>
							<td>{$billingContactData.BillingCity}</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_STATE_OR_PROVINCE}</td>
							<td>&nbsp;</td>
							<td>{$billingContactData.BillingStateProvince}</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_POSTAL_OR_ZIPCODE}</td>
							<td>&nbsp;</td>
							<td>{$billingContactData.BillingPostalCode}</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_COUNTRY}</td>
							<td>&nbsp;</td>
							<td>{$billingContactData.BillingCountry}</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_EMAIL_ADDRESS}</td>
							<td>&nbsp;</td>
							<td>{$billingContactData.BillingEmailAddress}</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_TELEPHONE}</td>
							<td>&nbsp;</td>
							<td>{$billingContactData.BillingPhone} {$smarty.const.TRANS_EXT}.{$billingContactData.BillingPhoneExt}</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_FAX_NUMBER}</td>
							<td>&nbsp;</td>
							<td>{$billingContactData.BillingFax}</td>
						</tr>
						</table>
*}
						<br />
						
						<center>
						<b class="red">*</b> {$smarty.const.TRANS_REQUIRED}
						&nbsp;&nbsp;
						<b class="green">*</b> {$smarty.const.TRANS_REQUIRED_FOR_ORGS}
						</center>
						
						<br />
						
						<table  width="100%" border="0" cellpadding="3" cellspacing="3" class="list">
						<tr>
							<td colspan="3" class="headerRow">
								{$smarty.const.TRANS_REGISTRANT_CONTACT}
							</td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td><input type="radio" name="RegistrantOptions" value="1" onclick="EnableContact('Registrant',true);CopyContact('AuxBilling','Registrant')"></td>
							<td>{$smarty.const.TRANS_USE_BILLING_INFO} ({$smarty.const.TRANS_AUX_BILLING_WILL_BE_USED})</td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td><input type="radio" name="RegistrantOptions" value="2" onclick="EnableContact('Registrant',false)" checked></td>
							<td>{$smarty.const.TRANS_USE_THE_FOLLOWING_INFO}</td>
						</tr>
						<tr>
							<td colspan="3">&nbsp;</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_ORGANIZATION_NAME}</td>
							<td>&nbsp;</td>
							<td><input type="text" name="registrant[OrganizationName]" value="{$registrantContactData.RegistrantOrganizationName}" id="RegistrantOrganizationName" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_YOUR_NAME} ({$smarty.const.TRANS_FIRST}/{$smarty.const.TRANS_LAST})</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="registrant[FirstName]" value="{$registrantContactData.RegistrantFirstName}" id="RegistrantFirstName" size="15" />
								<input type="text" name="registrant[LastName]" value="{$registrantContactData.RegistrantLastName}" id="RegistrantLastName" size="15" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_ROLE}/{$smarty.const.TRANS_TITLE}</td>
							<td align="center"><b class="green">*</b></td>
							<td><input type="text" name="registrant[JobTitle]" value="{$registrantContactData.RegistrantJobTitle}" id="RegistrantJobTitle" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_POSTAL_ADDRESS_LINE_1}</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="registrant[Address1]" value="{$registrantContactData.RegistrantAddress1}" id="RegistrantAddress1" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_POSTAL_ADDRESS_LINE_2}</td>
							<td>&nbsp;</td>
							<td><input type="text" name="registrant[Address2]" value="{$registrantContactData.RegistrantAddress2}" id="RegistrantAddress2" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_CITY}</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="registrant[City]" value="{$registrantContactData.RegistrantCity}" id="RegistrantCity" size="35" /></td>
						</tr>
						<tr>
							<td class="title">
								<input type="radio" name="registrant[StateProvinceChoice]" value="S"
									{if $registrantContactData.RegistrantStateProvinceChoice=="S"}checked{/if} id="RegistrantStateProvinceChoice0" />
								{$smarty.const.TRANS_US_STATE}
							</td>
							<td align="center"><b class="red">*</b></td>
							<td>
								<select name="registrant[State]" id="RegistrantState">
								<option value="" selected></option>
								{if $registrantContactData.RegistrantStateProvinceChoice=="S"}
									{assign var="RegistrantState" value=$registrantContactData.RegistrantStateProvince}
								{/if}
								{html_options options=$states selected=$RegistrantState}
								</select>
							</td>
						</tr>
						<tr>
							<td align="right" valign="middle">
								<input type="radio" name="registrant[StateProvinceChoice]" value="P"
									{if $registrantContactData.RegistrantStateProvinceChoice=="P" or $registrantContactData.RegistrantStateProvinceChoice==""}checked{/if} id="RegistrantStateProvinceChoice1" />
								{$smarty.const.TRANS_PROVINCE}
							</td>
							<td>&nbsp;</td>
							{if $registrantContactData.RegistrantStateProvinceChoice=="P" or $registrantContactData.RegistrantStateProvinceChoice==""}
								{assign var="RegistrantProvince" value=$registrantContactData.RegistrantStateProvince}
							{/if}
							<td><input type="text" name="registrant[Province]" value="{$RegistrantProvince}" id="RegistrantProvince" size="35" /></td>
						</tr>
						<tr>
							<td align="right" valign="middle">
								<input type="radio" name="registrant[StateProvinceChoice]" value="N"
									{if $registrantContactData.RegistrantStateProvinceChoice=="N"}checked{/if} id="RegistrantStateProvinceChoice2" />
								{$smarty.const.TRANS_NOT_APPLICABLE}
							</td>
							<td>&nbsp;</td>
							<td>({$smarty.const.TRANS_STATE_PROVINCE_WILL_BE_BLANK})</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_POSTAL_OR_ZIPCODE}</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="registrant[PostalCode]" value="{$registrantContactData.RegistrantPostalCode}" id="RegistrantPostalCode" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_COUNTRY}</td>
							<td align="center"><b class="red">*</b></td>
							<td>
								<select name="registrant[Country]" id="RegistrantCountry">
								{html_options options=$countries selected=$registrantContactData.RegistrantCountry}
								</select>
							</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_EMAIL_ADDRESS}</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="registrant[EmailAddress]" value="{$registrantContactData.RegistrantEmailAddress}" id="RegistrantEmailAddress" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_TELEPHONE}</td>
							<td align="center"><b class="red">*</b></td>
							<td>
								<select name="registrant[PhoneDial]" id="RegistrantPhoneDial">
								{html_options options=$countryPhoneCodes selected=$registrantContactData.RegistrantCountry}
								</select>
							</td>
						</tr>
						<tr>
							<td align="right">&nbsp;</td>
							<td>&nbsp;</td>
							<td><input type="text" name="registrant[Phone]" value="{$registrantContactData.RegistrantPhone}" id="RegistrantPhone" size="15" />
								{$smarty.const.TRANS_EXT}. <input type="text" name="registrant[PhoneExt]" value="{$registrantContactData.RegistrantPhoneExt}" id="RegistrantPhoneExt" size="5" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_FAX_NUMBER}</td>
							<td>&nbsp;</td>
							<td>
								<select name="registrant[FaxDial]" id="RegistrantFaxDial">
								{html_options options=$countryPhoneCodes selected=$registrantContactData.AuxBillingCountry}
								</select>
							</td>
						</tr>
						<tr>
							<td align="right">&nbsp;</td>
							<td>&nbsp;</td>
							<td><input type="text" name="registrant[Fax]" value="{$registrantContactData.RegistrantFax}"  id="RegistrantFax" size="15" /></td>
						</tr>
						</table>
						
						<br /><br />
						
						<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
						<tr>
							<td colspan="3" class="headerRow">
								{$smarty.const.TRANS_ADMINISTRATIVE_CONTACT}
							</td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td><input type="radio" name="AdminOptions" value="1" onclick="EnableContact('Admin',true);CopyContact('AuxBilling','Admin')"></td>
							<td>{$smarty.const.TRANS_USE_BILLING_INFO} ({$smarty.const.TRANS_AUX_BILLING_WILL_BE_USED})</td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td><input type="radio" name="AdminOptions" value="2" onclick="EnableContact('Admin',true);CopyContact('Registrant','Admin')"></td>
							<td>{$smarty.const.TRANS_SHOW_REGISTRANT_INFO_AS_ADMIN_CONTACT}</td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td><input type="radio" name="AdminOptions" value="3" onclick="EnableContact('Admin',false)" checked></td>
							<td>{$smarty.const.TRANS_USE_THE_FOLLOWING_INFO}</td>
						</tr>
						<tr>
							<td colspan="3">&nbsp;</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_ORGANIZATION_NAME}</td>
							<td>&nbsp;</td>
							<td><input type="text" name="admin[OrganizationName]" value="{$adminContactData.AdminOrganizationName}" id="AdminOrganizationName" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_YOUR_NAME} ({$smarty.const.TRANS_FIRST}/{$smarty.const.TRANS_LAST})</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="admin[FirstName]" value="{$adminContactData.AdminFirstName}" id="AdminFirstName" size="15" />
								<input type="text" name="admin[LastName]" value="{$adminContactData.AdminLastName}" id="AdminLastName" size="15" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_ROLE}/{$smarty.const.TRANS_TITLE}</td>
							<td align="center"><b class="green">*</b></td>
							<td><input type="text" name="admin[JobTitle]" value="{$adminContactData.AdminJobTitle}" id="AdminJobTitle" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_POSTAL_ADDRESS_LINE_1}</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="admin[Address1]" value="{$adminContactData.AdminAddress1}" id="AdminAddress1" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_POSTAL_ADDRESS_LINE_2}</td>
							<td>&nbsp;</td>
							<td><input type="text" name="admin[Address2]" value="{$adminContactData.AdminAddress2}" id="AdminAddress2" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_CITY}</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="admin[City]" value="{$adminContactData.AdminCity}" id="AdminCity" size="35" /></td>
						</tr>
						<tr>
							<td align="right">
								<input type="radio" name="admin[StateProvinceChoice]" value="S"
									{if $adminContactData.AdminStateProvinceChoice=="S"}checked{/if} id="AdminStateProvinceChoice0" />
								{$smarty.const.TRANS_US_STATE}
							</td>
							<td align="center"><b class="red">*</b></td>
							<td>
								<select name="admin[State]" id="AdminState">
								<option value="" selected></option>
								{if $adminContactData.AdminStateProvinceChoice=="S"}
									{assign var="AdminState" value=$adminContactData.AdminStateProvince}
								{/if}
								{html_options options=$states selected=$AdminState}
								</select>
							</td>
						</tr>
						<tr>
							<td align="right" valign="middle">
								<input type="radio" name="admin[StateProvinceChoice]" value="P"
									{if $adminContactData.AdminStateProvinceChoice=="P" or $adminContactData.AdminStateProvinceChoice==""}checked{/if} id="AdminStateProvinceChoice1" />
								{$smarty.const.TRANS_PROVINCE}
							</td>
							<td>&nbsp;</td>
							{if $adminContactData.AdminStateProvinceChoice=="P" or $adminContactData.AdminStateProvinceChoice==""}
								{assign var="AdminProvince" value=$adminContactData.AdminStateProvince}
							{/if}
							<td><input type="text" name="admin[Province]" value="{$AdminProvince}" id="AdminProvince" size="35" /></td>
						</tr>
						<tr>
							<td align="right" valign="middle">
								<input type="radio" name="admin[StateProvinceChoice]" value="N"
									{if $adminContactData.AdminStateProvinceChoice=="N"}checked{/if} id="AdminStateProvinceChoice2" />
								{$smarty.const.TRANS_NOT_APPLICABLE}
							</td>
							<td>&nbsp;</td>
							<td>({$smarty.const.TRANS_STATE_PROVINCE_WILL_BE_BLANK})</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_POSTAL_OR_ZIPCODE}</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="admin[PostalCode]" value="{$adminContactData.AdminPostalCode}" id="AdminPostalCode" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_COUNTRY}</td>
							<td align="center"><b class="red">*</b></td>
							<td>
								<select name="admin[Country]" id="AdminCountry">
								{html_options options=$countries selected=$adminContactData.AdminCountry}
								</select>
							</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_EMAIL_ADDRESS}</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="admin[EmailAddress]" value="{$adminContactData.AdminEmailAddress}" id="AdminEmailAddress" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_TELEPHONE}</td>
							<td align="center"><b class="red">*</b></td>
							<td>
								<select name="admin[Phone]" id="AdminPhoneDial">
								{html_options options=$countryPhoneCodes selected=$adminContactData.AdminCountry}
								</select>
							</td>
						</tr>
						<tr>
							<td align="right">&nbsp;</td>
							<td>&nbsp;</td>
							<td><input type="text" name="admin[Phone]" value="{$adminContactData.AdminPhone}" id="AdminPhone" size="15" />
								{$smarty.const.TRANS_EXT}. <input type="text" name="admin[PhoneExt]" value="{$adminContactData.AdminPhoneExt}" id="AdminPhoneExt" size="5" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_FAX_NUMBER}</td>
							<td>&nbsp;</td>
							<td>
								<select name="admin[Fax]" id="AdminFaxDial">
								{html_options options=$countryPhoneCodes selected=$adminContactData.AuxBillingCountry}
								</select>
							</td>
						</tr>
						<tr>
							<td align="right">&nbsp;</td>
							<td>&nbsp;</td>
							<td><input type="text" name="admin[Fax]" value="{$adminContactData.AdminFax}" id="AdminFax" size="15" /></td>
						</tr>
						</table>
						
						<br /><br />
						
						<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
						<tr>
							<td colspan="3" class="headerRow">
								{$smarty.const.TRANS_TECHNICAL_CONTACT}
							</td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td><input type="radio" name="TechOptions" value="1" onclick="EnableContact('Tech',true);CopyContact('AuxBilling','Tech')"></td>
							<td>{$smarty.const.TRANS_USE_BILLING_INFO} ({$smarty.const.TRANS_AUX_BILLING_WILL_BE_USED})</td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td><input type="radio" name="TechOptions" value="2" onclick="EnableContact('Tech',true);CopyContact('Registrant','Tech')"></td>
							<td>{$smarty.const.TRANS_SHOW_REGISTRANT_INFO_AS_TECH_CONTACT}</td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td><input type="radio" name="TechOptions" value="3" onclick="EnableContact('Tech',false)" checked></td>
							<td>{$smarty.const.TRANS_USE_THE_FOLLOWING_INFO}</td>
						</tr>
						<tr>
							<td colspan="3">&nbsp;</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_ORGANIZATION_NAME}</td>
							<td>&nbsp;</td>
							<td><input type="text" name="tech[OrganizationName]" value="{$techContactData.TechOrganizationName}" id="TechOrganizationName" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_YOUR_NAME} ({$smarty.const.TRANS_FIRST}/{$smarty.const.TRANS_LAST})</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="tech[FirstName]" value="{$techContactData.TechFirstName}" id="TechFirstName" size="15" />
								<input type="text" name="tech[LastName]" value="{$techContactData.TechLastName}" id="TechLastName" size="15" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_ROLE}/{$smarty.const.TRANS_TITLE}</td>
							<td align="center"><b class="green">*</b></td>
							<td><input type="text" name="tech[JobTitle]" value="{$techContactData.TechJobTitle}" id="TechJobTitle" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_POSTAL_ADDRESS_LINE_1}</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="tech[Address1]" value="{$techContactData.TechAddress1}" id="TechAddress1" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_POSTAL_ADDRESS_LINE_2}</td>
							<td>&nbsp;</td>
							<td><input type="text" name="tech[Address2]" value="{$techContactData.TechAddress2}" id="TechAddress2" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_CITY}</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="tech[City]" value="{$techContactData.TechCity}" id="TechCity" size="35" /></td>
						</tr>
						<tr>
							<td align="right">
								<input type="radio" name="tech[StateProvinceChoice]" value="S"
									{if $techContactData.TechStateProvinceChoice=="S"}checked{/if} id="TechStateProvinceChoice0" />
								{$smarty.const.TRANS_US_STATE}
							</td>
							<td align="center"><b class="red">*</b></td>
							<td>
								<select name="tech[State]" id="TechState">
								<option value="" selected></option>
								{if $techContactData.TechStateProvinceChoice=="S"}
									{assign var="TechState" value=$techContactData.TechStateProvince}
								{/if}
								{html_options options=$states selected=$TechState}
								</select>
							</td>
						</tr>
						<tr>
							<td align="right" valign="middle">
								<input type="radio" name="tech[StateProvinceChoice]" value="P"
									{if $techContactData.TechStateProvinceChoice=="P" or $techContactData.TechStateProvinceChoice==""}checked{/if} id="TechStateProvinceChoice1" />
								{$smarty.const.TRANS_PROVINCE}
							</td>
							<td>&nbsp;</td>
							{if $techContactData.TechStateProvinceChoice=="P" or $techContactData.TechStateProvinceChoice==""}
								{assign var="TechProvince" value=$techContactData.TechStateProvince}
							{/if}
							<td><input type="text" name="tech[Province]" value="{$TechProvince}" id="TechProvince" size="35" /></td>
						</tr>
						<tr>
							<td align="right" valign="middle">
								<input type="radio" name="tech[StateProvinceChoice]" value="N"
									{if $techContactData.TechStateProvinceChoice=="N"}checked{/if} id="TechStateProvinceChoice2" />
								{$smarty.const.TRANS_NOT_APPLICABLE}
							</td>
							<td>&nbsp;</td>
							<td>({$smarty.const.TRANS_STATE_PROVINCE_WILL_BE_BLANK})</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_POSTAL_OR_ZIPCODE}</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="tech[PostalCode]" value="{$techContactData.TechPostalCode}" id="TechPostalCode" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_COUNTRY}</td>
							<td align="center"><b class="red">*</b></td>
							<td>
								<select name="tech[Country]" id="TechCountry">
								{html_options options=$countries selected=$techContactData.TechCountry}
								</select>
							</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_EMAIL_ADDRESS}</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="tech[EmailAddress]" value="{$techContactData.TechEmailAddress}" id="TechEmailAddress" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_TELEPHONE}</td>
							<td align="center"><b class="red">*</b></td>
							<td>
								<select name="tech[Phone]" id="TechPhoneDial">
								{html_options options=$countryPhoneCodes selected=$techContactData.TechCountry}
								</select>
							</td>
						</tr>
						<tr>
							<td align="right">&nbsp;</td>
							<td>&nbsp;</td>
							<td><input type="text" name="tech[Phone]" value="{$techContactData.TechPhone}" id="TechPhone" size="15" />
								{$smarty.const.TRANS_EXT}. <input type="text" name="tech[PhoneExt]" value="{$techContactData.TechPhoneExt}" id="TechPhoneExt" size="5" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_FAX_NUMBER}</td>
							<td>&nbsp;</td>
							<td>
								<select name="tech[FaxDial]" id="TechFaxDial">
								{html_options options=$countryPhoneCodes selected=$techContactData.AuxBillingCountry}
								</select>
							</td>
						</tr>
						<tr>
							<td align="right">&nbsp;</td>
							<td>&nbsp;</td>
							<td><input type="text" name="tech[Fax]" value="{$techContactData.TechFax}" id="TechFax" size="15" /></td>
						</tr>
						</table>
						
						<br /><br />
						
						<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
						<tr>
							<td colspan="3" class="headerRow">
								{$smarty.const.TRANS_AUXILIARY_BILLING_CONTACT} ({$smarty.const.TRANS_FOR_WHOIS_DISPLAY})
							</td>
						</tr>
						<tr>
							<td colspan="3" align="center">
								{$smarty.const.TRANS_NOTE}: {$smarty.const.TRANS_SETTING_THIS_WILL_OVERRIDE_MSG}
								<br /><br />
							</td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td><input type="radio" name="AuxBillingOptions" value="1" onclick="EnableContact('AuxBilling',true);CopyContact('Registrant','AuxBilling')"></td>
							<td>{$smarty.const.TRANS_SHOW_REGISTRANT_INFO_AS_TECH_CONTACT}</td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td><input type="radio" name="AuxBillingOptions" value="2" onclick="EnableContact('AuxBilling',false)" checked></td>
							<td>{$smarty.const.TRANS_USE_THE_FOLLOWING_INFO}</td>
						</tr>
						<tr>
							<td colspan="3">&nbsp;</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_ORGANIZATION_NAME}</td>
							<td>&nbsp;</td>
							<td><input type="text" name="auxBilling[OrganizationName]" value="{$auxBillingContactData.AuxBillingOrganizationName}" id="AuxBillingOrganizationName" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_YOUR_NAME} ({$smarty.const.TRANS_FIRST}/{$smarty.const.TRANS_LAST})</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="auxBilling[FirstName]" value="{$auxBillingContactData.AuxBillingFirstName}" id="AuxBillingFirstName" size="15" />
								<input type="text" name="auxBilling[LastName]" value="{$auxBillingContactData.AuxBillingLastName}" id="AuxBillingLastName" size="15" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_ROLE}/{$smarty.const.TRANS_TITLE}</td>
							<td align="center"><b class="green">*</b></td>
							<td><input type="text" name="auxBilling[JobTitle]" value="{$auxBillingContactData.AuxBillingJobTitle}" id="AuxBillingJobTitle" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_POSTAL_ADDRESS_LINE_1}</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="auxBilling[Address1]" value="{$auxBillingContactData.AuxBillingAddress1}" id="AuxBillingAddress1" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_POSTAL_ADDRESS_LINE_2}</td>
							<td>&nbsp;</td>
							<td><input type="text" name="auxBilling[Address2]" value="{$auxBillingContactData.AuxBillingAddress2}" id="AuxBillingAddress2" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_CITY}</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="auxBilling[City]" value="{$auxBillingContactData.AuxBillingCity}" id="AuxBillingCity" size="35" /></td>
						</tr>
						<tr>
							<td align="right">
								<input type="radio" name="auxBilling[StateProvinceChoice]" value="S"
									{if $auxBillingContactData.AuxBillingStateProvinceChoice=="S"}checked{/if} id="AuxBillingStateProvinceChoice0" />
								{$smarty.const.TRANS_US_STATE}
							</td>
							<td align="center"><b class="red">*</b></td>
							<td>
								<select name="auxBilling[State]" id="AuxBillingState">
								<option value="" selected></option>
								{if $auxBillingContactData.AuxBillingStateProvinceChoice=="S"}
									{assign var="AuxBillingState" value=$auxBillingContactData.AuxBillingStateProvince}
								{/if}
								{html_options options=$states selected=$AuxBillingState}
								</select>
							</td>
						</tr>
						<tr>
							<td align="right" valign="middle">
								<input type="radio" name="auxBilling[StateProvinceChoice]" value="P"
									{if $auxBillingContactData.AuxBillingStateProvinceChoice=="P" or $auxBillingContactData.AuxBillingStateProvinceChoice==""}checked{/if} id="AuxBillingStateProvinceChoice1" />
								{$smarty.const.TRANS_PROVINCE}
							</td>
							<td>&nbsp;</td>
							{if $auxBillingContactData.AuxBillingStateProvinceChoice=="P" or $auxBillingContactData.AuxBillingStateProvinceChoice==""}
								{assign var="AuxBillingProvince" value=$auxBillingContactData.AuxBillingStateProvince}
							{/if}
							<td><input type="text" name="auxBilling[Province]" value="{$AuxBillingProvince}" id="AuxBillingProvince" size="35" /></td>
						</tr>
						<tr>
							<td align="right" valign="middle">
								<input type="radio" name="auxBilling[StateProvinceChoice]" value="N"
									{if $auxBillingContactData.AuxBillingStateProvinceChoice=="N"}checked{/if} id="AuxBillingStateProvinceChoice2" />
								{$smarty.const.TRANS_NOT_APPLICABLE}
							</td>
							<td>&nbsp;</td>
							<td>({$smarty.const.TRANS_STATE_PROVINCE_WILL_BE_BLANK})</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_POSTAL_OR_ZIPCODE}</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="auxBilling[PostalCode]" value="{$auxBillingContactData.AuxBillingPostalCode}" id="AuxBillingPostalCode" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_COUNTRY}</td>
							<td align="center"><b class="red">*</b></td>
							<td>
								<select name="auxBilling[Country]" id="AuxBillingCountry">
								{html_options options=$countries selected=$auxBillingContactData.AuxBillingCountry}
								</select>
							</td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_EMAIL_ADDRESS}</td>
							<td align="center"><b class="red">*</b></td>
							<td><input type="text" name="auxBilling[EmailAddress]" value="{$auxBillingContactData.AuxBillingEmailAddress}" id="AuxBillingEmailAddress" size="35" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_TELEPHONE}</td>
							<td align="center"><b class="red">*</b></td>
							<td>
								<select name="auxBilling[PhoneDial]" id="AuxBillingPhoneDial">
								{html_options options=$countryPhoneCodes selected=$auxBillingContactData.AuxBillingCountry}
								</select>
							</td>
						</tr>
						<tr>
							<td align="right">&nbsp;</td>
							<td>&nbsp;</td>
							<td><input type="text" name="auxBilling[Phone]" value="{$auxBillingContactData.AuxBillingPhone}" id="AuxBillingPhone" size="15" />
								{$smarty.const.TRANS_EXT}. <input type="text" name="auxBilling[PhoneExt]" value="{$auxBillingContactData.AuxBillingPhoneExt}" id="AuxBillingPhoneExt" size="5" /></td>
						</tr>
						<tr>
							<td class="title">{$smarty.const.TRANS_FAX_NUMBER}</td>
							<td>&nbsp;</td>
							<td>
								<select name="auxBilling[FaxDial]" id="AuxBillingFaxDial">
								{html_options options=$countryPhoneCodes selected=$auxBillingContactData.AuxBillingCountry}
								</select>
							</td>
						</tr>
						<tr>
							<td align="right">&nbsp;</td>
							<td>&nbsp;</td>
							<td><input type="text" name="auxBilling[Fax]" value="{$auxBillingContactData.AuxBillingFax}" id="AuxBillingFax" size="15" /></td>
						</tr>

						<tr>
							<td align="left" colspan="3">{$smarty.const.TRANS_SAVE_DOMAIN_CONTACT_CHANGES_MSG}</td>
						</tr>
						<tr class="listButtons">
							<td colspan="3"><div>
								<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE_CHANGES}" />
							</div></td>
						</tr>

					</table>
		</fieldset>

</form>

{include file="$tplDirectory/footer.tpl"}
