{* $Id: EditDomainRenewTypeOptions.tpl 7317 2006-06-08 01:30:52Z kbailey $
 * --------------------------------------------------------------
 * This template displays the domains.
 *
 * Smarty Variables:
 *  $domainRenewType (1 = autorenew at the registrar)
 *
 * 	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *	$tplDirectory	The relative path to the theme's template directory
 *
 * Author: Andy Christ
 *}

{t c="TRANS_DOMAIN_AUTORENEW" d="Auto Renew"}
{t c="TRANS_DOMAIN_AUTORENEW_DESC" d="If checked, this domain will auto renew at the registrar"}
{t c="TRANS_UPDATE" d="Update"}


{include file="$tplDirectory/header.tpl" tabMajor="packages" tabMinor="domains"}

<form method="post" action="domains.php" name="EditRenewTypeOption">
<input type="hidden" name="action" value="{getActionID action="EditDomainRenewTypeOptionsResponse"}">
<input type="hidden" name="domainID" value="{$domain.domainID}">
<input type="hidden" name="sid" value="{$sid}">

<fieldset>
			<legend>{$domain.domainSLD}.{$domain.domainTLD}</legend>
			<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">
			<tr>
				<td class="title">
					{$smarty.const.TRANS_DOMAIN_AUTORENEW}
				</td>
				<td>
					<input type="checkbox" {if $domainRenewType} checked="checked" {/if} name=domainRenewType value="1">
					{$smarty.const.TRANS_DOMAIN_AUTORENEW_DESC}
				</td>
			</tr>
			<tr class="listButtons">
				<td colspan="2"><div>
					<input type="submit" name="updatePassword" value="{$smarty.const.TRANS_UPDATE}">
				</div></td>
			</tr>
			</table>
		</fieldset>{* box07 *}
        <br />
</form>

{include file="$tplDirectory/footer.tpl"}
