{* $Id: ShowBillingAccounts.tpl 12343 2007-12-11 18:44:53Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of billingaccounts.
 *
 * Smarty Variables:
 *	$billingaccounts (array of billingaccounts that match criteria)
 *
 *}
 {t c="TRANS_MANAGE_BILLING_ACCOUNTS" d="Manage Billing Accounts"}
 {t c="TRANS_ADD_BILLING_ACCOUNT" d="Add Billing Account"}
 {t c="TRANS_ACCOUNT" d="Account"}
 {t c="TRANS_TYPE" d="Type"}
{include file="$tplDirectory/header.tpl" tabMajor="profile" tabMinor="billing"}

<fieldset>
	<legend><img src="{$imageDirectory}/ico/billing-icon.gif" width="30" height="30" border="0" alt="" align="absmiddle" /> {$smarty.const.TRANS_MANAGE_BILLING_ACCOUNTS}</legend>

	<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">

	<tr>
		<td colspan="5" align="right">
				<div class="rm"><a href="{getHREF page="profile.php" actionName="AddBillingAccount"}">{$smarty.const.TRANS_ADD_BILLING_ACCOUNT}</a></div>
		</td>
	</tr>

	<tr class="headerRow">
		<td>
			{$smarty.const.TRANS_ACCOUNT}
		</td>
		<td>
			{$smarty.const.TRANS_TYPE}
		</td>
		<td>
			{$smarty.const.TRANS_STATUS}
		</td>
		<td>
        {$smarty.const.TRANS_ACTION}
		</td>
	</tr>

	{section name=i loop=$billingAccounts}
		{assign var=billingAccountID value=$billingAccounts[i].billingAccountID}

		<tr>
			<td>
				{$billingAccounts[i].billingAccountDisplayName}
			</td>
			<td>
				{$billingAccounts[i].billingAccountType|getTypeName:"billingAccount"}
			</td>
			<td>
				{$billingAccounts[i].billingAccountStatus|getStatusName:"billingAccount"}
			</td>
			<td>
				<a href="{getHREF page="profile.php"
							actionName="EditBillingAccount"
							args="billingAccountID=$billingAccountID"}">
					<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" align="middle" alt="" title=""  style="vertical-align:middle;border-style:none;" />
				</a> <a href="{getHREF page="profile.php"
                            actionName="EditBillingAccount"
                            args="billingAccountID=$billingAccountID"}">{$smarty.const.TRANS_EDIT}</a>
				&nbsp;
				<a href="{getHREF page="profile.php"
							actionName="RemoveBillingAccount"
							args="billingAccountID=$billingAccountID"}">
					<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" align="middle" alt="" title=""  style="vertical-align:middle;border-style:none;" />
				</a>     <a href="{getHREF page="profile.php"
                            actionName="RemoveBillingAccount"
                            args="billingAccountID=$billingAccountID"}">{$smarty.const.TRANS_REMOVE}</a>
			</td>
		</tr>
	
	{sectionelse}
		<tr>
			<td style="text-align: left;" colspan="5"><i>{$smarty.const.TRANS_NONE}</i></td>
		</tr>
	{/section}
	</table>
</fieldset>{* box07 *}


{include file="$tplDirectory/footer.tpl"}