
{assign var="real" value=$param}
{assign var="default" value="`$param`Default"}
{assign var="checked" value="`$param`Checked"}

{assign var="defaultTime" value="`$default`Time"}
{assign var="defaultYear" value="`$default`Year"}
{assign var="defaultMonth" value="`$default`Month"}
{assign var="defaultDay" value="`$default`Day"}
{assign var="defaultHour" value="`$default`Hour"}
{assign var="defaultMinute" value="`$default`Minute"}

{assign var="realTime" value="`$real`Time"}
{assign var="realYear" value="`$real`Year"}
{assign var="realMonth" value="`$real`Month"}
{assign var="realDay" value="`$real`Day"}
{assign var="realHour" value="`$real`Hour"}
{assign var="realMinute" value="`$real`Minute"}

{if $optional}
	<input type="checkbox" id="{$checked}" name="{$checked}" onmouseup="setTimeout('update{$param}Enabled()', 10);" value="1" {if $formValues.$checked}checked="checked" {/if}/>
{/if}

{if $formValues.$realYear}
	{* use input validation values *}
	{assign var="realTime" value="`$formValues.$realYear`-`$formValues.$realMonth`-`$formValues.$realDay`"}
    {html_select_locale_date
		time=$realTime
		hour=$formValues.$realHour
		minute=$formValues.$realMinute
		prefix=$real
		display_time="true"
		setID="true"
		fieldOrder=$localeData.locale_date_order}
	<input type="reset" value=" ... " id="{$real}" />
{else}
	{* use cleanly initialized values *}
	{html_select_locale_date
		time=$formValues.$default
		hour=$formValues.$defaultHour
		minute=$formValues.$defaultMinute
		prefix=$real
		display_time="true"
		setID="true"
		fieldOrder=$localeData.locale_date_order}
	<input type="image" src="{$imageDirectory}/ico/calendar.gif" id="{$real}" style="margin-left:2px; vertical-align: text-bottom;" />
{/if}
<script type="text/javascript">
{literal}
    function update{/literal}{$real}{literal}Select(cal) {
        var date = cal.date;
        var selectMonth = document.getElementById("{/literal}{$real}{literal}Month");
        selectMonth.selectedIndex = date.getMonth();
        var selectDay = document.getElementById("{/literal}{$real}{literal}Day");
        selectDay.selectedIndex = (date.getDate() - 1);
        var selectYear = document.getElementById("{/literal}{$real}{literal}Year");
        selectYear.selectedIndex = (date.getFullYear() - 2000);
    }

	{/literal}
	{if $optional}
		{literal}
		function update{/literal}{$param}{literal}Enabled() {
			if(document.getElementById('{/literal}{$checked}{literal}').checked) {
				document.getElementById('{/literal}{$param}{literal}Year').disabled=false;
				document.getElementById('{/literal}{$param}{literal}Month').disabled=false;
				document.getElementById('{/literal}{$param}{literal}Day').disabled=false;
				document.getElementById('{/literal}{$param}{literal}Hour').disabled=false;
				document.getElementById('{/literal}{$param}{literal}Minute').disabled=false;
			} else {
				document.getElementById('{/literal}{$param}{literal}Year').disabled=true;
				document.getElementById('{/literal}{$param}{literal}Month').disabled=true;
				document.getElementById('{/literal}{$param}{literal}Day').disabled=true;
				document.getElementById('{/literal}{$param}{literal}Hour').disabled=true;
				document.getElementById('{/literal}{$param}{literal}Minute').disabled=true;
			}
		}
		update{/literal}{$param}{literal}Enabled();
		{/literal}
	{/if}
	{literal}

    Zapatec.Calendar.setup({
        button         :    "{/literal}{$real}{literal}",
        onUpdate       :     update{/literal}{$real}{literal}Select,
        showsTime      :     false
    });
{/literal}
</script>