{* $Id: listHeaderText.tpl 7115 2006-05-30 16:46:53Z mgarrett $
 * --------------------------------------------------------------
 * This widget template is used to display each <th></th> with no sorting or filtering.
 *
 * Smarty Variables:
 *	$headerName  	The constant representation of that column name.
 *	$headerAlign  	The text alignment of the header name.
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_X" headerAlign="center"}
 *}
{if $headerAlign==""}
	{assign var="headerAlign" value="center"}
{/if}
{strip}
<td align="{$headerAlign}"{if $colWidth>0} width="{$colWidth}"{/if} class="$headerClass" style="text-align:center;" nowrap="nowrap">
	{$smarty.const.$headerName}
</td{if $colWidth>0} width="{$colWidth}"{/if}>
{if $addEmptyTD}
<td>&nbsp;</td>
{/if}
{/strip}