//** Dynamic Drive Equal Columns Height script v1.01 (Nov 2nd, 06)
//** http://www.dynamicdrive.com/style/blog/entry/css-equal-columns-height-script/

var highHeight = 350;
var usedHighHeight = false;
var ddequalcolumns=new Object()
//Input IDs (id attr) of columns to equalize. Script will check if each corresponding column actually exists:
ddequalcolumns.columnswatch=["b1", "b2", "b3", "b4", "b5", "b6", "b7", "b8", "b9", "b10", "b11", "b12"];
ddequalcolumns.selectors=["bs1", "bs2", "bs3", "bs4", "bs5", "bs6", "bs7", "bs8", "bs9", "bs10", "bs11", "bs12"];

ddequalcolumns.setHeights=function(reset){
var tallest=0
var resetit=(typeof reset=="string")? true : false
for (var i=0; i<this.columnswatch.length; i++){
if (document.getElementById(this.columnswatch[i])!=null){
if (resetit)
document.getElementById(this.columnswatch[i]).style.height="auto";
if (document.getElementById(this.columnswatch[i]).offsetHeight>highHeight) {
usedHighHeight=true;
} else
if (document.getElementById(this.columnswatch[i]).offsetHeight>tallest)
tallest=document.getElementById(this.columnswatch[i]).offsetHeight
}
}
if (tallest>0){
for (var i=0; i<this.columnswatch.length; i++){
if (usedHighHeight) {
	if (!document.getElementById(this.columnswatch[i])) continue;
	if (document.getElementById(this.columnswatch[i]).offsetHeight<highHeight) {
		document.getElementById(this.columnswatch[i]).style.height=tallest+"px";
	} else {
		document.getElementById(this.columnswatch[i]).style.height=document.getElementById(this.columnswatch[i]).offsetHeight+"px";
	}
} else if (document.getElementById(this.columnswatch[i])!=null) {
document.getElementById(this.columnswatch[i]).style.height=tallest+"px";
}
document.getElementById(this.selectors[i]).style.position = 'absolute';
}
}
}

ddequalcolumns.resetHeights=function(){
this.setHeights("reset")
}

ddequalcolumns.dotask=function(target, functionref, tasktype){ //assign a function to execute to an event handler (ie: onunload)
var tasktype=(window.addEventListener)? tasktype : "on"+tasktype
if (target.addEventListener)
target.addEventListener(tasktype, functionref, false)
else if (target.attachEvent)
target.attachEvent(tasktype, functionref)
}

ddequalcolumns.dotask(window, function(){ddequalcolumns.setHeights()}, "load")

