{* $Id: CustomerInfo.tpl 10326 2006-12-18 17:20:59Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to gather customer info for the cart (originally copied from order form).
 *
 * Smarty Variables:
 *
 * Author: Brian Smith
 *}


<div width="750" class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
	<div style="text-align: left; margin-bottom: 2px;" width="750">
		<h1>{$smarty.const.TRANS_ORDERFORM_CONTACT_INFO}</h1>
		<div style="padding: 5px; background-color: #fff; text-align: center;">
			{if !$suppressFields}
			<table width="100%" border="0" cellspacing="5" cellpadding="3">
			<tr>
				<td>
					<input type="radio" name="ctlCustomer" value="new" onClick="showobjbyid('newCustomerForm');alertCustomerChange();" {if $formValues.ctlCustomer!="existing"}checked="checked"{/if} />
					{$smarty.const.TRANS_NEW_CUSTOMER}
				</td>
				<td>
					<input type="radio" name="ctlCustomer" value="existing" onClick="hideobjbyid('newCustomerForm');alertCustomerChange();" {if $formValues.ctlCustomer=="existing"}checked="checked"{/if} />
					{$smarty.const.TRANS_EXISTING_CUSTOMER}
				</td>
			</tr>
			</table>
			{/if}
			<span id="newCustomerForm">
			<table width="100%" border="0" cellspacing="0" cellpadding="3">

			<tr style="text-align: left;">
				<td valign="top" width="50%" style="border-right: 1px solid #999; padding: 10px;">
					{if $suppressFields}
						<strong>{$smarty.const.TRANS_ORDERFORM_FIRST_NAME}</strong><br />
						{$formValues.clientFirstName}<br />

						<strong>{$smarty.const.TRANS_ORDERFORM_LAST_NAME}</strong><br />
						{$formValues.clientLastName}<br />

						<strong>{$smarty.const.TRANS_ORDERFORM_ADDRESS1}</strong><br />
						{$formValues.contactAddress1}<br />

						<strong>{$smarty.const.TRANS_ORDERFORM_ADDRESS2}</strong><br />
						{$formValues.contactAddress2}<br />

						<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_CITY}</strong><br />
						{$formValues.contactCity}<br />

						<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_STATE}</strong><br />
						{$formValues.contactState}<br />

						<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_ZIP}</strong><br />
						{$formValues.contactZip}<br />
					{else}
						{$smarty.const.TRANS_ORDERFORM_FIRST_NAME}<br />
						<input name="clientFirstName"{if $invalidFields.clientFirstName==1} class="formFieldHighlight"{/if} style="width: 120px;" type="text" value="{$formValues.clientFirstName}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
						{strip}
						{if $invalid.clientFirstName}
							<p>{$invalid.clientFirstName}</p>
						{/if}
						{/strip}
						
						{$smarty.const.TRANS_ORDERFORM_LAST_NAME}<br />
						<input name="clientLastName"{if $invalidFields.clientLastName==1} class="formFieldHighlight"{/if} style="width: 120px;" type="text" value="{$formValues.clientLastName}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
						{strip}
						{if $invalid.clientLastName}
							<p>{$invalid.clientLastName}</p>
						{/if}
						{/strip}
						
						{$smarty.const.TRANS_ORDERFORM_ADDRESS1}<br />
						<input name="contactAddress1"{if $invalidFields.contactAddress1==1} class="formFieldHighlight"{/if} style="width: 140px;" type="text" value="{$formValues.contactAddress1}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
						{strip}
						{if $invalid.contactAddress1}
							<p>{$invalid.contactAddress1}</p>
						{/if}
						{/strip}
						
						{$smarty.const.TRANS_ORDERFORM_ADDRESS2}<br />
						<input name="contactAddress2"{if $invalidFields.contactAddress2==1} class="formFieldHighlight"{/if} style="width: 140px;" type="text" value="{$formValues.contactAddress2}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
						{strip}
						{if $invalid.contactAddress2}
							<p>{$invalid.contactAddress2}</p>
						{/if}
						{/strip}
						
						{$smarty.const.TRANS_ORDERFORM_CONTACT_CITY}<br />
						<input name="contactCity"{if $invalidFields.contactCity==1} class="formFieldHighlight"{/if} style="width: 120px;" type="text" value="{$formValues.contactCity}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
						{strip}
						{if $invalid.contactCity}
							<p>{$invalid.contactCity}</p>
						{/if}
						{/strip}
						
						{$smarty.const.TRANS_ORDERFORM_CONTACT_STATE}<br />
						<input name="contactState"{if $invalidFields.contactState==1} class="formFieldHighlight"{/if} style="width: 100px;" type="text" value="{$formValues.contactState}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
						{strip}
						{if $invalid.contactState}
							<p>{$invalid.contactState}</p>
						{/if}
						{/strip}
						
						{$smarty.const.TRANS_ORDERFORM_CONTACT_ZIP}<br />
						<input name="contactZip"{if $invalidFields.contactZip==1} class="formFieldHighlight"{/if} style="width: 70px;" type="text" value="{$formValues.contactZip}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
						{strip}
						{if $invalid.contactZip}
							<p>{$invalid.contactZip}</p>
						{/if}
						{/strip}
					{/if}
				</td>

				<td valign="top" width="50%" style="padding: 10px;">
					{if $suppressFields}
						<strong>{$smarty.const.TRANS_ORDERFORM_COMPANY_NAME}</strong><br />
						{$formValues.clientCompany}<br />
					
						<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_TAXID}</strong><br />
						{$formValues.taxIDNumber}<br />
						
						<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_EMAIL}</strong><br />
						{$formValues.clientEmail}<br />

						<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_PHONE1}</strong><br />
						{$formValues.contactPhone1}<br />
						
						<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_PHONE2}</strong><br />
						{$formValues.contactPhone2}<br />

						<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_FAX}</strong><br />
						{$formValues.contactFax}<br />

						<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_COUNTRY}</strong><br />
						{assign var="tmpc" value=$formValues.countriesID}
						{$countryList.$tmpc}
					{else}
						{$smarty.const.TRANS_ORDERFORM_COMPANY_NAME}<br />
						<input name="clientCompany"{if $invalidFields.clientCompany==1} class="formFieldHighlight"{/if} style="width: 140px;" type="text" value="{$formValues.clientCompany}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
						{strip}
						{if $invalid.clientCompany}
							<p>{$invalid.clientCompany}</p>
						{/if}
						{/strip}
						
						{$smarty.const.TRANS_ORDERFORM_CONTACT_TAXID}<br />
						<input name="taxIDNumber"{if $invalidFields.taxIDNumber==1} class="formFieldHighlight"{/if} style="width: 120px;" type="text" value="{$formValues.taxIDNumber}" onkeyup="checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
						{strip}
						{if $invalid.taxIDNumber}
							<p>{$invalid.taxIDNumber}</p>
						{/if}
						{/strip}

						{$smarty.const.TRANS_ORDERFORM_CONTACT_EMAIL}<br />
						<input name="clientEmail"{if $invalidFields.clientEmail==1} class="formFieldHighlight"{/if} style="width: 140px;" type="text" value="{$formValues.clientEmail}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
						{strip}
						{if $invalid.clientEmail}
							<p>{$invalid.clientEmail}</p>
						{/if}
						{/strip}

						{$smarty.const.TRANS_ORDERFORM_CONTACT_PHONE1}<br />
						<input name="contactPhone1"{if $invalidFields.contactPhone1==1} class="formFieldHighlight"{/if} style="width: 100px;" type="text" value="{$formValues.contactPhone1}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
						{strip}
						{if $invalid.contactPhone1}
							<p>{$invalid.contactPhone1}</p>
						{/if}
						{/strip}

						{$smarty.const.TRANS_ORDERFORM_CONTACT_PHONE2}<br />
						<input name="contactPhone2"{if $invalidFields.contactPhone2==1} class="formFieldHighlight"{/if} style="width: 100px;" type="text" value="{$formValues.contactPhone2}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
						{strip}
						{if $invalid.contactPhone2}
							<p>{$invalid.contactPhone2}</p>
						{/if}
						{/strip}

						{$smarty.const.TRANS_ORDERFORM_CONTACT_FAX}<br />
						<input name="contactFax"{if $invalidFields.contactFax==1} class="formFieldHighlight"{/if} style="width: 100px;" type="text" value="{$formValues.contactFax}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
						{strip}
						{if $invalid.contactFax}
							<p>{$invalid.contactFax}</p>
						{/if}
						{/strip}

						{$smarty.const.TRANS_ORDERFORM_CONTACT_COUNTRY}<br />
						<select name="countriesID" onchange="XKcopyCheckMe(this);">
							{html_options options=$countryList selected=$formValues.countriesID}
						</select>
						{strip}
						{if $invalid.countriesID}
							<p>{$invalid.countriesID}</p>
						{/if}
						{/strip}
					{/if}
				</td>
			</tr>
			</table>
			</span>
			
			{if !$suppressFields}
				<br />
				<table width="100%"  border="0" cellspacing="0" cellpadding="3">
				<tr>
					<td width="34%" valign="top" style="text-align: left; padding: 10px;">
						{$smarty.const.TRANS_ORDERFORM_USERNAME}<br />
						<input name="contactUsername" value="{$formValues.contactUsername}" onkeyup="minmax(parseInt('{$orderParams.usermin}'), parseInt('{$orderParams.usermax}'), this, document.getElementById('usernamestatus'));" onmouseout="minmax(parseInt('{$orderParams.usermin}'), parseInt('{$orderParams.usermax}'), this, document.getElementById('usernamestatus'));" onblur="minmax(parseInt('{$orderParams.usermin}'), parseInt('{$orderParams.usermax}'), this, document.getElementById('usernamestatus'));" type="text" /><br />
						{$smarty.const.TRANS_ORDERFORM_MIN_USERNAME}: {$orderParams.usermin}<br />
						{$smarty.const.TRANS_ORDERFORM_MAX_USERNAME}: {$orderParams.usermax}
						{strip}
						{if $invalid.contactUsername}
							<p>{$invalid.contactUsername}</p>
						{/if}
						{/strip}
					</td>
						
					<td width="33%" valign="top" style="text-align: left; padding: 10px;">
						{$smarty.const.TRANS_ORDERFORM_PASSWORD}<br />
						<input name="contactPassword" value="{$formValues.contactPassword}" onkeyup="checkpassword(parseInt('{$orderParams.passmin}'), parseInt('{$orderParams.passmax}'), this, this.form.confirmcontactPassword, document.getElementById('passwordstatus'));" onmouseout="checkpassword(parseInt('{$orderParams.passmin}'), parseInt('{$orderParams.passmax}'), this, this.form.confirmcontactPassword, document.getElementById('passwordstatus'));" onblur="checkpassword(parseInt('{$orderParams.passmin}'), parseInt('{$orderParams.passmax}'), this, this.form.confirmcontactPassword, document.getElementById('passwordstatus'));" type="password" /><br />
						{$smarty.const.TRANS_ORDERFORM_MIN_PASSWORD}: {$orderParams.passmin}<br />
						{$smarty.const.TRANS_ORDERFORM_MAX_PASSWORD}: {$orderParams.passmax}
						{strip}
						{if $invalid.contactPassword}
							<p>{$invalid.contactPassword}</p>
						{/if}
						{/strip}
					</td>
					<td width="33%" valign="top" style="text-align: left; padding: 10px;">
						{$smarty.const.TRANS_ORDERFORM_CONFIRM_PASSWORD}<br />
						<input name="confirmcontactPassword" value="{$formValues.confirmcontactPassword}" onkeyup="checkpassword(parseInt('{$orderParams.passmin}'), parseInt('{$orderParams.passmax}'), this, this.form.contactPassword, document.getElementById('passwordstatus'));" type="password" />
						{strip}
						{if $invalid.confirmcontactPassword}
							<p>{$invalid.confirmcontactPassword}</p>
						{/if}
						{/strip}
					</td>
				</tr>

				<tr>
					<td valign="top" style="text-align: left; padding: 10px;"><div id="usernamestatus">&nbsp;</div></td>
					<td valign="top" style="text-align: left; padding: 10px;" colspan="2"><div id="passwordstatus">&nbsp;</div></td>
				</tr>
				</table>
			{/if}
		</div>
	</div>
</div>

{if $invalidFields && !$suppressFields}
<script language="JavaScript" type="text/javascript" charset="utf-8">
<!--

setTimeout("doUserPassUpdateToFixFirefoxAutoFill();", 1000);

function doUserPassUpdateToFixFirefoxAutoFill(){literal}{{/literal}
	document.checkoutForm.contactUsername.value = '{$formValues.contactUsername}';
	document.checkoutForm.contactPassword.value = '{$formValues.contactPassword}';
	minmax(parseInt('{$orderParams.usermin}'), parseInt('{$orderParams.usermax}'), document.checkoutForm.contactUsername, document.getElementById('usernamestatus'));
	checkpassword(parseInt('{$orderParams.passmin}'), parseInt('{$orderParams.passmax}'), document.checkoutForm.contactPassword, document.checkoutForm.confirmcontactPassword, document.getElementById('passwordstatus'));
{literal}}{/literal}
//-->
</script>
{/if}