{* $Id: NewOrder.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a mini client stats report.
 *
 * Smarty Variables:
 *	$clientStats (array of client status and their count)
 *		clientStatus
 *		numClients
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Brian Smith
 *}
{strip}
{t c="TRANS_NONE" d="None"}
{t c="TRANS_DOMAIN_ADDED_TO_CART" d="Domain has been Added to Cart"}
{t c="TRANS_TRANSFER_KEY" d="Transfer Key"}
{t c="TRANS_ORDERFORM_USE_ACCOUNT_INFO" d="<b>Use Account Info for Registrar Contact Information</b>"}
{/strip}
{include file="$tplDirectory/$orderFormDir/header.tpl"}

{literal}
<script type="text/javascript" language="javascript" charset="utf-8">
	var USStateCodeDelimiter = "|";
	var USStateCodes = "AL|AK|AS|AZ|AR|CA|CO|CT|DE|DC|FM|FL|GA|GU|HI|ID|IL|IN|IA|KS|KY|LA|ME|MH|MD|MA|MI|MN|MS|MO|MT|NE|NV|NH|NJ|NM|NY|NC|ND|MP|OH|OK|OR|PW|PA|PR|RI|SC|SD|TN|TX|UT|VT|VI|VA|WA|WV|WI|WY|AE|AA|AE|AE|AP|AB|BC|MB|NB|NL|NT|NS|NU|ON|PE|QC|SK|YT";			
	function checkState(orderform) {
		if (orderform.countriesID.options[orderform.countriesID.selectedIndex].value == '37' || orderform.countriesID.options[orderform.countriesID.selectedIndex].value == '224'){
		   if (orderform.contactState.value == ''){
				alert({/literal}"{$smarty.const.TRANS_ORDER_STATE_REQUIRED}"{literal});
				return false;
			}else{
				if (orderform.countriesID.options[orderform.countriesID.selectedIndex].value == '37' || orderform.countriesID.options[orderform.countriesID.selectedIndex].value == '224'){
					orderform.contactState.value = orderform.contactState.value.toUpperCase();
					if ( (USStateCodes.indexOf(orderform.contactState.value) != -1) && (orderform.contactState.value.indexOf(USStateCodeDelimiter) == -1) && (orderform.contactState.value.length == 2) ){
						return true;
					}else{
						alert({/literal}"{$smarty.const.TRANS_ORDER_STATE_REQUIRED}"{literal}); 
					}
			   }
			}
		}else{
			return true;
		}
	} 

	var cango1 = false;
	var cango2 = false;

	function checkpassword(min, max, field1, field2, div){
		if (field1.value!=field2.value){
			div.innerHTML = "{/literal}<span style=\"color: red;\">{$smarty.const.TRANS_PASSWORDS_DONT_MATCH}</span>{literal}";
			cango1 = false;
		} else {
			if (field1.value.length<min || field1.value.length>max){
				div.innerHTML = "{/literal}<span style=\"color: red;\">{$smarty.const.TRANS_PASSWORD_LENGTH_NOT_ALLOWED}</span>{literal}";
				cango1 = false;
			} else {
				cango1 = true;
				div.innerHTML = "{/literal}<span style=\"color: green;\">{$smarty.const.TRANS_PASSWORD_ACCEPTED}</span>{literal}";
			}
		}
	}

	function minmax(min, max, field, div){
			if (field.value.length<min || field.value.length>max){
				div.innerHTML = "{/literal}<span style=\"color: red;\">{$smarty.const.TRANS_USERNAME_LENGTH_NOT_ALLOWED}</span>{literal}";
				cango2 = false;
			} else {
				cango2 = true;
				div.innerHTML = "{/literal}<span style=\"color: green;\">{$smarty.const.TRANS_USERNAME_ACCEPTED}</span>{literal}";
			}
	}
{/literal}
	var cp = new cpaint();
	cp.set_transfer_mode('get');
	cp.set_response_type('text');
	cp.set_use_cpaint_api(false);
	//cp.set_debug(2);

	var locale = "{$set_locale}";
	var slURL1 = '{getHREF page="ezorder.php"}';

	{literal}
	function checkDomAvail(xtld, xsld, trans, idn) {
		var idnvalue = 0;

		for (idni=0; idni<idn.length; idni++){
			if (idn[idni][0]==xtld){
				idnvalue = idn[idni][1];
			}
		}

		var slURL = slURL1+"&checkwhois=1&sld="+xsld+"&tld="+xtld+"&trans="+trans+"&idn="+idnvalue+"&set_locale="+locale+"&ajax=1";
		document.getElementById('whoisCheck').innerHTML = "{/literal}<img src='{$imageDirectory}/spacer.gif' height='14' width='340' alt='' /><img src='{$imageDirectory}/loading.gif' height='14' width='14' alt='{$smarty.const.TRANS_ORDER_CHECKING_DOMAIN}' /> <b>{$smarty.const.TRANS_ORDER_CHECKING_DOMAIN}</b>{literal}";
		cp.call(slURL, 'checkDomAvail', checkDomAvailResponse);
		return false;
	}

	function checkDomAvailResponse(result) {
		if (result) {
			document.getElementById('whoisCheck').innerHTML = result;
		} else {
			{/literal}
			alert("{$smarty.const.TRANS_ORDER_DOM_CHECK_FAIL}");
			{literal}
			document.getElementById('whoisCheck').innerHTML = "";
		}
	}
	{/literal}
	
	var locale2 = "{$set_locale}";
	var slURL2 = '{getHREF page="ezorder.php"}';

	{literal}
	function addDomainProduct(cpid, domain) {
		var exploded = cpid.split("|");

		if (document.domainform.domainLanguage) {
			var lang = document.domainform.domainLanguage.options[document.domainform.domainLanguage.selectedIndex].value;
		} else {
			var lang = '';
		}
		document.purchaseForm.elements['domain_cycleID'].value = exploded[0];
		document.purchaseForm.elements['domain_productID'].value = exploded[1];
		document.purchaseForm.elements['domain_productVariantID'].value = exploded[2];

		document.purchaseForm.elements['domain_domainType'].value = radioSelectedValue(document.domainform, 'domainType');

		if (document.purchaseForm.elements['domain_domainType'].value == 'transfer') {
			document.purchaseForm.elements['domain_domainTransferKey'].value = exploded[4];
		} else {
			document.purchaseForm.elements['domain_domainTransferKey'].value = '';
		}

		document.purchaseForm.elements['domain_domainName'].value = domain;
		document.purchaseForm.elements['domain_domainLanguage'].value = lang;
		document.purchaseForm.elements['domain_set_locale'].value = locale2;

		if (document.domainform.elements['domainCycle']) {
			var term = document.domainform.elements['domainCycle'][ document.domainform.elements['domainCycle'].selectedIndex ].text;
		} else {
			var term = '';
		}
		
		document.getElementById('whoisCheck').innerHTML = "";
		document.getElementById('whoisCheck').innerHTML = "{/literal}<center><table border=0><tr><td><h1>{$smarty.const.TRANS_DOMAIN_ADDED_TO_CART}</h1></td><td><a href=\"javascript:void();\" onClick=\"javascript:document.domainform.reset();document.getElementById('whoisCheck').innerHTML = '';\">{$smarty.const.TRANS_RESET}</a></td></tr><tr><td colspan=2 align=center>"+domain+" "+term+"</td></tr></table></center>{literal}";

		// show domain registrant info
		if (document.purchaseForm.elements['domain_domainType'].value == 'existing') {
			XKtoggleOff('domainContactInfo');
		} else {
			XKtoggleOn('domainContactInfo');
		}
		initCopy();
		
		return false;
	}

	
	function radioSelectedValue( form, name ) {
		for (i=0; i<form.elements.length; i++){
			if (form.elements[i].type=="radio" && form.elements[i].name==name) {
				if (form.elements[i].checked) {
					return form.elements[i].value;
				}
			}
		}
	}
	
	function initCopy(){
		var tf = document.purchaseForm;
		XKcopyRegisterConditionalField('checkbox', tf.useContactInfo);

		XKcopyRegisterCopyField(tf.clientFirstName);
		XKcopyRegisterCopyToField('clientFirstName', tf.registrantFirstName, 'useContactInfo');
		XKcopyRegisterCopyField(tf.clientLastName);
		XKcopyRegisterCopyToField('clientLastName', tf.registrantLastName, 'useContactInfo');
		XKcopyRegisterCopyField(tf.clientCompany);
		XKcopyRegisterCopyToField('clientCompany', tf.registrantOrganizationName, 'useContactInfo');
		XKcopyRegisterCopyField(tf.contactAddress1);
		XKcopyRegisterCopyToField('contactAddress1', tf.registrantAddress1, 'useContactInfo');
		XKcopyRegisterCopyField(tf.contactAddress2);
		XKcopyRegisterCopyToField('contactAddress2', tf.registrantAddress2, 'useContactInfo');
		XKcopyRegisterCopyField(tf.contactCity);
		XKcopyRegisterCopyToField('contactCity', tf.registrantCity, 'useContactInfo');
		XKcopyRegisterCopyField(tf.contactState);
		XKcopyRegisterCopyToField('contactState', tf.registrantStateProvince, 'useContactInfo');
		XKcopyRegisterCopyField(tf.countriesID);
		XKcopyRegisterCopyToField('countriesID', tf.registrantCountry, 'useContactInfo');
		XKcopyRegisterCopyField(tf.contactZip);
		XKcopyRegisterCopyToField('contactZip', tf.registrantPostalCode, 'useContactInfo');
		XKcopyRegisterCopyField(tf.clientEmail);
		XKcopyRegisterCopyToField('clientEmail', tf.registrantEmail, 'useContactInfo');
		XKcopyRegisterCopyField(tf.contactPhone1);
		XKcopyRegisterCopyToField('contactPhone1', tf.registrantPhone, 'useContactInfo');
		XKcopyRegisterCopyField(tf.contactFax);
		XKcopyRegisterCopyToField('contactFax', tf.registrantFax, 'useContactInfo');
	}

	function addProduct( xx ) {
		var exploded = xx.split("|");

		document.purchaseForm.elements['product_productID'].value = exploded[0];
		document.purchaseForm.elements['product_cycleID'].value = exploded[1];
		document.purchaseForm.elements['product_productVariantID'].value = exploded[2];

		return false;
	}

	// domain info needs this function, but we don't
	function checkCheckoutFormElementChange(xx) {}

	function alertCustomerChange() {
		if (radioSelectedValue( document.purchaseForm, 'ctlCustomer' ) == 'existing' && document.purchaseForm.elements['useContactInfo'].checked) {
			XKtoggleOff( 'domainCustomerContactInfo' );
			document.getElementById('useContactInfo_Text').innerHTML = {/literal}'{$smarty.const.TRANS_ORDERFORM_USE_ACCOUNT_INFO}'{literal};
		} else {
			XKtoggleOn( 'domainCustomerContactInfo' );
			document.getElementById('useContactInfo_Text').innerHTML = {/literal}'{$smarty.const.TRANS_ORDERFORM_USE_CONTACT_INFO}'{literal};
		}
	}
	{/literal}
</script>

<center>
	<table  width="750" border="0" cellpadding="0" cellspacing="3" class="tab01">
	<tr>
		<th scope="row">{$orderForm.orderFormName}</th>
	</tr>
	</table>
	{if $domainInfo.domOptions}
		{include file="$tplDirectory/$orderFormDir/widgets/addDomain.tpl"}
	{/if}

	<form action="ezorder.php?processorder=1&sid={$sid}" name="purchaseForm" id="purchaseForm" method="post">
		<input type="hidden" name="orderFormID" value="{$orderFormID}" />

		<input type="hidden" name="domain_cycleID" value="{$formValues.domain_cycleID}" />
		<input type="hidden" name="domain_productID" value="{$formValues.domain_productID}" />
		<input type="hidden" name="domain_productVariantID" value="{$formValues.domain_productVariantID}" />

		<input type="hidden" name="domain_domainType" value="{$formValues.domain_domainType}" />
		<input type="hidden" name="domain_domainTransferKey" value="{$formValues.domain_domainTransferKey}" />
		<input type="hidden" name="domain_domainName" value="{$formValues.domain_domainName}" />
		<input type="hidden" name="domain_domainLanguage" value="{$formValues.domain_domainLanguage}" />
		<input type="hidden" name="domain_set_locale" value="{$formValues.domain_set_locale}" />

		<input type="hidden" name="product_productID" value="{$formValues.product_productID}" />
		<input type="hidden" name="product_productVariantID" value="{$formValues.product_productVariantID}" />
		<input type="hidden" name="product_cycleID" value="{$formValues.product_cycleID}" />



		<table border="0" cellpadding="0" cellspacing="0" width="750" class="tab00">
		<tr>
			<td class="box09"><h1>{$smarty.const.TRANS_ORDERFORM_PRODUCT_OPTION}</h1></td>
		</tr>
		<tr>
			<td class="tab05">
				<table border="0" cellpadding="0" cellspacing="0" width="100%">
				{foreach from=$products item=prod}
					{if $prod.productName && $prod.variants}
					<tr class="{cycle values="alt1,alt2"}">
						<td>{strip}
							{foreach from=$prod.variants item=var}
								{if
									$formValues.product_productID == $prod.productID &&
									$formValues.product_cycleID == $var.cycleID &&
									$formValues.product_productVariantID == $var.variantID}
									{* end of if clause *}

									{assign var=checked value="checked=\"checked\""}

								{else}
									{assign var=checked value=""}
								{/if}
								<input type="radio" name="productSelect" onClick="addProduct('{$prod.productID}|{$var.cycleID}|{$var.variantID}');" {$checked} /> {$var.displayName}<br />
							{/foreach}
							{/strip}
						</td>
						<td>{$prod.productName}</td>
						<td>{$prod.productComments}</td>
					</tr>
					{/if}
				{foreachelse}
					<tr><td colspan="3">{$smarty.const.TRANS_NORESULTS}</td></tr>
				{/foreach}
				</table>
			</td>
		</tr>
		</table>

		{if $formValues.product_productVariantID}
			<script langauge="javascript">
			//<[[CDATA][
				addProduct('{$formValues.product_productID}|{$formValues.product_cycleID}|{$formValues.product_productVariantID}');
			//]]>
			</script>
		{/if}
		<div style="width:750px">
			{include file="$tplDirectory/$orderFormDir/CustomerInfo.tpl"}

			{if $domainInfo.domOptions}
				<div id="domainContactInfo">
					{include file="$tplDirectory/$orderFormDir/widgets/DomainInfo.tpl"}
				</div>
		
				<script langauge="javascript" type="text/javascript">
				//<[[CDATA][
					XKtoggle('domainContactInfo');
				//]]>
				</script>
			{/if}
		</div>

		<table width="750" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td align="right">
				<input type="submit" class="submit" value="{$smarty.const.TRANS_PROCEED_WITH_PURCHASE}" />
			</td>
		</tr>
		</table>
	</form>
</center>

{if $formValues.domain_domainType}
<script language="javascript">
//<[[CDATA][
var tempArray = new Array();

tempArray["new"] = "domReg";
tempArray["transfer"] = "domTrans";
tempArray["existing"] = "domExist";
tempArray["manual"] = "domNone";

XKtoggleTab( tempArray[ '{$formValues.domain_domainType}' ] );

addDomainProduct('{$formValues.domain_cycleID}|{$formValues.domain_productID}|{$formValues.domain_productVariantID}', '{$formValues.domain_domainName}');

//]]>
</script>
{/if}

{include file="$tplDirectory/order/footer.tpl"}
