{* $Id: header.tpl 10608 2007-01-31 21:21:38Z bsmith $
 * --------------------------------------------------------------
 * This is the primary header template for the Admin GUI of ModernBill. Note that this header.tpl
 * file will open several HTML tags must be closed by the footer.tpl file.
 *
 * Smarty Variables:
 *  $htmlTitle		The title of this document
 *  $htmlLang		The language this document will render
 *	$parentName		The page info parent name
 *	$childName		The page info child name
 *	$useMenu		The tab name to highlight
 *	$sideNavMajor		The side navigation file to include
 *	$loginName		The name of the admin user who is logged in
 * 	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/header.tpl" parentName="TRANS_MANAGE_CLIENTS" childName="TRANS_SHOW_CLIENTS" sideNavMajor="clients"}
 *
 * Author: Mark Garrett
 *}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-basic.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$htmlLang}" lang="{$htmlLang}" dir="{$smarty.const.TRANS_TEXTDIRECTION}">
<head>
<title>{$orderForm.orderFormName}</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />

<link rel="stylesheet" type="text/css" href="{$cssDirectory}/style.css" media="screen" charset="utf-8" />

<script language="javascript" type="text/javascript" src="{$jsDirectory}/preloadm.js" charset="utf-8"></script>
<script language="javascript" type="text/javascript" src="{$jsDirectory}/toggle.js" charset="utf-8"></script>
<script language="javascript" type="text/javascript" src="{$jsDirectory}/../ajax/core/ajax.inc.js" charset="utf-8"></script>
</head>
<body>
