{* $Id: addDomain.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a mini client stats report.
 *
 * Smarty Variables:
 *	$clientStats (array of client status and their count)
 *		clientStatus
 *		numClients
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Mark Garrett
 *}
<form method="post" name="domainform" accept-charset="utf-8" action="ezorder.php" id="domainform">
<input name="sid" type="hidden" value="{$sid}" />
<input name="set_locale" type="hidden" value="{$set_locale}" />

<script language="javascript">
//<[[CDATA][
var availTabs = new Array('domReg', 'domTrans', 'domExist', 'domNone');

{literal}
function XKtoggleTab( tabName ) {
	for( var i =0; i<availTabs.length; i++ ) {
		if (availTabs[ i ] == tabName) {
			XKtoggleOn( tabName );
		} else {
			XKtoggleOff( availTabs[ i ] );
		}
	}
}
{/literal}
//]]>
</script>

<table width="750"  border="0" cellspacing="0" cellpadding="0" class="tab00">
<tr>
	<td class="box09"><h1>{$smarty.const.TRANS_ORDERFORM_DOMAIN_OPTION}</h1></td>
</tr>
<tr>
	<td  class="box010">
		<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab08">
		<tr>
			{if $domainInfo.domOptions.dom_reg}
				<td class="td05">
					<input name="domainType" type="radio" value="new" onclick="XKtoggleTab('domReg');" {if $formValues.domain_domainType=="new"||$formValues.domain_domainType==""}checked="checked"{/if} />
				</td>
				<td class="td05">{$smarty.const.TRANS_ORDERFORM_DOMAIN_REGISTRATION}</td>
			{else}
				<td class="td05">&nbsp;</td>
				<td class="td05">&nbsp;</td>
			{/if}
			
			<td valign="top" rowspan="{$domainInfo.optionsNumber}" class="td06">
				<table summary="TLD Entry Fields">

				<tbody id="domReg">
				<tr>
					<td colspan="3" valign="top" class="td06"><h3>{$smarty.const.TRANS_ORDERFORM_DOMAIN_REGISTRATION}</h3></td>
				</tr>
				<tr>
					<td valign="top" class="td06">
						<input name="regsecondary" type="text" onblur="this.value=this.value.toLowerCase();" size="25" value="{if $formValues.domain_domainType=="new"}{$formValues.domain_domainSLD}{/if}" />
					</td>

					<td valign="top" class="nowrap">
						<b>.</b>&nbsp;
						<select name="regtld">
							{if $formValues.domain_domainType=="new"}
								{html_options options=$domainInfo.tld selected=$formValues.domain_domainTLD}
							{else}
								{html_options options=$domainInfo.tld}
							{/if}
						</select>
					</td>

					<td nowrap="nowrap">
						<div class="rm04">
							<a style="cursor:pointer;" onclick="checkDomAvail(document.domainform.regtld.options[document.domainform.regtld.selectedIndex].value, document.domainform.regsecondary.value, 0, {$IDN});">
								<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_ORDER_CHECK_DOMAIN}
							</a>
						</div>
					</td>
				</tr>
				</tbody>

				<tbody id="domTrans">
				<tr>
					<td colspan="3" valign="top" class="td06"><h3>{$smarty.const.TRANS_ORDERFORM_TRANSFER_DOMAIN}</h3></td>
				</tr>

				<tr>
					<td valign="top" class="td06"><input name="transsecondary" onblur="this.value=this.value.toLowerCase();" type="text" size="25" value="{if $formValues.domain_domainType=="transfer"}{$formValues.domain_domainSLD}{/if}" /></td>
					<td valign="top" class="nowrap">
						<b>.</b>&nbsp;
						<select name="transtld">
							{if $formValues.domain_domainType=="transfer"}
								{html_options options=$domainInfo.tld selected=$formValues.domain_domainTLD}
							{else}
								{html_options options=$domainInfo.tld}
							{/if}
						</select>
					</td>
					<td nowrap="nowrap">
						<div class="rm04">
							<a style="cursor:pointer;" onclick="checkDomAvail(document.domainform.transtld.options[document.domainform.transtld.selectedIndex].value, document.domainform.transsecondary.value, 1, {$IDN});">
								<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_ORDER_CHECK_DOMAIN}
							</a>
						</div>
						<script type="text/javascript">XKtoggle('domTrans');</script>
					</td>
				</tr>
				
				</tbody>

				<tbody id="domExist">
				<tr>
					<td colspan="3" valign="top" class="td06"><h3>{$smarty.const.TRANS_ORDERFORM_EXISTING_DOMAIN}</h3></td>
				</tr>
				<tr>
					<td colspan="2" valign="top" class="td06" nowrap="nowrap">
						<input name="existsld" onblur="this.value=this.value.toLowerCase();" type="text" size="30" value="{if $formValues.domain_domainType=="existing"}{$formValues.domain_domainSLD}{/if}" />.<input name="existtld" type="text" size="7" value="{if $formValues.domain_domainType=="existing"}{$formValues.domain_domainTLD}{/if}" />
					</td>
					<td nowrap="nowrap">
						<div class="rm04">
							<a style="cursor:pointer;" onclick="addDomainProduct('|', document.domainform.existsld.value+'.'+document.domainform.existtld.value);">
								<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_ORDER_ADD_DOMAIN_TO_ORDER}
							</a>
						</div>
						<script type="text/javascript">XKtoggle('domExist');</script>
					</td>
				</tr>
				</tbody>

				<tbody id="domNone">
				<tr>
					<td colspan="3" valign="top" class="td06">
						<div class="rm04">
							<a style="cursor:pointer;" onclick="addDomainProduct('|', '');">
								<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_ORDER_NO_DOMAIN}
							</a>
						</div>
						<script type="text/javascript">XKtoggle('domNone');</script>
					</td>
				</tr>
				</tbody>
				</table>
			</td>
		</tr>
		{if $domainInfo.domOptions.dom_transfer}
			<tr>
				<td  class="td05"><input name="domainType" type="radio" value="transfer" onclick="XKtoggleTab('domTrans');" {if $formValues.domain_domainType=="transfer"}checked="checked"{/if} /></td>
				<td  class="td05">{$smarty.const.TRANS_ORDERFORM_TRANSFER_DOMAIN}</td>
			</tr>
		{/if}
	
		{if $domainInfo.domOptions.dom_existing}
			<tr>
				<td  class="td05"><input name="domainType" type="radio" value="existing" onclick="XKtoggleTab('domExist');" {if $formValues.domain_domainType=="existing"}checked="checked"{/if} /></td>
				<td  class="td05">{$smarty.const.TRANS_ORDERFORM_EXISTING_DOMAIN}</td>
			</tr>
		{/if}
	
		{if $domainInfo.domOptions.dom_skip}
			<tr>
				<td><input name="domainType" type="radio" value="manual" onclick="XKtoggleTab('domNone');" {if $formValues.domain_domainType=="manual"}checked="checked"{/if} /></td>
				<td>{$smarty.const.TRANS_ORDER_NO_DOMAIN}</td>
			</tr>
		{/if}
		<tr>
			<td colspan="3">
				<div id="whoisCheck"></div>
			</td>
		</tr>
		</table>
	</td>
</tr>
</table>

</form>
