{* $Id: billInfo.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a mini client stats report.
 *
 * Smarty Variables:
 *	$clientStats (array of client status and their count)
 *		clientStatus
 *		numClients
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Mark Garrett
 *}
{if !$success}
<form action="processorder.php" method="post" accept-charset="utf-8" target="_self" id="billingform" name="billingform">

<table width="750"  border="0" cellspacing="0" cellpadding="0" class="tab00">
	<tr>
		<td class="box09"><h1>{$smarty.const.TRANS_ORDERFORM_ADDITIONAL_INFO}:</h1></td>
	</tr>
	<tr>
		<td  class="box010">
			<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab014">
				<tr>
					<td valign="top"><a href="{$paymentOptions.termsURL}" id="terms" name="terms" title="Terms and Conditions URL" target="_blank">{$smarty.const.TRANS_ORDERFORM_READ_TERMS}</a></td>
					<td width="50" valign="top" class="td08"><input name="termAgreement" type="radio" value="1"> {$smarty.const.TRANS_YES}<br />
						<input name="termAgreement" type="radio" value="0"> {$smarty.const.TRANS_NO}</td>
					<td valign="top" class="td07"><h1>{$smarty.const.TRANS_ORDERFORM_VERIFY_FOLLOWING}</h1>
					<ul>
						<li>{$smarty.const.TRANS_ORDERFORM_NECESSARY_INFO}</li>
						<li>{$smarty.const.TRANS_ORDERFORM_ERROR_FREE}</li>
						<li>{$smarty.const.TRANS_ORDERFORM_FRAUD_FREE}</li>
					</ul>
	
					</td>
					<td valign="top" class="td07"><h1>{$smarty.const.TRANS_ORDERFORM_FRAUD_INFO_RECORDED}</h1>						
						<ul>
							<li>{$smarty.const.TRANS_ORDERFORM_FRAUD_IP_ADDRESS}: {$ip}</li>
							<li>{$smarty.const.TRANS_ORDERFORM_SUMBIT_TIME}</li>
						</ul>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>

<table width="750"  border="0" cellspacing="0" cellpadding="0" class="tab00">
	<tr>
		<td class="box09"><h1>{$smarty.const.TRANS_PAYMENT_OPTIONS}</h1></td>
	</tr>
	<tr>
		<td  class="box010">
			<table width="100%"  border="0" cellspacing="2" cellpadding="0">
				<tr>
					<td>
						<table border="0" cellspacing="2" cellpadding="0" summary="Choose payment type">
							{if $paymentOptions.cc}
							<tr>
								<td><input name="paymentType" type="radio" value="1" checked="checked" onclick="XKtoggleOn('cc'); XKtoggleOff('secondary'); XKtoggleOff('check'); XKtoggleOff('invoice'); XKtoggleOff('draft');" /></td>
								<td>{$smarty.const.TRANS_CREDIT_CARD}</td>
							</tr>
							{/if}
							{if $paymentOptions.secondary}
							{foreach from=$paymentOptions.secondary key=cgid item=name}
								<tr>
									<td><input name="paymentType" type="radio" value="2|{$cgid}" onclick="XKtoggleOff('cc'); XKtoggleOn('secondary'); XKtoggleOff('check'); XKtoggleOff('invoice'); XKtoggleOff('draft');" /></td>
									<td>{$name}</td>
								</tr>
							{/foreach}
							{/if}
							{if $paymentOptions.echeck}
							<tr>
								<td><input name="paymentType" type="radio" value="4" onclick="XKtoggleOff('cc'); XKtoggleOff('secondary'); XKtoggleOff('check'); XKtoggleOff('invoice'); XKtoggleOn('draft');" /></td>
								<td>{$smarty.const.TRANS_ECHECK}</td>
							</tr>
							{/if}
							{if $paymentOptions.check}
							<tr>
								<td><input name="paymentType" type="radio" value="3" onclick="XKtoggleOff('cc'); XKtoggleOff('secondary'); XKtoggleOn('check'); XKtoggleOff('invoice'); XKtoggleOff('draft');" /></td>
								<td>{$smarty.const.TRANS_CHECK}</td>
							</tr>
							{/if}
							{if $paymentOptions.draft}
							<tr>
								<td><input name="paymentType" type="radio" value="5" onclick="XKtoggleOff('cc'); XKtoggleOff('secondary'); XKtoggleOff('check'); XKtoggleOff('invoice'); XKtoggleOn('draft');" /></td>
								<td>{$smarty.const.TRANS_BANK_DRAFT}</td>
							</tr>
							{/if}
							{if $paymentOptions.invoice}
							<tr>
								<td><input name="paymentType" type="radio" value="50" onclick="XKtoggleOff('cc'); XKtoggleOff('secondary'); XKtoggleOff('check'); XKtoggleOn('invoice'); XKtoggleOff('draft');" /></td>
								<td>{$smarty.const.TRANS_INVOICE}</td>
							</tr>
							{/if}
							{if $billingAccounts}
							<tr>
								<td><input name="paymentType" type="radio" value="9999" onclick="XKtoggleOff('cc'); XKtoggleOff('secondary'); XKtoggleOff('check'); XKtoggleOff('invoice'); XKtoggleOff('draft'); XKtoggleOn('billAcct');" /></td>
								<td>{$smarty.const.TRANS_EXISTING_ACCOUNT}</td>
							</tr>
							{/if}
						</table>
					</td>
					<td>
						<table width="100%" border="0" cellspacing="2" cellpadding="0" summary="The information displayed for each payment type">
							<tbody id="cc">
								<tr>
									<td colspan="2" class="w230">{$smarty.const.TRANS_ORDERFORM_NAME_ON_CARD}<br /><input name="billingCardNameOnCard" type="text"></td>
									<td colspan="2" class="w230">{$smarty.const.TRANS_ORDERFORM_CC_NUMBER}<br /><input name="billingCardNum" type="text"></td>
								</tr>
								<tr class="w50">
									<td>{$smarty.const.TRANS_ORDERFORM_CC_TYPE}<br />
										<select id="billingCardType" name="billingCardType">
											{html_options options=$paymentOptions.cardTypes}
										</select>
									</td>
									<td>{$smarty.const.TRANS_ORDERFORM_CC_EXP_DATE}<br />
										<select name="billingCardExpMonth">
											<option label="01" value="01">01</option>
											<option label="02" value="02">02</option>
											<option label="03" value="03">03</option>
											<option label="04" value="04">04</option>
											<option label="05" value="05">05</option>
											<option label="06" value="06">06</option>
											<option label="07" value="07">07</option>
											<option label="08" value="08">08</option>
											<option label="09" value="09">09</option>
											<option label="10" value="10">10</option>
											<option label="11" value="11">11</option>
											<option label="12" value="12">12</option>
										</select>
										<select name="billingCardExpYear">
											<option label="2006" value="2006">2006</option>
											<option label="2007" value="2007">2007</option>
											<option label="2008" value="2008">2008</option>
											<option label="2009" value="2009">2009</option>
											<option label="2010" value="2010">2010</option>
											<option label="2011" value="2011">2011</option>
											<option label="2012" value="2012">2012</option>
											<option label="2013" value="2013">2013</option>
											<option label="2014" value="2014">2014</option>
											<option label="2014" value="2015">2015</option>
										</select>
									</td>
									<td>{$smarty.const.TRANS_ORDERFORM_CC_CVV2}<br />	   
											<input name="cardCVV2" type="text">
										   </td>
									<td>&raquo; <a href="#">{$smarty.const.TRANS_ORDERFORM_WHATS_THIS}</a></td>
								</tr>
							</tbody>
							<tbody id="secondary" class="off">
								<tr>
									<td>{$smarty.const.TRANS_ORDERFORM_PAY_BY_SECONDARY}
										<script type="text/javascript">XKtoggleOff('secondary');</script></td>
								</tr>
							</tbody>
							<tbody id="invoice" class="off">
								<tr>
									<td>{$smarty.const.TRANS_ORDERFORM_PAY_BY_INVOICE}
										<script type="text/javascript">XKtoggleOff('invoice');</script></td>
								</tr>
							</tbody>
							<tbody id="check" class="off">
								<tr>
									<td>{$smarty.const.TRANS_ORDERFORM_PAY_BY_CHECK}
										<script type="text/javascript">XKtoggleOff('check');</script></td>
								</tr>
							</tbody>
							{if $paymentOptions.echeck || $paymentOptions.draft}
							<tbody id="draft" class="off">
								<tr>
									<td>{$smarty.const.TRANS_BANK_NAME}<br /><input name="billingBankName" type="text"></td>
									<td>{$smarty.const.TRANS_BANK_STATE}<br /><input name="billingBankState" type="text" value="{$clientInfo.contactState}"></td>
									<td class="w230">{$smarty.const.TRANS_TYPE}<br />
										<select id="billingCardType" name="billingBankType">
											{html_options options=$accounttypes}
										</select>
									</td>
								</tr>
								<tr>
									<td>{$smarty.const.TRANS_ROUTING_NUMBER}<br /><span style="font-size: 200%">&#9286;<input name="billingBankAbaCode" type="text">&#9286;</td>
									<td colspan="2">{$smarty.const.TRANS_ACCOUNT_NUMBER}<br /><span style="font-size:  200%"><input name="billingBankAccountNum" type="text">&#9288;</span></td>
								</tr>
								<tr>
									<td>{$smarty.const.TRANS_LICENSE_NUMBER}<br /><input name="billingBankLicenseNum" type="text"></td>
									<td>{$smarty.const.TRANS_LICENSE_STATE}<br /><input name="billingBankLicenseState" type="text" value="{$clientInfo.contactState}"></td>
									<td>{$smarty.const.TRANS_DOB}<br /><input name="billingBankDob" type="text"> {$smarty.const.TRANS_EXAMPLE}: {$smarty.now|date_format:"%d-%m-%Y"}
										<script type="text/javascript">XKtoggleOff('draft');</script></td>
								</tr>
							</tbody>
							{/if}
							{if $billingAccounts}
							<tbody id="billAcct" class="off">
								<tr>
									<td>{$smarty.const.TRANS_SELECT_EXISTING_ACCOUNT}<br />
										<select id="billingAccountID" name="billingAccountID">
											{html_options options=$billingAccounts}
										</select>
										<script type="text/javascript">XKtoggleOff('billAcct');</script>
									</td>
								</tr>
							</tbody>
							{/if}
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td  class="box010">
			<div class="rm04" ><a href="#" onclick="processOrder();"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="{$smarty.const.TRANS_ORDERFORM_PROCESS_ORDER}" title="{$smarty.const.TRANS_ORDERFORM_PROCESS_ORDER}">{$smarty.const.TRANS_ORDERFORM_PROCESS_ORDER}</a></div>
			{if !$success && !$failed}<div class="rm06"><a href="ezorder.php"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="{$smarty.const.TRANS_BACK}" title="{$smarty.const.TRANS_BACK}">{$smarty.const.TRANS_BACK}</a></div>{/if}
		</td>
	</tr>
</table>
<input name="CRM" type="hidden" value="{$CRM}" />
<input name="invoiceID" type="hidden" value="{$orderResponse.invoiceID}" />

</form>
{/if} {* end of !success if statement *}
{if $success && $ccTrans}
<table width="750"  border="0" cellspacing="0" cellpadding="0" class="tab00">
	<tr>
		<td class="box09"><h1>{$smarty.const.TRANS_ORDERFORM_ORDER_SUCCESSFUL}:</h1></td>
	</tr>
	<tr>
		<td  class="box010">
			<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab014">
				<tr>
					<td valign="top" colspan="3">{$smarty.const.TRANS_ORDERFORM_THANKYOU_FOR_PURCHASE}</td>
				</tr>
				<tr>
					<td valign="top" rowspan="6">{$smarty.const.TRANS_ORDERFORM_PURCHASE_DETAILS}:</td>
					<td valign="top">{$smarty.const.TRANS_ORDERFORM_AUTHRETURN}:</td>
					<td valign="top">{$orderResponse.transaction.authReturn}</td>
				</tr>
				<tr>
					<td valign="top">{$smarty.const.TRANS_ORDERFORM_TRANSACTIONCODE}:</td>
					<td valign="top">{$orderResponse.transaction.transactionCode}</td>
				</tr>	
				<tr>
					<td valign="top">{$smarty.const.TRANS_ORDERFORM_AUTHCODE}:</td>
					<td valign="top">{$orderResponse.transaction.authCode}</td>
				</tr>	
				<tr>
					<td valign="top">{$smarty.const.TRANS_ORDERFORM_AVSCODE}:</td>
					<td valign="top">{$orderResponse.transaction.avsCode}</td>
				</tr>	
				<tr>
					<td valign="top">{$smarty.const.TRANS_ORDERFORM_TRANSACTIONNOTES}:</td>
					<td valign="top">{$orderResponse.transaction.transactionNotes}</td>
				</tr>	
				<tr>
					<td valign="top">{$smarty.const.TRANS_ORDERFORM_TRANSACTIONAMOUNT}:</td>
					<td valign="top">{$orderResponse.transaction.transactionAmount|getAmount:$orderResponse.transaction.currencyID}</td>
				</tr>	
			</table>
		</td>
	</tr>
</table>
{elseif $success}
<table width="750"  border="0" cellspacing="0" cellpadding="0" class="tab00">
	<tr>
		<td class="box09"><h1>{$smarty.const.TRANS_ORDERFORM_ORDER_SUCCESSFUL}:</h1></td>
	</tr>
	<tr>
		<td  class="box010">
			<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab014">
				<tr>
					<td valign="top" colspan="3">{$smarty.const.TRANS_ORDERFORM_THANKYOU_FOR_PURCHASE}</td>
				</tr>
				<tr>
					<td valign="top">{$smarty.const.TRANS_ORDERFORM_MUST_COMPLETE_ORDER}:</td>
				{if $displayPaymentLink}
					<td>
					{$smarty.const.TRANS_ORDERFORM_FORM_PAYMENT_BUTTONS}
					{foreach from=$orderResponse.gatewayReturn.paymentForm key=cgid item=linkbutton}
						{$linkbutton|html_entity_decode}<br/>
					{/foreach}
					</td>
				{/if}	
				</tr>
				<tr>
					<td valign="top">{$smarty.const.TRANS_ORDERFORM_INVOICE_TO_PAY}:</td>
					<td valign="top">{$orderResponse.invoiceID}</td>
				</tr>	
			</table>
		</td>
	</tr>
</table>
{/if}
{if $failed}
<table width="750"  border="0" cellspacing="0" cellpadding="0" class="tab00">
	<tr>
		<td class="box09"><h1>{$smarty.const.TRANS_ORDERFORM_ORDER_DECLINED}:</h1></td>
	</tr>
	<tr>
		<td  class="box010">
			{if !$rejectHard && !$rejectSoft}
			<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab014">
				<tr>
					<td valign="top" colspan="3">{$smarty.const.TRANS_ORDERFORM_PLEASE_TRY_AGAIN}</td>
				</tr>
				<tr>
					<td valign="top" rowspan="6">{$smarty.const.TRANS_ORDERFORM_PURCHASE_DETAILS}:</td>
					<td valign="top">{$smarty.const.TRANS_ORDERFORM_AUTHRETURN}:</td>
					<td valign="top">{$orderResponse.transaction.authReturn}</td>
				</tr>
				<tr>
					<td valign="top">{$smarty.const.TRANS_ORDERFORM_TRANSACTIONCODE}:</td>
					<td valign="top">{$orderResponse.transaction.transactionCode}</td>
				</tr>	
				<tr>
					<td valign="top">{$smarty.const.TRANS_ORDERFORM_AUTHCODE}:</td>
					<td valign="top">{$orderResponse.transaction.authCode}</td>
				</tr>	
				<tr>
					<td valign="top">{$smarty.const.TRANS_ORDERFORM_AVSCODE}:</td>
					<td valign="top">{$orderResponse.transaction.avsCode}</td>
				</tr>	
				<tr>
					<td valign="top">{$smarty.const.TRANS_ORDERFORM_TRANSACTIONNOTES}:</td>
					<td valign="top">{$orderResponse.transaction.transactionNotes}</td>
				</tr>	
				<tr>
					<td valign="top">{$smarty.const.TRANS_ORDERFORM_TRANSACTIONAMOUNT}:</td>
					<td valign="top">{$orderResponse.transaction.transactionAmount|getAmount:$orderResponse.transaction.currencyID}</td>
				</tr>
			</table>
			{elseif $rejectHard}
			<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab014">
				<tr>
					<td valign="top">{$smarty.const.TRANS_ORDERFORM_REJECT_HARD}</td>
				</tr>
			</table>			
			{elseif $rejectSoft}
			<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab014">
				<tr>
					<td valign="top">{$smarty.const.TRANS_ORDERFORM_REJECT_SOFT}</td>
				</tr>
			</table>
			{/if}
		</td>
	</tr>
</table>
{/if}
