{* $Id: AddDomainCart.tpl 11873 2007-09-13 16:00:19Z kbailey $
 * --------------------------------------------------------------
 * This template displays a mini client stats report.
 *
 * Smarty Variables:
 *	$clientStats (array of client status and their count)
 *		clientStatus
 *		numClients
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{t c="TRANS_DOMAINS_ALREADY_IN_ORDER" d="Domains Already In Order"}
{t c="TRANS_CHECK" d="Check"}
{t c="TRANS_CHECKING" d="Checking..."}
{t c="TRANS_CHECK_DOMAIN" d="Check Domain"}
{t c="TRANS_ADDING_DOMAIN_TO_ORDER" d="Adding Domain To Order..."}
{t c="TRANS_TRANSFER_KEY" d="Transfer Key"}

{if $widgetCall==2}
<link rel="stylesheet" type="text/css" href="{$baseURL}{$cssDirectory}/shoppingstyle.css" />

<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$baseURL}{$jsDirectory}/scriptaculous/lib/prototype.js"></script>
<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$baseURL}{$jsDirectory}/scriptaculous/src/scriptaculous.js"></script>
<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$baseURL}{$jsDirectory}/scriptaculous/src/unittest.js"></script>
<script language="JavaScript" type="text/javascript" src="{$baseURL}{$jsDirectory}/toggle.js" charset="utf-8"></script>
<script language="JavaScript" type="text/javascript" src="{$baseURL}{$jsDirectory}/main.js" charset="utf-8"></script>
<script language="JavaScript" type="text/javascript" src="{$baseURL}{$jsDirectory}/../ajax/core/ajax.inc.js" charset="utf-8"></script>

<script language="JavaScript" type="text/javascript" charset="utf-8">
// <![CDATA[
	var currentdomainform = "";

	var lastsiid = '';
	var locale = "{$set_locale}";
	var slURL2 = '{$whoisURL}&checkwhois=1&whoisWidget=2&orderFormID={$orderFormID}';

	{literal}
	
	
	function catchEnterSubmit(e){
		var event = e || window.event;
		if (parseInt(event.charCode)>0){
			var keyCode = event.charCode;
		} else if (parseInt(event.keyCode)>0){
			var keyCode = event.keyCode;
		}
		if (parseInt(keyCode)==13){
			var targ = event.target ? event.target : event.srcElement;
			checkDomAvail(targ.form.regtld.options[targ.form.regtld.selectedIndex].value, targ.form.regsecondary.value, 0, {/literal}{$IDN}{literal}, lastsiid);
			return false;
		}
	}


	function addScriptToElement(xid, xurl) {
		newScript = $(xid);
		var head = document.getElementsByTagName("head").item(0);
		if (newScript && typeof newScript=="object"){
			if (newScript.parentNode) newScript.parentNode.removeChild(newScript);
		}
		newScript = document.createElement("script");
		newScript.setAttribute("src", xurl);
		newScript.setAttribute("id", xid);
		newScript.setAttribute("charset", "utf-8");
		newScript.setAttribute("language", "JavaScript");
		newScript.setAttribute("type", "text/javascript");
		head.appendChild(newScript);
		
		if (navigator.appVersion.indexOf("MSIE")!=-1){
			if (newScript && newScript.readyState == "loaded"){
				checkForIEAgain();
				newScript.onreadystatechange = null;
			} else {
				newScript.onreadystatechange = checkForIEAgain;
			}
		}
	}
	
	function checkForIEAgain(){
		djscb = window.djscb;
		djsc = window.djsc;
		if (djscb){
			eval(djscb+"(unescape('"+djsc+"'));");
		}
	}
	
	
	function checkDomAvail(xtld, xsld, trans, idn, itemid) {
		domainformitemid = itemid;
		var idnvalue = 0;
		for (idni=0; idni<idn.length; idni++){
			if (idn[idni][0]==xtld){
				idnvalue = idn[idni][1];
			}
		}
		xsld = xsld.toLowerCase();
		var slURL2a = slURL2+"&sld="+xsld+"&tld="+xtld+"&trans="+trans+"&idn="+idnvalue+"&set_locale="+locale+"&ajax=1&shoppingItemID="+itemid+"&jsCallbackFunction=checkDomAvailResponse&"+Math.random();
		setLoading(document.getElementById('whoisCheckContent'+itemid), "{/literal}{$smarty.const.TRANS_CHECKING}{literal}");
		{/literal}
		new Draggable('whoisCheck{$shoppingItemID}',{literal}{{/literal}handle:'whoisCheckDrag{$shoppingItemID}'{literal}}{/literal});
		{literal}
		XKtoggleOn('whoisCheck'+itemid);
		addScriptToElement('SCwhoisCheck'+itemid, slURL2a);
		return false;
	}

	function checkDomAvailResponse(result) {
		if (result) {
			document.getElementById('whoisCheckContent'+domainformitemid).innerHTML = result;
		} else {
			{/literal}
			alert("{$smarty.const.TRANS_ORDER_DOM_CHECK_FAIL}");
			document.getElementById('whoisCheckContent'+domainformitemid).innerHTML = "";
			XKtoggleOff('whoisCheck'+domainformitemid);;
			{literal}
		}
	}


	function addDomainProduct(cpid, domain) {
		var exploded = cpid.split("|");

		if (typeof currentdomainform.domainLanguage!="undefined"){
			var domainLanguage = currentdomainform.domainLanguage.options[currentdomainform.domainLanguage.selectedIndex].value;
		} else {
			var domainLanguage = "";
		}

		var addURL = "{/literal}{$cartURL}&action={getActionID action="AddCartProductResponse"}&orderFormID={$orderFormID}{literal}&parentShoppingItemID="+exploded[3]+"&addType=domain&domainLanguage="+domainLanguage+"&";
		if (exploded[0]==""){
			var domaininfo = domain.split("|");
			addURL += "existsld="+domaininfo[0]+"&existtld="+domaininfo[1];
		} else if (exploded[0]=="-2"){
			addURL += "domain="+domain+"&productID="+exploded[1]+"&productVariantID="+exploded[2]+"&cycleID=-2&domainTransferKey="+exploded[4]+"&"+Math.random();
		} else {
			addURL += "domain="+domain+"&productID="+exploded[1]+"&productVariantID="+exploded[2]+"&cycleID="+exploded[0]+"&"+Math.random();
		}

		
		setLoading(document.getElementById('whoisCheckContent'+exploded[3]), "{/literal}{$smarty.const.TRANS_ADDING_DOMAIN_TO_ORDER}{literal}");

		document.location.href = addURL;

	}

	function addCartDomain(siid, psiid, sld, tld){
		var addURL = "{/literal}{$cartURL}&action={getActionID action="AddCartProductResponse"}&orderFormID={$orderFormID}{literal}&parentShoppingItemID="+psiid+"&addType=associateDomain&domainShoppingItemID="+siid+"&domainSLD="+sld+"&domainTLD="+tld+"&";
		document.location.href = addURL;
	}

	function setLoading(divobj, message){
		if (typeof message=="undefined"){
			message = "{/literal}{$smarty.const.TRANS_LOADING}{literal}";
		}
		divobj.innerHTML = "<img src='{/literal}{$baseURL}{$imageDirectory}{literal}/loading2.gif' align='left' height='16' width='16' alt='"+message+"' /> &nbsp;&nbsp;<b>"+message+"</b>";
	}
{/literal}
// ]]>
</script>



<div align="left">
	<form method="post" name="domainform{$shoppingItemID}" onsubmit="return false;" accept-charset="utf-8">
		<input name="regsecondary" onblur="this.value=this.value.toLowerCase();" type="text" size="18" onkeyup="lastsiid = '{$shoppingItemID}';catchEnterSubmit(event);" />
		<b>.</b>
		<select name="regtld" style="width: 70px;">
			{html_options options=$domainInfo.tld}
		</select>
		<input type="button" class="button" onclick="checkDomAvail(this.form.regtld.options[this.form.regtld.selectedIndex].value, this.form.regsecondary.value, 0, {$IDN}, '{$shoppingItemID}');" value="{$smarty.const.TRANS_CHECK}" />
		<br />

		<div id="whoisCheck{$shoppingItemID}" class="box07 off" style="background-color: #fff; position: absolute;">

			<div class="st01 st03 box09" id="whoisCheckDrag{$shoppingItemID}">
				<div style="text-align: left; margin-bottom: 2px;">
					<h1 style="cursor: pointer;"><a href="javascript:XKtoggleOff('whoisCheck{$shoppingItemID}');">X</a> - {$smarty.const.TRANS_CHECK_DOMAIN}</h1>
					<div style="padding: 5px; background-color: #fff; text-align: left; cursor: pointer;" id="whoisCheckContent{$shoppingItemID}">

					</div>
				</div>
			</div>

		</div>
	</form>
</div>




{else}


{if $widgetCall==1}
<link rel="stylesheet" type="text/css" href="{$baseURL}{$cssDirectory}/shoppingstyle.css" />


<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$baseURL}{$jsDirectory}/scriptaculous/lib/prototype.js"></script>
<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$baseURL}{$jsDirectory}/scriptaculous/src/scriptaculous.js"></script>
<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$baseURL}{$jsDirectory}/scriptaculous/src/unittest.js"></script>
<script language="JavaScript" type="text/javascript" src="{$baseURL}{$jsDirectory}/toggle.js" charset="utf-8"></script>
<script language="JavaScript" type="text/javascript" src="{$baseURL}{$jsDirectory}/main.js" charset="utf-8"></script>
<script language="JavaScript" type="text/javascript" src="{$baseURL}{$jsDirectory}/../ajax/core/ajax.inc.js" charset="utf-8"></script>

<script language="JavaScript" type="text/javascript" charset="utf-8">
// <![CDATA[
	var currentdomainform = "";

	var lastsiid = '';
	var istransfer = 0;
	var locale = "{$set_locale}";
	var slURL2 = '{$whoisURL}&checkwhois=1&orderFormID={$orderFormID}';

	{literal}
	
	function catchEnterSubmit(e){
		var event = e || window.event;
		if (parseInt(event.charCode)>0){
			var keyCode = event.charCode;
		} else if (parseInt(event.keyCode)>0){
			var keyCode = event.keyCode;
		}
		if (parseInt(keyCode)==13){
			var targ = event.target ? event.target : event.srcElement;
			checkDomAvail(targ.form.regtld.options[targ.form.regtld.selectedIndex].value, targ.form.regsecondary.value, istransfer, {/literal}{$IDN}{literal}, lastsiid);
			return false;
		}
	}

	
	function addScriptToElement(xid, xurl) {
		newScript = $(xid);
		var head = document.getElementsByTagName("head").item(0);
		if (newScript && typeof newScript=="object"){
			if (newScript.parentNode) newScript.parentNode.removeChild(newScript);
		}
		newScript = document.createElement("script");
		newScript.setAttribute("src", xurl);
		newScript.setAttribute("id", xid);
		newScript.setAttribute("charset", "utf-8");
		newScript.setAttribute("language", "JavaScript");
		newScript.setAttribute("type", "text/javascript");
		head.appendChild(newScript);

		if (navigator.appVersion.indexOf("MSIE")!=-1){
			if (newScript && newScript.readyState == "loaded"){
				checkForIEAgain();
				newScript.onreadystatechange = null;
			} else {
				newScript.onreadystatechange = checkForIEAgain;
			}
		}
	}
	
	function checkForIEAgain(){
		djscb = window.djscb;
		djsc = window.djsc;
		if (djscb){
			eval(djscb+"(unescape('"+djsc+"'));");
		}
	}
	
	function checkDomAvail(xtld, xsld, trans, idn, itemid) {
		domainformitemid = itemid;
		var idnvalue = 0;

		for (idni=0; idni<idn.length; idni++){
			if (idn[idni][0]==xtld){
				idnvalue = idn[idni][1];
			}
		}

		xsld = xsld.toLowerCase();
		var slURL2a = slURL2+"&sld="+xsld+"&tld="+xtld+"&trans="+trans+"&idn="+idnvalue+"&set_locale="+locale+"&ajax=1&shoppingItemID="+itemid+"&jsCallbackFunction=checkDomAvailResponse&"+Math.random();
		setLoading($('whoisCheck'+itemid), "{/literal}{$smarty.const.TRANS_LOADING}{literal}");
		addScriptToElement('SCwhoisCheck'+itemid, slURL2a);
		return false;
	}

	function checkDomAvailResponse(result) {
		if (result) {
			document.getElementById('whoisCheck'+domainformitemid).innerHTML = result;
			XKsmoothSize('itemouterdiv'+domainformitemid, 'iteminnerdiv'+domainformitemid);
		} else {
			{/literal}
			alert("{$smarty.const.TRANS_ORDER_DOM_CHECK_FAIL}");
			{literal}
		}
	}


	function addDomainProduct(cpid, domain) {
		var exploded = cpid.split("|");

		if (typeof currentdomainform.domainLanguage!="undefined"){
			var domainLanguage = currentdomainform.domainLanguage.options[currentdomainform.domainLanguage.selectedIndex].value;
		} else {
			var domainLanguage = "";
		}

		var addURL = "{/literal}{$cartURL}&action={getActionID action="AddCartProductResponse"}&orderFormID={$orderFormID}{literal}&parentShoppingItemID="+exploded[3]+"&addType=domain&domainLanguage="+domainLanguage+"&";
		if (exploded[0]==""){
			var domaininfo = domain.split("|");
			addURL += "existsld="+domaininfo[0]+"&existtld="+domaininfo[1];
		} else if (exploded[0]=="-2"){
			addURL += "domain="+domain+"&productID="+exploded[1]+"&productVariantID="+exploded[2]+"&cycleID=-2&domainTransferKey="+exploded[4]+"&"+Math.random();
		} else {
			addURL += "domain="+domain+"&productID="+exploded[1]+"&productVariantID="+exploded[2]+"&cycleID="+exploded[0]+"&"+Math.random();
		}

		document.location.href = addURL;
	}

	function addCartDomain(siid, psiid, sld, tld){
		var addURL = "{/literal}{$cartURL}&action={getActionID action="AddCartProductResponse"}&orderFormID={$orderFormID}{literal}&parentShoppingItemID="+psiid+"&addType=associateDomain&domainShoppingItemID="+siid+"&domainSLD="+sld+"&domainTLD="+tld+"&";
		document.location.href = addURL;
	}

	function setLoading(divobj, message){
		if (typeof message=="undefined"){
			message = "{/literal}{$smarty.const.TRANS_LOADING}{literal}";
		}
		divobj.innerHTML = "<img src='{/literal}{$baseURL}{$imageDirectory}{literal}/loading2.gif' align='left' height='16' width='16' alt='"+message+"' /> &nbsp;&nbsp;<b>"+message+"</b>";
	}

	function addDomain(itemid){
		XKdelayedContent = ""; // = document.getElementById('adddomaintemplate').innerHTML;
		document.getElementById('iteminnerdiv'+itemid).innerHTML = document.getElementById('adddomaintemplate').innerHTML;
		XKsmoothSize('itemouterdiv'+itemid, 'iteminnerdiv'+itemid);
	}

{/literal}
// ]]>
</script>
{/if}

<form method="post" name="domainform{$shoppingItemID}" accept-charset="utf-8" action="{$cartURL}">

<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab00">
		<tr>
			<td class="box09"><h1>{$smarty.const.TRANS_ORDERFORM_DOMAIN_OPTION}</h1></td>
		</tr>
		{if $availableDomains.0.id>0 && !$suppressAvailable}
		<tr>
			<td class="box010 td05">
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tab08">
					<tr>
						<td class="td05">{$smarty.const.TRANS_DOMAINS_ALREADY_IN_ORDER}</td>
					</tr>
					{section name="i" loop=$availableDomains}
					<tr>
						<td><input class="button" type="button" value="{$availableDomains[i].sld}.{$availableDomains[i].tld}" onclick="addCartDomain('{$availableDomains[i].id}', '{$shoppingItemID}', '{$availableDomains[i].sld}', '{$availableDomains[i].tld}');"></td>
					</tr>
					{/section}
				</table>
			</td>
		</tr>
		{/if}
{assign var="first" value=0}
		<tr>
			<td  class="box010">
				<table width="100%"  border="0" cellspacing="0" cellpadding="0">
					<tr>
						<td>
							<table width="100%" cellspacing="0">
								{assign var="selected" value=""}
								{if $domainInfo.domOptions.dom_reg}
									{assign var="selected" value="reg"}
									<tr>
										<td valign="middle"><h3><input id="dtR_R{$shoppingItemID}" name="domainType" {if $selected=="reg"}checked="checked"{/if} type="radio" value="domReg" onclick="XKtoggleOn('domReg'); XKtoggleOff('domTrans'); XKtoggleOff('domExist');XKtoggleOff('domNone'); XKsmoothSize('itemouterdiv{$shoppingItemID}', 'iteminnerdiv{$shoppingItemID}');" /> &nbsp; <label for="dtR_R{$shoppingItemID}">{$smarty.const.TRANS_ORDERFORM_DOMAIN_REGISTRATION}</label></h3></td>
									</tr>
									<tbody id="domReg" {if $selected=="reg"}class="on"{else}class="off"{/if}>
									<tr>
										<td valign="top" class="td06" style="white-space: nowrap;"><input name="regsecondary" onblur="this.value=this.value.toLowerCase();" type="text" onkeyup="lastsiid='{$shoppingItemID}';{if $widgetCall==1}catchEnterSubmit(event);{/if}" style="width: 250px;" />&nbsp;<b>.</b>&nbsp;
											<select name="regtld" style="width: 80px;">
												{html_options options=$domainInfo.tld}
											</select>&nbsp;<input type="button" class="button" onclick="checkDomAvail(this.form.regtld.options[this.form.regtld.selectedIndex].value, this.form.regsecondary.value, 0, {$IDN}, '{$shoppingItemID}');" value="{$smarty.const.TRANS_ORDER_CHECK_DOMAIN}" />
										</td>
									</tr>
									</tbody>
								{/if}
								{if $domainInfo.domOptions.dom_transfer}
									{if !$selected}
										{assign var="selected" value="trans"}
									{/if}
									<tr>
										<td valign="middle"><h3><input id="dtR_T{$shoppingItemID}" name="domainType" {if $selected=="trans"}checked="checked"{/if} type="radio" value="domTrans" onclick="XKtoggleOn('domTrans'); XKtoggleOff('domReg'); XKtoggleOff('domExist'); XKtoggleOff('domNone'); XKsmoothSize('itemouterdiv{$shoppingItemID}', 'iteminnerdiv{$shoppingItemID}');" /> <label for="dtR_T{$shoppingItemID}">&nbsp;{$smarty.const.TRANS_ORDERFORM_TRANSFER_DOMAIN}</label></h3></td>
									</tr>
									<tbody id="domTrans" {if $selected=="trans"}class="on"{else}class="off"{/if}>
									<tr>
										<td valign="top" class="td06" style="white-space: nowrap;">
											<input name="transsecondary" onblur="this.value=this.value.toLowerCase();" type="text" style="width: 250px;" onkeyup="lastsiid='{$shoppingItemID}';istransfer=1;{if $widgetCall==1}catchEnterSubmit(event);{/if}istransfer=0;"  />
										&nbsp;<b>.</b>&nbsp;
											<select name="transtld" style="width: 80px;">
												{html_options options=$domainInfo.tld}
											</select>
											&nbsp;
											<input class="button" type="button" onclick="checkDomAvail(this.form.transtld.options[this.form.transtld.selectedIndex].value, this.form.transsecondary.value, 1, {$IDN}, '{$shoppingItemID}');" value="{$smarty.const.TRANS_ORDER_CHECK_DOMAIN}">
										</td>
									</tr>
									</tbody>
								{/if}
								{if $domainInfo.domOptions.dom_existing && $widgetCall<1 && $shoppingItemID>0}
									{if !$selected}
										{assign var="selected" value="exist"}
									{/if}
									<tr>
										<td valign="middle"><h3><input id="dtR_E{$shoppingItemID}" name="domainType" {if $selected=="exist"}checked="checked"{/if} type="radio" value="domExisting" onclick="XKtoggleOn('domExist'); XKtoggleOff('domReg'); XKtoggleOff('domTrans'); XKtoggleOff('domNone'); XKsmoothSize('itemouterdiv{$shoppingItemID}', 'iteminnerdiv{$shoppingItemID}');" /> <label for="dtR_E{$shoppingItemID}">&nbsp;{$smarty.const.TRANS_ORDERFORM_EXISTING_DOMAIN}</label></h3></td>
									</tr>
									<tbody id="domExist" {if $selected=="exist"}class="on"{else}class="off"{/if}>
									<tr>
										<td valign="top" class="td06" style="white-space: nowrap;">
											<input name="existsld" onblur="this.value=this.value.toLowerCase();" type="text" style="width: 250px;"  />.<input name="existtld" type="text" size="7" style="width: 80px;" />
											&nbsp; <input class="button" type="button" onclick="addDomainProduct('|||{$shoppingItemID}', this.form.existsld.value+'|'+this.form.existtld.value);" value="{$smarty.const.TRANS_ORDER_ADD_DOMAIN_TO_ORDER}">
										</td>
									</tr>
									</tbody>
								{/if}
							</table>
						</td>
					</tr>
					<tr>
						<td colspan="3">
							<div id="whoisCheck{$shoppingItemID}">
							</div>
						</td>
					</tr>
				</table>
			</td>
		</tr>
</table>

<input name="sid" type="hidden" value="{$sid}" />
<input name="set_locale" type="hidden" value="{$set_locale}" />
</form>

{/if}



