{* $Id: CustomerInfo.tpl 11070 2007-04-30 20:51:12Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to gather customer info for the cart (originally copied from order form).
 *
 * Smarty Variables:
 *
 * Author: Kris Bailey
 *}

{t c="TRANS_SERVICE_USERNAME" d="Service Username"}
{t c="TRANS_SERVICE_PASSWORD" d="Service Password"}
{t c="TRANS_SERVICE_CONFIRM_PASSWORD" d="Confirm Password"}

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{$smarty.const.TRANS_ORDERFORM_CONTACT_INFO}</h1>
<div style="padding: 5px; background-color: #fff; text-align: center;">

			<table width="100%" border="0" cellspacing="0" cellpadding="3">

				<tr style="text-align: left;">
					<td valign="top" width="50%" style="border-right: 1px solid #999; padding: 10px;">
					{if $suppressFields}
					<strong>{$smarty.const.TRANS_ORDERFORM_FIRST_NAME}</strong><br />
						{$checkoutFormInfo.clientFirstName}<br />
					<strong>{$smarty.const.TRANS_ORDERFORM_LAST_NAME}</strong><br />
						{$checkoutFormInfo.clientLastName}<br />
					<strong>{$smarty.const.TRANS_ORDERFORM_ADDRESS1}</strong><br />
						{$checkoutFormInfo.contactAddress1}<br />
					<strong>{$smarty.const.TRANS_ORDERFORM_ADDRESS2}</strong><br />
						{$checkoutFormInfo.contactAddress2}<br />
					<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_CITY}</strong><br />
						{$checkoutFormInfo.contactCity}<br />
					<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_STATE}</strong><br />
						{$checkoutFormInfo.contactState}<br />
					<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_ZIP}</strong><br />
						{$checkoutFormInfo.contactZip}<br />
					{else}
					{$smarty.const.TRANS_ORDERFORM_FIRST_NAME}<br />
						<input name="clientFirstName"{if $invalidFields.clientFirstName==1} class="formFieldHighlight"{/if} style="width: 120px;" type="text" value="{$checkoutFormInfo.clientFirstName}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
					{$smarty.const.TRANS_ORDERFORM_LAST_NAME}<br />
						<input name="clientLastName"{if $invalidFields.clientLastName==1} class="formFieldHighlight"{/if} style="width: 120px;" type="text" value="{$checkoutFormInfo.clientLastName}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
					{$smarty.const.TRANS_ORDERFORM_ADDRESS1}<br />
						<input name="contactAddress1"{if $invalidFields.contactAddress1==1} class="formFieldHighlight"{/if} style="width: 140px;" type="text" value="{$checkoutFormInfo.contactAddress1}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
					{$smarty.const.TRANS_ORDERFORM_ADDRESS2}<br />
						<input name="contactAddress2"{if $invalidFields.contactAddress2==1} class="formFieldHighlight"{/if} style="width: 140px;" type="text" value="{$checkoutFormInfo.contactAddress2}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
					{$smarty.const.TRANS_ORDERFORM_CONTACT_CITY}<br />
						<input name="contactCity"{if $invalidFields.contactCity==1} class="formFieldHighlight"{/if} style="width: 120px;" type="text" value="{$checkoutFormInfo.contactCity}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
					{$smarty.const.TRANS_ORDERFORM_CONTACT_STATE}<br />
						<input name="contactState"{if $invalidFields.contactState==1} class="formFieldHighlight"{/if} style="width: 100px;" type="text" value="{$checkoutFormInfo.contactState}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
					{$smarty.const.TRANS_ORDERFORM_CONTACT_ZIP}<br />
						<input name="contactZip"{if $invalidFields.contactZip==1} class="formFieldHighlight"{/if} style="width: 70px;" type="text" value="{$checkoutFormInfo.contactZip}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
					{/if}
					</td>

					<td valign="top" width="50%" style="padding: 10px;">
					{if $suppressFields}
					<strong>{$smarty.const.TRANS_ORDERFORM_COMPANY_NAME}</strong><br />
						{$checkoutFormInfo.clientCompany}<br />
					<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_TAXID}</strong><br />
						{$checkoutFormInfo.taxIDNumber}<br />
					<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_EMAIL}</strong><br />
						{$checkoutFormInfo.clientEmail}<br />
					<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_PHONE1}</strong><br />
						{$checkoutFormInfo.contactPhone1}<br />
					<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_PHONE2}</strong><br />
						{$checkoutFormInfo.contactPhone2}<br />
					<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_FAX}</strong><br />
						{$checkoutFormInfo.contactFax}<br />
					<strong>{$smarty.const.TRANS_ORDERFORM_CONTACT_COUNTRY}</strong><br />
						{assign var="tmpc" value=$checkoutFormInfo.countriesID}
						{$countryList.$tmpc}
					{else}
					{$smarty.const.TRANS_ORDERFORM_COMPANY_NAME}<br />
						<input name="clientCompany"{if $invalidFields.clientCompany==1} class="formFieldHighlight"{/if} style="width: 140px;" type="text" value="{$checkoutFormInfo.clientCompany}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
					{$smarty.const.TRANS_ORDERFORM_CONTACT_TAXID}<br />
						<input name="taxIDNumber"{if $invalidFields.taxIDNumber==1} class="formFieldHighlight"{/if} style="width: 120px;" type="text" value="{$checkoutFormInfo.taxIDNumber}" onkeyup="checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
					{$smarty.const.TRANS_ORDERFORM_CONTACT_EMAIL}<br />
						<input name="clientEmail"{if $invalidFields.clientEmail==1} class="formFieldHighlight"{/if} style="width: 140px;" type="text" value="{$checkoutFormInfo.clientEmail}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
					{$smarty.const.TRANS_ORDERFORM_CONTACT_PHONE1}<br />
						<input name="contactPhone1"{if $invalidFields.contactPhone1==1} class="formFieldHighlight"{/if} style="width: 100px;" type="text" value="{$checkoutFormInfo.contactPhone1}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
					{$smarty.const.TRANS_ORDERFORM_CONTACT_PHONE2}<br />
						<input name="contactPhone2"{if $invalidFields.contactPhone2==1} class="formFieldHighlight"{/if} style="width: 100px;" type="text" value="{$checkoutFormInfo.contactPhone2}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
					{$smarty.const.TRANS_ORDERFORM_CONTACT_FAX}<br />
						<input name="contactFax"{if $invalidFields.contactFax==1} class="formFieldHighlight"{/if} style="width: 100px;" type="text" value="{$checkoutFormInfo.contactFax}" onkeyup="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onblur="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" onchange="XKcopyCheckMe(this);checkCheckoutFormElementChange(this);" /><br />
					{$smarty.const.TRANS_ORDERFORM_CONTACT_COUNTRY}<br />
						<select name="countriesID" onchange="XKcopyCheckMe(this);">
							{html_options options=$countryList selected=$checkoutFormInfo.countriesID}
						</select>
					{/if}
					</td>

				</tr>


			</table>
			{if !$suppressFields}
			<br />
				<table width="100%"  border="0" cellspacing="0" cellpadding="3">
					<tr>
						<td width="34%" valign="top" style="text-align: left; padding: 10px;">{$smarty.const.TRANS_ORDERFORM_USERNAME}<br /><input name="contactUsername" id="contactUsername" value="{$checkoutFormInfo.contactUsername}" onkeyup="minmax(parseInt('{$orderParams.usermin}'), parseInt('{$orderParams.usermax}'), this, document.getElementById('usernamestatus'));" onmouseout="minmax(parseInt('{$orderParams.usermin}'), parseInt('{$orderParams.usermax}'), this, document.getElementById('usernamestatus'));" onblur="minmax(parseInt('{$orderParams.usermin}'), parseInt('{$orderParams.usermax}'), this, document.getElementById('usernamestatus'));" type="text" /><br />
						{$smarty.const.TRANS_ORDERFORM_MIN_USERNAME}: {$orderParams.usermin}<br />
						{$smarty.const.TRANS_ORDERFORM_MAX_USERNAME}: {$orderParams.usermax}</td>
						<td width="33%" valign="top" style="text-align: left; padding: 10px;">{$smarty.const.TRANS_ORDERFORM_PASSWORD}<br /><input name="contactPassword" id="contactPassword" value="{$checkoutFormInfo.contactPassword}" onkeyup="checkpassword(parseInt('{$orderParams.passmin}'), parseInt('{$orderParams.passmax}'), this, this.form.confirmcontactPassword, document.getElementById('passwordstatus'));" onmouseout="checkpassword(parseInt('{$orderParams.passmin}'), parseInt('{$orderParams.passmax}'), this, this.form.confirmcontactPassword, document.getElementById('passwordstatus'));" onblur="checkpassword(parseInt('{$orderParams.passmin}'), parseInt('{$orderParams.passmax}'), this, this.form.confirmcontactPassword, document.getElementById('passwordstatus'));" type="password" /><br />
						{$smarty.const.TRANS_ORDERFORM_MIN_PASSWORD}: {$orderParams.passmin}<br />
						{$smarty.const.TRANS_ORDERFORM_MAX_PASSWORD}: {$orderParams.passmax}</td>
						<td width="33%" valign="top" style="text-align: left; padding: 10px;">{$smarty.const.TRANS_ORDERFORM_CONFIRM_PASSWORD}<br /><input name="confirmcontactPassword" id="confirmcontactPassword" value="{$checkoutFormInfo.confirmcontactPassword}" onkeyup="checkpassword(parseInt('{$orderParams.passmin}'), parseInt('{$orderParams.passmax}'), this, this.form.contactPassword, document.getElementById('passwordstatus'));" type="password" /></td>
					</tr>
					<tr>
						<td valign="top" style="text-align: left; padding: 10px;"><div id="usernamestatus">&nbsp;</div></td>
						<td valign="top" style="text-align: left; padding: 10px;" colspan="2"><div id="passwordstatus">&nbsp;</div></td>
					</tr>
				</table>
			{else}
			<br />
				<table width="100%"  border="0" cellspacing="0" cellpadding="3">
					<tr>
						<td width="34%" valign="top" style="text-align: left; padding: 10px;">{$smarty.const.TRANS_SERVICE_USERNAME}<br /><input name="contactUsername" id="contactUsername" value="{$checkoutFormInfo.contactUsername}" onkeyup="eminmax(parseInt('{$orderParams.usermin}'), parseInt('{$orderParams.usermax}'), this, document.getElementById('usernamestatus'));" onmouseout="eminmax(parseInt('{$orderParams.usermin}'), parseInt('{$orderParams.usermax}'), this, document.getElementById('usernamestatus'));" onblur="eminmax(parseInt('{$orderParams.usermin}'), parseInt('{$orderParams.usermax}'), this, document.getElementById('usernamestatus'));" type="text" /><br />
						{$smarty.const.TRANS_ORDERFORM_MIN_USERNAME}: {$orderParams.usermin}<br />
						{$smarty.const.TRANS_ORDERFORM_MAX_USERNAME}: {$orderParams.usermax}</td>
						<td width="33%" valign="top" style="text-align: left; padding: 10px;">{$smarty.const.TRANS_SERVICE_PASSWORD}<br /><input name="contactPassword" id="contactPassword" value="{$checkoutFormInfo.contactPassword}" onkeyup="echeckpassword(parseInt('{$orderParams.passmin}'), parseInt('{$orderParams.passmax}'), this, this.form.confirmcontactPassword, document.getElementById('passwordstatus'));" onmouseout="echeckpassword(parseInt('{$orderParams.passmin}'), parseInt('{$orderParams.passmax}'), this, this.form.confirmcontactPassword, document.getElementById('passwordstatus'));" onblur="echeckpassword(parseInt('{$orderParams.passmin}'), parseInt('{$orderParams.passmax}'), this, this.form.confirmcontactPassword, document.getElementById('passwordstatus'));" type="password" /><br />
						{$smarty.const.TRANS_ORDERFORM_MIN_PASSWORD}: {$orderParams.passmin}<br />
						{$smarty.const.TRANS_ORDERFORM_MAX_PASSWORD}: {$orderParams.passmax}</td>
						<td width="33%" valign="top" style="text-align: left; padding: 10px;">{$smarty.const.TRANS_SERVICE_CONFIRM_PASSWORD}<br /><input name="confirmcontactPassword" id="confirmcontactPassword" value="{$checkoutFormInfo.confirmcontactPassword}" onkeyup="echeckpassword(parseInt('{$orderParams.passmin}'), parseInt('{$orderParams.passmax}'), this, this.form.contactPassword, document.getElementById('passwordstatus'));" type="password" /></td>
					</tr>
					<tr>
						<td valign="top" style="text-align: left; padding: 10px;"><div id="usernamestatus">&nbsp;</div></td>
						<td valign="top" style="text-align: left; padding: 10px;" colspan="2"><div id="passwordstatus">&nbsp;</div></td>
					</tr>
				</table>
			{/if}


</div>
</div>
</div>

{if $invalidFields} {* && !$suppressFields *}
<script language="JavaScript" type="text/javascript" charset="utf-8">
// <![CDATA[

setTimeout("doUserPassUpdateToFixFirefoxAutoFill();", 1000);

function doUserPassUpdateToFixFirefoxAutoFill(){literal}{{/literal}
	document.checkoutForm.contactUsername.value = '{$checkoutFormInfo.contactUsername}';
	document.checkoutForm.contactPassword.value = '{$checkoutFormInfo.contactPassword}';
	minmax(parseInt('{$orderParams.usermin}'), parseInt('{$orderParams.usermax}'), document.checkoutForm.contactUsername, document.getElementById('usernamestatus'));
	checkpassword(parseInt('{$orderParams.passmin}'), parseInt('{$orderParams.passmax}'), document.checkoutForm.contactPassword, document.checkoutForm.confirmcontactPassword, document.getElementById('passwordstatus'));
{literal}}{/literal}
// ]]>
</script>
{/if}