{* $Id: ShowCartProductAddonsStep.tpl 12437 2008-01-08 19:23:08Z kbailey $
 * --------------------------------------------------------------
 * Author: Kris Bailey
 *}

{include file="$tplDirectory/shopping/header.tpl"}

{t c="TRANS_ORDER_PRODUCT" d="Order Product"}

<div align="center" class="box07" id="cartContainer">

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{$smarty.const.TRANS_ORDER_PRODUCT}</h1>
<div style="padding: 5px; background-color: #fff; text-align: left;">

{t c="TRANS_SALE_PRICE" d="Sale Price"}
{t c="TRANS_INSTANT_SAVINGS" d="Instant Savings"}
{t c="TRANS_PRODUCT_OPTIONS" d="Product Options"}

<form method="post" action="{$cartURL}">
<input type="hidden" name="addWizard" value="1" />
<input type="hidden" name="source" value="addons" />
<input type="hidden" name="orderFormID" value="{$orderFormID}" />
<input type="hidden" name="action" value="{getActionID action=$nextActionName}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="productVariantID" value="{$product.productVariantID}" />
<input type="hidden" name="cycleID" value="{$product.cycleID}" />
<input type="hidden" name="ID" value="1234" />
{if $domains}
	<input type="hidden" name="domains" value="{$domains}" />
{/if}

	<table width="100%" border="0" cellpadding="2" cellspacing="2" class="tab01">
	
		{assign var="prices" value=$product.prices.$currencyID}
		<tr class="{cycle values="alt1,alt2"}">
			<td valign="top" width="50%">
				<h3>{$product.productName|constant}</h3>
				{if $product.productComments}
					<br />
					{$product.productComments|constant}
				{/if}
			</td>
			<td valign="top" width="50%">
				<table width="100%" class="tab04">
				{section name=j loop=$prices}
					{if $cycleID==$prices[j].0.cycleID && $productVariantID==$prices[j].0.productVariantID}
						{assign var="variantID" value=$prices[j].0.productVariantID}
						{if $prices[j].0.discountPrice}
							<tr>
								<td align="right">{$smarty.const.TRANS_ORIGINAL_PRICE}: </td>
								<td align="right">{$prices[j].0.productVariantPriceAmount|getAmount:$currencyID}
									{if $prices[j].1.productVariantPriceAmount>0}
										+ {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {$smarty.const.TRANS_SETUP}
									{/if}</td>
							</tr>
							<tr>
								<td align="right">{$smarty.const.TRANS_INSTANT_SAVINGS}: </td>
								<td align="right">{$prices[j].0.discountAmount|getAmount:$currencyID}</td>
							</tr>
							<tr>
								<td align="right"><strong>{$smarty.const.TRANS_SALE_PRICE}: </strong></td>
								<td align="right"><strong>{$prices[j].0.discountPrice|getAmount:$currencyID}
									{if $prices[j].1.productVariantPriceAmount>0}
										+ {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {$smarty.const.TRANS_SETUP}
									{/if}</strong></td>
							</tr>
						{else}
							<tr>
								<td align="right">{$smarty.const.TRANS_PRICE}: </td>
								<td align="right">{$prices[j].0.productVariantPriceAmount|getAmount:$currencyID}
									{if $prices[j].1.productVariantPriceAmount>0}
										+ {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {$smarty.const.TRANS_SETUP}
									{/if}</td>
							</tr>
						{/if}
	
					{/if}
	
				{/section}
				</table>
			</td>
		</tr>
		<tr>
			<td colspan="2">

				{* ******************************************************************************** *}
				<input type="hidden" name="items[1][addType]" value="addons" />
				<input type="hidden" name="items[1][parentID]" value="1234" />
				<input type="hidden" name="items[1][ID]" value="1235" />
				<input type="hidden" name="items[1][currencyID]" value="{$currencyID}" />
				
				<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab00">
					<tr>
						<td class="box09"><h1>{$smarty.const.TRANS_PRODUCT_OPTIONS}</h1></td>
					</tr>
					<tr>
						<td>
							<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab01">
							{assign var="firsttime" value="1"}
							{foreach key="id" item="addons" from=$addonproducts}
								<tr class="{cycle values="alt1,alt2"}">
									<td valign="top"><h3>{assign var="group" value=$addonGroups.$id}{$group.productAddonGroupName}</h3>
								{if $selectedAddons.$pid>0}
									{assign var="defaultSelectedProductID" value=0}
								{else}
									{assign var="defaultSelectedProductID" value=$group.defaultSelectedProductID}
								{/if}
								{assign var="firsttime" value=0}
								{if $group.productAddonGroupInputType=="" || $group.productAddonGroupInputType=="r"}
									<input type="hidden" name="items[1][addonID][]" value="" id="addons_{$id}_passfield" />
									<table width="100%">
									{section name="i" loop=$addons}
										{assign var="pid" value=$addons[i].productID}
										{if $addons[i].productIsAddon==1}
											<tr>
												<td class="td05"><input type="radio" name="addons_{$id}" id="addons_{$addons[i].productID}" onclick="document.getElementById('addons_{$id}_passfield').value=this.value;" value="{$addons[i].productID}"{if $selectedAddons.$pid>0 OR $defaultSelectedProductID==$pid} checked="checked"{/if}><label for="addons_{$addons[i].productID}">&nbsp; - {$addons[i].productName|constant}</label></td>
												<td class="td05"><strong>{$addons[i].prices.0.productVariantPriceAmount|getAmount} {if $addons[i].prices.1.productVariantPriceAmount>0} {$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.1.productVariantPriceAmount|getAmount}{/if}</strong></td>
											</tr>
										{else}
											{foreach key="thisCycle" item="prices" from=$addons[i].prices}
												<tr>
													<td class="td05"><input type="radio" name="addons_{$id}" id="addons_{$addons[i].productID}" onclick="document.getElementById('addons_{$id}_passfield').value=this.value;" value="{$addons[i].productID}|{$thisCycle}"{if $selectedAddons.$pid>0 OR $defaultSelectedProductID==$pid} checked="checked"{/if}><label for="addons_{$addons[i].productID}">&nbsp; - {$addons[i].productName|constant} {* - {$cycleList.$thisCycle*}</label></td>
													<td class="td05"><strong>{$addons[i].prices.$thisCycle.0.productVariantPriceAmount|getAmount} {if $addons[i].prices.$thisCycle.1.productVariantPriceAmount>0} {$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.$thisCycle.1.productVariantPriceAmount|getAmount}{/if}</strong></td>
												</tr>
											{/foreach}
										{/if}
									{/section}
									{if $group.productAddonGroupNoneChoice==1}
										<tr>
											<td class="td05"><input type="radio" name="addons_{$id}" id="addons_{$id}_0" value="0"><label for="addons_{$id}_0">&nbsp; - {$smarty.const.TRANS_NONE}</label></td>
											<td class="td05"></td>
										</tr>
									{/if}
									</table>
								{elseif $group.productAddonGroupInputType=="s"}
									<select name="items[1][addonID][]">
									{if $group.productAddonGroupNoneChoice==1}
										<option value="0">{$smarty.const.TRANS_CHOOSE_ADDON_OPTION}</option>
									{/if}
										{section name="i" loop=$addons}
											{assign var="pid" value=$addons[i].productID}
											{if $addons[i].productIsAddon==1}
												<option value="{$addons[i].productID}"{if $selectedAddons.$pid>0 OR $defaultSelectedProductID==$pid} selected="selected"{/if}>{$addons[i].productName|constant} >> {$addons[i].prices.0.productVariantPriceAmount|getAmount} {if $addons[i].prices.1.productVariantPriceAmount>0} {$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.1.productVariantPriceAmount|getAmount}{/if}</option>
											{else}
												{foreach key="thisCycle" item="prices" from=$addons[i].prices}
													<option value="{$addons[i].productID}|{$thisCycle}"{if $selectedAddons.$pid>0 OR $defaultSelectedProductID==$pid} selected="selected"{/if}>{$addons[i].productName|constant} >> {$addons[i].prices.$thisCycle.0.productVariantPriceAmount|getAmount} {if $addons[i].prices.$thisCycle.1.productVariantPriceAmount>0} {$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.$thisCycle.1.productVariantPriceAmount|getAmount}{/if}</option>
												{/foreach}
											{/if}
										{/section}
									</select>
								{elseif $group.productAddonGroupInputType=="c"}
									<table width="100%">
									{section name="i" loop=$addons}
										{assign var="pid" value=$addons[i].productID}
										{if $addons[i].productIsAddon==1}
											<tr>
												<td class="td05"><input type="checkbox" name="items[1][addonID][]" value="{$addons[i].productID}"{if $selectedAddons.$pid>0 OR $defaultSelectedProductID==$pid} checked="checked"{/if}>&nbsp; - {$addons[i].productName|constant}</td>
												<td class="td05"><strong>{$addons[i].prices.0.productVariantPriceAmount|getAmount} {if $addons[i].prices.1.productVariantPriceAmount>0} {$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.1.productVariantPriceAmount|getAmount}{/if}</strong></td>
											</tr>
										{else}
											{foreach key="thisCycle" item="prices" from=$addons[i].prices}
												<tr>
													<td class="td05"><input type="checkbox" name="items[1][addonID][]" value="{$addons[i].productID}|{$thisCycle}"{if $selectedAddons.$pid>0 OR $defaultSelectedProductID==$pid} checked="checked"{/if}>&nbsp; - {$addons[i].productName|constant} {* - {$cycleList.$thisCycle*}</td>
													<td class="td05"><strong>{$addons[i].prices.$thisCycle.0.productVariantPriceAmount|getAmount} {if $addons[i].prices.$thisCycle.1.productVariantPriceAmount>0} {$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.$thisCycle.1.productVariantPriceAmount|getAmount}{/if}</strong></td>
												</tr>
											{/foreach}
										{/if}
									{/section}
									</table>
								{/if}
									</td>
								</tr>
							{foreachelse}
								<tr>
									<td class="td05">{$smarty.const.TRANS_NO_OPTIONS}</td>
								</tr>
							{/foreach}
								{if $firsttime==0}
								<tr>
									<td align="right"><input class="submit" type="submit" value="{$smarty.const.TRANS_CONTINUE}"></td>
								</tr>
								{/if}
							</table>
						</td>
					</tr>
				</table>

{* ******************************************************************************** *}

			</td>
		</tr>

	</table>
</form>


</div>
</div>
</div>

</div>

{include file="$tplDirectory/shopping/footer.tpl"}
