{* $Id: ShowMultiDomainWhoisStep.tpl 12770 2008-03-14 20:44:41Z bwoolley $
 * --------------------------------------------------------------
 * Author: Kris Bailey
 *}

{t c="TRANS_CHECKING_AVAILABILITY" d="Checking Availability"}
{t c="TRANS_DOMAIN_AVAILABLE" d="Domain Available"}
{t c="TRANS_DOMAIN_TAKEN" d="Taken"}
{t c="TRANS_PURCHASE_SELECTED_DOMAINS" d="Purchase Selected Domains"}
{t c="TRANS_ORDER_PRODUCT" d="Order Product"}
{t c="TRANS_ENTER_A_DOMAIN_NAME_TO_CHECK" d="Enter the domain you want"}
{t c="TRANS_PRIMARY_DOMAIN" d="Primary Domain"}
{t c="TRANS_CONTINUE_WITHOUT_DOMAIN" d="Continue without Domain"}
{t c="TRANS_I_OWN_THIS_DOMAIN" d="I own this domain"}
{t c="TRANS_TRANSFER_DISABLED" d="Transfer Disabled"}
{t c="TRANS_ADDED_TO_ORDER" d="Added to order"}
{t c="TRANS_TRANSFERRING_DOT" d="Transferring ... "}
{t c="TRANS_DOMAIN_ALREADY_IN_ORDER" d="Domain already in order"}
{t c="TRANS_TRANSFER_DOMAIN" d="Transfer Domain"}
{t c="TRANS_TRANSFER_KEY_MESSAGE" d="In order to transfer a domain you need to supply a transfer key.  This is sometimes called an 'EPP Code' or 'Transfer Code'.  You will need to log into your account where this domain is registered in order to obtain this key."}
{t c="TRANS_TRANSFER_KEY" d="Transfer Key"}
{t c="TRANS_TRANSFERRING_DOMAIN_FOR" d="Transferring Domain For"}
{t c="TRANS_WHOIS_SERVICE_ERROR" d="Whois Service Error"}

{if $showDomainBox==1}

{include file="$tplDirectory/shopping/header.tpl"}

<style>
{literal}
#transferDomainContainer {margin-left:15px;}
#transferDomainContainer div:after {content: "."; display: block; height:11px; clear:both; visibility:hidden;}
#transferDomainContainer div {width:400px; height:auto; font-family:verdana; font-size:11px;}
b.tl {display:block; width:400px; height:8px; font-size:1px;}
b.tr {display:block; width:392px; height:8px; font-size:1px; float:right;}
b.bl {display:block; width:8px; height:8px; font-size:1px; float:left;}
b.br {display:block; width:392px; height:8px; font-size:1px; float:right; position:relative;}
b.point {display:block; font-size:1px; width:25px; height:14px;}
#transferDomainContainer div p {margin:0;}
div.one b.tl {background:url({/literal}{$imageDirectory}{literal}/bubbles/top_left3.gif) top left no-repeat;}
div.one b.tr {background:url({/literal}{$imageDirectory}{literal}/bubbles/top_right3.gif) top right no-repeat;}
div.one p {background:#c9d7ec;}
div.one b.bl {background:url({/literal}{$imageDirectory}{literal}/bubbles/bottom_left3.gif) top left no-repeat;}
div.one b.br {background:url({/literal}{$imageDirectory}{literal}/bubbles/bottom_right3.gif) top right no-repeat;}
div.one b.point {background:url({/literal}{$imageDirectory}{literal}/bubbles/point3up.gif) top left no-repeat; margin:-11px 0 0 25px;}
p.italic {margin:0 0 20px 0; font-weight:bold; font-style:italic;}
ul.list li {font-size:11px; margin:2px 0;}
#transferDomainBubbleContent {background:#c9d7ec; padding:8px; border:3px solid #fff; border-width:0 3px; text-align:justify;}
{/literal}
</style>

<script language="JavaScript" type="text/javascript" charset="utf-8">
// <![CDATA[
	var currentdomainform = "";
	var lastsiid = '';
	var locale = "{$set_locale}";
	var multiDomainCheckURL = '{$whoisURL}&checkwhois=1&whoisWidget=1&preCart=1&orderFormID={$orderFormID}';

	{literal}
	
	
	function catchEnterSubmit(e){
		var event = e || window.event;
		if (parseInt(event.charCode)>0){
			var keyCode = event.charCode;
		} else if (parseInt(event.keyCode)>0){
			var keyCode = event.keyCode;
		}
		if (parseInt(keyCode)==13){
			var targ = event.target ? event.target : event.srcElement;
			checkDomains();
			return false;
		}
	}


	function addScriptToElement(xid, xurl) {
		newScript = $(xid);
		var head = document.getElementsByTagName("head").item(0);
		if (newScript && typeof newScript=="object"){
			if (newScript.parentNode) newScript.parentNode.removeChild(newScript);
		}
		newScript = document.createElement("script");
		newScript.setAttribute("src", xurl);
		newScript.setAttribute("id", xid);
		newScript.setAttribute("charset", "utf-8");
		newScript.setAttribute("language", "JavaScript");
		newScript.setAttribute("type", "text/javascript");
		head.appendChild(newScript);
		
		if (navigator.appVersion.indexOf("MSIE")!=-1){
			if (newScript && newScript.readyState == "loaded"){
				checkForIEAgain();
				newScript.onreadystatechange = null;
			} else {
				newScript.onreadystatechange = checkForIEAgain;
			}
		}
	}
	
	function checkForIEAgain(){
		djscb = window.djscb;
		djsc = window.djsc;
		if (djscb){
			eval(djscb+"(unescape('"+djsc+"'));");
		}
	}
	
	var firstSelectedMaster = 0;
	
	function checkDomains(){
		cancelTransfer();
		firstSelectedMaster = 0;
		var domainName = document.multiDomainWhois.domainSLD.value.toLowerCase().stripSpaces();
		if (domainName=="") return;
		var tld = '';
		if (domainName.substring(0, 8)=="https://"){
			domainName = domainName.replace("https://", "");
		}
		if (domainName.substring(0, 7)=="http://"){
			domainName = domainName.replace("http://", "");
		}
		if (domainName.substring(0,4)=="www."){
			domainName = domainName.replace("www.", "");
		}
		if (domainName.indexOf(".")!=-1){
			tld = domainName.substring(domainName.indexOf(".")+1);
			domainName = domainName.substring(0, domainName.indexOf("."));
		}
		document.multiDomainWhois.domainSLD.value = domainName + ((tld) ? "." + tld : "" );
		{/literal}
		$('multiDomainFormDiv').innerHTML = "<img src='{$imageDirectory}/loading2.gif' align='left' height='16' width='16' alt='{$smarty.const.TRANS_LOADING|escape:javascript}' /> &nbsp;{$smarty.const.TRANS_LOADING}";
		{literal}
		addScriptToElement('multiCheckScriptResults', multiDomainCheckURL + "&formOnly=1&jsCallbackFunction=handleMultiDomainFormReturn&domainTLD="+tld+"&domainSLD=" + domainName);
	}

	function handleMultiDomainFormReturn(s){
		$('multiDomainFormDiv').innerHTML = s;
	}


{/literal}

var selectedTLD = '{$selectedTLD}';
var cycleInfo = {getJSON data=$cycleInfo};
var cycleValues = {getJSON data=$cycleValues};
var tldData = {getJSON data=$tlds};
var domainsInCart = {getJSON data=$domainsInCart};

{literal}
function handleDomainAvailability(sld, tld, domainStatus){
	var tldID = tldData[tld]["tldID"];
	if (domainsInCart[sld+"."+tld]==1){
		domainInCart(tldID, sld, tld);
	} else {
		if (domainStatus=="1"){
			domainAvailable(tldID, sld, tld);
		} else if (domainStatus=="" || domainStatus=="0"){
			domainUnavailable(tldID, sld, tld);
		} else if (domainStatus=="2") {
			domainQueried(tldID, sld, tld);
		} else {
			domainIndeterminate(tldID, sld, tld, domainStatus);
		}
	}
}

function domainIndeterminate(tldID, sld, tld, error){
	var tldCBX = $('DomainCheckbox'+sld+tldID);
	var tldNAME = $('DomainName'+sld+tldID);
	var tldAVAILABLE = $('DomainAvailable'+sld+tldID);
	var tldPRICECYCLE = $('DomainPriceCycle'+sld+tldID);
	var masterSel = "";
	if (tldCBX){
		if (tldCBX.getAttribute("selectedTLD")=="1"){
			masterSel = " checked='checked' ";
		} else {
			masterSel = "";
		}
		firstSelectedMaster = 1;
		tldCBX.innerHTML = "";
		tldNAME.style.color = "red";
		tldNAME.style.fontWeight = "bold";
		tldAVAILABLE.innerHTML = "<span style='color: red;' title='"+error.replace(/'/g,"\\'")+"'>{/literal}{$smarty.const.TRANS_WHOIS_SERVICE_ERROR}{literal}</span>";
		tldPRICECYCLE.innerHTML = "";
	}
}

function domainQueried(tldID, sld, tld){
	var tldCBX = $('DomainCheckbox'+sld+tldID);
	if (tldCBX){
		tldCBX.innerHTML = "<span id='UnknownDomainCheckbox'"+sld+tldID+"><img src='{/literal}{$imageDirectory}{literal}/loading2.gif' align='left' height='16' width='16' alt='{/literal}{$smarty.const.TRANS_CHECKING_AVAILABILITY|escape:javascript}{literal}' /></span>";
	}
}

function domainAvailable(tldID, sld, tld){
	var tldCBX = $('DomainCheckbox'+sld+tldID);
	var tldRADIO = $('DomainRadio'+sld+tldID);
	var tldNAME = $('DomainName'+sld+tldID);
	var tldAVAILABLE = $('DomainAvailable'+sld+tldID);
	var tldPRICECYCLE = $('DomainPriceCycle'+sld+tldID);
	var masterSel = "";
	if (tldCBX){
		if (tldCBX.getAttribute("selectedTLD")=="1"){
			masterSel = " checked='checked' ";
		} else {
			masterSel = "";
		}
		firstSelectedMaster = 1;
		tldCBX.innerHTML = "<input type='checkbox' name='"+sld+"_"+tldID+"' id='"+sld+"_"+tldID+"' "+masterSel+" />";
		tldNAME.style.color = "black";
		tldNAME.style.fontWeight = "bold";
		tldAVAILABLE.innerHTML = "<span style='color: green;'>{/literal}{$smarty.const.TRANS_DOMAIN_AVAILABLE}{literal}</span>";
		//tldNAME.innerHTML += "<br /><input type='radio' name='primaryDomain' id='"+sld+"_"+tldID+"_primary' value='"+sld+"_"+tld+"' onclick='this.form."+sld+"_"+tldID+".checked=true;' "+masterSel+" /><label for='"+sld+"_"+tldID+"_primary' onclick='this.form."+sld+"_"+tldID+".checked=true;'> - {/literal}{$smarty.const.TRANS_PRIMARY_DOMAIN}{literal}</label>";
		tldRADIO.innerHTML = "<input type='radio' name='primaryDomain' id='"+sld+"_"+tldID+"_primary' value='"+sld+"_"+tld+"' onclick='this.form."+sld+"_"+tldID+".checked=true;' "+masterSel+" /> <label for='"+sld+"_"+tldID+"_primary' onclick='this.form."+sld+"_"+tldID+".checked=true;'>{/literal}{$smarty.const.TRANS_PRIMARY}{literal}</label>";
		tldPRICECYCLE.innerHTML = createTLDCyclePriceSelector(sld, tld, sld+'_'+tldID+'_select');
	}
}

function domainUnavailable(tldID, sld, tld){
	var tldCBX = $('DomainCheckbox'+sld+tldID);
	var tldNAME = $('DomainName'+sld+tldID);
	var tldAVAILABLE = $('DomainAvailable'+sld+tldID);
	var tldPRICECYCLE = $('DomainPriceCycle'+sld+tldID);
	if (tldCBX){
		var currentTldData = tldData[tld];
		if (parseInt(currentTldData["tldIsTransferable"])>0 && parseInt(currentTldData["hasTransferPrice"])>0){
			var transferLink = " <a style=\"font-weight: bold;\" href=\"javascript:;\" onclick=\"transferDomain('"+tldID+"', '"+sld+"', '"+tld+"');\">{/literal}{$smarty.const.TRANS_I_OWN_THIS_DOMAIN}{literal}</a> ";
		} else {
			var transferLink = " <span style=\"color: #666;\"><em>{/literal}{$smarty.const.TRANS_TRANSFER_DISABLED}{literal}</em></span> ";
		}
		tldCBX.innerHTML = "<span style='color: red;'>--</span>";
		tldNAME.style.color = "black";
		tldNAME.style.fontWeight = "normal";
		tldAVAILABLE.innerHTML = "<span style='color: red;'>{/literal}{$smarty.const.TRANS_DOMAIN_TAKEN}{literal}</span> &nbsp; ";
		tldAVAILABLE.innerHTML += "<a href='http://www."+sld+"."+tld+"/' target='_blank'>[WWW]</a> <a href='javascript:openwin(\"http://www.takenname.info/"+sld+"."+tld+"\", 600, 400, \"\");'>[WHOIS]</a>";
		tldPRICECYCLE.innerHTML = transferLink;
	}
}


function createTLDCyclePriceSelector(sld, tld, fieldname){
	var rHTML = "<select name='"+fieldname+"' style='width: 100%;'>";
	
	var thisTldData = tldData[tld];
	if (!thisTldData || !thisTldData["prices"]) return '';
	
	var minCycle = parseInt(cycleValues[thisTldData["tldMinimumCycleID"]]);
	var maxCycle = parseInt(cycleValues[thisTldData["tldMaximumCycleID"]]);
	//alert("min cycle size: "+minCycle);
	//alert("max cycle size: "+maxCycle);
	var cycleSize = 0;
	
	var regPrice = 0;
	var setupPrice = 0;
	var transferPrice = 0;
	
	for (cycleID in thisTldData["prices"]){
		cycleSize = parseInt(cycleValues[cycleID]);
		regPrice = thisTldData["prices"][cycleID][0];
		setupPrice = thisTldData["prices"][cycleID][1];
		transferPrice = thisTldData["prices"][cycleID][2];
		if (cycleSize>=minCycle && cycleSize<=maxCycle){
			rHTML += "<option value='"+sld+"|"+tld+"|"+thisTldData["productVariantID"]+"|"+thisTldData["productID"]+"|"+cycleID+"'>"+cycleInfo[cycleID]+" "+regPrice+""+(setupPrice ? " +{/literal}{$smarty.const.TRANS_SETUP}{literal} "+setupPrice:"")+"</option>";
		}
	}
	
	
	rHTML += "</select>";
	return rHTML;
}

function domainInCart(tldID, sld, tld){
	if (tldID<1){
		tldID = tldData[tld]["tldID"];
	}
	var tldCBX = $('DomainCheckbox'+sld+tldID);
	var tldAVAILABLE = $('DomainAvailable'+sld+tldID);
	var tldPRICECYCLE = $('DomainPriceCycle'+sld+tldID);
	if (tldPRICECYCLE){
		tldCBX.innerHTML = "";
		tldPRICECYCLE.innerHTML = "";
		tldAVAILABLE.innerHTML = " <em>{/literal}{$smarty.const.TRANS_DOMAIN_ALREADY_IN_ORDER}{literal}</em> ";
	}
}

function transferDomain(tldID, sld, tld){
	$('transferDomainContainer').style.display = "none";
	XKplaceBelowPlus('DomainCheckbox'+sld+tldID, 'transferDomainContainer', 0, 3);
	var fhtml = createTransferTLDFormDisplay(sld, tld);
	var bc = $('transferDomainBubbleContent');
	bc.innerHTML = fhtml;
	Effect.Appear('transferDomainContainer');
//	alert("transfering: "+sld+"."+tld);
//	domainTransfered(tldID, sld, tld);
}

function finishTransfer(){ // just a stub in case we want to split functionality later
	cancelTransfer();
}

function cancelTransfer(){
	if ($('transferDomainContainer').style.display!="none"){
		Effect.Fade('transferDomainContainer');
	}
}

function domainTransfered(tldID, sld, tld){
	if (tldID<1){
		tldID = tldData[tld]["tldID"];
	}
	
	domainsInCart[sld+"."+tld] = 1;
	
	var tldCBX = $('DomainCheckbox'+sld+tldID);
	var tldAVAILABLE = $('takenWords'+sld+tldID);
	var tldPRICECYCLE = $('DomainPriceCycle'+sld+tldID);
	if (tldPRICECYCLE){
		tldCBX.innerHTML = "";
		tldPRICECYCLE.innerHTML = " {/literal}{$smarty.const.TRANS_ADDED_TO_ORDER}{literal} ";
		tldAVAILABLE.innerHTML = " {/literal}{$smarty.const.TRANS_TRANSFERRING_DOT}{literal} ";
		tldAVAILABLE.style.color = "green";
	}
}


function createTransferTLDFormDisplay(sld, tld){
	var thisTldData = tldData[tld];
	if (typeof thisTldData=="undefined"){
		return "";
	}
	if (typeof thisTldData["prices"]=="undefined"){
		return "";
	}
	if (!thisTldData["hasTransferPrice"]){
		return "";
	}
	
	var cycleID = thisTldData["tldTransferMinimumCycleID"];
	if (typeof cycleID=="undefined"){
		return "";
	}
	if (typeof cycleInfo[cycleID]=="undefined"){
		return "";
	}
	if (typeof thisTldData["prices"][cycleID]=="undefined"){
		return "";
	}
	
	var rHTML = "<form method=\"post\" onsubmit=\"return false;\" name=\"transferToCartForm\">";
	rHTML += "<input type=\"hidden\" name=\"multiWhoisTransfer\" value=\"1\" />";
	rHTML += "<input type=\"hidden\" name=\"websiteWidgetID\" value=\"{/literal}{$smarty.request.wwid}{literal}\" />";
	rHTML += "<input type=\"hidden\" name=\"action\" value=\"{/literal}{getActionID action="ShowOrderFormProductsStep"}{literal}\" />";
	rHTML += "<input type=\"hidden\" name=\"domainSLD\" value=\""+sld+"\" />";
	rHTML += "<input type=\"hidden\" name=\"domainTLD\" value=\""+tld+"\" />";
	rHTML += "<input type=\"hidden\" name=\"productID\" value=\""+thisTldData["productID"]+"\" />";
	rHTML += "<input type=\"hidden\" name=\"productVariantID\" value=\""+thisTldData["productVariantID"]+"\" />";
	rHTML += "<input type=\"hidden\" name=\"tldID\" value=\""+thisTldData["tldID"]+"\" />";
	rHTML += "<input type=\"hidden\" name=\"cycleID\" value=\"-2\" />";
	rHTML += "<h6>{/literal}{$smarty.const.TRANS_TRANSFER_DOMAIN}{literal}: "+sld+"."+tld+"</h6>";
	rHTML += "{/literal}{$smarty.const.TRANS_TRANSFER_KEY_MESSAGE}{literal}<br /><br />";
	rHTML += "<strong>{/literal}{$smarty.const.TRANS_TRANSFER_KEY}{literal}:</strong> <input type=\"text\" size=\"10\" name=\"domainTransferKey\" /><br /><br />";
	
	var regPrice = (typeof thisTldData["prices"][cycleID][0]!="undefined") ? thisTldData["prices"][cycleID][0] : 0;
	var setupPrice = (typeof thisTldData["prices"][cycleID][1]!="undefined") ? thisTldData["prices"][cycleID][1] : 0;
	var transferPrice = (typeof thisTldData["prices"][cycleID][2]!="undefined") ? thisTldData["prices"][cycleID][2] : 0;
	rHTML += "{/literal}{$smarty.const.TRANS_TRANSFERRING_DOMAIN_FOR}{literal} <strong>"+cycleInfo[cycleID]+"</strong> @ <strong>"+transferPrice+""+(setupPrice ? " +{/literal}{$smarty.const.TRANS_SETUP}{literal} "+setupPrice:"") + "</strong><br /><br />";
	rHTML += "<input type=\"button\" class=\"button\" value=\"{/literal}{$smarty.const.TRANS_CONTINUE}{literal}\" onclick=\"runDomainTransfer(this.form);\" /> <input class=\"button\" type=\"button\" value=\"{/literal}{$smarty.const.TRANS_CANCEL}{literal}\" onclick=\"cancelTransfer();\" /></form>";
	
	return rHTML;
}

function runDomainTransfer(f){
	var qs = XKcreateFormQueryString(f);
	var url = "{/literal}{$fullTransferURL}{literal}&jsCallbackFunction=handleTransferDomainFormReturn&"+qs;
	{/literal}
	$('transferDomainBubbleContent').innerHTML = "<img src='{$imageDirectory}/loading2.gif' align='left' height='16' width='16' alt='{$smarty.const.TRANS_LOADING|escape:javascript}' /> &nbsp;<strong>{$smarty.const.TRANS_LOADING}</strong>";
	{literal}
	addScriptToElement('multiCheckTransferScriptResults', url);
}

function handleTransferDomainFormReturn(s){
	$('transferDomainBubbleContent').innerHTML = s;
	if ($('domainTransferPassBack')){
		var pb = $('domainTransferPassBack');
		var tldID = pb.getAttribute("tldID");
		var sld = pb.getAttribute("domainSLD");
		var tld = pb.getAttribute("domainTLD");
		domainTransfered(tldID, sld, tld);
	}
	XKscrollIntoView("scrollIntoViewDiv");
}

function constructTransferHit(f){
	if (!f) cancelTransfer();
	var qs = XKcreateFormQueryString(f);
	var url = "{/literal}{$fullTransferURL}{literal}&jsCallbackFunction=handleTransferDomainFormReturn&"+qs;
	{/literal}
	$('transferDomainBubbleContent').innerHTML = "<img src='{$imageDirectory}/loading2.gif' align='left' height='16' width='16' alt='{$smarty.const.TRANS_LOADING|escape:javascript}' /> &nbsp;<strong>{$smarty.const.TRANS_LOADING}</strong>";
	{literal}
	addScriptToElement('multiCheckTransferScriptResults', url);
}

function allDomainsChecked(sld){
{/literal}
	{foreach item="tld" key="tldExtension" from=$tlds}
	if ($('UnknownDomainCheckbox'+sld+'{$tld.tldID}')){literal}{{/literal}
		$('UnknownDomainCheckbox'+sld+'{$tld.tldID}').innerHTML = "<span style='color: red;'>--</span>";
	{literal}}{/literal}
	{/foreach}
{literal}
}

function purchaseMultiDomains(){
	var thisField = null;
	var selName = null;
	var selField = null;
	var selValue = null;
	var items = new Array();
	var item = null;
	var primaryDomain = "";
	for (var i=0; i<document.multiDomainWhoisResults.elements.length; i++){
		thisField = document.multiDomainWhoisResults.elements[i];
		if (thisField.name=="primaryDomain" && thisField.type=="radio") {
			if (thisField.checked) {
				primaryDomain = thisField.value;
			}
		}
	}
	for (var i=0; i<document.multiDomainWhoisResults.elements.length; i++){
		thisField = document.multiDomainWhoisResults.elements[i];
		if (typeof thisField=="object" && thisField.type=="checkbox" && thisField.checked){
			selName = thisField.name+'_select';
			selField = document.multiDomainWhoisResults.elements[selName];
			selValue = selField.options[selField.selectedIndex].value;
			selValues = selValue.split("|");
			primaryName = thisField.name+'_select';
			primaryField = document.multiDomainWhoisResults.elements[primaryName];
			item = {
				"addType" : "domain",
				"productVariantID" : selValues[2],
				"productID" : selValues[3],
				"domain" : selValues[0]+"."+selValues[1],
				"cycleID" : selValues[4],
				"parentID" : "1234",
				"primaryDomain" : (primaryDomain==selValues[0]+'_'+selValues[1]) ? 1 : 0
			};
			items[items.length] = item;
		}
	}
	var queryString = XKcreateAsscQueryString(items, "items");
	document.multiDomainWhoisMaster.domains.value = queryString;
	submitMasterForm();
}

function submitMasterForm(){
	document.multiDomainWhoisMaster.submit();
}


{/literal}

// ]]>
</script>

<div align="center" class="box07" id="cartContainer">

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{$smarty.const.TRANS_ORDER_PRODUCT}</h1>
<div style="padding: 5px; background-color: #fff; text-align: left;">

{t c="TRANS_SALE_PRICE" d="Sale Price"}
{t c="TRANS_INSTANT_SAVINGS" d="Instant Savings"}
{t c="TRANS_PRODUCT_OPTIONS" d="Product Options"}
{t c="TRANS_PRODUCT_DOMAINS" d="Product Domains"}


	<table width="100%" border="0" cellpadding="2" cellspacing="2" class="tab01">
	
		{assign var="prices" value=$product.prices.$currencyID}
		<tr class="{cycle values="alt1,alt2"}">
			<td valign="top" width="50%">
				<h3>{$product.productName|constant}</h3>
				{if $product.productComments}
					<br />
					{$product.productComments|constant}
				{/if}
			</td>
			<td valign="top" width="50%">
				<table width="100%" class="tab04">
				{section name=j loop=$prices}
					{if $cycleID==$prices[j].0.cycleID && $productVariantID==$prices[j].0.productVariantID}
						{assign var="variantID" value=$prices[j].0.productVariantID}
						{if $prices[j].0.discountPrice}
							<tr>
								<td align="right">{$smarty.const.TRANS_ORIGINAL_PRICE}: </td>
								<td align="right">{$prices[j].0.productVariantPriceAmount|getAmount:$currencyID}
									{if $prices[j].1.productVariantPriceAmount>0}
										+ {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {$smarty.const.TRANS_SETUP}
									{/if}</td>
							</tr>
							<tr>
								<td align="right">{$smarty.const.TRANS_INSTANT_SAVINGS}: </td>
								<td align="right">{$prices[j].0.discountAmount|getAmount:$currencyID}</td>
							</tr>
							<tr>
								<td align="right"><strong>{$smarty.const.TRANS_SALE_PRICE}: </strong></td>
								<td align="right"><strong>{$prices[j].0.discountPrice|getAmount:$currencyID}
									{if $prices[j].1.productVariantPriceAmount>0}
										+ {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {$smarty.const.TRANS_SETUP}
									{/if}</strong></td>
							</tr>
						{else}
							<tr>
								<td align="right">{$smarty.const.TRANS_PRICE}: </td>
								<td align="right"><strong>{$prices[j].0.productVariantPriceAmount|getAmount:$currencyID}
									{if $prices[j].1.productVariantPriceAmount>0}
										+ {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {$smarty.const.TRANS_SETUP}
									{/if}</strong></td>
							</tr>
						{/if}
	
					{/if}
	
				{/section}
				
				{* ******************************************************* *}
				
				{* ******************************************************************************** *}
					<form method="post" action="{$cartURL}" name="multiDomainWhoisMaster">
					<input type="hidden" name="addWizard" value="1" />
					<input type="hidden" name="source" value="domains" />
					<input type="hidden" name="orderFormID" value="{$orderFormID}" />
					<input type="hidden" name="action" value="{getActionID action=$nextActionName}" />
					<input type="hidden" name="productID" value="{$product.productID}" />
					<input type="hidden" name="productVariantID" value="{$product.productVariantID}" />
					<input type="hidden" name="cycleID" value="{$product.cycleID}" />
					<input type="hidden" name="ID" value="1234" />
					<input type="hidden" name="domains" value="" />

					{if $selectedAddons}
						<input type="hidden" name="items[1][addType]" value="addons" />
						<input type="hidden" name="items[1][parentID]" value="1234" />
						<input type="hidden" name="items[1][ID]" value="1235" />
						<input type="hidden" name="items[1][currencyID]" value="{$currencyID}" />
					
						<tr>
							<td colspan="2"><strong>{$smarty.const.TRANS_PRODUCT_OPTIONS}</strong></td>
						</tr>
						
						{foreach key="id" item="addons" from=$addonproducts}
							{assign var="hadOneSelected" value=0}
							{if $group.productAddonGroupInputType=="" || $group.productAddonGroupInputType=="r" || $group.productAddonGroupInputType=="s"}
								<tr>
									<td align="right">{assign var="group" value=$addonGroups.$id}{$group.productAddonGroupName}: 
								{section name="i" loop=$addons}
									{assign var="pid" value=$addons[i].productID}
									{if $addons[i].productIsAddon==1}
										{if $selectedAddons.$pid}
											{assign var="hadOneSelected" value=1}
												<input type="hidden" name="items[1][addonID][]" value="{$addons[i].productID}">{$addons[i].productName|constant}</td>
												<td align="right"><strong>{$addons[i].prices.0.productVariantPriceAmount|getAmount} {if $addons[i].prices.1.productVariantPriceAmount>0} {$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.1.productVariantPriceAmount|getAmount}{/if}</strong></td>
											</tr>
										{/if}
									{else}
										{foreach key="thisCycle" item="prices" from=$addons[i].prices}
											{assign var="pidcycle" value="$pid|$thisCycle"}
											{if $selectedAddons.$pidcycle}
												{assign var="hadOneSelected" value=1}
													<input type="hidden" name="items[1][addonID][]" value="{$addons[i].productID}|{$thisCycle}">{$addons[i].productName|constant} {* - {$cycleList.$thisCycle*}</td>
													<td align="right"><strong>{$addons[i].prices.$thisCycle.0.productVariantPriceAmount|getAmount} {if $addons[i].prices.$thisCycle.1.productVariantPriceAmount>0} {$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.$thisCycle.1.productVariantPriceAmount|getAmount}{/if}</strong></td>
												</tr>
											{/if}
										{/foreach}
									{/if}
								{/section}
								{if $hadOneSelected==0}
										{$smarty.const.TRANS_NONE_SELECTED}</td>
										<td align="right"> -- </td>
									</tr>
								{/if}
							{elseif $group.productAddonGroupInputType=="c"}
								<tr>
									<td colspan="2">{assign var="group" value=$addonGroups.$id}{$group.productAddonGroupName}: </td>
								</tr>
								{section name="i" loop=$addons}
									{assign var="pid" value=$addons[i].productID}
									{if $addons[i].productIsAddon==1}
										{if $selectedAddons.$pid}
											{assign var="hadOneSelected" value=1}
											<tr>
												<td align="right"><input type="hidden" name="items[1][addonID][]" value="{$addons[i].productID}">{$addons[i].productName|constant}</td>
												<td align="right"><strong>{$addons[i].prices.0.productVariantPriceAmount|getAmount} {if $addons[i].prices.1.productVariantPriceAmount>0} {$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.1.productVariantPriceAmount|getAmount}{/if}</strong></td>
											</tr>
										{/if}
									{else}
										{foreach key="thisCycle" item="prices" from=$addons[i].prices}
											{assign var="pidcycle" value="$pid|$thisCycle"}
											{if $selectedAddons.$pidcycle}
												{assign var="hadOneSelected" value=1}
												<tr>
													<td align="right"><input type="hidden" name="items[1][addonID][]" value="{$addons[i].productID}|{$thisCycle}">{$addons[i].productName|constant} {* - {$cycleList.$thisCycle*}</td>
													<td align="right"><strong>{$addons[i].prices.$thisCycle.0.productVariantPriceAmount|getAmount} {if $addons[i].prices.$thisCycle.1.productVariantPriceAmount>0} {$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.$thisCycle.1.productVariantPriceAmount|getAmount}{/if}</strong></td>
												</tr>
											{/if}
										{/foreach}
									{/if}
								{/section}
								{if $hadOneSelected==0}
									<tr>
										<td align="right">{$smarty.const.TRANS_NONE_SELECTED}</td>
										<td> -- </td>
									</tr>
								{/if}
							{/if}
							
						{/foreach}
					
					{/if}
					
					</form>
				{* ******************************************************* *}
				</table>
			</td>
		</tr>
		<tr>
			<td colspan="2">

				{* ******************************************************************************** *}
				
				<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab00">
					<tr>
						<td class="box09"><h1>{$smarty.const.TRANS_PRODUCT_DOMAINS}</h1></td>
					</tr>
					<tr>
						<td align="left">
							<form method="post" onsubmit="return false;" name="multiDomainWhois">
								{$smarty.const.TRANS_ENTER_A_DOMAIN_NAME_TO_CHECK}: <input type="text" size="15" name="domainSLD" value="" onkeyup="catchEnterSubmit(event);" /> <input type="button" class="button" value="{$smarty.const.TRANS_CHECK_DOMAIN}" onclick="checkDomains();" />
							</form>
							<div id="transferDomainContainer" style="position: absolute; display: none;">
								<div class="one">
									<b class="tl"><b class="tr"><b class="point"></b></b></b>
											<p><div id="transferDomainBubbleContent" style="width: 378px;"></div></p>
									<b class="bl"></b><b class="br"></b>
								</div>
							</div>
							<div id="multiDomainFormDiv"></div>
						</td>
					</tr>
				</table>

				<div style="text-align: right;">
					<input type="button" class="button" value="{$smarty.const.TRANS_CONTINUE_WITHOUT_DOMAIN}" onclick="submitMasterForm();" />
				</div>


{* ******************************************************************************** *}

			</td>
		</tr>

	</table>
</form>


</div>
</div>
</div>

</div>

{include file="$tplDirectory/shopping/footer.tpl"}

{else}

	{if $noDomainProductFound}
		{$smarty.const.TRANS_NO_DOMAIN_PRODUCT_FOUND_FOR_ORDER_FORM}<br />
		<div style="text-align: right;">
			<input type="button" class="button" value="{$smarty.const.TRANS_CONTINUE}" onclick="submitMasterForm();" />
		</div>
	{else}
		<form name="multiDomainWhoisResults" onsubmit="return false;">
		<table border="0" width="100%" cellpadding="0" cellspacing="0">
		{if $tlds.$selectedTLD}
			{assign var="tld" value=$tlds.$selectedTLD}
			<tr>
				<td width="20" height="32" id="DomainCheckbox{$domainSLD}{$tld.tldID}" selectedTLD="1" align="center"></td>
				<td id="DomainName{$domainSLD}{$tld.tldID}" style="font-weight: bold;"><label for="{$domainSLD}_{$tld.tldID}">{$domainSLD}.{$selectedTLD}</label></td>
				<td width="64" id="DomainRadio{$domainSLD}{$tld.tldID}" align="center"></td>
				<td width="125" id="DomainAvailable{$domainSLD}{$tld.tldID}"><b>{$smarty.const.TRANS_CHECKING_AVAILABILITY}</b></td>
				<td width="100" id="DomainPriceCycle{$domainSLD}{$tld.tldID}">...</td>
			</tr>
		{/if}
		{foreach item="tld" key="tldExtension" from=$tlds}
			{if $tldExtension!=$selectedTLD AND $tld.tldAutoSearch==1}
			<tr>
				<td width="20" height="32" style="font-height: 175%" id="DomainCheckbox{$domainSLD}{$tld.tldID}" align="center"></td>
				<td id="DomainName{$domainSLD}{$tld.tldID}" style="margin-right: 10px;"><label for="{$domainSLD}_{$tld.tldID}">{$domainSLD}.{$tldExtension}</label></td>
				<td width="64" id="DomainRadio{$domainSLD}{$tld.tldID}" align="center"></td>
				<td width="125" id="DomainAvailable{$domainSLD}{$tld.tldID}"><b>{$smarty.const.TRANS_CHECKING_AVAILABILITY}</b></td>
				<td width="100" id="DomainPriceCycle{$domainSLD}{$tld.tldID}">...</td>
			</tr>
			{/if}
		{/foreach}
			<tr>
				<td colspan="4" align="right"><input type="button" class="button" value="{$smarty.const.TRANS_CONTINUE}" onclick="purchaseMultiDomains();" /></td>
			</tr>
		</table>
		</form>
	
		<iframe style="display: none;" id="domainCheckIframe" onload="allDomainsChecked('{$domainSLD}');" src="cart.php?sid={$sid}&multiDomain=1&orderFormID={$orderFormID}&jsCallbackFunction=handleDomainAvailability&domainTLD={$selectedTLD}&domainSLD={$domainSLD}" height="200" width="600"></iframe>
	{/if}


{/if}


