{php}if (array_key_exists('comparation', $_GET) && $_GET['comparation'] == 0) {{/php}
	{include file="$tplDirectory/website_widgets/stepByStep-Folder.tpl"}
{php}} else {{/php}

{*******************}

{t c="TRANS_HOSTING_PLAN_COMP_CHART" d="Hosting Plan Comparison Chart"}
{t c="TRANS_GO_BACK_TO_PLAN_OVERVIEW" d="Go back to plans overview"}
{t c="TRANS_UNLIMITED" d="Unlimited"}

{include file="$tplDirectory/website_widgets/include/tools.tpl"}
{include file="$tplDirectory/website_widgets/include/header.tpl"}

<div class="wrapper">
<div class="actions">
	<div class="heading clear">
		<h2>{$smarty.const.TRANS_HOSTING_PLAN_COMP_CHART}</h2>
		<a href="{$shopURL}?comparation=0">{$smarty.const.TRANS_GO_BACK_TO_PLAN_OVERVIEW}</a>
	</div>

{php}
	$ps = $this->get_template_vars('products');
	$attrs = getDetailedAttributes($p);
{/php}

	<table cellspacing="0" class="comparison-table">
	<thead>
	<tr>
		<th>&nbsp;</th>
	{foreach item=product key=i from=$products}
		<th>{$product.productName|constant}</th>
	{foreachelse}
		<th>Sorry, no products.</th>
	{/foreach}
	</tr>
	</thead>
	<tbody>
{php}
	if (count($this->get_template_vars('products'))) {
		$ps = $this->get_template_vars('products');
		$ps_attrs = array();

		foreach ($ps as $p) {
			$ps_attrs[] = getDetailedAttributes($p);
		}
		
		foreach (array_keys($ps_attrs[0]) as $group_id) {
			echo '<tr>';
			echo '<th colspan="'.(count($ps)+1).'" class="category-heading">' . constant($group_id) . '</th>';
			echo '</tr>';

			foreach ($ps_attrs[0][$group_id] as $attr_0_idx => $attr_0) {
				echo '<tr>';
				echo '<th>' . constant($attr_0['title']) . '</th>';
				
				foreach (array_keys($ps_attrs) as $i) {
					$attr = $ps_attrs[$i][$group_id][$attr_0_idx];

					echo '<td>';
					if ((int)$attr['data'] == -1) {
						echo constant('TRANS_UNLIMITED');
					} elseif ((int)$attr['data'] > 0) {
						echo number_format($attr['data'] / (int)$attr['unit_size'], ($attr['unit_size'] > 1 ? 2 : 0))
							. ' ' . $attr['unit_name'];
					} else {
						echo '-';
					}
					echo '</td>';
				}
				
				echo '</tr>';
			}
		}
		echo '<tr class="thead">';
		echo '<td rowspan="2" class="empty">&nbsp;</td>';

		foreach ($ps as $productInfo) {
			echo '<th>' . $productInfo['productName'] . '</th>';
		}

		echo '</tr>';
		echo '<tr class="selection">';
	}
{/php}

{literal}
<script language="javascript">
<!--
	function on_select_cycle(form_id, cycleID, productVariantID) {
		var e_form = window.document.getElementById(form_id);
		if (e_form) {
			e_form['productVariantID'].value = productVariantID;
			e_form['cycleID'].value = cycleID;
		}
	}
//-->
</script>
{/literal}

{foreach item=product key=i from=$products}
	<td vAlign="top">
				<form
					id="form_{$i}"
					method="GET"
					action="{$plainCartURL}?orderFormID={$orderFormID}&action={getActionID action="ShowCartProductAddonsStep"}&productID={$product.productID}">
					<input type="hidden" name="orderFormID" value="{$orderFormID}">
					<input type="hidden" name="action" value="{getActionID action="ShowCartProductAddonsStep"}">
					<input type="hidden" name="productID" value="{$product.productID}">

					<input type="hidden" name="productVariantID" value="">
					<input type="hidden" name="cycleID" value="">
					
				    {assign var="prices" value=$product.prices.$currencyID}
					{foreach item=price key=price_idx from=$prices}
						{assign var="cycleID" value=$price.0.cycleID}
						{assign var="variantID" value=$price.0.productVariantID}
						<label>
							<input
								type="radio"
								name="select_cycle_{$i}"
								onclick="on_select_cycle('form_{$i}', '{$cycleID}', '{$variantID}');"
								value="{$cycleID}" {if !$price_idx}selected{/if}>

							{if $keyedVariants.$variantID.productVariantDisplayName}
								"{$keyedVariants.$variantID.productVariantDisplayName}" - 
							{/if}
							
							{if $price.0.discountPrice}
								<strike>{$price.0.productVariantPriceAmount+$price.1.productVariantPriceAmount|getAmount:$currencyID}</strike>
								{$price.0.discountPrice+$price.1.productVariantPriceAmount|getAmount:$currencyID}
							{else}
								{$price.0.productVariantPriceAmount+$price.1.productVariantPriceAmount|getAmount:$currencyID}
							{/if}
							{$smarty.const.TRANS_FOR|lower} {$cycleList.$cycleID}
						</label>
					{foreachelse}
						 {$smarty.const.TRANS_NO_PRICES_IN_THIS_CURRENCY}
					{/foreach}
					<button onclick="window.document.getElementById('form_{$i}').submit();return false;"><span>{$smarty.const.TRANS_BUY_NOW}</span></button>
				</form>
	</td>
{/foreach}

{php}
	if (count($this->get_template_vars('products'))) {
		echo '</tr>';
	}
{/php}

	</tbody>
	</table>

  </div> <!-- /actions -->

  </div> <!-- /wrapper -->

{include file="$tplDirectory/website_widgets/include/footer.tpl"}

{*******************}

{php}}{/php}
