{php}if (array_key_exists('comparation', $_GET) && $_GET['comparation'] == 1) {{/php}
	{include file="$tplDirectory/website_widgets/stepByStep-CompareFolder.tpl"}
{php}} else {{/php}

{*******************}

{t c="TRANS_WELCOME_TO_OUR_STORE" d="Welcome to our store"}
{t c="TRANS_SEE_HOSTING_PLAN_COMP_CHART" d="See hosting plan comparison chart"}
{t c="TRANS_UNLIMITED" d="Unlimited"}

{include file="$tplDirectory/website_widgets/include/tools.tpl"}
{include file="$tplDirectory/website_widgets/include/header.tpl"}

<div class="wrapper">
<div class="actions">
	<div class="heading clear">
		<h2>{$smarty.const.TRANS_WELCOME_TO_OUR_STORE}</h2>
		<a href="{$shopURL}?comparation=1">{$smarty.const.TRANS_SEE_HOSTING_PLAN_COMP_CHART}</a>
	</div>

{foreach item=product key=i from=$products}

	{php}
		$p = $this->get_template_vars('product');
		$prices = $p['prices'];
		$attrs = getDetailedAttributes($p);
	{/php}

	{literal}
	<script language="javascript">
	<!--
		function on_select_cycle(form_id, cycleID, productVariantID) {
			var e_form = window.document.getElementById(form_id);
			if (e_form) {
				e_form['productVariantID'].value = productVariantID;
				e_form['cycleID'].value = cycleID;
			}
		}
	//-->
	</script>
	{/literal}

	<div class="buy-block">
		<div class="ff2">
			<h3><span>{$product.productName|constant}</span></h3>
			<div class="content" id="b{$i+1}">
				<p>Description</p>
				<ul>
				{php}
					/*
						..
						<li>.. plan option ..</li>
						..
					*/
					foreach ($attrs as $group_id => $group_attrs) {
						foreach ($group_attrs as $attr) {
							if ((int)$attr['data'] == -1) {
								echo '<li>'
									. constant('TRANS_UNLIMITED')
									. ' ' . constant($attr['title'])
									. '</li>';
							} elseif ($attr['data'] > 0) {
								echo '<li>'
									. number_format($attr['data'] / (int)$attr['unit_size'])
									. ' ' . $attr['unit_name']
									. ' ' . constant($attr['title'])
									. '</li>';
							}
						}
					}
				{/php}
				</ul>
				<div class="selection" id="bs{$i+1}">
				<form
					id="form_{$i}"
					method="GET"
					action="{$plainCartURL}?orderFormID={$orderFormID}&action={getActionID action="ShowCartProductAddonsStep"}&productID={$product.productID}">
					<input type="hidden" name="orderFormID" value="{$orderFormID}">
					<input type="hidden" name="action" value="{getActionID action="ShowCartProductAddonsStep"}">
					<input type="hidden" name="productID" value="{$product.productID}">

					<input type="hidden" name="productVariantID" value="">
					<input type="hidden" name="cycleID" value="">
					
				    {assign var="prices" value=$product.prices.$currencyID}
					{foreach item=price key=price_idx from=$prices}
						{assign var="cycleID" value=$price.0.cycleID}
						{assign var="variantID" value=$price.0.productVariantID}
						<label>
							<input
								type="radio"
								name="select_cycle_{$i}"
								onclick="on_select_cycle('form_{$i}', '{$cycleID}', '{$variantID}');"
								value="{$cycleID}" {if !$price_idx}selected{/if}>
							{if $keyedVariants.$variantID.productVariantDisplayName}
								"{$keyedVariants.$variantID.productVariantDisplayName}" - 
							{/if}
							{if $price.0.discountPrice}
								<strike>{$price.0.productVariantPriceAmount+$price.1.productVariantPriceAmount|getAmount:$currencyID}</strike>
								{$price.0.discountPrice+$price.1.productVariantPriceAmount|getAmount:$currencyID}
							{else}
								{$price.0.productVariantPriceAmount+$price.1.productVariantPriceAmount|getAmount:$currencyID}
							{/if}
							{$smarty.const.TRANS_FOR|lower} {$cycleList.$cycleID}
						</label>
					{foreachelse}
						 {$smarty.const.TRANS_NO_PRICES_IN_THIS_CURRENCY}
					{/foreach}
					<button onclick="window.document.getElementById('form_{$i}').submit();return false;"><span>{$smarty.const.TRANS_BUY_NOW}</span></button>
				</form>
				</div>
			</div>
		</div>
	</div>

{foreachelse}

	<tr>
		<td>Sorry, no products.</td>
	</tr>

{/foreach}

  </div> <!-- /actions -->

  </div> <!-- /wrapper -->

{include file="$tplDirectory/website_widgets/include/footer.tpl"}

{*******************}

{php}}{/php}
