Hello {$contactFirstName} {$contactLastName},

This is a notice that Invoice {$invoiceNumber} has been generated for services by {$companyName} on {$invoiceDateEntered|getDate}.

{foreach key="i" item="lineItem" from=$lineItems}
Description: {$lineItem.lineItemDescription} {if $lineItem.domains.0}
({foreach key="xd" item="domain" from=$lineItem.domains}{$domain.domainSLD}.{$domain.domainTLD} {/foreach})
{elseif $lineItem.domainName}
({$lineItem.domainName})
{/if}Period: {$lineItem.lineItemDateCurrentRenewal|getDate:short} - {$lineItem.lineItemDateNextRenewal|getDate:short}
Quantity: {$lineItem.lineItemQuantity}
Price: {$lineItem.lineItemPriceAmount}
Discount: {$lineItem.lineItemDiscountAmount}
Tax: {$lineItem.lineItemTaxAmount}
Item Total: {$lineItem.lineItemTotalAmount}

{/foreach}

------------------------------------------
Total Due: {$invoiceAmount}
Due Date: {$invoiceDateDue|getDate}

{$invoiceComments}
{if $paymentType==$billingTypeCard} Our records show that you pay with credit card. We will charge your card automatically for the balance of this invoice automatically if necessary. {elseif $paymentType==$billingTypeBank} Our records show that you pay through bank drafts. Please remit payment for your outstanding balance. {elseif $paymentType==$billingTypeEcheck} Our records show that you pay through eCheck. We will charge your account automatically for the balance of this invoice. {elseif $paymentType==$billingTypeSecondary} Our records show that you pay through PayPal. If you have a subscription set up, then your payment will be made automatically. If not, please remit payment for your outstanding balance to XXX@XXX.com through PayPal. {elseif $paymentType==$billingTypeWire} Our records show that you pay through wire transfer. Please remit payment for your outstanding balance. {else} Our records show that you pay manually. Please remit payment for your outstanding balance.{/if}


{$companyName}
{$companyAddress1}
{$companyAddress2}
{$companyCity}, {$companyState}
{$companyZip}

You may login to view your invoice online here:
{$companyClientURL}

Thank you,

{$companyName}
{$companyURL}

Date: {$currentTime|getDateTime:full}
