<?php
// $Id: ShowAccountingReportsMenu.php 10474 2007-01-11 23:58:14Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-modernbill/include/accounting/Accounting.php");

/**
 * This is the container for generating accounting reports. It will display an AJAX
 * menu that will load each report. This will help manage the display of larger
 * reports. 
 *
 * @author  Kris Bailey
 * @author  Michael Fountain
 */
class ShowAccountingReportsMenu extends MB_Action {

	function ShowAccountingReportsMenu() {
		parent::MB_Action();
		$this->stringRep = "ShowAccountingReportsMenu";
	}

	function execute() {
		global $CONF;
		parent::execute();

        $this->smartyVars = array();
        $this->smartyVars["nowDate"] = date("m/d/Y");
        $this->smartyVars["nowDateParts"] = explode("/", date("m/d/Y"));

		$this->addTemplate("accounting/ShowAccountingReportsMenu", $this->smartyVars);

	} // execute
} // MB_Action
?>
