<?php
// $Id: OrderCertCSRVerify.php 6869 2006-05-15 22:18:20Z bsmith $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");
require_once mb_path("/lib-modernbill/include/config/internal/certs.php");

/**
 *
 */
class OrderCertCSRVerify extends MB_Action {

	function OrderCertCSRVerify() {
		parent::MB_Action();
		$this->stringRep = "OrderCertCSRVerify";
	}

	function execute() {
		global $CONF;
		parent::execute();

		$certID = ((int) $_REQUEST["certID"]);
		if(!$certID) {
			$this->addError(TRANS_ACTIONERROR, "No Cert ID given.");
		} else {
			$query = $this->getMBAPIQuery("GetCerts", "", array("certID" => $certID));
			$data = dispatchMBAPI($query, 1);
			dbg( $data );
			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				$this->smartyVars["cert"] = correctArray($data["mbapi"][0]["results"][0]["certs"][0]["cert"][0]);

				$this->mergeFormState();

				
				$this->addTemplate("certs/OrderCertCSRVerify");
			}
		}
		
		$this->addErrorTemplates();

		return $this->hasExecutedSuccessfully();
	}
} // OrderCertCSRVerify
?>