<?php
// $Id: OrderCertGetApproverEulaResponse.php 7173 2006-06-01 22:56:29Z bsmith $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");
require_once mb_path("/lib-modernbill/include/config/internal/certs.php");

/**
 *
 */
class OrderCertGetApproverEulaResponse extends MB_Action {

	function OrderCertGetApproverEulaResponse() {
		parent::MB_Action();
		$this->stringRep = "OrderCertGetApproverEulaResponse";
		$this->params = array(
				"certID",
				"approverEmail",
				"clientID");
	}

	function execute() {
		global $CONF;
		parent::execute();

		$certID = (int)$_REQUEST["certID"];

		if (notZero( $certID )) {
				$this->setReferralActionID( getActionID("OrderCertGetApproverEula") );
				$this->setReferralActionFile( "certs.php" );
				
				$success = $this->validateMultiInputs(
							array(
								"approverEmail" => INPUT_RESTRICTION_REQUIRED|INPUT_RESTRICTION_STRING
								), array(), array(), 0, array("certID" => $certID));

				if ($success) {
					$params = array();
					$params["ODApproverEmailAddress"] = $_REQUEST["approverEmail"];
					$params["certID"] = $certID;
					
					$setQuery =& new MBQuery( "SetCerts", "update", $params);

					if ($this->addErrorsFromResult( $r =& $setQuery->getResult() )) {
						redirect( "certs.php", "OrderCertContactRequest", array("certID" => $_REQUEST["certID"]) );
					}
				}
		} else {
			$this->addError( TRANS_ACTIONERROR, "Cert ID not Set");
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // OrderCertGetApproverEulaResponse
?>