<?php
// $Id: AddClient.php 10474 2007-01-11 23:58:14Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";

/**
 * This class is a child class of MB_Action. It displays a form to add a new client record.
 *
 * @author  modernbill
 */
class AddClient extends MB_Action {

	function AddClient() {
		parent::MB_Action();
		$this->stringRep = "AddClient";
	}

	function execute() {
		global $CONF;
		parent::execute();

		$this->smartyVars["paymentList"] = $CONF["types"]["payments"];
		$this->smartyVars["statusList"] = getStatuses("client");
		$this->mergeCountryData($CONF["user"]["locale"]->country);

		## NOT NEEDED -- LEAVE UNTIL POST 5.1 ## $this->mergeLanguageData($CONF["user"]["locale"]->language);
		$this->mergeThemeData();
		
		$formDefaults = array(
			"clientActive" => 1,
			"countriesID" => $this->smartyVars["selectedCountry"],
			## NOT NEEDED -- LEAVE UNTIL POST 5.1 ## "languageID"  => $this->smartyVars["selectedLanguage"]
		);
		$this->smartyVars['attributeGroups'] =array();
		foreach( (array)arrayFor("attributeGroups", array("groupActive"=>1)) as $grp ) {
			$this->smartyVars['attributeGroups'][ $grp['groupID'] ] = $grp['groupName'];
		}	unset( $grp );
		
		 
		 
		$this->mergeFormState($formDefaults);
		$this->addTemplate("clients/AddClient", $this->smartyVars);

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	} // execute

} // MB_Action
?>
