<?php
// $Id: ManageClientAction.php 10474 2007-01-11 23:58:14Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-modernbill/include/config/internal/cycles.php");

/**
 *	@author Michael Fountain
 *  @author Andy Christ
 */
class ManageClientAction extends ShowDetailsAction {

	/**
	 * Constructor  
	 */
	function ManageClientAction() {
		ShowDetailsAction::ShowDetailsAction();
	
		// MBAPI Datasource Call	
		/*
		$this->setDataSource(new DataSource("clients",
			array(
				"mergePrimaryContact" => 1,
				"getPackageData" => 1,
				"suppressFeePackages" => 1,
				#"suppressDomainPackages" => 1
			)));
		*/

		$this->setDataSource(new DataSource("clients",
			array(
				"mergePrimaryContact" => 1,
			)));

		// Override Datasource Params
		$this->sourceParams = "ManageActionParams";
		$this->template = "ManageActionTemplate";	

		// Update the Datasource
		$description = $this->d->getDescription();
		$description["display"]["ManageActionTemplate"] = "clients/ManageClientAction";
		$this->d->setDescription($description);
	}

	/**
	 * Executes Before MBAPI Query  
	 */
	#function showDetailsParamHandler() {
	#}

	/**
	 * Executes After MBAPI Query to correct the packages structure
	 * for display. 
	 */
	function showDetailsHandler() {

		// Set a flag to only return billable packages
		$getBillablePackagesOnly = 0;
		if ($this->smartyVars["manageClientAction"] == "suspend") {
			$getBillablePackagesOnly = 1;
		}

		// MBAPI call to get the packages for this clients
		$d =& new DataSource("packages",
			array(
				"clientID" => $_REQUEST["clientID"],
				"suppressFeePackages" => 1,
				"getBillablePackagesOnly" => $getBillablePackagesOnly
			));
		$packages =& $d->getEssential();

		// Group the package results by packageType to make
		// displaying the results much easier
		$n = count($packages);
		for($i=0;$i<$n;$i++){
			$packageType = $packages[$i]["packageType"];
			$this->smartyVars["groupedPackages"][$packageType][] =& $packages[$i];
		}

		#dbg($this->d->getEssential());
		#dbg($this->smartyVars["packages"]);

	}
}

/**
$CONF["APItypes"]["products"][0] = "undefined";
$CONF["APItypes"]["products"][1] = "hosting";
$CONF["APItypes"]["products"][2] = "non-hosting";
$CONF["APItypes"]["products"][3] = "domain";
$CONF["APItypes"]["products"][4] = "cert";
$CONF["APItypes"]["products"][5] = "license";
$CONF["APItypes"]["products"][6] = "software";
$CONF["APItypes"]["products"][7] = "usage";
$CONF["APItypes"]["products"][8] = "contract";
$CONF["APItypes"]["products"][9] = "fee"; 
*/
?>
