<?php
// $Id: RemoveClientResponse.php 9414 2006-10-11 02:23:22Z mfountain $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");

class RemoveClientResponse extends RemoveResponseAction {
	function RemoveClientResponse() {
		parent::RemoveResponseAction();
		$this->stringRep = "RemoveClientResponse";
		$this->d =& new DataSource("clientsGeneric");
	}
	
	function RemoveResponseParamHandler() {
		// If set, all of this client's data will be purged from the system.
		if ($_REQUEST["purgeAllClientData"]) {
			$this->deactivatable = false;
		}
		return true;
	}

	function setReferral() {
		$this->setReferralActionID(getActionID("RemoveClient"));
		$this->setReferralActionFile($this->d->getEntry("names", "file") . ".php");
	}

	function redirect() {
		if(!$this->goBack()) {
			redirect("clients.php", getActionID("ShowClients"), array());
		}
	}
}
?>
