<?php
// $Id: SendClientEmail.php 11413 2007-06-21 20:16:33Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}

/**
 * This class is a child class of MB_Action. It displays a form to add a new client record.
 *
 * @author  modernbill
 */
class SendClientEmail extends MB_Action {

	function SendClientEmail() {
		parent::MB_Action();
		$this->stringRep = "SendClientEmail";
	}

	function execute() {
		global $CONF;
		parent::execute();

		// in case we want to edit & resend an email
		if (notZero( $_REQUEST["emailID"] )) {
			$query = new MBQuery("GetEmailQueue", "", array("emailID" => $_REQUEST["emailID"]));
			$results = $query->getResult();
			unset( $query );
			
			if (!$results->getErrorCount()) {
				$results = grabSimpleMBAPIResults( $results->getStructure() );
				$results = $results[0];
				
				$this->smartyVars["email"] = $results;
				$this->smartyVars["email"]["emailBody"] = utf8_html_entity_decode( $results["emailBody"] );
				
				if (!notZero( $_REQUEST["clientID"] )) {
					$_REQUEST["clientID"] = oneOf("contacts", array("clientContactID" => $results["clientContactID"]));
					$_REQUEST["clientID"] = $_REQUEST["clientID"]["clientID"];
				}
				
				
			}
		}
		
		if((int) $_REQUEST["clientID"]) {
			$this->smartyVars["clientID"] = (int) $_REQUEST["clientID"];
			//Pull all of the contact e-mail addresses for multi-select list.
			$query = $this->getMBAPIQuery("GetClients", "", array("clientID" => (int) $_REQUEST["clientID"], "getContactData" => 1, "mergePrimaryContact" => 1));
			$CONF["debug"]->add("Action Command", htmlentities($query), __FILE__, __LINE__);
			$data = dispatchMBAPI($query, 1);
			$CONF["debug"]->add("Action Result", $data, __FILE__, __LINE__);
			
			if($data["mbapi"][0]["results"][0]["clients"][0]["client"][0]["contacts"][0]) {
				$results = $data["mbapi"][0]["results"][0]["clients"][0]["client"][0]["contacts"][0]["contact"];
				foreach($results as $key => $value) {
					if($value["contactPrimary"][0]) {
						$this->smartyVars["contactPrimary"][$value["clientContactID"][0]] = $value["contactEmail"][0];
					} else {
						$this->smartyVars["contacts"][$value["clientContactID"][0]] = $value["contactEmail"][0];
					}
				}
			} else {
				//No contacts found
			}
		} else {
			//No clientID to e-mail
		}

/**
 *	@short Dropped until further refinement
 *
		$this->smartyVars['useEmailTemplates'] = 1;
		$emlTpl =& new MBQuery("GetEmailTemplateGroups", "",  array('getEmailTemplates' => 2));

		$emlTpl = $emlTpl->getResult();

		$this->smartyVars['emailTemplates'] =array();
		if (!$emlTpl->getErrorCount()) {
			$this->smartyVars['emailTemplates'] = grabSimpleMBAPIResults( $emlTpl->getStructure() );
		}
		unset( $emlTpl );
/**/
		
		$this->mergeFormState($formDefaults);

		dbg("SMARTY VARS");
		dbg($this->smartyVars);
		
		$this->addTemplate("clients/SendClientEmail", $this->smartyVars);

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	} // execute

} // MB_Action SendClientEmail
?>
