<?php
// $Id: ShowDashboard.php 12949 2008-06-30 08:23:11Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This Action shows the dashboard after admin login.
 *
 * @author  Michael Fountain
 */

class ShowDashboard extends MB_Action {

	/**
	 */
	function ShowDashboard() {
		parent::MB_Action();
		$this->stringRep = "ShowDashboard";
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();

		if (!$CONF["system"]["internal"]["suppressFirstTimeWizard"] && numClients==0){
			return redirect("configs.php", "FirstTimeIntroduction");
		}

		$this->addTemplate("dashboard/ShowDashboard");

		return $this->hasExecutedSuccessfully();
	}
} // ShowDashboard
?>
