<?php
// $Id: RunDebugEvent.php 12739 2008-03-05 16:54:54Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

define("__ECHO_DBG", 1);

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";

require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This action runs one event in the queue.
 *
 * @author  Kris Bailey
 */
class RunDebugEvent extends MB_Action {
	/**
	 * The constructor for a RunDebugEvent action object. Call parent constructor, setup string representation and params.
	 */
	function RunEvents() {
		parent::MB_Action();
		$this->stringRep = "RunDebugEvent";
	}



	/**
	 * The main method of this class that executes the RunDebugEvent action, and returns success or failure.
	 *
	 * @return  int  1 if this action executed successfully, or 0 if otherwise.
	 */
	function execute(){
		global $CONF;
		
		dbg("Starting the run!");
		ignore_user_abort();
		set_time_limit(0);

		$query =& new MBQuery("ProcessSystemQueue", "", array("runMax" => 1, "systemQueueID" => (int)$_REQUEST["systemQueueID"]));
		$data = dispatchMBAPI($query->getXMLQuery(), 1);

		dbg("ProcessSystemQueue Result:");
		dbg($data);

		return $this->hasExecutedSuccessfully();
	
	} // end execute



} // RunDebugEvent
?>
