<?php
// $Id: InstallSystemLicenseResponse.php 11550 2007-07-11 18:24:22Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This will pull system info and push it to a template
 */
class InstallSystemLicenseResponse extends MB_Action {

	function InstallSystemLicenseResponse() {
		parent::MB_Action();
		$this->stringRep = "InstallSystemLicenseResponse";
	}

	function execute() {
		global $CONF;

		$license = unsecureInput($_REQUEST["LicenseData"]);
		
		$this->smartyVars["error"] = reloadDRMKey($license, 1, 1);
		$this->smartyVars["success"] = ($this->smartyVars["error"]) ? 0 : 1;

		$this->addTemplate("modules/InstallSystemLicenseResponse");

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();

	}
} // InstallSystemLicense
