<?php
// $Id: ShowPHPInfo.php 10891 2007-03-15 21:56:59Z bsmith $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This Action object displays the modules menu.
 */
class ShowPHPInfo extends MB_Action {
	/**
	 * The constructor for a ShowPHPInfoMenu action object. This method calls the parent constructor,
	 * and sets the string representation of this object.
	 */
	function ShowPHPInfo() {
		parent::MB_Action();
		$this->stringRep = "ShowPHPInfo";
		$this->params = array("show");
	}

	/**
	 * The main method of this class that executes the ShowPHPInfoMenu action, and returns success or failure.
	 *
	 * @return  1 if this action executed successfully, or 0 if otherwise.
	 */
	function execute() {
		global $CONF;
		parent::execute();

		if ($_REQUEST["show"]) {
			phpinfo();
// exit;
		} else {
			$this->addTemplate("modules/ShowPHPInfo");
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // ShowPHPInfo
?>