<?php
// $Id: AddHistoricalPackage.php 11737 2007-08-03 21:33:01Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__) . "/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-tk/toolkit.php");

class AddHistoricalPackage extends MB_Action {
	function AddHistoricalPackage() {
		parent::MB_Action();
		$this->stringRep = "AddHistoricalPackage";
		$this->params = array();
	}
	
	function assignMode() {
			$this->smartyVars["mode"] = $mode = $_REQUEST["mode"];
			$this->smartyVars["historical"] =
			$this->historical =
				$mode == "2" ? true : false;
				
			$this->smartyVars["clientID"] = getParam("clientID");
			$this->smartyVars["orderFormID"] = getParam("orderFormID");
			$this->smartyVars["productID"] = getParam("productID");
			$this->smartyVars["productVariantID"] = getParam("productVariantID");
			$this->smartyVars["cycleID"] = getParam("cycleID");
	}

	function assignProductInfo() {
		$d =& new DataSource(":products", $params = array(
			"productID" => $_REQUEST["productID"],
			"orderFormItems" => array(
				"orderFormID" => $_REQUEST["orderFormID"],
				"orderForm" => array(
					"paymentGroup" => array(
						"column" => array(
							"paymentGroupID",
							"paymentGroupCurrencyID",
						),
					),
				),
			),
			"productVariants" => array(
				"productVariantID" => $_REQUEST["productVariantID"],
				"TLD" => array(
				),
				"productVariantPrices" => array(
					"cycleID" => $_REQUEST["cycleID"],
					"cycle" => array(
					),
				),
			),
			"productAttributes" => array(
				"serverGroupID" => "*",
				//"groupBy" => array(
				//	"column" => "serverGroupID",
				//),
				"serverGroup" => array(
					"configGroups" => array(
						"column" => array(
							"configGroupID",
						),
						"configParams" => array(
							"column" => array(
								"configGroupID",
								"configParamValue",
							),
							"configParamName" => "moduleDisplayName",
							"comparisonOperator" => "=",
						),
					),
				),
			),
		));
		//show($params);
		$this->e = $e = $d->getEssential();
		//show($e);
		$vars = array(
			"product" => $this->product = $e[0],
			"orderForm" => $this->orderForm = $e[0]["orderFormItems"][0]["orderForm"][0],
			"paymentGroup" => $this->paymentGroup = $this->orderForm["paymentGroup"][0],
			"productVariant" => $this->productVariant = $e[0]["productVariants"][0],
			"TLD" => $this->TLD = $this->productVariant["TLD"][0],
			"productVariantPrices" => $this->productVariantPrices = $this->productVariant["productVariantPrices"],
			"cycle" => $this->cycle = $this->productVariantPrices[0]["cycle"][0],
			"serverGroupAttributes" => $this->serverGroupAttributes = $this->product["productAttributes"],
		);
		$this->productID = $this->product["productID"];
		$this->orderFormID = $this->orderForm["orderFormID"];
		$this->paymentGroupID = $this->paymentGroup["paymentGroupID"];
		$this->productVariantID = $this->productVariant["productVariantID"];
		$this->tldID = $this->TLD["tldID"];
		$this->cycleID = $this->cycle["cycleID"];
		
		$this->currencyID = $vars["currencyID"] = $this->paymentGroup["paymentGroupCurrencyID"];
		
		$this->clientID = (int) $_REQUEST["clientID"];
		//show($vars);
		
		$vars["cycle"]["cycleDisplayName"] = $this->cycle["cycleDisplayName"] = constantize($this->cycle["cycleDisplayName"]);
		
		$productVariantPrices = array();
		foreach((array)$this->productVariantPrices as $price) {
			if($price["currencyID"] == $this->currencyID) $productVariantPrices[] = $price;
		}
		$priceT =& new Table($productVariantPrices);
		$priceT->setSource("variantPrices");
		$priceT->alterState(TABLE_STATE_INTERNAL);
		$priceT->setKey("productVariantPriceType");
		$priceT->setName("productVariantPriceAmount");
		$prices = $priceT->getOptions();
		$vars["prices"] = $prices;

		$productT =& new Table(array($this->product));
		$productT->setSource("products");
		$productT->alterState(TABLE_STATE_INTERNAL);
		$this->product = $productT->getOne();
		$vars["productType"] = $this->type = $type = $this->product["productType"];

		if($type == "domain") {
			$this->smartyVars["tldID"] = $this->TLD["tldID"];
			$this->smartyVars["tldExtension"] = $this->TLD["tldExtension"];
		} else {
			// uniquize it by server group id
			$serverGroups = array();
			foreach((array)$this->serverGroupAttributes as $serverGroupAttribute) {
				$serverGroups[$serverGroupAttribute["serverGroupID"]] = $serverGroupAttribute;
			}
			$this->serverGroupAttributes = array_values($serverGroups);
			// hehe
			$serverGroups = $panelsByServerGroupID = array();
			foreach((array)$this->serverGroupAttributes as $serverGroupAttribute) {
				$serverGroup = $serverGroupAttribute["serverGroup"][0];
				$serverGroupID = $serverGroup["serverGroupID"];
				$serverGroupName = $serverGroup["serverGroupName"];
				$serverGroups[$serverGroupID] = $serverGroupName;
				
				$panelsByServerGroupID[$serverGroupID] = array();
				foreach($serverGroup["configGroups"] as $configGroup) {
					$serverID = $configGroup["configGroupID"];
					$serverName = $configGroup["configParams"][0]["configParamValue"];
					$panelsByServerGroupID[$serverGroupID][$serverID] = $serverName;
				}
			}

			$this->serverGroups = $vars["serverGroups"] = $serverGroups;
			$this->panelsByServerGroupID = $vars["panelsByServerGroupID"] = $panelsByServerGroupID;				
		}

		//show($vars);
		$this->smartyVars += $vars;
	}
	
	function assignClientInfo() {
		$type = $this->smartyVars["productType"];
		$vars = array();
		
		$params = array(
			"clientID" => $this->clientID,
			"contacts" => array(
				"contactActive" => "true",
				"billingAccounts" => array(
					"billingAccountActive" => "true",
				),
			),
		);
		
		$domainParams = array();
		switch($type) {
			case "domain":
				$domainParams = array(
					"domainTLD" => $this->TLD["domainTLD"],
					"comparisonOperator" => "=",
				);
			case "hosting":
				$vars["associateDomain"] = true;
				
				$params += array(
					"packages" => array(
						"packageActive" => "true",
						"column" => array(
							"packageID",
							"clientID",
						),
						"domains" => array(
							"domainActive" => "true",
							"column" => array(
								"domainID",
								"domainSLD",
								"domainTLD",
							),
						) + $domainParams,
					),
				);
				break;
			default:
				$vars["associateDomain"] = false;
		}
		
		$d =& new DataSource(":clients", $params);
		$e = $d->getEssential();
		
		require_once mb_path("/lib-modernbill/include/config/internal/mbapimap/billingAccounts.php");
		$billingAccounts = array();
		$this->primaryContact = array();
		foreach($e[0]["contacts"] as $contact) {
			if($contact["contactPrimary"]) {
				$this->primaryContact = $contact;
			}
			foreach((array)$contact["billingAccounts"] as $billingAccount) {
				refBillingAccountColumnGenerator($billingAccount);
				$billingAccounts[$billingAccount["billingAccountID"]] = $billingAccount["billingAccountDisplayName"];
			}
		}
		$vars["clientInfo"] = $e[0] + $this->primaryContact;
		$vars["clientBillingAccounts"] = $billingAccounts;
		$vars["clientDomains"] = array();
		if($vars["associateDomain"]) {
			foreach((array)$e[0]["packages"] as $package) {
				foreach((array)$package["domains"] as $domain) {
					$vars["clientDomains"][$domain["domainID"]] = $domain["domainSLD"] . "." . $domain["domainTLD"];
				}
			}
		}
		
		//show($vars);
		//show($params);
		//show($e);
		//exit;
		
		$this->smartyVars += $vars;
	}

	function assignDateHandlers() {
		if($this->product["productStopNumCycles"] != 1) {
			$this->formDefaults["packageNextRenewal"] = mktime();
			$this->setupDateSelector("packageNextRenewal");
		}
		$this->formDefaults["packageStartDate"] = mktime();
		$this->setupDateSelector("packageStartDate");

		if($this->type == "domain") {
			$this->formDefaults["registerDomain"] = mktime();
			$this->setupDateSelector("registerDomain", !$this->historical);
		} else {
			foreach($this->serverGroups as $serverGroupID => $serverGroupName) {
				$this->formDefaults["sg" . $serverGroupID . "create"] = mktime();
				$this->setupDateSelector("sg" . $serverGroupID . "create", !$this->historical);
			}
		}
	}
	
	function assignDefaults() {
			$this->formDefaults["generalPrice"] = isset($this->smartyVars["prices"]["general"]) ? $this->smartyVars["prices"]["general"] : -1;
			$this->formDefaults["setupPrice"] = isset($this->smartyVars["prices"]["setup"]) ? $this->smartyVars["prices"]["setup"] : -1;
			$this->formDefaults["transferPrice"] = isset($this->smartyVars["prices"]["transfer"]) ? $this->smartyVars["prices"]["transfer"] : -1;
	}

	function execute() {
		global $CONF;
		
		do {
			$this->assignMode();
			$this->assignProductInfo();
			$this->assignClientInfo();
			$this->assignDateHandlers();
			$this->assignDefaults();

			$this->mergeFormState();

			$this->addTemplate("packages/AddHistoricalPackage");
		} while(0);

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}

?>
