<?php
// $Id: EditPackageAttributeResponse.php 11935 2007-09-20 16:44:50Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-tk/toolkit.php");

/**
 * This Action object collects information on all packages that match the given parameters, and
 * generates the display of that information.
 *
 * @author  Kris Bailey
 */
class EditPackageAttributeResponse extends EditResponseAction {
	/**
	 * The constructor for a ShowProducts action object. This merely calls the parent constructor,
	 * and sets the string representation of this object. This method also sets up $this->params and
	 * $this->sortColumns for use in $this->getMBAPIQuery().
	 */
	function EditPackageAttributeResponse() {
		$pa = oneByID(":packageAttributes", $_REQUEST["packageAttributeID"]);
		if (in_array($pa["packageAttributeName"], array(
			"packagePassword",
			"clientPassword",
			"domainPassword"
		)) && isset($_REQUEST["packageAttributeValue"])){
			$_REQUEST["packageAttributeValue"] = getEncryptedText(getStuff($_REQUEST["packageAttributeValue"]));
		}
		$this->setDataSource(
			new DataSource(
				":packageAttributes"
			)
		);
		parent::EditResponseAction();
		$this->stringRep = "EditPackageAttributeResponse";
	}

} // EditPackageAttributeResponse
?>
