<?php
// $Id: ReassignPackageAttributeResponse.php 10986 2007-04-11 20:03:14Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-tk/toolkit.php");

/**
 * This action will take a package ID and change their attributes from
 * one panel module to another
 *
 * @author  Andy Christ
 */
class ReassignPackageAttributeResponse extends MB_Action {

	function ReassignPackageAttributeResponse() {
		parent::MB_Action();
		$this->stringRep = "ReassignPackageAttributeResponse";
		$this->params = array
		(
			"packageID",
		);
	}

	function execute() {
		global $CONF;
		parent::execute();

		$this->setReferralActionID((int) $_REQUEST["referralActionID"]);
		if(!$_REQUEST["referralActionFile"]) {
			$this->setReferralActionFile("clients.php");
		} else {
			$this->setReferralActionFile($_REQUEST["referralActionFile"]);
		}

		$packageID = (int) $_REQUEST["packageID"];

#show($_REQUEST);exit;

		if($_REQUEST["packageID"] && $_REQUEST["submit_update"] == "Reassign") {

			$ids = IDsOf("packageAttributes", array(
				"packageID" => $packageID,
				"configGroupID" => (int) $_REQUEST["oldConfigID"],
			));

			$r = oneOf(":serverGroupRels", array("serverID" => (int) $_REQUEST["configGroupID"]));

			$serverGroupID = $r["serverGroupID"];

			updateFor("packageAttributes", array(
				"packageAttributeID" => $ids,
				"configGroupID" => (int) $_REQUEST["configGroupID"],
				"serverGroupID" => $serverGroupID,
			));

		}

		if($_REQUEST["submit_update"] == "Reassign") {
			redirect($this->getReferralActionFile(), $this->getReferralActionID(), array(
				"packageID" => $packageID,
				"n" => uniqid(0)));
		} else {
			redirect($this->getReferralActionFile(), $this->getReferralActionID(), array(
				"packageID" => $packageID,
				"n" => uniqid(0)));
		}
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();

	} // execute

} // MB_Action
?>
