<?php
// $Id: ShowProductStats.php 10474 2007-01-11 23:58:14Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";

/**
 * This Action object displays the products menu.
 *
 * @author Michael Fountain
 */
class ShowProductStats extends MB_Action {
	/**
	 * The constructor for a ShowProductStats action object. This method calls the parent constructor,
	 * and sets the string representation of this object.
	 */
	function ShowProductStats() {
		parent::MB_Action();
		$this->stringRep = "ShowProductStats";
	}

	/**
	 * The main method of this class that executes the ShowProductStats action, and returns success or failure.
	 *
	 * @return  1 if this action executed successfully, or 0 if otherwise.
	 */
	function execute() {
		global $CONF;
		parent::execute();

		$this->addTemplate("products/ShowProductStats");
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // ShowProductStats
?>