<?php
// $Id: UploadReportResponse.php 10472 2007-01-11 23:39:30Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/app-modernbill-admin/include/lib-action/reports/ShowReportAction.php");
require_once mb_path("/lib-tk/include/archivers/archivers.php");

/**
 * This class is a child class of MB_Action.
 *
 * @author  Kris Bailey
 */
class UploadReportResponse extends ShowReportAction {
	/**
	 */
	function UploadReportResponse() {
		parent::ShowReportAction();
		$this->stringRep = "UploadReportResponse";
	}

	/**
	 * The main method of this class that executes the ShowReports action, and returns success or failure.
	 *
	 * @return  1 if this action executed successfully, or 0 if otherwise.
	 */
	function execute() {
		global $CONF;
		parent::execute();

		$this->mergeReportsData();
		if ($_FILES["reportUploadFile"]["tmp_name"]){
			$a =& new MBArchive();
			if (!$a->extractFiles(mb_path("/app-modernbill-admin/include/lib-action/reports/sources"), $_FILES["reportUploadFile"]["tmp_name"])){
				redirect("reports.php?action=".getActionID("UploadReport")."&sid=".$_REQUEST["sid"]."&invalidReport=yes");
			} else {
				redirect("reports.php?action=".getActionID("ShowReports")."&sid=".$_REQUEST["sid"]);
			}
		} else {
			redirect("reports.php?action=".getActionID("ShowReports")."&sid=".$_REQUEST["sid"]);
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();

	} // execute
} // UploadReportResponse
?>