<?php

$CONF["reportData"]["Invoices.DailyInvoiceSheet"] = array(
	"version" => "1.0",
	"template" => dirname(__FILE__)."/Invoices.DailyInvoiceSheet.tpl",
	"name" => "Daily Invoice Sheet",
	"description" => "This is the list of invoices and their respective amounts and clients for a given day.",
);


class MB_Report_DailyInvoiceSheet {

	function MB_Report_DailyInvoiceSheet(){
		// constructor, nothing necessary in here I guess
	}

	function getData($params){
		
		$ret = $this->getParamData($params);

		if (!$ret["invoiceSheetDay"]){
			$ret["invoiceSheetDay"] = 'today';
		}
		
		if ($ret["invoiceSheetDay"]=='today'){
			$_REQUEST["dateRange"] = date("m/d/Y");
		} elseif ($ret["invoiceSheetDay"]=='yesterday'){
			$_REQUEST["dateRange"] = date("m/d/Y", time()-(60*60*24));
		} else {
			$_REQUEST["dateRange"] = $ret["invoiceSheetDay"];
		}

		require_once mb_path("/app-modernbill-api/include/lib-action/api/GetReportDailyInvoices.php");

		$r =& new GetReportDailyInvoices();
		$ret = $ret + (array)$r->getReportData();
		
		return $ret;
	}
	
	function getParamData($params=array()){
		
		$ret = array();
		
		// test for the presence of something that will always be there when we are going to generate the report
		// and have already specified some parameters
		$ret["displayParams"] = (isset($params["invoiceSheetDay"]))?0:1;
		$ret["invoiceSheetDay"] = $params["invoiceSheetDay"];
		
		return $ret;
	
	}

}