<?php

$CONF["reportData"]["Packages.BilledServerRevenue"] = array(
	"version" => "1.0",
	"template" => dirname(__FILE__)."/Packages.BilledServerRevenue.tpl",
	"name" => "Billed Server Revenue",
	"description" => "This report tells you how much you have billed per server in total.  It does not tell what you expect to bill.",
);


class MB_Report_BilledServerRevenue {

	function MB_Report_BilledServerRevenue(){
		// constructor, nothing necessary in here I guess
	}

	function getData($params){
		
		$ret = $this->getParamData($params);
		
		if (!(int)$ret["displayParams"]){
			require_once mb_path("/app-modernbill-api/include/lib-action/api/GetReportBilledServerRevenue.php");
			$r =& new GetReportBilledServerRevenue();
			$ret = $ret + (array)$r->getReportData();
		}
		
		return $ret;
	}
	
	function getParamData($params=array()){
		
		$ret = array();
		
		$ret["displayParams"] = ((int)$params["bsrBeginMonth"])?0:1;
		
		$ret["thirtyDaysStart"] = explode("/", date("d/m/Y", $ret["thirtyDaysStartTime"] = (time()-(60*60*24*30)-(time()%(60*60*24)))) );
		$ret["thirtyDaysEnd"] = explode("/", date("d/m/Y", $ret["thirtyDaysEndTime"] = ($ret["thirtyDaysStartTime"] + (60*60*24*30) - 1)));
		
		return $ret;
	
	}

}