<?php

$CONF["reportData"]["Packages.MostPopularPackages"] = array(
	"version" => "1.0",
	"template" => dirname(__FILE__)."/Packages.MostPopularPackages.tpl",
	"name" => "Most Popular Packages",
	"description" => "This report lists the number of packages per product sorted by the product with the most currently active packages.",
);


class MB_Report_MostPopularPackages {

	function MB_Report_MostPopularPackages(){
		// constructor, nothing necessary in here I guess
	}

	function getData($params){
		global $CONF;
		
		$ret = $this->getParamData($params);

		require_once mb_path("/app-modernbill-api/include/lib-action/api/GetReportMostPopularPackages.php");

		$r =& new GetReportMostPopularPackages();
		$ret = $ret + (array)$r->getReportData();
		
		$ret["statusNames"] = $CONF["statuses"]["package"];
		
		return $ret;
	}
	
	function getParamData($params=array()){
		
		$ret = array(
			"noParams" => 1,
		);
		
		return $ret;
	
	}

}