
{t c="TRANS_ACTIVE_PACKAGES_PER_CYCLE" d="Active Packages Per Cycle"}
{t c="TRANS_ACTIVE_PACKAGES" d="Active Packages"}
{t c="TRANS_NUMBER_OF_PACKAGES" d="Number of Packages"}

{t c="TRANS_MOST_POPULAR_PACKAGES" d="Most Popular Packages"}


{****** make sure you create your parameters section ******}
	
	<h1 style="text-align:center;">{$smarty.const.TRANS_MOST_POPULAR_PACKAGES}</h1>
	
	
	<table id="sortTable" width="100%" class="list" cellspacing="0" cellpadding="0">
		<thead>
		<tr class="headerRow smallTableHeader">
			<td class="firstTD" width="75">{$smarty.const.TRANS_PRODUCT_ID}</td>
			<td>{$smarty.const.TRANS_NAME}</td>
			<td>{$smarty.const.TRANS_STATUS}</td>
			<td class="lastTD">{$smarty.const.TRANS_NUMBER_OF_PACKAGES}</td>
		</tr>
		</thead>
		<tbody>
		{foreach item="pkg" key="i" from=$packageTotals}
			<tr class="{cycle values="alt1,alt2"}">
				<td valign="top"><strong>{$pkg.productID}</strong></td>
				<td valign="top"><strong>{$pkg.productName}</strong></td>
				<td valign="top" tableSortingValue="0">
					{foreach item="stat" key="x" from=$pkg.statuses}
						{if $stat.packageStatus==0}
							<strong>
						{/if}
						{$statusNames[$stat.packageStatus]}<br />
						{if $stat.packageStatus==0}
							</strong>
						{/if}
					{/foreach}
				</td>
				<td valign="top" tableSortingValue="{foreach item="stat" key="x" from=$pkg.statuses}{if $stat.packageStatus==0}{$stat.numPackages}{/if}{/foreach}">
					{foreach item="stat" key="x" from=$pkg.statuses}
						{if $stat.packageStatus==0}
							<strong>
						{/if}
						{$stat.numPackages}<br />
						{if $stat.packageStatus==0}
							</strong>
						{/if}
					{/foreach}
				</td>
			</tr>
		{foreachelse}
			<tr>
				<td colspan="2"><em>{$smarty.const.TRANS_NONE}</em></td>
			</tr>
		{/foreach}
		</tbody>
	</table>
