<?php

$CONF["reportData"]["Packages.PackagesPerStatus"] = array(
	"version" => "1.0",
	"template" => dirname(__FILE__)."/Packages.PackagesPerStatus.tpl",
	"name" => "Packages Per Status",
	"description" => "This report lists the number of packages in each status.",
);


class MB_Report_PackagesPerStatus {

	function MB_Report_PackagesPerStatus(){
		// constructor, nothing necessary in here I guess
	}

	function getData($params){
		global $CONF;
		
		$ret = $this->getParamData($params);

		require_once mb_path("/app-modernbill-api/include/lib-action/api/GetReportPackagesByStatus.php");

		$r =& new GetReportPackagesByStatus();
		$ret = $ret + (array)$r->getReportData();
		
		$ret["statusNames"] = $CONF["statuses"]["package"];
		
		return $ret;
	}
	
	function getParamData($params=array()){
		
		$ret = array(
			"noParams" => 1,
		);
		
		return $ret;
	
	}

}