
{t c="TRANS_PAYMENTS_BY_PAYMENT_TYPE" d="Payments By Payment Type"}
{t c="TRANS_TOTAL_TRANSACTIONS" d="Total Packages"}
{t c="TRANS_LAST_THIRTY_DAYS" d="Last Thirty Days"}
{t c="TRANS_PAYMENT_STATISTICS_FOR_PERIOD" d="Payment Statistics For Period"}
{t c="TRANS_GENERATE_PAYMENT_STATISTICS_FOR" d="Generate Payment Statistics For"}
{t c="TRANS_NUMSIGN" d="#"}
{t c="TRANS_RECEIVED" d="Received"}
{t c="TRANS_CURR" d="Curr"}
{t c="TRANS_CAUSE" d="Cause"}

{****** make sure you create your parameters section ******}

{if $parametersOnly==1}
	<strong>{$smarty.const.TRANS_GENERATE_PAYMENT_STATISTICS_FOR}:</strong>
	<ul>
		<li><a href="{getHREF page="reports.php" actionName="ShowReportContainer" args="reportName=`$reportInfo.reportName`&ptBeginDay=`$thirtyDaysStart.0`&ptBeginMonth=`$thirtyDaysStart.1`&ptBeginYear=`$thirtyDaysStart.2`&ptEndDay=`$thirtyDaysEnd.0`&ptEndMonth=`$thirtyDaysEnd.1`&ptEndYear=`$thirtyDaysEnd.2`"}">{$smarty.const.TRANS_LAST_THIRTY_DAYS}: {$thirtyDaysStartTime|getDate:short} - {$thirtyDaysEndTime|getDate:short}</a> <a target="_BLANK" href="{getHREF page="reports.php" actionName="ShowReportDetails" args="reportName=`$reportInfo.reportName`&ptBeginDay=`$thirtyDaysStart.0`&ptBeginMonth=`$thirtyDaysStart.1`&ptBeginYear=`$thirtyDaysStart.2`&ptEndDay=`$thirtyDaysEnd.0`&ptEndMonth=`$thirtyDaysEnd.1`&ptEndYear=`$thirtyDaysEnd.2`"}">[{$smarty.const.TRANS_PRINT}]</a></li>
		<li>{$smarty.const.TRANS_DATE_RANGE}:
			<form method="GET" action="reports.php">
				<input type="hidden" name="sid" value="{$sid}" />
				<input type="hidden" name="action" value="{getActionID action="ShowReportContainer"}" />
				<input type="hidden" name="reportName" value="{$reportInfo.reportName}" />
					<strong>{$smarty.const.TRANS_FROM}:</strong>
					{html_select_locale_date start_year=1993 end_year=2029 prefix="ptBegin" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="ptBegin" value=" ... " />
					&nbsp;
					<strong>{$smarty.const.TRANS_TO}:</strong>
					{html_select_locale_date start_year=1993 end_year=2029 prefix="ptEnd" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="ptEnd" value=" ... " />
				<br />
				<input type="submit" class="submit" value="{$smarty.const.TRANS_GENERATE}" />
			</form>
				<script type="text/javascript">
					{literal}
					function ptBeginSelect(cal) {
						var date = cal.date;
						var selectMonth = document.getElementById("ptBeginMonth");
						selectMonth.selectedIndex = date.getMonth();
						var selectDay = document.getElementById("ptBeginDay");
						selectDay.selectedIndex = (date.getDate() - 1);
						var selectYear = document.getElementById("ptBeginYear");
						selectYear.value = date.getFullYear();
					}
					Zapatec.Calendar.setup({
						button         :    "ptBegin",
						onUpdate       :     ptBeginSelect,
						showsTime      :     false
					});
					function ptEndSelect(cal) {
						var date = cal.date;
						var selectMonth = document.getElementById("ptEndMonth");
						selectMonth.selectedIndex = date.getMonth();
						var selectDay = document.getElementById("ptEndDay");
						selectDay.selectedIndex = (date.getDate() - 1);
						var selectYear = document.getElementById("ptEndYear");
						selectYear.value = date.getFullYear();
					}
					Zapatec.Calendar.setup({
						button		:	"ptEnd",
						onUpdate	:	ptEndSelect,
						showsTime	:	false
					});
					{/literal}
				</script>
		</li>
	</ul>
{elseif $transactionTotals}
{****** end parameters section, start report template section ******}
	
	<h1 style="text-align:center;">{$smarty.const.TRANS_PAYMENT_STATISTICS_FOR_PERIOD}: {$startTime|getDate:short} {$smarty.const.TRANS_THROUGH} {$endTime|getDate:short}</h1>
	
	
	<table width="100%" class="list" cellspacing="0" cellpadding="0" border="0">
		<thead>
		<tr class="headerRow smallTableHeader">
			<td class="firstTD" width="100">{$smarty.const.TRANS_PAYMENT_TYPE}</td>
			<td>{$smarty.const.TRANS_GATEWAY}</td>
			<td>{$smarty.const.TRANS_CAUSE}</td>
			<td>{$smarty.const.TRANS_CURR}</td>
			<td>{$smarty.const.TRANS_NUMSIGN}</td>
			<td style="text-align: right;">{$smarty.const.TRANS_REFUNDED}</td>
			<td class="lastTD" style="text-align: right;">{$smarty.const.TRANS_RECEIVED}</td>
		</tr>
		</thead>
		<tbody>
		{foreach item="trans" key="i" from=$transactionTotals}
			{assign var="rowSpan" value=$trans.fullCount}
			{assign var="echodTypeGateway" value=0}
			
			{if $curClass=="alt1"}
				{assign var="curClass" value="alt2"}
			{else}
				{assign var="curClass" value="alt1"}
			{/if}
			
			{foreach item="totals" key="xk" from=$trans.statuses}
				{assign var="echodStatus" value=0}
				{foreach item="stat" key="currencyID" from=$totals}
					<tr class="{$curClass}">
						{if $echodTypeGateway==0}
							{assign var="echodTypeGateway" value=1}
							<td style="border-bottom: 1px solid #ddd;" rowspan="{$rowSpan}">{$paymentTypes[$trans.transactionPaymentMethod]}</td>
							<td style="border-bottom: 1px solid #ddd;" rowspan="{$rowSpan}">{$trans.gatewayName}</td>
						{/if}
						{if $echodStatus==0}
							<td rowspan="{$trans.statusCounts[$stat.authReturn]}" style="border-bottom: 1px solid #ddd;">{$paymentStatuses[$stat.0.authReturn]}</td>
							{assign var="echodStatus" value=1}
						{/if}
						<td width="30" style="border-bottom: 1px solid #ddd;">{$currencyID}</td>
						<td width="30" style="border-bottom: 1px solid #ddd;">{$stat.0.numTransactions}</td>
						<td width="75" style="border-bottom: 1px solid #ddd;" align="right">{$stat.0.transactionsRefundedTotal|getAmount:$currencyID}</td>
						<td width="75" style="border-bottom: 1px solid #ddd;" align="right">{$stat.0.transactionsTotal|getAmount:$currencyID}</td>
					</tr>
				{/foreach}
			{/foreach}
		
		{/foreach}
		</tbody>
	</table>
	
{/if}
