<?php
// $Id: login.php 11906 2007-09-14 19:03:54Z achrist $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

// If your Admin Interface is remote, you will want to remove the next few lines and
// automatically redirect your end users to the remote URL of your Admin Interface
// using the PHP "header" function.
// Example: header("location: https://remote_url/app-modernbill-admin/login.php");

// Unset special args that can display too much information to an unauthorized user
unset($_REQUEST["__XML"]);
unset($_REQUEST["__JSON"]);
unset($_REQUEST["__JS"]);

// Setup this app's path
require_once(dirname(__FILE__)."/path.php");

// Test for the config files -- must be present to continue
if (!file_exists(mb_path("/lib-modernbill/include/config/config.php")) ||
    !file_exists(mb_path("/lib-tk/include/common.php")) ||
    !file_exists("login.php")) {
    die("<tt>Error: Unable to locate system files.</tt>");
}

// Test for the install dir -- must NOT be present to continue
if (mb_file_exists("/app-modernbill-admin/install/index.php")) {
	die("<tt>Error: Please remove your install directory to continue.</tt>");
}

// Setup this app's common files
define("MBAPI", 0);
require_once mb_path("/lib-tk/include/common.php");

// Test for all temp directories -- must be present to continue
if (!file_exists($CONF["tempDirectory"])) {
	die("<tt>Error: Unable to locate the temporary directory. [".$CONF["tempDirectory"]."]</tt>");
}
if (!file_exists($CONF["smarty"]["compileDirectory"])) {
	die("<tt>Error: Unable to locate the smarty compile directory. [".$CONF["smarty"]["compileDirectory"]."]</tt>");
}
if (!file_exists($CONF["smarty"]["cacheDirectory"])) {
	die("<tt>Error: Unable to locate the smarty cache directory. [".$CONF["smarty"]["cacheDirectory"]."]</tt>");
}

// finally, dispatch the action!
$CONF["useMenu"] = "";
dispatchAction("login", $_REQUEST["action"]);

/* ACTIONS

ShowLogin
ShowForgottenPassword
LoginResponse
ForgottenPasswordResponse
LogoutResponse
APILoginResponse

*/
?>
