<?php
// $Id: path.php 12045 2007-10-08 19:53:32Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +---------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

// initialize the mbapi's directory path
$mbpath = array(dirname(__FILE__));

// uncomment the following line to lock down your admin area to the ip addresses in your config file
//define("APP_IP_CHECK", 1);

// initialize the mbapi's library path
define("MB_LIBPATH", realpath(dirname(__FILE__)."/.."));

// initialize the current application's library path
define("APP_PARENT", "app-modernbill5");
define("APP_CURRENT", "app-modernbill-admin");
define("APP_LIB", "lib-modernbill");

require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
mb_add_path("/".APP_LIB);

function handleSessionServerHit($sessionData){
	sessionServerDebug(print_r($sessionData, 1));
	global $CONF;
	#dbg("handling a child hit");
	#dbg($sessionData);
	$_REQUEST = $sessionData["_REQUEST"];
	$_SERVER = $sessionData["_SERVER"];
	$CONF["useMenu"] = $sessionData["useMenu"];
	sessionServerDebug("dispatching action");
	sessionServerDebug("dispatchAction(\"" . $sessionData["dispatchDirectory"] . "\", " . $_REQUEST["action"] . ");");
	ob_start();

	//$t = microtime(1);

	$success = dispatchAction($sessionData["dispatchDirectory"], $_REQUEST["action"]);

	//echo $action_time = microtime(1) - $t;

	$body = ob_get_clean();

	sessionServerDebug(gettype($output));
	sessionServerDebug("action dispatched");
	sessionServerDebug("action output length: " . strlen($output));
	sessionServerDebug("action output: ${output}");

	$headers = "";
	foreach(mbListHeaders() as $header) {
		list($name, $value) = array_map("trim", explode(":", $header, 2));
		if($value) {
			$headers .= "${name}: ${value}\r\n";
		}
		header("${name}:");
	}
	mbClearHeaders();
	if($headers) {
		$headers .= "\r\n";
	} else {
		$headers .= "\r\n\r\n";
	}

	sessionServerDebug("headers: ${headers}");

	return $headers . $body;
}

function handleSessionClientHit($response) {
	list($headers, $body) = explode("\r\n\r\n", $response, 2);
	foreach(explode("\r\n", $headers) as $header) {
		sessionServerDebug("Adding forwarded header: ${header}");
		header($header);
	}
	echo $body;
}

/*
require_once dirname(__FILE__)."/../lib-tk/include/sessionServer/sessionServer.php";
if($dispatchDirectory && $dispatchDirectory != "login" && isset($_REQUEST["sid"]) && $_REQUEST["sid"]) {
	if($sessionSocket =& initSessionSocket($_REQUEST["sid"])) {
		$forwardData = array(
			"_SERVER" => $_SERVER,
			"_REQUEST" => $_REQUEST,
			"dispatchDirectory" => $dispatchDirectory,
			"useMenu" => $CONF["useMenu"],
		);
		hitSessionSocket($sessionSocket, $forwardData);
	}
}
*/

// locate an initialize the current application's web root path
$tmpPath = explode("/", str_replace("\\", "/", dirname(__FILE__)));
$webRelPathFind = end($tmpPath);
if ($webRelPathFind==""){
	$webRelPathFind = prev($tmpPath);
}
?>
