<?php
// $Id: APIRunEvents.php 11547 2007-07-11 16:33:53Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

//$_REQUEST["__JSON"] = 1;

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-api-action/apiaction.php");
require_once mb_path("/app-modernbill-admin/include/lib-action/events/RunEvents.php");

/**
 */
class APIRunEvents extends MB_AdminAPIAction {
	/**
	 */
	function APIRunEvents() {
		parent::MB_AdminAPIAction(1);
		$this->stringRep = "APIRunEvents";
		$this->params = array();
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();
		
		$_REQUEST["isAPIHit"] = 1;
		$setSessXML = "
			<mbapi>
				<command>SetSession</command>
				<subCommand>update</subCommand>
				<params>
					<sessionID>".$_REQUEST["sid"]."</sessionID>
					<userID>".$this->adminID."</userID>
				</params>
			</mbapi>";
		$result = dispatchMBAPI($setSessXML, 1);
		
		$action =& new RunEvents();
		$action->execute();
		
		$output = array(
			"success" => 1,
		);
		return $this->output($output);

	}

} // APIRunEvents
