<?php
// $Id: ForwardToClientInterface.php 10635 2007-02-05 22:14:33Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

//$_REQUEST["__JSON"] = 1;

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-api-action/apiaction.php");

/**
 */
class ForwardToClientInterface extends MB_ClientAPIAction {
	/**
	 */
	function ForwardToClientInterface() {
		parent::MB_ClientAPIAction();
		$this->stringRep = "ForwardToClientInterface";
		$this->params = array();
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();
		$this->mergeMarketplaceSellerInfo();
		
		dbg(dispatchMBAPI(toXML(array(
			"mbapi" => array(
				"command" => "SetSession",
				"subCommand" => "update",
				"params" => array(
					"sessionID" => $_REQUEST["sid"],
					"userType" => 1,
					"userID" => $this->clientInfo["clientContactID"],
					"sessionIP" => ip2long($_SERVER["REMOTE_ADDR"]),
					"sessionActive" => 1,
				),
			),
		))));
		
		$selfClientURL = ($CONF["secureURLProtocol"]=="https")?"https://".$CONF["secureURL"]."/".mb_path_convert_name("app-modernbill-api")."/api.php":"http://".$CONF["standardURL"]."/".mb_path_convert_name("app-modernbill-client")."/dashboard.php";
		redirect($selfClientURL, "ShowDashboard");
	}

} // ForwardToClientInterface
