<?php
// $Id: GetProducts.php 11959 2007-09-24 19:39:55Z bwoolley $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-api-action/apiaction.php");

/**
 */
class GetProducts extends MB_AdminAPIAction {
	/**
	 */
	function GetProducts() {
		parent::MB_AdminAPIAction();
		$this->stringRep = "GetProducts";
		$this->params = array
		(
		);
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();

		$params = array();

		if (notZero($_REQUEST["productID"])) {
			$params["productID"] = (int)$_REQUEST["productID"];
		}

		if (notZero($_REQUEST["cycleID"])) {
			$params["cycleID"] = (int)$_REQUEST["cycleID"];
		}

		if ((int)$_REQUEST["getAllDetails"]){
			$params = $params + array(
				"getProductVariantData" => 1,
				"getActiveProductVariantPriceData" => 1,
				"getActiveCycleData" => 1,
				"getProductAttributeData" => 1,
				"getCouponData" => 1,
				"getOrderFormData" => 1,
				"getTLDData" => 1,
			);
		}

		$productsInfo = $this->filterFields(grabResultsFromMBAPIArray(array(
			"mbapi" => array(
				"command" => "GetProducts",
				"params" => $params,
			),
		)));

		dbg($productsInfo);
		$output = array("products" => array("product"=>(count($productsInfo))?$productsInfo:array()));

		return $this->output($output);

	}

} // GetOrderForms
?>
