<?php
// $Id: GetReportActivePackagesByCycle.php 10665 2007-02-12 23:33:06Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

//$_REQUEST["__JSON"] = 1;

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-api-action/apiaction.php");

/**
 */
class GetReportActivePackagesByCycle extends MB_AdminAPIAction {
	/**
	 */
	function GetReportActivePackagesByCycle() {
		parent::MB_AdminAPIAction();
		$this->stringRep = "GetReportActivePackagesByCycle";
		$this->params = array();
		
		if ((int)$_REQUEST["cycleID"]){
			$this->params["cycleID"] = $_REQUEST["cycleID"];
		}	
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();

		$this->addTemplate("", $output = array("reportData" => $this->getReportData()));

		return (!$_REQUEST["__JS"] && !$_REQUEST["__JSON"] && !$_REQUEST["__XML"])?$this->output($output):array();

	}
	
	function getReportData(){
		dbg("RUNNING IN API REPORT!!!");
		$ret = array();
		
		if ((int)$this->params["cycleID"]){
			$ret["cycleIDs"][] = $this->params["cycleID"];
			
			$ret["cycleTotals"] = grabResultsFromMBAPIArray(array(
				"mbapi" => array(
					"command" => "GetCyclePackages",
					"params" => array(
						"packageStatus" => getAPIStatusID("package", "active"),
						"cycleID" => $ret["cycleIDs"],
					),
				),
			));
			
		} else {
			
			$ret["cycleTotals"] = grabResultsFromMBAPIArray(array(
				"mbapi" => array(
					"command" => "GetCyclePackages",
					"params" => array(
						"packageStatus" => getAPIStatusID("package", "active"),
					),
				),
			));
			
		}
		
		return $ret;
	}
	
} // GetReportActivePackagesByCycle
?>