<?php
// $Id: GetReportCustomerPaymentsByDate.php 10684 2007-02-16 22:18:33Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

//$_REQUEST["__JSON"] = 1;

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-api-action/apiaction.php");

/**
 */
class GetReportCustomerPaymentsByDate extends MB_AdminAPIAction {
	/**
	 */
	function GetReportCustomerPaymentsByDate() {
		parent::MB_AdminAPIAction();
		$this->stringRep = "GetReportCustomerPaymentsByDate";
		$this->params = array();
		
		$this->beginMonth = (int)$_REQUEST["cpBeginMonth"];
		$this->beginDay = (int)$_REQUEST["cpBeginDay"];
		$this->beginYear = (int)$_REQUEST["cpBeginYear"];

		$this->endMonth = (int)$_REQUEST["cpEndMonth"];
		$this->endDay = (int)$_REQUEST["cpEndDay"];
		$this->endYear = (int)$_REQUEST["cpEndYear"];

		$this->startTime = mktime(0,0,0,$this->beginMonth,$this->beginDay,$this->beginYear);
		$this->endTime = mktime(0,0,0,$this->endMonth,$this->endDay+1,$this->endYear)-1;
		
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();

		$this->addTemplate("", $output = array("reportData" => $this->getReportData()));

		return (!$_REQUEST["__JS"] && !$_REQUEST["__JSON"] && !$_REQUEST["__XML"])?$this->output($output):array();

	}
	
	function getReportData(){
		dbg("RUNNING IN API REPORT!!!");
		$ret = array(
			"startTime" => $this->startTime,
			"endTime" => $this->endTime,
		);
		
		$ret["transactions"] = grabResultsFromMBAPIArray(array(
			"mbapi" => array(
				"command" => "GetCustomerTransactions",
				"params" => array(
					"startDate" => $this->startTime,
					"endDate" => $this->endTime,
				),
			),
		));
		
		return $ret;
	}
	
} // GetReportCustomerPaymentsByDate
?>