<?php
// $Id: GetVendorInformation.php 10611 2007-01-31 23:58:12Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

//$_REQUEST["__JSON"] = 1;

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-api-action/apiaction.php");

/**
 * this is a special case where I make this class differently based on request variables
 */
if ($_REQUEST["contactUsername"]){
	class GetVendorInformation extends MB_ClientAPIAction {
		/**
		*/
		function GetVendorInformation() {
			parent::MB_ClientAPIAction();
			$this->stringRep = "GetVendorInformation";
			$this->params = array();
		}
	
		/**
		*/
		function execute() {
			global $CONF;
			parent::execute();
	
			if (MB_VENDOR==1){
			
				$this->output(array(
					"company" => oneOf("companies", array(
						"sortColumn" => "companyID",
						"sortDir" => "ASC",
					))
				));
			
			} else {
				Error::api(1001, "[Ax".str_pad((int) __LINE__, 6, "0", STR_PAD_LEFT)."] System not accepting sellers.");
			}
	
		}
	
	} // GetVendorInformation
} else {
	class GetVendorInformation extends MB_APIAction {
		/**
		*/
		function GetVendorInformation() {
			parent::MB_APIAction();
			$this->stringRep = "GetVendorInformation";
			$this->params = array();
		}
	
		/**
		*/
		function execute() {
			global $CONF;
			parent::execute();
	
			if (MB_VENDOR==1){
			
				$this->output(array(
					"company" => oneOf("companies", array(
						"sortColumn" => "companyID",
						"sortDir" => "ASC",
					))
				));
			
			} else {
				Error::api(1001, "[Ax".str_pad((int) __LINE__, 6, "0", STR_PAD_LEFT)."] System not accepting sellers.");
			}
	
		}
	
	} // GetVendorInformation
}
