<?php
// $Id: UpdateVendorInformation.php 10872 2007-03-13 21:18:48Z kbailey $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

//$_REQUEST["__JSON"] = 1;

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-api-action/apiaction.php");

/**
 */
class UpdateVendorInformation extends MB_AdminAPIAction {
	/**
	 */
	function UpdateVendorInformation() {
		parent::MB_AdminAPIAction();
		$this->stringRep = "UpdateVendorInformation";
		$this->params = array();
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();
		$this->getVendorInformation();

/*
		if (is_array($_REQUEST["adminData"])){
			$params = array(
				"adminPassword",
				"adminEmail",
			);
			$updateParams = array();
			foreach ($params as $p){
				if ($_REQUEST["adminData"][$p]){
					$updateParams[$p] = $_REQUEST["adminData"][$p];
				}
			}
			if (count($updateParams)){
				if (!updateForKey("admins", $this->adminData["adminID"], $updateParams)) $status = 0;
			}
		}
		
		if (!(int)$this->vendorData["vendorID"]){
			$vendorID = insertFor("vendors", array(
				"adminID" => $this->adminData["adminID"],
				"vendorActive" => 1,
			));
			$this->vendorData = oneOf("vendors", array("vendorID" => $vendorID));
		}
		$params = array(
			"vendorActive",
			"vendorName",
			"vendorAddress1",
			"vendorAddress2",
			"vendorCity",
			"vendorState",
			"vendorZip",
			"countriesID",
		);
		$updateParams = array();
		foreach ($params as $p){
			if ($_REQUEST["vendorData"][$p]){
				$updateParams[$p] = $_REQUEST["vendorData"][$p];
			}
		}
		if (count($updateParams)){
			if (!updateForKey("vendors", $this->vendorData["vendorID"], $updateParams)) $status = 0;
		}*/
		
		$status = 1;
		
		if ((int)$this->vendorData["vendorID"]){
			
			$params = array(
				"vendorActive",
				"vendorName",
				"vendorAddress1",
				"vendorAddress2",
				"vendorCity",
				"vendorState",
				"vendorZip",
				"countriesID",
				"vendorApiURL",
				"vendorSellerUsername",
				"vendorSellerPassword",
			);
			$updateParams = array();
			foreach ($params as $p){
				if ($_REQUEST["vendorData_".$p]){
					$updateParams[$p] = $_REQUEST["vendorData_".$p];
				}
			}
			if (count($updateParams)){
				if ($updateParams["vendorSellerPassword"]){
					$updateParams["vendorSellerPassword"] = getOtherStuff($updateParams["vendorSellerPassword"]);
				}
				if (!updateForKey("vendors", $this->vendorData["vendorID"], $updateParams)) $status = 0;
			}
			
			
		}
		
		return $this->output(array(
			"success" => $status
		));

	}

} // UpdateSellerStatus
