<?php

define("MBAPI_DELIM", "<?mb end ?>");

class MBAPI_Connection {
	/**
	 * string  remote access hash
	 */
	var $auth;
	
	/**
	 * string  hostname
	 */
	var $host;
	
	/**
	 *  int  port number
	 */
	var $port;
	
	/**
	 * resource  socket connection
	 */
	var $c;
	
	/**
	 * Initializes object, but does not open the connection.
	 *
	 * @param  string  remote access hash
	 * @param  string  hostname; defaults to "localhost"
	 * @param  int  port; defaults to 850
	 */
	function MBAPI_Connection($auth, $host = "localhost", $port = 850) {
		$this->auth = $auth;
		$this->host = $host;
		$this->port = $port;
	}
	
	function open() {
		$this->c = fsockopen($this->host, $this->port);
		fputs($this->c, "auth=" . $this->auth . "\r\n");
	}
	
	function call($command) {
		fputs($this->c, $command . "\r\n");
		fputs($this->c, MBAPI_DELIM . "\r\n");
		fflush($this->c);
		
		$r = "";
		while (strpos($r, MBAPI_DELIM) === false) {
			$r .= fgets($this->c);
		}
		return $r;
	}
	
	function close() {
		fclose($this->c);
	}	
	
}
