<?php
// $Id: RemoveBillingAccount.php 9320 2006-10-05 22:52:13Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");

class RemoveBillingAccount extends RemoveAction {
	function RemoveBillingAccount() {
		global $CONF;
		$clientContactID = $CONF["user"]["clientContactID"];
		$_REQUEST["clientContactID"] = $clientContactID;
		
		$this->d =& new DataSource("billingAccounts", array("clientContactID" => $clientContactID));
		$this->d->setSaltCallback("billingAccountSalter");
		$description = $this->d->getDescription();
		$description["names"]["file"] = "profile";
		$description["display"]["removeTemplate"] = "profile/RemoveBillingAccount";
		$this->d->setDescription($description);
		parent::RemoveAction();
	}
}

?>
