<?php
// $Id: RemoveCartProductResponse.php 6992 2006-05-23 00:25:06Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This Action object collects information on a website widget that matches the given parameters, and
 * generates the display of that information.
 *
 * @author  Kris Bailey
 */
class RemoveCartProductResponse extends MB_Action {
	/**
	 * The constructor for a RemoveCartProductResponse action object. This merely calls the parent constructor,
	 * and sets the string representation of this object. This method also sets up $this->params and
	 * $this->sortColumns for use in $this->getMBAPIQuery().
	 */
	function RemoveCartProductResponse() {
		parent::MB_Action();
		$this->stringRep = "RemoveCartProductResponse";

		$this->params = array();
		$this->sortColumns = array();
	}

	/**
	 * The main method of this class that executes the RemoveCartProductResponse action, and returns success or failure.
	 *
	 * @return  1 if this action executed successfully, or 0 if otherwise.
	 */
	function execute() {
		global $CONF;
		parent::execute();

		$CONF["theme"]["type"] = "public";
		dbg($_REQUEST);
		$this->smartyVars = array();

		$shoppingSessionData = $this->updateShoppingSession($_REQUEST["sid"], $_REQUEST["orderFormID"], 1);

		$setItemXML = "
				<mbapi>
					<command>SetShoppingItem</command>
					<subCommand>delete</subCommand>
					<params>
						<shoppingItemID>".(int)$_REQUEST["shoppingItemID"]."</shoppingItemID>
						<shoppingSessionID>".secureInput($_REQUEST["sid"])."</shoppingSessionID>
					</params>
				</mbapi>";
		$setItem = dispatchMBAPI($setItemXML, 1);
		dbg("result:");
		dbg($setItem);

        if ($_REQUEST["redirectURL"]!="") {
            redirect($_REQUEST["redirectURL"]);
        } else {
            redirect("cart.php?sid=".secureInput($_REQUEST["sid"]));
        }

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}

} // RemoveCartProductResponse
?>
