<?php
// $Id: ShowCartProductAddonsStep.php 12070 2007-10-11 17:36:10Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/AddCartStepAction.php";

/**
 * @author  Kris Bailey
 */
class ShowCartProductAddonsStep extends AddCartStepAction {
	/**
	 */
	function ShowCartProductAddonsStep() {
		parent::AddCartStepAction();
		$this->stringRep = "ShowCartProductAddonsStep";
		$this->sortColumns = array();
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();

		$this->mergeProductData((int)$_REQUEST["productID"], $_REQUEST["productVariantID"], $_REQUEST["orderFormID"], $_REQUEST["cycleID"]);
		$this->mergeProductAddonsData($_REQUEST["productID"], $_REQUEST["cycleID"], $_REQUEST["productVariantID"]);

		if ($_REQUEST["source"]=="domains"){
			$this->smartyVars["selectedDomains"] = $_REQUEST["domains"];
		}

		$this->addTemplate("shopping/ShowCartProductAddonsStep", $this->smartyVars);

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}

}
