<?php
// $Id: ShowMultiDomainWhoisStep.php 12167 2007-11-02 15:06:04Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/AddCartStepAction.php";

/**
 * @author  Kris Bailey
 */
class ShowMultiDomainWhoisStep extends AddCartStepAction {
	/**
	 */
	function ShowMultiDomainWhoisStep() {
		parent::AddCartStepAction();
		$this->stringRep = "ShowMultiDomainWhoisStep";
		$this->sortColumns = array();
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();

		$this->mergeProductData((int)$_REQUEST["productID"], $_REQUEST["productVariantID"], $_REQUEST["orderFormID"], $_REQUEST["cycleID"]);
		$this->mergeProductAddonsData($_REQUEST["productID"], $_REQUEST["cycleID"], $_REQUEST["productVariantID"]);
		if ($_REQUEST["source"]=="addons"){
			$this->smartyVars["selectedAddons"] = array();
			foreach ((array)$_REQUEST["items"] as $item){
				foreach ((array)$item["addonID"] as $aid){
					$this->smartyVars["selectedAddons"][$aid] = 1;
				}
			}
		}

		dbg($this->smartyVars);

		$this->mergeMultiDomainData((int)$_REQUEST["orderFormID"], $_REQUEST["domainSLD"], $_REQUEST["domainTLD"]);

		$domains = getMBAPIArray("GetShoppingItemsDomains", array(
			"shoppingSessionID" => $_REQUEST["sid"],
		));
		$this->smartyVars["domainsInCart"] = array();
		foreach ($domains as $d){
			$this->smartyVars["domainsInCart"][$d["domainSLD"].".".$d["domainTLD"]] = 1;
		}
		
		dbg($this->smartyVars);

		$this->addTemplate("shopping/ShowMultiDomainWhoisStep", $this->smartyVars);

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}

}

