<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty {array_sum} function plugin
 *
 * Type:     function<br>
 * Name:     array_sum<br>
 * Purpose:  Calculate the sum of values in an array<br>
 * @link http://us2.php.net/function.array-sum {array_sum}
 *          (Smarty online manual)
 * @param array
 * @return int
 * @author Michael Fountain
 */
function smarty_function_array_sum($params)
{
    return (is_array($params["array"])) ? array_sum($params["array"]) : 0 ;
}
?>