<?php
/*
 * Smarty plugin
 * -------------------------------------------------------------
 * File:     function.assignStatuses.php
 * Type:     function
 * Name:     assignStatuses
 * Purpose:  assign statuses to a template variable
 * -------------------------------------------------------------
 */
function smarty_function_assignStatuses($params, &$smarty)
{
	if (empty($params['var'])) {
		$smarty->trigger_error("assign: missing 'var' parameter");
		return;
	}

	if (empty($params['status'])) {
		$smarty->trigger_error("assign: missing 'status' parameter");
		return;
	}

	if (!empty($params['api'])) {
		$smarty->assign($params['var'], getAPIStatuses($params['status']));
	} else {
		$smarty->assign($params['var'], getStatuses($params['status']));
	}
}
?>
