<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Method to return the value of an actionID given a valid ActionName in a tpl file. This method should only be accessed
 * from the smarty tpl file.
 *
 * Type:     function<br>
 * Name:     getActionID<br>
 * Usage: 	{getActionID action=" action name "}
 *
 * @param  array  An array of paramaters for this smarty function: action = actionName
 * @return int  A valid actionID, or 0 if not valid.
 * @author  Michael Fountain
 */
function smarty_function_getActionID($params)
{
	return ((int) getActionID($params["action"]));
}
?>
