<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Method to return the value of an ActionName given a valid ActionID in a tpl file. This method should only be accessed
 * from the smarty tpl file.
 *
 * Type:     function<br>
 * Name:     getActionName<br>
 * Usage: 	{getActionName actionID=" action ID "}
 *
 * @param  array  An array of paramaters for this smarty function: action = actionName
 * @return string  A valid ActionName.
 * @author  Michael Fountain
 */
function smarty_function_getActionName($params)
{
	return getActionName($params["actionID"]);
}
?>
