<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty {getRandomID} function plugin
 *
 * Type:     function<br>
 * Name:     getRandomID<br>
 * Purpose:  get a random alphanumeric id to be used for divs<br>
 * @return string
 * @author Kris Bailey
 */
function smarty_function_getRandomID($params, &$smarty)
{
    $smarty->assign($params['name'], substr(md5(uniqid(0)), 5, 15));
}
?>