<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty {toggleClass} function plugin
 *
 * Type:     function<br>
 * Name:     toggleClass<br>
 * Purpose:  Display the class1 or class2<br>
 * @param array
 * @return string
 * @author Michael Fountain
 */
function smarty_function_toggleClass($params)
{
	// $params["class1"] - default
	// $params["class2"]
	// $params["var"]
	// $params["value"]

	$retval = "class=\"".$params["class1"]."\"";
	if ($params["var"] != "" && ($params["var"] == $params["value"])) {
		$retval = "class=\"".$params["class2"]."\"";
	}
	return $retval;

}
?>