<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty escape modifier plugin
 *
 * Type:     modifier<br>
 * Name:     decodeSerialized<br>
 * Purpose:  Base64 decode, unserialize, and print_r variable string
 * @author   Kris Bailey
 * @param string
 * @return string
 */
function smarty_modifier_decodeSerialized($string, $suppressBrs=0)
{
	global $CONF;
	$x = unserialize(base64_decode($string));
	if (is_array($x) || is_object($x)){
		return ($suppressBrs)?$CONF["debug"]->printa($x):nl2br($CONF["debug"]->printa($x));
	} else {
		return $x;
	}
}


?>
