<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty getArrayValueByID modifier plugin
 *
 * Type:     modifier<br>
 * Name:     getArrayValueByID<br>
 * Purpose:  lookup the value of an array given the ID
 * @param string
 * @return string
 * @author Michael Fountain
 */
function smarty_modifier_getArrayValueByID($id,$array)
{
    $retval = "";
    $id = (INT) $id;
    if ($array[$id]) {
        $retval = $array[$id];
    }
    if (defined($retval)) {
        $retval = constant($retval);
    }
    return ($retval) ? $retval : $id ;
}
?>
