<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty getDateTime modifier plugin
 *
 * Type:     modifier<br>
 * Name:     getDateTime<br>
 * Purpose:  Return the date and time in a locale sensitive format
 * @param int
 * @param string
 * @return string
 */
function smarty_modifier_getDateTime($timestamp, $format = "short") {
	global $CONF;
	$retval = TRANS_NEVER;
	$timestamp = (int) $timestamp;
	if($timestamp) {
		// getDateTime  -> timestamp, string (full, long, medium, short)
		$retval = $CONF["user"]["locale"]->getLocaleDateTime($timestamp, $format);
	}
	return $retval;
}

?>