<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty isZero modifier plugin
 *
 * Type:     modifier<br>
 * Name:     isZero<br>
 * Purpose:  test if the number is 0, then display &nbsp;
 * @param string
 * @return string
 * @author Michael Fountain
 */
function smarty_modifier_isZero($number)
{
    return ($number!=0.00) ? $number : "&nbsp;" ;
}
?>