<?php
// $Id: adminAdminGroups.php 8859 2006-09-13 22:12:15Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['adminAdminGroups'] = array(
	"names" => array(
		"singular" => "adminGroupID",
		"plural" => "adminGroupIDs",
		"file" => "admins",
	),
	"request" => array(
		"command" => "GetAdmins",
		"subCommand" => "",
		"params" => array("getAdminGroupData" => 1),
	),
	"response" => array(
		"path" => array("adminGroups", "adminGroup", "adminGroupIDs", "adminGroupID"),
	),
	"insert" => array(
		"command" => "SetAdmins",
		"subCommand" => "insert",
		"params" => $allParamsRoot,
	),
	"update" => array(
		"command" => "SetAdmins",
		"subCommand" => "update",
		"params" => $allParamsRoot,
	),
	"delete" => array(
		"command" => "SetAdmins",
		"subCommand" => "delete",
		"params" => new Params(new Param("adminGroupID")),
	),
	"table" => "admins",
	"columns" => array(
		"adminGroupID" => COLUMN_PRIMARY_KEY,
		"adminGroupName" => COLUMN_PRIMARY_NAME,
	),
	"display" => array(
		"showTemplate" => "admins/ShowAdminGroups",
		"system" => true,
	),
);

?>
