<?php
// $Id: callbackLogAttributes.php 10163 2006-11-29 23:40:50Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['callbackLogAttributes'] = array(
	"names" => array(
		"singular" => "callbackLogAttribute",
		"plural" => "callbackLogAttributes",
		"file" => "paymentqueue",
	),
	"request" => array(
		'command' => "GetCallbackLogAttributes",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("callbackLogAttributes", "callbackLogAttribute"),
	),
	"insert" => array(
		"command" => "SetCallbackLogAttributes",
		"subCommand" => "insert",
		"params" => array(),//$allParamsRoot,
	),
	"update" => array(
		"command" => "SetCallbackLogAttributes",
		"subCommand" => "update",
		"params" => array(),//$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetCallbackLogAttributes",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeID")),
	),
	"table" => "callback_log_attributes",
	"columns" => array(
		"callbackLogAttributeID" => COLUMN_PRIMARY_KEY|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
		"callbackLogID" => COLUMN_ID|COLUMN_DISPLAYABLE,
		"callbackLogAttributeName" => COLUMN_NAME|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
		"callbackLogAttributeValue" => COLUMN_NAME|COLUMN_DISPLAYABLE,
	),
	"columnLabels" => array(
		"callbackLogAttributeID" => TRANS_ID,
		"callbackLogID" => TRANS_CALLBACK_LOG_ID,
		"callbackLogAttributeName" => TRANS_NAME,
		"callbackLogAttributeValue" => TRANS_VALUE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_FINANCES",
		"childName" => "TRANS_MANAGE_BILLING",
		"sideNavMajor" => "finances",
		"sideNavMinor" => "billing",
		"grandchildrenLabels" => array(
			"show" => "TRANS_SHOW_CALLBACK_LOG_ATTRIBUTES",
			"showdetails" => "TRANS_CALLBACK_LOG_ATTRIBUTE_DETAILS",
		)
	),
	"display" => array(
		'context' => array(
			'callbackLogID' => 'callbackLogs',
		),
		'showTemplate' => "1",
		'showDetailsTemplate' => "1",
		"suppressActions" => array("add","edit"),
	),
);
