<?php
// $Id: clientAttributes.php 9937 2006-11-03 17:05:10Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['clientAttributes'] = array(
	"names" => array(
		"singular" => "clientAttribute",
		"plural" => "clientAttributes",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetClientAttributes",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("clientAttributes", "clientAttribute"),
	),
	"insert" => array(
		"command" => "SetClientAttributes",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetClientAttributes",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetClientAttributes",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("clientAttributeID")),
	),
	"table" => "client_attributes",
	"columns" => array(
		"clientAttributeID" => COLUMN_PRIMARY_KEY,
		"clientID" => COLUMN_ID,
		"orderFormID" => COLUMN_ID,
		"attributeID" => COLUMN_ID,
		"attributeName" => COLUMN_PRIMARY_NAME,
		"clientAttributeValue" => COLUMN_SEARCHABLE_STRING,
	),
	"refColumnGenerator" => "NameColumnGenerator",
	"types" => array(
	),
	"statuses" => array(
	),
	"display" => array(
		"options" => array("clients", "orderForms"),
		"context" => array(
			"clientID" => "clients",
			"orderFormID" => "orderForms",
			"attributeID" => "attributes",
		),
		'showTemplate' => "products/ShowClientAttributes",
	),
);
