<?php
// $Id: clientNotes.php 9822 2006-10-25 21:44:05Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['clientNotes'] = array(
	"names" => array(
		"singular" => "clientNote",
		"plural" => "clientNotes",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetClientNotes",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("clientNotes", "clientNote"),
	),
	"insert" => array(
		"command" => "SetClientNotes",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetClientNotes",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetClientNotes",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("cycleID")),
	),
	"table" => "client_notes",
	"columns" => array(
		"clientNoteID" => COLUMN_PRIMARY_KEY,
		"clientID" => COLUMN_ID,
		"adminID" => COLUMN_ID,
		"clientNoteDateCreated" => COLUMN_DATE,
		"clientNoteDateModified" => COLUMN_DATE,
		"clientNoteText" => COLUMN_TEXT,
	),
	"display" => array(
		"filterContextValues" => array(
			"clientID",
			"adminID",
		),
		"context" => array(
			"clientID" => "clients",
			"adminID" => "admins",
		),
	),
);

?>
