<?php
// $Id: clientsGeneric.php 12127 2007-10-22 20:26:50Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

require_once mb_path("/" . APP_LIB . "/include/config/internal/mbapimap/clients.php");
$CONF["sources"]["clientsGeneric"] = array(
	"request" => array(
		"command" => "GetClientsGeneric",
		"subCommand" => "",
		"params" => array(),
	),
	"update" => array(
		"command" => "SetClientsGeneric",
		"subCommand" => "update",
		"params" => array(),
	),
	"insert" => array(
		"command" => "SetClientsGeneric",
		"subCommand" => "insert",
		"params" => array(),
	),
	"delete" => array(
		"command" => "SetClientsGeneric",
		"subCommand" => "delete",
		"params" => array(
			"contacts" => array(
				"billingAccounts" => array(
					"gwTransactions" => array(
						"gwTransactionAttrs" => array(),
					),
					"clientBillingAccountShares" => array(),
				),
			),
			"contactEmailActionRels" => array(),
			"clientAttributes" => array(),
			"packages" => array(
				"packageAddons" => array(
					"packageAddonAttributes" => array(),
				),
				"packageAttributes" => array(),
				"systemQueue" => array(
					// loop eventually
				),
				"clientBillingAccountShares" => array(),
			),
			"fraudResultsLog" => array(),
			"clientNotes" => array(),
			"accountingReceiptsJournal" => array(),
			"accountingPurchasesJournal" => array(),
			"accountingGeneralLedger" => array(
				"accountingControlRels" => array(),
			),
			"invoices" => array(
				"lineItems" => array(),
			),
		),
	),
	"display" => $CONF["sources"]["clients"]["display"] + array(
		"showDetailsTemplate" => "hack",
	),
) + $CONF["sources"]["clients"];

