<?php
// $Id: configParamValues.php 9298 2006-10-04 20:03:33Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['configParamValues'] = array(
	"names" => array(
		"singular" => "configParamValue",
		"plural" => "configParamValues",
		"file" => "system",
	),
	"request" => array(
		'command' => "GetConfigParamValues",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("configParamValues", "configParamValue"),
	),
	"insert" => array(
		"command" => "SetConfigParamValues",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetConfigParamValues",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetConfigParamValues",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeMapID")),
	),
	"table" => "config_param_values",
	"columns" => array(
		"configParamValueID" => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_RESTRICT_EDIT|COLUMN_RESTRICT_REMOVE,
		"configParamID" => COLUMN_ID|COLUMN_LISTABLE|COLUMN_RESTRICT_EDIT|COLUMN_RESTRICT_REMOVE,
		"configParamName" => COLUMN_PRIMARY_NAME|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"configParamValueName" => COLUMN_TEXT|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"configParamValueTransKey" => COLUMN_TEXT|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"configParamValueOrder" => COLUMN_INT|COLUMN_EDITABLE|COLUMN_LISTABLE,
	),
	"columnLabels" => array(
	),
	"display" => array(
		"context" => array(
			"configParamID" => "configParams",
		),
	),
);
