<?php
// $Id: contactEmailActionRels.php 8563 2006-08-30 00:43:08Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['contactEmailActionRels'] = array(
	"names" => array(
		"singular" => "contactEmailActionRel",
		"plural" => "contactEmailActionRels",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetContactEmailActionRels",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("contactEmailActionRels", "contactEmailActionRel"),
	),
	"insert" => array(
		'command' => "SetContactEmailActionRels",
		'subCommand' => "insert",
		'params' => array(),
	),
	"update" => array(
		'command' => "SetContactEmailActionRels",
		'subCommand' => "update",
		'params' => array(),
	),
	"delete" => array(
		'command' => "SetContactEmailActionRels",
		'subCommand' => "delete",
		'params' => array(),
	),
	"table" => "contact_email_action_rel",
	"columns" => array(
		"clientContactID" => COLUMN_ID,
		"emailActionID" => COLUMN_ID,
	),
	"display" => array(
		"context" => array(
			"clientContactID" => "contacts",
			//"emailActionID" => "emailActions",
		),
	),
);

?>
