<?php
// $Id: cycleDiscountGroups.php 9919 2006-11-02 16:14:06Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['cycleDiscountGroups'] = array(
	"names" => array(
		"singular" => "cycleDiscountGroup",
		"plural" => "cycleDiscountGroups",
		"file" => "products",
	),
	"request" => array(
		'command' => "GetCycleDiscountGroups",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("cycleDiscountGroups", "cycleDiscountGroup"),
	),
	"insert" => array(
		"command" => "SetCycleDiscountGroups",
		"subCommand" => "insert",
		"params" => array(),//$allParamsRoot,
	),
	"update" => array(
		"command" => "SetCycleDiscountGroups",
		"subCommand" => "update",
		"params" => array(),//$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetCycleDiscountGroups",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeID")),
	),
	"table" => "cycle_discount_groups",
	"columns" => array(
		"cycleDiscountGroupID" => COLUMN_PRIMARY_KEY|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
		"cycleDiscountGroupName" => COLUMN_PRIMARY_NAME|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		"cycleDiscountGroupActive" => COLUMN_BOOL|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		"cycleDiscountGroupID" => TRANS_GROUP_ID,
		"cycleDiscountGroupName" => TRANS_DISCOUNT_GROUP_NAME,
		"cycleDiscountGroupActive" => TRANS_ACTIVE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_PRODUCTS",
		"childName" => "TRANS_MANAGE_CYCLE_DISCOUNTS",
		"sideNavMajor" => "products",
		"sideNavMinor" => "cyclediscounts",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_DISCOUNT_GROUP",
			"show" => "TRANS_SHOW_DISCOUNT_GROUPS",
			"add" => "TRANS_ADD_DISCOUNT_GROUP",
		)
	),
	"display" => array(
		'revContext' => array(
			"cycleDiscounts" => "cycleDiscountGroupID",
		),
		'showTemplate' => "1",
		'editTemplate' => "1",
		'addTemplate' => "1",
		"suppressActions" => array("showdetails"),
	),
);
