<?php
// $Id: cycleDiscounts.php 8548 2006-08-29 16:43:12Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['cycleDiscounts'] = array(
	"names" => array(
		"singular" => "cycleDiscount",
		"plural" => "cycleDiscounts",
		"file" => "products",
	),
	"request" => array(
		'command' => "GetCycleDiscounts",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("cycleDiscounts", "cycleDiscount"),
	),
	"insert" => array(
		"command" => "SetCycleDiscounts",
		"subCommand" => "insert",
		"params" => array(),//$allParamsRoot,
	),
	"update" => array(
		"command" => "SetCycleDiscounts",
		"subCommand" => "update",
		"params" => array(),//$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetCycleDiscounts",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeID")),
	),
	"table" => "cycle_discounts",
	"columns" => array(
		"cycleDiscountID" => COLUMN_PRIMARY_KEY|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
		"cycleDiscountGroupID" => COLUMN_ID|COLUMN_EDITABLE|COLUMN_IS_QUICK_EDITABLE|COLUMN_LISTABLE,
		"cycleDiscountActive" => COLUMN_BOOL|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		"cycleID" => COLUMN_ID|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		"cycleDiscountAmount" => COLUMN_AMOUNT|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		"cycleDiscountID" => "TRANS_DISCOUNT_ID",
		"cycleDiscountGroupID" => "TRANS_DISCOUNT_GROUP",
		"cycleDiscountActive" => "TRANS_ACTIVE",
		"cycleID" => "TRANS_CYCLE",
		"cycleDiscountAmount" => "TRANS_DISCOUNT_PERCENTAGE",
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_PRODUCTS",
		"childName" => "TRANS_MANAGE_CYCLE_DISCOUNTS",
		"sideNavMajor" => "products",
		"sideNavMinor" => "cyclediscounts",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_DISCOUNT",
			"show" => "TRANS_SHOW_DISCOUNTS",
			"add" => "TRANS_ADD_DISCOUNT",
		)
	),
	"display" => array(
		'context' => array(
			"cycleDiscountGroupID" => "cycleDiscountGroups",
			"cycleID" => "cycles",
		),
		'showTemplate' => "1",
		'editTemplate' => "1",
		'addTemplate' => "1",
		"suppressActions" => array("showdetails"),
	),
);
