<?php
// $Id: cycleGroups.php 9876 2006-10-31 01:07:20Z mfountain $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["cycleGroups"] = array(
	"names" => array(
		"singular" => "cycleGroup",
		"plural" => "cycleGroups",
		"file" => "products",
	),
	"request" => array(
		"command" => "GetCycleGroups",
		"subCommand" => "",
		"params" => array(),
	),
	"response" => array(
		"path" => array("cycleGroups", "cycleGroup"),
	),
	"insert" => array(
		"command" => "SetCycleGroups",
		"subCommand" => "insert",
		"params" => array(),
	),
	"update" => array(
		"command" => "SetCycleGroups",
		"subCommand" => "update",
		"params" => array(),
	),
	"delete" => array(
		"command" => "SetCycleGroups",
		"subCommand" => "delete",
		"params" => array(),
	),
	"table" => "cycle_groups",
	"columns" => array(
		"cycleGroupID" => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		"cycleGroupDisplayName" => COLUMN_PRIMARY_NAME|COLUMN_TRANSLATION_MESSAGE|COLUMN_LISTABLE|COLUMN_EDITABLE|COLUMN_IS_QUICK_EDITABLE,
		"cycleGroupInternalName" => COLUMN_TEXT|COLUMN_TRANSLATION_MESSAGE|COLUMN_LISTABLE|COLUMN_EDITABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		"cycleGroupID" => "TRANS_ID",
		"cycleGroupDisplayName" => "TRANS_NAME",
		"cycleGroupInternalName" => "TRANS_INTERNAL_NAME",
	),
	"relations" => array(
		"cycles" => array("cycle_group_rel", "cycleIDs", "cycleID"),
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_PRODUCTS",
		"childName" => "TRANS_MANAGE_PRODUCTS",
		"sideNavMajor" => "products",
		"sideNavMinor" => "cycles",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_CYCLE_GROUP",
			"show" => "TRANS_SHOW_CYCLE_GROUPS",
			"add" => "TRANS_ADD_CYCLE_GROUP",
			//"showdetails" => "TRANS_CYCLE_GROUP_DETAILS",
			"remove" => "TRANS_REMOVE_CYCLE_GROUP",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		//"showDetailsTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"suppressActions" => array("showdetails"),
	),
);

?>
