<?php
// $Id: domains.php 8911 2006-09-14 21:49:35Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

function domainColumnGenerator(&$row) {
	$row["domainDisplayName"] = $row["domainSLD"] . "." . $row["domainTLD"];
	return true;
}
$CONF['sources']['domains'] = array(
	"names" => array(
		"singular" => "domain",
		"plural" => "domains",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetDomains",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("domains", "domain"),
	),
	"insert" => array(
		"command" => "SetDomains",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetDomains",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetDomains",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("domainID")),
	),
	"table" => "package_domains",
	"columns" => array(
		"domainID" => COLUMN_PRIMARY_KEY,
		"domainDisplayName" => COLUMN_PRIMARY_NAME,
		"domainSLD" => COLUMN_TEXT,
		"domainTLD" => COLUMN_TEXT,
		"domainIDNLanguage" => COLUMN_STRING,
		"domainActive" => COLUMN_ACTIVE,
		"domainDateCreated" => COLUMN_DATE,
		"domainDateExpires" => COLUMN_DATE,
		"domainRemotePurchaseID" => COLUMN_STRING,
		"domainRemoteDomainID" => COLUMN_STRING,
		"registrarID" => COLUMN_ID,
		"domainRenewType" => COLUMN_TYPE,
	),
	"refColumnGenerator" => "domainColumnGenerator",
	"relations" => array(
		"packages" => array("package_domain_rel", "packageIDs", "packageID"),
	),
	"types" => array(
		"domainRenewType" => "tldRenew",
	),
	"display" => array(
		'showTemplate' => "products/ShowDomains",
	),
);

?>
