<?php
// $Id: emailTemplates.php 11436 2007-06-25 18:54:45Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["emailTemplates"] = baseMap("email_tpls", "emails", "emailTemplates", "emailTemplate") + array(
	"columns" => array(
		"emailTplID" => COLUMN_PRIMARY_KEY,
		"emailTplGroupID" => COLUMN_ID,
		"emailTplSubject" => COLUMN_PRIMARY_NAME,
		"emailTplPrimary" => COLUMN_BOOL,
		"emailTplBody" => COLUMN_TEXT,
		"emailTplTextBody" => COLUMN_TEXT,
		"languageID" => COLUMN_ID,
		"countryType" => COLUMN_TYPE,
		"countriesID" => COLUMN_ID,
		"regionsID" => COLUMN_TEXT,
	),
	"types" => array(
		"countryType" => "countryTypes",
	),
	"display" => array(
		"options" => array("countries", "languages"),
		"context" => array(
			//"emailTplGroupID" => "emailTplGroups",
			"languageID" => "languages",
			"countriesID" => "countries",
		),
		"editTemplate" => "emails/EditEmailTemplate",
	),
);

