<?php
// $Id: fraudResultsLog.php 9946 2006-11-03 22:45:16Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["fraudResultsLog"] = array(
	"names" => array(
		"singular" => "fraudResultsLog",
		"plural" => "fraudResultsLogs",
		"file" => "invoices",
	),
	"request" => array(
		"command" => "GetFraudResultsLog",
		"subCommand" => "",
		"params" => array(),
	),
	"response" => array(
		"path" => array("fraudResultsLogs", "fraudResultsLog"),
	),
	"insert" => array(
		"command" => "SetFraudResultsLog",
		"subCommand" => "insert",
		"params" => array(),
	),
	"update" => array(
		"command" => "SetFraudResultsLog",
		"subCommand" => "update",
		"params" => array(),
	),
	"delete" => array(
		"command" => "SetFraudResultsLog",
		"subCommand" => "delete",
		"params" => array(),
	),
	"table" => "fraud_results_log",
	"columns" => array(
		"fraudResultsLogID" => COLUMN_PRIMARY_KEY,
		"thresholdID" => COLUMN_ID,
		"clientID" => COLUMN_ID,
		"orderFormID" => COLUMN_ID,
		"fraudResultIP" => COLUMN_INT,
		"fraudResultIPCountryMatch" => COLUMN_INT,
		"fraudResultIPDistance" => COLUMN_INT,
		"fraudResultBin" => COLUMN_INT,
		"fraudResultBinMatch" => COLUMN_INT,
		"fraudResultBinBankMatch" => COLUMN_INT,
		"fraudResultBinPhoneMatch" => COLUMN_INT,
		"fraudResultRiskyEmail" => COLUMN_INT,
		"fraudResultRiskyCountry" => COLUMN_INT,
		"fraudResultRiskyShipping" => COLUMN_INT,
		"fraudResultIsFreeEmail" => COLUMN_INT,
		"fraudResultIsAnonProxy" => COLUMN_INT,
		"fraudResultIsOpenProxy" => COLUMN_INT,
		"fraudResultDateCreated" => COLUMN_DATE,
		"fraudResultPhoneMatch" => COLUMN_INT,
		"fraudResultBillingMatch" => COLUMN_INT,
		"fraudResultShipMatch" => COLUMN_INT,
		"fraudResultBinCountry" => COLUMN_STRING,
		"fraudResultBinName" => COLUMN_STRING,
		"fraudResultBinPhone" => COLUMN_STRING,
		"fraudResultOAmountAction" => COLUMN_STRING,
		"fraudResultScoreAction" => COLUMN_STRING,
		"fraudResultFinalActionUsed" => COLUMN_STRING,
		"fraudResultOrderEmail" => COLUMN_STRING,
		"fraudResultIPCity" => COLUMN_STRING,
		"fraudResultIPRegion" => COLUMN_STRING,
		"fraudResultIPCountry" => COLUMN_STRING,
		"fraudResultIPIsp" => COLUMN_STRING,
		"fraudResultIPOrg" => COLUMN_STRING,
		"fraudResultIPLon" => COLUMN_STRING,
		"fraudResultIPLat" => COLUMN_STRING,
		"fraudResultError" => COLUMN_STRING,
        "fraudResultDefaultScore" => COLUMN_FLOAT,
        "fraudResultAdjustedScore" => COLUMN_FLOAT,
        "fraudResultOrderAmount" => COLUMN_AMOUNT,
        "fraudResultOAmount" => COLUMN_AMOUNT,
        "fraudResultSpamScore" => COLUMN_FLOAT,
	),
	"display" => array(
		"context" => array(
			###"thresholdID" => "fraudCountryThresholds", // may need later
			"clientID" => "clients",
		),
		"revContext" => array(
		)
	),
);
?>
