<?php
// $Id: batchLogs.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["batchLogs"] = baseMap("batch_log", null, "batchLogs", "batchLog") + array(
	"columns" => array(
		'batchLogID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'batchDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'batchSumApproved' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'batchSumDeclined' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'batchSumError' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'batchNumApproved' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'batchNumDeclined' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'batchNumError' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'batchLogID' => TRANS_BATCH_LOG_ID,
		'batchDateCreated' => TRANS_BATCH_DATE_CREATED,
		'batchSumApproved' => TRANS_BATCH_SUM_APPROVED,
		'batchSumDeclined' => TRANS_BATCH_SUM_DECLINED,
		'batchSumError' => TRANS_BATCH_SUM_ERROR,
		'batchNumApproved' => TRANS_BATCH_NUM_APPROVED,
		'batchNumDeclined' => TRANS_BATCH_NUM_DECLINED,
		'batchNumError' => TRANS_BATCH_NUM_ERROR,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_BATCHLOGS",
		"childName" => "TRANS_BATCHLOGS",
		"sideNavMajor" => "batchLogs",
		"sideNavMinor" => "batchLogs",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_BATCHLOG",
			"show" => "TRANS_SHOW_BATCHLOGS",
			"add" => "TRANS_ADD_BATCHLOG",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
		),
	),
);