<?php
// $Id: bookmarks.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["bookmarks"] = baseMap("bookmarks", null, "bookmarks", "bookmark") + array(
	"columns" => array(
		'bookmarkID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'adminID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'clientID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'bookmarkURL' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'bookmarkAction' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'bookmarkArgs' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'bookmarkName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'bookmarkTarget' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'bookmarkWindowWidth' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'bookmarkWindowHeight' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'bookmarkCount' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'bookmarkID' => TRANS_BOOKMARK_ID,
		'adminID' => TRANS_ADMIN_ID,
		'clientID' => TRANS_CLIENT_ID,
		'bookmarkURL' => TRANS_BOOKMARK_URL,
		'bookmarkAction' => TRANS_BOOKMARK_ACTION,
		'bookmarkArgs' => TRANS_BOOKMARK_ARGS,
		'bookmarkName' => TRANS_BOOKMARK_NAME,
		'bookmarkTarget' => TRANS_BOOKMARK_TARGET,
		'bookmarkWindowWidth' => TRANS_BOOKMARK_WINDOW_WIDTH,
		'bookmarkWindowHeight' => TRANS_BOOKMARK_WINDOW_HEIGHT,
		'bookmarkCount' => TRANS_BOOKMARK_COUNT,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_BOOKMARKS",
		"childName" => "TRANS_BOOKMARKS",
		"sideNavMajor" => "bookmarks",
		"sideNavMinor" => "bookmarks",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_BOOKMARK",
			"show" => "TRANS_SHOW_BOOKMARKS",
			"add" => "TRANS_ADD_BOOKMARK",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'adminID' => 'admins',
			'clientID' => 'clients',
		),
		"revContext" => array(
		),
	),
);