<?php
// $Id: callbackLogs.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["callbackLogs"] = baseMap("callback_log", null, "callbackLogs", "callbackLog") + array(
	"columns" => array(
		'callbackLogID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'callbackLogType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'callbackLogTransactionID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'callbackLogParentTransactionID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'callbackLogAction' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'callbackLogActionStatus' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'clientID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'billingAccountID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'transactionID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'subscriptionID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'callbackLogDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'callbackLogID' => TRANS_CALLBACK_LOG_ID,
		'callbackLogType' => TRANS_CALLBACK_LOG_TYPE,
		'callbackLogTransactionID' => TRANS_CALLBACK_LOG_TRANSACTION_ID,
		'callbackLogParentTransactionID' => TRANS_CALLBACK_LOG_PARENT_TRANSACTION_ID,
		'callbackLogAction' => TRANS_CALLBACK_LOG_ACTION,
		'callbackLogActionStatus' => TRANS_CALLBACK_LOG_ACTION_STATUS,
		'clientID' => TRANS_CLIENT_ID,
		'billingAccountID' => TRANS_BILLING_ACCOUNT_ID,
		'transactionID' => TRANS_TRANSACTION_ID,
		'subscriptionID' => TRANS_SUBSCRIPTION_ID,
		'configGroupID' => TRANS_CONFIG_GROUP_ID,
		'callbackLogDateCreated' => TRANS_CALLBACK_LOG_DATE_CREATED,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_CALLBACKLOGS",
		"childName" => "TRANS_CALLBACKLOGS",
		"sideNavMajor" => "callbackLogs",
		"sideNavMinor" => "callbackLogs",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_CALLBACKLOG",
			"show" => "TRANS_SHOW_CALLBACKLOGS",
			"add" => "TRANS_ADD_CALLBACKLOG",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'clientID' => 'clients',
			'billingAccountID' => 'clientBillingAccounts',
			'transactionID' => 'transactionLogs',
			'subscriptionID' => 'subscriptions',
			'configGroupID' => 'configGroups',
		),
		"revContext" => array(
			'callbackLogAttributes' => 'callbackLogID',
		),
	),
);