<?php
// $Id: clientBillingAccountShares.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["clientBillingAccountShares"] = baseMap("client_billing_account_shares", null, "clientBillingAccountShares", "clientBillingAccountShare") + array(
	"columns" => array(
		'billingAccountShareID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'billingAccountID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'billingAccountFallbackGroup' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'billingAccountShareGroup' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'billingAccountShareValue' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'billingAccountShareID' => TRANS_BILLING_ACCOUNT_SHARE_ID,
		'billingAccountID' => TRANS_BILLING_ACCOUNT_ID,
		'packageID' => TRANS_PACKAGE_ID,
		'billingAccountFallbackGroup' => TRANS_BILLING_ACCOUNT_FALLBACK_GROUP,
		'billingAccountShareGroup' => TRANS_BILLING_ACCOUNT_SHARE_GROUP,
		'billingAccountShareValue' => TRANS_BILLING_ACCOUNT_SHARE_VALUE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_CLIENTBILLINGACCOUNTSHARES",
		"childName" => "TRANS_CLIENTBILLINGACCOUNTSHARES",
		"sideNavMajor" => "clientBillingAccountShares",
		"sideNavMinor" => "clientBillingAccountShares",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_CLIENTBILLINGACCOUNTSHARE",
			"show" => "TRANS_SHOW_CLIENTBILLINGACCOUNTSHARES",
			"add" => "TRANS_ADD_CLIENTBILLINGACCOUNTSHARE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'billingAccountID' => 'clientBillingAccounts',
			'packageID' => 'packages',
		),
		"revContext" => array(
			'paymentQueues' => 'billingAccountShareID',
			'transactionSuccessRels' => 'billingAccountShareID',
		),
	),
);