<?php
// $Id: clientChangeLogs.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["clientChangeLogs"] = baseMap("client_change_log", null, "clientChangeLogs", "clientChangeLog") + array(
	"columns" => array(
		'changeLogID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'clientID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'changeLogDBTableName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'changeLogDBTablePk' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'changeLogDBTablePkvalue' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'changeLogColumnName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'changeLogOldValue' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'changeLogNewValue' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'changeLogActionBy' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'changeLogActionWho' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'parentChangeLogID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'changeLogDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'changeLogID' => TRANS_CHANGE_LOG_ID,
		'clientID' => TRANS_CLIENT_ID,
		'changeLogDBTableName' => TRANS_CHANGE_LOG_DB_TABLE_NAME,
		'changeLogDBTablePk' => TRANS_CHANGE_LOG_DB_TABLE_PK,
		'changeLogDBTablePkvalue' => TRANS_CHANGE_LOG_DB_TABLE_PKVALUE,
		'changeLogColumnName' => TRANS_CHANGE_LOG_COLUMN_NAME,
		'changeLogOldValue' => TRANS_CHANGE_LOG_OLD_VALUE,
		'changeLogNewValue' => TRANS_CHANGE_LOG_NEW_VALUE,
		'changeLogActionBy' => TRANS_CHANGE_LOG_ACTION_BY,
		'changeLogActionWho' => TRANS_CHANGE_LOG_ACTION_WHO,
		'parentChangeLogID' => TRANS_PARENT_CHANGE_LOG_ID,
		'changeLogDateCreated' => TRANS_CHANGE_LOG_DATE_CREATED,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_CLIENTCHANGELOGS",
		"childName" => "TRANS_CLIENTCHANGELOGS",
		"sideNavMajor" => "clientChangeLogs",
		"sideNavMinor" => "clientChangeLogs",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_CLIENTCHANGELOG",
			"show" => "TRANS_SHOW_CLIENTCHANGELOGS",
			"add" => "TRANS_ADD_CLIENTCHANGELOG",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'clientID' => 'clients',
		),
		"revContext" => array(
		),
	),
);