<?php
// $Id: clientContacts.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["clientContacts"] = baseMap("client_contacts", null, "clientContacts", "clientContact") + array(
	"columns" => array(
		'clientContactID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'clientID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactUsername' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactPassword' => COLUMN_PASSWORD|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactTempPassword' => COLUMN_PASSWORD|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactFirstName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactLastName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactEmail' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactEmailFormat' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactEmailInvoicePdf' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactCompany' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactAddress1' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactAddress2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactCity' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactCounty' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactState' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactZip' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'languageID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'countriesID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactPhone1' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactPhone2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactFax' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactMobilePhone' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactPrimary' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactActive' => COLUMN_ACTIVE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactExternalID1' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactExternalID2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'contactExternalID3' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'clientContactID' => TRANS_CLIENT_CONTACT_ID,
		'clientID' => TRANS_CLIENT_ID,
		'contactUsername' => TRANS_CONTACT_USERNAME,
		'contactPassword' => TRANS_CONTACT_PASSWORD,
		'contactTempPassword' => TRANS_CONTACT_TEMP_PASSWORD,
		'contactFirstName' => TRANS_CONTACT_FIRST_NAME,
		'contactLastName' => TRANS_CONTACT_LAST_NAME,
		'contactEmail' => TRANS_CONTACT_EMAIL,
		'contactEmailFormat' => TRANS_CONTACT_EMAIL_FORMAT,
		'contactEmailInvoicePdf' => TRANS_CONTACT_EMAIL_INVOICE_PDF,
		'contactCompany' => TRANS_CONTACT_COMPANY,
		'contactAddress1' => TRANS_CONTACT_ADDRESS_1,
		'contactAddress2' => TRANS_CONTACT_ADDRESS_2,
		'contactCity' => TRANS_CONTACT_CITY,
		'contactCounty' => TRANS_CONTACT_COUNTY,
		'contactState' => TRANS_CONTACT_STATE,
		'contactZip' => TRANS_CONTACT_ZIP,
		'languageID' => TRANS_LANGUAGE_ID,
		'countriesID' => TRANS_COUNTRIES_ID,
		'contactPhone1' => TRANS_CONTACT_PHONE1,
		'contactPhone2' => TRANS_CONTACT_PHONE2,
		'contactFax' => TRANS_CONTACT_FAX,
		'contactMobilePhone' => TRANS_CONTACT_MOBILE_PHONE,
		'contactDateCreated' => TRANS_CONTACT_DATE_CREATED,
		'contactPrimary' => TRANS_CONTACT_PRIMARY,
		'contactActive' => TRANS_CONTACT_ACTIVE,
		'contactExternalID1' => TRANS_CONTACT_EXTERNAL_ID_1,
		'contactExternalID2' => TRANS_CONTACT_EXTERNAL_ID_2,
		'contactExternalID3' => TRANS_CONTACT_EXTERNAL_ID_3,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_CLIENTCONTACTS",
		"childName" => "TRANS_CLIENTCONTACTS",
		"sideNavMajor" => "clientContacts",
		"sideNavMinor" => "clientContacts",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_CLIENTCONTACT",
			"show" => "TRANS_SHOW_CLIENTCONTACTS",
			"add" => "TRANS_ADD_CLIENTCONTACT",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'clientID' => 'clients',
			'languageID' => 'languages',
			'countriesID' => 'countries',
		),
		"revContext" => array(
			'clientBillingAccounts' => 'clientContactID',
			'clientContactSessionRels' => 'clientContactID',
			'contactEmailActionRels' => 'clientContactID',
			'emailQueues' => 'clientContactID',
			'invoices' => 'clientContactID',
			'packages' => 'clientContactID',
			'secretAnswers' => 'clientContactID',
			'shoppingSessions' => 'clientContactID',
		),
	),
);