<?php
// $Id: clientNotes.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["clientNotes"] = baseMap("client_notes", null, "clientNotes", "clientNote") + array(
	"columns" => array(
		'clientNoteID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'clientID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'adminID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'clientNoteDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'clientNoteDateModified' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'clientNoteText' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'clientNoteID' => TRANS_CLIENT_NOTE_ID,
		'clientID' => TRANS_CLIENT_ID,
		'adminID' => TRANS_ADMIN_ID,
		'clientNoteDateCreated' => TRANS_CLIENT_NOTE_DATE_CREATED,
		'clientNoteDateModified' => TRANS_CLIENT_NOTE_DATE_MODIFIED,
		'clientNoteText' => TRANS_CLIENT_NOTE_TEXT,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_CLIENTNOTES",
		"childName" => "TRANS_CLIENTNOTES",
		"sideNavMajor" => "clientNotes",
		"sideNavMinor" => "clientNotes",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_CLIENTNOTE",
			"show" => "TRANS_SHOW_CLIENTNOTES",
			"add" => "TRANS_ADD_CLIENTNOTE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'clientID' => 'clients',
			'adminID' => 'admins',
		),
		"revContext" => array(
		),
	),
);