<?php
// $Id: configGroups.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["configGroups"] = baseMap("config_groups", null, "configGroups", "configGroup") + array(
	"columns" => array(
		'configGroupID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'parentConfigGroupID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupIcon' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupTransKey' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupOrder' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupLocked' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupActionFile' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupActionName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'configGroupID' => TRANS_CONFIG_GROUP_ID,
		'parentConfigGroupID' => TRANS_PARENT_CONFIG_GROUP_ID,
		'configGroupName' => TRANS_CONFIG_GROUP_NAME,
		'configGroupIcon' => TRANS_CONFIG_GROUP_ICON,
		'configGroupTransKey' => TRANS_CONFIG_GROUP_TRANS_KEY,
		'configGroupOrder' => TRANS_CONFIG_GROUP_ORDER,
		'configGroupLocked' => TRANS_CONFIG_GROUP_LOCKED,
		'configGroupActionFile' => TRANS_CONFIG_GROUP_ACTION_FILE,
		'configGroupActionName' => TRANS_CONFIG_GROUP_ACTION_NAME,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_CONFIGGROUPS",
		"childName" => "TRANS_CONFIGGROUPS",
		"sideNavMajor" => "configGroups",
		"sideNavMinor" => "configGroups",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_CONFIGGROUP",
			"show" => "TRANS_SHOW_CONFIGGROUPS",
			"add" => "TRANS_ADD_CONFIGGROUP",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'attributes' => 'configGroupID',
			'callbackLogs' => 'configGroupID',
			'configParams' => 'configGroupID',
			'fraudSets' => 'configGroupID',
			'gwTransactions' => 'configGroupID',
			'ipLogs' => 'configGroupID',
			'packageAddonAttributes' => 'configGroupID',
			'packageAttributes' => 'configGroupID',
			'packageConfigGroupRels' => 'configGroupID',
			'packageUsageLogs' => 'configGroupID',
			'paymentGroupsGatewayRels' => 'configGroupID',
			'subscriptions' => 'configGroupID',
			'systemQueues' => 'configGroupID',
			'transactionLogs' => 'configGroupID',
		),
	),
);