<?php
// $Id: configParamValues.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["configParamValues"] = baseMap("config_param_values", null, "configParamValues", "configParamValue") + array(
	"columns" => array(
		'configParamValueID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'configParamID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configParamValueName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configParamValueTransKey' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configParamValueOrder' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'configParamValueID' => TRANS_CONFIG_PARAM_VALUE_ID,
		'configParamID' => TRANS_CONFIG_PARAM_ID,
		'configParamValueName' => TRANS_CONFIG_PARAM_VALUE_NAME,
		'configParamValueTransKey' => TRANS_CONFIG_PARAM_VALUE_TRANS_KEY,
		'configParamValueOrder' => TRANS_CONFIG_PARAM_VALUE_ORDER,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_CONFIGPARAMVALUES",
		"childName" => "TRANS_CONFIGPARAMVALUES",
		"sideNavMajor" => "configParamValues",
		"sideNavMinor" => "configParamValues",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_CONFIGPARAMVALUE",
			"show" => "TRANS_SHOW_CONFIGPARAMVALUES",
			"add" => "TRANS_ADD_CONFIGPARAMVALUE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'configParamID' => 'configParams',
		),
		"revContext" => array(
		),
	),
);