<?php
// $Id: dataChangeLogs.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["dataChangeLogs"] = baseMap("data_change_log", null, "dataChangeLogs", "dataChangeLog") + array(
	"columns" => array(
		'changeLogID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'userType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'userID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'changeLogDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'changeLogTableName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'changeLogColumnName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'changeLogColumnID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'changeLogID' => TRANS_CHANGE_LOG_ID,
		'userType' => TRANS_USER_TYPE,
		'userID' => TRANS_USER_ID,
		'changeLogDateCreated' => TRANS_CHANGE_LOG_DATE_CREATED,
		'changeLogTableName' => TRANS_CHANGE_LOG_TABLE_NAME,
		'changeLogColumnName' => TRANS_CHANGE_LOG_COLUMN_NAME,
		'changeLogColumnID' => TRANS_CHANGE_LOG_COLUMN_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_DATACHANGELOGS",
		"childName" => "TRANS_DATACHANGELOGS",
		"sideNavMajor" => "dataChangeLogs",
		"sideNavMinor" => "dataChangeLogs",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_DATACHANGELOG",
			"show" => "TRANS_SHOW_DATACHANGELOGS",
			"add" => "TRANS_ADD_DATACHANGELOG",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
		),
	),
);