<?php
// $Id: dbgPageloads.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["dbgPageloads"] = baseMap("dbg_pageloads", null, "dbgPageloads", "dbgPageload") + array(
	"columns" => array(
		'dbgPageloadID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'dbgPageloadDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'dbgPageloadPage' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'dbgPageloadAction' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'dbgPageloadPid' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'userType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'userID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'dbgPageloadID' => TRANS_DBG_PAGELOAD_ID,
		'dbgPageloadDateCreated' => TRANS_DBG_PAGELOAD_DATE_CREATED,
		'dbgPageloadPage' => TRANS_DBG_PAGELOAD_PAGE,
		'dbgPageloadAction' => TRANS_DBG_PAGELOAD_ACTION,
		'dbgPageloadPid' => TRANS_DBG_PAGELOAD_PID,
		'userType' => TRANS_USER_TYPE,
		'userID' => TRANS_USER_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_DBGPAGELOADS",
		"childName" => "TRANS_DBGPAGELOADS",
		"sideNavMajor" => "dbgPageloads",
		"sideNavMinor" => "dbgPageloads",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_DBGPAGELOAD",
			"show" => "TRANS_SHOW_DBGPAGELOADS",
			"add" => "TRANS_ADD_DBGPAGELOAD",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'dbgEntries' => 'dbgPageloadID',
		),
	),
);