<?php
// $Id: emailAddresses.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["emailAddresses"] = baseMap("email_addresses", null, "emailAddresses", "emailAddresse") + array(
	"columns" => array(
		'emailAddressID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'emailAddressName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailAddress' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailAddressType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'emailAddressID' => TRANS_EMAIL_ADDRESS_ID,
		'emailAddressName' => TRANS_EMAIL_ADDRESS_NAME,
		'emailAddress' => TRANS_EMAIL_ADDRESS,
		'emailAddressType' => TRANS_EMAIL_ADDRESS_TYPE,
		'emailID' => TRANS_EMAIL_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_EMAILADDRESSES",
		"childName" => "TRANS_EMAILADDRESSES",
		"sideNavMajor" => "emailAddresses",
		"sideNavMinor" => "emailAddresses",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_EMAILADDRESSE",
			"show" => "TRANS_SHOW_EMAILADDRESSES",
			"add" => "TRANS_ADD_EMAILADDRESSE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'emailID' => 'emailQueues',
		),
		"revContext" => array(
		),
	),
);