<?php
// $Id: emailQueues.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["emailQueues"] = baseMap("email_queue", null, "emailQueues", "emailQueue") + array(
	"columns" => array(
		'emailID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'clientContactID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'adminID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailSubject' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailBody' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailTextBody' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailFromAddress' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailFromName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailSent' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailSentType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailFailed' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailDateSent' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailActive' => COLUMN_ACTIVE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'emailID' => TRANS_EMAIL_ID,
		'clientContactID' => TRANS_CLIENT_CONTACT_ID,
		'adminID' => TRANS_ADMIN_ID,
		'emailSubject' => TRANS_EMAIL_SUBJECT,
		'emailBody' => TRANS_EMAIL_BODY,
		'emailTextBody' => TRANS_EMAIL_TEXT_BODY,
		'emailFromAddress' => TRANS_EMAIL_FROM_ADDRESS,
		'emailFromName' => TRANS_EMAIL_FROM_NAME,
		'emailSent' => TRANS_EMAIL_SENT,
		'emailSentType' => TRANS_EMAIL_SENT_TYPE,
		'emailFailed' => TRANS_EMAIL_FAILED,
		'emailDateCreated' => TRANS_EMAIL_DATE_CREATED,
		'emailDateSent' => TRANS_EMAIL_DATE_SENT,
		'emailActive' => TRANS_EMAIL_ACTIVE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_EMAILQUEUES",
		"childName" => "TRANS_EMAILQUEUES",
		"sideNavMajor" => "emailQueues",
		"sideNavMinor" => "emailQueues",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_EMAILQUEUE",
			"show" => "TRANS_SHOW_EMAILQUEUES",
			"add" => "TRANS_ADD_EMAILQUEUE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'clientContactID' => 'clientContacts',
			'adminID' => 'admins',
		),
		"revContext" => array(
			'emailAddresses' => 'emailID',
			'emailAttachments' => 'emailID',
			'emailHeaders' => 'emailID',
		),
	),
);