<?php
// $Id: emailTplGroups.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["emailTplGroups"] = baseMap("email_tpl_groups", null, "emailTplGroups", "emailTplGroup") + array(
	"columns" => array(
		'emailTplGroupID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'emailTplGroupName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailActionID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailTplGroupPriority' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailTplGroupFromName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailTplGroupFromAddress' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailTplGroupReplyName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailTplGroupReplyAddress' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailTplGroupCCAddress' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailTplGroupBCCAddress' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'emailTplGroupID' => TRANS_EMAIL_TPL_GROUP_ID,
		'emailTplGroupName' => TRANS_EMAIL_TPL_GROUP_NAME,
		'emailActionID' => TRANS_EMAIL_ACTION_ID,
		'emailTplGroupPriority' => TRANS_EMAIL_TPL_GROUP_PRIORITY,
		'emailTplGroupFromName' => TRANS_EMAIL_TPL_GROUP_FROM_NAME,
		'emailTplGroupFromAddress' => TRANS_EMAIL_TPL_GROUP_FROM_ADDRESS,
		'emailTplGroupReplyName' => TRANS_EMAIL_TPL_GROUP_REPLY_NAME,
		'emailTplGroupReplyAddress' => TRANS_EMAIL_TPL_GROUP_REPLY_ADDRESS,
		'emailTplGroupCCAddress' => TRANS_EMAIL_TPL_GROUP_CC_ADDRESS,
		'emailTplGroupBCCAddress' => TRANS_EMAIL_TPL_GROUP_BCC_ADDRESS,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_EMAILTPLGROUPS",
		"childName" => "TRANS_EMAILTPLGROUPS",
		"sideNavMajor" => "emailTplGroups",
		"sideNavMinor" => "emailTplGroups",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_EMAILTPLGROUP",
			"show" => "TRANS_SHOW_EMAILTPLGROUPS",
			"add" => "TRANS_ADD_EMAILTPLGROUP",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'emailTpls' => 'emailTplGroupID',
			'products' => 'emailTplGroupID',
		),
	),
);