<?php
// $Id: fraudSets.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["fraudSets"] = baseMap("fraud_sets", null, "fraudSets", "fraudSet") + array(
	"columns" => array(
		'fraudSetID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'configGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudSetName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'fraudSetEmail' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'fraudSetID' => TRANS_FRAUD_SET_ID,
		'configGroupID' => TRANS_CONFIG_GROUP_ID,
		'fraudSetName' => TRANS_FRAUD_SET_NAME,
		'fraudSetEmail' => TRANS_FRAUD_SET_EMAIL,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_FRAUDSETS",
		"childName" => "TRANS_FRAUDSETS",
		"sideNavMajor" => "fraudSets",
		"sideNavMinor" => "fraudSets",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_FRAUDSET",
			"show" => "TRANS_SHOW_FRAUDSETS",
			"add" => "TRANS_ADD_FRAUDSET",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'configGroupID' => 'configGroups',
		),
		"revContext" => array(
			'fraudSetOrderFormRels' => 'fraudSetID',
			'fraudSetThresholdRels' => 'fraudSetID',
		),
	),
);