<?php
// $Id: hdBucketDepartmentRels.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["hdBucketDepartmentRels"] = baseMap("hd_bucket_department_rel", null, "hdBucketDepartmentRels", "hdBucketDepartmentRel") + array(
	"columns" => array(
		'hdBucketID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'hdDepartmentID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
	),
	"columnLabels" => array(
		'hdBucketID' => TRANS_HD_BUCKET_ID,
		'hdDepartmentID' => TRANS_HD_DEPARTMENT_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_HDBUCKETDEPARTMENTRELS",
		"childName" => "TRANS_HDBUCKETDEPARTMENTRELS",
		"sideNavMajor" => "hdBucketDepartmentRels",
		"sideNavMinor" => "hdBucketDepartmentRels",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_HDBUCKETDEPARTMENTREL",
			"show" => "TRANS_SHOW_HDBUCKETDEPARTMENTRELS",
			"add" => "TRANS_ADD_HDBUCKETDEPARTMENTREL",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
		),
	),
);