<?php
// $Id: hdTicketContacts.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["hdTicketContacts"] = baseMap("hd_ticket_contacts", null, "hdTicketContacts", "hdTicketContact") + array(
	"columns" => array(
		'hdTicketContactID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'hdTicketID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hdContactFirstName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hdContactLastName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hdContactEmail' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hdContactCompany' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hdContactAddress1' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hdContactAddress2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hdContactCity' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hdContactState' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hdContactZip' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'languageID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'countriesID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hdContactPhone1' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hdContactPhone2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hdContactFax' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hdContactDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'hdTicketContactID' => TRANS_HD_TICKET_CONTACT_ID,
		'hdTicketID' => TRANS_HD_TICKET_ID,
		'hdContactFirstName' => TRANS_HD_CONTACT_FIRST_NAME,
		'hdContactLastName' => TRANS_HD_CONTACT_LAST_NAME,
		'hdContactEmail' => TRANS_HD_CONTACT_EMAIL,
		'hdContactCompany' => TRANS_HD_CONTACT_COMPANY,
		'hdContactAddress1' => TRANS_HD_CONTACT_ADDRESS_1,
		'hdContactAddress2' => TRANS_HD_CONTACT_ADDRESS_2,
		'hdContactCity' => TRANS_HD_CONTACT_CITY,
		'hdContactState' => TRANS_HD_CONTACT_STATE,
		'hdContactZip' => TRANS_HD_CONTACT_ZIP,
		'languageID' => TRANS_LANGUAGE_ID,
		'countriesID' => TRANS_COUNTRIES_ID,
		'hdContactPhone1' => TRANS_HD_CONTACT_PHONE1,
		'hdContactPhone2' => TRANS_HD_CONTACT_PHONE2,
		'hdContactFax' => TRANS_HD_CONTACT_FAX,
		'hdContactDateCreated' => TRANS_HD_CONTACT_DATE_CREATED,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_HDTICKETCONTACTS",
		"childName" => "TRANS_HDTICKETCONTACTS",
		"sideNavMajor" => "hdTicketContacts",
		"sideNavMinor" => "hdTicketContacts",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_HDTICKETCONTACT",
			"show" => "TRANS_SHOW_HDTICKETCONTACTS",
			"add" => "TRANS_ADD_HDTICKETCONTACT",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'hdTicketID' => 'hdTickets',
			'languageID' => 'languages',
			'countriesID' => 'countries',
		),
		"revContext" => array(
		),
	),
);