<?php
// $Id: invoiceTaxZoneRels.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["invoiceTaxZoneRels"] = baseMap("invoice_tax_zone_rel", null, "invoiceTaxZoneRels", "invoiceTaxZoneRel") + array(
	"columns" => array(
		'invoiceID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'taxZoneID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'invoiceTaxAmountType' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'invoiceTaxAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'invoiceTaxTotal' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'invoiceID' => TRANS_INVOICE_ID,
		'taxZoneID' => TRANS_TAX_ZONE_ID,
		'invoiceTaxAmountType' => TRANS_INVOICE_TAX_AMOUNT_TYPE,
		'invoiceTaxAmount' => TRANS_INVOICE_TAX_AMOUNT,
		'invoiceTaxTotal' => TRANS_INVOICE_TAX_TOTAL,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_INVOICETAXZONERELS",
		"childName" => "TRANS_INVOICETAXZONERELS",
		"sideNavMajor" => "invoiceTaxZoneRels",
		"sideNavMinor" => "invoiceTaxZoneRels",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_INVOICETAXZONEREL",
			"show" => "TRANS_SHOW_INVOICETAXZONERELS",
			"add" => "TRANS_ADD_INVOICETAXZONEREL",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
		),
	),
);