<?php
// $Id: languages.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["languages"] = baseMap("languages", null, "languages", "language") + array(
	"columns" => array(
		'languageID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'languageISO2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'languageISO3' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'languageName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'languageC1' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'languageC2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'languageID' => TRANS_LANGUAGE_ID,
		'languageISO2' => TRANS_LANGUAGE_ISO2,
		'languageISO3' => TRANS_LANGUAGE_ISO3,
		'languageName' => TRANS_LANGUAGE_NAME,
		'languageC1' => TRANS_LANGUAGE_C1,
		'languageC2' => TRANS_LANGUAGE_C2,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_LANGUAGES",
		"childName" => "TRANS_LANGUAGES",
		"sideNavMajor" => "languages",
		"sideNavMinor" => "languages",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_LANGUAGE",
			"show" => "TRANS_SHOW_LANGUAGES",
			"add" => "TRANS_ADD_LANGUAGE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'admins' => 'languageID',
			'clientContacts' => 'languageID',
			'emailTpls' => 'languageID',
			'hdTicketContacts' => 'languageID',
			'orderForms' => 'languageID',
			'vendorContacts' => 'languageID',
		),
	),
);