<?php
// $Id: locales.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["locales"] = baseMap("locales", null, "locales", "locale") + array(
	"columns" => array(
		'localeID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'localeLanguage' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeCountryISO2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeCurrencyCode' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeCurrencySymbol' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeCurrencyRounding' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeCurrencyDigits' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeSeparatorDecimal' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeSeparatorGrouping' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localePatternDecimal' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localePatternCurrency' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeSignPercent' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeSignMinus' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeTimeFull' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeTimeLong' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeTimeMedium' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeTimeShort' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDateFull' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDateLong' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDateMedium' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDateShort' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDatetimePattern' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDatetimeAm' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDatetimePm' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeWeekFirstday' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeWeekWeekendStart' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeWeekWeekendEnd' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthAbbreviated1' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthAbbreviated2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthAbbreviated3' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthAbbreviated4' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthAbbreviated5' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthAbbreviated6' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthAbbreviated7' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthAbbreviated8' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthAbbreviated9' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthAbbreviated10' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthAbbreviated11' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthAbbreviated12' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthNarrow1' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthNarrow2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthNarrow3' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthNarrow4' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthNarrow5' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthNarrow6' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthNarrow7' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthNarrow8' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthNarrow9' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthNarrow10' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthNarrow11' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthNarrow12' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthWide1' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthWide2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthWide3' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthWide4' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthWide5' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthWide6' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthWide7' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthWide8' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthWide9' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthWide10' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthWide11' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeMonthWide12' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDayAbbreviatedSun' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDayAbbreviatedMon' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDayAbbreviatedTue' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDayAbbreviatedWed' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDayAbbreviatedThu' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDayAbbreviatedFri' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDayAbbreviatedSat' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDayWideSun' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDayWideMon' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDayWideTue' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDayWideWed' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDayWideThu' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDayWideFri' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'localeDayWideSat' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'localeID' => TRANS_LOCALE_ID,
		'localeLanguage' => TRANS_LOCALE_LANGUAGE,
		'localeCountryISO2' => TRANS_LOCALE_COUNTRY_ISO_2,
		'localeCurrencyCode' => TRANS_LOCALE_CURRENCY_CODE,
		'localeCurrencySymbol' => TRANS_LOCALE_CURRENCY_SYMBOL,
		'localeCurrencyRounding' => TRANS_LOCALE_CURRENCY_ROUNDING,
		'localeCurrencyDigits' => TRANS_LOCALE_CURRENCY_DIGITS,
		'localeSeparatorDecimal' => TRANS_LOCALE_SEPARATOR_DECIMAL,
		'localeSeparatorGrouping' => TRANS_LOCALE_SEPARATOR_GROUPING,
		'localePatternDecimal' => TRANS_LOCALE_PATTERN_DECIMAL,
		'localePatternCurrency' => TRANS_LOCALE_PATTERN_CURRENCY,
		'localeSignPercent' => TRANS_LOCALE_SIGN_PERCENT,
		'localeSignMinus' => TRANS_LOCALE_SIGN_MINUS,
		'localeTimeFull' => TRANS_LOCALE_TIME_FULL,
		'localeTimeLong' => TRANS_LOCALE_TIME_LONG,
		'localeTimeMedium' => TRANS_LOCALE_TIME_MEDIUM,
		'localeTimeShort' => TRANS_LOCALE_TIME_SHORT,
		'localeDateFull' => TRANS_LOCALE_DATE_FULL,
		'localeDateLong' => TRANS_LOCALE_DATE_LONG,
		'localeDateMedium' => TRANS_LOCALE_DATE_MEDIUM,
		'localeDateShort' => TRANS_LOCALE_DATE_SHORT,
		'localeDatetimePattern' => TRANS_LOCALE_DATETIME_PATTERN,
		'localeDatetimeAm' => TRANS_LOCALE_DATETIME_AM,
		'localeDatetimePm' => TRANS_LOCALE_DATETIME_PM,
		'localeWeekFirstday' => TRANS_LOCALE_WEEK_FIRSTDAY,
		'localeWeekWeekendStart' => TRANS_LOCALE_WEEK_WEEKEND_START,
		'localeWeekWeekendEnd' => TRANS_LOCALE_WEEK_WEEKEND_END,
		'localeMonthAbbreviated1' => TRANS_LOCALE_MONTH_ABBREVIATED_1,
		'localeMonthAbbreviated2' => TRANS_LOCALE_MONTH_ABBREVIATED_2,
		'localeMonthAbbreviated3' => TRANS_LOCALE_MONTH_ABBREVIATED_3,
		'localeMonthAbbreviated4' => TRANS_LOCALE_MONTH_ABBREVIATED_4,
		'localeMonthAbbreviated5' => TRANS_LOCALE_MONTH_ABBREVIATED_5,
		'localeMonthAbbreviated6' => TRANS_LOCALE_MONTH_ABBREVIATED_6,
		'localeMonthAbbreviated7' => TRANS_LOCALE_MONTH_ABBREVIATED_7,
		'localeMonthAbbreviated8' => TRANS_LOCALE_MONTH_ABBREVIATED_8,
		'localeMonthAbbreviated9' => TRANS_LOCALE_MONTH_ABBREVIATED_9,
		'localeMonthAbbreviated10' => TRANS_LOCALE_MONTH_ABBREVIATED_10,
		'localeMonthAbbreviated11' => TRANS_LOCALE_MONTH_ABBREVIATED_11,
		'localeMonthAbbreviated12' => TRANS_LOCALE_MONTH_ABBREVIATED_12,
		'localeMonthNarrow1' => TRANS_LOCALE_MONTH_NARROW_1,
		'localeMonthNarrow2' => TRANS_LOCALE_MONTH_NARROW_2,
		'localeMonthNarrow3' => TRANS_LOCALE_MONTH_NARROW_3,
		'localeMonthNarrow4' => TRANS_LOCALE_MONTH_NARROW_4,
		'localeMonthNarrow5' => TRANS_LOCALE_MONTH_NARROW_5,
		'localeMonthNarrow6' => TRANS_LOCALE_MONTH_NARROW_6,
		'localeMonthNarrow7' => TRANS_LOCALE_MONTH_NARROW_7,
		'localeMonthNarrow8' => TRANS_LOCALE_MONTH_NARROW_8,
		'localeMonthNarrow9' => TRANS_LOCALE_MONTH_NARROW_9,
		'localeMonthNarrow10' => TRANS_LOCALE_MONTH_NARROW_10,
		'localeMonthNarrow11' => TRANS_LOCALE_MONTH_NARROW_11,
		'localeMonthNarrow12' => TRANS_LOCALE_MONTH_NARROW_12,
		'localeMonthWide1' => TRANS_LOCALE_MONTH_WIDE_1,
		'localeMonthWide2' => TRANS_LOCALE_MONTH_WIDE_2,
		'localeMonthWide3' => TRANS_LOCALE_MONTH_WIDE_3,
		'localeMonthWide4' => TRANS_LOCALE_MONTH_WIDE_4,
		'localeMonthWide5' => TRANS_LOCALE_MONTH_WIDE_5,
		'localeMonthWide6' => TRANS_LOCALE_MONTH_WIDE_6,
		'localeMonthWide7' => TRANS_LOCALE_MONTH_WIDE_7,
		'localeMonthWide8' => TRANS_LOCALE_MONTH_WIDE_8,
		'localeMonthWide9' => TRANS_LOCALE_MONTH_WIDE_9,
		'localeMonthWide10' => TRANS_LOCALE_MONTH_WIDE_10,
		'localeMonthWide11' => TRANS_LOCALE_MONTH_WIDE_11,
		'localeMonthWide12' => TRANS_LOCALE_MONTH_WIDE_12,
		'localeDayAbbreviatedSun' => TRANS_LOCALE_DAY_ABBREVIATED_SUN,
		'localeDayAbbreviatedMon' => TRANS_LOCALE_DAY_ABBREVIATED_MON,
		'localeDayAbbreviatedTue' => TRANS_LOCALE_DAY_ABBREVIATED_TUE,
		'localeDayAbbreviatedWed' => TRANS_LOCALE_DAY_ABBREVIATED_WED,
		'localeDayAbbreviatedThu' => TRANS_LOCALE_DAY_ABBREVIATED_THU,
		'localeDayAbbreviatedFri' => TRANS_LOCALE_DAY_ABBREVIATED_FRI,
		'localeDayAbbreviatedSat' => TRANS_LOCALE_DAY_ABBREVIATED_SAT,
		'localeDayWideSun' => TRANS_LOCALE_DAY_WIDE_SUN,
		'localeDayWideMon' => TRANS_LOCALE_DAY_WIDE_MON,
		'localeDayWideTue' => TRANS_LOCALE_DAY_WIDE_TUE,
		'localeDayWideWed' => TRANS_LOCALE_DAY_WIDE_WED,
		'localeDayWideThu' => TRANS_LOCALE_DAY_WIDE_THU,
		'localeDayWideFri' => TRANS_LOCALE_DAY_WIDE_FRI,
		'localeDayWideSat' => TRANS_LOCALE_DAY_WIDE_SAT,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_LOCALES",
		"childName" => "TRANS_LOCALES",
		"sideNavMajor" => "locales",
		"sideNavMinor" => "locales",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_LOCALE",
			"show" => "TRANS_SHOW_LOCALES",
			"add" => "TRANS_ADD_LOCALE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
		),
	),
);