<?php
// $Id: migrationConfigs.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["migrationConfigs"] = baseMap("migration_configs", null, "migrationConfigs", "migrationConfig") + array(
	"columns" => array(
		'migrationConfigID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'migrationName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationComment' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationPaymentGroupID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationOrderFormID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationProductID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationOrphanProductID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationDBDRIVERType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationDBHOST' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationDBNAME' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationDBUSERNAME' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationDBPASSWORD' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'migrationConfigID' => TRANS_MIGRATION_CONFIG_ID,
		'migrationName' => TRANS_MIGRATION_NAME,
		'migrationComment' => TRANS_MIGRATION_COMMENT,
		'migrationPaymentGroupID' => TRANS_MIGRATION_PAYMENT_GROUP_ID,
		'migrationOrderFormID' => TRANS_MIGRATION_ORDER_FORM_ID,
		'migrationProductID' => TRANS_MIGRATION_PRODUCT_ID,
		'migrationOrphanProductID' => TRANS_MIGRATION_ORPHAN_PRODUCT_ID,
		'migrationType' => TRANS_MIGRATION_TYPE,
		'migrationDBDRIVERType' => TRANS_MIGRATION_DBDRIVER_TYPE,
		'migrationDBHOST' => TRANS_MIGRATION_DBHOST,
		'migrationDBNAME' => TRANS_MIGRATION_DBNAME,
		'migrationDBUSERNAME' => TRANS_MIGRATION_DBUSERNAME,
		'migrationDBPASSWORD' => TRANS_MIGRATION_DBPASSWORD,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_MIGRATIONCONFIGS",
		"childName" => "TRANS_MIGRATIONCONFIGS",
		"sideNavMajor" => "migrationConfigs",
		"sideNavMinor" => "migrationConfigs",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_MIGRATIONCONFIG",
			"show" => "TRANS_SHOW_MIGRATIONCONFIGS",
			"add" => "TRANS_ADD_MIGRATIONCONFIG",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'migrationMappings' => 'migrationConfigID',
			'migrationObjs' => 'migrationConfigID',
			'migrationOptions' => 'migrationConfigID',
		),
	),
);