<?php
// $Id: migrationObjs.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["migrationObjs"] = baseMap("migration_objs", null, "migrationObjs", "migrationObj") + array(
	"columns" => array(
		'migrationObjID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'migrationConfigID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationObjName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationExtSeqID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationExtObjName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationExtObjKey' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationIntSeqID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationIntObjName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'migrationIntObjKey' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'migrationObjID' => TRANS_MIGRATION_OBJ_ID,
		'migrationConfigID' => TRANS_MIGRATION_CONFIG_ID,
		'migrationObjName' => TRANS_MIGRATION_OBJ_NAME,
		'migrationExtSeqID' => TRANS_MIGRATION_EXT_SEQ_ID,
		'migrationExtObjName' => TRANS_MIGRATION_EXT_OBJ_NAME,
		'migrationExtObjKey' => TRANS_MIGRATION_EXT_OBJ_KEY,
		'migrationIntSeqID' => TRANS_MIGRATION_INT_SEQ_ID,
		'migrationIntObjName' => TRANS_MIGRATION_INT_OBJ_NAME,
		'migrationIntObjKey' => TRANS_MIGRATION_INT_OBJ_KEY,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_MIGRATIONOBJS",
		"childName" => "TRANS_MIGRATIONOBJS",
		"sideNavMajor" => "migrationObjs",
		"sideNavMinor" => "migrationObjs",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_MIGRATIONOBJ",
			"show" => "TRANS_SHOW_MIGRATIONOBJS",
			"add" => "TRANS_ADD_MIGRATIONOBJ",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'migrationConfigID' => 'migrationConfigs',
		),
		"revContext" => array(
			'migrationMappings' => 'migrationObjID',
			'migrationReservations' => 'migrationObjID',
		),
	),
);