<?php
// $Id: orderFormItems.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["orderFormItems"] = baseMap("order_form_items", null, "orderFormItems", "orderFormItem") + array(
	"columns" => array(
		'orderFormItemID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'orderFormID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orderFormItemOrder' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'orderFormItemID' => TRANS_ORDER_FORM_ITEM_ID,
		'orderFormID' => TRANS_ORDER_FORM_ID,
		'productID' => TRANS_PRODUCT_ID,
		'orderFormItemOrder' => TRANS_ORDER_FORM_ITEM_ORDER,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_ORDERFORMITEMS",
		"childName" => "TRANS_ORDERFORMITEMS",
		"sideNavMajor" => "orderFormItems",
		"sideNavMinor" => "orderFormItems",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_ORDERFORMITEM",
			"show" => "TRANS_SHOW_ORDERFORMITEMS",
			"add" => "TRANS_ADD_ORDERFORMITEM",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'orderFormID' => 'orderForms',
			'productID' => 'products',
		),
		"revContext" => array(
		),
	),
);