<?php
// $Id: orderFormValues.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["orderFormValues"] = baseMap("order_form_values", null, "orderFormValues", "orderFormValue") + array(
	"columns" => array(
		'orderFormValueID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'orderFormParamID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orderFormValueName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orderFormValueTransKey' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orderFormValueOrder' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'orderFormValueID' => TRANS_ORDER_FORM_VALUE_ID,
		'orderFormParamID' => TRANS_ORDER_FORM_PARAM_ID,
		'orderFormValueName' => TRANS_ORDER_FORM_VALUE_NAME,
		'orderFormValueTransKey' => TRANS_ORDER_FORM_VALUE_TRANS_KEY,
		'orderFormValueOrder' => TRANS_ORDER_FORM_VALUE_ORDER,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_ORDERFORMVALUES",
		"childName" => "TRANS_ORDERFORMVALUES",
		"sideNavMajor" => "orderFormValues",
		"sideNavMinor" => "orderFormValues",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_ORDERFORMVALUE",
			"show" => "TRANS_SHOW_ORDERFORMVALUES",
			"add" => "TRANS_ADD_ORDERFORMVALUE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'orderFormParamID' => 'orderFormParams',
		),
		"revContext" => array(
		),
	),
);