<?php
// $Id: packageAddons.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["packageAddons"] = baseMap("package_addons", null, "packageAddons", "packageAddon") + array(
	"columns" => array(
		'packageAddonID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'packageID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageAddonDisplayName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageAddonOriginalPrice' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageAddonPrice' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageAddonSetup' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageAddonDiscount' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageAddonPriceLock' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageAddonDiscountable' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageAddonActive' => COLUMN_ACTIVE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageAddonProductID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'taxZoneGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponNumCycles' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'couponPrice' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'packageAddonID' => TRANS_PACKAGE_ADDON_ID,
		'packageID' => TRANS_PACKAGE_ID,
		'packageAddonDisplayName' => TRANS_PACKAGE_ADDON_DISPLAY_NAME,
		'packageAddonOriginalPrice' => TRANS_PACKAGE_ADDON_ORIGINAL_PRICE,
		'packageAddonPrice' => TRANS_PACKAGE_ADDON_PRICE,
		'packageAddonSetup' => TRANS_PACKAGE_ADDON_SETUP,
		'packageAddonDiscount' => TRANS_PACKAGE_ADDON_DISCOUNT,
		'packageAddonPriceLock' => TRANS_PACKAGE_ADDON_PRICE_LOCK,
		'packageAddonDiscountable' => TRANS_PACKAGE_ADDON_DISCOUNTABLE,
		'packageAddonActive' => TRANS_PACKAGE_ADDON_ACTIVE,
		'packageAddonProductID' => TRANS_PACKAGE_ADDON_PRODUCT_ID,
		'taxZoneGroupID' => TRANS_TAX_ZONE_GROUP_ID,
		'couponID' => TRANS_COUPON_ID,
		'couponNumCycles' => TRANS_COUPON_NUM_CYCLES,
		'couponPrice' => TRANS_COUPON_PRICE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PACKAGEADDONS",
		"childName" => "TRANS_PACKAGEADDONS",
		"sideNavMajor" => "packageAddons",
		"sideNavMinor" => "packageAddons",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PACKAGEADDON",
			"show" => "TRANS_SHOW_PACKAGEADDONS",
			"add" => "TRANS_ADD_PACKAGEADDON",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'packageID' => 'packages',
			'taxZoneGroupID' => 'taxZoneGroups',
			'couponID' => 'coupons',
		),
		"revContext" => array(
			'invoiceLineItems' => 'packageAddonID',
			'packageAddonAttributes' => 'packageAddonID',
			'packageAddonLedgerEntries' => 'packageAddonID',
			'packageFeeRels' => 'packageAddonID',
			'subscriptionPackageAddonRels' => 'packageAddonID',
		),
	),
);