<?php
// $Id: packageCerts.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["packageCerts"] = baseMap("package_certs", null, "packageCerts", "packageCert") + array(
	"columns" => array(
		'certID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'certTimestamp' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'rID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ctCode' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'afID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orStatus' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orStartstamp' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orSubmitstamp' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orSyncstamp' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orSuccesscode' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orErrorcode' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orErrormsg' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orTechSameAsAdmin' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orBillSameAsPrevious' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODMethod' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODProductCode' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODValidityPeriod' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODServerCount' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODPrice' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODRenewalBehavior' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODSpecialInstructions' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODPartnerOrderID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODGeoTrustOrderID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODOrderDate' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODOrderCompleteDate' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODOrderDeactivatedDate' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODOrderStatusMajor' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODOrderStatusMinorCode' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODOrderStatusMinorName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODApproverNotifiedDate' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODApproverConfirmDate' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ODApproverEmailAddress' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ORGOrganizationName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ORGDUNS' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ORGAddressLine1' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ORGAddressLine2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ORGAddressLine3' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ORGCity' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ORGRegion' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ORGPostalCode' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ORGCountry' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ORGPhone' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ORGFax' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ACFirstName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ACLastName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ACPhone' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'ACEmail' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'TCFirstName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'TCLastName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'TCPhone' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'TCEmail' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'BCFirstName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'BCLastName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'BCPhone' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'BCEmail' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSRCSR' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSRWildCard' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSRSubject' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSRDomainName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSRCountry' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSREmail' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSRLocality' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSROrganization' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSROrganizationUnit' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSRState' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSRIsValidDomainName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSRHasBadExtensions' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSRCommonName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSRWebServerType' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSRDNSNames' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSRCertificateStatus' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSRStartDate' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSREndDate' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'CSRSerialNumber' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'UPGCUIndicator' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'UPGCUCertificate' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'UPGCUmonths' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'UPGCUSerialNumber' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'UPGCUExpirationDate' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'UPGCUIssuer' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'RIRenewalIndicator' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'RIRenewalMonths' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'RIRenewalSerialNumber' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'RIRenewalExpirationDate' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'RIRenewalOrderID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'RIRenewalProductCode' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'FFCACertType' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'FFCACert' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'FFServerCertificate' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'FFIconScript' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'FFCHOICEPOINTURL' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'FFCPSURL' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'getApproverlist' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'getUseragreement' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'certID' => TRANS_CERT_ID,
		'certTimestamp' => TRANS_CERT_TIMESTAMP,
		'orID' => TRANS_OR_ID,
		'rID' => TRANS_R_ID,
		'ctCode' => TRANS_CT_CODE,
		'afID' => TRANS_AF_ID,
		'orStatus' => TRANS_OR_STATUS,
		'orStartstamp' => TRANS_OR_STARTSTAMP,
		'orSubmitstamp' => TRANS_OR_SUBMITSTAMP,
		'orSyncstamp' => TRANS_OR_SYNCSTAMP,
		'orSuccesscode' => TRANS_OR_SUCCESSCODE,
		'orErrorcode' => TRANS_OR_ERRORCODE,
		'orErrormsg' => TRANS_OR_ERRORMSG,
		'orTechSameAsAdmin' => TRANS_OR_TECHSAMEASADMIN,
		'orBillSameAsPrevious' => TRANS_OR_BILLSAMEASPREVIOUS,
		'ODMethod' => TRANS_OD_METHOD,
		'ODProductCode' => TRANS_OD_PRODUCTCODE,
		'ODValidityPeriod' => TRANS_OD_VALIDITYPERIOD,
		'ODServerCount' => TRANS_OD_SERVERCOUNT,
		'ODPrice' => TRANS_OD_PRICE,
		'ODRenewalBehavior' => TRANS_OD_RENEWALBEHAVIOR,
		'ODSpecialInstructions' => TRANS_OD_SPECIALINSTRUCTIONS,
		'ODPartnerOrderID' => TRANS_OD_PARTNERORDERID,
		'ODGeoTrustOrderID' => TRANS_OD_GEOTRUSTORDERID,
		'ODOrderDate' => TRANS_OD_ORDERDATE,
		'ODOrderCompleteDate' => TRANS_OD_ORDERCOMPLETEDATE,
		'ODOrderDeactivatedDate' => TRANS_OD_ORDERDEACTIVATEDDATE,
		'ODOrderStatusMajor' => TRANS_OD_ORDERSTATUSMAJOR,
		'ODOrderStatusMinorCode' => TRANS_OD_ORDERSTATUSMINORCODE,
		'ODOrderStatusMinorName' => TRANS_OD_ORDERSTATUSMINORNAME,
		'ODApproverNotifiedDate' => TRANS_OD_APPROVERNOTIFIEDDATE,
		'ODApproverConfirmDate' => TRANS_OD_APPROVERCONFIRMDATE,
		'ODApproverEmailAddress' => TRANS_OD_APPROVEREMAILADDRESS,
		'ORGOrganizationName' => TRANS_ORG_ORGANIZATIONNAME,
		'ORGDUNS' => TRANS_ORG_DUNS,
		'ORGAddressLine1' => TRANS_ORG_ADDRESSLINE1,
		'ORGAddressLine2' => TRANS_ORG_ADDRESSLINE2,
		'ORGAddressLine3' => TRANS_ORG_ADDRESSLINE3,
		'ORGCity' => TRANS_ORG_CITY,
		'ORGRegion' => TRANS_ORG_REGION,
		'ORGPostalCode' => TRANS_ORG_POSTALCODE,
		'ORGCountry' => TRANS_ORG_COUNTRY,
		'ORGPhone' => TRANS_ORG_PHONE,
		'ORGFax' => TRANS_ORG_FAX,
		'ACFirstName' => TRANS_AC_FIRSTNAME,
		'ACLastName' => TRANS_AC_LASTNAME,
		'ACPhone' => TRANS_AC_PHONE,
		'ACEmail' => TRANS_AC_EMAIL,
		'TCFirstName' => TRANS_TC_FIRSTNAME,
		'TCLastName' => TRANS_TC_LASTNAME,
		'TCPhone' => TRANS_TC_PHONE,
		'TCEmail' => TRANS_TC_EMAIL,
		'BCFirstName' => TRANS_BC_FIRSTNAME,
		'BCLastName' => TRANS_BC_LASTNAME,
		'BCPhone' => TRANS_BC_PHONE,
		'BCEmail' => TRANS_BC_EMAIL,
		'CSRCSR' => TRANS_CSR_CSR,
		'CSRWildCard' => TRANS_CSR_WILDCARD,
		'CSRSubject' => TRANS_CSR_SUBJECT,
		'CSRDomainName' => TRANS_CSR_DOMAINNAME,
		'CSRCountry' => TRANS_CSR_COUNTRY,
		'CSREmail' => TRANS_CSR_EMAIL,
		'CSRLocality' => TRANS_CSR_LOCALITY,
		'CSROrganization' => TRANS_CSR_ORGANIZATION,
		'CSROrganizationUnit' => TRANS_CSR_ORGANIZATIONUNIT,
		'CSRState' => TRANS_CSR_STATE,
		'CSRIsValidDomainName' => TRANS_CSR_ISVALIDDOMAINNAME,
		'CSRHasBadExtensions' => TRANS_CSR_HASBADEXTENSIONS,
		'CSRCommonName' => TRANS_CSR_COMMONNAME,
		'CSRWebServerType' => TRANS_CSR_WEBSERVERTYPE,
		'CSRDNSNames' => TRANS_CSR_DNSNAMES,
		'CSRCertificateStatus' => TRANS_CSR_CERTIFICATESTATUS,
		'CSRStartDate' => TRANS_CSR_STARTDATE,
		'CSREndDate' => TRANS_CSR_ENDDATE,
		'CSRSerialNumber' => TRANS_CSR_SERIALNUMBER,
		'UPGCUIndicator' => TRANS_UPG_CUINDICATOR,
		'UPGCUCertificate' => TRANS_UPG_CUCERTIFICATE,
		'UPGCUmonths' => TRANS_UPG_CUMONTHS,
		'UPGCUSerialNumber' => TRANS_UPG_CUSERIALNUMBER,
		'UPGCUExpirationDate' => TRANS_UPG_CUEXPIRATIONDATE,
		'UPGCUIssuer' => TRANS_UPG_CUISSUER,
		'RIRenewalIndicator' => TRANS_RI_RENEWALINDICATOR,
		'RIRenewalMonths' => TRANS_RI_RENEWALMONTHS,
		'RIRenewalSerialNumber' => TRANS_RI_RENEWALSERIALNUMBER,
		'RIRenewalExpirationDate' => TRANS_RI_RENEWALEXPIRATIONDATE,
		'RIRenewalOrderID' => TRANS_RI_RENEWALORDERID,
		'RIRenewalProductCode' => TRANS_RI_RENEWALPRODUCTCODE,
		'FFCACertType' => TRANS_FF_CACERTTYPE,
		'FFCACert' => TRANS_FF_CACERT,
		'FFServerCertificate' => TRANS_FF_SERVERCERTIFICATE,
		'FFIconScript' => TRANS_FF_ICONSCRIPT,
		'FFCHOICEPOINTURL' => TRANS_FF_CHOICEPOINTURL,
		'FFCPSURL' => TRANS_FF_CPSURL,
		'getApproverlist' => TRANS_GET_APPROVERLIST,
		'getUseragreement' => TRANS_GET_USERAGREEMENT,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PACKAGECERTS",
		"childName" => "TRANS_PACKAGECERTS",
		"sideNavMajor" => "packageCerts",
		"sideNavMinor" => "packageCerts",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PACKAGECERT",
			"show" => "TRANS_SHOW_PACKAGECERTS",
			"add" => "TRANS_ADD_PACKAGECERT",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'packageCertRels' => 'certID',
		),
	),
);