<?php
// $Id: packageDomains.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["packageDomains"] = baseMap("package_domains", null, "packageDomains", "packageDomain") + array(
	"columns" => array(
		'domainID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'domainSLD' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'domainTLD' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'domainIDNLanguage' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'domainActive' => COLUMN_ACTIVE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'domainDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'domainRemotePurchaseID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'domainRemoteDomainID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'domainDateExpires' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'domainDateLastSync' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'registrarID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'domainRenewType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'domainID' => TRANS_DOMAIN_ID,
		'domainSLD' => TRANS_DOMAIN_SLD,
		'domainTLD' => TRANS_DOMAIN_TLD,
		'domainIDNLanguage' => TRANS_DOMAIN_IDN_LANGUAGE,
		'domainActive' => TRANS_DOMAIN_ACTIVE,
		'domainDateCreated' => TRANS_DOMAIN_DATE_CREATED,
		'domainRemotePurchaseID' => TRANS_DOMAIN_REMOTE_PURCHASE_ID,
		'domainRemoteDomainID' => TRANS_DOMAIN_REMOTE_DOMAIN_ID,
		'domainDateExpires' => TRANS_DOMAIN_DATE_EXPIRES,
		'domainDateLastSync' => TRANS_DOMAIN_DATE_LAST_SYNC,
		'registrarID' => TRANS_REGISTRAR_ID,
		'domainRenewType' => TRANS_DOMAIN_RENEW_TYPE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PACKAGEDOMAINS",
		"childName" => "TRANS_PACKAGEDOMAINS",
		"sideNavMajor" => "packageDomains",
		"sideNavMinor" => "packageDomains",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PACKAGEDOMAIN",
			"show" => "TRANS_SHOW_PACKAGEDOMAINS",
			"add" => "TRANS_ADD_PACKAGEDOMAIN",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'packageDomainRels' => 'domainID',
			'shoppingItemsDomainsRels' => 'domainID',
		),
	),
);