<?php
// $Id: packageLicenses.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["packageLicenses"] = baseMap("package_licenses", null, "packageLicenses", "packageLicense") + array(
	"columns" => array(
		'licenseID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'licenseLocked' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'licenseData' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'licenseCipher' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'licenseKey' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'licenseDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'licenseDateLastRenewal' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'licenseDateNextRenewal' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'licenseDateStopRenewal' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'licenseStatus' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'licenseID' => TRANS_LICENSE_ID,
		'licenseLocked' => TRANS_LICENSE_LOCKED,
		'licenseData' => TRANS_LICENSE_DATA,
		'licenseCipher' => TRANS_LICENSE_CIPHER,
		'licenseKey' => TRANS_LICENSE_KEY,
		'licenseDateCreated' => TRANS_LICENSE_DATE_CREATED,
		'licenseDateLastRenewal' => TRANS_LICENSE_DATE_LAST_RENEWAL,
		'licenseDateNextRenewal' => TRANS_LICENSE_DATE_NEXT_RENEWAL,
		'licenseDateStopRenewal' => TRANS_LICENSE_DATE_STOP_RENEWAL,
		'licenseStatus' => TRANS_LICENSE_STATUS,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PACKAGELICENSES",
		"childName" => "TRANS_PACKAGELICENSES",
		"sideNavMajor" => "packageLicenses",
		"sideNavMinor" => "packageLicenses",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PACKAGELICENSE",
			"show" => "TRANS_SHOW_PACKAGELICENSES",
			"add" => "TRANS_ADD_PACKAGELICENSE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'packageLicenseRels' => 'licenseID',
		),
	),
);