<?php
// $Id: packageUsageLogs.php 12056 2007-10-09 15:52:42Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["packageUsageLogs"] = baseMap("package_usage_log", null, "packageUsageLogs", "packageUsageLog") + array(
	"columns" => array(
		'usageLogID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'packageID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsage' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'usageLogDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'externalID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'usageLogDateBilled' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'interfaceID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageRecordType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageComType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageComBrand' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageLinkDate' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageLinkStatus' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageMessageDuration' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageDataSize' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageMessageDate' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageDateSession' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageDateBilled' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'groupbyInvoiceID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'lineItemID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageSerialNumber' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageVendor' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageUsername' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageVessel' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageRate' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageExternalStatus' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageExternalStatusError' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageExtraInfo1' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageExtraInfo2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageExtraInfo3' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageExtraInfoF1' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageExtraInfoF2' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageExtraInfoF3' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageExtraInfoF4' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageExtraInfoF5' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageExtraInfoF6' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsagePrice' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'packageUsageCost' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'usageLogID' => TRANS_USAGE_LOG_ID,
		'packageID' => TRANS_PACKAGE_ID,
		'configGroupID' => TRANS_CONFIG_GROUP_ID,
		'packageUsage' => TRANS_PACKAGE_USAGE,
		'usageLogDateCreated' => TRANS_USAGE_LOG_DATE_CREATED,
		'externalID' => TRANS_EXTERNAL_ID,
		'usageLogDateBilled' => TRANS_USAGE_LOG_DATE_BILLED,
		'interfaceID' => TRANS_INTERFACE_ID,
		'packageUsageType' => TRANS_PACKAGE_USAGE_TYPE,
		'packageUsageRecordType' => TRANS_PACKAGE_USAGE_RECORD_TYPE,
		'packageUsageComType' => TRANS_PACKAGE_USAGE_COM_TYPE,
		'packageUsageComBrand' => TRANS_PACKAGE_USAGE_COM_BRAND,
		'packageUsageLinkDate' => TRANS_PACKAGE_USAGE_LINK_DATE,
		'packageUsageLinkStatus' => TRANS_PACKAGE_USAGE_LINK_STATUS,
		'packageUsageMessageDuration' => TRANS_PACKAGE_USAGE_MESSAGE_DURATION,
		'packageUsageDataSize' => TRANS_PACKAGE_USAGE_DATA_SIZE,
		'packageUsageMessageDate' => TRANS_PACKAGE_USAGE_MESSAGE_DATE,
		'packageUsageDateSession' => TRANS_PACKAGE_USAGE_DATE_SESSION,
		'packageUsageDateCreated' => TRANS_PACKAGE_USAGE_DATE_CREATED,
		'packageUsageDateBilled' => TRANS_PACKAGE_USAGE_DATE_BILLED,
		'groupbyInvoiceID' => TRANS_GROUPBY_INVOICE_ID,
		'lineItemID' => TRANS_LINE_ITEM_ID,
		'packageUsageSerialNumber' => TRANS_PACKAGE_USAGE_SERIAL_NUMBER,
		'packageUsageVendor' => TRANS_PACKAGE_USAGE_VENDOR,
		'packageUsageUsername' => TRANS_PACKAGE_USAGE_USERNAME,
		'packageUsageVessel' => TRANS_PACKAGE_USAGE_VESSEL,
		'packageUsageRate' => TRANS_PACKAGE_USAGE_RATE,
		'packageUsageExternalStatus' => TRANS_PACKAGE_USAGE_EXTERNAL_STATUS,
		'packageUsageExternalStatusError' => TRANS_PACKAGE_USAGE_EXTERNAL_STATUS_ERROR,
		'packageUsageExtraInfo1' => TRANS_PACKAGE_USAGE_EXTRA_INFO_1,
		'packageUsageExtraInfo2' => TRANS_PACKAGE_USAGE_EXTRA_INFO_2,
		'packageUsageExtraInfo3' => TRANS_PACKAGE_USAGE_EXTRA_INFO_3,
		'packageUsageExtraInfoF1' => TRANS_PACKAGE_USAGE_EXTRA_INFO_F1,
		'packageUsageExtraInfoF2' => TRANS_PACKAGE_USAGE_EXTRA_INFO_F2,
		'packageUsageExtraInfoF3' => TRANS_PACKAGE_USAGE_EXTRA_INFO_F3,
		'packageUsageExtraInfoF4' => TRANS_PACKAGE_USAGE_EXTRA_INFO_F4,
		'packageUsageExtraInfoF5' => TRANS_PACKAGE_USAGE_EXTRA_INFO_F5,
		'packageUsageExtraInfoF6' => TRANS_PACKAGE_USAGE_EXTRA_INFO_F6,
		'packageUsagePrice' => TRANS_PACKAGE_USAGE_PRICE,
		'packageUsageCost' => TRANS_PACKAGE_USAGE_COST,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PACKAGEUSAGELOGS",
		"childName" => "TRANS_PACKAGEUSAGELOGS",
		"sideNavMajor" => "packageUsageLogs",
		"sideNavMinor" => "packageUsageLogs",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PACKAGEUSAGELOG",
			"show" => "TRANS_SHOW_PACKAGEUSAGELOGS",
			"add" => "TRANS_ADD_PACKAGEUSAGELOG",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'packageID' => 'packages',
			'configGroupID' => 'configGroups',
			'lineItemID' => 'invoiceLineItems',
		),
		"revContext" => array(
		),
	),
);