<?php
// $Id: packageVendorRels.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["packageVendorRels"] = baseMap("package_vendor_rel", null, "packageVendorRels", "packageVendorRel") + array(
	"columns" => array(
		'packageID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'vendorID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'vendorPackageID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'vendorProductID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'vendorOrderFormID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'vendorProductVariantID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
	),
	"columnLabels" => array(
		'packageID' => TRANS_PACKAGE_ID,
		'vendorID' => TRANS_VENDOR_ID,
		'vendorPackageID' => TRANS_VENDOR_PACKAGE_ID,
		'vendorProductID' => TRANS_VENDOR_PRODUCT_ID,
		'vendorOrderFormID' => TRANS_VENDOR_ORDER_FORM_ID,
		'vendorProductVariantID' => TRANS_VENDOR_PRODUCT_VARIANT_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PACKAGEVENDORRELS",
		"childName" => "TRANS_PACKAGEVENDORRELS",
		"sideNavMajor" => "packageVendorRels",
		"sideNavMinor" => "packageVendorRels",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PACKAGEVENDORREL",
			"show" => "TRANS_SHOW_PACKAGEVENDORRELS",
			"add" => "TRANS_ADD_PACKAGEVENDORREL",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
		),
	),
);