<?php
// $Id: prepayDiscounts.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["prepayDiscounts"] = baseMap("prepay_discounts", null, "prepayDiscounts", "prepayDiscount") + array(
	"columns" => array(
		'prepayDiscountID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'prepayDiscountName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'prepayDiscountActive' => COLUMN_ACTIVE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'cycleID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'prepayDiscountNumCycles' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'prepayDiscountAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'prepayDiscountPercentage' => COLUMN_FLOAT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'prepayDiscountID' => TRANS_PREPAY_DISCOUNT_ID,
		'prepayDiscountName' => TRANS_PREPAY_DISCOUNT_NAME,
		'prepayDiscountActive' => TRANS_PREPAY_DISCOUNT_ACTIVE,
		'cycleID' => TRANS_CYCLE_ID,
		'prepayDiscountNumCycles' => TRANS_PREPAY_DISCOUNT_NUM_CYCLES,
		'prepayDiscountAmount' => TRANS_PREPAY_DISCOUNT_AMOUNT,
		'prepayDiscountPercentage' => TRANS_PREPAY_DISCOUNT_PERCENTAGE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PREPAYDISCOUNTS",
		"childName" => "TRANS_PREPAYDISCOUNTS",
		"sideNavMajor" => "prepayDiscounts",
		"sideNavMinor" => "prepayDiscounts",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PREPAYDISCOUNT",
			"show" => "TRANS_SHOW_PREPAYDISCOUNTS",
			"add" => "TRANS_ADD_PREPAYDISCOUNT",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'cycleID' => 'cycles',
		),
		"revContext" => array(
		),
	),
);