<?php
// $Id: productAddonGroupRels.php 12437 2008-01-08 19:23:08Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["productAddonGroupRels"] = baseMap("product_addon_group_rel", null, "productAddonGroupRels", "productAddonGroupRel") + array(
	"columns" => array(
		'productAddonGroupRelID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'productAddonGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'defaultSelectedProductID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'productAddonGroupRelID' => TRANS_PRODUCT_ADDON_GROUP_REL_ID,
		'productAddonGroupID' => TRANS_PRODUCT_ADDON_GROUP_ID,
		'productID' => TRANS_PRODUCT_ID,
		'defaultSelectedProductID' => TRANS_DEFAULT_SELECTED_PRODUCT_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PRODUCTADDONGROUPRELS",
		"childName" => "TRANS_PRODUCTADDONGROUPRELS",
		"sideNavMajor" => "productAddonGroupRels",
		"sideNavMinor" => "productAddonGroupRels",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PRODUCTADDONGROUPREL",
			"show" => "TRANS_SHOW_PRODUCTADDONGROUPRELS",
			"add" => "TRANS_ADD_PRODUCTADDONGROUPREL",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'productAddonGroupID' => 'productAddonGroups',
			'productID' => 'products',
		),
		"revContext" => array(
		),
	),
);