<?php
// $Id: productUsagePrices.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["productUsagePrices"] = baseMap("product_usage_prices", null, "productUsagePrices", "productUsagePrice") + array(
	"columns" => array(
		'productUsagePriceID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'productID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'currencyID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productUsagePriceAmount' => COLUMN_AMOUNT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'productUsagePriceID' => TRANS_PRODUCT_USAGE_PRICE_ID,
		'productID' => TRANS_PRODUCT_ID,
		'currencyID' => TRANS_CURRENCY_ID,
		'productUsagePriceAmount' => TRANS_PRODUCT_USAGE_PRICE_AMOUNT,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PRODUCTUSAGEPRICES",
		"childName" => "TRANS_PRODUCTUSAGEPRICES",
		"sideNavMajor" => "productUsagePrices",
		"sideNavMinor" => "productUsagePrices",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PRODUCTUSAGEPRICE",
			"show" => "TRANS_SHOW_PRODUCTUSAGEPRICES",
			"add" => "TRANS_ADD_PRODUCTUSAGEPRICE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'productID' => 'products',
		),
		"revContext" => array(
		),
	),
);