<?php
// $Id: productVariableValues.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["productVariableValues"] = baseMap("product_variable_values", null, "productVariableValues", "productVariableValue") + array(
	"columns" => array(
		'productVariableValueID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'productVariableID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'productVariableValue' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'productVariableValueID' => TRANS_PRODUCT_VARIABLE_VALUE_ID,
		'productVariableID' => TRANS_PRODUCT_VARIABLE_ID,
		'productVariableValue' => TRANS_PRODUCT_VARIABLE_VALUE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_PRODUCTVARIABLEVALUES",
		"childName" => "TRANS_PRODUCTVARIABLEVALUES",
		"sideNavMajor" => "productVariableValues",
		"sideNavMinor" => "productVariableValues",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PRODUCTVARIABLEVALUE",
			"show" => "TRANS_SHOW_PRODUCTVARIABLEVALUES",
			"add" => "TRANS_ADD_PRODUCTVARIABLEVALUE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'productVariableID' => 'productVariables',
		),
		"revContext" => array(
			'productVariants' => 'productVariableValueID',
		),
	),
);