<?php
// $Id: questionValueMappings.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["questionValueMappings"] = baseMap("question_value_mappings", null, "questionValueMappings", "questionValueMapping") + array(
	"columns" => array(
		'valueMappingID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'valueMappingValue' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'attributeMapID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'valueMappingID' => TRANS_VALUE_MAPPING_ID,
		'valueMappingValue' => TRANS_VALUE_MAPPING_VALUE,
		'attributeMapID' => TRANS_ATTRIBUTE_MAP_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_QUESTIONVALUEMAPPINGS",
		"childName" => "TRANS_QUESTIONVALUEMAPPINGS",
		"sideNavMajor" => "questionValueMappings",
		"sideNavMinor" => "questionValueMappings",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_QUESTIONVALUEMAPPING",
			"show" => "TRANS_SHOW_QUESTIONVALUEMAPPINGS",
			"add" => "TRANS_ADD_QUESTIONVALUEMAPPING",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'attributeMapID' => 'attributeMaps',
		),
		"revContext" => array(
			'questionValueMapMappingRels' => 'valueMappingID',
		),
	),
);