<?php
// $Id: shoppingItemsDomainsRels.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["shoppingItemsDomainsRels"] = baseMap("shopping_items_domains_rel", null, "shoppingItemsDomainsRels", "shoppingItemsDomainsRel") + array(
	"columns" => array(
		'shoppingItemsDomainsRelID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'shoppingItemID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'shoppingItemsDomainsType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'domainID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'domainSLD' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'domainTLD' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'domainShoppingItemID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'shoppingItemsDomainsRelID' => TRANS_SHOPPING_ITEMS_DOMAINS_REL_ID,
		'shoppingItemID' => TRANS_SHOPPING_ITEM_ID,
		'shoppingItemsDomainsType' => TRANS_SHOPPING_ITEMS_DOMAINS_TYPE,
		'domainID' => TRANS_DOMAIN_ID,
		'domainSLD' => TRANS_DOMAIN_SLD,
		'domainTLD' => TRANS_DOMAIN_TLD,
		'domainShoppingItemID' => TRANS_DOMAIN_SHOPPING_ITEM_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_SHOPPINGITEMSDOMAINSRELS",
		"childName" => "TRANS_SHOPPINGITEMSDOMAINSRELS",
		"sideNavMajor" => "shoppingItemsDomainsRels",
		"sideNavMinor" => "shoppingItemsDomainsRels",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_SHOPPINGITEMSDOMAINSREL",
			"show" => "TRANS_SHOW_SHOPPINGITEMSDOMAINSRELS",
			"add" => "TRANS_ADD_SHOPPINGITEMSDOMAINSREL",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'shoppingItemID' => 'shoppingItems',
			'domainID' => 'packageDomains',
		),
		"revContext" => array(
		),
	),
);