<?php
// $Id: suspendLogs.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["suspendLogs"] = baseMap("suspend_log", null, "suspendLogs", "suspendLog") + array(
	"columns" => array(
		'suspendID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'invoiceID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'liteStamp' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'mediumStamp' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'harshStamp' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'suspendStamp' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'enableStamp' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'suspendID' => TRANS_SUSPEND_ID,
		'invoiceID' => TRANS_INVOICE_ID,
		'liteStamp' => TRANS_LITE_STAMP,
		'mediumStamp' => TRANS_MEDIUM_STAMP,
		'harshStamp' => TRANS_HARSH_STAMP,
		'suspendStamp' => TRANS_SUSPEND_STAMP,
		'enableStamp' => TRANS_ENABLE_STAMP,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_SUSPENDLOGS",
		"childName" => "TRANS_SUSPENDLOGS",
		"sideNavMajor" => "suspendLogs",
		"sideNavMinor" => "suspendLogs",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_SUSPENDLOG",
			"show" => "TRANS_SHOW_SUSPENDLOGS",
			"add" => "TRANS_ADD_SUSPENDLOG",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'invoiceID' => 'invoices',
		),
		"revContext" => array(
		),
	),
);