<?php
// $Id: systemQueueLogs.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["systemQueueLogs"] = baseMap("system_queue_log", null, "systemQueueLogs", "systemQueueLog") + array(
	"columns" => array(
		'systemQueueLogID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'systemQueueID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueLogMessage' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueNumErrors' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueLogDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'systemQueueLogID' => TRANS_SYSTEM_QUEUE_LOG_ID,
		'systemQueueID' => TRANS_SYSTEM_QUEUE_ID,
		'systemQueueLogMessage' => TRANS_SYSTEM_QUEUE_LOG_MESSAGE,
		'systemQueueNumErrors' => TRANS_SYSTEM_QUEUE_NUM_ERRORS,
		'systemQueueLogDateCreated' => TRANS_SYSTEM_QUEUE_LOG_DATE_CREATED,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_SYSTEMQUEUELOGS",
		"childName" => "TRANS_SYSTEMQUEUELOGS",
		"sideNavMajor" => "systemQueueLogs",
		"sideNavMinor" => "systemQueueLogs",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_SYSTEMQUEUELOG",
			"show" => "TRANS_SHOW_SYSTEMQUEUELOGS",
			"add" => "TRANS_ADD_SYSTEMQUEUELOG",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'systemQueueID' => 'systemQueues',
		),
		"revContext" => array(
		),
	),
);