<?php
// $Id: vendorContacts.php 11928 2007-09-18 21:52:22Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["vendorContacts"] = baseMap("vendor_contacts", null, "vendorContacts", "vendorContact") + array(
	"columns" => array(
		'vendorContactID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'vendorID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorContactFirstName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorContactLastName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorContactPhone1' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorContactPhone2' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorContactFax' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'languageID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'vendorContactActive' => COLUMN_ACTIVE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'vendorContactID' => TRANS_VENDOR_CONTACT_ID,
		'vendorID' => TRANS_VENDOR_ID,
		'vendorContactFirstName' => TRANS_VENDOR_CONTACT_FIRST_NAME,
		'vendorContactLastName' => TRANS_VENDOR_CONTACT_LAST_NAME,
		'vendorContactPhone1' => TRANS_VENDOR_CONTACT_PHONE1,
		'vendorContactPhone2' => TRANS_VENDOR_CONTACT_PHONE2,
		'vendorContactFax' => TRANS_VENDOR_CONTACT_FAX,
		'languageID' => TRANS_LANGUAGE_ID,
		'vendorContactActive' => TRANS_VENDOR_CONTACT_ACTIVE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_VENDORCONTACTS",
		"childName" => "TRANS_VENDORCONTACTS",
		"sideNavMajor" => "vendorContacts",
		"sideNavMinor" => "vendorContacts",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_VENDORCONTACT",
			"show" => "TRANS_SHOW_VENDORCONTACTS",
			"add" => "TRANS_ADD_VENDORCONTACT",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'vendorID' => 'vendors',
			'languageID' => 'languages',
		),
		"revContext" => array(
		),
	),
);