<?php
// $Id: gwTransactionAttrs.php 9263 2006-10-02 21:56:07Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['gwTransactionAttrs'] = array(
	"names" => array(
		"singular" => "gwTransactionAttr",
		"plural" => "gwTransactionAttrs",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetGwTransactionAttrs",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("gwTransactionAttrs", "gwTransactionAttr"),
	),
	"insert" => array(
		"command" => "SetGwTransactionAttrs",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetGwTransactionAttrs",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetGwTransactionAttrs",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeMapID")),
	),
	"table" => "gw_transaction_attrs",
	"columns" => array(
		"gwTransactionAttrID" => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE,
		"gwTransactionID" => COLUMN_ID|COLUMN_LISTABLE,
		"gwTransactionAttrName" => COLUMN_PRIMARY_NAME|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"gwTransactionAttrValue" => COLUMN_TEXT|COLUMN_EDITABLE|COLUMN_LISTABLE,
	),
	"columnLabels" => array(
		"gwTransactionAttrID" => "TRANS_ID",
		"gwTransactionID" => "TRANS_TRANSACTION",
		"gwTransactionAttrName" => "TRANS_NAME",
		"gwTransactionAttrValue" => "TRANS_VALUE",
	),
	"relations" => array(
	),
	"display" => array(
		"context" => array(
			"gwTransactionID" => "gwTransactions",
		),
		"revContext" => array(
		),
	),
);

?>
