<?php
// $Id: gwTransactions.php 9348 2006-10-08 02:11:07Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['gwTransactions'] = array(
	"names" => array(
		"singular" => "gwTransaction",
		"plural" => "gwTransactions",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetGwTransactions",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("gwTransactions", "gwTransaction"),
	),
	"insert" => array(
		"command" => "SetGwTransactions",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetGwTransactions",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetGwTransactions",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeMapID")),
	),
	"table" => "gw_transactions",
	"columns" => array(
		"gwTransactionID" => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE,
		"gwTransactionType" => COLUMN_TYPE|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"gwTransactionRef" => COLUMN_PRIMARY_NAME|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"billingAccountID" => COLUMN_ID|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"configGroupID" => COLUMN_ID|COLUMN_EDITABLE|COLUMN_LISTABLE,
	),
	"columnLabels" => array(
		"gwTransactionID" => "TRANS_PRIMARY_KEY",
		"gwTransactionType" => "TRANS_TRANSACTION_TYPE",
		"gwTransactionRef" => "TRANS_TRANSACTION_REFERENCE",
		"billingAccountID" => "TRANS_BILLING_ACCOUNT",
		"configGroupID" => "TRANS_GATEWAY",
	),
	"types" => array(
		"gwTransactionType" => "transactionRecord",
	),
	"relations" => array(
	),
	"display" => array(
		"context" => array(
			"billingAccountID" => "billingAccounts",
			"configGroupID" => "configGroups",
		),
		"revContext" => array(
			"gwTransactionAttrs" => "gwTransactionID",
		),
	),
);

?>
