<?php
// $Id: invalidIpnLogs.php 8483 2006-08-25 16:47:19Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['invalidIpnLogs'] = array(
	"names" => array(
		"singular" => "invalidIpnLog",
		"plural" => "invalidIpnLogs",
		"file" => "paymentqueue",
	),
	"request" => array(
		'command' => "GetInvalidIpnLogs",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("invalidIpnLogs", "invalidIpnLog"),
	),
	"insert" => array(
		"command" => "SetInvalidIpnLogs",
		"subCommand" => "insert",
		"params" => array(),//$allParamsRoot,
	),
	"update" => array(
		"command" => "SetInvalidIpnLogs",
		"subCommand" => "update",
		"params" => array(),//$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetInvalidIpnLogs",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeID")),
	),
	"table" => "invalid_ipn_log",
	"columns" => array(
		"ipnID" => COLUMN_PRIMARY_KEY|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
		"ipnStatus" => COLUMN_STATUS|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		"ipnModule" => COLUMN_TYPE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		"ipnReason" => COLUMN_TEXT|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"ipnServer" => COLUMN_SERIALIZED_DATA|COLUMN_DISPLAYABLE,
		"ipnGet" => COLUMN_SERIALIZED_DATA|COLUMN_DISPLAYABLE,
		"ipnPost" => COLUMN_SERIALIZED_DATA|COLUMN_DISPLAYABLE,
		"ipnDateCreated" => COLUMN_IS_DATE|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
	),
	"statuses" => array(
		"ipnStatus" => "invalidipns",
	),
	"types" => array(
		"ipnModule" => "ipnmodules",
	),
	"columnLabels" => array(
		"ipnID" => TRANS_IPN_ID,
		"ipnStatus" => TRANS_INVALID_IPN_STATUS,
		"ipnReason" => TRANS_INVALID_IPN_REASON,
		"ipnModule" => TRANS_IPN_MODULE,
		"ipnServer" => TRANS_SERVER_VARIABLES,
		"ipnGet" => TRANS_GET_VARIABLES,
		"ipnPost" => TRANS_POST_VARIABLES,
		"ipnDateCreated" => TRANS_DATE_RECEIVED,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_FINANCES",
		"childName" => "TRANS_MANAGE_BILLING",
		"sideNavMajor" => "finances",
		"sideNavMinor" => "billing",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_INVALID_IPN",
			"show" => "TRANS_SHOW_INVALID_IPNS",
			"showdetails" => "TRANS_INVALID_IPN_DETAILS",
		)
	),
	"display" => array(
		'showTemplate' => "1",
		'showDetailsTemplate' => "1",
		'removeTemplate' => "1",
		'editTemplate' => "1",
		"suppressActions" => array("add"),
	),
);
