<?php
// $Id: marketplaceSellers.php 10872 2007-03-13 21:18:48Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["marketplaceSellers"] = baseMap("marketplace_sellers", "marketplace", "marketplaceSellers", "marketplaceSeller") + array(
	"columns" => array(
		"sellerID" => COLUMN_PRIMARY_KEY,
		"sellerDateRegistered" => COLUMN_DATE,
		"sellerActive" => COLUMN_ACTIVE,
		"sellerApiURL" => COLUMN_TEXT,
		"sellerApiStatus" => COLUMN_STATUS,
		"sellerUsername" => COLUMN_PRIMARY_NAME,
		"sellerPassword" => COLUMN_TEXT,
		"clientID" => COLUMN_ID,
	),
	"statuses" => array(
		"sellerApiStatus" => "sellerApi",
	),
	"display" => array(
		"context" => array(
			"clientID" => "clients",
		),
	),
);

?>
