<?php
// $Id: migrationReservations.php 9994 2006-11-10 21:29:46Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['migrationReservations'] = array(
	"names" => array(
		"singular" => "migrationReservation",
		"plural" => "migrationReservations",
		"file" => "migrate",
	),
	"request" => array(
		'command' => "GetMigrationReservations",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("migrationReservations", "migrationReservation"),
	),
	"insert" => array(
		"command" => "SetMigrationReservations",
		"subCommand" => "insert",
		"params" => array(),//$allParamsRoot,
	),
	"update" => array(
		"command" => "SetMigrationReservations",
		"subCommand" => "update",
		"params" => array(),//$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetMigrationReservations",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeID")),
	),
	"table" => "migration_reservations",
	"columns" => array(
		"migrationObjID" => COLUMN_ID,
		"migrationExtID" => COLUMN_TEXT,
		"adminID" => COLUMN_ID,
	),
	"display" => array(
		"context" => array(
			"adminID" => "admins",
			"migrationObjID" => "migrationObjs",
		),
	),
);
