<?php
// $Id: orderFormItems.php 8767 2006-09-09 00:00:24Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['orderFormItems'] = array(
	"names" => array(
		"singular" => "orderFormItem",
		"plural" => "orderFormItems",
		"file" => "system",
	),
	"request" => array(
		'command' => "GetOrderFormItems",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("orderFormItems", "orderFormItem"),
	),
	"insert" => array(
		"command" => "SetOrderFormItems",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetOrderFormItems",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetOrderFormItems",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("orderFormID")),
	),
	"table" => "order_form_items",
	"columns" => array(
		"orderFormItemID" => COLUMN_PRIMARY_KEY,
		"orderFormID" => COLUMN_ID,
		"productID" => COLUMN_ID,
		"orderFormItemOrder" => COLUMN_INT,
	),
	"display" => array(
		"options" => array("languages", "countries"),
		'context' => array(
			"orderFormID" => "orderForms",
			"productID" => "products",
		),
		'system' => true,
	),
);

?>
