<?php
// $Id: packageDomains.php 8588 2006-08-30 23:53:55Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['packageDomains'] = array(
	"names" => array(
		"singular" => "packageDomain",
		"plural" => "packageDomains",
		"file" => "packages",
	),
	"request" => array(
		'command' => "GetPackageDomains",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("packageDomains", "packageDomain"),
	),
	"insert" => array(
		"command" => "SetPackageDomains",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetPackageDomains",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetPackageDomains",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeMapID")),
	),
	"table" => "package_domains",
	"columns" => array(
		"domainID" => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_RESTRICT_EDIT|COLUMN_RESTRICT_REMOVE,
		"domainSLD" => COLUMN_PRIMARY_NAME|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"domainTLD" => COLUMN_NAME|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"domainIDNLanguage" => COLUMN_NAME|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"domainActive" => COLUMN_ACTIVE,
		"domainDateCreated" => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
		"domainRemotePurchaseID" => COLUMN_NAME|COLUMN_EDITABLE,
		"domainRemoteDomainID" => COLUMN_NAME|COLUMN_EDITABLE,
		"domainDateExpires" => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
		"domainDateLastSync" => COLUMN_DATE|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"registrarID" => COLUMN_INT,
		"domainRenewType" => COLUMN_TYPE|COLUMN_EDITABLE,
	),
	"types" => array(
		"domainRenewType" => "tldRenew",
	),
	"display" => array(
	),
);
