<?php
// $Id: paymentGroups.php 10225 2006-12-06 23:11:47Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['paymentGroups'] = array(
	"names" => array(
		"singular" => "paymentGroup",
		"plural" => "paymentGroups",
		"file" => "paymentgroups",
	),
	"request" => array(
		'command' => "GetPaymentGroups",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("paymentGroups", "paymentGroup"),
	),
	"insert" => array(
		"command" => "SetPaymentGroups",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetPaymentGroups",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetPaymentGroups",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeMapID")),
	),
	"table" => "payment_groups",
	"columns" => array(
		"paymentGroupID" => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE,
		"paymentGroupName" => COLUMN_NAME|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"paymentGroupCurrencyID" => COLUMN_TEXT|COLUMN_EDITABLE|COLUMN_LISTABLE,
	),
	"columnLabels" => array(
		"productVariableValueID" => "TRANS_ID",
		"paymentGroupName" => "TRANS_NAME",
		"paymentGroupCurrencyID" => "TRANS_CURRENCY",
	),
	"relations" => array(
		"configGroups" => array("payment_groups_gateway_rel", "configGroupIDs", "configGroupID"),
	),
	"display" => array(
		"revContext" => array(
			"packages" => "paymentGroupID",
			"orderForms" => "paymentGroupID",
		),
	),
);

?>
