<?php
// $Id: prepayDiscounts.php 8499 2006-08-25 22:17:07Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['prepayDiscounts'] = array(
	"names" => array(
		"singular" => "prepayDiscount",
		"plural" => "prepayDiscounts",
		"file" => "paymentqueue",
	),
	
	"request" => array(
		'command' => "GetPrepayDiscounts",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("prepayDiscounts", "prepayDiscount"),
	),
	"insert" => array(
		"command" => "SetPrepayDiscounts",
		"subCommand" => "insert",
		"params" => array(),//$allParamsRoot,
	),
	"update" => array(
		"command" => "SetPrepayDiscounts",
		"subCommand" => "update",
		"params" => array(),//$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetPrepayDiscounts",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeID")),
	),
	"table" => "prepay_discounts",
	"columns" => array(
		"prepayDiscountID" => COLUMN_PRIMARY_KEY|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
		"prepayDiscountName" => COLUMN_PRIMARY_NAME|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		"prepayDiscountActive" => COLUMN_BOOL|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		"cycleID" => COLUMN_ID|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		"prepayDiscountNumCycles" => COLUMN_INT|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		"prepayDiscountAmount" => COLUMN_AMOUNT|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		"prepayDiscountPercentage" => COLUMN_AMOUNT|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		"prepayDiscountID" => "TRANS_ID",
		"prepayDiscountName" => "TRANS_NAME",
		"prepayDiscountActive" => "TRANS_ACTIVE",
		"cycleID" => "TRANS_CYCLE",
		"prepayDiscountNumCycles" => "TRANS_NUM_CYCLES",
		"prepayDiscountAmount" => "TRANS_AMOUNT",
		"prepayDiscountPercentage" => "TRANS_PERCENTAGE",
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_SYSTEM",
		"childName" => "TRANS_MANAGE_DISCOUNTS",
		"sideNavMajor" => "system",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PREPAY_DISCOUNT",
			"show" => "TRANS_SHOW_PREPAY_DISCOUNTS",
			"add" => "TRANS_ADD_PREPAY_DISCOUNT",
			"remove" => "TRANS_REMOVE_PREPAY_DISCOUNT",
		)
	),
	"display" => array(
		'context' => array(
			"cycleID" => "cycles",
		),
		'showTemplate' => "1",
		'removeTemplate' => "1",
		'editTemplate' => "1",
		'addTemplate' => "1",
		"suppressActions" => array("showdetails"),
		"showAddButton" => 1,
		"mergeData" => array(
			"configNav",
		),
	),
);
