<?php
// $Id: productAttributes.php 10225 2006-12-06 23:11:47Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this product in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['productAttributes'] = array(
	"names" => array(
		"singular" => "productAttribute",
		"plural" => "productAttributes",
		"file" => "products",
	),
	"request" => array(
		'command' => "GetProductAttributes",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("productAttributes", "productAttribute"),
	),
	"insert" => array(
		"command" => "SetProductAttributes",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetProductAttributes",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetProductAttributes",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("clientAttributeID")),
	),
	"table" => "product_attributes",
	"columns" => array(
		"productAttributeID" => COLUMN_PRIMARY_KEY,
		"productID" => COLUMN_ID,
		"serverGroupID" => COLUMN_ID,
		"productAttributeName" => COLUMN_PRIMARY_NAME,
		"productAttributeValue" => COLUMN_SEARCHABLE_STRING,
		"productAttributeDateCreated" => COLUMN_DATE,
	),
	"types" => array(
	),
	"statuses" => array(
	),
	"display" => array(
		"filterContextValues" => array(
			"productID",
			"serverGroupID",
		),
		//"altRedirect" => "products",
		"showDetailsTemplate" => "1",
		"detailsAction" => "EditProductAttributes",
		"parentForeignKeys" => array(
			"productID",
			"loadActionFile",
			"loadActionID",
		),
		"filterContextValues" => array(
			"productID",
		),
		"context" => array(
			"productID" => "products",
			"serverGroupID" => "serverGroups",
		),
	),
);
