<?php
// $Id: productChildren.php 8941 2006-09-15 22:30:05Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['productChildren'] = array(
	"names" => array(
		"singular" => "productChild",
		"plural" => "productChildren",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetProductChildren",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("productChildren", "productChild"),
	),
	"insert" => array(
		'command' => "SetProductChildren",
		'subCommand' => "insert",
		'params' => array(),
	),
	"update" => array(
		'command' => "SetProductChildren",
		'subCommand' => "update",
		'params' => array(),
	),
	"delete" => array(
		'command' => "SetProductChildren",
		'subCommand' => "delete",
		'params' => array(),
	),
	"table" => "product_children_rel",
	"columns" => array(
		"productID" => COLUMN_ID,
		"childProductID" => COLUMN_ID,
	),
	"display" => array(
		"context" => array(
			"productID" => "products",
			"childProductID" => "products",
		),
	),
);

?>
