<?php
// $Id: questions.php 10751 2007-02-23 22:55:21Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['questions'] = array(
	"names" => array(
		"singular" => "question",
		"plural" => "questions",
		"file" => "orderforms",
	),
	"request" => array(
		'command' => "GetQuestions",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("questions", "question"),
	),
	"insert" => array(
		"command" => "SetQuestions",
		"subCommand" => "insert",
		"params" => array(),//$allParamsRoot,
	),
	"update" => array(
		"command" => "SetQuestions",
		"subCommand" => "update",
		"params" => array(),//$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetData",
		"subCommand" => "delete:questions",
		"params" => array(
			"questionParams" => array(
				"questionParamValues" => array(
				),
			),
		),
	),
	"table" => "wizard_questions",
	"columns" => array(
		"questionID" => COLUMN_PRIMARY_KEY,
		"questionDisplayName" => COLUMN_PRIMARY_NAME,
		"questionOrder" => COLUMN_INT,
	),
	"columnLabels" => array(
		"questionID" => "TRANS_QUESTION_ID",
		"questionDisplayName" => "TRANS_QUESTION_NAME",
		"questionOrder" => "TRANS_QUESTION_ORDER",
	),
	"types" => array(
		"attributeType" => "attribute",
	),
	"columnGenerator" => "NameColumnGenerator",
	"display" => array(
		"showAction" => "ShowWizardQuestions",
		"showTemplate" => "orderforms/ShowWizardQuestions",
		//"addTemplate" => "orderforms/AddAttribute",
		//"editTemplate" => "orderforms/EditAttribute",
		//"removeTemplate" => "orderforms/RemoveAttribute",
		"options" => array(),
		"revContext" => array(
			"attributes" => "attributeID",
			"questionParams" => "questionID",
		),
		"context" => array(
		),
	),
);
