<?php
// $Id: serverGroupRels.php 10912 2007-03-27 17:44:32Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['serverGroupRels'] = array(
	"names" => array(
		"singular" => "serverGroupRel",
		"plural" => "serverGroupRels",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetServerGroupRels",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("serverGroupRels", "serverGroupRel"),
	),
	"insert" => array(
		'command' => "SetServerGroupRels",
		'subCommand' => "insert",
		'params' => array(),
	),
	"update" => array(
		'command' => "SetServerGroupRels",
		'subCommand' => "update",
		'params' => array(),
	),
	"delete" => array(
		'command' => "SetServerGroupRels",
		'subCommand' => "delete",
		'params' => array(),
	),
	"table" => "server_group_rel",
	"columns" => array(
		"serverID" => COLUMN_ID,
		"serverGroupID" => COLUMN_ID,
	),
	"display" => array(
		"context" => array(
			"serverID" => "configGroups",
			"serverGroupID" => "serverGroups",
		),
	),
);

?>
