<?php
// $Id: vendorContacts.php 10372 2006-12-27 02:52:48Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

function refVendorContactColumnGenerator(&$row) {
	$row["vendorContactDisplayName"] = $row["vendorContactFirstName"] . " " . $row["vendorContactLastName"];
}

$CONF["sources"]["vendorContacts"] = baseMap("vendor_contacts", "vendors", "vendorContacts", "vendorContact") + array(
	"columns" => array(
		"vendorContactID" => COLUMN_PRIMARY_KEY,
		"vendorID" => COLUMN_ID,
		"vendorContactDisplayName" => COLUMN_PRIMARY_NAME,
		"vendorContactActive" => COLUMN_ACTIVE,
		"vendorContactFirstName" => COLUMN_TEXT,
		"vendorContactLastName" => COLUMN_TEXT,
		"vendorContactPhone1" => COLUMN_TEXT,
		"vendorContactPhone2" => COLUMN_TEXT,
		"vendorContactFax" => COLUMN_TEXT,
		"languageID" => COLUMN_ID,
	),
	"refColumnGenerator" => "refVendorContactColumnGenerator",
	"display" => array(
		"context" => array(
			"languageID" => "languages",
			"vendorID" => "vendors",
		),
	),
);

?>
