<?php
// $Id: vendorInventoryMsgs.php 10409 2007-01-03 15:50:17Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

function refVendorInventoryMsgColumnGenerator(&$row) {
	$row["vendorInvMsgDisplayName"] = $row["vendorInvMsgText"] ? $row["vendorInvMsgToken"] . ": " . $row["vendorInvMsgText"] : $row["vendorInvMsgToken"];
}

$CONF["sources"]["vendorInventoryMsgs"] = baseMap("vendor_inventory_msgs", "vendors", "vendorInventoryMsgs", "vendorInventoryMsg") + array(
	"columns" => array(
		"vendorInvMsgID" => COLUMN_PRIMARY_KEY,
		"vendorID" => COLUMN_ID,
		"vendorInvMsgDisplayName" => COLUMN_PRIMARY_NAME,
		"vendorInvMsgType" => COLUMN_TYPE,
		"vendorInvMsgToken" => COLUMN_TEXT,
		"vendorInvMsgText" => COLUMN_TEXT,
			),
	"types" => array(
		"vendorInvMsgType" => "inventoryMessage",
	),
	"refColumnGenerator" => "refVendorInventoryMsgColumnGenerator",
	"relations" => array(
		"vendorInventoryNotes" => array("vendor_inv_msg_note_rel", "vendorInvNoteIDs", "vendorInvNoteID"),
		"vendorProvisionings" => array("vendor_inv_msg_prov_rel", "vendorProvIDs", "vendorProvID"),
	),
	"display" => array(
		"context" => array(
			"vendorID" => "vendors",
		),
	),
);

?>
