<?php
// $Id: vendorInventoryNotes.php 10409 2007-01-03 15:50:17Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["vendorInventoryNotes"] = baseMap("vendor_inventory_notes", "vendors", "vendorInventoryNotes", "vendorInventoryNote") + array(
	"columns" => array(
		"vendorInvNoteID" => COLUMN_PRIMARY_KEY,
		"vendorInvNoteType" => COLUMN_TYPE,
		"productVariantID" => COLUMN_ID,
		"vendorInvNoteQty" => COLUMN_INT,
		"vendorInvNoteDate" => COLUMN_DATE,
	),
	"types" => array(
		"vendorInvNoteType" => "inventoryNote",
	),
	"relations" => array(
		"vendorInventoryMsgs" => array("vendor_inv_msg_prov_rel", "vendorInvMsgIDs", "vendorInvMsgID"),
	),
	"display" => array(
		"context" => array(
			"productVariantID" => "productVariants",
		),
	),
);

?>
