<?php
// $Id: websiteWidgetProductRels.php 9760 2006-10-23 17:52:27Z kbailey $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['websiteWidgetProductRels'] = array(
	"names" => array(
		"singular" => "websiteWidgetProductRel",
		"plural" => "websiteWidgetProductRels",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetWebsiteWidgetProductRels",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("websiteWidgetProductRels", "websiteWidgetProductRel"),
	),
	"insert" => array(
		'command' => "SetWebsiteWidgetProductRels",
		'subCommand' => "insert",
		'params' => array(),
	),
	"update" => array(
		'command' => "SetWebsiteWidgetProductRels",
		'subCommand' => "update",
		'params' => array(),
	),
	"delete" => array(
		'command' => "SetWebsiteWidgetProductRels",
		'subCommand' => "delete",
		'params' => array(),
	),
	"table" => "website_widgets_products_rel",
	"columns" => array(
		"websiteWidgetID" => COLUMN_ID,
		"productID" => COLUMN_ID,
		"websiteWidgetOrder" => COLUMN_INT,
	),
	"display" => array(
		"filterContextValues" => array(
			"productID",
		),
		"context" => array(
			"websiteWidgetID" => "websiteWidgets",
			"productID" => "products",
		),
	),
);

?>
