<?php
// $Id: websiteWidgets.php 8847 2006-09-13 18:37:41Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['websiteWidgets'] = array(
	"names" => array(
		"singular" => "websiteWidget",
		"plural" => "websiteWidgets",
		"file" => "products",
	),
	"request" => array(
		'command' => "GetWebsiteWidgets",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("websiteWidgets", "websiteWidget"),
	),
	"insert" => array(
		"command" => "SetWebsiteWidgets",
		"subCommand" => "insert",
		"params" => $allParamsRoot,
	),
	"update" => array(
		"command" => "SetWebsiteWidgets",
		"subCommand" => "update",
		"params" => $allParamsRoot,
	),
	"delete" => array(
		"command" => "SetWebsiteWidgets",
		"subCommand" => "delete",
		"params" => new Params(new Param("productID")),
	),
	"table" => "website_widgets",
	"columns" => array(
		"websiteWidgetID" => COLUMN_PRIMARY_KEY,
		"websiteWidgetName" => COLUMN_PRIMARY_NAME,
		"websiteWidgetTpl" => COLUMN_TEXT,
		"orderFormID" => COLUMN_ID,
	),
	"relations" => array(
		"products" => array("website_widgets_products_rel", "productIDs", "productID"),
	),
	"display" => array(
	),
);

?>
