<?php
// $Id: types.php 12778 2008-03-17 15:24:01Z bwoolley $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";

/**
 * This file sets "application specific" type constants. It extends a common
 * set of "MBAPI specific" type constants located here:
 *
 * /lib-tk/include/config/internal/types.php
 *
 * DO NOT INSTANTIATE THE PARENT ARRAYS UNLESS YOU WANT TO OVERRIDE ALL TYPES
 *
 * $CONF["types"] = array();
 * $CONF["APItypes"] = array();
 */

$CONF["types"]["addoninputs"] = array();
$CONF["types"]["addoninputs"]["c"] = TRANS_CHECKBOXES;
$CONF["types"]["addoninputs"]["r"] = TRANS_RADIO_BUTTONS;
$CONF["types"]["addoninputs"]["s"] = TRANS_SELECT_MENU;

$CONF["APItypes"]["addoninputs"] = array();
$CONF["APItypes"]["addoninputs"]["c"] = "checkbox";
$CONF["APItypes"]["addoninputs"]["r"] = "radio";
$CONF["APItypes"]["addoninputs"]["s"] = "select";

$CONF["types"]["provisionTiming"] = array();
$CONF["types"]["provisionTiming"][0] = TRANS_NORMAL;
$CONF["types"]["provisionTiming"][1] = TRANS_IMMEDIATELY_OBEYING_QUEUE_RULES;
$CONF["types"]["provisionTiming"][2] = TRANS_IMMEDIATELY_NOT_OBEYING_QUEUE_RULES;

$CONF["APItypes"]["provisionTiming"] = array();
$CONF["APItypes"]["provisionTiming"][0] = "normal";
$CONF["APItypes"]["provisionTiming"][1] = "immediately";
$CONF["APItypes"]["provisionTiming"][2] = "immediatelyForce";


$CONF["types"]["packagemanagement"] = array();
$CONF["types"]["packagemanagement"][0] = TRANS_OBEY_SYSTEM_RULES;
$CONF["types"]["packagemanagement"][1] = TRANS_ALLOW_UPGRADE_ALLOW_DOWNGRADE_ALLOW_ADDON_MGMT;
$CONF["types"]["packagemanagement"][2] = TRANS_ALLOW_UPGRADE_ALLOW_DOWNGRADE;
$CONF["types"]["packagemanagement"][3] = TRANS_ALLOW_UPGRADE;
$CONF["types"]["packagemanagement"][4] = TRANS_ALLOW_DOWNGRADE;
$CONF["types"]["packagemanagement"][5] = TRANS_ALLOW_DOWNGRADE_ALLOW_ADDON_MGMT;
$CONF["types"]["packagemanagement"][6] = TRANS_ALLOW_UPGRADE_ALLOW_ADDON_MGMT;
$CONF["types"]["packagemanagement"][7] = TRANS_ALLOW_ADDON_MGMT;

$CONF["APItypes"]["packagemanagement"] = array();
$CONF["APItypes"]["packagemanagement"][0] = "system";
$CONF["APItypes"]["packagemanagement"][1] = "upgradedowngradeaddon";
$CONF["APItypes"]["packagemanagement"][2] = "upgradedowngrade";
$CONF["APItypes"]["packagemanagement"][3] = "upgrade";
$CONF["APItypes"]["packagemanagement"][4] = "downgrade";
$CONF["APItypes"]["packagemanagement"][5] = "downgradeaddon";
$CONF["APItypes"]["packagemanagement"][6] = "upgradeaddon";
$CONF["APItypes"]["packagemanagement"][7] = "addon";

$CONF["types"]["products"] = array();
$CONF["types"]["products"][0] = TRANS_UNDEFINED_PRODUCT;
$CONF["types"]["products"][1] = TRANS_HOSTING_PRODUCT;
$CONF["types"]["products"][2] = TRANS_NONHOSTING_PRODUCT;
$CONF["types"]["products"][3] = TRANS_DOMAIN_PRODUCT;
$CONF["types"]["products"][4] = TRANS_CERT_PRODUCT;
$CONF["types"]["products"][5] = TRANS_LICENSE_PRODUCT;
$CONF["types"]["products"][6] = TRANS_SOFTWARE_PRODUCT;
$CONF["types"]["products"][7] = TRANS_USAGE_PRODUCT;
$CONF["types"]["products"][8] = TRANS_CONTRACT_PRODUCT;
$CONF["types"]["products"][9] = TRANS_FEE_PRODUCT;
$CONF["types"]["products"][10] = TRANS_NONRECURRING_PRODUCT;

$CONF["APItypes"]["products"] = array();
$CONF["APItypes"]["products"][0] = "undefined";
$CONF["APItypes"]["products"][1] = "hosting";
$CONF["APItypes"]["products"][2] = "non-hosting";
$CONF["APItypes"]["products"][3] = "domain";
$CONF["APItypes"]["products"][4] = "cert";
$CONF["APItypes"]["products"][5] = "license";
$CONF["APItypes"]["products"][6] = "software";
$CONF["APItypes"]["products"][7] = "usage";
$CONF["APItypes"]["products"][8] = "contract";
$CONF["APItypes"]["products"][9] = "fee";
$CONF["APItypes"]["products"][10] = "nonrecurring";

$CONF["types"]["payments"] = array();
$CONF["types"]["payments"][0] = TRANS_OTHER_PAYMENT;
$CONF["types"]["payments"][1] = TRANS_CCBATCH;
$CONF["types"]["payments"][2] = TRANS_CCSINGLE;
$CONF["types"]["payments"][3] = TRANS_CHECK_MO;
$CONF["types"]["payments"][4] = TRANS_ECHECK;
$CONF["types"]["payments"][5] = TRANS_BANK_DRAFT;
$CONF["types"]["payments"][6] = TRANS_PAYPAL;
$CONF["types"]["payments"][7] = TRANS_WORLDPAY;
$CONF["types"]["payments"][8] = TRANS_WIRE;
$CONF["types"]["payments"][9] = TRANS_CASH_PAYMENT;
$CONF["types"]["payments"][50] = TRANS_PAID_WITH_CREDIT;

$CONF["APItypes"]["payments"] = array();
$CONF["APItypes"]["payments"][0] = "other";
$CONF["APItypes"]["payments"][1] = "ccbatch";
$CONF["APItypes"]["payments"][2] = "ccsingle";
$CONF["APItypes"]["payments"][3] = "check";
$CONF["APItypes"]["payments"][4] = "echeck";
$CONF["APItypes"]["payments"][5] = "bank";
$CONF["APItypes"]["payments"][6] = "paypal";
$CONF["APItypes"]["payments"][7] = "worldpay";
$CONF["APItypes"]["payments"][8] = "wire";
$CONF["APItypes"]["payments"][9] = "cash";
$CONF["APItypes"]["payments"][50] = "credit";

$CONF["types"]["transactionRecord"] = array();
$CONF["types"]["transactionRecord"][0] = TRANS_REGULAR;
$CONF["types"]["transactionRecord"][1] = TRANS_REJECT;
$CONF["types"]["transactionRecord"][2] = TRANS_REAUTH;
$CONF["types"]["transactionRecord"][3] = TRANS_REAUTHED_REJECT;

$CONF["APItypes"]["transactionRecord"] = array();
$CONF["APItypes"]["transactionRecord"][0] = "regular";
$CONF["APItypes"]["transactionRecord"][1] = "reject";
$CONF["APItypes"]["transactionRecord"][2] = "reauth";
$CONF["APItypes"]["transactionRecord"][3] = "reauthedreject";

$CONF["types"]["productrelations"] = array();
$CONF["types"]["productrelations"][1] = TRANS_UPGRADE;
$CONF["types"]["productrelations"][2] = TRANS_DOWNGRADE;

$CONF["APItypes"]["productrelations"] = array();
$CONF["APItypes"]["productrelations"][1] = "upgrade";
$CONF["APItypes"]["productrelations"][2] = "downgrade";

$CONF["types"]["billingAccount"] = array();
$CONF["types"]["billingAccount"][0] = TRANS_CREDIT_CARD_ACCOUNT;
$CONF["types"]["billingAccount"][1] = TRANS_ECHECK_ACCOUNT;
$CONF["types"]["billingAccount"][2] = TRANS_BANK_DRAFT_ACCOUNT;
$CONF["types"]["billingAccount"][3] = TRANS_MANUAL_PAYMENT_ACCOUNT;
$CONF["types"]["billingAccount"][4] = TRANS_THIRD_PARTY_GATEWAY_ACCOUNT;
$CONF["types"]["billingAccount"][5] = TRANS_WIRE_ACCOUNT;

$CONF["APItypes"]["billingAccount"] = array();
$CONF["APItypes"]["billingAccount"][0] = "card";
$CONF["APItypes"]["billingAccount"][1] = "echeck";
$CONF["APItypes"]["billingAccount"][2] = "bank";
$CONF["APItypes"]["billingAccount"][3] = "manual";
$CONF["APItypes"]["billingAccount"][4] = "secondary";
$CONF["APItypes"]["billingAccount"][5] = "wire";

$CONF["types"]["bankAccount"] = array();
$CONF["types"]["bankAccount"][0] = TRANS_CHECKING;
$CONF["types"]["bankAccount"][1] = TRANS_SAVINGS;
$CONF["types"]["bankAccount"][2] = TRANS_BUSINESS_CHECKING;
$CONF["types"]["bankAccount"][3] = TRANS_BUSINESS_SAVINGS;

$CONF["APItypes"]["bankAccount"] = array();
$CONF["APItypes"]["bankAccount"][0] = "checking";
$CONF["APItypes"]["bankAccount"][1] = "savings";
$CONF["APItypes"]["bankAccount"][2] = "business-checking";
$CONF["APItypes"]["bankAccount"][3] = "business-savings";

$CONF["types"]["card"] = array();
$CONF["types"]["card"][0] = TRANS_VISA;
$CONF["types"]["card"][1] = TRANS_MASTERCARD;
$CONF["types"]["card"][3] = TRANS_DISCOVER;
$CONF["types"]["card"][2] = TRANS_AMEX;
$CONF["types"]["card"][4] = TRANS_JCB;
$CONF["types"]["card"][5] = TRANS_ENROUTE;
$CONF["types"]["card"][6] = TRANS_DINERS;
$CONF["types"]["card"][7] = TRANS_SOLO;
$CONF["types"]["card"][8] = TRANS_MAESTRO;
$CONF["types"]["card"][9] = TRANS_DELTA;
$CONF["types"]["card"][10] = TRANS_BANKCARD;
$CONF["types"]["card"][11] = TRANS_ELECTRON;

$CONF["APItypes"]["card"] = array();
$CONF["APItypes"]["card"][0] = "visa";
$CONF["APItypes"]["card"][1] = "mastercard";
$CONF["APItypes"]["card"][3] = "discover";
$CONF["APItypes"]["card"][2] = "amex";
$CONF["APItypes"]["card"][4] = "jcb";
$CONF["APItypes"]["card"][5] = "enroute";
$CONF["APItypes"]["card"][6] = "diners";
$CONF["APItypes"]["card"][7] = "solo";
$CONF["APItypes"]["card"][8] = "maestro";
$CONF["APItypes"]["card"][9] = "delta";
$CONF["APItypes"]["card"][10] = "bankcard";
$CONF["APItypes"]["card"][11] = "electron";

$CONF["types"]["cardExtraIDs"] = array();
$CONF["types"]["cardExtraIDs"][0] = 7;
$CONF["types"]["cardExtraIDs"][1] = 8;
$CONF["types"]["cardExtraIDs"][2] = 9;

$CONF["types"]["productAttribute"] = array();
$CONF["types"]["productAttribute"][0] = TRANS_BASIC;
$CONF["types"]["productAttribute"][1] = TRANS_ADVANCED;
$CONF["types"]["productAttribute"][2] = TRANS_BOTH;

$CONF["APItypes"]["productAttribute"] = array();
$CONF["APItypes"]["productAttribute"][0] = 'basic';
$CONF["APItypes"]["productAttribute"][1] = 'advanced';
$CONF["APItypes"]["productAttribute"][2] = 'both';

$CONF["types"]["attribute"] = array();
$CONF["types"]["attribute"][0] = TRANS_DISALLOW_CLIENT_EDIT;
$CONF["types"]["attribute"][1] = TRANS_ALLOW_CLIENT_EDIT;

$CONF["APItypes"]["attribute"] = array();
$CONF["APItypes"]["attribute"][0] = 'disallowClientEdit';
$CONF["APItypes"]["attribute"][1] = 'allowClientEdit';

$CONF["types"]["customAttribute"] = array();
$CONF["types"]["customAttribute"][0] = TRANS_GENERIC_ATTRIBUTE;
$CONF["types"]["customAttribute"][1] = TRANS_ORDER_FORM_ATTRIBUTE;
$CONF["types"]["customAttribute"][2] = TRANS_PRODUCT_ATTRIBUTE;
// not implemented
//$CONF["types"]["customAttribute"][3] = TRANS_PANEL;

$CONF["APItypes"]["customAttribute"] = array();
$CONF["APItypes"]["customAttribute"][0] = "null";
$CONF["APItypes"]["customAttribute"][1] = "orderForm";
$CONF["APItypes"]["customAttribute"][2] = "product";
// not implemented
//$CONF["APItypes"]["customAttribute"][3] = "panel";

$CONF["types"]["ledgerAccount"] = array();

$CONF["types"]["tld"] = array();
$CONF["types"]["tld"][0] = TRANS_UNACCEPTABLE;
$CONF["types"]["tld"][1] = TRANS_ACCEPTABLE;

$CONF["APItypes"]["tld"] = array();
$CONF["APItypes"]["tld"][0] = "unacceptable";
$CONF["APItypes"]["tld"][1] = "acceptable";

$CONF["types"]["tldRenew"] = array();
$CONF["types"]["tldRenew"][0] = TRANS_DISABLED;
$CONF["types"]["tldRenew"][1] = TRANS_REGISTRAR_AUTORENEW;
$CONF["types"]["tldRenew"][2] = TRANS_MODERNBILL_RENEW;

$CONF["APItypes"]["tldRenew"] = array();
$CONF["APItypes"]["tldRenew"][0] = "disabled";
$CONF["APItypes"]["tldRenew"][1] = "registrar";
$CONF["APItypes"]["tldRenew"][2] = "internal";

$CONF["types"]["callbackLog"] = array();
$CONF["types"]["callbackLog"][1] = TRANS_PAYPAL;
$CONF["types"]["callbackLog"][2] = TRANS_WORLDPAY;
$CONF["types"]["callbackLog"][3] = TRANS_2CHECKOUT;
$CONF["types"]["callbackLog"][4] = TRANS_2CHECKOUT_RECURRING;

$CONF["APItypes"]["callbackLog"] = array();
$CONF["APItypes"]["callbackLog"][1] = "paypal";
$CONF["APItypes"]["callbackLog"][2] = "worldpay";
$CONF["APItypes"]["callbackLog"][3] = "2checkout";
$CONF["APItypes"]["callbackLog"][4] = "2checkoutrecurring";

$CONF["types"]["callbackAction"] = array();
$CONF["types"]["callbackAction"][1] = TRANS_SUBSCRIPTION_SIGNUP;
$CONF["types"]["callbackAction"][2] = TRANS_SUBSCRIPTION_FAILED;
$CONF["types"]["callbackAction"][3] = TRANS_SUBSCRIPTION_CANCELATION;
$CONF["types"]["callbackAction"][4] = TRANS_SUBSCRIPTION_EXPIRED;
$CONF["types"]["callbackAction"][5] = TRANS_SUBSCRIPTION_PAYMENT;
$CONF["types"]["callbackAction"][6] = TRANS_PAYMENT;
$CONF["types"]["callbackAction"][7] = TRANS_PAYMENT_REVERSAL;
$CONF["types"]["callbackAction"][8] = TRANS_PAYMENT_CHARGEBACK;
$CONF["types"]["callbackAction"][9] = TRANS_PAYMENT_REVERSAL_CANCELATION;
$CONF["types"]["callbackAction"][10] = TRANS_PAYMENT_CHARGEBACK_CANCELATION;
$CONF["types"]["callbackAction"][11] = TRANS_PAYMENT_ECHECK_PENDING;
$CONF["types"]["callbackAction"][12] = TRANS_PAYMENT_ECHECK_REVERSAL;
$CONF["types"]["callbackAction"][13] = TRANS_PAYMENT_ECHECK_REVERSAL_CANCELATION;
$CONF["types"]["callbackAction"][14] = TRANS_PAYMENT_ECHECK_DENIED;
$CONF["types"]["callbackAction"][15] = TRANS_NEW_DISPUTE_CASE;
$CONF["types"]["callbackAction"][16] = TRANS_PAYMENT_REFUND_GATEWAY;
$CONF["types"]["callbackAction"][17] = TRANS_PAYMENT_ECHECK_PROCESSED;

$CONF["APItypes"]["callbackAction"] = array();
$CONF["APItypes"]["callbackAction"][1] = "subscriptionSignup";
$CONF["APItypes"]["callbackAction"][2] = "subscriptionFailed";
$CONF["APItypes"]["callbackAction"][3] = "subscriptionCancelation";
$CONF["APItypes"]["callbackAction"][4] = "subscriptionExpired";
$CONF["APItypes"]["callbackAction"][5] = "subscriptionPayment";
$CONF["APItypes"]["callbackAction"][6] = "payment";
$CONF["APItypes"]["callbackAction"][7] = "paymentReversal";
$CONF["APItypes"]["callbackAction"][8] = "paymentChargeback";
$CONF["APItypes"]["callbackAction"][9] = "paymentReversalCancelation";
$CONF["APItypes"]["callbackAction"][10] = "paymentChargebackCancelation";
$CONF["APItypes"]["callbackAction"][11] = "paymentEcheckPending";
$CONF["APItypes"]["callbackAction"][12] = "paymentEcheckReversal";
$CONF["APItypes"]["callbackAction"][13] = "paymentEcheckReversalCancelation";
$CONF["APItypes"]["callbackAction"][14] = "paymentEcheckDenied";
$CONF["APItypes"]["callbackAction"][15] = "newDisputeCase";
$CONF["APItypes"]["callbackAction"][16] = "paymentRefundedGateway";
$CONF["APItypes"]["callbackAction"][17] = "paymentEcheckFinished";

$CONF["types"]["tldTransfer"] = array();
$CONF["types"]["tldTransfer"][0] = TRANS_CODE;
$CONF["types"]["tldTransfer"][1] = TRANS_FAX;
$CONF["types"]["tldTransfer"][2] = TRANS_EMAIL;
$CONF["types"]["tldTransfer"][3] = TRANS_MAIL;

$CONF["APItypes"]["tldTransfer"] = array();
$CONF["APItypes"]["tldTransfer"][0] = "code";
$CONF["APItypes"]["tldTransfer"][1] = "fax";
$CONF["APItypes"]["tldTransfer"][2] = "email";
$CONF["APItypes"]["tldTransfer"][3] = "mail";

$CONF["types"]["cancellation"] = array();
$CONF["types"]["cancellation"][0] = TRANS_CANCELLATION_ADMIN_ONLY_SUSPEND;
$CONF["types"]["cancellation"][1] = TRANS_CANCELLATION_BOTH_SUSPEND;
$CONF["types"]["cancellation"][2] = TRANS_CANCELLATION_ADMIN_ONLY_DELETE;
$CONF["types"]["cancellation"][3] = TRANS_CANCELLATION_BOTH_DELETE;

$CONF["APItypes"]["cancellation"] = array();
$CONF["APItypes"]["cancellation"][0] = "admin_suspend";
$CONF["APItypes"]["cancellation"][1] = "both_suspend";
$CONF["APItypes"]["cancellation"][2] = "admin_delete";
$CONF["APItypes"]["cancellation"][3] = "both_delete";

$CONF["types"]["pendingcancellation"] = array();
$CONF["types"]["pendingcancellation"][0] = TRANS_LEAVE_ACTIVE;
$CONF["types"]["pendingcancellation"][1] = TRANS_CLIENT_INITIATED_CANCELLATION;
$CONF["types"]["pendingcancellation"][2] = TRANS_ADMIN_INITIATED_CANCELLATION;

$CONF["APItypes"]["pendingcancellation"] = array();
$CONF["APItypes"]["pendingcancellation"][0] = "none";
$CONF["APItypes"]["pendingcancellation"][1] = "client";
$CONF["APItypes"]["pendingcancellation"][2] = "admin";

$CONF["types"]["tldIDN"] = array();
$CONF["types"]["tldIDN"][0] = TRANS_PUNY_CODE;

$CONF["APItypes"]["tldIDN"] = array();
$CONF["APItypes"]["tldIDN"][0] = "punycode";

$CONF["types"]["price"] = array();
$CONF["types"]["price"][0] = TRANS_GENERAL;
$CONF["types"]["price"][1] = TRANS_SETUP;
$CONF["types"]["price"][2] = TRANS_TRANSFER;
$CONF["types"]["price"][3] = TRANS_UPGRADE_FEE;
$CONF["types"]["price"][4] = TRANS_DOWNGRADE_FEE;

$CONF["APItypes"]["price"] = array();
$CONF["APItypes"]["price"][0] = "general";
$CONF["APItypes"]["price"][1] = "setup";
$CONF["APItypes"]["price"][2] = "transfer";
$CONF["APItypes"]["price"][3] = "upgradefee";
$CONF["APItypes"]["price"][4] = "downgradefee";

$CONF["types"]["coupon"] = array();
$CONF["types"]["coupon"][0] = TRANS_PERCENT;
$CONF["types"]["coupon"][1] = TRANS_UNIT;

$CONF["APItypes"]["coupon"] = array();
$CONF["APItypes"]["coupon"][0] = "percent";
$CONF["APItypes"]["coupon"][1] = "unit";

$CONF["types"]["inventoryMessage"] = array();
$CONF["types"]["inventoryMessage"][1] = TRANS_SELF;
$CONF["types"]["inventoryMessage"][2] = TRANS_CHILD;

$CONF["APItypes"]["inventoryMessage"] = array();
$CONF["APItypes"]["inventoryMessage"][1] = "self";
$CONF["APItypes"]["inventoryMessage"][2] = "child";

$CONF["types"]["inventoryNote"] = array();
$CONF["types"]["inventoryNote"][1] = TRANS_AVAILABLE;
$CONF["types"]["inventoryNote"][2] = TRANS_UNAVAILABLE;

$CONF["APItypes"]["inventoryNote"] = array();
$CONF["APItypes"]["inventoryNote"][1] = "available";
$CONF["APItypes"]["inventoryNote"][2] = "unavailable";

$CONF["types"]["bans"] = array();
$CONF["types"]["bans"][0] = TRANS_BANS_EMAIL;
$CONF["types"]["bans"][1] = TRANS_BANS_IP;
$CONF["types"]["bans"][2] = TRANS_BANS_COUNTRY;

$CONF["APItypes"]["bans"] = array();
$CONF["APItypes"]["bans"][0] = "email";
$CONF["APItypes"]["bans"][1] = "ip";
$CONF["APItypes"]["bans"][2] = "country";

$CONF["types"]["controls"] = array();
$CONF["types"]["controls"][0] = TRANS_CONTROLS_LINE_ITEMS;
$CONF["types"]["controls"][1] = TRANS_CONTROLS_CLIENTS;
$CONF["types"]["controls"][2] = TRANS_CONTROLS_INVOICES;
$CONF["types"]["controls"][3] = TRANS_CONTROLS_PACKAGES;
$CONF["types"]["controls"][4] = TRANS_CONTROLS_TAX_ZONES;
$CONF["types"]["controls"][5] = TRANS_CONTROLS_TAX_ZONE_GROUPS;
$CONF["types"]["controls"][6] = TRANS_CONTROLS_PRODUCTS;
$CONF["types"]["controls"][7] = TRANS_CONTROLS_COUPONS;
$CONF["types"]["controls"][8] = TRANS_LINE_ITEM_SETUP_CHARGE;
$CONF["types"]["controls"][9] = TRANS_CONTROLS_PACKAGE_ADDONS;

$CONF["APItypes"]["controls"] = array();
$CONF["APItypes"]["controls"][0] = "lineitems";
$CONF["APItypes"]["controls"][1] = "clients";
$CONF["APItypes"]["controls"][2] = "invoices";
$CONF["APItypes"]["controls"][3] = "packages";
$CONF["APItypes"]["controls"][4] = "taxzones";
$CONF["APItypes"]["controls"][5] = "taxzonegroups";
$CONF["APItypes"]["controls"][6] = "products";
$CONF["APItypes"]["controls"][7] = "coupons";
$CONF["APItypes"]["controls"][8] = "lineitemssetup";
$CONF["APItypes"]["controls"][9] = "packageaddons";

$CONF["types"]["shoppingdomains"] = array();
$CONF["types"]["shoppingdomains"][0] = TRANS_NEW_REGISTRATION;
$CONF["types"]["shoppingdomains"][1] = TRANS_TRANSFER;
$CONF["types"]["shoppingdomains"][2] = TRANS_EXISTING_DOMAIN;
$CONF["types"]["shoppingdomains"][3] = TRANS_MANUAL_ASSOCIATION;

$CONF["APItypes"]["shoppingdomains"] = array();
$CONF["APItypes"]["shoppingdomains"][0] = "new";
$CONF["APItypes"]["shoppingdomains"][1] = "transfer";
$CONF["APItypes"]["shoppingdomains"][2] = "existing";
$CONF["APItypes"]["shoppingdomains"][3] = "manual";

$CONF["types"]["ipnmodules"] = array();
$CONF["types"]["ipnmodules"]["paypal"] = TRANS_PAYPAL;
$CONF["types"]["ipnmodules"]["worldpay"] = TRANS_WORLDPAY;
$CONF["types"]["ipnmodules"]["2checkout"] = TRANS_2CHECKOUT;
$CONF["types"]["ipnmodules"]["2checkoutrecurring"] = TRANS_2CHECKOUT_RECURRING;

$CONF["APItypes"]["ipnmodules"] = array();
$CONF["APItypes"]["ipnmodules"]["paypal"] = "paypal";
$CONF["APItypes"]["ipnmodules"]["worldpay"] = "worldpay";
$CONF["APItypes"]["ipnmodules"]["2checkout"] = "2checkout";
$CONF["APItypes"]["ipnmodules"]["2checkoutrecurring"] = "2checkoutrecurring";

$CONF["types"]["programaticAttributes"] = array();
$CONF["types"]["programaticAttributes"]["preferredcustomer"] = TRANS_PREFERRED_CUSTOMER;
$CONF["types"]["programaticAttributes"]["reseller"] = TRANS_RESELLER;
$CONF["types"]["programaticAttributes"]["maximumdiscount"] = TRANS_MAXIMUM_DISCOUNT;
$CONF["types"]["programaticAttributes"]["minimumdiscount"] = TRANS_MINIMUM_DISCOUNT;
$CONF["types"]["programaticAttributes"]["suspensionexempt"] = TRANS_EXEMPT_FROM_SUSPENSION;

$CONF["APItypes"]["programaticAttributes"] = array();
$CONF["APItypes"]["programaticAttributes"]["preferredcustomer"] = "preferredcustomer";
$CONF["APItypes"]["programaticAttributes"]["reseller"] = "reseller";
$CONF["APItypes"]["programaticAttributes"]["maximumdiscount"] = "maximumdiscount";
$CONF["APItypes"]["programaticAttributes"]["minimumdiscount"] = "minimumdiscount";
$CONF["APItypes"]["programaticAttributes"]["suspensionexempt"] = "suspensionexempt";


$CONF["types"]["invoiceNumberTemplates"] = array();
$CONF["types"]["invoiceNumberTemplates"]['%%ID%%'] = "ID";
$CONF["types"]["invoiceNumberTemplates"]['%%SEQ%%'] = "SEQ, example: 1";
$CONF["types"]["invoiceNumberTemplates"]['%%CURYEAR%%-%%ID%%'] = "YEAR-ID, example: 01/2006-12345";
$CONF["types"]["invoiceNumberTemplates"]['%%CURMONTH%%/%%CURYEAR%%-%%ID%%'] = "MONTH/YEAR-ID, example: 01/2006-12345";
$CONF["types"]["invoiceNumberTemplates"]['%%VATYEAR%%-%%ID%%'] = "VATYEAR-ID, example: 10/2006-12345";
$CONF["types"]["invoiceNumberTemplates"]['%%VATMONTH%%/%%VATYEAR%%-%%ID%%'] = "VATMONTH/VATYEAR-ID, , example: 10/2006-12345";
$CONF["types"]["invoiceNumberTemplates"]['%%CURYEAR%%-%%SEQ%%'] = "YEAR-SEQ, example: 2006-1";
$CONF["types"]["invoiceNumberTemplates"]['%%CURMONTH%%/%%CURYEAR%%-%%SEQ%%'] = "MONTH/YEAR-SEQ, example: 01/2006-1";
$CONF["types"]["invoiceNumberTemplates"]['%%VATYEAR%%-%%SEQ%%'] = "VATYEAR-SEQ, example: 2006-1";
$CONF["types"]["invoiceNumberTemplates"]['%%VATMONTH%%/%%VATYEAR%%-%%SEQ%%'] = "VATMONTH/VATYEAR-SEQ, example: 10/2006-1";

$CONF["types"]["encryption"] = array();
$CONF["types"]["encryption"][0] = TRANS_MODERNBILL_5;
$CONF["types"]["encryption"][1] = TRANS_MODERNBILL_5_1;

$CONF["APItypes"]["encryption"] = array();
$CONF["APItypes"]["encryption"][0] = "modernbill5";
$CONF["APItypes"]["encryption"][1] = "modernbill51";

$CONF["types"]["vendorActivationRule"] = array();
$CONF["types"]["vendorActivationRule"][1] = TRANS_ACTIVE;
$CONF["types"]["vendorActivationRule"][2] = TRANS_INACTIVE;

$CONF["APItypes"]["vendorActivationRule"] = array();
$CONF["APItypes"]["vendorActivationRule"][1] = "active";
$CONF["APItypes"]["vendorActivationRule"][2] = "inactive";


// Used by FraudSets, FraudCountryThresholdsadn  email templates
$CONF["types"]["countryTypes"] = array();
$CONF["types"]["countryTypes"][0] = TRANS_APPLY_TO_ALL_COUNTRIES;
$CONF["types"]["countryTypes"][1] = TRANS_APPLY_TO_ONE_COUNTRY;
$CONF["types"]["countryTypes"][2] = TRANS_APPLY_TO_REGION_OF_COUNTRIES;

$CONF["types"]["serverFill"] = array();
$CONF["types"]["serverFill"][0] = TRANS_PANEL_LEAST_FULL;
$CONF["types"]["serverFill"][1] = TRANS_PANEL_ONE_AT_A_TIME;

$CONF["APItypes"]["serverFill"] = array();
$CONF["APItypes"]["serverFill"][0] = "parallelLeast";
$CONF["APItypes"]["serverFill"][1] = "serial";

$CONF["types"]["panelUsernameRule"] = array();
$CONF["types"]["panelUsernameRule"][1] = TRANS_PANEL_ACCOUNT_NAME_RULE_USER_INPUT; //user input from the order form
$CONF["types"]["panelUsernameRule"][2] = TRANS_PANEL_ACCOUNT_NAME_RULE_FIRST_8DOMAIN; //first 8 chars of the domain name
$CONF["types"]["panelUsernameRule"][3] = TRANS_PANEL_ACCOUNT_NAME_RULE_FIRST_4DOMAIN_LAST1_TLD; //first 4 last char + tld
$CONF["types"]["panelUsernameRule"][4] = TRANS_PANEL_ACCOUNT_NAME_RULE_DOMAIN; //same as the domain name
$CONF["types"]["panelUsernameRule"][5] = TRANS_PANEL_ACCOUNT_NAME_RULE_ADD_PREFIX; //add a prefix to the begining
$CONF["types"]["panelUsernameRule"][6] = TRANS_PANEL_ACCOUNT_NAME_RULE_ADD_SUFIX; //add a prefix to the begining
$CONF["types"]["panelUsernameRule"][7] = TRANS_PANEL_ACCOUNT_NAME_RULE_ADD_SEQUENCE; //add a sequence to the end
$CONF["types"]["panelUsernameRule"][8] = TRANS_PANEL_ACCOUNT_NAME_RULE_RANDOM; //generate a random username

$CONF["types"]["migration"] = array();
$CONF["types"]["migration"][1] = TRANS_MODERNBILL4;
$CONF["types"]["migration"][2] = TRANS_WHMCS351;
//$CONF["types"]["migration"][3] = TRANS_MODERNBILL5;

$CONF["APItypes"]["migration"] = array();
$CONF["APItypes"]["migration"][1] = "mb4";
//$CONF["APItypes"]["migration"][2] = "whmcs351";
//$CONF["APItypes"]["migration"][3] = "mb5";

$CONF["types"]["ledger"] = array();
$CONF["types"]["ledger"][1] = TRANS_GENERAL_LEDGER;
$CONF["types"]["ledger"][2] = TRANS_ACCOUNTS_RECEIVABLE_LEDGER;
$CONF["types"]["ledger"][3] = TRANS_ACCOUNTS_PAYABLE_LEDGER;
$CONF["types"]["ledger"][4] = TRANS_TAX_PAYABLE_LEDGER;

$CONF["APItypes"]["ledger"] = array();
$CONF["APItypes"]["ledger"][1] = "general";
$CONF["APItypes"]["ledger"][2] = "accounts_receivable";
$CONF["APItypes"]["ledger"][3] = "accounts_payable";
$CONF["APItypes"]["ledger"][4] = "tax_payable";

// master list of loggable datasources
$CONF["types"]["source"] = array();
$CONF["types"]["source"][0] = TRANS_CLIENTS;
$CONF["types"]["source"][1] = TRANS_CONTACTS;
$CONF["types"]["source"][2] = TRANS_CONTACT_EMAIL_RELATIONS;
$CONF["types"]["source"][3] = TRANS_BILLING_ACCOUNTS;
$CONF["types"]["source"][4] = TRANS_CLIENT_ATTRIBUTES;
$CONF["types"]["source"][5] = TRANS_ATTRIBUTE_GROUPS;
$CONF["types"]["source"][6] = TRANS_GROUP_ATTRIBUTES;
$CONF["types"]["source"][7] = TRANS_PACKAGES;
$CONF["types"]["source"][8] = TRANS_PACKAGE_ATTRIBUTES;
$CONF["types"]["source"][9] = TRANS_PACKAGE_ADDONS;
$CONF["types"]["source"][10] = TRANS_PACKAGE_ADDON_ATTRIBUTES;
$CONF["types"]["source"][11] = TRANS_DOMAINS;

$CONF["APItypes"]["source"] = array();
$CONF["APItypes"]["source"][0] = "clientsGeneric";
$CONF["APItypes"]["source"][1] = "contacts";
$CONF["APItypes"]["source"][2] = "contactEmailActionRels";
$CONF["APItypes"]["source"][3] = "billingAccounts";
$CONF["APItypes"]["source"][4] = "clientAttributes";
$CONF["APItypes"]["source"][5] = "attributeGroups";
$CONF["APItypes"]["source"][6] = "groupAttributes";
$CONF["APItypes"]["source"][7] = "packages";
$CONF["APItypes"]["source"][8] = "packageAttributes";
$CONF["APItypes"]["source"][9] = "packageAddons";
$CONF["APItypes"]["source"][10] = "packageAddonAttributes";
$CONF["APItypes"]["source"][11] = "domainsGeneric";

// which datasources are to be logged for admins
$CONF["APItypes"]["sourceLogAdmin"] = array();
$CONF["APItypes"]["sourceLogAdmin"][0] = "clientsGeneric";
$CONF["APItypes"]["sourceLogAdmin"][1] = "contacts";
$CONF["APItypes"]["sourceLogAdmin"][2] = "contactEmailActionRels";
$CONF["APItypes"]["sourceLogAdmin"][3] = "billingAccounts";
$CONF["APItypes"]["sourceLogAdmin"][4] = "clientAttributes";
$CONF["APItypes"]["sourceLogAdmin"][5] = "attributeGroups";
$CONF["APItypes"]["sourceLogAdmin"][6] = "groupAttributes";
$CONF["APItypes"]["sourceLogAdmin"][7] = "packages";
$CONF["APItypes"]["sourceLogAdmin"][8] = "packageAttributes";
$CONF["APItypes"]["sourceLogAdmin"][9] = "packageAddons";
$CONF["APItypes"]["sourceLogAdmin"][10] = "packageAddonAttributes";
$CONF["APItypes"]["sourceLogAdmin"][11] = "domainsGeneric";

// which datasources are to be logged for clients
$CONF["APItypes"]["sourceLogClient"] = array();
$CONF["APItypes"]["sourceLogClient"][0] = "clientsGeneric";
$CONF["APItypes"]["sourceLogClient"][1] = "contacts";
$CONF["APItypes"]["sourceLogClient"][2] = "contactEmailActionRels";
$CONF["APItypes"]["sourceLogClient"][3] = "billingAccounts";
$CONF["APItypes"]["sourceLogClient"][4] = "clientAttributes";
$CONF["APItypes"]["sourceLogClient"][11] = "domainsGeneric";


// secret questions for client contacts
$CONF["types"]["clientSecretQuestions"] = array();
$CONF["types"]["clientSecretQuestions"][0] = TRANS_SECRET_QUESTION_1;
$CONF["types"]["clientSecretQuestions"][1] = TRANS_SECRET_QUESTION_2;
$CONF["types"]["clientSecretQuestions"][2] = TRANS_SECRET_QUESTION_3;
$CONF["types"]["clientSecretQuestions"][3] = TRANS_SECRET_QUESTION_4;
$CONF["types"]["clientSecretQuestions"][4] = TRANS_SECRET_QUESTION_5;
$CONF["types"]["clientSecretQuestions"][5] = TRANS_SECRET_QUESTION_6;

$CONF["APItypes"]["clientSecretQuestions"] = array();
$CONF["APItypes"]["clientSecretQuestions"][0] = "secretQuestion1";
$CONF["APItypes"]["clientSecretQuestions"][1] = "secretQuestion2";
$CONF["APItypes"]["clientSecretQuestions"][2] = "secretQuestion3";
$CONF["APItypes"]["clientSecretQuestions"][3] = "secretQuestion4";
$CONF["APItypes"]["clientSecretQuestions"][4] = "secretQuestion5";
$CONF["APItypes"]["clientSecretQuestions"][5] = "secretQuestion6";

// sw interface types
$CONF["types"]["swInterfaces"] = array();
$CONF["types"]["swInterfaces"][0] = TRANS_UNKNOWN;
$CONF["types"]["swInterfaces"][1] = TRANS_INMARSAT_UNKNOWN;
$CONF["types"]["swInterfaces"][2] = TRANS_INMARSAT_A;
$CONF["types"]["swInterfaces"][3] = TRANS_INMARSAT_B;
$CONF["types"]["swInterfaces"][4] = TRANS_INMARSAT_C;
$CONF["types"]["swInterfaces"][5] = TRANS_INMARSAT_F33;
$CONF["types"]["swInterfaces"][6] = TRANS_INMARSAT_F55;
$CONF["types"]["swInterfaces"][7] = TRANS_INMARSAT_F77;
$CONF["types"]["swInterfaces"][8] = TRANS_INMARSAT_MINI_M;
$CONF["types"]["swInterfaces"][9] = TRANS_IRIDIUM;
$CONF["types"]["swInterfaces"][10] = TRANS_NETWORK;
$CONF["types"]["swInterfaces"][11] = TRANS_GSM;
$CONF["types"]["swInterfaces"][12] = TRANS_SBD;
$CONF["types"]["swInterfaces"][13] = TRANS_MSAT;
$CONF["types"]["swInterfaces"][14] = TRANS_VSAT;
$CONF["types"]["swInterfaces"][15] = TRANS_PLAIN_SAILING;
$CONF["types"]["swInterfaces"][16] = TRANS_RYDEX;

$CONF["APItypes"]["swInterfaces"] = array();
$CONF["APItypes"]["swInterfaces"][0] = "unknown";
$CONF["APItypes"]["swInterfaces"][1] = "inmarsat";
$CONF["APItypes"]["swInterfaces"][2] = "inmarsata";
$CONF["APItypes"]["swInterfaces"][3] = "inmarsatb";
$CONF["APItypes"]["swInterfaces"][4] = "inmarsatc";
$CONF["APItypes"]["swInterfaces"][5] = "inmarsatf33";
$CONF["APItypes"]["swInterfaces"][6] = "inmarsatf55";
$CONF["APItypes"]["swInterfaces"][7] = "inmarsatf77";
$CONF["APItypes"]["swInterfaces"][8] = "inmarsatminim";
$CONF["APItypes"]["swInterfaces"][9] = "iridium";
$CONF["APItypes"]["swInterfaces"][10] = "network";
$CONF["APItypes"]["swInterfaces"][11] = "gsm";
$CONF["APItypes"]["swInterfaces"][12] = "sbd";
$CONF["APItypes"]["swInterfaces"][13] = "msat";
$CONF["APItypes"]["swInterfaces"][14] = "vsat";
$CONF["APItypes"]["swInterfaces"][15] = "plainsailing";
$CONF["APItypes"]["swInterfaces"][16] = "rydex";

$CONF["types"]["packageUsageType"] = array();
$CONF["types"]["packageUsageType"][0] = TRANS_TRAFFIC;
$CONF["types"]["packageUsageType"][1] = TRANS_TIME;
$CONF["types"]["packageUsageType"][2] = TRANS_SPACE;

$CONF["APItypes"]["packageUsageType"] = array();
$CONF["APItypes"]["packageUsageType"][0] = "traffic";
$CONF["APItypes"]["packageUsageType"][1] = "time";
$CONF["APItypes"]["packageUsageType"][2] = "space";

$CONF["types"]["communicationBrand"] = array();
$CONF["types"]["communicationBrand"][0] = TRANS_UNKNOWN;
$CONF["types"]["communicationBrand"][1] = TRANS_FRANCE_TELECOM;
$CONF["types"]["communicationBrand"][2] = TRANS_STRATOS;
$CONF["types"]["communicationBrand"][3] = TRANS_XANTIC;
$CONF["types"]["communicationBrand"][4] = TRANS_WCC;

$CONF["APItypes"]["communicationBrand"] = array();
$CONF["APItypes"]["communicationBrand"][0] = "unknown";
$CONF["APItypes"]["communicationBrand"][1] = "francetelecom";
$CONF["APItypes"]["communicationBrand"][2] = "stratos";
$CONF["APItypes"]["communicationBrand"][3] = "xantic";
$CONF["APItypes"]["communicationBrand"][4] = "wcc";

$CONF["types"]["cdrDataTypes"] = array();
$CONF["types"]["cdrDataTypes"][0] = TRANS_CDR_UNKNOWN;
$CONF["types"]["cdrDataTypes"][1] = TRANS_CDR_CONNECT;
$CONF["types"]["cdrDataTypes"][2] = TRANS_CDR_PHONEVI;
$CONF["types"]["cdrDataTypes"][3] = TRANS_CDR_PHONEVO;
$CONF["types"]["cdrDataTypes"][4] = TRANS_CDR_HEADER;
$CONF["types"]["cdrDataTypes"][5] = TRANS_CDR_BYPASS;
$CONF["types"]["cdrDataTypes"][6] = TRANS_CDR_MD;
$CONF["types"]["cdrDataTypes"][7] = TRANS_CDR_WDS;
$CONF["types"]["cdrDataTypes"][8] = TRANS_CDR_BUOY;
$CONF["types"]["cdrDataTypes"][9] = TRANS_CDR_EMAILP;
$CONF["types"]["cdrDataTypes"][10] = TRANS_CDR_EMAILR;
$CONF["types"]["cdrDataTypes"][11] = TRANS_CDR_DATAR;
$CONF["types"]["cdrDataTypes"][12] = TRANS_CDR_BROWSE;
$CONF["types"]["cdrDataTypes"][13] = TRANS_CDR_SBD;
$CONF["types"]["cdrDataTypes"][14] = TRANS_CDR_LAND;
$CONF["types"]["cdrDataTypes"][15] = TRANS_CDR_PSFAX;
$CONF["types"]["cdrDataTypes"][16] = TRANS_CDR_PSTLX;
$CONF["types"]["cdrDataTypes"][17] = TRANS_CDR_PSSMS;
$CONF["types"]["cdrDataTypes"][18] = TRANS_CDR_SNAP;
$CONF["types"]["cdrDataTypes"][22] = TRANS_CDR_NTM_UKHO;
$CONF["types"]["cdrDataTypes"][23] = TRANS_CDR_NTM_USCG;
$CONF["types"]["cdrDataTypes"][24] = TRANS_CDR_NTM_NGA;
$CONF["types"]["cdrDataTypes"][25] = TRANS_CDR_IMPACT;

$CONF["APItypes"]["cdrDataTypes"] = array();
$CONF["APItypes"]["cdrDataTypes"][0] = "unknown";
$CONF["APItypes"]["cdrDataTypes"][1] = "connect";
$CONF["APItypes"]["cdrDataTypes"][2] = "phonevi";
$CONF["APItypes"]["cdrDataTypes"][3] = "phonevo";
$CONF["APItypes"]["cdrDataTypes"][4] = "header";
$CONF["APItypes"]["cdrDataTypes"][5] = "bypass";
$CONF["APItypes"]["cdrDataTypes"][6] = "md";
$CONF["APItypes"]["cdrDataTypes"][7] = "wds";
$CONF["APItypes"]["cdrDataTypes"][8] = "buoy";
$CONF["APItypes"]["cdrDataTypes"][9] = "emailp";
$CONF["APItypes"]["cdrDataTypes"][10] = "emailr";
$CONF["APItypes"]["cdrDataTypes"][11] = "datar";
$CONF["APItypes"]["cdrDataTypes"][12] = "browse";
$CONF["APItypes"]["cdrDataTypes"][13] = "SBD";
$CONF["APItypes"]["cdrDataTypes"][14] = "land";
$CONF["APItypes"]["cdrDataTypes"][15] = "psfax";
$CONF["APItypes"]["cdrDataTypes"][16] = "pstlx";
$CONF["APItypes"]["cdrDataTypes"][17] = "pssms";
$CONF["APItypes"]["cdrDataTypes"][18] = "snap";
$CONF["APItypes"]["cdrDataTypes"][22] = "ntm_ukho";
$CONF["APItypes"]["cdrDataTypes"][23] = "ntm_uscg";
$CONF["APItypes"]["cdrDataTypes"][24] = "ntm_nga";
$CONF["APItypes"]["cdrDataTypes"][25] = "impact";

