{* $Id: ShowAgingReportContainer.tpl 10284 2006-12-12 23:59:25Z kbailey $
 * --------------------------------------------------------------
 * This template displays a the accounting journals menu.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ACCOUNTING" d="Accounting"}
{t c="TRANS_AMOUNT" d="Amount"}
{t c="TRANS_DATE" d="Date"}
{t c="TRANS_DAILY_JOURNALS" d="Daily Journals"}
{t c="TRANS_FINANCES" d="Finances"}

{t c="TRANS_BALANCE_SHEET_EXPLAINATION" d="This is a summary of your assets, liabilities, and equity accounts' balances."}
{t c="TRANS_PROFIT_AND_LOSS_EXPLAINATION" d="This is a summary of your revenue, cogs, and expense accounts' balances."}

{t c="TRANS_BALANCE_SHEET" d="Balance Sheet"}
{t c="TRANS_PROFIT_AND_LOSS" d="Profit and Loss Statement"}

{t c="TRANS_SELECT_BALANCE_SHEET_DATE" d="<strong>Or...</strong> Select earlier date"}
{t c="TRANS_SELECT_PROFIT_AND_LOSS_DATE" d="<strong>Or...</strong> Select date range below"}

{t c="TRANS_SHOW_BALANCE_SHEET" d="Go"}
{t c="TRANS_BALANCE_SHEET_TODAY" d="Generate through today"}

{t c="TRANS_SHOW_PROFIT_AND_LOSS" d="Go"}
{t c="TRANS_PROFIT_AND_LOSS_TODAY" d="Generate for this month"}

{t c="TRANS_THROUGH" d="Through"}

{t c="TRANS_GENERATE_REPORT" d="Generate Report"}
{t c="TRANS_AR_AGING_REPORT" d="AR Aging Report"}
{t c="TRANS_AR_AGING_EXPLAINATION" d="This is an accounts receivable aging report that shows what is owed to you and how long it has been owed."}

{t c="TRANS_SHOW_AGING_REPORT" d="Go"}
{t c="TRANS_AGING_REPORT_TODAY" d="Generate for today"}
{t c="TRANS_SELECT_AGING_REPORT_DATE" d="<strong>Or...</strong> Select date"}
{t c="TRANS_REPORTS" d="Reports"}
{t c="TRANS_BALANCE_SHEET" d="Balance Sheet"}
{t c="TRANS_REFRESH" d="Refresh"}
{t c="TRANS_LOADING_AR" d="Please wait while your accounts recevable aging report is being generated. This may take a minute."}
{t c="TRANS_PROFIT_AND_LOSS_STATEMENT" d="Profit and Loss Statement"}
{t c="TRANS_AR_AGING_REPORT" d="AR Aging Report"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_REPORTS"
	sideNavMajor="finances"
	sideNavMinor="accounting"
	includeAjaxJS=1}

<script type="text/javascript">
	var cp = new cpaint();
	cp.set_transfer_mode('get');
	cp.set_response_type('text');
	cp.set_use_cpaint_api(false);
	{literal}
	function ShowAgingReport(recordOffset) {
		document.getElementById("ShowAgingReportOutput").innerHTML = 
			"<br /><center><img src=\"{/literal}{$imageDirectory}{literal}/loading2.gif\" style=\"vertical-align:middle;border-style:none;\" /> {/literal}{$smarty.const.TRANS_LOADING_AR}{literal}</center>";
		cp.call('{/literal}accounting.php?action={getActionID action="ShowAgingReport"}&dateRange={$dateRange}&'+
				'ajax=1&sid={$sid}&clientID={$clientID}&recordOffset='+recordOffset+'&'+Math.random()+'{literal}', 
				'ShowAgingReport', 
				ShowAgingReportOutput);
		return false;
	}
	function ShowAgingReportOutput(result) {
		if (result) {
			document.getElementById("ShowAgingReportOutput").innerHTML = result;
		} else {
			document.getElementById("ShowAgingReportOutput").innerHTML = {/literal}"unable to parse command"{literal};
		}
	}
	setTimeout("ShowAgingReport('0');", 100);
	{/literal}
</script>

<table  width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01">
<tr><td valign="top">

<div class="blueDiv">

<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
<tr class="headerRowBlue">
	<td>&nbsp;{$smarty.const.TRANS_AR_AGING_REPORT}</td>
</tr>
<tr>
	<td style="padding:0px;border:1px solid #BAB8AF;">
		<table width="100%" border="0" cellpadding="0" cellspacing="0">
		<tr>
			<td width="50%" style="text-align:left;padding:1px;">
				&nbsp;
			</td>
			<td width="50%" style="text-align:right;padding:1px;">
				{strip}
				<a href="javascript:void(0);" onclick="return ShowAgingReport(0);">
					<img src="{$imageDirectory}/ico/refresh.gif" title="{$smarty.const.TRANS_REFRESH}" style="vertical-align:middle;border-style:none;" />
				</a>
				&nbsp;
				<a href="javascript:void(0);" onclick="return ShowAgingReport(0);">
					{$smarty.const.TRANS_REFRESH}
				</a>
				{/strip}
				&nbsp;
			</td>
		</tr>
		</table>
	</td>
</tr>
<tr>
	<td style="padding:0px;border:1px solid #BAB8AF;">
		<div style="padding:1px;height:500px;overflow:auto;background-color:#FFF;" id="ShowAgingReportOutput"></div>
	</td>
</tr>
</table>

</div>

</td></tr></table>

<br />

{include file="$tplDirectory/footer.tpl"}
