{* $Id: ShowCashFlow.tpl 10125 2006-11-27 16:53:24Z kbailey $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}


{t c="TRANS_BEGINNING" d="Beginning"}
{t c="TRANS_ENDING" d="Ending"}
{t c="TRANS_CASH_FLOW_REPORT" d="Cash Flow Report"}
{t c="TRANS_NET_CHANGE" d="Net Change"}

{t c="TRANS_YOU_COLLECTED" d="You Collected"}
{t c="TRANS_YOU_PAID_OUT" d="You Paid Out"}
{t c="TRANS_YOU_INVOICED_FOR" d="You Invoiced For"}
{t c="TRANS_YOU_DEFERRED_THIS_REVENUE" d="You Deferred This Much Revenue"}
{t c="TRANS_YOU_EARNED_THIS_MUCH_DEFERRED_REVENUE" d="You Earned This Much Deferred Revenue"}
{t c="TRANS_SUMMARY" d="Summary"}

{t c="TRANS_CASH_FLOW_AUTHORIZED_ACCOUNT_DESCRIPTION" d="Debits in this account represent money you have authorized but not captured.  Credits represent you capturing money that you have already authorized."}
{t c="TRANS_YOU_AUTHORIZED" d="You Authorized"}
{t c="TRANS_NO_ENTRIES_IN_RANGE" d="There are no entries in the date range you provided."}

{t c="TRANS_PLEASE_SELECT_ANOTHER_RANGE" d="Please select another range"}

{t c="TRANS_RANGED_CASH_FLOW_REPORT" d="Ranged Cash Flow Report"}
{t c="TRANS_RANGED_CASH_FLOW_EXPLAINATION" d="This report shows you the change (and gives you small explainations of what they mean to your business) for a few important accounts."}
{t c="TRANS_SELECT_CASH_FLOW_DATE" d="Select a date range below"}

{if $noData==1}
<br />
	<h1 style="text-align:center;">{$smarty.const.TRANS_NO_ENTRIES_IN_RANGE}</h1>
<br />
	<h1 style="text-align:center;">{$smarty.const.TRANS_PLEASE_SELECT_ANOTHER_RANGE}</h1>
<br />
		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td>{$smarty.const.TRANS_RANGED_CASH_FLOW_REPORT}</td>
		</tr>
		<tr class="alt2">
			<td style="padding:2px;border:1px solid #BAB8AF;">{$smarty.const.TRANS_RANGED_CASH_FLOW_EXPLAINATION}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;background-color:#FFFFFF;">
				<form method="post" action="accounting.php">
				<input type="hidden" name="action" value="{getActionID action="ShowCashFlowContainer"}" />
				<input type="hidden" name="sid" value="{$sid}" />
				<table border="0" cellpadding="3">
				<tr>
					<td>
						{$smarty.const.TRANS_SELECT_CASH_FLOW_DATE}
					</td>
				</tr>
				<tr>
					<td>
						<strong>{$smarty.const.TRANS_FROM}:</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="cashFlowBegin" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="cashFlowBegin" value=" ... " />
						<script type="text/javascript">
							{literal}
							function updateCashFlowBeginSelect(cal) {
								var date = cal.date;
								var selectMonth = document.getElementById("cashFlowBeginMonth");
								selectMonth.selectedIndex = date.getMonth();
								var selectDay = document.getElementById("cashFlowBeginDay");
								selectDay.selectedIndex = (date.getDate() - 1);
								var selectYear = document.getElementById("cashFlowBeginYear");
								selectYear.value = date.getFullYear();
							}
							Zapatec.Calendar.setup({
								button         :    "cashFlowBegin",
								onUpdate       :     updateCashFlowBeginSelect,
								showsTime      :     false
							});
							{/literal}
						</script>
						&nbsp;
						<strong>{$smarty.const.TRANS_TO}:</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="cashFlowEnd" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="cashFlowEnd" value=" ... " />
						<script type="text/javascript">
						    {literal}
						    function updateCashFlowEndSelect(cal) {
						        var date = cal.date;
						        var selectMonth = document.getElementById("cashFlowEndMonth");
						        selectMonth.selectedIndex = date.getMonth();
						        var selectDay = document.getElementById("cashFlowEndDay");
						        selectDay.selectedIndex = (date.getDate() - 1);
						        var selectYear = document.getElementById("cashFlowEndYear");
						        selectYear.value = date.getFullYear();
						    }
						    Zapatec.Calendar.setup({
						        button         :    "cashFlowEnd",
						        onUpdate       :     updateCashFlowEndSelect,
						        showsTime      :     false
						    });
						    {/literal}
					    </script>
					</td>
		        </tr>
		        <tr>
		            <td>
						<input class="submit" type="submit" value="{$smarty.const.TRANS_GENERATE_REPORT}">
					</td>
		        </tr>
		        </table>
				</form>
				<br />
			</td>
		</tr>
		</table>
		</div>


{else}

<table width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tr>
	<td>
		<h1 style="text-align:center;">{$smarty.const.TRANS_CASH_FLOW_REPORT}: {$smarty.const.TRANS_BEGINNING} {$startDate|getDate:short} - {$smarty.const.TRANS_ENDING} {$endDate|getDate:short}</h1>
		<br />
<table width="100%" class="ledger">
	<tr>
		<th>{$smarty.const.TRANS_LEDGER_ACCOUNT}</th>
		<th>{$smarty.const.TRANS_CURRENCY}</th>
		<th>{$smarty.const.TRANS_DEBITS}</th>
		<th>{$smarty.const.TRANS_CREDITS}</th>
		<th>{$smarty.const.TRANS_NET_CHANGE}</th>
	</tr>
		{include file="$tplDirectory/widgets/showLedgerAccountTotals.tpl" data=$accountTotals.cash description="TRANS_CASH_FLOW_CASH_ACCOUNT_DESCRIPTION"}
		{if $accountTotals.cash_1}
			{include file="$tplDirectory/widgets/showLedgerAccountTotals.tpl" data=$accountTotals.cash_1 description="TRANS_CASH_FLOW_CASH_ACCOUNT_DESCRIPTION"}
		{/if}
		{if $accountTotals.cash_2}
			{include file="$tplDirectory/widgets/showLedgerAccountTotals.tpl" data=$accountTotals.cash_2 description="TRANS_CASH_FLOW_CASH_ACCOUNT_DESCRIPTION"}
		{/if}
		{include file="$tplDirectory/widgets/showLedgerAccountTotals.tpl" data=$accountTotals.customer_credits description="TRANS_CASH_FLOW_CLIENT_CREDITS_ACCOUNT_DESCRIPTION"}
		{include file="$tplDirectory/widgets/showLedgerAccountTotals.tpl" data=$accountTotals.accounts_receivable description="TRANS_CASH_FLOW_AR_ACCOUNT_DESCRIPTION"}
		{if $accountTotals.authorized_payments}
			{include file="$tplDirectory/widgets/showLedgerAccountTotals.tpl" data=$accountTotals.authorized_payments description="TRANS_CASH_FLOW_AUTHORIZED_ACCOUNT_DESCRIPTION"}
		{/if}
		{if $accountTotals.deferred_revenue}
			{include file="$tplDirectory/widgets/showLedgerAccountTotals.tpl" data=$accountTotals.deferred_revenue reverseRedGreen="yes" description="TRANS_CASH_FLOW_DEFERRED_REVENUE_ACCOUNT_DESCRIPTION"}
		{/if}
</table>
	<br />
		<table class="ledger">
			<tr>
				<th>{$smarty.const.TRANS_SUMMARY}</th>
				{foreach key="k" item="currencyID" from=$currencies}
				<th>{$currencyID}</th>
				{/foreach}
			</tr>
			<tr class="first">
				<td align="right">{$smarty.const.TRANS_YOU_COLLECTED}: </td>
				{foreach key="k" item="currencyID" from=$currencies}
				<td align="right"><font color="green">{$accountTotals.cash[$currencyID].debits+$accountTotals.cash_1[$currencyID].debits+$accountTotals.cash_2[$currencyID].debits|getAmount:$currencyID}</font></td>
				{/foreach}
			</tr>
			<tr>
				<td align="right">{$smarty.const.TRANS_YOU_AUTHORIZED}: </td>
				{foreach key="k" item="currencyID" from=$currencies}
				<td align="right"><font color="green">{$accountTotals.authorized_payments[$currencyID].debits+$accountTotals.cash_1[$currencyID].debits+$accountTotals.cash_2[$currencyID].debits|getAmount:$currencyID}</font></td>
				{/foreach}
			</tr>
			<tr>
				<td align="right">{$smarty.const.TRANS_YOU_PAID_OUT}: </td>
				{foreach key="k" item="currencyID" from=$currencies}
				<td align="right"><font color="red">{$accountTotals.cash[$currencyID].credits+$accountTotals.cash_1[$currencyID].credits+$accountTotals.cash_2[$currencyID].credits|getAmount:$currencyID}</font></td>
				{/foreach}
			</tr>
			<tr>
				<td align="right">{$smarty.const.TRANS_YOU_INVOICED_FOR}: </td>
				{foreach key="k" item="currencyID" from=$currencies}
				<td align="right"><font color="green">{$accountTotals.accounts_receivable[$currencyID].debits|getAmount:$currencyID}</font></td>
				{/foreach}
			</tr>
			<tr>
				<td align="right">{$smarty.const.TRANS_YOU_DEFERRED_THIS_REVENUE}: </td>
				{foreach key="k" item="currencyID" from=$currencies}
				<td align="right"><font color="red">{$accountTotals.deferred_revenue[$currencyID].debits|getAmount:$currencyID}</font></td>
				{/foreach}
			</tr>
			<tr>
				<td align="right">{$smarty.const.TRANS_YOU_EARNED_THIS_MUCH_DEFERRED_REVENUE}: </td>
				{foreach key="k" item="currencyID" from=$currencies}
				<td align="right"><font color="green">{$accountTotals.deferred_revenue[$currencyID].credits|getAmount:$currencyID}</font></td>
				{/foreach}
			</tr>
		</table>
	</td>
</tr>
</table>
{/if}
