{* $Id: ShowSignupSheet.tpl 10329 2006-12-18 23:36:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays a mini accounting stats report.
 *
 * Smarty Variables:
 *	$invoiceStats (array of invoice status and their count)
 *		invoiceStatus
 *		numInovices
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}
{t c="TRANS_DAILY_SIGNUP_SHEET" d="Daily Signup Sheet"}
{t c="TRANS_NO_SIGNUPS_IN_PERIOD" d="No signups in period given"}
{t c="TRANS_NUMBER_OF_TIMES_SOLD" d="Number of times sold"}
{t c="TRANS_PRODUCT_TOTALS" d="Product Totals"}
{t c="TRANS_TOTAL_NEW_CLIENTS" d="Total New Clients"}

<table width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tr>
	<td>
		<h1 style="text-align:center;">{$smarty.const.TRANS_DAILY_SIGNUP_SHEET}: {$startDate|getDate:short} - {$endDate|getDate:short}</h1>
<!-- 
["productNames"][1] = Domains
["productNames"][3] = Silver Hosting
["productNames"][4] = Gold Hosting
["datedProductTotals"][12-14-2006][1]["num"] = 1
["datedProductTotals"][12-14-2006][1]["USD"]["rev"] = 15
["datedProductTotals"][12-14-2006][4]["num"] = 1
["datedProductTotals"][12-14-2006][4]["USD"]["rev"] = 15
["productTotals"][1]["num"] = 1
["productTotals"][1]["rev"]["USD"] = 15
["productTotals"][4]["num"] = 1
["productTotals"][4]["rev"]["USD"] = 15
["datedClients"][12-14-2006][0]["invoiceID"] = 1
["datedClients"][12-14-2006][0]["invoiceNumber"] = 1
["datedClients"][12-14-2006][0]["creditNoteForInvoiceID"] = 
["datedClients"][12-14-2006][0]["currencyID"] = USD
["datedClients"][12-14-2006][0]["invoiceAmount"] = 30.00
["datedClients"][12-14-2006][0]["invoiceAmountPaid"] = 0.00
["datedClients"][12-14-2006][0]["invoiceDateEntered"] = 1166135284
["datedClients"][12-14-2006][0]["invoiceDateDue"] = 1166912884
["datedClients"][12-14-2006][0]["invoiceDatePaid"] = 
["datedClients"][12-14-2006][0]["invoicePaymentMethod"] = 
["datedClients"][12-14-2006][0]["invoiceBatchTimestamp"] = 
["datedClients"][12-14-2006][0]["invoiceSubTotal"] = 30.00
["datedClients"][12-14-2006][0]["invoiceDiscount"] = 0.00
["datedClients"][12-14-2006][0]["invoiceStatus"] = 0
["datedClients"][12-14-2006][0]["paymentGroupID"] = 1
["datedClients"][12-14-2006][0]["clientContactID"] = 1
["datedClients"][12-14-2006][0]["clientID"] = 1
["datedClients"][12-14-2006][0]["contactUsername"] = krisbailey
["datedClients"][12-14-2006][0]["contactPassword"] = 37c257dfd10d64a88a836c41e0ab51ed724f0562
["datedClients"][12-14-2006][0]["contactTempPassword"] = 
["datedClients"][12-14-2006][0]["contactFirstName"] = Kris
["datedClients"][12-14-2006][0]["contactLastName"] = Bailey
["datedClients"][12-14-2006][0]["contactEmail"] = kris@thenetoutfit.com
["datedClients"][12-14-2006][0]["contactEmailFormat"] = 1
["datedClients"][12-14-2006][0]["contactCompany"] = company
["datedClients"][12-14-2006][0]["contactAddress1"] = 1023 Pitchford Rd
["datedClients"][12-14-2006][0]["contactAddress2"] = 
["datedClients"][12-14-2006][0]["contactCity"] = Louisville
["datedClients"][12-14-2006][0]["contactState"] = KY
["datedClients"][12-14-2006][0]["contactZip"] = 40219
["datedClients"][12-14-2006][0]["languageID"] = 21
["datedClients"][12-14-2006][0]["countriesID"] = 224
["datedClients"][12-14-2006][0]["contactPhone1"] = phone 1
["datedClients"][12-14-2006][0]["contactPhone2"] = 
["datedClients"][12-14-2006][0]["contactFax"] = 
["datedClients"][12-14-2006][0]["contactDateCreated"] = 1166135260
["datedClients"][12-14-2006][0]["contactPrimary"] = 1
["datedClients"][12-14-2006][0]["contactActive"] = 1
["datedClients"][12-14-2006][0]["clientDateCreated"] = 1166135260.0000000
["datedClientTotals"][12-14-2006] = 1
["totalClients"] = 1
["totalProducts"] = 2
["currencyTotals"]["USD"] = 30
-->

		{foreach item="clients" key="tdate" from=$datedClients}
			<fieldset><legend>{$clients.0.clientDateCreated|getDate:short}</legend>
			<h1>{$smarty.const.TRANS_CLIENTS} - {$datedClientTotals.$tdate}</h1>
			<br />
			<table class="ledger">
				<tr>
					<th>{$smarty.const.TRANS_CLIENT}</th>
					<th>{$smarty.const.TRANS_INVOICE}</th>
					<th>{$smarty.const.TRANS_REVENUE}</th>
				</tr>
				{foreach item="client" key="k" from=$clients}
					<tr>
						<td>{$client.contactFirstName} {$client.contactLastName}</td>
						<td>{$client.invoiceNumber}</td>
						<td>{$client.invoiceAmount|getAmount:$client.currencyID}</td>
					</tr>
				{/foreach}
			</table>
			<br />
			<h1>{$smarty.const.TRANS_PRODUCT_TOTALS} - {$datedTotalProducts.$tdate}</h1>
			<br />
			<table class="ledger">
				<tr>
					<th>{$smarty.const.TRANS_PRODUCT}</th>
					<th>{$smarty.const.TRANS_NUMBER_OF_TIMES_SOLD}</th>
					<th>{$smarty.const.TRANS_REVENUE}</th>
				</tr>
				{foreach item="prod" key="productID" from=$datedProductTotals.$tdate}
					<tr>
						<td>{$productNames.$productID}</td>
						<td>{$prod.num}</td>
						<td>
						{foreach item="revAmt" key="currencyID" from=$prod.rev}
							{$revAmt|getAmount:$currencyID} <br />
						{/foreach}
						</td>
					</tr>
				{/foreach}
			</table>
			</fieldset>
		{foreachelse}
			{$smarty.const.TRANS_NO_SIGNUPS_IN_PERIOD}
		{/foreach}
		
		{if $totalClients>0}
			<fieldset><legend>{$smarty.const.TRANS_TOTALS}</legend>
			<h1>{$smarty.const.TRANS_TOTAL_NEW_CLIENTS} - {$totalClients}</h1>
			<h1>{$smarty.const.TRANS_PRODUCT_TOTALS} - {$totalProducts}</h1>
			<br />
			<table class="ledger">
				<tr>
					<th>{$smarty.const.TRANS_PRODUCT}</th>
					<th>{$smarty.const.TRANS_NUMBER_OF_TIMES_SOLD}</th>
					<th>{$smarty.const.TRANS_REVENUE}</th>
				</tr>
				{foreach item="prod" key="productID" from=$productTotals}
					<tr>
						<td>{$productNames.$productID}</td>
						<td>{$prod.num}</td>
						<td>
						{foreach item="revAmt" key="currencyID" from=$prod.rev}
							{$revAmt|getAmount:$currencyID} <br />
						{/foreach}
						</td>
					</tr>
				{/foreach}
			</table>
			</fieldset>
		{/if}

	</td>
</tr>
</table>

