{* $Id: OrderCertCSRRequest.tpl 8106 2006-07-20 23:05:50Z mgarrett $
 * --------------------------------------------------------------
 * This template
 *
 * Smarty Variables:
 *	$certProducts (array of product IDs to select)
 *
 *}

{t c="TRANS_CSR_POST_INSTRUCTIONS" d="After generating your server's Certificate Signing Request as described in <a href="include/sslcerts/help/csr/index.php" target="_blank">Generate CSR</a>, paste the CSR in the form below. Please make sure that it contains the complete header and footer "BEGIN" and "END" lines exactly as in the example below."}
{t c="TRANS_SAMPLE_ONLY" d="SAMPLE ONLY - DO NOT USE"}
{t c="TRANS_BEGIN_CERTREQUEST" d="BEGIN NEW CERTIFICATE REQUEST"}
{t c="TRANS_END_CERTREQUEST" d="END NEW CERTIFICATE REQUEST"}
{t c="TRANS_CERT_SIGNINGREQUEST" d="Certificate Signing Request"}
{t c="TRANS_COMPETITIVE_UPGRADE" d="Competitive Upgrade"}
{t c="TRANS_RENEWAL" d="Renewal"}


{t c="TRANS_CSR_NOTICE_ADDITIONAL_TIME" d="If you have a GeoTrust issued SSL certificate for the same domain that is expiring in the next 90 days or has expired in the past 90 days, you will receive additional renewal months according to this chart:"}
{t c="TRANS_CSR_NOTICE_COMPETITIVE_UPGRADE" d="If you have an active certificate issued by Verisign, Thawte, Entrust or Baltimore, you are eligible for our competitive upgrade. In addition to receiving a discount which will be displayed on the following pages, you will also receive additional free months added onto your certificate depending on when your current certificate expires. In order to perform this upgrade, we will connect to your server and validate that a current active competitive certificate exists for the same fully qualified domain name that you are ordering. If for some reason we can not properly connect to your current server and validate the certificate, we will allow you to paste the certificate onto the next page."}

{t c="TRANS_HAVE_COMPETITORCERT" d="Yes, I have a server certificate from a competitor."}
{t c="TRANS_DONT_HAVE_COMPETITORCERT" d="No, I can't take advantage of this offer."}

{t c="TRANS_INDICATES_REQUIRED_FIELD" d="Indicates required field."}

{t c="TRANS_CSRREQUEST" d="CSR Request"}

{include
	file="$tplDirectory/header.tpl"
	parentName=TRANS_SSLCERTS
	childName=TRANS_CSRREQUEST
	sideNavMajor="products"}

{*
<SCRIPT>
function enable(enable){
	enableRadioGroup(enable);
	setToFalse(enable);
}

function disable(disable){
	disableRadioGroup(disable);
	uncheckRadioGroup(disable);
}

function disableSelect(field){
	field.disabled=true;
	field.value="";
}

function enableSelect(field) {
	field.disabled=false;
	setToFalse(field);
}

function enableFirstField(radioButtonOrGroup) {
	uncheckRadioGroup(radioButtonOrGroup);
	disableRadioGroup(radioButtonOrGroup);
	if(radioButtonOrGroup.length) {
		radioButtonOrGroup[0].disabled = false;
		radioButtonOrGroup[0].checked = true;
		radioButtonOrGroup[0].select();
	} else {
		radioButtonOrGroup.disabled = false;
		radioButtonOrGroup.checked = true;
		radioButtonOrGroup.select();
	}
}

function setToFalse(radioButtonOrGroup){
	if (radioButtonOrGroup.length){ // we have a group
		for(var b = 0; b < radioButtonOrGroup.length; b++){
			if (radioButtonOrGroup[b].value == "false"){
				radioButtonOrGroup[b].checked = true;
				break;
			}
		}
	} else {
		if (radioButtonOrGroup.value == "phone"){
			radioButtonOrGroup.checked = true;
		}
	}
}

function uncheckRadioGroup(radioButtonOrGroup){
	if (radioButtonOrGroup.length){ // we have a group
		for(var b = 0; b < radioButtonOrGroup.length; b++){
			if (radioButtonOrGroup[b].checked){
				radioButtonOrGroup[b].checked = false;
				break;
			}
		}
	} else {
		radioButtonOrGroup.checked = false;
	}
}

function preserveRadioGroup (evt) {
	this.checked = this.storedChecked;
	var rgb = this.form[this.name];
	if (!rgb.length && rgb.storedChecked)
		rgb.checked = true;
	else
		for (var b = 0; b < rgb.length; b++)
			rgb[b].checked = rgb[b].storedChecked ? true : false;
}
function disableRadioGroup (radioGroup) {
	//if (!radioGroup.disabled) {
	radioGroup.disabled = true;
	if (document.all || document.getElementById) {
		if (!radioGroup.length)
			radioGroup.disabled = true;
		else
			for (var b = 0; b < radioGroup.length; b++)
				radioGroup[b].disabled = true;
	} else {
		if (!radioGroup.length) {
			radioGroup.storedChecked = radioGroup.checked;
			radioGroup.oldOnClick = radioGroup.onclick;
			radioGroup.onclick = preserveRadioGroup;
		} else
			for (var b = 0; b < radioGroup.length; b++) {
				radioGroup[b].storedChecked = radioGroup[b].checked;
				radioGroup[b].oldOnClick = radioGroup[b].onclick;
				radioGroup[b].onclick = preserveRadioGroup;
			}
	}
	// }
}
function enableRadioGroup (radioGroup) {
	//if (radioGroup.disabled) {
	radioGroup.disabled = false;
	if (document.all || document.getElementById) {
		if (!radioGroup.length)
			radioGroup.disabled = false;
		else
			for (var b = 0; b < radioGroup.length; b++)
				radioGroup[b].disabled = false;
	} else {
		if (!radioGroup.length) {
			radioGroup.onclick = radioGroup.oldOnClick;
		} else
			for (var b = 0; b < radioGroup.length; b++) {
				radioGroup[b].onclick = radioGroup[b].oldOnClick;
			}
	}
	//}
}
</SCRIPT>
*}
<form name="CSRInfo" method="post" action="certs.php">

<input type="hidden" name="certID" value="{$certID}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action=$nextAction}" />

<p>{$smarty.const.TRANS_CSR_POST_INSTRUCTIONS}</p>

<code>
	<font color="red">{$smarty.const.TRANS_SAMPLE_ONLY}</font>
	<br />
	<small>-----{$smarty.const.TRANS_BEGIN_CERTREQUEST}-----<br>MIIDCjCCAnMCAQAwdTEZMBcGA1UEAxMQaG9zdC5kb21haW4ubmFtZTEVM<br>BMGA1UECxMMT3JnYW5pemF0aW9uMRUwEwYDVQQKEwxPcmdhbml6YXRpb2<br>4xDTALBgNVBAcTBENpdHkxDjAMBgNVBAgTBVN0YXRlMQswCQYDVQQGEwJ<br>VUzCBnzANBgkqhkiG9w0BAQEFAAOBjQAwgYkCgYEAyZ1dYomQ4jhSr6f/<br>G3GYxjS4B837+y3A6xIM9OVXV4ZnSIe9nOLHgdksQJpwaQeOZwWeqifte<br>hrJ/s55PvPxok+Tqq0t7BfMkkUSuiYnFdUo1OpDPdw3cEaP9WWSrduouI<br>Vnq2AWTDw2ykyxKg6neb2vYTZRvbot7M578Vvh6P8CAwEAAaCCAVMwGgY<br>KKwYBBAGCNw0CAzEMFgo1LjAuMjE5NS4yMDUGCisGAQQBgjcCAQ4xJzAl<br>MA4GA1UdDwEB/wQEAwIE8DATBgNVHSUEDDAKBggrBgEFBQcDATCB/QYKK<br>wYBBAGCNw0CAjGB7jCB6wIBAR5aAE0AaQBjAHIAbwBzAG8AZgB0ACAAUg<br>BTAEEAIABTAEMAaABhAG4AbgBlAGwAIABDAHIAeQBwAHQAbwBnAHIAYQB<br>wAGgAaQBjACAAUAByAG8AdgBpAGQAZQByA4GJACB3C0g9psK0+V+N/Me1<br>JsG39vonCPQBdOwNp6zHJSPCU3FwQ0SgFpEQNy6HEn79I0CMrU93q9Hh1<br>TQtd2YU6lWHQunXrIcytmAFVjhibNX6Dp1e41Wjc2N4ilJyy1GFss686c<br>dZt2GP6y04I74/OvkW2Wf9nezUrMrESM2PP4B1AAAAAAAAAAAwDQYJKoZ<br>IhvcNAQEFBQADgYEAg4+QHTvkP5CG+WcGnrhKiMkJnMP6QEsds40obUDS<br>dGtEupQz8C+4xoMd1aM68q9Ri6Va+JTeuhKHxLz9hT/KUJhNBy0sRfnx+<br>JkQdrKG69UanTwvLqXINh9xChw9ErIto/2kZI5kl2KYQdiOqTv6p0GEUP<br>Rq/MD52Zy3bOzSRF0=<br> -----{$smarty.const.TRANS_END_CERTREQUEST}----- </small>
</code>

<br /><br />

<h4>{$smarty.const.TRANS_CERT_SIGNINGREQUEST}&nbsp;<font color="red" size="1">*</font></h4>

{if $invalid.CSRCSR}
	<div class="highlight" style="font:12pt;border:1px solid red;padding: 5pt;">
		{$invalid.CSRCSR}
	</div>
{/if}
<textarea name="CSRCSR" cols="90" rows="20" style="font:8pt;font-family:Verdona">{$cert.CSRCSR}</textarea>

<br /><br />

<p><h4>{$smarty.const.TRANS_RENEWAL}</h4></p>

<table>
<tr>
	<td>
		<input type="radio"
				name="RIRenewalIndicator"
				value="true"
				onclick="disable(this.form.upgrade)"
				{if $cert.RIRenewalIndicator == 'true'}CHECKED{/if} />
	</td>
	<td>&nbsp;</td>
	<td><p><b>{$smarty.const.TRANS_YES}</b></p></td>
</tr>

<tr valign = "top">
	<td>
		<input type="radio"
			name="RIRenewalIndicator"
			value="false"
			onclick="enable(this.form.upgrade)"
			{if $cert.RIRenewalIndicator == 'false' || $cert.RIRenewalIndicator == ''}CHECKED{/if} />
	</td>
	<td>&nbsp;</td>
	<td><p><b>{$smarty.const.TRANS_NO}</b></p></td>
</tr>
</table>

<p>{$smarty.const.TRANS_CSR_NOTICE_ADDITIONAL_TIME}</p>

<p><img src="https://www.geotrust.com/images/renewal_chart.gif"></p>


<p><h4>{$smarty.const.TRANS_COMPETITIVE_UPGRADE}</h4></p>

<p>{$smarty.const.TRANS_CSR_NOTICE_COMPETITIVE_UPGRADE}</p>

<table>
<tr>
	<td>
		<input type="radio"
				name="UPGCUIndicator"
				value="true"
				onclick=""
				{if $cert.UPGCUIndicator == 'true'}CHECKED{/if} />
	</td>
	<td>&nbsp;</td>
	<td><p><b>{$smarty.const.TRANS_HAVE_COMPETITORCERT}</p></b></td>
</tr>

<tr valign = "top">
	<td>
		<input type="radio"
				name="UPGCUIndicator"
				value="false"
				onclick="enable(this.form.renewal)"
				{if $cert.UPGCUIndicator == 'false' || $cert.UPGCUIndicator == ''}CHECKED{/if} />
	</td>
	<td>&nbsp;</td>
	<td><p><b>{$smarty.const.TRANS_DONT_HAVE_COMPETITORCERT}</p></b></td>
</tr>
</table>

<p>
	<font color="red">*</font> {$smarty.const.TRANS_INDICATES_REQUIRED_FIELD}
</p>

<center>
	<input type="submit" name="fromCSRInfo" class="submit" value="{$smarty.const.TRANS_CONTINUE}">
</center>

</form>

{include file="$tplDirectory/footer.tpl"}
