{* $Id: OrderCertContactRequest.tpl 6939 2006-05-17 15:57:52Z bsmith $
 * --------------------------------------------------------------
 * This template
 *
 * Smarty Variables:
 *	$certProducts (array of product IDs to select)
 *
 *}

{t c="TRANS_CONTACTINFO" d="Contact Information"}

{t c="TRANS_CLICK_ERROR" d="Click the individual error message below to focus on the element in error"}

{t c="TRANS_ORGANIZATION_INFO" d="Organization Information"}
{t c="TRANS_ENTER_DUNS_MSG" d="Please enter your organization information below. Although the D-U-N-S number is not required it will help us expedite your request. If your organization is in the UK, please provide us your Registration Number in the D-U-N-S field below."}
{t c="TRANS_LEGAL_ORGANIZATION_NAME" d="Legal Organization Name"}
{t c="TRANS_DUNS" d="Dun &amp; Bradstreet Number (D-U-N-S)"}
{t c="TRANS_MAIN_PHONE" d="Main Phone"}
{t c="TRANS_MAILING_ADDR_1" d="Mailing Address Line 1"}
{t c="TRANS_MAILING_ADDR_2" d="Mailing Address Line 2"}
{t c="TRANS_MAILING_ADDR_3" d="Mailing Address Line 3"}
{t c="TRANS_STATE_PROVINCE" d="State/Province"}
{t c="TRANS_POSTAL_CODE" d="Postal Code"}

{t c="TRANS_SITE_ADMIN_CONTACT_INFO" d="Site Administrator Contact Information"}
{t c="TRANS_ADMINCONTACT_MSG" d="The administrative contact is the primary contact and will be contacted to assist in resolution of any questions about the order."}

{t c="TRANS_FILL_FIRST_NAME" d="Please fill in the Admin First Name."}
{t c="TRANS_FILL_LAST_NAME" d="Please fill in the Admin Last Name."}
{t c="TRANS_FILL_PHONE_NUMBER" d="Please fill in the Admin Phone Number."}
{t c="TRANS_FILL_EMAIL_ADDRESS" d="Please fill in a valid Admin Email Address."}
{t c="TRANS_FILL_CONTACT_OPTION" d="Please select a Technical Contact Option."}
{t c="TRANS_FILL_CONTACT_EMAIL" d="Please enter a valid Technical Contact Email Address."}

{t c="TRANS_FILL_BILLING_CONTACT_OPTION" d="Please select a Billing Contact Option."}

{t c="TRANS_PHONE_NUMBER" d="Phone Number"}
{t c="TRANS_NEW_CONTACT" d="New contact"}
{t c="TRANS_TECH_CONTACT_INFO" d="Technical Contact Information"}
{t c="TRANS_BILLING_CONTACT_INFO" d="Billing Contact Information"}
{t c="TRANS_BILLING_CONTACT_MSG" d="The billing contact will receive the receipt for the purchase when a credit card is used."}
{t c="TRANS_CHECK_IF_SAME_AS_ADMIN_CONTACT" d="Check here if same as Administrator Contact"}


{t c="TRANS_TECH_CONTACT_NOTICE" d="The Technical contact will receive the certificate and generally be the individual to install the certificate on the web server.  They will also receive renewal notices when the certificate nears expiration."}

{t c="TRANS_CERTCONTACTINFO" d="Contact Information"}
{include
	file="$tplDirectory/header.tpl"
	parentName=TRANS_SSLCERTS
	childName=TRANS_CERTCONTACTINFO
	sideNavMajor="products"}


<h4>{$pageTitle} {$smarty.const.TRANS_CONTACTINFO}</h4>

<ul id="errors">
	<li class="heading">{$smarty.const.TRANS_CLICK_ERROR}</li>
</ul>

<form name="ContactInfo" method="post" action="certs.php">

<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="OrderCertContactRequestResponse"}" />
<input type="hidden" name="certID" value="{$cert.certID}" />
			
{if $show_org_info == true}
	<h4>{$smarty.const.TRANS_ORGANIZATION_INFO}</h4>

     	<p>{$smarty.const.TRANS_ENTER_DUNS_MSG}</p>

	<table width="50%">
	<tr>
		<td><p><b>{$smarty.const.TRANS_LEGAL_ORGANIZATION_NAME}&nbsp;<font color="red">*</font></b></p></td>
		<td>&nbsp;</td>
		<td><p><b>{$smarty.const.TRANS_DUNS}</b></p></td>
	</tr>
	<tr>
		<td><input type="text" name="ORGOrganizationName" maxlength="255" size="33" value="{$cert.ORGOrganizationName}"></td>
		<td>&nbsp;</td>
		<td><input type="text" name="ORGDUNS" maxlength="50" size="33" value="{$cert.ORGDUNS}"></td>
	</tr>
	<tr><td>&nbsp;</td></tr>
	
	<tr>
		<td><p><b>{$smarty.const.TRANS_MAIN_PHONE}&nbsp;<font color="red">*</font></b></p></td>
		<td>&nbsp;</td>
		<td><p><b>{$smarty.const.TRANS_FAX_NUMBER}</b></p></td>
	</tr>
	<tr>
		<td><input type="text" name="ORGPhone" maxlength="30" size="33" value="{$cert.ORGPhone}"></td>
		<td>&nbsp;</td>
		<td><input type="text" name="ORGFax" maxlength="30" size="33" value="{$cert.ORGFax}"></td>
	</tr>
	<tr><td>&nbsp;</td></tr>

	<tr>
		<td colspan=3><p><b>{$smarty.const.TRANS_MAILING_ADDR_1}&nbsp;<font color="red">*</font></b></p></td>
	</tr>
	<tr>
		<td colspan=3><input type="text" name="ORGAddressLine1" maxlength="100" size="74" value="{$cert.ORGAddressLine1}" /></td>
	</tr>
	<tr><td>&nbsp;</td></tr>

	<tr>
		<td colspan=3><p><b>{$smarty.const.TRANS_MAILING_ADDR_2}</b></p></td>
	</tr>
	<tr>
		<td colspan=3><input type="text" name="ORGAddressLine2" maxlength="100" size="74" value="{$cert.ORGAddressLine2}"></td>
	</tr>
	<tr><td>&nbsp;</td></tr>

	<tr>
		<td colspan=3><p><b>{$smarty.const.TRANS_MAILING_ADDR_3}</b></p></td>
	</tr>
	<tr>
		<td colspan=3><input type="text" name="ORGAddressLine3" maxlength="100" size="74" value="{$cert.ORGAddressLine3}"></td>
	</tr>
	<tr><td>&nbsp;</td></tr>

	<tr>
		<td><p><b>{$smarty.const.TRANS_CITY}&nbsp;<font color="red">*</font></b></p></td>
		<td>&nbsp;</td>
		<td><p><b>{$smarty.const.TRANS_STATE_PROVINCE}&nbsp;<font color="red">*</font></b></p></td>
	</tr>
     	<tr>
		<td><input type="text" name="ORGCity" maxlength="50" size="33" value="{$cert.ORGCity}"></td>
		<td>&nbsp;</td>
		<td><input type="text" name="ORGRegion" maxlength="255" size="33" value="{$cert.ORGRegion}" /></td>
	</tr>
	<tr><td>&nbsp;</td></tr>

	<tr>
		<td><p><b>{$smarty.const.TRANS_POSTAL_CODE}&nbsp;<font color="red">*</font></b></p></td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
	</tr>

	<tr>
		<td><input type="text" name="ORGPostalCode" maxlength="20" size="10" value="{$cert.ORGPostalCode}" /></td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
	</tr>
	<tr><td>&nbsp;</td></tr>

	<tr>
		<td><p><b>{$smarty.const.TRANS_COUNTRY}&nbsp;<font color="red">*</font></b></p></td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
	</tr>

	<tr>
		<td colspan="3"><?=country_select_box($this_order['CSR_Country'],'r_country'); ?></td>
	</tr>
	</table>
	<br/>
{/if}

{if $show_admin_info == true}
	<h4>{$smarty.const.TRANS_SITE_ADMIN_CONTACT_INFO}</h4>
	<p>{$smarty.const.TRANS_ADMINCONTACT_MSG}</p>

 	<table width="50%">
	<tr>
		<td><p><b>{$smarty.const.TRANS_FIRST_NAME}&nbsp;<font color="red">*</font></b></p></td>
		<td>&nbsp;</td>
		<td><p><b>{$smarty.const.TRANS_LAST_NAME}&nbsp;<font color="red">*</font></b></p></td>
	</tr>

	<tr>
		<td><input type="text" name="ACFirstName" maxlength="100" size="33" value="{$cert.ACFirstName}" alt="blank" emsg="{$smarty.const.TRANS_FILL_FIRST_NAME}"></td>
		<td>&nbsp;</td>
		<td><input type="text" name="ACLastName" maxlength="100" size="33" value="{$cert.ACLastName}" alt="blank" emsg="{$smarty.const.TRANS_FILL_LAST_NAME}"></td>
	</tr>

	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>

	<tr>
		<td><p><b>{$smarty.const.TRANS_PHONE_NUMBER} &nbsp;<font color="red">*</font></b></p></td>
		<td>&nbsp;</td>
		<td><p><b>{$smarty.const.TRANS_EMAIL_ADDRESS}&nbsp;<font color="red">*</font></b></p></td>
	</tr>

	<tr>
		<td><input type="text" name="ACPhone" maxlength="30" size="33" value="{$cert.ACPhone}" alt="blank" emsg="{$smarty.const.TRANS_FILL_PHONE_NUMBER}"></td>
		<td>&nbsp;</td>
		<td><input type="text" name="ACEmail" maxlength="255" size="33" value="{$cert.ACEmail}" alt="email" emsg="{$smarty.const.TRANs_FILL_EMAIL_ADDRESS}"></td>
	</tr>

	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>
	</table>
{/if} {** $show_admin_info **}

{if $show_tech_info == true}
	<h4>{$smarty.const.TRANS_TECH_CONTACT_INFO}</h4>

	<p>{$smarty.const.TRANS_TECH_CONTACT_NOTICE}</p>
	
 	<table width="50%">
	<tr>
		<td><p><b><input type="radio" name="orTechSameAsAdmin" value="new" {if $cert.orTechSameAsAdmin == 'new'}CHECKED{/if} alt="radio" emsg="{$smarty.const.TRANS_FILL_CONTACT_OPTION}" />{$smarty.const.TRANS_NEW_CONTACT}</b></p></td>
	</tr>
	<tr>
		<td><p><b><input type="radio" name="orTechSameAsAdmin" value="admin" {if $cert.orTechSameAsAdmin == 'admin' || $cert.orTechSameAsAdmin == ''}CHECKED{/if} />{$smarty.const.TRANS_CHECK_IF_SAME_AS_ADMIN_CONTACT}</b></p></td>
	</tr>
	</table>

	<br />

 	<table width="50%">
	<tr>
		<td><p><b>{$smarty.const.TRANS_FIRST_NAME}&nbsp;<font color="red">*</font></b></p></td>
		<td>&nbsp;</td>
		<td><p><b>{$smarty.const.TRANS_LAST_NAME}&nbsp;<font color="red">*</font></b></p></td>
	</tr>
	<tr>
		<td><input type="text" name="TCFirstName" maxlength="100" size="33" value="{$cert.TCFirstName}"></td>
		<td>&nbsp;</td>
		<td><input type="text" name="TCLastName" maxlength="100" size="33" value="{$cert.TCLastName}"></td>
	</tr>
	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>
	<tr>
		<td><p><b>{$smarty.const.TRANS_PHONE_NUMBER}&nbsp;<font color="red">*</font></b></p></td>
		<td>&nbsp;</td>
		<td><p><b>{$smarty.const.TRANS_EMAIL_ADDRESS}&nbsp;<font color="red">*</font></b></p></td>
	</tr>
	<tr>
		<td><input type="text" name="TCPhone" maxlength="30" size="33" value="{$cert.TCPhone}"></td>
		<td>&nbsp;</td>
		<td><input type="text" name="TCEmail" maxlength="255" size="33" value="{$cert.TCEmail}" alt="email|bok" emsg="{$smarty.const.TRANS_FILL_CONTACT_EMAIL}"></td>
	</tr>
	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>
	</table>

	<br />
{/if} {** $show_tech_info **}

{if $show_billing_info == true}
	<h4>{$smarty.const.TRANS_BILLING_CONTACT_INFO}</h4>

	<p>{$smarty.const.TRANS_BILLING_CONTACT_MSG}</p>

 	<table width="50%">
	<tr>
		<td><p><b><input type="radio" name="orBillSameAsPrevious" value="new" {if $cert.orBillSameAsPrevious == 'new'}CHECKED{/if} alt="radio" emsg="{$smarty.const.TRANS_FILL_BILLING_CONTACT_OPTION}">{$smarty.const.TRANS_NEW_CONTACT}</b></p></td>
	</tr>
	<tr>
		<td><p><b><input type="radio" name="orBillSameAsPrevious" value="admin" {if $cert.orBillSameAsPrevious == 'admin' || $cert.orBillSameAsPrevious == ''}CHECKED{/if}>Check here if same as Administrator Contact or</b></p></td>
	</tr>
	<tr>
 		<td><p><b><input type="radio" name="orBillSameAsPrevious" value="tech" {if $cert.orBillSameAsPrevious == 'tech'}CHECKED{/if}>Check here if same as Technical Contact</b></p></td>
	</tr>
	</table>

	<br />

 	<table width="50%">
	<tr>
		<td><p><b>{$smarty.const.TRANS_FIRST_NAME}&nbsp;<font color="red">*</font></b></p></td>
 		<td>&nbsp;</td>
 		<td><p><b>{$smarty.const.TRANS_LAST_NAME}&nbsp;<font color="red">*</font></b></p></td>
	</tr>
	<tr>
 		<td><input type="text" name="BCFirstName" maxlength="100" size="33" value="{$cert.BCFirstName}"></td>
 		<td>&nbsp;</td>
 		<td><input type="text" name="BCLastName" maxlength="100" size="33" value="{$cert.BCLastName}"></td>
	</tr>
	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>
	<tr>
		<td><p><b>{$smarty.const.TRANS_PHONE_NUMBER}&nbsp;<font color="red">*</font></b></p></td>
 		<td>&nbsp;</td>
 		<td><p><b>{$smarty.const.TRANS_EMAIL}&nbsp;<font color="red">*</font></b></p></td>
	</tr>
	<tr>
 		<td><input type="text" name="BCPhone" maxlength="30" size="33" value="{$cert.BCPhone}"></td>
 		<td>&nbsp;</td>
 		<td><input type="text" name="BCEmail" maxlength="255" size="33" value="{$cert.BCEmail}" alt="email|bok" emsg="Please enter a valid Billing Contact Email Address."></td>
	</tr>
	</table>

	<br />

{else}
	<input type="hidden" name="orBillSameAsPrevious" value="admin">
{/if} {** $show_billing_info **}

<p><font color="red">*</font> &nbsp; Indicates required field.<p>

<center>
<input type="submit" name="fromContactInfo" value="{$smarty.const.TRANS_CONTINUE}" class="submit" />
</center>
</form>

{include file="$tplDirectory/footer.tpl"}

