{* $Id: EditBasicClientAttributes.tpl 9374 2006-10-10 00:55:16Z mfountain $
 * --------------------------------------------------------------
 * This template displays a form to edit an existing client.
 *
 * Smarty Variables:
 *
 * Author: Kris Bailey
 *}

{t c="TRANS_PREFERRED_CUSTOMER" d="Preferred Customer"}
{t c="TRANS_MAXIMUM_DISCOUNT" d="Maximum Discount Percentage"}
{t c="TRANS_MINIMUM_DISCOUNT" d="Minumum Discount Percentage"}
{t c="TRANS_EXEMPT_FROM_SUSPENSION" d="Exempt From Suspension Rules"}
{t c="TRANS_EDIT_CLIENT_ATTRIBUTES" d="Edit Client Attributes"}
{t c="TRANS_CLIENT_ATTRIBUTES" d="Client Attributes"}
{t c="TRANS_ATTRIBUTE_DISPLAY_NAME" d="Attribute Display Name"}
{t c="TRANS_ATTRIBUTE_IS_ACTIVE" d="Attribute Is Active"}
{t c="TRANS_INTERNAL_VALUE_OPTIONS" d="Options: <b>1</b> = <u>Yes</u>, <b>2</b> = <u>No</u>, or set any custom value"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_CLIENTS"
	grandchildName="TRANS_EDIT_CLIENT_ATTRIBUTES"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/client.tpl" client=$client suppressEditLink="yes" suppressDeleteLink="yes"}

<form method="post" action="clients.php">
<input type="hidden" name="action" value="{getActionID action="EditBasicClientAttributesResponse"}">
<input type="hidden" name="clientID" value="{$client.clientID}">
<input type="hidden" name="sid" value="{$sid}">

<fieldset>
<legend>{$smarty.const.TRANS_CLIENT_ATTRIBUTES}</legend>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<thead>
<tr class="headerRow">
	<td><strong>{$smarty.const.TRANS_ATTRIBUTE_DISPLAY_NAME}:</strong></td>
	<td><strong>{$smarty.const.TRANS_ATTRIBUTE_IS_ACTIVE}:</strong></td>
	<td><strong>{$smarty.const.TRANS_ATTRIBUTE_INTERNAL_VALUE}:</strong></td>
</tr>
</thead>
{foreach key="attributeName" item="attrID" from=$namedAttributes}
	
	{if $programaticAttributes.$attributeName}
		{assign var="attrDisplayName" value=$programaticAttributes.$attributeName}
	{else}
		{assign var="attrDisplayName" value=$attributeName}
	{/if}
	
	<tr>
		<td class="title">{$smarty.const.$attrDisplayName|default:$attrDisplayName}:</td>
		<td>
			<input type="radio" value="yes" name="activeAttributes[{$attributeName}]" 
				{if $attributeValues.$attrID.attributeID==$attrID}checked="checked"{/if} /> 
			{$smarty.const.TRANS_YES} 
			&nbsp;&nbsp; 
			<input type="radio" value="no" name="activeAttributes[{$attributeName}]" 
				{if $attributeValues.$attrID.attributeID==$attrID}{else}checked="checked"{/if} /> 
			{$smarty.const.TRANS_NO}
		</td>
		<td>
			<input type="text" name="attributeValues[{$attributeName}]" value="{$attributeValues.$attrID.clientAttributeValue}" />
		</td>
	</tr>

{/foreach}

	<tr>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>{$smarty.const.TRANS_INTERNAL_VALUE_OPTIONS}</td>
	</tr>
	<tr class="listButtons">
		<td colspan="3"><div><input type="submit" class="submit" value="{$smarty.const.TRANS_SAVE_ALL}" /></div></td>
	</tr>
</table>

</fieldset>

</form>
<br />
{include file="$tplDirectory/footer.tpl"}
