{* $Id: RemoveClient.tpl 9415 2006-10-11 02:23:50Z mfountain $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}
{t c="TRANS_CLIENTS" d="Clients"}
{t c="TRANS_MANAGE_CLIENTS" d="Manage Clients"}
{t c="TRANS_REMOVE_OPTIONS" d="Remove Options"}
{t c="TRANS_REMOVE_CLIENT_MESG" d="Are you sure you want to remove this client?"}
{t c="TRANS_EDIT_CLIENT_ARCHIVE_SETTINGS" d="Edit Client Archive Settings"}
{t c="TRANS_ARCHIVE_WARNING_ACTIVE_PACKAGES" d="<u><strong>Archive Warning</strong></u>: This client has <u>active packages</u> that will not be billed if this record is archived.<br /><br />YOU SHOULD SUSPEND OR CANCEL THESE PACKAGES BEFORE ARCHIVING THIS CLIENT."}
{t c="TRANS_ARCHIVE_NOTICE_ACTIVE_PACKAGES" d="<u><strong>Archive Notice</strong></u>: A client that is archived is suppressed and no longer billable. The accounting history will still be used for related reports."}
{t c="TRANS_PURGE_THIS_CLIENT_AND_DELETE" d="Purge this client and delete all data"}
{t c="TRANS_ARCHIVE_THIS_CLIENT_AND_SAVE" d="Archive this client and save all data"}
{t c="TRANS_PURGE_WARNING" d="<u><strong>Purge Warning</strong></u>: This will delete the client record and ALL related client information from the database including all accounting entries for this client.<br /><br />IF THIS CLIENT HAS INVOICES AND THEY ARE DELETED, INVOICE NUMBERS WILL NO LONGER BE SEQUENTIAL WHICH MAY NOT BE COMPLIANT WITH APPLICABLE LAWS.<br /><br />THIS ACTION CAN NOT BE REVERSED. ONLY PURGE THIS CLIENT IF YOU ARE ABSOLUTELY SURE YOU WILL NEVER NEED TO REVIEW THEIR INFORMATION OR GENERATE REPORTS BASED ON THEIR ACTIVITY IN THE SYSTEM."}

{include 
	file="$tplDirectory/header.tpl" 
	parentName="TRANS_MANAGE_CLIENTS" 
	childName="TRANS_CLIENTS"
	grandchildName="TRANS_REMOVE_OPTIONS" 
	sideNavMajor="clients" 
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/context/client.tpl" 
	client=$client suppressEditLink=1 suppressDeleteLink=1}

<fieldset>
<legend>{$smarty.const.TRANS_REMOVE_OPTIONS}</legend>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
{if $client.clientActive=="1"}
	{* client is archived *}
	<tr>
		<td>
			<blockquote>
			{if $numActivePackages}
				<p style="color:red;">
				{$smarty.const.TRANS_ARCHIVE_WARNING_ACTIVE_PACKAGES}
				</p>
			{else}
				<p style="color:#444444;">
				{$smarty.const.TRANS_ARCHIVE_NOTICE_ACTIVE_PACKAGES}
				</p>
			{/if}
			</blockquote>
		</td>
	</tr>
	<tr>
		<td style="text-align:right;">
			<form method="post" action="clients.php">
			<input type="hidden" name="action" value="{getActionID action="RemoveClientResponse"}">
			<input type="hidden" name="clientID" value="{$client.clientID}" />
			<input type="hidden" name="redirectURL" value="clients.php" />
			<input type="hidden" name="redirectAction" value="ShowClientDetails" />
			<input type="hidden" name="redirectArgs" value="clientID={$client.clientID}" />
			<input type="hidden" name="sid" value="{$sid}" />
			<input class="submit" style="background-color:green;" type="submit" name="submit" value="{$smarty.const.TRANS_ARCHIVE_THIS_CLIENT_AND_SAVE}" />
			</form>
		</td>
	</tr>
{/if}
<tr>
	<td>
		<blockquote>
		<p style="color:red;">
		{$smarty.const.TRANS_PURGE_WARNING}
		</p>
		</blockquote>
	</td>
</tr>
<tr>
	<td style="text-align:right;">
		<form method="post" action="clients.php">
		<input type="hidden" name="action" value="{getActionID action="RemoveClientResponse"}">
		<input type="hidden" name="clientID" value="{$client.clientID}" />
		<input type="hidden" name="redirectURL" value="clients.php" />
		<input type="hidden" name="redirectAction" value="ShowClients" />
		<input type="hidden" name="purgeAllClientData" value="1" />
		<input type="hidden" name="sid" value="{$sid}" />
		<input class="submit" style="background-color:red;" type="submit" name="submit" value="{$smarty.const.TRANS_PURGE_THIS_CLIENT_AND_DELETE}" />
		</form>
	</td>
</tr>
<tr class="listButtons">
	<td style="text-align:right;"><div>
		<form method="post" action="clients.php">
		<input type="hidden" name="action" value="{getActionID action="ShowClientDetails"}">
		<input type="hidden" name="clientID" value="{$client.clientID}" />
		<input type="hidden" name="sid" value="{$sid}" />
		<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_CANCEL}" />
		</form>
	</div></td>
</tr>
</table>

</fieldset> {* box07 *}

<br />

{include file="$tplDirectory/footer.tpl"}
