{* $Id: SendClientEmail.tpl 10820 2007-03-05 22:45:34Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to e-mail a client.
 *
 * Smarty Variables:
 *	$clientID				The unique action ID for this page view
 *  $contacts
 *
 * Author: Andy Christ
 *}{strip}
{t c="TRANS_CLIENTS" d="Clients"}
{t c="TRANS_CONTACTS" d="Contacts"}
{t c="TRANS_CONTACTS_TO" d="Client Contacts To Send"}
{t c="TRANS_CONTACTS_AVAILABLE" d="Client Contacts Available"}
{t c="TRANS_EMAIL_CC" d="CC:"}
{t c="TRANS_EMAIL_BCC" d="BCC:"}
{t c="TRANS_EMAIL_SEPARATE_DESC" d="Separate each with a ,"}
{t c="TRANS_EMAIL_SEND" d="Send"}
{t c="TRANS_EMAIL_MESSAGE_SUBJECT" d="Subject"}
{t c="TRANS_EMAIL_MESSAGE_BODY" d="Message Body"}
{t c="TRANS_EMAIL_TEMPLATE" d="Email Template"}


{/strip}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_EMAIL_CLIENTS"
	childName="TRANS_CLIENTS"
	grandchildName="TRANS_EMAIL"
	sideNavMajor="clients"
	sideNavMinor="clients"

	includeAjaxJS=1}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}
{if $useEmailTemplates}
<script language="Javascript" type="text/javascript">
//<[[CDATA][

var cp = new cpaint();
cp.set_transfer_mode('get');
cp.set_response_type('text');
cp.set_use_cpaint_api(false);

var currentTemplateID = 0;

{literal}
function SelectTemplate( tplID ) {
	var theDiv = document.getElementById( 'emailTplID' );
	if (!confirm("Selecting a different template will reset your current email draft. Are you sure?")) {
		var i=0;
		var n=theDiv.options.length;
		for(; i<=n; i++) {
			if (theDiv.options[ i ].value == currentTemplateID) {
				theDiv.selectedIndex = i;
			}
		}
		return false;
	}
	
	currentTemplateID = theDiv.options[ theDiv.selectedIndex ].value;
	
	triggerLoader( true );
	cp.call('{/literal}emails.php?action={getActionID action="GetEmailTemplate"}&sid={$sid}&emailTplID='+tplID{literal}, 'SelectTemplate', SelectTemplateResponse);
	return true;
}
function triggerLoader( XKtoggle ) {
	if (!XKtoggle) {
		document.getElementById("ShowLoader").innerHTML = "";
		XKtoggleOff( 'ShowLoader' );
	} else {
		XKtoggleOn( 'ShowLoader' );
		document.getElementById("ShowLoader").innerHTML = "<br /><br /><center><img src=\"{/literal}{$imageDirectory}{literal}/loading2.gif\" /></center>";
	}
	return;
}
function parseJSON( jsonDoc ) {
	var output;
	
	try {
		try {	// try to do this properly
			output = jsonDoc.parseJSON();
		} catch (e) {	// if fails, do it the ugly way :)
			output = eval( '(' + jsonDoc + ')' );
		}
	} catch (e) {
		handleError( e );
		return;
	}
	
	return output;
}
function SelectTemplateResponse(result) {
	triggerLoader( false );
	
	try {
		if ((dta = parseJSON( result )) == false) {
			return;
		}
		var ptr = "";
		
		if (dta['api']['errors']) {
			document.getElementById('ShowError').innerHTML = "";
			XKtoggleOn('ShowError');

			var i =0;
			var n = dta['api']['errors']['error'].length;
			
			for(; i<n; i++ ) {
				if ((ptr = dta['api']['errors']['error'][ i ]) != false) {
					try {
						handleError( ptr['title'].toString(), ptr['message'].toString());
					} catch (e) {
						
						handleError( e );
						// ignore error
					}
				}
			}
// 			return;
		}

		if (dta['api']['emailTemplates']['emailTemplate']) {
			XKtoggleOff( 'ShowError' );
			
			if ((ptr = dta['api']['emailTemplates']['emailTemplate'] ) != false) {
				try {
					if (ptr[0]['emailTplSubject']) {
						document.getElementById( 'emailSubject' ).value = ptr[0]['emailTplSubject'].toString();
					}

					if (ptr[0]['emailTplBody']) {
						document.getElementById( 'emailBody' ).value = ptr[0]['emailTplBody'].toString();
						if (tinyMCE) {
							tinyMCE.updateContent( 'emailBody' );
						}
					}
				} catch (e) {
					alert('err');
					handleError( e );
				}
			}
		}

	} catch (e) {
		handleError( e );
	}
	return true;
}
function handleError( err, msg ) {
	XKtoggleOn( 'ShowError');
	triggerLoader( false );
	var errSpan = document.getElementById( 'ShowError' );
	var errDL =false;
	
	if ((errDL = errSpan.getElementsByTagName( 'dl' )) != true) {
		errDL = document.createElement('dl');
		
		errSpan.appendChild( errDL );
	}

	// create new objects
	var newDT = document.createElement( 'dt' );
	var newDD = document.createElement( 'dd' );

	// populate
	if (err && msg) {
		newDT.appendChild( document.createTextNode( err.toString() ) );
		newDD.appendChild( document.createTextNode( msg.toString() ) );
	} else {
		newDT.appendChild( document.createTextNode( err.name.toString()+" ["+(err.lineNumber)+"] " ) );
		newDD.appendChild( document.createTextNode( err.message.toString() ) );
	}
	
	// attach them to the document model
	errDL.appendChild( newDT );
	errDL.appendChild( newDD );


	return true;
}
{/literal}
//]]>
</script>
{/if}
<form method="post" action="clients.php" name="clientEmail">
<input type="hidden" name="action" value="{getActionID action="SendClientEmailResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="clientID" value="{$clientID}" />

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tbody>

<tr>
	<td class="title"><label for="clientContacts">{$smarty.const.TRANS_CONTACTS}</label></td>
	<td>
	{include file="$tplDirectory/widgets/comboBox.tpl"
		comboTitleLeft="TRANS_CONTACTS_TO"
		comboNameLeft="addClientContactIDs"
		comboOptionsLeft=$contactPrimary
		comboTitleRight="TRANS_CONTACTS_AVAILABLE"
		comboNameRight="removeClientContactIDs"
		comboOptionsRight=$contacts
		formName="clientEmail"
		submitName="suppress"
		positionButtons = "no" }
	</td>
</tr>

<tr {if $invalid.emailCC}class="highlight"{/if}>
	<td class="title"><label for="emailCC">{include file="$tplDirectory/widgets/showTips.tpl"
        title="TRANS_EMAIL_CC"
        msg="TRANS_EMAIL_SEPARATE_DESC"
        width="100%"
        align="center"}</label></td>
	<td><input size="100" maxlength="500" type="text" id="emailCC" name="emailCC" value="{$formValues.emailCC}" /> {$invalid.emailCC} </td>
</tr>
<tr {if $invalid.emailTo}class="highlight"{/if}>
	<td class="title"><label for="emailTo">{include file="$tplDirectory/widgets/showTips.tpl"
        title="TRANS_EMAIL_BCC"
        msg="TRANS_EMAIL_SEPARATE_DESC"
        width="100%"
        align="center"}</label></td>
	<td><input size="100" maxlength="500" type="text" id="emailBCC" name="emailBCC" value="{$formValues.emailBCC}" /> {$invalid.emailBCC} </td>
</tr>
{if $useEmailTemplates}
<tr {if $invalid.emailTemplateID}class="highlight"{/if}>
	<td class="title"><label for="emailTplID">{$smarty.const.TRANS_EMAIL_TEMPLATE}</label></td>
	<td>
		<select name="emailTplID" id="emailTplID" style="width:500px" onChange="javascript:SelectTemplate( this.options[ this.selectedIndex ].value );">
			<option value="0">{$smarty.const.TRANS_NONE}</option>			
			{foreach from=$emailTemplates item=emlGrp}
				<optgroup label="{$emlGrp.emailTplGroupName}">
					{if $emlGrp.emailTemplates.0}
					{foreach from=$emlGrp.emailTemplates.0.emailTemplate item=emlTpl}
						<option value="{$emlTpl.emailTplID}">{$emlTpl.emailTplSubject}</option>
					{/foreach}
					{/if}
				</optgroup>
			{/foreach}
		</select>
	</td>
</tr>
{/if}
<tr {if $invalid.emailSubject}class="highlight"{/if}>
	<td class="title"><label for="emailSubject">{$smarty.const.TRANS_EMAIL_MESSAGE_SUBJECT}</label></td>
	<td><input size="100" maxlength="500" type="text" id="emailSubject" name="emailSubject" value="{$formValues.emailSubject}{$email.emailSubject}" /> {$invalid.emailSubject} </td>
</tr>

<tr {if $invalid.clientLastName}class="highlight"{/if}>
	<td class="title"><label for="emailBody">{$smarty.const.TRANS_EMAIL_MESSAGE_BODY}</label></td>
	<td>
		<span id="ShowLoader"></span>
		<span id="ShowError" style="background-color:pink;"></span>
		<script language="javascript" type="text/javascript">XKtoggleOff('ShowError');</script>
		
		{include file="$tplDirectory/widgets/showTinymce.tpl" mode="exact" elements="emailBody" useEmailTemplates=1 convertURL=false}
		<textarea name="emailBody" id="emailBody" style="width:90%" rows="25">{$email.emailBody}{$event.systemQueueCommandInput}</textarea> {$invalid.emailBody}
	</td>
</tr>



<tr class="listButtons">
	<td colspan="2"><div>
		<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_EMAIL_SEND}" 
								 onclick="selectAllOptions(document.clientEmail.elements['addClientContactIDs[]']);" />
	</div></td>
</tr>
</tbody>
</table>
</form>

{include file="$tplDirectory/footer.tpl"}
