{* $Id: ShowBillingAccounts.tpl 11166 2007-05-22 19:26:51Z kbailey $
 * --------------------------------------------------------------
 * This template displays a single client billing account details record.
 *
 * Smarty Variables:
 * $client					Array of client information
 * $contacts				Array of client contacts or the specified client contact
 *	$billingAccounts (array of this contact's data)
 *
 *}{strip}


{t c="TRANS_VIEW_BANK_ACCOUNT_NUM" d="View Decrypted Bank Account Number"}


{/strip}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_BILLING_ACCOUNTS"
	grandchildName="TRANS_SHOW_ALL"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/context/client.tpl" 
	client=$client suppressEditLink=1 suppressDeleteLink=1}

{assign var="clientID" value=$client.clientID}

{section name="j" loop="$contacts"}
 
{****if $smarty.section.j.index>0}
<hr />
{/if****}

{assign var="contact" value=$contacts[j]}
{include file="$tplDirectory/widgets/context/contact.tpl" 
	client=$client contact=$contact suppressEditLink=1 suppressDeleteLink=1}

{assign var="clientContactID" value=$contact.clientContactID}
{assign var="contactBillingAccounts" value=$billingAccountsByContact.$clientContactID}

<fieldset>
<legend>{strip}
				{$smarty.const.TRANS_ALL_BILLING_ACCOUNTS}
				&nbsp;&nbsp;&nbsp;
				[&nbsp;<a href="{getHREF page="clients.php" actionName="AddBillingAccount" args="clientID=$clientID&clientContactID=$clientContactID"}">
					{$smarty.const.TRANS_ADD_BILLING_ACCOUNT}
				</a>&nbsp;]
{/strip}</legend>


	<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">

	{************** HEADER ROWS **************}

	<thead>
	<tr class="headerRow">
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
			headerClass="firstTD" headerName="TRANS_BILLING_ACCOUNT_ID"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
			headerClass="" headerName="TRANS_TYPE"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
			headerClass="lastTD" headerName="TRANS_ACTIONS"}
	</tr>
	</thead>

	{************** BILLING ACCOUNT PRIMARY ROW **************}

	{section name="i" loop="$contactBillingAccounts"}
	{assign var="contactBillingAccount" value=$contactBillingAccounts[i]}
	{assign var="billingAccountID" value=$contactBillingAccount.billingAccountID}
	{if $className=="alt1"}
		{assign var="className" value="alt2"}
	{else}
		{assign var="className" value="alt1"}
	{/if}

	<tbody>
	<tr class="{cycle values="alt1,alt2"}">
		<td width="33%">
			<a href="javascript:void(0);" onclick="return XKtoggle('row_{$billingAccountID}');">
				<img src="{$imageDirectory}/ico/arrow_down_blue.gif" width="16" height="16" alt="" title="" border="0" />
			</a>
			{$billingAccountID}
		</td>
		<td width="33%">
			{assign var="thisBillingAccountType" value=$contactBillingAccount.billingAccountType}
			{assign var="thisBillingAccountTypeName" value=$billingAccountTypes.$thisBillingAccountType}
			{$thisBillingAccountTypeName} - {$contactBillingAccount.billingAccountNumLastFour}
		</td>
		<td width="33%">
			{strip}
			<a href="javascript:void(0);" onclick="return XKtoggle('row_{$billingAccountID}');">
				<img src="{$imageDirectory}/ico/more.gif" width="16" height="16" alt="" title="" border="0" />
			</a>
			<a href="javascript:void(0);" onclick="return XKtoggle('row_{$billingAccountID}');">
				{$smarty.const.TRANS_MORE}
			</a>
			{/strip}
		</td>
	</tr>
	</tbody>

	{************** BILLING ACCOUNT HIDDEN ROWS **************}
	<tbody id="row_{$billingAccountID}" class="{if $contactBillingAccount.decryptedCard || $contactBillingAccount.decryptedAccountNum}on{else}off{/if}">
	<tr>
		<td colspan="3" class="comments altinner">
			<a href="javascript:void(0);" onclick="return XKtoggle('row_{$billingAccountID}');">
				<img src="{$imageDirectory}/ico/arrow_up_blue.gif" width="16" height="16" alt="" title="" border="0" align="left" />
			</a>
			&nbsp;
			<strong>{$smarty.const.TRANS_ADDITIONAL_ACTIONS}:</strong>
			&nbsp;
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="EditBillingAccount"
				args="clientID=$clientID&clientContactID=$clientContactID&billingAccountID=$billingAccountID"
				icoImage="creditcards.gif"
				altText="TRANS_EDIT"
				linkText="TRANS_EDIT"}
			&nbsp;
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="RemoveBillingAccount"
				args="clientID=$clientID&clientContactID=$clientContactID&billingAccountID=$billingAccountID"
				icoImage="creditcards.gif"
				altText="TRANS_REMOVE"
				linkText="TRANS_REMOVE"}

		    <table width="100%" border="0" cellpadding="0" cellspacing="0">
		    <tr>
		        {************************** COLUMN 1 **************************}
		        <td width="50%" valign="top" style="border:0px;">

					<table width="100%" border="0" cellspacing="0" cellpadding="0" class="addData">

					{************************** TRANS_CREDIT_CARD_ACCOUNT **************************}
					{if $thisBillingAccountTypeName == $smarty.const.TRANS_CREDIT_CARD_ACCOUNT}
						<tr>
							<td><strong>{$smarty.const.TRANS_NAME_ON_CARD}:</strong></td>
							<td>{$contactBillingAccount.billingCardNameOnCard}</td>
						</tr>
						<tr>
							<td><strong>{$smarty.const.TRANS_TYPE}:</strong></td>
							<td>
								{assign var=thisCardType value=$contactBillingAccount.billingCardType}
								{$cardTypes.$thisCardType}
							</td>
						</tr>
						<tr>
							<td><strong>{$smarty.const.TRANS_EXPIRES}:</strong></td>
							<td>{$contactBillingAccount.billingCardExpMonth}/{$contactBillingAccount.billingCardExpYear}</td>
						</tr>
						<tr>
							<td>
								<strong>
									{if $contactBillingAccount.decryptedCard}
										{$smarty.const.TRANS_ACCOUNT_NUMBER}:
									{else}
										{$smarty.const.TRANS_ACCOUNT_LAST_FOUR}:
									{/if}
								</strong>
							</td>
							<td>
								{if $contactBillingAccount.decryptedCard}
									{$contactBillingAccount.decryptedCard}
								{else}
									{$contactBillingAccount.billingAccountNumLastFour}
									{if $usesLEK}
										{strip}
										<a href="javascript:void(0);" style="text-decoration:none" onclick="return overlib('&lt;div style=\'white-space: nowrap\'&gt;
											&lt;form method=\'post\' action=\'clients.php\'&gt;
											&lt;input type=\'hidden\' name=\'action\' value=\'{getActionID action="ShowBillingAccounts"}\' /&gt;
											&lt;input type=\'hidden\' name=\'showDecryptedCC\' value=\'1\' /&gt;
											&lt;input type=\'hidden\' name=\'clientID\' value=\'{$clientID}\' /&gt;
											&lt;input type=\'hidden\' name=\'clientContactID\' value=\'{$clientContactID}\' /&gt;
											&lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\' /&gt;
											{$smarty.const.TRANS_ENCRYPTION_LEK_PEN}:&nbsp;&lt;input type=\'password\' name=\'lekPin\' value=\'\' onClick=\'javascript:this.form.addValue.focus();this.form.addValue.select();\' /&gt;
											&lt;input type=\'submit\' name=\'submit\' value=\'{$smarty.const.TRANS_SUBMIT}\' /&gt;
											&lt;/form&gt;&lt;/div&gt;', BGCLASS, 'popupBG', FGCLASS, 'popupFG', CENTER, STICKY, CAPTION, '{$smarty.const.TRANS_VIEW_CC}', CLOSECLICK, CLOSETEXT, '&lt;img src={$imageDirectory}/ico/remove.gif width=16 height=16 border=0 /&gt;');" onmouseout="return nd();">
											<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="{$smarty.const.TRANS_VIEW_CC}" title="{$smarty.const.TRANS_VIEW_CC}" />
											&nbsp;{$smarty.const.TRANS_VIEW}
										</a>
										{/strip}
									{/if}
								{/if}
							</td>
						</tr>
						{if $contactBillingAccount.billingCardIssueNum}
						<tr class="althover">
							<td><strong>{$smarty.const.TRANS_ISSUE_NUMBER}:</strong></td>
							<td>{$contactBillingAccount.billingCardIssueNum|default:"<i>`$smarty.const.TRANS_EMPTY`</i>"}</td>
						</tr>
						{/if}
						{if $contactBillingAccount.billingCardStartDate!="/" && $contactBillingAccount.billingCardStartDate!=""}
						<tr class="althover">
							<td><strong>{$smarty.const.TRANS_START_DATE}:</strong></td>
							<td>{$contactBillingAccount.billingCardStartDate|default:"<i>`$smarty.const.TRANS_EMPTY`</i>"}</td>
						</tr>
						{/if}

					{************************** TRANS_THIRD_PARTY_GATEWAY_ACCOUNT **************************}
					{elseif $thisBillingAccountTypeName == $smarty.const.TRANS_THIRD_PARTY_GATEWAY_ACCOUNT}
					{elseif $thisBillingAccountTypeName == $smarty.const.TRANS_MANUAL_PAYMENT_ACCOUNT}
					{else}
						<tr>
							<td><strong>{$smarty.const.TRANS_BANK_NAME}:</strong></td>
							<td>{$contactBillingAccount.billingBankName}</td>
						</tr>
						<tr>
							<td><strong>{$smarty.const.TRANS_BANK_STATE}:</strong></td>
							<td>{$contactBillingAccount.billingBankState}</td>
						</tr>
						<tr>
							<td><strong>{$smarty.const.TRANS_TYPE}:</strong></td>
							<td>
								{assign var="thisBillingBankType" value=$contactBillingAccount.billingBankType}
								{$bankAccountTypes.$thisBillingBankType}
							</td>
						</tr>
						<tr>
							<td><strong>{$smarty.const.TRANS_ROUTING_NUMBER}:</strong></td>
							<td>{$contactBillingAccount.billingBankAbaCode}</td>
						</tr>
						<tr>
							<td>
								<strong>
									{if $contactBillingAccount.decryptedAccountNum}
										{$smarty.const.TRANS_ACCOUNT_NUMBER}:
									{else}
										{$smarty.const.TRANS_ACCOUNT_LAST_FOUR}:
									{/if}
								</strong>
							</td>
							<td>
								{if $contactBillingAccount.decryptedAccountNum}
									{$contactBillingAccount.decryptedAccountNum}
								{else}
									{$contactBillingAccount.billingAccountNumLastFour}
									{if $usesLEK}
										{strip}
										<a href="javascript:void(0);" style="text-decoration:none" onclick="return overlib('&lt;div style=\'white-space: nowrap\'&gt;
											&lt;form method=\'post\' action=\'clients.php\'&gt;
											&lt;input type=\'hidden\' name=\'action\' value=\'{getActionID action="ShowBillingAccounts"}\' /&gt;
											&lt;input type=\'hidden\' name=\'showDecryptedCC\' value=\'1\' /&gt;
											&lt;input type=\'hidden\' name=\'clientID\' value=\'{$clientID}\' /&gt;
											&lt;input type=\'hidden\' name=\'clientContactID\' value=\'{$clientContactID}\' /&gt;
											&lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\' /&gt;
											{$smarty.const.TRANS_ENCRYPTION_LEK_PEN}:&nbsp;&lt;input type=\'password\' name=\'lekPin\' value=\'\' onClick=\'javascript:this.form.addValue.focus();this.form.addValue.select();\' /&gt;
											&lt;input type=\'submit\' name=\'submit\' value=\'{$smarty.const.TRANS_SUBMIT}\' /&gt;
											&lt;/form&gt;&lt;/div&gt;', BGCLASS, 'popupBG', FGCLASS, 'popupFG', CENTER, STICKY, CAPTION, '{$smarty.const.TRANS_VIEW_BANK_ACCOUNT_NUM}', CLOSECLICK, CLOSETEXT, '&lt;img src={$imageDirectory}/ico/remove.gif width=16 height=16 border=0 /&gt;');" onmouseout="return nd();">
											<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="{$smarty.const.TRANS_VIEW_CC}" title="{$smarty.const.TRANS_VIEW_CC}" />
											&nbsp;{$smarty.const.TRANS_VIEW}
										</a>
										{/strip}
									{/if}
								{/if}
							</td>
						</tr>
						<tr>
							<td><strong>{$smarty.const.TRANS_LICENSE_NUMBER}:</strong></td>
							<td>{$contactBillingAccount.billingBankLicenseNum}</td>
						</tr>
						<tr>
							<td><strong>{$smarty.const.TRANS_LICENSE_STATE}:</strong></td>
							<td>{$contactBillingAccount.billingBankLicenseState}</td>
						</tr>
						<tr>
							<td><strong>{$smarty.const.TRANS_DOB}:</strong></td>
							<td>{$contactBillingAccount.billingBankDob}</td>
						</tr>

					{/if}
					</table>

				</td>
		        {************************** COLUMN 2 **************************}
		        <td width="50%" valign="top" style="border:0px;">
					&nbsp;
				</td>
			</tr>
			</table>

		</td>
	</tr>
	</tbody>
	{sectionelse}
	<tr>
		<td colspan="3">{$smarty.const.TRANS_BILLING_ACCOUNTS_FOR_THIS_CONTACT_ON_FILE}</td>
	</tr>
	{/section}{* i *}
	</table>
</fieldset>

{/section}{* j *}

{include file="$tplDirectory/footer.tpl"}
