{* $Id: ShowClientStats.tpl 9580 2006-10-16 03:36:26Z mfountain $
 * --------------------------------------------------------------
 * This template displays a mini client stats report.
 *
 * Smarty Variables:
 *	$clientStats (array of client status and their count)
 *		clientStatus
 *		numClients
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_CLIENTS" d="Clients"}
{t c="TRANS_MANAGE_CLIENTS" d="Manage Clients"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TOTAL" d="Total"}
{t c="TRANS_NEW_ORDERS" d="New Orders"}
{t c="TRANS_TREND_REPORTS" d="Trend Reports"}
{t c="TRANS_YEARLY_CLIENT_TREND" d="Yearly Client Trend"}
{t c="TRANS_MONTHLY_SIGNUP_TREND" d="Monthly Signup Trend"}
{t c="TRANS_REFRESH" d="Refresh"}
{t c="TRANS_SHOW_ALL_NEW_ORDERS" d="Show All New Orders"}
{t c="TRANS_NEW_CUSTOMERS" d="New Customers"}
{t c="TRANS_SHOW_ALL_NEW_CUSTOMERS" d="Show All New Customers"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_QUICK_STATS"
	sideNavMajor="clients"
	sideNavMinor="clients"}

<script type="text/javascript" language="javascript" charset="utf-8">
// <![CDATA[
{literal}
function ShowMonthlyTrendReport() {
	var imageURL = "{/literal}graphs.php?action={getActionID action="ShowTrendGraph"}&"+
		"dataSource=ClientTrendReportData&primaryRange=thisYear&secondaryRange=lastYear&byMonth=1&"+
		"type=bar&width=730&height=400&xTitle=&yTitle=&sid={$sid}&"+Math.random()+"{literal}";
	document.getElementById('trendGraph').src = imageURL;
	return false;
}
{/literal}

{literal}
function ReloadMonthlyTrendReport() {
	var	loadingURL = "{/literal}{$imageDirectory}/loading2.gif{literal}";
	document.getElementById('trendGraph').src = loadingURL;
	setTimeout("ShowMonthlyTrendReport();", 100);
	return false;
}
{/literal}

{literal}
function ShowDailTrendReport() {
	var imageURL = "{/literal}graphs.php?action={getActionID action="ShowTrendGraph"}&"+
		"dataSource=ClientTrendReportData&primaryRange=thisMonth&secondaryRange=lastMonth&byMonth=0&"+
		"type=bar&width=730&height=350&xTitle=&yTitle=&sid={$sid}&"+Math.random()+"{literal}";
	document.getElementById('trendGraph').src = imageURL;
	return false;
}
{/literal}

{literal}
function ReloadDailyTrendReport() {
	var	loadingURL = "{/literal}{$imageDirectory}/loading2.gif{literal}";
	document.getElementById('trendGraph').src = loadingURL;
	setTimeout("ShowDailTrendReport();", 100);
	return false;
}
{/literal}

// ]]>
</script>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="tab01">
<tbody>
<tr>
	<td>
		<div class="blueDiv">

		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<thead>
		<tr class="headerRowBlue">
			{section name=i loop=$statusLabels}
				{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
					headerName=$statusLabels[i]}
			{/section}
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
				headerName="TRANS_TOTAL"}
		</tr>
		</thead>
		{assign var="total" value="0"}
		<tbody>
		<tr class="{cycle values="alt1,alt2"}">
			{section name=i loop=$statusValues}
			    <td align="center">
					{if $statusValues[i] == 0}
						{$statusValues[i]}
					{else}
						{include file="$tplDirectory/widgets/actionLink.tpl"
							page="clients.php"
							actionName="ShowClients"
							args="clientStatus=`$smarty.section.i.index`&clientActive=1"
							altText=$statusValues[i]
							linkText=$statusValues[i]
						}
					{/if}
				</td>
			{/section}
			<td align="center">
				{if $statusTotal == 0}
					{$statusTotal}
				{else}
					{include file="$tplDirectory/widgets/actionLink.tpl"
						page="clients.php"
						actionName="ShowClients"
						args="clientActive=1"
						altText=$statusTotal
						linkText=$statusTotal
					}
				{/if}
			</td>
		</tr>
		<tr class="{cycle values="alt1,alt2"}">
			{section name=i loop=$statusValues}
			    <td align="center">
					{if $statusTotal == 0}
						0%
					{else}
						{$statusValues[i]/$statusTotal*100|round}%
					{/if}
				</td>
			{/section}
			<td align="center">
				&nbsp;
			</td>
		</tr>
		</tbody>
		</table>

		</div>

	</td>
</tr>

<tr>
	<td>
		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td>{$smarty.const.TRANS_TREND_REPORTS}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;">
				<table width="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td style="text-align:left;padding:1px;">
						{strip}
						<a href="javascript:void(0);" onclick="return ReloadMonthlyTrendReport();">
							<img src="{$imageDirectory}/ico/refresh.gif" title="{$smarty.const.TRANS_RELOAD}" style="vertical-align:middle;border-style:none;" />
						</a>
						&nbsp;
						<a href="javascript:void(0);" onclick="return ReloadMonthlyTrendReport();">
							{$smarty.const.TRANS_MONTHLY_SIGNUP_TREND}
						</a>
			{* SUPPRESS FOR 5.1
						&nbsp;|&nbsp;
						<a href="javascript:void(0);" onclick="return ReloadDailyTrendReport();">
							<img src="{$imageDirectory}/ico/refresh.gif" title="{$smarty.const.TRANS_RELOAD}" style="vertical-align:middle;border-style:none;" />
						</a>
						&nbsp;
						<a href="javascript:void(0);" onclick="return ReloadDailyTrendReport();">
							{$smarty.const.TRANS_YEARLY_CLIENT_TREND}
						</a>
			SUPPRESS FOR 5.1 *}
						{/strip}
					</td>
				</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;">
				<div style="width:100%;height:400px;overflow:auto;text-align:center;background-color:#FFF;" id="ShowDashboardTodos">
					<img src="{$imageDirectory}/loading2.gif" id="trendGraph" style="vertical-align:middle;border-style:none;" />
				</div>
			</td>
		</tr>
		</table>
		</div>
	</td>
</tr>
</tbody>
</table>

<br />

<script language="javascript">
// <![CDATA[
	setTimeout("ShowMonthlyTrendReport();", 100);
// ]]>
</script>

{include file="$tplDirectory/footer.tpl"}
