{* $Id: ShowLastFiveClientInvoices.tpl 11020 2007-04-18 16:52:33Z bsmith $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}
{t c="TRANS_ACTIONS" d="Actions"}


<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl"
		colWidth="15%" headerName="TRANS_INVOICE_NUMBER"}

	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
		colWidth="10%" headerName="TRANS_AMOUNT"}

	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
		colWidth="10%" headerName="TRANS_ENTERED"}

	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
		colWidth="10%" headerName="TRANS_DUE"}

	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
		colWidth="10%" headerName="TRANS_STATUS"}

	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
		colWidth="20%" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{section name="i" loop=$invoices}

{assign var="xclientID" value=$invoices[i].clientID}
{assign var="clientContactID" value=$invoices[i].clientContactID}
{assign var="invoiceID" value=$invoices[i].invoiceID}
{assign var="invoiceNumber" value=$invoices[i].invoiceNumber}
{assign var="extendeddata" value=$invoices[i].lineItems.lineItem.0}
{assign var=currencyID value=$invoice[i].currencyID}

{if $invoice[i].invoiceStatus == "invoice"|getStatusID:"creditnote" || 
	$invoice[i].invoiceStatus == "invoice"|getStatusID:"void"}
	{assign var=color value="purple"}
{elseif $invoice[i].invoiceStatus == "invoice"|getStatusID:"due" || 
		$invoice[i].invoiceStatus == "invoice"|getStatusID:"declined" || 
		$invoice[i].invoiceStatus == "invoice"|getStatusID:"errored" ||
		$invoice[i].invoiceStatus == "invoice"|getStatusID:"bad_debt"}
	{if $smarty.now > $invoice.invoiceDateDue}	
		{assign var=color value="red"}
	{else}
		{assign var=color value="red"}
	{/if}
{elseif $invoice[i].invoiceStatus == "invoice"|getStatusID:"refunded"}
	{assign var=color value="blue"}
{elseif $invoice[i].invoiceStatus == "invoice"|getStatusID:"closed"}
	{assign var=color value="green"}
{/if}

{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}

<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td style="text-align:left;" {* style="cursor: pointer;" onclick="return XKtoggle('row_{$invoices[i].invoiceID}');" *}>
		&nbsp;
		<strong>
		{if $invoiceNumber}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="invoices.php"
				actionName="ShowInvoiceDetails"
				args="invoiceID=$invoiceID"
				altText=$invoiceNumber
				linkText=$invoiceNumber
			}
		{else}
			{$smarty.const.TRANS_ASSIGNING_INVOICE_NUMBER}
		{/if}
		</strong>
	</td>
	<td style="text-align:right;">
		{if $invoice[i].invoiceAmountPaid<$invoice[i].invoiceAmount}<strong>{/if}
			{$invoices[i].invoiceAmount|getAmount:$invoices[i].currencyID}
		{if $invoice[i].invoiceAmountPaid<$invoice[i].invoiceAmount}</strong>{/if}
	</td>
	<td style="text-align:center;">
		{$invoices[i].invoiceDateEntered|getDate}
	</td>
	<td style="text-align:center;">
		{$invoices[i].invoiceDateDue|getDate}
	</td>
	<td style="color:{$color};">
		{$invoices[i].invoiceStatus|getArrayValueByID:$invoiceStatusList}
	</td>
	<td nowrap="nowrap">
		{strip}		
		{* DETAILS ????? redirectArgs=$bookmarkArgs *}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="invoices.php"
			actionName="ShowInvoiceDetails"
			args="invoiceID=$invoiceID"
			icoImage="view"
			altText="TRANS_DETAILS"
			linkText="TRANS_DETAILS"
			noSpace="1"
		}
		&nbsp;
		{* DETAILS ????? redirectArgs=$bookmarkArgs *}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="invoices.php"
			actionName="ShowInvoiceDetails"
			args="invoiceID=$invoiceID&__print=1"
			icoImage="printer_view.gif"
			altText="TRANS_PRINT"
			linkText="TRANS_PRINT"
			noSpace="1"
			target="_blank"
			showPrintMenu="yes"
		}
		{/strip}
	</td>
</tr>
</tbody>

{sectionelse}
<tr class="alt1">
	<td colspan="6">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
</table>

