{* $Id: EditEncryptionConfigsConfirm.tpl 9669 2006-10-17 20:32:22Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_LOCAL_ENCRYPTION_KEY" d="Local Encryption Key (LEK)"}
{t c="TRANS_PASSPHRASE" d="Passphrase"}
{t c="TRANS_NO_ENCRYPTION" d="No Encryption"}
{t c="TRANS_OLD_LEK_HASH" d="Current Hash"}
{t c="TRANS_NEW_LEK_HASH" d="New Hash"}
{t c="TRANS_LEK_PIN_CONFIRM" d="LEK Pin Again"}
{t c="TRANS_PASSPHRASE" d="Passphrase Again"}
{t c="TRANS_PASSPHRASE_CONFIRM" d="Passphrase"}
{t c="TRANS_OLD_PASSPHRASE" d="Current Passphrase"}
{t c="TRANS_OLD_PASSPHRASE_CONFIRM" d="Current Passphrase Again"}
{t c="TRANS_LEK_DESC" d="LEK encryption is required for full automation. You will be prompted to enter your LEK pin to decrypt encoded data for viewing."}
{t c="TRANS_PASSPHRASE_DESC" d="Passphrase encryption does not support automated billing. You will be prompted to enter this passphrase to decrypt and encrypt encoded data for viewing and setting. When clients enter new encoded data, you will be assigned a todo to re-encrypt the data with your passphrase."}
{t c="TRANS_CYPHER_CHANGE" d="Cypher Change"}

{t c="TRANS_CURRENT_ENCRYPTION_SETTINGS" d="Current Encryption Settings"}
{t c="TRANS_NEEDED_ENCRYPTION_SETTINGS" d="Needed Encryption Settings"}
{t c="TRANS_CURRENT_CYPHER" d="Current Cypher"}
{t c="TRANS_NEEDED_CYPHER" d="Needed Cypher"}
{t c="TRANS_CURRENT_MODE" d="Current Mode"}
{t c="TRANS_NEEDED_MODE" d="Needed Mode"}
{t c="TRANS_CURRENT_HASH" d="Current Hash"}
{t c="TRANS_NEEDED_HASH" d="Needed Hash"}

{t c="TRANS_CONFIRM_CHANGES" d="Confirm Changes"}
{t c="TRANS_SECRET_TO_REMEMBER" d="Secret to Remember"}
{t c="TRANS_HASH" d="Hash"}
{t c="TRANS_CYPHER_WARNING" d="You are using an old encryption cypher. You must re-encrypt here to update the cypher used on your data."}
{t c="TRANS_PASSPHRASE_NEEDED_FOR_REENCRYPTION" d="Your old passphrase is needed to decrypt the old data for re-encryption."}

{t c="TRANS_RED_MISMATCH" d="<strong><font color=red>No Match!</font></strong>"}
{t c="TRANS_GREEN_MATCH" d="<strong><font color=green>Match OK</font></strong>"}

{include file="$tplDirectory/header.tpl"
	parentName=$parentName
	childName=$childName
	grandchildName=$grandchildName
	sideNavMajor=$sideNavMajor
	sideNavMinor=$sideNavMinor}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="configs.php">
	<div>
		<input type="hidden" name="action" value="{getActionID action="EditEncryptionConfigsResponse"}" />
		<input type="hidden" name="sid" value="{$sid}" />
		{foreach from=$propagate key="param" item="value"}
			<input type="hidden" name="{$param}" value="{$value}" />
		{/foreach}
	</div>

	<fieldset>
		<legend>{$smarty.const.TRANS_CURRENT_ENCRYPTION_SETTINGS}</legend>

		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		{if $from.type != $to.type}
		<tr>
			{assign var="test" value="modernbill51"}
			<td class="title">{$smarty.const.TRANS_CURRENT_CYPHER}</th><td>{$from.type}</td>
		</tr>
		{/if}
		<tr>
			<td class="title">{$smarty.const.TRANS_CURRENT_MODE}</td>
			<td>
				{if $from.mode == "lek"}
					{$smarty.const.TRANS_LOCAL_ENCRYPTION_KEY}
				{elseif $from.mode == "passphrase"}
					{$smarty.const.TRANS_PASSPHRASE}
				{/if}
			</td>
		</tr>
		{if $from.hash}
		<tr>
			<td class="title">{$smarty.const.TRANS_CURRENT_HASH}</td>
			<td>
				<textarea disabled="disabled">{$from.hash}</textarea>
			</td>
		</tr>
		{/if}
		</table>

	</fieldset>{* box07 *}

	<fieldset>
		<legend>{$smarty.const.TRANS_NEEDED_ENCRYPTION_SETTINGS}</legend>

		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		{if $from.type != $to.type}
		<tr>
			<td class="title">{$smarty.const.TRANS_NEEDED_CYPHER}</td><td>{$to.type}</td>
		</tr>
		{/if}
		<tr>
			<td class="title">{$smarty.const.TRANS_NEEDED_MODE}</td>
			<td>
				{if $to.mode == "lek"}
					{$smarty.const.TRANS_LOCAL_ENCRYPTION_KEY}
				{elseif $to.mode == "passphrase"}
					{$smarty.const.TRANS_PASSPHRASE}
				{/if}
			</td>
		</tr>
		{if $to.hash}
		<tr>
			<td class="title">{$smarty.const.TRANS_NEEDED_HASH}</td>
			<td>
				<textarea disabled="disabled">{$to.hash}</textarea>
			</td>
		</tr>
		{/if}
		</table>

		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr class="listButtons">
			<td><div><input class="submit" type="submit" value="{$smarty.const.TRANS_CONFIRM_CHANGES}" /></div></td>
		</tr>

	</fieldset>{* box07 *}

</form>

{include file="$tplDirectory/footer.tpl"}

