{* $Id: EditDomainRegistrarLockOptions.tpl 5867 2006-03-29 17:23:16Z achrist $
 * --------------------------------------------------------------
 * This template displays a single domain's registrar-lock options for editing.
 * This data is fetched from the registrar DIRECTLY! ModernBill does not store
 * this data!
 *
 * Smarty Variables:
 *	$domain (array of this domain's data in ModernBill)
 *	$domainRegistrarLock
 *	$domainIsLockable
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_REGISTRAR_LOCK_OPTIONS" d="Registrar Lock Options"}
{t c="TRANS_REGISTRAR_LOCK_MSG" d="Do not allow this name to be transferred to another registrar."}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_DOMAIN_DETAILS" d="Domain Details"}
{t c="TRANS_DOMAIN_NOT_LOCKABLE" d="This domain is not lockable at the current registrar."}
{t c="TRANS_EMAIL_ADDRESS" d="Email Address"}
{t c="TRANS_FIRST" d="First"}
{t c="TRANS_LAST" d="Last"}
{t c="TRANS_MANAGE_DOMAINS" d="Manage Domains"}
{t c="TRANS_SAVE_CHANGES" d="Save Changes"}

{assign var="domainID" value=$domain.domainID}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_REGISTRAR_LOCK_OPTIONS"
	sideNavMajor="clients"
    sideNavMinor="domains"
    includeDomainJS=1}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}
{include file="$tplDirectory/widgets/context/client.tpl" client=$domain}
<hr size="1" color="#444444" />

<strong><a href="{getHREF page="domains.php" actionName="ShowDomainDetails" args="domainID=$domainID"}">{$domain.domainSLD}.{$domain.domainTLD}</a></strong>

<br />

<form method="post" action="domains.php" name="EditDomainRegistrarLockOptions">
<input type="hidden" name="action" value="{getActionID action="EditDomainRegistrarLockOptionsResponse"}" />
<input type="hidden" name="domainID" value="{$domainID}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
<legend>{$smarty.const.TRANS_REGISTRAR_LOCK_OPTIONS}</legend>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
{if $domainIsLockable}
	<tr>
		<td class="title"><input type="checkbox" name="domainRegistrarLock" value="1" {if $domainRegistrarLock}checked{/if}></td>
		<td>{$smarty.const.TRANS_REGISTRAR_LOCK_MSG}</td>
	</tr>
{else}
	<tr>
		<td colspan="2">{$smarty.const.TRANS_DOMAIN_NOT_LOCKABLE}</td>
	</tr>
{/if}
</table>

<br /><br />

{if $domainIsLockable}
	<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
	<tr class="listButtons"><td><div><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE_CHANGES}" /></div></td></tr>
	</table>
{/if}

<br />

</form>

{include file="$tplDirectory/footer.tpl"}