{* $Id: RenewDomain.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays a single domain's registrar-lock options for editing.
 * This data is fetched from the registrar DIRECTLY! ModernBill does not store
 * this data!
 *
 * Smarty Variables:
 *	$domain (array of this domain's data in ModernBill)
 *	$domainRegistrarLock
 *	$domainIsLockable
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_CURRENT_EXP_DATE" d="Current expiration date"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_DOMAIN_DETAILS" d="Domain Details"}
{t c="TRANS_DOMAIN_PURCHASE_MSG" d="Your eNom account will be debited the price listed above for each year you extend this domain. All purchases are final, no refunds."}
{t c="TRANS_EMAIL_ADDRESS" d="Email Address"}
{t c="TRANS_EXTEND_RENEW_REGISTRATION_YEARS" d="Extend/Renew registration years"}
{t c="TRANS_FIRST" d="First"}
{t c="TRANS_LAST" d="Last"}
{t c="TRANS_MANAGE_DOMAINS" d="Manage Domains"}
{t c="TRANS_NOTE" d="Note"}
{t c="TRANS_PURCHASE" d="Purchase"}
{t c="TRANS_REGISTRATION_PRICE_PER_YEAR" d="Registration price per year"}
{t c="TRANS_RENEW_DOMAIN_REGISTRATION" d="Renew Domain Registration"}
{t c="TRANS_SAVE_CHANGES" d="Save Changes"}

{assign var="domainID" value=$domain.domainID}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_REGISTRAR_LOCK_OPTIONS"
	sideNavMajor="clients"
    sideNavMinor="domains"
    includeDomainJS=1}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}
{include file="$tplDirectory/widgets/context/client.tpl" client=$domain}
<hr size="1" color="#444444" />

<strong><a href="{getHREF page="domains.php" actionName="ShowDomainDetails" args="domainID=$domainID"}">{$domain.domainSLD}.{$domain.domainTLD}</a></strong>

<form method="post" action="domains.php" name="RenewDomainResponse">
<input type="hidden" name="action" value="{getActionID action="RenewDomainResponse"}" />
<input type="hidden" name="domainID" value="{$domainID}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
<legend>{$smarty.const.TRANS_RENEW_DOMAIN_REGISTRATION}</legend>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr>
	<td class="title">{$smarty.const.TRANS_CURRENT_EXP_DATE}:</td>
	<td>{$domainExpTimestamp|getDate}</td>
</tr>
<tr>
	<td class="title">{$smarty.const.TRANS_REGISTRATION_PRICE_PER_YEAR}:</td>
	<td>{$domainRenewPrice|getAmount} <b class="red">*</b></td>
</tr>
<tr>
	<td class="title">{$smarty.const.TRANS_EXTEND_RENEW_REGISTRATION_YEARS}:</strong></td>
	<td>
		<select name="domainYears" style="width:50px">
		   {html_options values=$domainRenewYears output=$domainRenewYears selected=$domainRenewDefaultYears}
		</select>
	</td>
</tr>
</table>

<br /><br />
<b class="red">*</b> <strong>{$smarty.const.TRANS_NOTE}:</strong> {$smarty.const.TRANS_DOMAIN_PURCHASE_MSG}
<br /><br />

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="listButtons"><td><div><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_PURCHASE}" /></div></td></tr>
</table>

</fieldset>

</form>

{include file="$tplDirectory/footer.tpl"}