{* $Id: SyncDomainDates.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays a single domain's expiration date and compares
 * it to the expiration date stored in ModernBill.
 *
 * Smarty Variables:
 *	$domain (array of this domain's data in ModernBill)
 *	$domainExpTimestamp
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_CURRENT_EXP_DATE_FOR_BILLING" d="Current expiration date stored for billing purposes"}
{t c="TRANS_REGISTRAR_EXP_DATE" d="Expiration date at the registrar"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_DOMAIN_DETAILS" d="Domain Details"}
{t c="TRANS_SYNC_DOMAIN_EXP_DATE" d="Syncronize Domain Expiration Date"}
{t c="TRANS_MANAGE_DOMAINS" d="Manage Domains"}
{t c="TRANS_NOTE" d="Note"}
{t c="TRANS_SAVE_CHANGES" d="Save Changes"}
{t c="TRANS_SYNC_NOW" d="Syncronize Now"}

{assign var="domainID" value=$domain.domainID}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_SYNC_DOMAIN_EXP_DATE"
	sideNavMajor="clients"
    sideNavMinor="domains"
    includeDomainJS=1}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}
{include file="$tplDirectory/widgets/context/client.tpl" client=$domain}

<hr size="1" color="#444444" />

<strong><a href="{getHREF page="domains.php" actionName="ShowDomainDetails" args="domainID=$domainID"}">{$domain.domainSLD}.{$domain.domainTLD}</a></strong>

<br />

<form method="post" action="domains.php" name="SyncDomainDatesResponse">
<input type="hidden" name="action" value="{getActionID action="SyncDomainDatesResponse"}" />
<input type="hidden" name="domainID" value="{$domainID}" />
<input type="hidden" name="domainDateExpires" value="{$domainExpTimestamp}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
<legend>{$smarty.const.TRANS_SYNC_DOMAIN_EXP_DATE}</legend>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr>
	<td class="title">{$smarty.const.TRANS_CURRENT_EXP_DATE_FOR_BILLING}:</td>
	<td>{$domain.domainDateExpires|getDate}</td>
</tr>
<tr>
	<td class="title">{$smarty.const.TRANS_REGISTRAR_EXP_DATE}:</td>
	<td>{$domainExpTimestamp|getDate}</td>
</tr>
</table>

<br />

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="listButtons"><td><div><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SYNC_NOW}" /></div></td></tr>
</table>

</form>

{include file="$tplDirectory/footer.tpl"}