{* $Id: AddEmailTemplate.tpl 6227 2006-04-14 21:58:28Z mgarrett $
 * --------------------------------------------------------------
 * This template displays a form to add a new email template.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{t c="TRANS_MANAGE_EMAILS" d="Manage Emails"}
{t c="TRANS_EMAIL_TEMPLATES" d="Email Templates"}
{t c="TRANS_ADD_EMAIL_TPL" d="Add Email Template"}
{t c="TRANS_EMAIL_TPL_NAME" d="Email Template Name"}
{t c="TRANS_EMAIL_TPL_SUBJECT" d="Email Template Subject"}
{t c="TRANS_EMAIL_TPL_HTML_BODY" d="Email Template HTML Body"}
{t c="TRANS_EMAIL_TPL_TEXT_BODY" d="Email Template Text Body"}
{t c="TRANS_ADD" d="Add"}
{t c="TRANS_CLEAR" d="Clear"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_EMAILS"
	childName="TRANS_EMAIL_TEMPLATES"
	sideNavMajor="events"
	sideNavMinor="emails"}
	
<script language="javascript" type="text/javascript" charset="utf-8">
    {literal}
    function showCountryOptions(x) {
        if (x=="all") {
            hideobjbyid("countriesID");
            hideobjbyid("regionsID");
        } else if(x=="one") {
            showobjbyid("countriesID");
            hideobjbyid("regionsID");
        } else if(x=="region") {
            showobjbyid("regionsID");
            hideobjbyid("countriesID");
        }
    }
    {/literal}
</script>

<fieldset>
<legend>{$smarty.const.TRANS_ADD_EMAIL_TPL}</legend>

<form method="post" action="emails.php">
	<input type="hidden" name="action" value="{getActionID action="AddEmailTemplateResponse"}" />
	<input type="hidden" name="emailTplGroupID" value="{$emailTplGroupID}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<table summary="{$smarty.const.TRANS_EDIT_EMAIL_TPL}" width="100%" class="list">
        <tr>
			<td class="title">{$smarty.const.TRANS_LOCALE_LANGUAGE}</td>
			<td>        
				<select id="languageID" name="languageID">
            		{html_options options=$languageList selected=$selectedLanguage}
       			</select>
       		</td>
			<td></td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_LOCALE_REGION}</td>
            <td valign="middle">
                <table border="0" cellpadding="0" cellspacing="0">
                <tr>
                    <td><input type="radio" name="countryType" id="countryType0" value="0" onclick="showCountryOptions('all');" checked="checked" /></td>
                    <td>{$smarty.const.TRANS_APPLY_TO_ALL_COUNTRIES}</td>
                </tr>
                <tr>
                    <td><input type="radio" name="countryType" id="countryType1" value="1" onclick="showCountryOptions('one');" /></td>
                    <td>{$smarty.const.TRANS_APPLY_TO_ONE_COUNTRY}</td>
                </tr>
                <tr>
                    <td><input type="radio" name="countryType" id="countryType2" value="2" onclick="showCountryOptions('region');" /></td>
                    <td>{$smarty.const.TRANS_APPLY_TO_REGION_OF_COUNTRIES}</td>
                </tr>
                </table>
            </td>
            <td>
                <select name="countriesID" id="countriesID" style="display:none;visibility:hidden;">
                    {html_options options=$countryList selected=$selectedCountry}
                </select>
                <select name="regionsID" id="regionsID" style="display:none;visibility:hidden;">
                    {foreach key=regionID item=childRegions from=$nestedRegions}
                        <option value="{$regionID}" label="{$regionNames[$regionID]}">{$regionNames[$regionID]}</option>
                        {section name=i loop=$childRegions}
                            {assign var="regionID" value=$childRegions[i]}
                            <option value="{$regionID}" label="-- {$regionNames[$regionID]}">-- {$regionNames[$regionID]}</option>
                        {/section}
                    {/foreach}
                </select>
            </td>
        </tr>
        <tr>
			<td class="title">{$smarty.const.TRANS_DEFAULT_LOCALE}</td>
			<td>
				<input name="emailTplPrimary" type="checkbox" value="1" {if $emailTemplate.emailTplPrimary == 1}checked="checked"{/if} /> {$smarty.const.TRANS_DEFAULT}
	   		</td>
			<td></td>
		</tr>

        <tr>
			<td class="title">{$smarty.const.TRANS_EMAIL_TPL_SUBJECT}</td>
			<td colspan="2"><input type="text" name="emailTplSubject" size="50" value="" /></td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_EMAIL_TPL_HTML_BODY}</td>
			<td colspan="2"><textarea name="emailTplBody" rows="25" cols="100"></textarea></td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_EMAIL_TPL_TEXT_BODY}</td>
			<td colspan="2"><textarea name="emailTplTextBody" rows="25" cols="100"></textarea></td>
		</tr>
		<tr class="listButtons">
			<td colspan="3"><div>
				<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE}" />
				<input class="reset" type="reset" name="reset" value="{$smarty.const.TRANS_CLEAR}" />
			</div></td>
		</tr>
	</table>
</form>
</fieldset>
{include file="$tplDirectory/footer.tpl"}