{* $Id: EditEmailTemplate.tpl 12310 2007-12-04 20:05:30Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit an email template.
 *
 * Smarty Variables:
 *	$emailTemplate  --  An array of data found for the given email template ID.
 *
 *}{strip}

{t c="TRANS_MANAGE_EMAILS" d="Manage Emails"}
{t c="TRANS_EMAIL_TEMPLATES" d="Email Templates"}
{t c="TRANS_EDIT_EMAIL_TPL" d="Edit Email Template"}
{t c="TRANS_EMAIL_TPL_NAME" d="Email Template Name"}
{t c="TRANS_EMAIL_TPL_SUBJECT" d="Email Template Subject"}
{t c="TRANS_EMAIL_TPL_HTML_BODY" d="Email Template HTML Body"}
{t c="TRANS_EMAIL_TPL_TEXT_BODY" d="Email Template Text Body"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_CLEAR" d="Clear"}

{t c="TRANS_SELECT_TEMPLATE" d="Select Template"}
{t c="TRANS_RELOAD_HTML" d="Reload HTML"}
{t c="TRANS_RELOAD_TEXT" d="Reload Text"}
{t c="TRANS_HTML_PREVIEW" d="HTML Preview"}
{t c="TRANS_TEXT_PREVIEW" d="Text Preview"}

{t c="TRANS_REPLACE_TEMPLATE_CAUTION_NOTICE" d="<b>Caution</b>: This change will replace <b>_this_</b> existing template. Please make a backup of your existing template if you do not wish to loose it."}
{/strip}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_EMAILS"
	childName="TRANS_EMAIL_TEMPLATES"
	sideNavMajor="events"
	sideNavMinor="emails"}

<script language="javascript" type="text/javascript" charset="utf-8">
	{literal}
	function showCountryOptions(x) {
		if (x=="all") {
			hideobjbyid("countriesID");
			hideobjbyid("regionsID");
		} else if(x=="one") {
			showobjbyid("countriesID");
			hideobjbyid("regionsID");
		} else if(x=="region") {
			showobjbyid("regionsID");
			hideobjbyid("countriesID");
		}
	}
	
	
	function previewHTML(){
		$('previewHTMLBody').value = tinyMCE.get('mce_editor_0').getContent();
		$('previewHTMLBody').name = "emailTplBody";
		document.htmlPreviewForm.submit();
		$('previewHTMLBody').name = "xemailTplBody";
	}
	
	function previewTEXT(){
		$('previewTEXTBody').value = $('previewTEXTContent').value;
		$('previewTEXTBody').name = "emailTplTextBody";
		document.textPreviewForm.submit();
		$('previewTEXTBody').name = "xemailTplTextBody";
	}
	
	{/literal}
</script>

{if $saved}
{include
	file="$tplDirectory/widgets/showInvalidCustom.tpl"
	duration="4"
	message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
{/if}

<fieldset>
<legend>{$smarty.const.TRANS_EDIT_EMAIL_TPL}</legend>

<form method="post" name="mainForm" action="emails.php" accept-charset="UTF-8">
	<input type="hidden" name="action" value="{getActionID action="EditEmailTemplateResponse"}" />
	<input type="hidden" name="emailTplID" value="{$emailTemplate.emailTplID}" />
	<input type="hidden" name="emailTplGroupID" value="{$emailTemplate.emailTplGroupID}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<table summary="{$smarty.const.TRANS_EDIT_EMAIL_TPL}" width="100%" class="list">
		<tr>
			<td class="title">{$smarty.const.TRANS_LOCALE_LANGUAGE}</td>
			<td>
				<select id="languageID" name="languageID">
					{html_options options=$languages selected=$emailTemplate.languageID}
	   			</select>
	   		</td>
			<td></td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_LOCALE_REGION}</td>
			<td valign="middle">
				<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td><input type="radio" name="countryType" id="countryType0" value="0" {if $emailTemplate.countryType == 0}checked="checked"{/if} onclick="showCountryOptions('all');" /></td>
					<td>{$smarty.const.TRANS_APPLY_TO_ALL_COUNTRIES}</td>
				</tr>
				<tr>
					<td><input type="radio" name="countryType" id="countryType1" value="1" {if $emailTemplate.countryType == 1}checked="checked"{/if} onclick="showCountryOptions('one');" /></td>
					<td>{$smarty.const.TRANS_APPLY_TO_ONE_COUNTRY}</td>
				</tr>
				<tr>
					<td><input type="radio" name="countryType" id="countryType2" value="2" {if $emailTemplate.countryType == 2}checked="checked"{/if} onclick="showCountryOptions('region');" /></td>
					<td>{$smarty.const.TRANS_APPLY_TO_REGION_OF_COUNTRIES}</td>
				</tr>
				</table>
			</td>
			<td>
				<select name="countriesID" id="countriesID" {if $emailTemplate.countryType != 1}style="display:none;visibility:hidden;"{/if}>
					{html_options options=$countries selected=$emailTemplate.countriesID}
				</select>
				<select name="regionsID" id="regionsID" {if $emailTemplate.countryType != 2}style="display:none;visibility:hidden;"{/if}>
					{foreach key=regionID item=childRegions from=$nestedRegions}
						<option value="{$regionID}" label="{$regionNames[$regionID]}"{if $emailTemplate.regionsID == $regionID} selected="selected"{/if}>{$regionNames[$regionID]}</option>
						{section name=i loop=$childRegions}
							{assign var="regionID" value=$childRegions[i]}
							<option value="{$regionID}" label="-- {$regionNames[$regionID]}"{if $emailTemplate.regionsID == $regionID} selected="selected"{/if}>-- {$regionNames[$regionID]}</option>
						{/section}
					{/foreach}
				</select>
			</td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_DEFAULT_LOCALE}</td>
			<td>
				<input name="emailTplPrimary" type="checkbox" value="1" {if $emailTemplate.emailTplPrimary == 1}checked="checked"{/if} /> {$smarty.const.TRANS_DEFAULT}
	   		</td>
			<td></td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_EMAIL_TPL_SUBJECT}</td>
			<td colspan="2"><input type="text" name="emailTplSubject" size="50" value="{$emailTemplate.emailTplSubject}" /></td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_EMAIL_TPL_HTML_BODY}</td>
			<td colspan="2">
				{include file="$tplDirectory/widgets/showTinymce.tpl" mode="exact" elements="emailTplBody"}
				<textarea id="previewHTMLContent" name="emailTplBody" rows="25" cols="100">{$emailTemplate.emailTplBody|html_entity_encode}</textarea>
			</td>
		</tr>
		{if $canPreview}
		<tr>
			<td class="title">{$smarty.const.TRANS_HTML_PREVIEW}</td>
			<td colspan="2" align="center"><input type="button" value=" &darr; {$smarty.const.TRANS_PREVIEW} &darr; " onclick="previewHTML();" class="button" />
			<br /><iframe id="emailPreviewHTML" name="emailPreviewHTML" width="100%" height="500" src="{getHREF page="emails.php" actionName="PreviewEmailTemplate" args="emailActionID=`$emailTemplateGroup.emailActionID`&emailTplID=`$emailTemplate.emailTplID`&preview=html"}"></iframe></td>
		</tr>
		{/if}
		<tr>
			<td class="title">{$smarty.const.TRANS_EMAIL_TPL_TEXT_BODY}</td>
			<td colspan="2"><textarea {if $canPreview}onblur="previewTEXT()"{/if} id="previewTEXTContent" name="emailTplTextBody" rows="25" cols="100">{$emailTemplate.emailTplTextBody|html_entity_encode}</textarea></td>
		</tr>
		{if $canPreview}
		<tr>
			<td class="title">{$smarty.const.TRANS_TEXT_PREVIEW}</td>
			<td colspan="2" align="center"><input type="button" value=" &darr; {$smarty.const.TRANS_PREVIEW} &darr; " onclick="previewTEXT();" class="button" /><br /><iframe id="emailPreviewTEXT" name="emailPreviewTEXT" width="100%" height="500" src="{getHREF page="emails.php" actionName="PreviewEmailTemplate" args="emailActionID=`$emailTemplateGroup.emailActionID`&emailTplID=`$emailTemplate.emailTplID`&preview=text"}"></iframe></td>
		</tr>
		{/if}
		<tr class='listButtons'>
			<td colspan="3"><div>
				<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE}" />
				<input class="reset" type="reset" name="reset" value="{$smarty.const.TRANS_CLEAR}" />
			</div></td>
		</tr>
	</table>
</form>
</fieldset>

{if $availableTemplates}
<hr />

<form action="emails.php" method="POST">

<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="ReloadEmailTemplateResponse"}" />
<input type="hidden" name="emailTplID" value="{$emailTemplate.emailTplID}" />
<input type="hidden" name="emailTplGroupID" value="{$emailTemplate.emailTplGroupID}" />
<fieldset>
<legend>Reload Options</legend>
		<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
		<tr>
			<td class="title">{$smarty.const.TRANS_SELECT_TEMPLATE}:</td>
			<td><select name="templateName">{html_options options=$availableTemplates}</select></td>
		</tr>

		<tr>
			<td class="title">{$smarty.const.TRANS_RELOAD_HTML}:</td>
			<td>{html_radios name="reloadHTML" options=$yesNo checked="0"}</td>
		</tr>

		<tr>
			<td class="title">{$smarty.const.TRANS_RELOAD_TEXT}:</td>
			<td>{html_radios name="reloadTXT" options=$yesNo checked="0"}</td>
		</tr>

		<tr>
			<td colspan="2">{$smarty.const.TRANS_REPLACE_TEMPLATE_CAUTION_NOTICE}</td>
		</tr>
		
		<tr class="listButtons">
			<td colspan="2"><div><input type="submit" class="submit" value="{$smarty.const.TRANS_RELOAD}" /></div></td>
		</tr>
		</table>
</fieldset>
</form>
{/if}


<form method="post" name="htmlPreviewForm" action="emails.php" target="emailPreviewHTML">
	<input type="hidden" name="emailActionID" value="{$emailTemplateGroup.emailActionID}" />
	<input type="hidden" name="emailTplID" value="{$emailTemplate.emailTplID}" />
	<input type="hidden" name="preview" value="html" />
	<input type="hidden" name="action" value="{getActionID action="PreviewEmailTemplate"}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" id="previewHTMLBody" name="XemailTplBody" value="" />
</form>

<form method="post" name="textPreviewForm" action="emails.php" target="emailPreviewTEXT">
	<input type="hidden" name="emailActionID" value="{$emailTemplateGroup.emailActionID}" />
	<input type="hidden" name="emailTplID" value="{$emailTemplate.emailTplID}" />
	<input type="hidden" name="preview" value="text" />
	<input type="hidden" name="action" value="{getActionID action="PreviewEmailTemplate"}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" id="previewTEXTBody" name="XemailTplTextBody" value="" />
</form>



{include file="$tplDirectory/footer.tpl"}
