{* $Id: ShowInvoiceDetails.print.tpl 11692 2007-07-27 18:48:37Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of invoice records.
 *
 * Smarty Variables:
 *	$invoices (array of invoices that match input criteria)
 *		invoiceID			A unique invoice ID
 *		invoiceNumber		An invoice's number
 *		invoiceAmount		An invoice's amount
 *		invoiceDateEntered	An invoice's generation date
 *		invoiceDateDue		An invoice's due date
 *		invoiceStatus		The status of an invoice
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}{strip}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_AMOUNT" d="Amount"}
{t c="TRANS_AMOUNT_PAID" d="Amount Paid"}
{t c="TRANS_CLIENT" d="Client"}
{t c="TRANS_QUICK_LINKS" d="Quick Links: "}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_INVOICEID" d="Invoice ID"}
{t c="TRANS_INVOICE_TOTAL" d="Total"}
{t c="TRANS_INVOICE_NUMBER" d="Invoice Number"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DUE" d="Due"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_ENTERED" d="Entered"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_MANAGE_INVOICES" d="Manage Invoices"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_INVOICES" d="Show Invoices"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_TAX_ID_NUMBER" d="Tax ID Number"}


{t c="TRANS_QUANTITY_ABBR" d="Qty"}
{t c="TRANS_PACKAGE_ID" d="PID"}
{t c="TRANS_DESCRIPTION" d="Description"}
{t c="TRANS_BEGIN" d="Begin"}
{t c="TRANS_CURRENT" d="Current"}
{t c="TRANS_NEXT" d="Next"}
{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_SETUP" d="Setup"}
{t c="TRANS_TAX" d="Tax"}
{t c="TRANS_TOTALS" d="Totals"}

{t c="TRANS_TAX_ZONE_ID" d="Tax Zone ID"}
{t c="TRANS_TAX_ZONE_NAME" d="Name"}
{t c="TRANS_TAX_ZONE_DESCRIPTION" d="Description"}
{t c="TRANS_TAX_ZONE_TYPE" d="Type"}
{t c="TRANS_TAX_ZONE_RATE" d="Rate"}
{t c="TRANS_TAX_ZONE_TOTAL" d="Total Tax Charge"}

{t c="TRANS_ADDONS" d="Addons"}
{t c="TRANS_ADDON_ID" d="Addon ID"}

{t c="TRANS_TRANSACTIONS" d="Transactions"}
{t c="TRANS_TRANSACTION_ID" d="ID"}
{t c="TRANS_TRANSACTION_STATUS" d="Status"}
{t c="TRANS_TRANSACTION_CODE" d="Code"}
{t c="TRANS_TRANSACTION_NOTES" d="Notes"}
{t c="TRANS_TRANSACTION_DATE" d="Date"}
{t c="TRANS_TRANSACTION_AMOUNT" d="Amount"}
{t c="TRANS_TRANSACTION_GATEWAY" d="Gateway"}

{t c="TRANS_SET_AMOUNT" d="Set Amount"}
{t c="TRANS_PERCENTAGE" d="Percentage"}

{t c="TRANS_SUCCESSFUL_CHARGE" d="Successful Charge"}
{t c="TRANS_DECLINED_CHARGE" d="Declined Charge"}
{t c="TRANS_SUB_TOTAL" d="Sub Total"}
{t c="TRANS_ERRORED_CHARGE" d="Errored Charge"}
{t c="TRANS_AUTOFAILED_CHARGE" d="Autofailed (previously declined)"}
{t c="TRANS_MANUALLY_APPLIED" d="Manually Applied Payment"}
{t c="TRANS_PAID_WITH_CREDIT" d="Paid with credit"}
{t c="TRANS_CHARGE_REFUNDED" d="Charged but Refunded"}
{t c="TRANS_TRANSACTION_PAYMENT_METHOD" d="Method"}
{t c="TRANS_AUTHORIZED_CHARGE" d="Authorized Only"}
{t c="TRANS_CAPTURE" d="Capture"}
{t c="TRANS_X_CANCEL" d="X"}
{t c="TRANS_AUTH_CANCELLED_CHARGE" d="Cancelled Auth"}
{t c="TRANS_TAX_TOTAL" d="Tax Total"}
{t c="TRANS_INVOICETOTAL" d="Invoice Total"}

{t c="TRANS_REFUND" d="Refund"}
{t c="TRANS_CLIENT_CURRENT_CREDIT_BALANCE" d="Client has credit on file of"}



{t c="TRANS_TO" d="To"}
{t c="TRANS_FROM" d="From"}
{t c="TRANS_PAYMENT_TERMS" d="Payment Terms"}
{t c="TRANS_APPLY_MANUAL_PAYMENT" d="Apply Manual Payment"}
{t c="TRANS_QUICK_PAYMENT" d="Quick Payment"}
{t c="TRANS_TAX_ZONES" d="Tax Zones"}
{t c="TRANS_CREATE_CREDIT_NOTE" d="Create Credit Note"}
{t c="TRANS_ARE_YOU_SURE_FINALIZE" d="Are you sure you wish to capture the funds of this transaction?"}
{t c="TRANS_ARE_YOU_SURE_CANCEL" d="Are you sure you want to CANCEL this transaction?\\nYou will be unable to capture these funds without running another transaction if you do."}
{t c="TRANS_CAPTURED_CHARGE" d="Captured Charge"}
{t c="TRANS_PAGE" d="Page"}
{t c="TRANS_ITEM" d="Item"}
{t c="TRANS_ID" d="ID"}
{/strip}

{assign var="filterArgs" value="invoiceStatus=$invoiceStatus"}
{include
	file="$tplDirectory/header.print.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_MANAGE_INVOICES"
	grandchildName="TRANS_SHOW_INVOICES"
	sideNavMajor="finances"
	sideNavMinor="invoices"
	useMenu="finances"}

{assign var="lineItems" value=$invoice.lineItems}
<script language="javascript" type="text/javascript">
<!--
{literal}
function checkSure(url){
	if (confirm("{/literal}{$smarty.const.TRANS_ARE_YOU_SURE_FINALIZE}{literal}")){
		document.location.href = url;
	}
}
function checkSure2(url){
	if (confirm("{/literal}{$smarty.const.TRANS_ARE_YOU_SURE_CANCEL}{literal}")){
		document.location.href = url;
	}
}
{/literal}
//-->
</script>
<table  width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01">
    {if $invoice.invoiceAmount>-0.0001 && $invoice.invoiceStatus!=2}

    {/if}

{if $invoicePageLinks.1==1}
	<div style="text-align: right;">
		<strong>{$smarty.const.TRANS_PAGE}</strong>:
		{assign var="page" value=$page+1}
		<b>{$page}</b> {$smarty.const.TRANS_OF} <strong>{$totalPages}</strong>
		{if $page>1}
			{assign var="lastPage" value=$page-2}
			<a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$invoice.invoiceID`&__print=1&page=`$lastPage`"}">&lt; {$smarty.const.TRANS_PREVIOUS} </a>
		{/if} &nbsp;
		{if $page<$totalPages}
			<a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$invoice.invoiceID`&__print=1&page=`$page`"}">{$smarty.const.TRANS_NEXT} &gt;</a>
		{/if}
		&nbsp;&nbsp;&nbsp;
	</div>
{/if}


<tr>
	<td align="right" valign="top"><strong>{$smarty.const.TRANS_TO}:</strong></td>
	<td align="left" valign="top">
		<table width="100%" bgcolor="#FFFFFF">
		<tr>
			<td>
                <strong><a href="{getHREF page="clients.php" actionName="ShowClientDetails" args="clientID=`$clientID`"}">
                {if $clientData.clientCompany && $invoice.clientContactID==0}
                	{$clientData.clientCompany}
                {else}
                	{$contactData.contactFirstName} {$contactData.contactLastName}
                {/if}
                </a></strong><br />
                {$contactData.contactAddress1}<br />
                {if $contactData.contactAddress2!=""}
                    {$contactData.contactAddress2}<br />
                {/if}
                {$contactData.contactCity}, {$contactData.contactState} {$contactData.contactZip}<br />
                {$contactData.contactPhone1} {if $contactData.contactPhone2!=''}- {$contactData.contactPhone2}<br />{/if}
                {$contactData.countriesISO2}
                {if $clientData.taxIDNumber!=''}
                <br />{$smarty.const.TRANS_TAX_ID_NUMBER}: {$clientData.taxIDNumber}
                {/if}
                
			</td>
		</tr>
		</table>
	</td>
	<td align="right" valign="top"><strong>{$smarty.const.TRANS_FROM}:</strong></td>
	<td align="left" valign="top">
		<table width="100%" bgcolor="#FFFFFF">
		<tr>
			<td>
				<strong>{$companyData.companyName}</strong><br />
				{$companyData.companyAddress1}<br />
                {if $companyData.companyAddress2!=""}
                    {$companyData.companyAddress2}<br />
                {/if}
                {$companyData.companyCity}, {$companyData.companyState} {$companyData.companyZip}<br />
                {$companyData.companyPhone1} {if $companyData.companyPhone2!=''}- {$companyData.companyPhone2}{/if}
                {if $companyData.companyTaxIDNumber!=''}
                <br />{$smarty.const.TRANS_TAX_ID_NUMBER}: {$companyData.companyTaxIDNumber}
                {/if}

			</td>
		</tr>
		</table>
	</td>
</tr>
<tr>
	<td colspan="4" align="center">
		<table width="100%" class="ledger1">
		<tr>
			<th scope="col">
				<strong>{$smarty.const.TRANS_INVOICE_NUMBER}:</strong>
            		</th>
			<th scope="col">
            			<strong>{$smarty.const.TRANS_ENTERED}:</strong>
			</th>
			<th scope="col">
				<strong>{$smarty.const.TRANS_DUE}:</strong>
			</th>
			<th scope="col">
				<strong>{$smarty.const.TRANS_STATUS}:</strong>
			</th>
			<th scope="col" align="right">
				<strong>{$smarty.const.TRANS_SUB_TOTAL}:</strong>
			</th>
			<th scope="col" align="right">
				<strong>{$smarty.const.TRANS_TAX_TOTAL}:</strong>
			</th>
			<th scope="col" align="right">
				<strong>{$smarty.const.TRANS_INVOICETOTAL}:</strong>
			</th>
			<th scope="col" align="right">
				<strong>{$smarty.const.TRANS_AMOUNT_PAID}:</strong>
			</th>
			<th scope="col" align="right">
				<strong>{$smarty.const.TRANS_AMOUNT_DUE}:</strong>
			</th>
		</tr>

		{if $totalTax}
		{else}
			{section name="j" loop=$taxZones}
				{assign var="totalTax" value=$totalTax+$taxZones[j].taxTotal}
			{/section}
		{/if}

        <tr>
            <td>{$invoice.invoiceNumber}</td>
            <td>{$invoice.invoiceDateEntered|getDate:"short"}</td>
            <td>{$invoice.invoiceDateDue|getDate:"short"}</td>
            <td>{$invoiceStatuses[$invoice.invoiceStatus]}</td>
            {assign var="subTot" value=$invoice.invoiceAmount-$totalTax}
            <td align="right">{$subTot|getAmount:$invoice.currencyID}</td>
            <td align="right">{$totalTax|getAmount:$invoice.currencyID}</td>
            <td align="right">{$invoice.invoiceAmount|getAmount:$invoice.currencyID}</td>
            <td align="right">{$invoice.invoiceAmountPaid|getAmount:$invoice.currencyID}</td>
            <td align="right">{$invoice.invoiceAmountDue|getAmount:$invoice.currencyID}</td>
        </tr>

		</table>
	</td>
</tr>
<tr>
	<td colspan="4" align="center">
		<table width="100%" bgcolor="#FFFFFF" class="ledger1">
		<tr>
            <th class="green" style="white-space: nowrap; text-align: left;">{$smarty.const.TRANS_PACKAGE_ID}</th>
			<th class="green" style="text-align:left;" colspan="2">{$smarty.const.TRANS_DESCRIPTION}</th>
			<th class="green" style="text-align:left;">{$smarty.const.TRANS_BEGIN}</th>
			<th class="green" style="text-align:left;">{$smarty.const.TRANS_CURRENT}</th>
			<th class="green" style="text-align:left;">{$smarty.const.TRANS_NEXT}</th>
            <th style="text-align:left;">{$smarty.const.TRANS_QUANTITY_ABBR}</th>
            <th align="right">{$smarty.const.TRANS_PRICE}</th>
			<th align="right">{$smarty.const.TRANS_DISCOUNT}</th>
			<th align="right">{$smarty.const.TRANS_SETUP}</th>
            <th align="right">{$smarty.const.TRANS_SUB_TOTAL}</th>
			<th align="right">{$smarty.const.TRANS_TAX}</th>
			<th align="right">{$smarty.const.TRANS_TOTALS}</th>
		</tr>
        {assign var="inaddons" value="no"}
        {assign var="currencyID" value=$lineItems.0.currencyID}
		{section name="j" loop=$lineItems}
			{assign var="tpid" value=$lineItems[j].packageID}
                {if $lineItems[j].packageAddonID>0}
                    {if $inaddons=="no"}
                        {assign var="inaddons" value="yes"}
                        <tr class="alt1">
                            <td class="green" align="right"><i>{$smarty.const.TRANS_ADDONS}</i></td>
                            <td class="green" style="text-align:left;" colspan="5"><i>{$smarty.const.TRANS_DESCRIPTION}</i></td>
                            <td style="text-align:left;"><i>{$smarty.const.TRANS_QUANTITY_ABBR}</i></td>
                            <td style="text-align:right;"><i>{$smarty.const.TRANS_PRICE}</i></td>
                            <td style="text-align:right;"><i>{$smarty.const.TRANS_DISCOUNT}</i></td>
                            <td style="text-align:right;"><i>{$smarty.const.TRANS_SETUP}</i></td>
                            <td style="text-align:right;"><i>{$smarty.const.TRANS_SUB_TOTAL}</i></td>
                            <td style="text-align:right;"><i>{$smarty.const.TRANS_TAX}</i></td>
                            <td style="text-align:right;"><i>{$smarty.const.TRANS_TOTALS}</i></td>
                        </tr>
                    {/if}
                        <tr>
                            <td class="green" align="right">{$lineItems[j].packageAddonID}</td>
                            {assign var="addonID" value=$lineItems[j].packageAddonID}
                            <td class="green" style="text-align:left;" colspan="5">{$addonGroupNames.$addonID}: {$lineItems[j].lineItemDescription}
                            </td>
                            <td style="text-align:left;">{$lineItems[j].lineItemQuantity}</td>
                            <td style="text-align:right;">{$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}</td>
                            <td style="text-align:right;">{$lineItems[j].lineItemDiscountAmount|getAmount:$currencyID}
                            	{if $lineItems[j].lineItemDiscountAmount>0}
                            	<br />
                            	{$smarty.const.TRANS_BASIS}: {$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}@ 
                            		{if $lineItems[j].lineItemDiscount>0 && $lineItems[j].prorationDiscount>0}
                            			{$lineItems[j].lineItemDiscount*100}% + {$lineItems[j].prorationDiscount*100}%
                            		{elseif $lineItems[j].lineItemDiscount>0}
                            			{$lineItems[j].lineItemDiscount*100}%
                            		{elseif $lineItems[j].prorationDiscount>0}
                            			{$lineItems[j].prorationDiscount*100}%
                            		{/if}
                            	{/if}
                            </td>
                            <td style="text-align:right;">{$lineItems[j].lineItemSetupAmount|getAmount:$currencyID}</td>
                            <td style="text-align:right;">{$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                            <td style="text-align:right;">{$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                            <td style="text-align:right;">{$lineItems[j].lineItemTotalAmount|getAmount:$currencyID}</td>
                        </tr>


                {else}
                
                {if $lastLineItemID>0 && $inaddons=="yes" && $addonTotals.total.$lastLineItemID}
                
                <tr class="alt1 total">
                	<td colspan="9" align="right">[{$lastLineItemID}: {$lastLineItemDescription}] {$smarty.const.TRANS_PACKAGE_TOTALS}: </td>
                    <td style="text-align:right;">{$addonTotals.setup.$lastLineItemID|getAmount:$currencyID}</td>
                    <td style="text-align:right;">{$addonTotals.total.$lastLineItemID-$addonTotals.tax.$lastLineItemID|getAmount:$currencyID}</td>
                    <td style="text-align:right;">{$addonTotals.tax.$lastLineItemID|getAmount:$currencyID}</td>
                    <td style="text-align:right;">{$addonTotals.total.$lastLineItemID|getAmount:$currencyID}</td>
                </tr>
                
                {/if}
                
                {if $lineItems[j].packageComments!=""}
                	{assign var="rowspan" value="2"}
                {else}
                	{assign var="rowspan" value="1"}
                {/if}
                {assign var="inaddons" value="no"}
                <tr class="alt1 total">
                    <td rowspan="{$rowspan}" style="text-align:left;" class="green">{$smarty.const.TRANS_ITEM} {$lineItems[j].lineItemID}<br /><strong>{$smarty.const.TRANS_ID}: {$lineItems[j].packageID}</strong></td>
                    <td class="green" style="text-align:left;" colspan="2">{$lineItems[j].lineItemDescription}
		    {if $domains.$tpid.0.domainID}
		    	{foreach item="domain" key="dkey" from=$domains.$tpid}
					<br />{$smarty.const.TRANS_DOMAIN}: <strong>{$domain.domainSLD|highlightTerm}.{$domain.domainTLD|highlightTerm}</strong>
		    	{/foreach}
		    {/if}
		    </td>
                    <td class="green" style="text-align:left;">{$lineItems[j].lineItemDateBeginRenewal|getDate:"short"}</td>
                    <td class="green" style="text-align:left;">{$lineItems[j].lineItemDateCurrentRenewal|getDate:"short"}</td>
                    <td class="green" style="text-align:left;">{$lineItems[j].lineItemDateNextRenewal|getDate:"short"}</td>
                    <td style="text-align:left;">{$lineItems[j].lineItemQuantity}</td>
                    <td style="text-align:right;">{$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}</td>
                    <td style="text-align:right;">{$lineItems[j].lineItemDiscountAmount|getAmount:$currencyID}
						{if $lineItems[j].lineItemDiscountAmount>0}
						<br />
						{$smarty.const.TRANS_BASIS}: {$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}@ 
							{if $lineItems[j].lineItemDiscount>0 && $lineItems[j].prorationDiscount>0}
								{$lineItems[j].lineItemDiscount*100}% + {$lineItems[j].prorationDiscount*100}%
							{elseif $lineItems[j].lineItemDiscount>0}
								{$lineItems[j].lineItemDiscount*100}%
							{elseif $lineItems[j].prorationDiscount>0}
								{$lineItems[j].prorationDiscount*100}%
							{/if}
						{/if}
                    </td>
                    <td style="text-align:right;">{$lineItems[j].lineItemSetupAmount|getAmount:$currencyID}</td>
                    <td style="text-align:right;">{$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                    <td style="text-align:right;">{$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                    <td style="text-align:right;">{$lineItems[j].lineItemTotalAmount|getAmount:$currencyID}</td>
                </tr>
					{if $lineItems[j].packageComments!=""}
						<tr class="alt1 total">
							<td colspan="12">{$lineItems[j].packageComments}</td>
						</tr>
					{/if}
					{assign var="lastLineItemID" value=$lineItems[j].lineItemID}
					{assign var="lastLineItemDescription" value=$lineItems[j].lineItemDescription}
                {/if}
                
                
		{/section}
				{if $lastLineItemID>0 && $inaddons=="yes" && $addonTotals.total.$lastLineItemID}
					
					<tr class="alt1 total">
						<td colspan="9" align="right">[{$lastLineItemID}: {$lastLineItemDescription}]  {$smarty.const.TRANS_PACKAGE_TOTALS}: </td>
						<td style="text-align:right;">{$addonTotals.setup.$lastLineItemID|getAmount:$currencyID}</td>
						<td style="text-align:right;">{$addonTotals.total.$lastLineItemID-$addonTotals.tax.$lastLineItemID|getAmount:$currencyID}</td>
						<td style="text-align:right;">{$addonTotals.tax.$lastLineItemID|getAmount:$currencyID}</td>
						<td style="text-align:right;">{$addonTotals.total.$lastLineItemID|getAmount:$currencyID}</td>
					</tr>
					
                {/if}
		</table>
	</td>
</tr>

<tr>
    <td colspan="4" align="center">

{if $taxZones.0.taxZoneID}
        <div align="left">
            <h2>{$smarty.const.TRANS_TAX_ZONES}</h2>
        <table width="100%" bgcolor="#FFFFFF">
            <tr>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_ID}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_NAME}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_DESCRIPTION}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_TYPE}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_RATE}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_TOTAL}</th>
            </tr>
        {section name="j" loop=$taxZones}
            {if $className=="alt1"}
                {assign var="className" value="alt2"}
            {else}
                {assign var="className" value="alt1"}
            {/if}
            <tr class="{cycle values="alt1,alt2"}">
                <td>{$taxZones[j].taxZoneID}</td>
                <td>{$taxZones[j].taxZoneName}</td>
                <td>{$taxZones[j].taxZoneDescription}</td>
                <td>{if $taxZones[j].lineItemTaxAmountType==0}
                    {$smarty.const.TRANS_PERCENTAGE}
                {else}
                    {$smarty.const.TRANS_SET_AMOUNT}
                {/if}</td>
                <td align="right">{if $taxZones[j].lineItemTaxAmountType==0}
                    {$taxZones[j].lineItemTaxAmount}%
                {else}
                    {$taxZones[j].lineItemTaxAmount|getAmount:$currencyID}
                {/if}</td>
                <td align="right">{$taxZones[j].taxTotal|getAmount:$currencyID}</td>
            </tr>
        {/section}
        </table>
        </div>
{/if}


        {if $transactions}
        <div align="left">
            <h2>{$smarty.const.TRANS_TRANSACTIONS}</h2>
            <table width="100%" bgcolor="#FFFFFF">
            <tr>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_ID}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_PAYMENT_METHOD}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_STATUS}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_CODE}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_NOTES}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_DATE}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_GATEWAY}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_AMOUNT}</th>
            </tr>
            {section name="j" loop=$transactions}
                {if $className=="alt1"}
                    {assign var="className" value="alt2"}
                {else}
                    {assign var="className" value="alt1"}
                {/if}
                <tr class="{cycle values="alt1,alt2"}">
                    <td>{$transactions[j].transactionID}</td>
                    {assign var="tkey" value=$transactions[j].transactionPaymentMethod|getArrayValueByID:$paymentMethods}
                    <td>{$smarty.const.$tkey|default:$tkey}</td>
                    {assign var="tkey" value=$transactions[j].authReturn|getArrayValueByID:$transactionStatuses}
                    <td>{strip}
                    {* if $transactions[j].canRefund==1}
                        <div style="float: right;" class="rm"><a class="st01" href="{getHREF page="invoices.php" actionName="ProcessTransactionRefund" args="transactionID=`$transactions[j].transactionID`"}&invoiceID={$invoice.invoiceID}">{$smarty.const.TRANS_REFUND}</a></div>
                    {/if}
					{if $transactions[j].canFinalize==1}
                        <div style="float: right; width: 90px;">
                        <div style="float: right;" class="rm07" title="Cancel"><a class="st01" href="javascript:checkSure2('{getHREF page="invoices.php" actionName="CancelAuthTransaction" args="transactionID=`$transactions[j].transactionID`"}&invoiceID={$invoice.invoiceID}');">{$smarty.const.TRANS_X_CANCEL}</a></div>
                        <div style="float: right;">&nbsp;</div>
                        <div style="float: right;" class="rm"><a class="st01" href="javascript:checkSure('{getHREF page="paymentqueue.php" actionName="CaptureFunds" args="captureIDs[`$transactions[j].transactionID`]=y"}&invoiceID={$invoice.invoiceID}');">{$smarty.const.TRANS_CAPTURE}</a></div>
                        </div>
					{/if*}{$smarty.const.$tkey|default:$tkey}{/strip}</td>
                    <td>{$transactions[j].transactionCode}</td>
                    <td>{$transactions[j].transactionNotes}</td>
                    <td>{$transactions[j].transactionDateCreated|getDate:short}</td>
                    {assign var="tkey" value=$transactions[j].configGroupTransKey}
                    <td>{$smarty.const.$tkey|default:$tkey}</td>
                    <td align="right">{$transactions[j].transactionAmount|getAmount:$transactions[j].currencyID}</td>
                </tr>
            {/section}
            </table>

        </div>
        {/if}

    </td>
</tr>
</table>
