{* $Id: AddPaymentGroup.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to add a new Paymentgroup.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{t c="TRANS_PAYMENTGROUPNAME" d="Payment Group Name"}
{t c="TRANS_PAYMENTGROUPNAME_APPEND" d="Add a name for the payment group."}
{t c="TRANS_PAYMENTGROUPCURRENCY" d="Payment Group Currency"}
{t c="TRANS_PAYMENTGROUPCURRENCY_APPEND" d="Enter the ISO 4217 three character currency code for this payment group. This 
	currency code will be passed to the gateways associated with this payment group. Not all gateways support all currencies.
	Check with the gateway and your merchant account provider for more info."}
{t c="TRANS_ADD_PRIMARYGATEWAY" d="Add Primary Gateway"}
{t c="TRANS_ADD_PRIMARYGATEWAY_APPEND" d="Add a true gateway to this payment group to process credit cards and/or eChecks 
	with the Virtual Termianl or Order Form. You will be able to edit the settings for this gateway once it has been added."}
{t c="TRANS_ADD_SECONDARYGATEWAY" d="Add Secondary Gateway"}
{t c="TRANS_ADD_SECONDARYGATEWAY_APPEND" d="Add a 3rd-party gateway to this payment group. You will be able to edit the
	settings for this gateway once it has been added."}
{t c="TRANS_MANAGE_PAYMENTGROUPS" d="Manage Payment Groups"}
{t c="TRANS_ADD_PAYMENTGROUP" d="Add a New Payment Group"}
{t c="TRANS_SUBMIT_PAYMENTGROUP" d="Add this Payment Group"}

{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_MANAGE_PAYMENTGROUPS"
    childName="TRANS_ADD_PAYMENTGROUP"
    sideNavMajor="system"
    parentConfigGroupID=0}

<form method="post" action="paymentgroups.php" />
<input type="hidden" name="action" value="{getActionID action="AddPaymentGroupResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
<legend>{$smarty.const.TRANS_ADD_PAYMENTGROUP}</legend>

<div style="text-align:right;"><div class="rm"><a href="javascript:history.go(-1);">{$smarty.const.TRANS_BACK}</a></div></div>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
	<tr>
		<td class="title">{$smarty.const.TRANS_PAYMENTGROUPNAME}:</td>
		<td><input type="text" name="paymentGroupName" value="" /></td>
		<td>{$smarty.const.TRANS_PAYMENTGROUPNAME_APPEND}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_PAYMENTGROUPCURRENCY}:</td>
		<td><input type="text" name="paymentGroupCurrencyID" value="" size="3" /></td>
		<td>{$smarty.const.TRANS_PAYMENTGROUPCURRENCY_APPEND}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_ADD_PRIMARYGATEWAY}:</td>
			<td><select id="primaryGateway" name="primaryGateway">
				<option selected="selected"></option>
				{html_options options=$primaryGateways}
			</select></td>
			<td>{$smarty.const.TRANS_ADD_PRIMARYGATEWAY_APPEND}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_ADD_SECONDARYGATEWAY}:</td>
			<td><select id="secondaryGateway" name="secondaryGateway">
				<option selected="selected"></option>
				{html_options options=$secondaryGateways}
			</select></td>
			<td>{$smarty.const.TRANS_ADD_SECONDARYGATEWAY_APPEND}</td>
	</tr>
	<tr class="listButtons">
		<td colspan="3"><div><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SUBMIT_PAYMENTGROUP}" /></div></td>
	</tr>
</table>

</fieldset>

</form>

{include file="$tplDirectory/footer.tpl"}