{* $Id: EditPaymentGroup.tpl 8848 2006-09-13 18:51:57Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Paymentgroup.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{t c="TRANS_ADD_THIRD_PARTY_GATEWAY" d="Add Third Party Gateway"}
{t c="TRANS_THIRD_PARTY_GATEWAY" d="Third Party Gateway"}

{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_MANAGE_PAYMENTGROUPS"
    childName="TRANS_EDIT_PAYMENTGROUP"
    sideNavMajor="system"
    parentConfigGroupID=0}

<form method="post" action="paymentgroups.php">
<input type="hidden" name="action" value="{getActionID action="EditPaymentGroupResponse"}" />
<input type="hidden" name="paymentGroupID" value="{$paymentgroup.paymentGroupID}" />
<input type="hidden" name="sid" value="{$sid}" />
<fieldset>
<legend>{$smarty.const.TRANS_EDIT_PAYMENTGROUP}: {$paymentgroup.paymentGroupName}</legend>
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
	<tr>
		<td class="title">{$smarty.const.TRANS_PAYMENTGROUPNAME}:</td>
		<td><input type="text" name="paymentGroupName" value="{$paymentgroup.paymentGroupName}" /></td>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_PAYMENTGROUPCURRENCY}:</td>
		<td><input type="text" name="paymentGroupCurrencyID" value="{$paymentgroup.paymentGroupCurrencyID}" size="3" /></td>
		<td> {$smarty.const.TRANS_PAYMENTGROUPCURRENCY_APPEND}</td>
	</tr>
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}

{assign var="gotPrimary" value=0}

{section name="i" loop="$gatewayCount"}

    {if $paymentgroup.gateways[i].gatewayType == 1}
    {assign var="gotPrimary" value=1}
    <tr>
            <td class="title">{$smarty.const.TRANS_PRIMARYGATEWAY}:</td>
            <td>{$paymentgroup.gateways.0.configGroupTransKey}</td>
            <td>
                {assign var="primconfigGroupID" value=$paymentgroup.gateways.0.configGroupID}
                <a href="{getHREF page="configs.php" actionName="ShowConfigs" args="configGroupID=$primconfigGroupID"}">
                    <img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
                </a>
				<a href="{getHREF page="paymentgroups.php" actionName="RemovePaymentGroupGateway" args="configGroupID=$primconfigGroupID"}">
					<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
				</a>
            </td>
     </tr>
     {/if}

{/section}

{if $gotPrimary!=1}
    <tr>
            <td class="title">{$smarty.const.TRANS_ADD_PRIMARYGATEWAY}:</td>
            <td><select id="primaryGateway" name="primaryGateway">
                <option selected="selected"></option>
                {html_options options=$primaryGateways}
            </select></td>
            <td>&nbsp;</td>
     </tr>
{/if}


{assign var="gotSecondary" value=0}

{section name="i" loop="$gatewayCount"}

    {if $paymentgroup.gateways[i].gatewayType == 0 && $paymentgroup.gateways[i].configGroupID}
    {assign var="gotSecondary" value=1}
        <tr>
            <td class="title">{$smarty.const.TRANS_THIRD_PARTY_GATEWAY}:</td>
            <td>{$paymentgroup.gateways[i].configGroupTransKey}</td>
            <td>
                {assign var="configGroupID" value=$paymentgroup.gateways[i].configGroupID}
                <a href="{getHREF page="configs.php" actionName="ShowConfigs" args="configGroupID=$configGroupID"}">
                    <img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
                </a>
                <a href="{getHREF page="paymentgroups.php" actionName="RemovePaymentGroupGateway" args="configGroupID=$configGroupID"}">
                    <img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
                </a>
            </td>
     </tr>
     {/if}

{/section}

{* /remove this if statement if you only want to allow ONE secondary gateway/ if $gotSecondary!=1 *}
    <tr>
        <td class="title">{$smarty.const.TRANS_ADD_THIRD_PARTY_GATEWAY}:</td>
        <td><select id="secondaryGateway" name="secondaryGateway">
            <option selected="selected"></option>
            {html_options options=$secondaryGateways}
        </select>
        </td>
        <td>&nbsp;</td>
    </tr>
{* /if *}

<tr class="listButtons">
<td colspan="3"><div><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_EDIT_PAYMENTGROUP}" /></div></td>
</tr>

</table>
</fieldset>
<br /><br />

</form>

{include file="$tplDirectory/footer.tpl"}