{* $Id: RemovePaymentGroupGateway.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit an existing paymentgroup record.
 *
 * Smarty Variables:
 *	$gatewayinfo (array of this PaymentGroupGateways's data)
 *
 *}
{t c="TRANS_PAYMENT_GROUP_GATEWAY_ID" d="Gateway"}
{t c="TRANS_PAYMENT_GROUP_NAME" d="Gateway Name"}
{t c="TRANS_PAYMENT_GROUP_GATEWAY_ARE_YOU_SURE" d="Are you sure you wish to permanently delete this payment group? This will also
	delete all payment gateway configurations associated with this gateway. After deletion, you will need to verify that
	all of your order forms are correctly associated with a payment group that has payment gateways added to it."}
{t c="TRANS_PAYMENT_GROUP_GATEWAY_DELETE" d="Yes, I want to remove this gateway"}
{t c="TRANS_PAYMENT_GROUP_GATEWAY_KEEP" d="No, I want to keep this gateway"}
{t c="TRANS_MANAGE_PAYMENTGROUPS" d="Manage Payment Groups"}
{t c="TRANS_REMOVE_PAYMENT_GROUP_GATEWAY" d="Remove Payment Group Gateway"}


{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_MANAGE_PAYMENTGROUPS"
    childName="TRANS_REMOVE_PAYMENT_GROUP_GATEWAY"
    sideNavMajor="system"
    parentConfigGroupID=0}

<fieldset>
<legend>{$smarty.const.TRANS_PAYMENT_GROUP_GATEWAY_ARE_YOU_SURE}</legend>
<table class="list" width="100%">
	<tr>
		<td class="title">{$smarty.const.TRANS_PAYMENT_GROUP_GATEWAY_ID}</td>
		<td>{$gatewayinfo.configGroupID}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_PAYMENT_GROUP_NAME}</td>
		<td>{$gatewayinfo.configGroupTransKey}</td>
	</tr>
<tr class="listButtons">
	<td colspan="2"><div>
<form method="post" action="paymentgroups.php" style="display:inline">
	<input type="hidden" name="action" value="{getActionID action='RemovePaymentGroupGatewayResponse'}" />
	<input type="hidden" name="configGroupID" value="{$gatewayinfo.configGroupID}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_PAYMENT_GROUP_GATEWAY_DELETE}" />
</form>
<br /><br />
<form method="post" action="paymentgroups.php" style="display:inline">
	<input type="hidden" name="action" value="{getActionID action='ShowPaymentGroups'}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_PAYMENT_GROUP_GATEWAY_KEEP}" />
</form>
	</div></td>
</tr>
</table>
</fieldset>
{include file="$tplDirectory/footer.tpl"}