{* $Id: ShowPanelDetails.tpl 12386 2007-12-21 23:43:39Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of servergroups.
 *
 * Smarty Variables:
 *	$load
 *			Array
 *			(
 *				[one] => 0.06
 *				[five] => 0.03
 *				[fifteen] => 0
 *				[uptime] => 1362360
 *				[version] => 7.5.4
 *				[os] => FedoraCore
 *				[osVersion] => 2
 *				[clients] => 7
 *				[domains] => 3
 *				[activeDomains] => 3
 *			)
 *  $moduleDisplayInfo 
 *			Array
 *			(
 *				[panelMinUsernameLength] => 6
 *				[moduleDisplayName] => PostMod
 *				[panelMaxUsernameLength] => 12
 *				[moduleEnabled] => 1
 *				[panelMinPasswordLength] => 6
 *				[moduleUsername] => admin
 *				[panelMaxPasswordLength] => 12
 *				[panelMaxAccounts] => 200
 *				[api] => https://mycpbox.com
 *				[panelCurrentAccounts] => 4
 *				[ip] => 10.0.0.10
 *				[panelNameserver1] => ns1.mycpbox.com
 *				[panelNameserver1IP] => 10.10.10.11
 *				[panelNameserver2] => ns2.mycpbox.com
 *				[panelNameserver2IP] => 10.10.10.12
 *				[panelNameserver3] =>
 *				[panelNameserver3IP] =>
 *				[showServerLoad] => 1
 *				[panelNameserver4] =>
 *				[panelUsernameRule] => 1
 *				[panelNameserver4IP] =>
 *				[panelLoginURL] =>
 *				[allowClientLogin] =>
 *				[panelUsernamePrefix] =>
 *				[panelUsernameSequence] =>
 *			)
 *  $clientResults (Array of clients if this panel was capable, will also have domains if capable)
 *			[1] => Array  -- The client record ID on the Panel
 *					(
 *						[first_name] => My
 *						[last_name] => Domains
 *						[company_name] => ModernGigabyte
 *						[phone] => 502-566-7754
 *						[fax] =>
 *						[email] => name@mydomain.com
 *						[address] => 201 E. Jefferson St
 *						[city] => Louisville
 *						[state] => KY
 *						[zip] => 40206
 *						[country] => US
 *						[status] => 0
 *						[password] => none
 *						[date_created] => 2006-04-17
 *						[stats] => Array
 *							(
 *								[0] => Array
 *									(
 *										[domains] => 2
 *										[subdomains] => 0
 *										[disk_space] => 2508.77539062
 *										[traffic] => 0.103244781494
 *										[mailboxes] => 3
 *										[databases] => 50
 *									)
 *			
 *							)
 *			
 *						[clientID] => 6  --Possible ModernBill clientID Match
 *						[domain] => Array
 *							(
 *								[0] => Array
 *									(
 *										[domain_name] => onedomain.com
 *										[first_name] =>
 *										[last_name] =>
 *										[client_id] => 1  -- ID of the domain on the panel
 *										[company_name] =>
 *										[phone] =>
 *										[fax] =>
 *										[email] =>
 *										[address] =>
 *										[city] =>
 *										[state] =>
 *										[zip] =>
 *										[country] =>
 *										[status] => 0
 *										[password] => none
 *										[date_created] => 2006-04-17
 *										[stats] => Array
 *											(
 *												[0] => Array
 *													(
 *														[subdomains] => 0
 *														[disk_space] => 2047.52636719
 *														[traffic] => 0.103244781494
 *														[mailboxes] => 3
 *														[databases] =>
 *													)
 *			
 *											)
 *			
 *										[clientID] => 34  --Possible ModernBill clientID Match
 *									)
 *			
 *								[1] => Array
 *									(
 *										[domain_name] => twodomain.com
 *										[first_name] =>
 *										[last_name] =>
 *										[client_id] => 1  -- ID of the domain on the panel
 *										[company_name] =>
 *										[phone] =>
 *										[fax] =>
 *										[email] =>
 *										[address] =>
 *										[city] =>
 *										[state] =>
 *										[zip] =>
 *										[country] =>
 *										[status] => 0
 *										[password] => none
 *										[date_created] => 2006-04-20
 *										[stats] => Array
 *											(
 *												[0] => Array
 *													(
 *														[subdomains] => 0
 *														[disk_space] => 461.249023438
 *														[traffic] => 0
 *														[mailboxes] => 0
 *														[databases] =>
 *													)
 *			
 *											)
 *			
 *										[clientID] => 34  --Possible ModernBill clientID Match
 *									)
 *			
 *							)
 *			
 *					) 
 *

 *  $domainResults
 *			Array
 *			(
 *				[1] => Array    --ID of the domain on the panel
 *					(
 *						[domain_name] => another-domain.com
 *						[first_name] =>
 *						[last_name] =>
 *						[client_id] => 1  -- ID of the domain on the panel
 *						[company_name] =>
 *						[phone] =>
 *						[fax] =>
 *						[email] =>
 *						[address] =>
 *						[city] =>
 *						[state] =>
 *						[zip] =>
 *						[country] =>
 *						[status] => 0
 *						[password] => none
 *						[date_created] => 2006-04-17
 *						[stats] => Array
 *							(
 *								[0] => Array
 *									(
 *										[subdomains] => 0
 *										[disk_space] => 2047.52636719
 *										[traffic] => 0.103244781494
 *										[mailboxes] => 3
 *										[databases] =>
 *									)
 *			
 *							)
 *			
 *						[clientID] => 34  --Possible ModernBill clientID Match
 *					)
 *			
 *				[2] => Array
 *
 *}
{t c="TRANS_PANEL_DETAILS" d="Panel Details"}
{* Load group *}
{t c="TRANS_PANEL_LOAD_ONE" d="one"}
{t c="TRANS_PANEL_LOAD_FIVE" d="five"}
{t c="TRANS_PANEL_LOAD_FIFTEEN" d="fifteen"}
{t c="TRANS_PANEL_LOAD_UPTIME" d="uptime"}
{t c="TRANS_PANEL_LOAD_VERSION" d="version"}
{t c="TRANS_PANEL_LOAD_OS" d="OS"}
{t c="TRANS_PANEL_LOAD_OSVERSION" d="OS Version"}
{t c="TRANS_PANEL_LOAD_CLIENTS" d="Clients"}
{t c="TRANS_PANEL_LOAD_DOMAINS" d="Domains"}
{t c="TRANS_PANEL_LOAD_ACTIVE_DOMAINS" d="Active Domains"}
{* Client group *}
{t c="TRANS_PANEL_SUBDOMAINS" d="Subdomains"}
{t c="TRANS_PANEL_DOMAINS" d="Domains"}
{t c="TRANS_PANEL_DISK_SPACE" d="Disk Space"}
{t c="TRANS_PANEL_TRAFFIC" d="Traffic"}
{t c="TRANS_PANEL_MAILBOXES" d="mailboxes"}
{t c="TRANS_PANEL_DATABASES" d="databases"}
{t c="TRANS_IMPORT" d="import"}
{t c="TRANS_IMPORT_SELECTED_ACCOUNTS" d="Import Selected Accounts"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SERVERGROUPS"
	childName="TRANS_PANEL_DETAILS"
	sideNavMajor="system"
	sideNavMinor="system"
	includeAjaxJS=1}

<fieldset>
<legend>{$smarty.const.TRANS_PANEL}</legend>

<div style="text-align:right;"><div class="rm"><a href="servergroups.php?action={getActionID action="ShowServerGroups"}&sid={$sid}">{$smarty.const.TRANS_LIST_SERVER_GROUPS}</a></div></div>

{if $moduleDisplayInfo}
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
		<tr>
			<td>
				<strong>{$moduleDisplayInfo.moduleDisplayName}</strong>
			</td>
		</tr>
		<tr>
			<td>
				{if $moduleDisplayInfo.panelMaxAccounts}
					<center>
						{$moduleDisplayInfo.panelCurrentAccounts} / {$moduleDisplayInfo.panelMaxAccounts}
						<br />
						<br />
						<img class="graph" src="graphs.php?action={getActionID action="ShowGenericBar"}&sid={$sid}&amount={$moduleDisplayInfo.panelCurrentAccounts}&limit={$moduleDisplayInfo.panelMaxAccounts}&height=30&width=450" border="0" />
					</center>
				{/if}
			</td>
		</tr>
	</table>
{/if}

{if $load}
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
		<tr>
			<td>
					{$smarty.const.TRANS_PANEL_LOAD_ONE}: {$load.one}
					<br />
					{$smarty.const.TRANS_PANEL_LOAD_FIVE}: {$load.five}
					<br />
					{$smarty.const.TRANS_PANEL_LOAD_FIFTEEN}: {$load.fifteen}
					<br />


			</td>

			<td>

				{if $load.uptime}
					{$smarty.const.TRANS_PANEL_LOAD_UPTIME}: {$load.uptime}
					<br />
				{/if}
				{if $load.version}
					{$smarty.const.TRANS_PANEL_LOAD_VERSION}: {$load.version}
					<br />
				{/if}
				{if $load.os}
					{$smarty.const.TRANS_PANEL_LOAD_OS}: {$load.os}
					<br />
				{/if}
			</td>

			<td>
				{if $load.osVersion}
					{$smarty.const.TRANS_PANEL_LOAD_OSVERSION}: {$load.osVersion}
					<br />
				{/if}
				{if $load.clients}
					{$smarty.const.TRANS_PANEL_LOAD_CLIENTS}: {$load.clients}
					<br />
				{/if}
				{if $load.domains}
					{$smarty.const.TRANS_PANEL_LOAD_DOMAINS}: {$load.domains}
					<br />
				{/if}
				{if $load.activeDomains}
					{$smarty.const.TRANS_PANEL_LOAD_ACTIVE_DOMAINS}: {$load.activeDomains}
					<br />
				{/if}

			</td>

		</tr>
	</table>
{/if}

</fieldset>

{if $clientResults}
<fieldset>
<legend>{$smarty.const.TRANS_CLIENTS}</legend>

<div>

{* ({$totalPanelClients}|{$clientsPerPage}|{$recordOffset}|{$numPages}) *}


{if $totalPanelClients>0}
	{$smarty.const.TRANS_PAGES}:
	{foreach key="ii" item="xx" from=$pcpages}
		{assign var="offset" value=$pcpages[$ii]}
		{if $offset==$recordOffset}
			<strong>{$ii+1}</strong>
		{else}
			<a href="modules.php?sid={$sid}&action={getActionID action="ShowPanelDetails"}&configGroupID={$smarty.request.configGroupID}&serverGroupID={$smarty.request.serverGroupID}&recordOffset={$offset}">{$ii+1}</a>
		{/if}
	{/foreach}

{/if}

</div>

</fieldset>

<form method="post" action="products.php">
	<input type="hidden" name="action" value="{getActionID action="ShowProducts"}" />
	<input type="hidden" name="configGroupID" value="{$smarty.request.configGroupID}" />
	<input type="hidden" name="serverGroupID" value="{$smarty.request.serverGroupID}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<div style="text-align: right;">
		<input type="submit" class="submit" value="{$smarty.const.TRANS_IMPORT_SELECTED_ACCOUNTS}" />
	</div>
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
	<thead>
	<tr class="headerRow">
		{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_COMPANY_NAME"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ADDRESS"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_PHONE"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_EMAIL"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_STATUS"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_DATE_CREATED"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_CLIENT_ID"}
	</tr>
	</thead>
	
	{foreach key="client_key" item="client" from=$clientResults}
		{if $client.first_name OR $client.last_name OR $client.company_name}
			{if $className=="alt1"}
				{assign var="className" value="alt2"}
			{else}
				{assign var="className" value="alt1"}
			{/if}
			<tr>
			<tr class="{cycle values="alt1,alt2"}">
				<td>
					{$client.first_name} {$client.last_name}
				</td>
				<td>
					{$client.company_name} <br />
					{$client.address} <br />
					{$client.city} {$client.state} {$client.zip} <br />
					{$client.country}
				</td>
				<td>
					{$client.phone}
					<br />
					{$client.fax}
				</td>
				<td>
					{$client.email}
				</td>
				<td>
					{$client.status}
				</td>
				<td>
					{$client.date_created}
				</td>
				<td>
					{if $client.clientID}
						<a href="{getHREF page="clients.php" actionName="ShowClientDetails" args="clientID=`$client.clientID`"}">
							{$client.clientID}
						</a>
					{else}
						{assign var="tunnelVar" value=$tunnelVars[$client_key]}
						<input type="checkbox" name="tunnelVars[]" value="{$tunnelVar}" id="clientImportCheckbox{$client_key}" /> <label for="clientImportCheckbox{$client_key}">{$smarty.const.TRANS_IMPORT}</label>
					{/if}
				</td>
			</tr>
			<tr>
				<td colspan="7">
					{* Check for stats *}
					{if $client.stats}
						{assign var="stats" value=$client.stats}
						{foreach key="stat_key" item="stat" from=$stats}
							<table>
								<tr>
									<td>
										{$smarty.const.TRANS_PANEL_DOMAINS}: {$stat.domains}
									</td>
									<td>
										{$smarty.const.TRANS_PANEL_SUBDOMAINS}: {$stat.subdomains}
									</td>
									<td>
										{$smarty.const.TRANS_PANEL_DISK_SPACE}: {$stat.disk_space}
									</td>
									<td>
										{$smarty.const.TRANS_PANEL_TRAFFIC}: {$stat.traffic}
									</td>
									<td>
										{$smarty.const.TRANS_PANEL_MAILBOXES}: {$stat.mailboxes}
									</td>
									<td>
										{$smarty.const.TRANS_PANEL_DATABASES}: {$stat.databases}
									</td>
								</tr>
							</table>
						{/foreach}
					{/if} {* end stats *}
				</td>
			</tr>
			<tr>
				<td colspan="7">
				{if $client.domain}
					{assign var="domains" value=$client.domain}
					{foreach key="domain_key" item="domain" from=$domains}
						{if $domain.domain_name}
						<table>
							<tr>
								<td width="200">
									{$domain.domain_name}
								</td>
								<td width="50">
									{$smarty.const.TRANS_DATE_CREATED}:  <br />
									{$domain.date_created}
								</td>
		
								{if $domain.stats}
									{assign var="domain_stats" value=$domain.stats}
									{foreach key="domain_stats_key" item="domain_stat" from=$domain_stats}
										<td>
											SUB: {$domain_stat.subdomains}
										</td>
										<td>
											DS: {$domain_stat.disk_space|getAmount:" "}
										</td>
										<td>
											TRAF: {$domain_stat.traffic|getAmount:" "}
										</td>
										<td>
											MB: {$domain_stat.mailboxes}
										</td>
										<td>
											DBS: {$domain_stat.databases}
										</td>
									{/foreach} {* end domain stats *}
								{/if}
									<!--
									<td>
										{if $domain.clientID}
											{$smarty.const.TRANS_CLIENT_ID}: 
											<a href="{getHREF page="clients.php" actionName="ShowClientDetails" args="clientID=`$domain.clientID`"}">
												{$domain.clientID}
											</a>
										{/if}
									</td>
									-->
							</tr>
						</table>
						{/if}
					{/foreach}
				{/if} { * if client Domain *}
				</td>
			</tr>
		{/if}
	{/foreach}
	</table>
	<div style="text-align: right;">
		<input type="submit" class="submit" value="{$smarty.const.TRANS_IMPORT_SELECTED_ACCOUNTS}" />
	</div>
</form>

{if $totalPanelClients>0}
	{$smarty.const.TRANS_PAGES}:
	{foreach key="ii" item="xx" from=$pcpages}
		{assign var="offset" value=$pcpages[$ii]}
		{if $offset==$recordOffset}
			<strong>{$ii+1}</strong>
		{else}
			<a href="modules.php?sid={$sid}&action={getActionID action="ShowPanelDetails"}&configGroupID={$smarty.request.configGroupID}&serverGroupID={$smarty.request.serverGroupID}&recordOffset={$offset}">{$ii+1}</a>
		{/if}
	{/foreach}

{/if}

{/if} {* If Clients *}

{if $domainResults}
<fieldset>
<legend>{$smarty.const.TRANS_DOMAINS}</legend>

	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
	<thead>
	<tr class="headerRow">
		{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_DOMAIN_NAME"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ADDRESS"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_PHONE"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_EMAIL"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_STATUS"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_DATE_CREATED"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_CLIENT_ID"}
	</tr>
	</thead>
	
	{foreach key="domain_key" item="domain" from=$domainResults}
		{if $className=="alt1"}
			{assign var="className" value="alt2"}
		{else}
			{assign var="className" value="alt1"}
		{/if}
		<tr>
		<tr class="{cycle values="alt1,alt2"}">
			<td>
				{$domain.domain_name}
			</td>
			<td>
				{$domain.first_name} {$domain.last_name} <br />
				{$domain.company_name} <br />
				{$domain.address} <br />
				{$domain.city} {$client.state} {$client.zip} <br />
				{$domain.country}
			</td>
			<td>
				{$domain.phone}
				<br />
				{$domain.fax}
			</td>
			<td>
				{if $domain.email}
					{$domain.email}
				{else}
					{$domain.username}
				{/if}
			</td>
			<td>
				{$domain.status}
			</td>
			<td>
				{$domain.date_created}
			</td>
			<td>
				{if $domain.clientID}
					<a href="{getHREF page="clients.php" actionName="ShowClientDetails" args="clientID=`$domain.clientID`"}">
						{$domain.clientID}
					</a>
				{else}
					import
				{/if}
			</td>
		</tr>

		<tr>
			<td colspan="7">
				{* Check for stats}
				{if $domain.stats}
					{assign var="stats" value=$domain.stats}
					{foreach key="stat_key" item="stat" from=$stats}
						<table>
							<tr>
								<td>
									{$smarty.const.TRANS_PANEL_SUBDOMAINS}: {$stat.subdomains}
								</td>
								<td>
									{$smarty.const.TRANS_PANEL_DISK_SPACE}: {$stat.disk_space|getAmount:" "}
								</td>
								<td>
									{$smarty.const.TRANS_PANEL_TRAFFIC}: {$stat.traffic|getAmount:" "}
								</td>
								<td>
									{$smarty.const.TRANS_PANEL_MAILBOXES}: {$stat.mailboxes}
								</td>
								<td>
									{$smarty.const.TRANS_PANEL_DATABASES}: {$stat.databases}
								</td>
							</tr>
						</table>
					{/foreach}
				{/if} {* end stats *}
			</td>
		</tr>


	{/foreach}
	</table>
	</fieldset>
{/if} {* If Domains *}

{include file="$tplDirectory/widgets/paginationLinks.tpl"}



{include file="$tplDirectory/footer.tpl"}