{* $Id: ShowSystemLicenseInfo.tpl 12403 2007-12-28 17:46:28Z kbailey $
 * --------------------------------------------------------------
 * This template displays system info.
 *
 * Smarty Variables:
 *	$system (array of this system's info)
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_MODULES" d="Modules"}
{t c="TRANS_SYSTEM_INFO" d="System Info"}
{t c="TRANS_DATABASE_INFORMATION" d="Database Information"}
{t c="TRANS_PHP_INFORMATION" d="PHP Information"}
{t c="TRANS_CURL_INFORMATION" d="cURL Information"}
{t c="TRANS_SERVER_INFORMATION" d="Server Information"}
{t c="TRANS_MODERNBILL_LICENSE_INFORMATION" d="ModernBill License Information"}
{t c="TRANS_VERSION" d="Version"}
{t c="TRANS_REGISTERED_TO" d="Registered to"}
{t c="TRANS_LICENSE" d="License"}
{t c="TRANS_EXPIRES_ON" d="Expires on"}
{t c="TRANS_RENEWS_ON" d="Renews on"}
{t c="TRANS_MODERNBILL_LIBRARY_INFORMATION" d="Modernbill 5 Library Information"}
{t c="TRANS_LIBRARY" d="Library"}
{t c="TRANS_REQUIRED_VERSION" d="Required Version"}
{t c="TRANS_CURRENT_VERSION" d="Current Version"}
{t c="TRANS_NOT_UP_TO_DATE" d="library not up to date!"}

{t c="TRANS_MAX_CLIENTS" d="Max Clients"}
{t c="TRANS_UNLIMITED" d="Unlimited"}


{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MODULES"
	childName="TRANS_MODERNBILL_LICENSE_INFO"
	sideNavMajor="system"}
	
<fieldset>
<legend><img src="{$imageDirectory}/ico/registry.gif" width="16" height="16" alt="" title="" border="0" style="vertical-align:middle;" />
&nbsp;{$smarty.const.TRANS_MODERNBILL_LICENSE_INFORMATION}</legend>
	
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
		<tr>
			<td class="title">{$appParentName}:</td>
			<td>{$appParentVersion}</td>
		</tr>
		<tr>
			<td class="title">{$appCurrentName}:</td>
			<td>{$appCurrentVersion}</td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_LICENSE}:</td>
			<td>{$licenseType}</td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_REGISTERED_TO}:</td>
			<td>{$licenseCompany}</td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_MAX_CLIENTS}:</td>
			<td>
				{if $smarty.const.licMaxClients > 0}
					{$smarty.const.licMaxClients}
				{elseif $smarty.const.licMaxClients < 0}
					{$smarty.const.TRANS_UNLIMITED}
				{else}
					{$smarty.const.TRANS_UNKNOWN}
				{/if}
			</td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_RENEWS_ON}:</td>
			<td>
				{if $smarty.const.licTkn=="" AND $smarty.const.PLESKBUNDLE!=1}
					<blockquote style="color:red;">
					This is a Temporary v5 License that will be replaced with a Live v5 License on or before {$licenseExp|getDate}.
					</blockquote>
				{else}
					{$licenseExp|getDate}
				{/if}
			</td>
		</tr>
</table>



{include file="$tplDirectory/footer.tpl"}