{* $Id: ShowOrderForms.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of orderforms.
 *
 * Smarty Variables:
 *	$orderforms (array of orderforms that match criteria)
 *
 *}

{t c="TRANS_ADD_ORDER_FORM" d="Add New Order Form"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_ORDERFORMS"
	childName="TRANS_SHOW_ORDERFORMS"
	useMenu="system"
	sideNavMajor="system"
	sideNavMinor="clients"}

<fieldset>
<legend>{$smarty.const.TRANS_ORDER_FORMS}</legend>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<thead>
<tr class="listRowNoBorders">
	<td colspan="4">
		{if $noPayGroups}
		<div class="rm" style="float: right;"><a href="{getHREF page="paymentgroups.php" actionName="ShowPaymentGroups"}">{$smarty.const.TRANS_MUST_HAVE_PAYMENTGROUP}</a></div>
		{else}
		<div class="rm" style="float: right;"><a href="{getHREF page="orderforms.php" actionName="AddOrderFormResponse"}">{$smarty.const.TRANS_ADD_ORDER_FORM}</a></div>
		{/if}
	</td>
</tr>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_ORDERFORMID" sortColumn="orderFormID"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_ORDERFORMNAME" sortColumn="orderFormName"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_ORDERFORMCURRENCY" sortColumn="orderFormCurrencyID"}
	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{section name=i loop="$orderforms"}
{assign var="orderFormID" value=$orderforms[i].orderFormID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td onmouseover="this.style.cursor='hand'">
		<a name="p{$orderFormID}"></a> {$orderFormID}
	</td>
	<td>
		{$orderforms[i].orderFormName}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$orderFormID
			editKey="orderFormID"
			editActionName="EditOrderFormResponse"
			editName="TRANS_ORDERFORMNAME"
			editColumn="orderFormName"
			editValue=$orderforms[i].orderFormName}
	</td>
	<td>
		{$orderforms[i].paymentGroupCurrencyID}
	</td>
	<td class="nowrap">
		{strip}
		<a href="{getHREF page="orderforms.php" actionName="EditOrderForm" args="orderFormID=$orderFormID"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		</a>
		<a href="{getHREF page="orderforms.php" actionName="RemoveOrderForm" args="orderFormID=$orderFormID"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</a>
		{/strip}
	</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="4">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}

{include file="$tplDirectory/footer.tpl"}