{t c="TRANS_SHOW_CUSTOM_QUESTIONS" d="Show Custom Questions"}
{t c="TRANS_ADD_CUSTOM_QUESTION" d="Add Custom Question"}
{t c="TRANS_QUESTION_ID" d="Question ID"}
{t c="TRANS_REMOVE_QUESTION" d="Remove Question"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_ORDERFORMS"
	childName="TRANS_SHOW_CUSTOM_QUESTIONS"
	sideNavMajor="system"
	sideNavMinor="attributes"}

<div style="text-align:right">
<div class="rm"><a href="{getHREF page="orderforms.php" actionName="AddWizardQuestion"}">{$smarty.const.TRANS_ADD_CUSTOM_QUESTION}</a></div>
</div>

<br />

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerClass="firstTD" headerName="TRANS_TITLE"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerClass="lastTD" headerName="TRANS_QUESTION_OUTPUT"}
</tr>
{foreach from=$questionInfo key="questionID" item="questionData"}
	<tr class="{cycle values="alt1,alt2"}">
		<td><nobr><strong>{$questionData.name}:</strong></nobr></td>
		<td>
			<table>
				{$questionData.html}
			</table>
		</td>
	</tr>
	<tr class="{cycle values="alt2,alt1"}">
		<td colspan="2">
			<a href="{getHREF page="orderforms.php" actionName="RemoveQuestion" args="questionID=$questionID"}">{$smarty.const.TRANS_REMOVE_QUESTION}</a>
		</td>
	</tr>
{foreachelse}
	<tr class="{cycle values="alt1,alt2"}">
		<td colspan="2">{$smarty.const.TRANS_NORESULTS}</td>
	</tr>
{/foreach}
</table>

{include file="$tplDirectory/footer.tpl"}
