{* $Id: AddHistoricalPackageMenu.tpl 10139 2006-11-28 01:17:10Z bwoolley $
 * --------------------------------------------------------------
 *
 * Author: Kris Bailey
 *}

{t c="TRANS_PLEASE_CHOOSE_THE_CURRENCY_AND_PAYMENT_GROUP" d="Please choose an order form"}
{t c="TRANS_PLEASE_CHOOSE_PRODUCT" d="Please choose a product"}
{t c="TRANS_PLEASE_CHOOSE_PRODUCT_VARIANT" d="Please choose a product variant"}
{t c="TRANS_PLEASE_CHOOSE_CYCLE" d="Please choose a cycle"}
{t c="TRANS_PRODUCT_VARIANT" d="Product Variant"}
{t c="TRANS_VARIANT" d="Variant"}

{if $orderFormOptions || $productOptions || $productVariantOptions || $cycleOptions}
	<h6>{if $orderFormName}{$smarty.const.TRANS_ORDER_FORM}: {$orderFormName}{else}{$smarty.const.TRANS_PLEASE_CHOOSE_THE_CURRENCY_AND_PAYMENT_GROUP}:{/if}</h6>
{/if}
{if $productOptions || $productVariantOptions || $cycleOptions}
	<h6>{if $productName}{$smarty.const.TRANS_PRODUCT}: {$productName}{else}{$smarty.const.TRANS_PLEASE_CHOOSE_PRODUCT}:{/if}</h6>
{/if}
{if $productVariantOptions || $cycleOptions}
	<h6>{if $productVariantPrimaryName}{$smarty.const.TRANS_PRODUCT_VARIANT}: {$productVariantPrimaryName}{else}{$smarty.const.TRANS_PLEASE_CHOOSE_PRODUCT_VARIANT}:{/if}</h6>
{/if}
{if $cycleOptions}
	<h6>{$smarty.const.TRANS_PLEASE_CHOOSE_CYCLE}:</h6>
{/if}

{if $orderFormOptions}

	<table width="99%" class="tab01" border="0">
	{foreach key="orderFormID" item="orderForm" from=$orderFormOptions}
		<tr><td class="alt1" style="cursor: pointer;" onclick="addPackageUpdateCell('mode={$mode}&orderFormID={$orderFormID}&productID={$productID}');"
			onmouseover="this.className='alt2';" onmouseout="this.className='alt1';">{$orderForm}</td></tr>
	{foreachelse}

	{/foreach}
	</table>

{elseif $productOptions}

	<table width="99%" class="tab01" border="0">
	{foreach key="productID" item="product" from=$productOptions}
		<tr><td class="alt1" style="cursor: pointer;" onclick="addPackageUpdateCell('mode={$mode}&orderFormID={$orderFormID}&productID={$productID}');"
			onmouseover="this.className='alt2';" onmouseout="this.className='alt1';">{$product}</td></tr>
	{foreachelse}

	{/foreach}
	</table>

{elseif $productVariantOptions}

	<table width="99%" class="tab01" border="0">
	{foreach key="productVariantID" item="productVariant" from=$productVariantOptions}
		<tr><td class="alt1" style="cursor: pointer;" onclick="addPackageUpdateCell('mode={$mode}&orderFormID={$orderFormID}&productID={$productID}&productVariantID={$productVariantID}');"
			onmouseover="this.className='alt2';" onmouseout="this.className='alt1';">{$productVariant}</td></tr>
	{foreachelse}

	{/foreach}
	</table>

{elseif $cycleOptions}

	<table width="99%" class="tab01" border="0">
	{foreach key="cycleID" item="cycle" from=$cycleOptions}
		<tr><td class="alt1" style="cursor: pointer;" onclick="addPackageEnd('mode={$mode}&orderFormID={$orderFormID}&productID={$productID}&productVariantID={$productVariantID}&cycleID={$cycleID}');"
			onmouseover="this.className='alt2';" onmouseout="this.className='alt1';">{$cycle}</td></tr>
	{foreachelse}

	{/foreach}
	</table>


{/if}
