{* $Id: EditPackage.tpl 12224 2007-11-14 18:05:35Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{t c="TRANS_EDIT_PACKAGE" d="Edit Package"}
{t c="TRANS_PACKAGE_DATE_NEXT_RENEWAL" d="Next Renewal Date"}
{t c="TRANS_PACKAGE_DETAILS" d="Package Details"}
{t c="TRANS_PACKAGE_DATE_LAST_RENEWAL" d="Last Renewal Date"}
{t c="TRANS_PACKAGE_DATE_STOP_RENEWAL" d="Date to Stop Renewal"}
{t c="TRANS_USAGE_DATE_NEXT_RENEWAL" d="Usage Date Next Renewal"}
{t c="TRANS_USAGE_DATE_LAST_RENEWAL" d="Usage Date Last Renewal"}
{t c="TRANS_PACKAGE_QUANTITY" d="Quantity"}
{t c="TRANS_PACKAGE_PRORATABLE" d="Proratable"}
{t c="TRANS_PACKAGE_ACTIVE" d="Active"}
{t c="TRANS_PACKAGE_STATUS" d="Status"}
{t c="TRANS_PACKAGE_COMMENTS" d="Comments"}
{t c="TRANS_PACKAGE_TYPE" d="Type"}
{t c="TRANS_PACKAGE_ORIGINAL_PRICE" d="Original Price"}
{t c="TRANS_PACKAGE_PRICE" d="Price"}
{t c="TRANS_PACKAGE_SETUP_PRICE" d="Setup Price"}
{t c="TRANS_PACKAGE_PRICE_LOCK" d="Price Lock"}
{t c="TRANS_USAGE_CYCLE" d="Usage Cycle"}
{t c="TRANS_USAGE_CALCULATE_ONLY" d="Usage Calculate Only"}
{t c="TRANS_PACKAGE_CANCELLATION_TYPE" d="Cancellation Type"}
{t c="TRANS_PACKAGE_PENDING_CANCELLATION" d="Cancel Package"}
{t c="TRANS_LEAVE_ACTIVE" d="Leave Active"}
{t c="TRANS_CLIENT_INITIATED_CANCELLATION" d="Cancel On Next Renewal - Client Initialted"}
{t c="TRANS_ADMIN_INITIATED_CANCELLATION" d="Cancel On Next Renewal - Admin Initialted"}


{t c="TRANS_RECORD_IS_ACTIVE" d="Record Is Active"}
{t c="TRANS_PRODUCT_QUANTITY" d="Product Quantity"}
{t c="TRANS_PACKAGE_STATUS_OPTIONS" d="Package Status Options"}
{t c="TRANS_CURRENT_PACKAGE_STATUS" d="Current Package Status"}
{t c="TRANS_STATUS_CHANGE_REASON" d="Status Change Reason"}
{t c="TRANS_PACKAGE_CANCELLATION_OPTIONS" d="Package Cancellation Options"}
{t c="TRANS_CANCELLATION_RULES" d="Cancellation Rules"}
{t c="TRANS_CURRENT_CANCELLATION_ACTION" d="Current Cancellation Action"}
{t c="TRANS_PACKAGE_PRICE_SETTINGS" d="Package Price Settings"}
{t c="TRANS_CURRENT_PRICE" d="Current Price"}
{t c="TRANS_ORIGINAL_PRICE" d="Original Price"}
{t c="TRANS_DISCOUNT_PERCENTAGE" d="Discount Percentage"}
{t c="TRANS_PACKAGE_IS_PRORATABLE" d="Package Is Proratable"}
{t c="TRANS_PACKAGE_PRICE_LOCKING_ENABLED" d="Package Price Lock Enabled"}
{t c="TRANS_PACKAGE_COUPON_OPTIONS" d="Package Coupon Options"}
{t c="TRANS_USAGE_RENEWAL_DATES" d="Usage Renewal Dates"}
{t c="TRANS_GENERAL_RENEWAL_DATES" d="General Renewal Dates"}
{t c="TRANS_SYSTEM_RULES_AND_PERMISSIONS" d="System Rules and Permissions"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PACKAGES"
	childName="TRANS_EDIT_PACKAGE"
	grandchildName="TRANS_EDIT"
	sideNavMajor="clients"
	sideNavMinor="packages"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/client.tpl" client=$client suppressEditLink=1 suppressDeleteLink=1}

{include file="$tplDirectory/widgets/context/package.tpl" showActions=1 package=$package suppressEditLink=1}

{if count($panelDetails)}
	<fieldset>
	<legend>{$smarty.const.TRANS_SERVERS}</legend>
	<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
	<tr class="headerRow">
		<td>{$smarty.const.TRANS_SERVER_NAME}</td>
		<td>{$smarty.const.TRANS_PANEL}</td>
		<td>{$smarty.const.TRANS_STATUS}</td>
		<td>{$smarty.const.TRANS_ACTIONS}</td>
	</tr>
	{section loop=$panelDetails name="i"}
		<tr class={cycle values="alt1,alt2"}">
			<td>{$panelDetails[i].servername}</td>
			<td>{$panelDetails[i].panel}</td>
			<td>{$panelDetails[i].status}</td>
			<td>
			    {include
				file="$tplDirectory/widgets/quickEditSelectLink.tpl"
				useEditIcon=1
				editID=$package.packageID
				editKey="packageID"
				editActionName="EditPackageResponse"
				editName="TRANS_STATUS"
				editColumn="packageStatus"
				editOptions=$panelStatuses
				editSelected=`$panelDetails[i].statusID`
				extraparam="configGroupID"
				extravalue=`$panelDetails[i].configGroupID`}
			</td>
		</tr>
	{/section}
	</table>
	</fieldset>
	<br />
{/if}

{include file="$tplDirectory/widgets/forms/autoEditForm.tpl" getDataFrom=$editForm}

<br />

{include file="$tplDirectory/footer.tpl"}
