{* $Id: GeneratePaymentQueue.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays the menu for generating payment queue items.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_INVOICE_OPTIONS" d="Invoice Options"}
{t c="TRANS_CONTINUE" d="Continue"}
{t c="TRANS_DOMAIN_OPTIONS" d="Domain Options"}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_GENERATE_QUEUE_OPTIONS" d="Generate Payment Queue Options"}
{t c="TRANS_INCLUDE_ALL_CLIENTS_THAT_ARE" d="Include all clients that are"}
{t c="TRANS_INCLUDE_ALL_DOMAINS_THAT_ARE" d="Include all domains that are"}
{t c="TRANS_INCLUDE_ALL_DOMAINS_THAT_EXPIRE_ON_OR_BEFORE" d="Include all domains that <b>expire on or before</b>"}
{t c="TRANS_INCLUDE_ALL_PACKAGES_THAT_ARE" d="Include all packages that are"}
{t c="TRANS_INCLUDE_ALL_PACKAGES_THAT_RENEW_ON_OR_BEFORE" d="Include all packages that <b>renew on or before</b>"}
{t c="TRANS_BILLING" d="Manage Billing"}
{t c="TRANS_INVOICE_STATS" d="Invoice Stats"}
{t c="TRANS_PACKAGE_OPTIONS" d="Package Options"}
{t c="TRANS_SCHEDULE_INVOICES_ON" d="Schedule invoices to <b>generate on or after</b>"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_SUSPENDED" d="Suspended"}
{t c="TRANS_YES" d="Yes"}
{t c="TRANS_NO" d="No"}
{t c="TRANS_GENERATE" d="Generate"}
{t c="TRANS_NEW" d="New"}
{t c="TRANS_DECLINED" d="Declined"}
{t c="TRANS_ERROR" d="Errored"}
{t c="TRANS_GENERATE_DUE_DATE_ONLY" d="Generate Due Date Only"}
{t c="TRANS_DUE_ON_OR_BEFORE" d="Due <b>on or before</b>"}
{t c="TRANS_RUN_OPTIONS" d="Run Options"}
{t c="TRANS_RUN_WHEN" d="Run Payment Queue"}
{t c="TRANS_DONT_RUN" d="Run Manually (link on the left)"}
{t c="TRANS_RUN_NOW" d="Run Now"}
{t c="TRANS_RUN_LATER" d="Run at a later date/time"}
{t c="TRANS_LATER_DATE" d="Date to run Payment Queue"}
{t c="TRANS_CHARGE_LESSER_AMOUNTS" d="Try charging lesser amounts on failed accounts"}
{t c="TRANS_CLEAR_PAYMENT_QUEUE" d="Clear all items in currently in Payment Queue"}
{t c="TRANS_ENCRYPTION_KEY" d="LEK or The PassPhrase"}
{t c="TRANS_MAXIMUM_INVOICES" d="Number of invoices to generate payments for"}
{t c="TRANS_ZERO_EQUALS_ALL" d="(set as '0' to generate for all)"}
{t c="TRANS_LOADING_PATIENCE" d="Generating Payment Queue Data, Please Be Patient..."}
{t c="TRANS_TRANSACTION_ACTION" d="Transaction Type"}
{t c="TRANS_CHARGE" d="Capture Funds"}
{t c="TRANS_AUTH_ONLY" d="Authorize Funds Only"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_BILLING"
	grandchildName="TRANS_GENERATE_QUEUE_OPTIONS"
	sideNavMajor="finances"
	sideNavMinor="billing"}

		<form method="get" action="paymentqueue.php" onsubmit="this.tsub.disabled=true;this.tsub.value='{$smarty.const.TRANS_LOADING_PATIENCE}';">
		<input type="hidden" name="action" value="{getActionID action="GeneratePaymentQueueResponse"}" />
		<input type="hidden" name="sid" value="{$sid}" />

		<fieldset>
			<legend><strong>{$smarty.const.TRANS_INVOICE_OPTIONS}</strong></legend>
			<table width="100%" class="list">
            <tr>
                <td class="title">{$smarty.const.TRANS_CLEAR_PAYMENT_QUEUE}:</td>
                <td>
                    <input type="checkbox" name="clearPaymentQueue" value="1" />
                </td>
            </tr>

            <tr>
                <td class="title">{$smarty.const.TRANS_GENERATE}:</td>
                <td>
                    <input type="checkbox" name="generate[]" value="new" checked="checked" />&nbsp; {$smarty.const.TRANS_NEW}
                    &nbsp;&nbsp;
                    <input type="checkbox" name="generate[]" value="declined" />&nbsp; {$smarty.const.TRANS_DECLINED}
                    &nbsp;&nbsp;
                    <input type="checkbox" name="generate[]" value="error" />&nbsp; {$smarty.const.TRANS_ERROR}
                    &nbsp;&nbsp;
                </td>
            </tr>

            <tr>
                <td class="title">{$smarty.const.TRANS_GENERATE_DUE_DATE_ONLY}:</td>
                <td><input type="radio" name="generateDueDateOnly" value="1" checked="checked" />&nbsp; {$smarty.const.TRANS_YES}
                &nbsp;&nbsp;<input type="radio" name="generateDueDateOnly" value="0" />&nbsp; {$smarty.const.TRANS_NO}</td>
            </tr>
            <tr>
                <td class="title">{$smarty.const.TRANS_DUE_ON_OR_BEFORE}:</td>
                <td>
                    {html_select_locale_date prefix="dueDate" display_time="true" setID="true" fieldOrder=$localeData.locale_date_order} <input class="reset" type="reset" value=" ... " id="dueDate" />
                    <script type="text/javascript">
                    {literal}
                        function updateDueDateSelect(cal) {
                            var date = cal.date;
                            var selectMonth = document.getElementById("dueDateMonth");
                            selectMonth.selectedIndex = date.getMonth();
                            var selectDay = document.getElementById("dueDateDay");
                            selectDay.selectedIndex = (date.getDate() - 1);
                            var selectYear = document.getElementById("dueDateYear");
                            selectYear.selectedIndex = (date.getFullYear() - 2000);
                        }
                        Zapatec.Calendar.setup({
                            button         :    "dueDate",
                            onUpdate       :     updateDueDateSelect,
                            showsTime      :     false
                        });
                    {/literal}
                    </script>
                </td>
            </tr>

            <tr>
                <td class="title">{$smarty.const.TRANS_MAXIMUM_INVOICES}:</td>
                <td><input type="text" name="numInvoicesToQueue" value="0" size="5" /> {$smarty.const.TRANS_ZERO_EQUALS_ALL}
                </td>
            </tr>

			</table>
		</fieldset>

		<br />

		<fieldset>
			<legend><strong>{$smarty.const.TRANS_RUN_OPTIONS}</strong></legend>
			<table width="100%" class="list">
            <tr>
                <td class="title">{$smarty.const.TRANS_CHARGE_LESSER_AMOUNTS}:</td>
                <td><input type="checkbox" name="chargeLesserAmounts" value="1" />
                </td>
            </tr>
            <tr>
                <td class="title">{$smarty.const.TRANS_RUN_WHEN}:</td>
                <td><input type="radio" name="runWhen" value="0" checked="checked" />&nbsp; {$smarty.const.TRANS_DONT_RUN}
                <!--&nbsp;&nbsp;<input type="radio" name="runWhen" value="1" />&nbsp; {$smarty.const.TRANS_RUN_NOW}-->
                &nbsp;&nbsp;<input type="radio" name="runWhen" value="2" />&nbsp; {$smarty.const.TRANS_RUN_LATER}
                </td>
            </tr>
            <tr>
                <td class="title">{$smarty.const.TRANS_LATER_DATE}:</td>
                <td>
                    {html_select_locale_date prefix="laterDate" display_time="true" setID="true" fieldOrder=$localeData.locale_date_order} <input class="reset" type="reset" value=" ... " id="laterDate" />
                    <script type="text/javascript">
                    {literal}
                        function updateLaterDateSelect(cal) {
                            var date = cal.date;
                            var selectMonth = document.getElementById("laterDateMonth");
                            selectMonth.selectedIndex = date.getMonth();
                            var selectDay = document.getElementById("laterDateDay");
                            selectDay.selectedIndex = (date.getDate() - 1);
                            var selectYear = document.getElementById("laterDateYear");
                            selectYear.selectedIndex = (date.getFullYear() - 2000);
                        }
                        Zapatec.Calendar.setup({
                            button         :    "laterDate",
                            onUpdate       :     updateLaterDateSelect,
                            showsTime      :     false
                        });
                    {/literal}
                    </script>
                </td>
            </tr>
            <tr>
                <td class="title">{$smarty.const.TRANS_TRANSACTION_ACTION}:</td>
                <td><select name="transactionAction">
					<option value="charge">{$smarty.const.TRANS_CHARGE}</option>
					<option value="auth"{if $transactionAction=='auth'} selected="selected"{/if}>{$smarty.const.TRANS_AUTH_ONLY}</option>
                </select>
                </td>
            </tr>
            <tr>
                <td class="title">{$smarty.const.TRANS_ENCRYPTION_KEY}:</td>
                <td><input type="password" name="encryptionKey" value="" />
                </td>
            </tr>
            <tr class="listButtons">
                <td colspan="2"><div><input class="submit" type="submit" name="tsub" value="{$smarty.const.TRANS_CONTINUE}" /></div></td>
            </tr>
			</table>
		</fieldset>


		</form>


{include file="$tplDirectory/footer.tpl"}