{* $Id: ReplayCallbackLog.tpl 10180 2006-12-01 17:51:54Z kbailey $
 * --------------------------------------------------------------
 * Author: Kris Bailey
 *}

{t c="TRANS_REPLAY" d="Replay"}

{t c="TRANS_SHOW_CALLBACK_LOG" d="Show Callback Log"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_MANAGE_BILLING"
	grandchildName="TRANS_REPLAY"
	sideNavMajor="finances"
	sideNavMinor="billing"
	useMenu="finances"}

{t c="TRANS_WOULD_YOU_LIKE_TO" d="Would you like to"}
{t c="TRANS_REPLAY_AND_CREATE_CLIENT" d="Replay and create the client if one can't be found"}
{t c="TRANS_REPLAY_AND_FORCE_CLIENT" d="Replay and post to the following clients account"}
{t c="TRANS_REPLAY_CALLBACK" d="Replay Callback"}
{t c="TRANS_REPLAY_NORMALLY" d="Replay Normally"}
{t c="TRANS_CALLBACK_LOG_HAS_A_TRANSACTION_FOR_IT" d="Sorry, this callback has a transaction created for it in the system already.  <br />You cannot replay a callback if it has a transaction associated, you must delete the transaction first."}


<br />

{if $transactionLog.transactionID>0}

<div style="text-align: center;"><strong>{$smarty.const.TRANS_CALLBACK_LOG_HAS_A_TRANSACTION_FOR_IT}</strong></div>

{else}

<fieldset>
<legend>{$smarty.const.TRANS_WOULD_YOU_LIKE_TO}:</legend>

<form method="post" action="paymentqueue.php">
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" name="action" value="{getActionID action="ReplayCallbackLogResponse"}" />
	<input type="hidden" name="callbackLogID" value="{$callbackLogID}" />
	
	<table width="100%" class="list" cellspacing="0">
		<tr>
			<td class="title"><input id="replayvalue" type="radio" name="replayAction" value="replay" checked="checked" /></td>
			<td><label for="replayvalue">{$smarty.const.TRANS_REPLAY_NORMALLY}</label></td>
		</tr>
		<tr>
			<td class="title"><input id="replaycreateclientvalue" type="radio" name="replayAction" value="create" /></td>
			<td><label for="replaycreateclientvalue">{$smarty.const.TRANS_REPLAY_AND_CREATE_CLIENT}</label></td>
		</tr>
		<tr>
			<td class="title"><input id="replayuseclientvalue" type="radio" name="replayAction" value="use" /></td>
			<td><label for="replayuseclientvalue">{$smarty.const.TRANS_REPLAY_AND_FORCE_CLIENT}</label><br />
			{$smarty.const.TRANS_CLIENT_ID}: <input type="text" size="8" value="" name="clientID" />
			</td>
		</tr>
		<tr class="listButtons">
			<td colspan="2"><div><input type="submit" value="{$smarty.const.TRANS_REPLAY_CALLBACK}" ></div></td>
		</tr>
	</table>
	
</form>
</fieldset>
{/if}

{include file="$tplDirectory/footer.tpl"}