{* $Id: ShowCallbackLog.tpl 12657 2008-02-19 15:54:49Z kbailey $
 * --------------------------------------------------------------
 * Author: Kris Bailey
 *}

{t c="TRANS_REPLAY" d="Replay"}

{t c="TRANS_SHOW_CALLBACK_LOG" d="Show Callback Log"}
{t c="TRANS_SHOW_CALLBACK_LOG_ERRORS" d="Show Callback Log Errors"}

{if $smarty.request.errors==1}
	{assign var="ptitle" value="TRANS_SHOW_CALLBACK_LOG_ERRORS"}
{else}
	{assign var="ptitle" value="TRANS_SHOW_CALLBACK_LOG"}
{/if}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_MANAGE_BILLING"
	grandchildName=$ptitle
	sideNavMajor="finances"
	sideNavMinor="billing"
	useMenu="finances"}


{if $clientInfo}
	{include file="$tplDirectory/widgets/context/client.tpl" 
		client=$clientInfo suppressEditLink=1 suppressDeleteLink=1}
{/if}


<fieldset>
<legend>{$smarty.const.TRANS_CALLBACK_LOG}</legend>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	{assign var="queryArgs" value="errors=`$smarty.request.errors`"}
	{assign var="queryArgCol" value="errors"}
	{assign var="queryArgValue" value=$smarty.request.errors}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl"
		headerClass="firstTD" headerName="TRANS_ID" sortColumn="callbackLogID"}

    {if !$clientInfo && !$errorsOnly}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl"
		headerName="TRANS_CLIENT" sortColumn="clientID"}
    {/if}
	
	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" 
		filterName="TRANS_TYPE" filterColumn="callbackLogType" filterOptions="$callbackLogTypes"}

	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" 
		filterName="TRANS_ACTION" filterColumn="callbackLogAction" filterOptions="$callbackLogActions"}

	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" 
		headerName="TRANS_TRANSACTION_CODE" sortColumn="callbackLogTransactionID"}

	{include file="$tplDirectory/widgets/table/listHeaderSortDate.tpl" 
		headerName="TRANS_DATE_CREATED" sortColumn="callbackLogDateCreated"}

	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
		headerClass="lastTD" headerName="TRANS_ACTIONS"}
</tr>
</thead>

{section name="i" loop=$callbackLogs}

{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
{assign var="clientID" value=$callbackLogs[i].clientID}
<tbody>
<tr class="{$className}">
	<td style="cursor: pointer;" onclick="XKtoggle('extra{$callbackLogs[i].callbackLogID}');"><a href="#">{$callbackLogs[i].callbackLogID}</a></td>
    {if !$clientInfo && !$errorsOnly}
    <td>{include file="$tplDirectory/widgets/actionLink.tpl"
			page="clients.php"
			actionName="ShowClientDetails"
			clientID=$clientID
			clientContactID=$clientContactIDs[$clientID]
			args="clientID=$clientID"
			icoImage=""
			icoWidth=""
			icoHeight=""
			icoStyle=""
			titleText=$clients.$clientID
			linkText="$clients.$clientID
			noSpace=1
		}</td>
    {/if}
    <td>{$callbackLogs[i].callbackLogType|getArrayValueByID:$callbackLogTypes}</td>
    <td>{$callbackLogs[i].callbackLogAction|getArrayValueByID:$callbackLogActions}</td>
    <td>{$callbackLogs[i].callbackLogTransactionID}</td>
    <td>{$callbackLogs[i].callbackLogDateCreated|getDate}</td>
    <td>{include file="$tplDirectory/widgets/actionLink.tpl"
			page="paymentqueue.php"
			actionName="ReplayCallbackLog"
			args="callbackLogID=`$callbackLogs[i].callbackLogID`"
			icoImage="refresh.gif"
			icoWidth=""
			icoHeight=""
			icoStyle=""
			altText="TRANS_REPLAY"
			titleText="TRANS_REPLAY"
			linkText="TRANS_REPLAY"
			noSpace=1
		}</td>
</tr>
<tbody id="extra{$callbackLogs[i].callbackLogID}" class="off">
<tr>
    {if !$clientInfo && !$errorsOnly}
	<td colspan="7" class="comments altinner">
	{else}
	<td colspan="6" class="comments altinner">
	{/if}
	
		<table border="0" cellpadding="2" cellspacing="0" width="100%" class="list">
			{foreach from=$callbackLogs[i].callbackLogAttributes key="j" item="attr"}
				<tr class="{cycle values="alt1,alt2"}">
					<td class="title">{$attr.callbackLogAttributeName}</td>
					<td>{$attr.callbackLogAttributeValue}</td>
				</tr>
			{/foreach}
		</table>

	</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
    {if !$clientInfo && !$errorsOnly}
	<td colspan="7">{$smarty.const.TRANS_NORESULTS}</td>
	{else}
	<td colspan="6">{$smarty.const.TRANS_NORESULTS}</td>
	{/if}
</tr>
{/section}
</table>
</fieldset>

{include file="$tplDirectory/widgets/paginationLinks.tpl" args="`$paginationArgs`&errors=`$smarty.request.errors`"}

{include file="$tplDirectory/footer.tpl"}
