{* $Id: AddCoupon.tpl 8304 2006-08-11 16:18:41Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to add a new coupon.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_COUPONS" d="Coupons"}
{t c="TRANS_COUPON" d="Coupon"}

{t c="TRANS_COUPON_CODE" d="Coupon Code"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_START_DATE" d="Start Date"}
{t c="TRANS_END_DATE" d="End Date"}
{t c="TRANS_NUM_CYCLES" d="Number of cycles"}
{t c="TRANS_COUNT" d="Count"}
{t c="TRANS_RESET" d="Reset"}
{t c="TRANS_MAX_COUNT" d="Max Count"}
{t c="TRANS_NEW_SIGNUPS" d="New Signups"}
{t c="TRANS_ALLOW_ONLY" d="Allow Only"}

{t c="TRANS_ADD" d="Add"}
{t c="TRANS_ADD_COUPON" d="Add Coupon"}

 {include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_COUPONS"
	grandchildName="TRANS_ADD"
	sideNavMajor="products"
	sideNavMinor="coupons"}


{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="products.php" onsubmit="XKselectAllOptionsInMultiSelects(this);">
<input type="hidden" name="action" value="{getActionID action="AddCouponResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
<legend>{$smarty.const.TRANS_COUPON}</legend>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<tbody>
<tr {if $invalid.couponCode}class="highlight"{/if}>
	<td class="title"><label for="couponCode">{$smarty.const.TRANS_COUPON_CODE}</label></td>
	<td><input size="32" maxlength="255" type="text" id="couponCode" name="couponCode" value="{$formValues.couponCode}" /> {$invalid.couponCode}</td>
</tr>
<tr {if $invalid.couponType}class="highlight"{/if}>
	<td class="title"><label for="couponType">{$smarty.const.TRANS_TYPE}</label></td>
	<td><select id="couponType" name="couponType"> {html_options options=$couponTypes selected=$formValues.couponType} </select> {$invalid.couponType}</td>
</tr>
<tr {if $invalid.couponDiscount}class="highlight"{/if}>
	<td class="title"><label for="couponDiscount">{$smarty.const.TRANS_DISCOUNT}</label></td>
	<td><input size="32" maxlength="255" type="text" id="couponDiscount" name="couponDiscount" value="{$formValues.couponDiscount}" /> {$invalid.couponDiscount}</td>
</tr>
<tr {if $invalid.couponComments}class="highlight"{/if}>
	<td class="title"><label for="couponComments">{$smarty.const.TRANS_COMMENTS}</label></td>
	<td><textarea id="couponComments" name="couponComments" rows="10" cols="35">{$formValues.couponComments}</textarea> {if $invalid.couponComment}<br />{$invalid.couponComments}{/if}</td>
</tr>
<tr {if $invalid.couponActive}class="highlight"{/if}>
	<td class="title"><label for="couponActive">{$smarty.const.TRANS_ACTIVE}</label></td>
	<td>
		<!-- The hidden input is to make sure 0 is set if not checked, which is overridden if checked. PHP uses the last arg sent. -->
		<input type="hidden" name="couponActive" value="0">
		<input type="checkbox" id="couponActive" name="couponActive" value="1" {if $formValues.couponActive}checked="checked" {/if}/> <label for="couponActive">{$smarty.const.TRANS_ACTIVE}</label>
 		{$invalid.couponActive}
	</td>
</tr>
<tr {if $invalid.couponDateStarted}class="highlight"{/if}>
	<td class="title"><label for="couponDateStarted">{$smarty.const.TRANS_START_DATE}</label></td>
	<td>
		{include file="$tplDirectory/widgets/dateSelector.tpl" param="couponDateStarted"}
	</td>
</tr>
<tr {if $invalid.couponDateEnded}class="highlight"{/if}>
	<td class="title"><label for="couponDateEnded">{$smarty.const.TRANS_END_DATE}</label></td>
	<td>
		{include file="$tplDirectory/widgets/dateSelector.tpl" param="couponDateEnded" optional="yes"}
	</td>
</tr>
<tr {if $invalid.couponNumCycles}class="highlight"{/if}>
	<td class="title"><label for="couponNumCycles">{$smarty.const.TRANS_NUM_CYCLES}</label></td>
	<td><input size="32" maxlength="255" type="text" id="couponNumCycles" name="couponNumCycles" value="{$formValues.couponNumCycles}" /> {$invalid.couponNumCycles}</td>
</tr>
<tr {if $invalid.couponMaxCount}class="highlight"{/if}>
	<td class="title"><label for="couponMaxCount">{$smarty.const.TRANS_MAX_COUNT}</label></td>
	<td><input size="32" maxlength="255" type="text" id="couponMaxCount" name="couponMaxCount" value="{$formValues.couponMaxCount}" /> {$invalid.couponMaxCount}</td>
</tr>
<tr {if $invalid.couponNewOnly}class="highlight"{/if}>
	<td class="title"><label for="couponNewOnly">{$smarty.const.TRANS_NEW_SIGNUPS}</label></td>
	<td>
		<!-- The hidden input is to make sure 0 is set if not checked, which is overridden if checked. PHP uses the last arg sent. -->
		<input type="hidden" name="couponNewOnly" value="0">
		<input type="checkbox" id="couponNewOnly" name="couponNewOnly" value="1" {if $formValues.couponNewOnly}checked="checked" {/if}/> <label for="couponNewOnly">{$smarty.const.TRANS_ALLOW_ONLY}</label>
 		{$invalid.couponNewOnly}
	</td>
</tr>

<tr>
	<td class="title"><label for="couponApplyNumber">{$smarty.const.TRANS_APPLY_ONCE_PER_ORDER}</label></td>
	<td>
		<input type="checkbox" id="couponApplyNumber" name="couponApplyNumber" value="1" {if $formValues.couponApplyNumber}checked="checked" {/if}/> 
	</td>
</tr>



<tr>
	<td class="title">{$smarty.const.TRANS_ORDER_FORMS}</td>
	<td>{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="orderFormIDs"
			comboOptionsLeft=$selectedOrderForms

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableOrderFormIDs"
			comboOptionsRight=$selectableOrderForms
			formName=""
			comboWidth="270"
			submitName="suppress"}
	</td>
</tr>
<tr>
	<td class="title">{$smarty.const.TRANS_PRODUCTS}</td>
	<td>{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="productIDs"
			comboOptionsLeft=$selectedProducts

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableProductIDs"
			comboOptionsRight=$selectableProducts
			formName=""
			comboWidth="270"
			submitName="suppress"}
	</td>
</tr>
<tr class="listButtons">
	<td colspan="2">
	<div>
		<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_ADD_COUPON}" />
		<input class="reset" type="reset" value="{$smarty.const.TRANS_RESET}" />
	</div>
	</td>
</tr>
</tbody>
</table>

</fieldset>
</form>

{include file="$tplDirectory/footer.tpl"}
