{* $Id: AddIPLog.tpl 12447 2008-01-10 17:34:22Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of servers.
 *
 * Smarty Variables:
 *	$ip (array of IPs that match criteria)
 *
 *}

{t c="TRANS_ADD_IPLOG" d="Add IP Log"}
{t c="TRANS_IP_RANGE" d="IP Range"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_ADD_IPLOG"

	sideNavMajor="system"}

<form method="post" action="servers.php">
<input type="hidden" name="action" value="{getActionID action="AddIPLogResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
<legend>{$smarty.const.TRANS_ADD_IPLOG}</legend>

<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
<tbody>
<tr>
	<td class="title">{$smarty.const.TRANS_IP_RANGE}:</td>
	<td>
		<input type="text" name="ip" value="" /> {$smarty.const.TRANS_TO} <input type="text" name="ipMax" value="" /> (leave blank if entering a single IP)
	</td>
</tr>

<tr>
	<td class="title">{$smarty.const.TRANS_EXAMPLE}</td>
	<td>192.168.1.5 {$smarty.const.TRANS_TO} 192.168.1.20</td>
</tr>
<!--
<tr>
	<td>externalID:</td>
	<td><input type="text" name="externalID" value="" /></td>
</tr>
//-->

<tr>
	<td class="title">{$smarty.const.TRANS_DOMAIN_SERVER}:</td>
	<td>
		<select id="configGroupID" name="configGroupID">
		{html_options options=$panels selected=$smarty.request.configGroupID}
		</select>
	</td>
</tr>
<tr class="listButtons">
	<td colspan="2"><div><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SUBMIT}" /></div></td>
</tr>
</tbody>
</table>

</fieldset>
</form>

{include file="$tplDirectory/footer.tpl"}