{* $Id: RemoveServerGroup.tpl 7803 2006-06-27 16:57:10Z achrist $
 * --------------------------------------------------------------
 * This template displays a confirmation on deletion of a panel.
 *
 * Smarty Variables:
 *	$ServerGroup (array of this ServerGroup's data)
 *				serverGroupID
 *				serverGroupName
 *
 *}

{t c="TRANS_REMOVE_SERVER_GROUP" d="Remove Server Group"}
{t c="TRANS_CONFIRM_REMOVE_SERVER_GROUP" d="Yes, remove this Server Group"}
{t c="TRANS_CONFIRM_REMOVE_SERVER_GROUP_DESCRIPTION" d="Are you sure you want to remove this server group?"}
{t c="TRANS_CANCEL" d="Cancel"}
{t c="TRANS_SERVER_GROUP_ID" d="ID"}
{t c="TRANS_SERVER_GROUP_NAME" d="Name"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_SERVERS"
	childName="TRANS_MANAGE_SERVER_GROUPS"
	grandchildName="TRANS_REMOVE_SERVER_GROUP"
	useMenu="system"}

<fieldset>
<legend>{$smarty.const.TRANS_REMOVE_SERVER_GROUP}</legend>
<form method="post" action="servergroups.php">
<input type="hidden" name="action" value="{getActionID action="RemoveServerGroupResponse"}">
<input type="hidden" name="serverGroupID" value="{$serverGroup.serverGroupID}">
<input type="hidden" name="sid" value="{$sid}">
<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
	<tr>
		<td class="title">{$smarty.const.TRANS_SERVER_GROUP_ID}</td>
		<td>{$serverGroup.serverGroupID}</td>
	</tr>

	<tr>
		<td class="title">{$smarty.const.TRANS_SERVER_GROUP_NAME}</td>
		<td>{$serverGroup.serverGroupName}</td>
	</tr>

	<tr class="listButtons">
		<td colspan="2"><div><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_CONFIRM_REMOVE_SERVER_GROUP}"> <input class="button" type="button" value="{$smarty.const.TRANS_CANCEL}" onclick="history.go(-1);"></div></td>
	</tr>
</table>
</form>
</fieldset>
{include file="$tplDirectory/footer.tpl"}
