{* $Id: ShowServerGroupsReport.tpl 10454 2007-01-09 16:46:14Z achrist $
 * --------------------------------------------------------------
 * This template displays a list of servergroups.
 *
 * Smarty Variables:
 *	$serverGroups (array of servergroups that match criteria)
 *  $canGetServerLoad (array of server group IDs with 1 if it can get the server load)
 *
 *}
{t c="TRANS_SERVERGROUPID" d="Server Group ID"}
{t c="TRANS_SERVERGROUPNAME" d="Server Group Name"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_MANAGE_SERVERGROUPS" d="Manage Server Groups"}
{t c="TRANS_SHOW_SERVERGROUPS" d="Show Server Groups"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_SERVER_LOAD" d="load averages"}
{t c="TRANS_SERVER_VERSION" d="v:"}
{t c="TRANS_ADD_SERVER_GROUP" d="Add Server Group"}
{t c="TRANS_SERVER_GROUPS" d="Server Groups"}
{t c="TRANS_ADD_A_PANEL" d="Add A Panel"}
{t c="TRANS_LIST_SERVERS" d="List Servers"}
{t c="TRANS_NO_LIMIT" d="no limit"}
{t c="TRANS_SERVER_GROUP_REPORT" d="Server Group Report"}
{t c="TRANS_SERVER_NO_ACTIVE_PANELS" d="No Active Panels"}
{t c="TRANS_SERVER_INCLUDE_INACTIVE_PANELS" d="Include Inactive Panels"}
{t c="TRANS_CURRENT_PACKAGES" d="Current Packages"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SERVERGROUPS"
	childName="TRANS_SHOW_SERVERGROUPS"
	sideNavMajor="system"
	sideNavMinor="system"
	includeAjaxJS=1}

<fieldset>
<legend>{$smarty.const.TRANS_SERVER_GROUPS}</legend>
	
<div style="float:right;" class="rm"><a href="servergroups.php?action={getActionID action="ShowServerGroups"}&sid={$sid}">{$smarty.const.TRANS_LIST_SERVER_GROUPS}</a></div>
<br />
<br />

<form method="post" action="servergroups.php">
	<input type="hidden" name="action" value="{getActionID action="ShowServerGroupsReport"}" />
	<input type="hidden" name="configGroupID" value="{$configGroupID}" />
	<input type="hidden" name="redirectURL" value="{$fileName}" />
	<input type="hidden" name="redirectAction" value="{$actionName}" />
	<input type="hidden" name="redirectArgs" value="{$bookmarkArgs}" />
	<input type="hidden" name="sid" value="{$sid}" />
	{if $activePanelsOnly}
		{assign var="activeOnlyCheck" value="checked"}
	{/if}
	<!--
	<div style="float:right; margin-right: 30px;">
		<input type="checkbox" name="activePanelsOnly" {$activeOnlyCheck}"> {$smarty.const.TRANS_SERVER_INCLUDE_INACTIVE_PANELS}
		
	</div>
	-->
</form>

{foreach key="group_key" item="serverGroup" from=$serverGroups}
        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
        <tbody>
        <tr class="headerRow">
	        <td>&#160;{$smarty.const.TRANS_SERVER_GROUP} {$serverGroup.serverGroupID}</td>
	        <td> {$serverGroup.serverGroupName} </td>
        </tr>
        {if $serverGroup.panels}
			{assign var="panels" value=$serverGroup.panels}
			{foreach key="panel_key" item="panel" from=$panels}
			<tr>
	        <td class="title">{$smarty.const.TRANS_PANEL_SERVERNAME} / {$smarty.const.TRANS_LOAD}</td>
	        <td>&#160;&#160;&#160;&#160;
              <!--	{$panel.configGroupID} -->
{$panel.configParamValue}
			{$serverNames[$panel.configGroupID].panelCurrentAccounts} / {$serverNames[$panel.configGroupID].panelMaxAccounts} </td>
        </tr>
		{if $serverNames[$panel.configGroupID].panelCurrentPackages}
        <tr>
	        <td class="title">{$smarty.const.TRANS_CURRENT_PACKAGES}</td>
	        <td>	<ul>
					{assign var="packages" value= $serverNames[$panel.configGroupID].panelCurrentPackages}
					{foreach key="package_key" item="package" from=$packages}
								<li>{$package_key}: {$package}</li>
					{/foreach}
								</ul></td>
        </tr>
        {/if}
			{/foreach}
		{/if}


        </tbody>
        </table>
{/foreach}
</fieldset>

<br />
<br />


{include file="$tplDirectory/footer.tpl"}