{* $Id: AddTaxZoneGroup.tpl 6779 2006-05-11 15:52:23Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to add a new tax zone. The data provided here will be 
 * posted to the AddTaxZoneResponse action, which will add the data to the database. Once added, 
 * a news article will be displayed in ShowTaxZones.
 *
 * Smarty Variables:
 *	$countrylist -- List of countries to choose from. 
 *}
{t c="TRANS_MANAGE_TAX_ZONE_GROUPS" d="Manage Tax Zone Groups"}
{t c="TRANS_ADD_TAX_ZONE" d="Add Tax Zone"}
{t c="TRANS_TAX_ZONES" d="Tax Zones"}
{t c="TRANS_TAX_ZONE_GROUP_NAME" d="Tax Zone Group Name"}
{t c="TRANS_TAX_ZONE_GROUP_ACTIVE" d="Tax Zone Group Active"}
{t c="TRANS_MANAGE_TAXES" d="Tax Settings"}
{t c="TRANS_ADD_TAX_ZONE_GROUP" d="Add Tax Zone Group"}

{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_MANAGE_SYSTEM"
    childName="TRANS_MANAGE_TAXES"
    grandchildName="TRANS_MANAGE_TAX_ZONE_GROUPS"
    sideNavMajor="system"
   	sideNavMinor="taxes"
    parentConfigGroupID=0}

<fieldset>
<legend>{$smarty.const.TRANS_ADD_TAX_ZONE_GROUP}</legend>
<form method="post" action="taxes.php" name="EditTaxes">
<input type="hidden" name="action" value="{getActionID action="AddTaxZoneGroupResponse"}">
<input type="hidden" name="sid" value="{$sid}">


<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
    <tr>
        <td class="title">{$smarty.const.TRANS_TAX_ZONE_GROUP_NAME}</td>
        <td><input type="text" name="taxZoneGroupName" /></td>
    </tr>
    <tr>
        <td class="title">{$smarty.const.TRANS_TAX_ZONE_GROUP_ACTIVE}</td>
        <td><select id="taxZoneActive" name="taxZoneGroupActive">
{html_options options=$activeInactive}
</select></td>
    </tr>

    <tr>
		<td class="title">{$smarty.const.TRANS_TAX_ZONES}</td>
		<td>
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="taxZones"
			comboOptionsLeft=$selectedTaxZones

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableTaxZones"
			comboOptionsRight=$selectableTaxZones
			formName="EditTaxes"
			submitName="suppress"
		}
		</td>
    </tr>

    <tr class="listButtons">
        <td colspan="2"><div><input class="submit" type="submit" value="{$smarty.const.TRANS_SAVE}" onclick="selectAllOptions(document.EditTaxes.elements['taxZones[]']);"></div></td>
    </tr>
</table>


</form>
</fieldset>
{include file="$tplDirectory/footer.tpl"}
