{* $Id: RemoveTaxZone.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to remove an existing tax zone. The form should be 
 * prepopulated with the given data as to identify which tax zone is being removed.
 *
 *	$taxzone - The array representation of the current tax zone. This array is 
 *	               structured as follows:
 *                   taxZoneID --  The ID of the tax zone
 *      	         taxZoneName -- The zones within the country to apply taxes to
 *					 countriesISO2 -- The tax zone country
 *	                 taxZoneAmount -- The tax percentage. Allows a tax up to 999.999%
 *	                 taxZoneDescription -- Description of the tax used in invoices
 *      	         taxZoneActive -- 1 if the tax is active, or 0 if otherwise
 *}
{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_MANAGE_SYSTEM"
    childName="TRANS_MANAGE_TAXES"
    grandchildName="TRANS_MANAGE_TAX_ZONES"
    sideNavMajor="system"
   	sideNavMinor="taxes"
    parentConfigGroupID=0}
{t c="TRANS_ARE_YOU_SURE_TAX_ZONE_REMOVE" d="Are you sure you wish to remove the following tax zone?"}
{t c="TRANS_REMOVE_TAX_ZONE" d="Remove Tax Zone"}
{t c="TRANS_TAX_ZONE_GROUP_NAME" d="Tax Zone Description"}
{t c="TRANS_YES_REMOVE_THIS_TAX_ZONE" d="Yes, Remove This Tax Zone"}

<fieldset>
<legend>{$smarty.const.TRANS_REMOVE_TAX_ZONE}</legend>
<form method="post" action="taxes.php">
<input type="hidden" name="action" value="{getActionID action="RemoveTaxZoneResponse"}">
<input type="hidden" name="taxZoneID" value="{$taxzone.taxZoneID}">
<input type="hidden" name="sid" value="{$sid}">

	<table border="0" class="list" width="100%">
		<tr>
			<td class="title">{$smarty.const.TRANS_TAX_ZONE_NAME}: </td>
			<td>{$taxzone.taxZoneDescription}</td>
		</tr>
		<tr class="listButtons">
			<td colspan="2"><div><input class="submit" type="submit" value="{$smarty.const.TRANS_YES_REMOVE_THIS_TAX_ZONE}"> <input class="button" type="button" value="{$smarty.const.TRANS_NO}" onclick="history.go(-1);"></div></td>
		</tr>
	</table>
</form>
</fieldset>
{include file="$tplDirectory/footer.tpl"}