{* $Id: EditTheme.tpl 7128 2006-05-31 20:40:40Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to edit a Theme.
 *
 * Smarty Variables:
 * $formValues
 *
 *}
{t c="TRANS_EDIT_THEME" d="Edit Theme"}

{t c="TRANS_THEMES" d="Theme"}
{t c="TRANS_THEME_NAME" d="Theme Directory Name"}
{t c="TRANS_THEME_DISPLAY_NAME" d="Theme Name"}
{t c="TRANS_THEME_ACTIVE" d="Theme Active"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_EDIT_THEME"
	childName="TRANS_THEMES"
	grandchildName="TRANS_EDIT"
	sideNavMajor="system"
	sideNavMinor="themes"}

<form method="post" action="themes.php">
<input type="hidden" name="themeID" value="{$formValues.themeID}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="EditThemeResponse"}">
<fieldset>
<legend>{$smarty.const.TRANS_EDIT_THEME}</legend>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<tbody>
<tr {if $invalid.themeName}class="highlight"{/if}>
	<td class="title"><label for="themeName">{$smarty.const.TRANS_THEME_NAME}</label></td>
	<td><input type="text" name="themeName" size="20" value="{$formValues.themeName}" /> {$invalid.themeName}</td>
</tr>
<tr {if $invalid.themeDisplayName}class="highlight"{/if}>
	<td class="title"><label for="themeDisplayName">{$smarty.const.TRANS_THEME_DISPLAY_NAME}</label></td>
	<td><input type="text" name="themeDisplayName" size="20" value="{$formValues.themeDisplayName}" /> {$invalid.themeDisplayName}</td>
</tr>
<tr {if $invalid.themeActive}class="highlight"{/if}>
	<td class="title"><label for="themeActive">{$smarty.const.TRANS_THEME_ACTIVE}</label></td>
	<td>{html_radios name="themeActive" options=$yesNo selected=$formValues.themeActive} {$invalid.themeActive}</td>
</tr>
<tr class="listButtons">
	<td colspan="2"><div><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SUBMIT}"></div></td>
</tr>
</table>
</tbody>
</fieldset>
</form>

{include file="$tplDirectory/footer.tpl"}