{* $Id: ShowWebsiteWidgets.tpl 12839 2008-04-09 22:58:16Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of tax zones. All pieces of data associated with a 
 * tax zone are available in the $taxzones variable, which is an array of tax zones.
 *
 * Smarty Variables:
 *	$taxzone - The array representation of the current tax zone. This array is 
 *	               structured as follows:
 *                   taxZoneID --  The ID of the tax zone
 *      	         taxZoneName -- The zones within the country to apply taxes to
 *					 countriesISO2 -- The tax zone country
 *	                 taxZoneAmount -- The tax percentage. Allows a tax up to 999.999%
 *	                 taxZoneDescription -- Description of the tax used in invoices
 *      	         taxZoneActive -- 1 if the tax is active, or 0 if otherwise
 *}


{t c="TRANS_NO_WEBSITE_WIDGETS" d="No Website Widgets Found."}
{t c="TRANS_WEBSITE_WIDGET_ID" d="ID"}
{t c="TRANS_WEBSITE_WIDGET_NAME" d="Website Widget Name"}
{t c="TRANS_WEBSITE_WIDGETS" d="Website Widgets"}
{t c="TRANS_ADD_WEBSITE_WIDGET" d="Add Website Widget"}
{t c="TRANS_WEBSITE_WIDGET_TEMPLATE" d="Widget Template"}
{t c="TRANS_MANAGE_WIDGETS" d="Manage Widgets"}
{t c="TRANS_SHOW_WEBSITE_WIDGETS" d="Website Widgets"}
{t c="TRANS_LOCAL_INCLUDE_CODE" d="Local Include Code"}
{t c="TRANS_REMOTE_INCLUDE_CODE" d="Remote Include Code"}

{t c="TRANS_SAME_WEBSITE_PHP_CODE" d="Same Website PHP Code"}
{t c="TRANS_REMOTE_WEBSITE_PHP_CODE" d="Remote Website PHP Code"}
{t c="TRANS_JAVASCRIPT_CODE" d="Javascript Code"}
{t c="TRANS_NORMAL_WIDGET" d="Normal Widget"}
{t c="TRANS_FULL_WHOIS_WIDGET" d="Full Whois Widget"}
{t c="TRANS_MINI_WHOIS_WIDGET" d="Mini Whois Widget"}
{t c="TRANS_MULTI_WHOIS_WIDGET" d="Multi-Whois Widget"}
{t c="TRANS_COPY_THE_CODE_BELOW" d="Copy the code below"}

{t c="TRANS_NOTE_YOU_MUST_HAVE_THE_WIDGET_CREATOR_FILE_IN_THE_SAME_PLACE" d="Please Note: You must have the website_widget_creator.php file in the same directory as the file you place the above code in.  You can find the website_widget_creator.php file in your 'app-modernbill-order' directory."}

{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_MANAGE_SYSTEM"
    childName="TRANS_MANAGE_WIDGETS"
    grandchildName="TRANS_SHOW_WEBSITE_WIDGETS"
    sideNavMajor="products"
   	sideNavMinor="websitewidgets"
    parentConfigGroupID=0}

<script language="javascript" type="text/javascript">
	{literal}
	function toggleWebsiteWidgetCode(codeType, widgetID){
		var rows = $('widgetrow'+widgetID).getElementsBySelector('[widgetCode="'+widgetID+'"]');
		for (i in rows){
			if (rows[i].style){
				hideobj(rows[i]);
			}
		}
		showobj($(codeType+""+widgetID));
		var rows = $('widgetrow'+widgetID).getElementsBySelector('[codeLinks="'+widgetID+'"]');
		for (i in rows){
			if (rows[i].style){
				rows[i].style.fontWeight = 'normal';
			}
		}
		$(codeType+"Link"+widgetID).style.fontWeight = 'bold';
	}
	{/literal}
</script>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
	<tr class="listRowNoBorders">
		<td colspan="4" style="cursor: pointer;" onclick="{strip} {section name="i" loop=$websiteWidgets}
			XKtoggle('widgetrow{$websiteWidgets[i].websiteWidgetID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {$smarty.const.TRANS_ADDITIONAL_DATA}
		</td>
		<td colspan="4" align="right">
			<div class="rm"><a href="websitewidgets.php?action={getActionID action="AddWebsiteWidget"}&sid={$sid}">{$smarty.const.TRANS_ADD_WEBSITE_WIDGET}</a></div>
		</td>
	</tr>
    <tr class="headerRow">
        {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_WEBSITE_WIDGET_ID"}
        {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_WEBSITE_WIDGET_NAME"}
        {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_WEBSITE_WIDGET_TEMPLATE"}
        {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ORDER_FORM"}
        {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_CURRENCY"}
        {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIONS"}
    </tr>
</thead>
{section name="i" loop=$websiteWidgets}
	<tr class="{cycle values="alt1,alt2"}" style="cursor: pointer;">
        <td onclick="XKtoggle('widgetrow{$websiteWidgets[i].websiteWidgetID}');" style="white-space: nowrap;">
		<img src="{$imageDirectory}/ico/arrow_down_blue.gif" width="16" height="16" alt="" border="0" align="left" style="margin-top: -2px; margin-right: 2px;" />
		{$websiteWidgets[i].websiteWidgetID}
	</td>
        <td onclick="XKtoggle('widgetrow{$websiteWidgets[i].websiteWidgetID}');">{$websiteWidgets[i].websiteWidgetName}</td>
        <td onclick="XKtoggle('widgetrow{$websiteWidgets[i].websiteWidgetID}');">{$websiteWidgets[i].websiteWidgetTpl}</td>
        <td onclick="XKtoggle('widgetrow{$websiteWidgets[i].websiteWidgetID}');">{$websiteWidgets[i].orderFormName}</td>
        <td onclick="XKtoggle('widgetrow{$websiteWidgets[i].websiteWidgetID}');">{$websiteWidgets[i].paymentGroupCurrencyID}</td>
        <td>
        {strip}
        <a href="websitewidgets.php?action={getActionID action="EditWebsiteWidget"}&websiteWidgetID={$websiteWidgets[i].websiteWidgetID}&sid={$sid}">
            <img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
        </a>
        &nbsp;
        <a href="websitewidgets.php?action={getActionID action="RemoveWebsiteWidget"}&websiteWidgetID={$websiteWidgets[i].websiteWidgetID}&sid={$sid}">
            <img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
        </a>
        {/strip}
        </td>
	</tr>
	<tbody id="widgetrow{$websiteWidgets[i].websiteWidgetID}" class="on">
	<tr>
		<td colspan="6" class="comments altinner">
			<table border="0" width="100%" class="tab05" cellpadding="0" cellspacing="0">
				<tr>
					<td width="25%">{$smarty.const.TRANS_NORMAL_WIDGET}:</td>
					<td>
						<a href="javascript:toggleWebsiteWidgetCode('normalLocal', '{$websiteWidgets[i].websiteWidgetID}');" id="normalLocalLink{$websiteWidgets[i].websiteWidgetID}" codeLinks="{$websiteWidgets[i].websiteWidgetID}">{$smarty.const.TRANS_SAME_WEBSITE_PHP_CODE}</a> |
						<a href="javascript:toggleWebsiteWidgetCode('normalRemote', '{$websiteWidgets[i].websiteWidgetID}');" id="normalRemoteLink{$websiteWidgets[i].websiteWidgetID}" codeLinks="{$websiteWidgets[i].websiteWidgetID}">{$smarty.const.TRANS_REMOTE_WEBSITE_PHP_CODE}</a> |
						<a href="javascript:toggleWebsiteWidgetCode('normalJavascript', '{$websiteWidgets[i].websiteWidgetID}');" id="normalJavascriptLink{$websiteWidgets[i].websiteWidgetID}" codeLinks="{$websiteWidgets[i].websiteWidgetID}">{$smarty.const.TRANS_JAVASCRIPT_CODE}</a>
					</td>
				</tr>
				<tr>
					<td>{$smarty.const.TRANS_FULL_WHOIS_WIDGET}:</td>
					<td>
						<a href="javascript:toggleWebsiteWidgetCode('fullWhoisLocal', '{$websiteWidgets[i].websiteWidgetID}');" id="fullWhoisLocalLink{$websiteWidgets[i].websiteWidgetID}" codeLinks="{$websiteWidgets[i].websiteWidgetID}">{$smarty.const.TRANS_SAME_WEBSITE_PHP_CODE}</a> |
						<a href="javascript:toggleWebsiteWidgetCode('fullWhoisRemote', '{$websiteWidgets[i].websiteWidgetID}');" id="fullWhoisRemoteLink{$websiteWidgets[i].websiteWidgetID}" codeLinks="{$websiteWidgets[i].websiteWidgetID}">{$smarty.const.TRANS_REMOTE_WEBSITE_PHP_CODE}</a> |
						<a href="javascript:toggleWebsiteWidgetCode('fullWhoisJavascript', '{$websiteWidgets[i].websiteWidgetID}');" id="fullWhoisJavascriptLink{$websiteWidgets[i].websiteWidgetID}" codeLinks="{$websiteWidgets[i].websiteWidgetID}">{$smarty.const.TRANS_JAVASCRIPT_CODE}</a>
					</td>
				</tr>
				<tr>
					<td>{$smarty.const.TRANS_MINI_WHOIS_WIDGET}:</td>
					<td>
						<a href="javascript:toggleWebsiteWidgetCode('miniWhoisLocal', '{$websiteWidgets[i].websiteWidgetID}');" id="miniWhoisLocalLink{$websiteWidgets[i].websiteWidgetID}" codeLinks="{$websiteWidgets[i].websiteWidgetID}">{$smarty.const.TRANS_SAME_WEBSITE_PHP_CODE}</a> |
						<a href="javascript:toggleWebsiteWidgetCode('miniWhoisRemote', '{$websiteWidgets[i].websiteWidgetID}');" id="miniWhoisRemoteLink{$websiteWidgets[i].websiteWidgetID}" codeLinks="{$websiteWidgets[i].websiteWidgetID}">{$smarty.const.TRANS_REMOTE_WEBSITE_PHP_CODE}</a> |
						<a href="javascript:toggleWebsiteWidgetCode('miniWhoisJavascript', '{$websiteWidgets[i].websiteWidgetID}');" id="miniWhoisJavascriptLink{$websiteWidgets[i].websiteWidgetID}" codeLinks="{$websiteWidgets[i].websiteWidgetID}">{$smarty.const.TRANS_JAVASCRIPT_CODE}</a>
					</td>
				</tr>
				<tr>
					<td>{$smarty.const.TRANS_MULTI_WHOIS_WIDGET}:</td>
					<td>
						<a href="javascript:toggleWebsiteWidgetCode('multiWhois', '{$websiteWidgets[i].websiteWidgetID}');" id="multiWhoisLink{$websiteWidgets[i].websiteWidgetID}" codeLinks="{$websiteWidgets[i].websiteWidgetID}">{$smarty.const.TRANS_SAME_WEBSITE_PHP_CODE}</a>
					</td>
				</tr>
			</table>
			<table border="0" width="100%" class="tab05" cellpadding="0" cellspacing="0">
				<tr id="normalLocal{$websiteWidgets[i].websiteWidgetID}" style="display: none;" widgetCode="{$websiteWidgets[i].websiteWidgetID}">
					<td colspan="2">{$smarty.const.TRANS_COPY_THE_CODE_BELOW}<br />
						<pre style="padding: 10px; border: 1px dashed #333;">&lt;?php
$websiteWidgetArgs = array(
	'widgetID' => {$websiteWidgets[i].websiteWidgetID},
	'method' => 'local',
	'whoisWidget' => 0,
	'urlORpath' => '{$wwLocalPath}'
);
include("{$wwLocalPath}/website_widget_creator.php");
chdir(dirname(__FILE__));
?></pre>
					</td>
				</tr>
				<tr id="normalRemote{$websiteWidgets[i].websiteWidgetID}" style="display: none;" widgetCode="{$websiteWidgets[i].websiteWidgetID}">
					<td colspan="2">{$smarty.const.TRANS_COPY_THE_CODE_BELOW}<br />
						<pre style="padding: 10px; border: 1px dashed #333;">&lt;?php
$websiteWidgetArgs = array(
	'widgetID' => {$websiteWidgets[i].websiteWidgetID},
	'method' => 'fopen',
	'whoisWidget' => 0,
	'urlORpath' => '{$wwRemotePath}'
);
include("website_widget_creator.php");
chdir(dirname(__FILE__));
?></pre>
{$smarty.const.TRANS_NOTE_YOU_MUST_HAVE_THE_WIDGET_CREATOR_FILE_IN_THE_SAME_PLACE}
					</td>
				</tr>
				<tr id="normalJavascript{$websiteWidgets[i].websiteWidgetID}" style="display: none;" widgetCode="{$websiteWidgets[i].websiteWidgetID}">
					<td colspan="2">{$smarty.const.TRANS_COPY_THE_CODE_BELOW}<br />
						<pre style="padding: 10px; border: 1px dashed #333;">&lt;script language="javascript" type="text/javascript" charset="utf-8" 
src="{$wwRemotePath}/javascriptwidget.php?wwid={$websiteWidgets[i].websiteWidgetID}&whoisWidget=0"
&gt;&lt;/script&gt;</pre>
					</td>
				</tr>
			
			
			
				<tr id="fullWhoisLocal{$websiteWidgets[i].websiteWidgetID}" style="display: none;" widgetCode="{$websiteWidgets[i].websiteWidgetID}">
					<td colspan="2">{$smarty.const.TRANS_COPY_THE_CODE_BELOW}<br />
						<pre style="padding: 10px; border: 1px dashed #333;">&lt;?php
$websiteWidgetArgs = array(
	'widgetID' => {$websiteWidgets[i].websiteWidgetID},
	'method' => 'local',
	'whoisWidget' => 1,
	'urlORpath' => '{$wwLocalPath}'
);
include("{$wwLocalPath}/website_widget_creator.php");
chdir(dirname(__FILE__));
?></pre>
					</td>
				</tr>
				<tr id="fullWhoisRemote{$websiteWidgets[i].websiteWidgetID}" style="display: none;" widgetCode="{$websiteWidgets[i].websiteWidgetID}">
					<td colspan="2">{$smarty.const.TRANS_COPY_THE_CODE_BELOW}<br />
						<pre style="padding: 10px; border: 1px dashed #333;">&lt;?php
$websiteWidgetArgs = array(
	'widgetID' => {$websiteWidgets[i].websiteWidgetID},
	'method' => 'fopen',
	'whoisWidget' => 1,
	'urlORpath' => '{$wwRemotePath}'
);
include("website_widget_creator.php");
chdir(dirname(__FILE__));
?></pre>
					</td>
				</tr>
				<tr id="fullWhoisJavascript{$websiteWidgets[i].websiteWidgetID}" style="display: none;" widgetCode="{$websiteWidgets[i].websiteWidgetID}">
					<td colspan="2">{$smarty.const.TRANS_COPY_THE_CODE_BELOW}<br />
						<pre style="padding: 10px; border: 1px dashed #333;">&lt;script language="javascript" type="text/javascript" charset="utf-8" 
src="{$wwRemotePath}/javascriptwidget.php?wwid={$websiteWidgets[i].websiteWidgetID}&whoisWidget=1"
&gt;&lt;/script&gt;</pre>
					</td>
				</tr>
			
			
			
			
				<tr id="miniWhoisLocal{$websiteWidgets[i].websiteWidgetID}" style="display: none;" widgetCode="{$websiteWidgets[i].websiteWidgetID}">
					<td colspan="2">{$smarty.const.TRANS_COPY_THE_CODE_BELOW}<br />
						<pre style="padding: 10px; border: 1px dashed #333;">&lt;?php
$websiteWidgetArgs = array(
	'widgetID' => {$websiteWidgets[i].websiteWidgetID},
	'method' => 'local',
	'whoisWidget' => 2,
	'urlORpath' => '{$wwLocalPath}'
);
include("{$wwLocalPath}/website_widget_creator.php");
chdir(dirname(__FILE__));
?></pre>
					</td>
				</tr>
				<tr id="miniWhoisRemote{$websiteWidgets[i].websiteWidgetID}" style="display: none;" widgetCode="{$websiteWidgets[i].websiteWidgetID}">
					<td colspan="2">{$smarty.const.TRANS_COPY_THE_CODE_BELOW}<br />
						<pre style="padding: 10px; border: 1px dashed #333;">&lt;?php
$websiteWidgetArgs = array(
	'widgetID' => {$websiteWidgets[i].websiteWidgetID},
	'method' => 'fopen',
	'whoisWidget' => 2,
	'urlORpath' => '{$wwRemotePath}'
);
include("website_widget_creator.php");
chdir(dirname(__FILE__));
?></pre>
					</td>
				</tr>
				<tr id="miniWhoisJavascript{$websiteWidgets[i].websiteWidgetID}" style="display: none;" widgetCode="{$websiteWidgets[i].websiteWidgetID}">
					<td colspan="2">{$smarty.const.TRANS_COPY_THE_CODE_BELOW}<br />
						<pre style="padding: 10px; border: 1px dashed #333;">&lt;script language="javascript" type="text/javascript" charset="utf-8" 
src="{$wwRemotePath}/javascriptwidget.php?wwid={$websiteWidgets[i].websiteWidgetID}&whoisWidget=2"
&gt;&lt;/script&gt;</pre>
					</td>
				</tr>
			
			
			
				<tr id="multiWhois{$websiteWidgets[i].websiteWidgetID}" style="display: none;" widgetCode="{$websiteWidgets[i].websiteWidgetID}">
					<td colspan="2">{$smarty.const.TRANS_COPY_THE_CODE_BELOW}<br />
						<pre style="padding: 10px; border: 1px dashed #333;">&lt;?php
$websiteWidgetArgs = array(
	'widgetID' => {$websiteWidgets[i].websiteWidgetID},
	'method' => 'local',
	'whoisWidget' => 1,
	'multiDomain' => 1,
	'urlORpath' => '{$wwLocalPath}'
);
include("{$wwLocalPath}/website_widget_creator.php");
chdir(dirname(__FILE__));
?></pre>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	</tbody>
{sectionelse}
    <tr>
        <td colspan="8" class="alt1">{$smarty.const.TRANS_NO_WEBSITE_WIDGETS}</td>
    </tr>
{/section}


</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}


{include file="$tplDirectory/footer.tpl"}
