{* $Id: actionLink.tpl 12612 2008-02-06 18:31:16Z kbailey $
 * --------------------------------------------------------------
 * This widget template creates a single action link.
 *
 * Example Usage:
    {include file="$tplDirectory/widgets/actionLink.tpl"
        page=""
        actionName=""
        args=""
        icoImage=""
        icoWidth=""
        icoHeight=""
        icoStyle=""
        altText=""
        titleText=""
        linkText=""
        noSpace=""
		target=""}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_VIEW" d="View"}
{t c="TRANS_MANAGE" d="Manage"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SETUP" d="Setup"}
{t c="TRANS_CONFIGURE" d="Configure"}
{t c="TRANS_DETAILS" d="Details"}

{************************ ADD AS NEEDED ************************}
{if $icoImage=="view"}
    {assign var="icoImage" value="data_view.gif"}
{elseif $icoImage=="edit"}
    {assign var="icoImage" value="data_edit.gif"}
{elseif $icoImage=="remove"}
    {assign var="icoImage" value="data_delete.gif"}
{elseif $icoImage=="details"}
    {assign var="icoImage" value="data_details.gif"}
{/if}

{if $icoWidth==""}
    {assign var="icoWidth" value="16"}
{/if}

{if $icoHeight==""}
    {assign var="icoHeight" value="16"}
{/if}

{if $icoStyle==""}
    {assign var="icoStyle" value="vertical-align:middle;border-style:none;"}
{/if}

{if $titleText==""}
    {assign var="titleText" value=$altText}
{/if}

{strip}
<span class="actionlink">
{if $icoImage != ""}
    <a href="{if $page}{getHREF page="$page" actionName="$actionName" args="$args"}{else}javascript:{$javascriptLink}{/if}" {if $target}target="{$target}"{/if}>
	    <img src="{$imageDirectory}/ico/{$icoImage}" width="{$icoWidth}" height="{$icoHeight}" style="{$icoStyle} margin-right: 4px;" alt="{$smarty.const.$altText|default:$altText}" title="{$smarty.const.$titleText|default:$titleText}" />
    </a>
{/if}
{if $linkText != ""}
    {if $icoImage != ""}
        {if $noSpace != "1"}&nbsp;{/if}
    {/if}
    <a href="{if $page}{getHREF page="$page" actionName="$actionName" args="$args"}{else}javascript:{$javascriptLink}{/if}" {if $target}target="{$target}"{/if}>
        {$smarty.const.$linkText|default:$linkText}
    </a>
    {if $actionName=="ShowClientDetails" && $clientID && !$suppressActionMenu}
    	{assign var="clientActionMenuIncrementor" value=""}
    	{getRandomID name="clientActionMenuIncrementor"}
    	&nbsp;<a href="javascript:void(0);" onclick="XKshowClientActionMenu(event, 'clientActionMenu{$clientActionMenuIncrementor}', '{$clientID}', '{$clientContactID}');">&raquo;</a>
		<div style="visibility: hidden; display: none;" id="clientActionMenu{$clientActionMenuIncrementor}" class="clientLinksContainer" onclick="setTimeout('hideobjbyid(\'clientActionMenu{$clientActionMenuIncrementor}\');', 100);"></div>
    {/if}
    {if $actionName=="ShowPackageDetails" && $packageID && !$suppressActionMenu}
    	{assign var="packageActionMenuIncrementor" value=""}
    	{getRandomID name="packageActionMenuIncrementor"}
    	&nbsp;<a href="javascript:void(0);" onclick="XKshowPackageActionMenu(event, 'packageActionMenu{$packageActionMenuIncrementor}', '{$packageID}');">&raquo;</a>
		<div style="visibility: hidden; display: none;" id="packageActionMenu{$packageActionMenuIncrementor}" class="clientLinksContainer" onclick="setTimeout('hideobjbyid(\'packageActionMenu{$packageActionMenuIncrementor}\');', 100);"></div>
    {/if}
    {if $actionName=="ShowProductDetails" && $productID && !$suppressActionMenu}
    	{assign var="productActionMenuIncrementor" value=""}
    	{getRandomID name="productActionMenuIncrementor"}
    	&nbsp;<a href="javascript:void(0);" onclick="XKshowProductActionMenu(event, 'productActionMenu{$productActionMenuIncrementor}', '{$productID}', '{$isAddon}');">&raquo;</a>
		<div style="visibility: hidden; display: none;" id="productActionMenu{$productActionMenuIncrementor}" class="clientLinksContainer" onclick="setTimeout('hideobjbyid(\'productActionMenu{$productActionMenuIncrementor}\');', 100);"></div>
    {/if}
    {if $showPrintMenu=="yes"}
    	{assign var="productActionMenuIncrementor" value=""}
    	{getRandomID name="printActionMenuIncrementor"}
    	&nbsp;<a href="javascript:void(0);" onclick="XKshowPrintActionMenu(event, 'printActionMenu{$printActionMenuIncrementor}');">&raquo;</a>
    	{include file="$tplDirectory/widgets/printActionMenu.tpl"
    		containerID=$printActionMenuIncrementor
    		page=$page
    		actionName=$actionName
    		args=$args
    	}
    	{assign var="showPrintMenu" value="no"}
    {/if}
{/if}
</span>
{/strip}
{assign var="suppressActionMenu" value=0}
{assign var="isAddon" value=0}