{* $Id: ajaxContentFetcher.tpl 10141 2006-11-28 14:51:59Z eradtke $
 * --------------------------------------------------------------
 * This template is a widget that displays the pagination links for a list of results.
 *
 * Smarty Variables:
 *  $containerWidth         The width of the container
 *  $containerColor         The background color of the containing div (nothing if not set)
 *  $barWidth               The pixel width of the bar NOT INCLUDING THE 10px FOR THE SIDES
 *  $tdid                   The html id to use for the td in the middle
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/ajaxContentFetcher.tpl"
 *      tdid="ns1"
 *      linkText="TRANS_LINK_TEXT"
 *      linkWorkingText="TRANS_LINK_TEXT"
 *      url="urlhere"
 *		argSourceID="formfieldname"
 *		outputFieldID="formfieldname2"
 *		outputType="textfield"}
 *}

<script type="text/javascript">
	var {$tdid}cp = new cpaint();
	{$tdid}cp.set_transfer_mode('get');
	{$tdid}cp.set_response_type('text');
	{$tdid}cp.set_use_cpaint_api(false);

	{literal}
	function {/literal}{$tdid}{literal}FetchContent() {
		{/literal}{$tdid}{literal}AjaxIsRunning(true);
		var {/literal}{$tdid}{literal}URL = "{/literal}{$url}{literal}?"+document.getElementById('{/literal}{$argSourceID}{literal}').value;
		{/literal}{$tdid}{literal}cp.call({/literal}{$tdid}{literal}URL, '{/literal}{$tdid}{literal}FetchContent', {/literal}{$tdid}{literal}FetchContentResponse);
		return false;
	}

	function {/literal}{$tdid}{literal}AjaxIsRunning(x){
		if (x==false){
			document.getElementById('{/literal}{$tdid}{literal}AjaxRunning').innerHTML = "{/literal}{$smarty.const.$linkText|default:$linkText}{literal}";
		} else {
			document.getElementById('{/literal}{$tdid}{literal}AjaxRunning').innerHTML = "{/literal}{$smarty.const.$linkWorkingText|default:$linkWorkingText}{literal}";
		}
	}

	function {/literal}{$tdid}{literal}FetchContentResponse(result) {
		if (result) {
			{/literal}{$tdid}{literal}FetchContentReturn(result);
		} else {
		}
	}

	function {/literal}{$tdid}{literal}FetchContentReturn(data){
		{/literal}{$tdid}{literal}AjaxIsRunning(false);
		{/literal}
		{if $outputType=="textfield"}
			document.getElementById('{$outputFieldID}').value=data;
		{else}
			document.getElementById('{$outputFieldID}').innerHTML=data;
		{/if}
		{literal}
	}

	{/literal}
</script>
<div style="cursor: pointer;" class="rm"><a class="rm" onclick="{$tdid}FetchContent();"><span id="{$tdid}AjaxRunning">{$smarty.const.$linkText|default:$linkText}</span></a></div>