{* $Id: autocomplete.tpl 10819 2007-03-05 21:27:33Z kbailey $
 * --------------------------------------------------------------
 * This template adds autocomplete to a text field.
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/autocomplete.tpl"
 *      targetFieldID="ns1"
 *      page="autocomplete.php"
 *		actionName="ActionToGetStuffHere"
 *		jsCallback="" (optional)
 *		displayClass="overClassForDivAndUlsAndLis"
 *		itemJSCallback="" (optional callback method to allow a javascript function to pre-format the name values, args sent are (id, name))
 *		urlJSCallback="" (optional callback method to construct the url, will be given the one argument of the value in the text box)
 *		displayPosition="relative" (or absolute which will make it snap to being right below its target)
 *	}
 *}

{if !$minSearchLength}
	{assign var="minSearchLength" value="1"}
{/if}

<script type="text/javascript">

	var {$targetFieldID}OutputCache = {literal}{}{/literal};
	var {$targetFieldID}LastKeyCode = 0;
	var {$targetFieldID}LastSelectedOption = -1;
	var {$targetFieldID}CurrentListLength = 0;
	var {$targetFieldID}lastTextBoxValue = '';
	var {$targetFieldID}lastListValues = '';
	var {$targetFieldID}LastCacheKey = '';

	{literal}
	/**
	 * cache getting function
	 */
	function {/literal}{$targetFieldID}{literal}GetLastCache(val) {
		var ret = {};
		while (val.length>0){
			if (typeof {/literal}{$targetFieldID}{literal}OutputCache[val]=="object"){
				ret = {/literal}{$targetFieldID}{literal}OutputCache[val];
				break;
			} else {
				val = val.substring(0, val.length-1);
				{/literal}{$targetFieldID}{literal}LastCacheKey = val;
			}
		}
		return ret;
	}
	
	function {/literal}{$targetFieldID}{literal}PrependDbg(x){
		$('{/literal}{$targetFieldID}{literal}AutocompletePane').innerHTML = x + '<br />' + $('{/literal}{$targetFieldID}{literal}AutocompletePane').innerHTML;
	}
	
	/**
	 * move the selected one down
	 */
	function {/literal}{$targetFieldID}{literal}MoveDownItem(){
		if ({/literal}{$targetFieldID}{literal}CurrentListLength==0)return;
		if ({/literal}{$targetFieldID}{literal}LastSelectedOption>{/literal}{$targetFieldID}{literal}CurrentListLength){
			{/literal}{$targetFieldID}{literal}LastSelectedOption = -1;
		}
		var ibase = "{/literal}{$targetFieldID}{literal}ListItem";
		if ({/literal}{$targetFieldID}{literal}LastSelectedOption+1<{/literal}{$targetFieldID}{literal}CurrentListLength){
			if ({/literal}{$targetFieldID}{literal}LastSelectedOption>-1){
				XKchangeClass(ibase+{/literal}{$targetFieldID}{literal}LastSelectedOption, "autocompleteOff");
			}
			{/literal}{$targetFieldID}{literal}LastSelectedOption++;
			XKchangeClass(ibase+{/literal}{$targetFieldID}{literal}LastSelectedOption, "autocompleteOn");
			XKscrollIntoView(ibase+{/literal}{$targetFieldID}{literal}LastSelectedOption);
		}
	}
	
	/**
	 * move the selected one up
	 */
	function {/literal}{$targetFieldID}{literal}MoveUpItem(){
		if ({/literal}{$targetFieldID}{literal}CurrentListLength==0)return;
		if ({/literal}{$targetFieldID}{literal}LastSelectedOption>{/literal}{$targetFieldID}{literal}CurrentListLength){
			{/literal}{$targetFieldID}{literal}LastSelectedOption = -1;
		}
		var ibase = "{/literal}{$targetFieldID}{literal}ListItem";
		if ({/literal}{$targetFieldID}{literal}LastSelectedOption-1>-1){
			if ({/literal}{$targetFieldID}{literal}LastSelectedOption>-1){
				XKchangeClass(ibase+{/literal}{$targetFieldID}{literal}LastSelectedOption, "autocompleteOff");
			}
			{/literal}{$targetFieldID}{literal}LastSelectedOption--;
			XKchangeClass(ibase+{/literal}{$targetFieldID}{literal}LastSelectedOption, "autocompleteOn");
			XKscrollIntoView(ibase+{/literal}{$targetFieldID}{literal}LastSelectedOption);
		} else {
			if ({/literal}{$targetFieldID}{literal}LastSelectedOption>-1){
				XKchangeClass(ibase+{/literal}{$targetFieldID}{literal}LastSelectedOption, "autocompleteOff");
			}
			{/literal}{$targetFieldID}{literal}LastSelectedOption = -1;
		}
	}
	
	/**
	 * select the currently selected item
	 */
	function {/literal}{$targetFieldID}{literal}SelectItem(){
		if ({/literal}{$targetFieldID}{literal}CurrentListLength==0 || {/literal}{$targetFieldID}{literal}LastSelectedOption==-1)return;
		var ibase = "{/literal}{$targetFieldID}{literal}ListItem";
		
		var item = $(ibase+{/literal}{$targetFieldID}{literal}LastSelectedOption);
		if (item){
			var mgbItemID = unescape(item.getAttribute("mgbItemID"));
			var mgbItemValue = {/literal}{$targetFieldID}{literal}lastListValues[mgbItemID];
			eval("{/literal}{if $jsCallback}{$jsCallback}{else}{$targetFieldID}ACSetValue{/if}{literal}(\"" + escape(mgbItemID) + "\", {/literal}{$targetFieldID}{literal}lastListValues[\"" + mgbItemID + "\"]);");
			hideobjbyid('{/literal}{$targetFieldID}{literal}AutocompletePane');
		}
		{/literal}{$targetFieldID}{literal}LastSelectedOption = -1;
	}
	
	function {/literal}{$targetFieldID}{literal}CloseAutocomplete(){
		{/literal}{$targetFieldID}{literal}LastSelectedOption = -1;
		hideobjbyid('{/literal}{$targetFieldID}{literal}AutocompletePane');
	}
	
	function {/literal}{$targetFieldID}{literal}AutocompleteArrowCatcher(e){
		var event = e || window.event;
		if (parseInt(event.charCode)>0){
			var keyCode = event.charCode;
		} else if (parseInt(event.keyCode)>0){
			var keyCode = event.keyCode;
		}
		//{/literal}{$targetFieldID}{literal}PrependDbg(keyCode);
		if (parseInt(keyCode)==40){
			//{/literal}{$targetFieldID}{literal}PrependDbg("down");
			{/literal}{$targetFieldID}{literal}MoveDownItem();
		} else if (parseInt(keyCode)==38){
			//{/literal}{$targetFieldID}{literal}PrependDbg("up");
			{/literal}{$targetFieldID}{literal}MoveUpItem();
		} else if (parseInt(keyCode)==27){
			//{/literal}{$targetFieldID}{literal}PrependDbg("esc");
			{/literal}{$targetFieldID}{literal}CloseAutocomplete();
		} else if (parseInt(keyCode)==9){
			//{/literal}{$targetFieldID}{literal}PrependDbg("tab");
			{/literal}{$targetFieldID}{literal}SelectItem();
		}
	}
	
	/**
	 * handle keypress events for moving the selected item up or down or selecting it
	 */
	function {/literal}{$targetFieldID}{literal}AutocompleteKeyPress(e){
		var event = e || window.event;
		if (parseInt(event.charCode)>0){
			var keyCode = event.charCode;
		} else if (parseInt(event.keyCode)>0){
			var keyCode = event.keyCode;
		}
		/*
			38 = up arrow
			40 = down arrow
			13 = enter
		*/
		//{/literal}{$targetFieldID}{literal}PrependDbg('s -- ' + keyCode);
		if (parseInt(keyCode)==13){
			{/literal}{$targetFieldID}{literal}SelectItem();
			return false;
		} else if (parseInt(keyCode)==40){
			//{/literal}{$targetFieldID}{literal}MoveDownItem();
		} else if (parseInt(keyCode)==38){
			//{/literal}{$targetFieldID}{literal}MoveUpItem();
		} else if (parseInt(keyCode)==27){
			//{/literal}{$targetFieldID}{literal}CloseAutocomplete();
		} else {
			{/literal}{$targetFieldID}{literal}FetchAutocompleteContent();
		}
		{/literal}{$targetFieldID}{literal}LastKeyCode = keyCode;
	}
	
	/**
	 * handle getting the data or using data from the cache
	 */
	function {/literal}{$targetFieldID}{literal}FetchAutocompleteContent() {
		
		var ObjValue = document.getElementById('{/literal}{$targetFieldID}{literal}').value;
		
		if (ObjValue.length<{/literal}{$minSearchLength}{literal}){
			return false;
		} else {

			var lastCache = {/literal}{$targetFieldID}{literal}GetLastCache(ObjValue);
			
			var lastcl = 0;
			if (typeof lastCache=="object"){
				for (x in lastCache){
					lastcl++;
				}
			}
			
			var goTest = false;
			if (ObjValue.length==1){
				goTest = true;
			}
			if (lastcl==0){
				goTest = true;
			}
			
			if (lastcl+2>{/literal}{$smarty.const.MAX_AUTOCOMPLETE_RESULTS}{literal} && ObjValue!={/literal}{$targetFieldID}{literal}LastCacheKey){
				goTest = true;
			}
			
			if (goTest==true){
				{/literal}
				{if $urlJSCallback}
					var xurl = {$urlJSCallback}(ObjValue);
				{else}
					var xurl = "{$page}?action={getActionID action=$actionName}&sid={$sid}&searchTerm="+ObjValue;
				{/if}
				{literal}
				if (xurl){
//					{/literal}{$targetFieldID}{literal}cp.call(xurl, '{/literal}{$targetFieldID}{literal}FetchAutocompleteContent', {/literal}{$targetFieldID}{literal}AutocompleteContentResponse);
					var myAjax = new Ajax.Request(
						xurl, 
						{
							method: 'get',
							onComplete: {/literal}{$targetFieldID}{literal}AutocompleteContentResponse
						});

				}
			} else {
				{/literal}{$targetFieldID}{literal}AutocompleteContentReturn(lastCache);
			}
			return false;
		}
	}

	/**
	 * put up a loading message?
	 */
	function {/literal}{$targetFieldID}{literal}AutocompleteIsRunning(x){
		if (x==false){
		} else {
		}
	}

	/**
	 * test content and throw to handler
	 */
	function {/literal}{$targetFieldID}{literal}AutocompleteContentResponse(result) {
		if (result) {
			{/literal}{$targetFieldID}{literal}AutocompleteContentReturn(XKgetJSONArray(result.responseText));
		} else {
		}
	}

	function {/literal}{$targetFieldID}{literal}CheckTurnOff(id){
		if (id!='{/literal}{$targetFieldID}{literal}ListItem'+{/literal}{$targetFieldID}{literal}LastSelectedOption){
			XKchangeClass($(id), "autocompleteOff");
		}
	}
	
	/**
	 * put up a loading message?
	 */
	function {/literal}{$targetFieldID}{literal}AutocompleteContentReturn(data){
		//{/literal}{$targetFieldID}{literal}AutocompleteIsRunning(false);
		if (typeof data=="object"){
			if (typeof data["searchTerm"]=="string" && typeof data["results"]=="object"){
				{/literal}{$targetFieldID}{literal}LastCacheName = data["searchTerm"];
				{/literal}{$targetFieldID}{literal}OutputCache[data["searchTerm"]] = data["results"];
				{/literal}{$targetFieldID}{literal}AutocompleteSetChoices(data["results"]);
			} else {
				{/literal}{$targetFieldID}{literal}AutocompleteSetChoices(data);
			}
		}
	}

	function {/literal}{$targetFieldID}{literal}ACSetValue(id, v){
		document.getElementById('{/literal}{$targetFieldID}{literal}').value = unescape(v);
		hideobjbyid('{/literal}{$targetFieldID}{literal}AutocompletePane');
	}

	/**
	 * set the choices filtered by what was typed
	 */
	function {/literal}{$targetFieldID}{literal}AutocompleteSetChoices(choices){
		var tobj = document.getElementById('{/literal}{$targetFieldID}{literal}AutocompletePane');
		if (typeof choices=="object"){
			var ObjValue = document.getElementById('{/literal}{$targetFieldID}{literal}').value;
			var IHTML = "<ul id='{/literal}{$targetFieldID}{literal}List'>";
			var ui = 0;
			var currentName = '';
			{/literal}{$targetFieldID}{literal}lastListValues = choices;
			{/literal}
			var xt = {$itemJSHeaderCallback}();
			{literal}
			if (typeof xt!="undefined" && xt!=""){
				IHTML = IHTML + "\n<li>" + xt + "</li>";
			}
			for (x in choices){
				if (typeof choices[x]=="object"){
					currentName = choices[x]["nameValue"];
				} else {
					currentName = choices[x];
				}
				if (ObjValue.toLowerCase()==currentName.substring(0, ObjValue.length).toLowerCase()){
					IHTML = IHTML + "\n<li id=\"{/literal}{$targetFieldID}{literal}ListItem"+ui+"\" onmouseover='XKchangeClass(this, \"autocompleteOn\")' onmouseout='{/literal}{$targetFieldID}{literal}CheckTurnOff(\"{/literal}{$targetFieldID}{literal}ListItem"+ui+"\")' onclick='{/literal}{if $jsCallback}{$jsCallback}{else}{$targetFieldID}ACSetValue{/if}{literal}(\"" + escape(x) + "\", \"" + escape(choices[x]) + "\");' mgbItemID=\"" + escape(x) + "\">" + {/literal}{if $itemJSCallback}{$itemJSCallback}(x, choices[x]);{else}currentName{/if}{literal} + "</li>";
					ui++;
				} else {
				}
			}
			{/literal}{$targetFieldID}{literal}CurrentListLength = ui;
			IHTML = IHTML + "\n</ul>";
			tobj.innerHTML = IHTML;
			{/literal}{if $displayPosition!="relative"}XKplaceBelow('{$targetFieldID}', '{$targetFieldID}AutocompletePane');{/if}{literal}
			{/literal}{$targetFieldID}{literal}LastSelectedOption = -1;
			showobj(tobj);
		} else {
			tobj.innerHTML = '';
			{/literal}{$targetFieldID}{literal}LastSelectedOption = -1;
			hideobj(tobj);
		}
	}

	{/literal}

	document.getElementById('{$targetFieldID}').onkeyup = function(e){literal} { {/literal}{$targetFieldID}AutocompleteKeyPress(e);{literal} } {/literal};
	document.getElementById('{$targetFieldID}').onkeypress = function(e){literal} { {/literal}{$targetFieldID}AutocompleteArrowCatcher(e);{literal} } {/literal};
	//document.getElementById('{$targetFieldID}').onchange = function(){literal} { {/literal}{$targetFieldID}FetchAutocompleteContent();{literal} } {/literal};
	document.getElementById('{$targetFieldID}').onblur = function(){literal} { {/literal} setTimeout("{$targetFieldID}CloseAutocomplete();", 50); {literal} } {/literal};

</script>
<div id="{$targetFieldID}AutocompletePane" style="display: none;" class="{if $displayClass}{$displayClass}{else}autocompletePane{/if}">

</div>




