{* $Id: accountingSummary.tpl 12589 2008-01-30 18:13:40Z kbailey $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}

{t c="TRANS_AGING_REPORT" d="Aging Report"}

<div class="box07">
	<div class="st01"><h1>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS}</h1></div>

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr style="background-color:#EDF2FC"><td><br />

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
    <tr class="headerRow">
        <td>{$smarty.const.TRANS_ACCOUNTING_ACCOUNTS_LABEL}</td>
        <td style="text-align:right;">{$smarty.const.TRANS_BALANCE}</td>
    </tr>

{* accounts receivables rows *}

    {assign var="firstTime" value="1"}
    {assign var="rowClass" value="total"}
    {foreach key="currencyID" item="totals" from=$accountingAccountsReceivable}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                {if $firstTime}
                    {assign var="firstTime" value="0"}
                    {assign var="rowClass" value=""}
                    {assign var=p value=$client.clientID}
                   <strong><a href="{getHREF page="clients.php" actionName="ShowClientARHistory" args="clientID=`$client.clientID`"}">{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_AR}</a></strong>
                {/if}
            </td>
            <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
        </tr>
    {foreachelse}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                    <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_AR}</strong>
            </td>
            <td width="40%" align="right"><i>{$smarty.const.TRANS_NONE}</i></td>
        </tr>
    {/foreach}

{* accounts receivables rows *}

    {assign var="firstTime" value="1"}
    {assign var="rowClass" value="total"}
    {foreach key="currencyID" item="totals" from=$accountingAuthorized}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                {if $firstTime}
                    {assign var="firstTime" value="0"}
                    {assign var="rowClass" value=""}
                    <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_AU}</strong>
                {/if}
            </td>
            <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
        </tr>
    {foreachelse}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                    <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_AU}</strong>
            </td>
            <td width="40%" align="right"><i>{$smarty.const.TRANS_NONE}</i></td>
        </tr>
    {/foreach}

{* customer credits rows *}

    {assign var="firstTime" value="1"}
    {assign var="rowClass" value="total"}
    {foreach key="currencyID" item="totals" from=$accountingCustomerCredits}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                {if $firstTime}
                    {assign var="firstTime" value="0"}
                    {assign var="rowClass" value=""}
                    <strong><a href="{getHREF page="clients.php" actionName="ShowClientCreditHistory" args="clientID=`$client.clientID`"}">{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_CC}</a></strong>
                {/if}
            </td>
            <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
        </tr>
    {foreachelse}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                    <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_CC}</strong>
            </td>
            <td width="40%" align="right"><i>{$smarty.const.TRANS_NONE}</i></td>
        </tr>
    {/foreach}

{* revenue rows *}

    {assign var="firstTime" value="1"}
    {assign var="rowClass" value="total"}
    {foreach key="currencyID" item="totals" from=$accountingRevenue}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                {if $firstTime}
                    {assign var="firstTime" value="0"}
                    {assign var="rowClass" value=""}
                    <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_IN}</strong>
                {/if}
            </td>
            <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
        </tr>
    {foreachelse}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                    <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_IN}</strong>
            </td>
            <td width="40%" align="right"><i>{$smarty.const.TRANS_NONE}</i></td>
        </tr>
    {/foreach}

{* accounts payable rows *}

    {assign var="firstTime" value="1"}
    {assign var="rowClass" value="total"}
    {foreach key="currencyID" item="totals" from=$accountingPayables}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                {if $firstTime}
                    {assign var="firstTime" value="0"}
                    {assign var="rowClass" value=""}
                    <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_AP}</strong>
                {/if}
            </td>
            <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
        </tr>
    {foreachelse}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                    <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_AP}</strong>
            </td>
            <td width="40%" align="right"><i>{$smarty.const.TRANS_NONE}</i></td>
        </tr>
    {/foreach}

{* cost of goods rows *}

    {assign var="firstTime" value="1"}
    {assign var="rowClass" value="total"}
    {foreach key="currencyID" item="totals" from=$accountingCogs}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                {if $firstTime}
                    {assign var="firstTime" value="0"}
                    {assign var="rowClass" value=""}
                    <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_CG}</strong>
                {/if}
            </td>
            <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
        </tr>
    {foreachelse}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                    <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_CG}</strong>
            </td>
            <td width="40%" align="right"><i>{$smarty.const.TRANS_NONE}</i></td>
        </tr>
    {/foreach}

{* refunds rows *}

    {assign var="firstTime" value="1"}
    {assign var="rowClass" value="total"}
    {foreach key="currencyID" item="totals" from=$accountingRefunds}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                {if $firstTime}
                    {assign var="firstTime" value="0"}
                    {assign var="rowClass" value=""}
                    <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_RF}</strong>
                {/if}
            </td>
            <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
        </tr>
    {foreachelse}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                    <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_RF}</strong>
            </td>
            <td width="40%" align="right"><i>{$smarty.const.TRANS_NONE}</i></td>
        </tr>
    {/foreach}

{* expense rows *}

    {assign var="firstTime" value="1"}
    {assign var="rowClass" value="total"}
    {foreach key="currencyID" item="totals" from=$accountingExpenses}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                {if $firstTime}
                    {assign var="firstTime" value="0"}
                    {assign var="rowClass" value=""}
                    <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_EX}</strong>
                {/if}
            </td>
            <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
        </tr>
    {foreachelse}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                    <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_EX}</strong>
            </td>
            <td width="40%" align="right"><i>{$smarty.const.TRANS_NONE}</i></td>
        </tr>
    {/foreach}

	</table>
	<br /></td></tr>
	</table>

	<table border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr>
		<td style="background-color:#EDF2FC">
			{include file="$tplDirectory/widgets/quickAddCredit.tpl"
				actionName="AddClientCreditResponse"
				clientID=$clientID
				formName="quickcreditform"
				currencyIDs=$currencyIDs
				sid=$sid
				localeArray=$localeArray
				currencyID=$currencyID
				accountTypes=$accountTypes
				redirectURL="clients.php"
				redirectAction="ShowClientDetails"
				redirectArgs="clientID=`$clientID`"}
			<br />
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="accounting.php"
				actionName="ShowAgingReportContainer"
				args="clientID=`$client.clientID`"
				icoImage="line_chart.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_AGING_REPORT"
				titleText=""
				linkText="TRANS_AGING_REPORT"}
			
		</td>
	</tr>
	</table>

</div>{* box07 *}

