{* $Id: clientActions.tpl 9741 2006-10-20 15:04:30Z achrist $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}
{t c="TRANS_ADMINISTRATIVE_ACTIONS" d="Administrative Actions"}
{t c="TRANS_ARCHIVE_CLIENT" d="Archive Client"}
{t c="TRANS_REINSTATE_CLIENT" d="Reinstate Client"}

{t c="TRANS_ACTIVATE_CLIENT" d="Activate Client"}
{t c="TRANS_SUSPEND_CLIENT" d="Suspend Client"}
{t c="TRANS_ENABLE_CLIENT" d="Enable Client"}
{t c="TRANS_CANCEL_CLIENT" d="Cancel Client"}
{t c="TRANS_PURGE_CLIENT" d="Purge Client"}
{t c="TRANS_REINSTATE_CLIENT" d="Reinstate Client"}

{if $client.clientStatus == "client"|getStatusID:"none"}{* client is active *}

	{assign var=suspendClientActionLink value=true}
	{assign var=cancelClientActionLink value=true}

{elseif $client.clientStatus == "client"|getStatusID:"pending"}

	{assign var=activateClientActionLink value=false}

{elseif $client.clientStatus == "client"|getStatusID:"canceled"}

	{assign var=purgeClientActionLink value=false}
	{assign var=archiveClientActionLink value=true}
	{assign var=purgeClientActionLink value=true}

{elseif $client.clientStatus == "client"|getStatusID:"fraudulent"}

	{assign var=archiveClientActionLink value=false}
	{assign var=purgeClientActionLink value=false}

{elseif $client.clientStatus == "client"|getStatusID:"suspended"}

	{assign var=unsuspendClientActionLink value=true}
	{assign var=cancelClientActionLink value=true}

{elseif $client.clientStatus == "client"|getStatusID:"inactive"}

	{assign var=archiveClientActionLink value=false}
	{assign var=purgeClientActionLink value=false}

{/if}

{if $client.clientActive == 1}

	{assign var=archiveClientActionLink value=true}
	{assign var=reinstateClientActionLink value=false}

{else}

	{assign var=archiveClientActionLink value=false}
	{assign var=reinstateClientActionLink value=true}

{/if}


<div class="box07" style="background-color:#EEEDE9">
	<div class="st01"><h1>{$smarty.const.TRANS_ADMINISTRATIVE_ACTIONS}</h1></div>

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr>
	<td>
	{if $activateClientActionLink}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ManageClientActionActivate"
				args="clientID=$clientID"
				icoImage="../bull/02.gif"
				icoWidth="16"
				icoHeight="16"
				altText="TRANS_ACTIVATE_CLIENT"
				linkText="TRANS_ACTIVATE_CLIENT"
			}
		<br />
	{/if}
	{if $suspendClientActionLink}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ManageClientActionSuspend"
				args="clientID=$clientID"
				icoImage="../bull/02.gif"
				icoWidth="16"
				icoHeight="16"
				altText="TRANS_SUSPEND_CLIENT"
				linkText="TRANS_SUSPEND_CLIENT"
			}
		<br />
	{/if}
	{if $unsuspendClientActionLink}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ManageClientActionUnsuspend"
				args="clientID=$clientID"
				icoImage="../bull/02.gif"
				icoWidth="16"
				icoHeight="16"
				altText="TRANS_ENABLE_CLIENT"
				linkText="TRANS_ENABLE_CLIENT"
			}
		<br />
	{/if}
	{if $cancelClientActionLink}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ManageClientActionCancel"
				args="clientID=$clientID"
				icoImage="../bull/02.gif"
				icoWidth="16"
				icoHeight="16"
				altText="TRANS_CANCEL_CLIENT"
				linkText="TRANS_CANCEL_CLIENT"
			}
		<br />
	{/if}
	{if $archiveClientActionLink}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="EditClientArchiveState"
				args="clientID=$clientID"
				icoImage="../bull/02.gif"
				icoWidth="16"
				icoHeight="16"
				altText="TRANS_ARCHIVE_CLIENT"
				linkText="TRANS_ARCHIVE_CLIENT"
			}
		<br />
	{/if}
	{if $reinstateClientActionLink}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="EditClientArchiveState"
				args="clientID=$clientID"
				icoImage="../bull/02.gif"
				icoWidth="16"
				icoHeight="16"
				altText="TRANS_REINSTATE_CLIENT"
				linkText="TRANS_REINSTATE_CLIENT"
			}
		<br />
	{/if}
	</td>
	</tr>
	</table>

</div>{* box07 *}
