{* $Id: clientDetails.tpl 12676 2008-02-22 23:27:29Z kbailey $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}
{t c="TRANS_EDIT_DETAILS" d="Edit Details"}
{t c="TRANS_DEFAULT_LANGUAGE" d="Default Language"}
{t c="TRANS_DEFAULT_BILLING_METHOD" d="Default Billing Method"}
{t c="TRANS_IS_ARCHIVED" d="Is Archived"}
{t c="TRANS_RESELLER_DISCOUNT" d="Reseller Discount"}
{t c="TRANS_CLIENT_GROUP" d="Client Group"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_DATE_CANCELED" d="Date Canceled"}
{t c="TRANS_SIGNUP_IP" d="Signup IP"}
{t c="TRANS_LAST_IP" d="Last IP"}
{t c="TRANS_MAIL_INVOICES" d="Mail Invoices"}
{t c="TRANS_CHOOSE_CLIENT" d="Choose Client"}
{t c="TRANS_MERGE_WITH_OTHER_CLIENT" d="Merge With Other Client"}
{t c="TRANS_NEXT" d="Next"}

<div class="box07" style="background-color:#EEEDE9">
	<div class="st01"><h1>{$smarty.const.TRANS_CLIENT_DETAILS}</h1></div>

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr>
		<td class="title">{$smarty.const.TRANS_IS_ARCHIVED}:</td>
		<td><i>{$client.clientActive|getStatusName:"archived"}</i></td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_CURRENT_STATUS}:</td>
		<td>{$client.clientStatus|getStatusName:"client"}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_DEFAULT_THEME}:</td>
		{assign var="clientTheme" value=$client.themeID}
		<td>{$themeList.$clientTheme}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_LANGUAGE}:</td>
		<td>{$client.languageISO2} - {$client.languageName}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_BILLING_COUNTRY}:</td>
		<td>
			<img src="{$imageDirectory}/flags/flag-{$client.countriesISO2}.gif" style="vertical-align:middle;border-style:none;" /> {$clientCountry|mb_truncate:15}
		</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_MAIL_INVOICES}:</td>
		<td>{if $client.clientMailInvoices==1}{$smarty.const.TRANS_YES}{else}{$smarty.const.TRANS_NO}{/if}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_TAX}:</td>
		<td>{if $client.applyTax}{$smarty.const.TRANS_APPLIED}{else}{$smarty.const.TRANS_NOT_APPLIED}{/if}</td>
	</tr>
	{if $client.taxIDNumber}
	<tr>
		<td class="title">{$smarty.const.TRANS_TAX_ID_NUMBER}:</td>
		<td>{$client.taxIDNumber}</td>
	</tr>
	{/if}
	<tr>
		<td class="title">{$smarty.const.TRANS_DEFAULT_BILLING_METHOD}:</td>
		<td>{$defaultBillingAccount.billingAccountType|getTypeName:"billingAccount"}
			{if $defaultBillingAccount.billingAccountID}
				[<a href="{getHREF page="clients.php" actionName="EditBillingAccount" args="billingAccountID=`$defaultBillingAccount.billingAccountID`&clientID=`$client.clientID`"}">{$defaultShareCount}/{array_sum array=$packageStatuses}</a> {$smarty.const.TRANS_PACKAGE}(s)]
			{/if}
		</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_CLIENT_GROUP}:</td>
		<td>{$clientAttributeGroup|default:$smarty.const.TRANS_NONE}</td>
	</tr>
	{if $smarty.const.USE_PREDEFINED_RESELLER_VOLUME_DISCOUNTS}
		<tr>
			<td class="title">{$smarty.const.TRANS_RESELLER_DISCOUNT}:</td>
			<td>{$client.clientDiscountLevel|round:2|getPercent}</td>
		</tr>
	{/if}
	<tr>
		<td class="title">{$smarty.const.TRANS_DATE_CREATED}:</td>
		<td>{$client.clientDateCreated|getDateTime:"full"}</td>
	</tr>
	{if $client.clientDateCancelled}
		<tr>
			<td class="title">{$smarty.const.TRANS_DATE_CANCELED}:</td>
			<td>{$client.clientDateCancelled|getDateTime:"full"}</td>
		</tr>
	{/if}
	{if $client.clientSignupIP}
		<tr>
			<td class="title">{$smarty.const.TRANS_SIGNUP_IP}:</td>
			<td>{$client.clientSignupIP|getIP}</td>
		</tr>
	{/if}
	{if $client.clientLastIP}
		<tr>
			<td class="title">{$smarty.const.TRANS_LAST_IP}:</td>
			<td>{$client.clientLastIP|getIP}</td>
		</tr>
	{/if}
	</table>

	<table border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr>
		<td>
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="EditClient"
				args="clientID=`$client.clientID`"
				icoImage="client_edit.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_EDIT_DETAILS"
				titleText=""
				linkText="TRANS_EDIT_DETAILS"}
				<br />
			<span class="actionlink">
				<img src="{$imageDirectory}/ico/contacts.gif" width="16" height="16" alt="{$smarty.const.TRANS_MERGE_WITH_OTHER_CLIENT}" title="{$smarty.const.TRANS_MERGE_WITH_OTHER_CLIENT}" style="vertical-align:middle;border-style:none;margin-right: 4px;" />
				<a href="javascript:showMergeClientPopup();">
					{$smarty.const.TRANS_MERGE_WITH_OTHER_CLIENT}
				</a>
				</span>
				<span id="mergeClientContainer" style="visibility: hidden; display: none; position: absolute; background-color: #fff; border: 1px outset #000;">
					<table border="0" cellpadding="1" cellspacing="1" class="overLibRepTab">
					<tr>
						<th id="mergeClientContainerHandle" style="cursor: pointer; text-align: left;" valign="middle">
							<span style="float: right; cursor: pointer;" onclick="hideobjbyid('mergeClientContainer');">
								<img src="{$imageDirectory}/ico/remove.gif" width="16" height="16" border="0" alt="" />
							</span>
							<span>{$smarty.const.TRANS_CHOOSE_CLIENT}</span>
						</th>
					</tr>
					<tr>
						<td>
							<form method="get" action="clients.php">
								<input type="hidden" name="action" value="{getActionID action="MergeClient"}" />
								<input type="hidden" name="sid" value="{$sid}" />
								<input type="hidden" name="mergeClientID" value="{$clientID}" />
								{$smarty.const.TRANS_CLIENT_ID}: <input type="text" name="masterClientID" value="" /> <input type="submit" value="{$smarty.const.TRANS_NEXT} >> " class="submit" />
							</form>
						</td>
					</tr>
					</table>
				</span>
				<script language="javascript">
				<!--
					new Draggable('mergeClientContainer',{literal}{{/literal}handle:'mergeClientContainerHandle'{literal}}{/literal});
					
					function showMergeClientPopup(){literal}{{/literal}
						XKPopoverElement('mergeClientContainer');
					{literal}}{/literal}
				// -->
				</script>
		</td>
	</tr>
	</table>

</div>{* box07 *}