{* $Id: invoices.tpl 12597 2008-01-31 23:33:19Z kbailey $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}
{t c="TRANS_INVOICE_SUMMARY" d="Invoice Summary"}
{t c="TRANS_ADD_SINGLE_INVOICE" d="Add Single Invoice"}
{t c="TRANS_SINGLE_INVOICE" d="Single Invoice"}
{t c="TRANS_INVOICE_SHORT_DESCRIPTION" d="Short Description"}
{t c="TRANS_INVOICE_LONG_DESCRIPTION" d="Long Description"}
{t c="TRANS_HOURLY_SERVICE" d="Hourly Service"}
{t c="TRANS_INVOICE_DATE" d="Invoice Date"}
{t c="TRANS_DONT_DEFER_REVENUE" d="Don't Defer Revenue"}
{t c="TRANS_DEFER_REVENUE_OVER" d="Defer Revenue Over Period"}
{t c="TRANS_PROCESS_INVOICE" d="Process Invoice"}
{t c="TRANS_SEND_INVOICE_EMAIL" d="Send Invoice Email"}
{t c="TRANS_APPLY_A_PAYMENT_AS_WELL" d="Apply a payment as well"}
{t c="TRANS_PAYMENT_DATE" d="Payment Date"}
{t c="TRANS_APPLY_A_PAYMENT_WARNING" d="NOTE: This feature is for applying payments that you have ALREADY collected outside of ModernBill."}
{t c="TRANS_DEFERRED_REVENUE_EXP" d="If you do not need to keep track of deferred revenue you can ignore this option."}
{t c="TRANS_MANUAL_PAYMENT" d="Manual Payment"}
{t c="TRANS_PAYMENT_AMOUNT" d="Payment Amount"}

<div class="box07" style="background-color:#EEEDE9">
	<div class="st01"><h1>{$smarty.const.TRANS_INVOICE_SUMMARY}</h1></div>

	<table width="100%" border="0" cellspacing="1" cellpadding="1" class="tabTight">
	{foreach key="currencyID" item="totals" from=$invoiceStats}				
		<tr class="alt2">
			<td colspan="4" style="text-align:center;"><strong>{$smarty.const.TRANS_TOTALS}: {$currencyID}</strong></td>
		</tr>
		<tr class="alt2">
			<td><strong>{$smarty.const.TRANS_STATUS}</strong></td>
			<td style="text-align:center;"><strong>#</strong></td>
			<td style="text-align:right;"><strong>{$smarty.const.TRANS_PAID}</strong></td>
			<td style="text-align:right;"><strong>{$smarty.const.TRANS_DUE}</strong></td>
		</tr>
		{assign var="invoiceStatsByCurrency" value=$invoiceStats[$currencyID]}
		{section name=i loop="$invoiceStatsByCurrency"}
		<tr class="alt1">
			<td>
				{include file="$tplDirectory/widgets/actionLink.tpl"
					page="invoices.php"
					actionName="ShowInvoices"
					args="clientID=`$client.clientID`&invoiceStatus=`$invoiceStatsByCurrency[i].invoiceStatus`"
					altText=$invoiceStatsByCurrency[i].invoiceStatus|getStatusName:"invoice"
					linkText=$invoiceStatsByCurrency[i].invoiceStatus|getStatusName:"invoice"}:
			</td>
			<td style="text-align:center;color:black;">{$invoiceStatsByCurrency[i].numInvoices|default:0}</td>
			<td style="text-align:right;color:green;">{$invoiceStatsByCurrency[i].sumInvoicesAmountPaid|default:0|getAmount:$currencyID}</td>
			<td style="text-align:right;color:red;">{$invoiceStatsByCurrency[i].sumInvoicesAmountDue|default:0|getAmount:$currencyID}</td>
		</tr>
		{/section}
	{/foreach}
	</table>
	
	<table border="0" width="100%" cellspacing="1" cellpadding="1" class="tabTight">	
	<tr>
		<td>
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="invoices.php"
				actionName="ShowInvoices"
				args="clientID=`$client.clientID`"
				icoImage="invoice.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_VIEW_ALL_INVOICES"
				titleText=""
				linkText="TRANS_VIEW_ALL_INVOICES"}
		
			<br />
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="invoices.php"
				actionName="ShowGenerateInvoiceMenu"
				args="clientID=`$client.clientID`"
				icoImage="invoice_generate.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_GENERATE_INVOICES"
				titleText=""
				linkText="TRANS_GENERATE_INVOICES"}

			<br />
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="TakeClientPayment"
				args="clientID=`$client.clientID`"
				icoImage="creditcards.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_TAKE_CLIENT_PAYMENT"
				titleText=""
				linkText="TRANS_TAKE_CLIENT_PAYMENT"}
			<br />
			

			<span id="quickAddInvoiceContainer" style="visibility: hidden; display: none; position: absolute; background-color: #fff; border: 1px outset #000;">
				<table border="0" cellpadding="1" cellspacing="1" class="overLibRepTab">
				<tr>
					<th id="quickAddInvoiceContainerHandle" style="cursor: pointer; text-align: left;" valign="middle">
						<span style="float: right; cursor: pointer;" onclick="hideobjbyid('quickAddInvoiceContainer');">
							<img src="{$imageDirectory}/ico/remove.gif" width="16" height="16" border="0" alt="" />
						</span>
						<span>{$smarty.const.TRANS_ADD_SINGLE_INVOICE}</span>
					</th>
				</tr>
				<tr>
					<td>
						<span style="color: #000;">
							<form method='post' action='invoices.php' name='{$formName}' id='{$formName}'>
								<input type='hidden' name='action' value='{getActionID action="AddSingleInvoiceResponse"}' />
								<input type='hidden' name='sid' value='{$sid}'>
								<input type='hidden' name='clientID' value='{$clientID}'>

								<fieldset>
									<legend>{$smarty.const.TRANS_SINGLE_INVOICE}</legend>
									<table width='350'>
										<tr>
											<td style="width: 145px; white-space: nowrap;" align="right">{$smarty.const.TRANS_PAYMENT_GROUP}:</td>
											<td>
												<select name='paymentGroupID'>
													{html_options options=$paymentGroups}
												</select>
											</td>
										</tr>
										<tr>
											<td style="white-space: nowrap;" align="right">{$smarty.const.TRANS_INVOICE_SHORT_DESCRIPTION}:</td>
											<td><input type="text" name="packageName" value="{$smarty.const.TRANS_HOURLY_SERVICE}" /></td>
										</tr>
										<tr>
											<td style="white-space: nowrap;" align="right">{$smarty.const.TRANS_INVOICE_LONG_DESCRIPTION}:</td>
											<td><textarea rows="4" cols="35" name="packageDescription" /></textarea></td>
										</tr>
										<tr>
											<td style="white-space: nowrap;" align="right">{$smarty.const.TRANS_INVOICE_DATE}:</td>
											<td>
												{include file="$tplDirectory/widgets/dateSelector.tpl" disableTime=1 optional=0 param="invoiceDate" default="invoiceDate" real="invoiceDate"}
											</td>
										</tr>
										<tr>
											<td style="white-space: nowrap;" align="right">{$smarty.const.TRANS_INVOICE_AMOUNT}:</td>
											<td><input type="text" name="amount" value="{0|getAmount:" "}" onchange="this.value=XKformatNumber('{1000|getAmount:" ":true:true};{1000|getAmount:" ":true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" /></td>
										</tr>
										<tr>
											<td align="right"></td>
											<td>
												<input type="checkbox" name="enableInvoiceEmail" id="enableInvoiceEmail" value="1" /> <label for="enableInvoiceEmail">{$smarty.const.TRANS_SEND_INVOICE_EMAIL}</label>
											</td>
										</tr>
										<tr>
											<td style="white-space: nowrap;" align="right">{$smarty.const.TRANS_DEFER_REVENUE_OVER}:</td>
											<td>
												<select name='cycleID'>
													<option value="0">{$smarty.const.TRANS_DONT_DEFER_REVENUE}</option>
													{html_options options=$cycles}
												</select><br />
												({$smarty.const.TRANS_DEFERRED_REVENUE_EXP})
											</td>
										</tr>
									</table>
								</fieldset>
								<fieldset>
									<legend>{$smarty.const.TRANS_PAYMENT}</legend>
									<table width='350'>
										<tr>
											<td align="right" style="width: 145px;"></td>
											<td>
												<input type="checkbox" id="applyPaymentAsWell" value="1" name="applyPaymentAsWell" onchange="setTimeout('checkApplyPaymentAsWell();', 100);" onmouseup="setTimeout('checkApplyPaymentAsWell();', 100);" onkeyup="setTimeout('checkApplyPaymentAsWell();', 100);" /> <label for="applyPaymentAsWell" onmouseup="setTimeout('checkApplyPaymentAsWell();', 100);">{$smarty.const.TRANS_APPLY_A_PAYMENT_AS_WELL}</label>
											</td>
										</tr>
										<tbody id="singleInvoicePaymentTB" class="off">
											<tr>
												<td style="white-space: nowrap;" align="right">{$smarty.const.TRANS_PAYMENT_AMOUNT}:</td>
												<td><input type="text" name="amountPaid" value="{0|getAmount:" "}" onchange="this.value=XKformatNumber('{1000|getAmount:" ":true:true};{1000|getAmount:" ":true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" /><br />
												({$smarty.const.TRANS_APPLY_A_PAYMENT_WARNING})</td>
											</tr>
											<tr>
												<td style="white-space: nowrap;" align="right">{$smarty.const.TRANS_CHOOSE_BILLING_ACCOUNT}: </td>
												<td>
													<select name='billingAccountID'>
														{html_options options=$billingAccounts}
													</select>
												</td>
											</tr>
											<tr>
												<td align="right"> {$smarty.const.TRANS_QUICKPAYMENT_COMMENTS}: </td>
												<td>
													<input type="text" name="paymentComments" size="25" value="{$smarty.const.TRANS_MANUAL_PAYMENT}" />
												</td>
											</tr>
											<tr>
												<td align="right"> {$smarty.const.TRANS_PAYMENT_DATE}: </td>
												<td>
													{include file="$tplDirectory/widgets/dateSelector.tpl" disableTime=1 optional=0 param="transactionDateCreated" default="transactionDateCreated" real="transactionDateCreated"}
												</td>
											</tr>
											<tr>
												<td align="right"></td>
												<td>
													<input type="checkbox" name="enablePaymentEmail" id="enablePaymentEmail" value="1" /> <label for="enablePaymentEmail">{$smarty.const.TRANS_SEND_PAYMENT_RECEIPT_EMAIL}</label>
												</td>
											</tr>
										</tbody>
									</table>
								</fieldset>
								<table width='350'>
									<tr>
										<td style="width: 145px;"> </td>
										<td><input type='submit' value='{$smarty.const.TRANS_PROCESS_INVOICE}' /></td>
									</tr>
								</table>
							</form>
						</span>
					</td>
				</tr>
				</table>
			</span>
			<script language="javascript">
			<!--
				new Draggable('quickAddInvoiceContainer',{literal}{{/literal}handle:'quickAddInvoiceContainerHandle'{literal}}{/literal});
				
				function showQuickAddInvoice(){literal}{{/literal}
					XKPopoverElement('quickAddInvoiceContainer');
				{literal}}{/literal}
				
				{literal}
				function checkApplyPaymentAsWell(){
					if ($('applyPaymentAsWell').checked==true){
						toggleOn("singleInvoicePaymentTB");
					} else {
						toggleOff("singleInvoicePaymentTB");
					}
				}
				{/literal}
				
			// -->
			</script>
			<span class="actionlink">
			<a href="javascript:showQuickAddInvoice();"><img src="{$imageDirectory}/ico/invoice.gif" width="16" height="16" alt="{$smarty.const.TRANS_ADD_SINGLE_INVOICE}" title="{$smarty.const.TRANS_ADD_SINGLE_INVOICE}" style="vertical-align:middle;border-style:none; margin-right: 4px;"/></a>
			<a href="javascript:showQuickAddInvoice();">
				{$smarty.const.TRANS_ADD_SINGLE_INVOICE}
			</a>
			</span>
		</td>
	</tr>
	</table>

</div>{* box07 *}