{* $Id: packageSummary.tpl 11991 2007-09-27 16:31:20Z kbailey $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}
{t c="TRANS_CREATE_NEW_PACKAGE" d="Create New Package"}
{t c="TRANS_IMPORT_EXISTING_PACKAGE" d="Import Existing Package"}
{t c="TRANS_SHOW_ALL_PACKAGES" d="Show All Packages"}
{t c="TRANS_RESEND_PACKAGE_INFO_EMAIL" d="Resend Package Info Email"}
{t c="TRANS_CHOOSE_PACKAGE_AND_SERVER" d="Choose Package and Server"}
{t c="TRANS_PACKAGE_INFO_EMAIL_RESENT_SUCCESSFULLY" d="The package info email resent successfully."}
{t c="TRANS_PACKAGE_INFO_EMAIL_RESENT_SUCCESSFULLY" d="The package info email was not resent successfully."}

<div class="box07" style="background-color:#EEEDE9">
	<div class="st01"><h1>{$smarty.const.TRANS_PACKAGE_SUMMARY}</h1></div>

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabTight">

	{assign var=reset value="true"}
	{foreach from=$packageStatuses key=statusID item=num}
		<tr class="{cycle values="alt1,alt2" reset=$reset}">
			<td width="45%">
					<a href="{getHREF page="packages.php" actionName="ShowPackages" args="clientID=$clientID&packageStatus=$statusID"}">{$statusID|getStatusName:"package"}</a>:
			</td>
			<td>{$num}</td>
		</tr>
		{assign var=reset value="false"}
	{/foreach}

	{if count($packageStatuses) != 1}
		<tr class="{cycle values="alt1,alt2" reset=$reset}">
			<td width="45%">
					<a href="{getHREF page="packages.php" actionName="ShowPackages" args="clientID=$clientID"}">{$smarty.const.TRANS_TOTAL}</a>:
			</td>
			<td>{array_sum array=$packageStatuses}</td>
		</tr>
	{/if}

	</table>

	{assign var=p value=$client.clientID}
	<table border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr>
		<td>	
			{assign var=p value=$client.clientID}
			{strip}
			<span class="actionlink">
			<img src="{$imageDirectory}/ico/package_add.gif" width="16" height="16" alt="{$smarty.const.TRANS_CREATE_NEW_PACKAGE}" title="{$smarty.const.TRANS_CREATE_NEW_PACKAGE}" style="vertical-align:middle;border-style:none;margin-right: 4px;" />
			&nbsp;
			{if $productCount>20}
				<a href="{getHREF page="products.php" actionName="ShowProducts" args="clientID=`$clientID`&mode=1"}">
					{$smarty.const.TRANS_CREATE_NEW_PACKAGE}
				</a>
			{else}
				<a href="javascript:void(0);" onclick="addPackage(event, 'mode=1');">
					{$smarty.const.TRANS_CREATE_NEW_PACKAGE}
				</a>
			{/if}
			</span>
			<br />
			<span class="actionlink">
			<img src="{$imageDirectory}/ico/package_new.gif" width="16" height="16" alt="{$smarty.const.TRANS_IMPORT_EXISTING_PACKAGE}" title="{$smarty.const.TRANS_IMPORT_EXISTING_PACKAGE}" style="vertical-align:middle;border-style:none;margin-right: 4px;" />
			&nbsp;
			{if $productCount>20}
				<a href="{getHREF page="products.php" actionName="ShowProducts" args="clientID=`$clientID`&mode=2"}">
					{$smarty.const.TRANS_IMPORT_EXISTING_PACKAGE}
				</a>
			{else}
				<a href="javascript:void(0);" onclick="addPackage(event, 'mode=2');">
					{$smarty.const.TRANS_IMPORT_EXISTING_PACKAGE}
				</a>
			{/if}
			</span>
			<br />
			{/strip}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="packages.php"
				actionName="ShowPackages"
				args="clientID=$p"
				icoImage="package_view.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_SHOW_ALL_PACKAGES"
				titleText=""
				linkText="TRANS_SHOW_ALL_PACKAGES"}
		
			<br />
			<span class="actionlink">
			<img src="{$imageDirectory}/ico/attributes.gif" width="16" height="16" alt="{$smarty.const.TRANS_RESEND_PACKAGE_INFO_EMAIL}" title="{$smarty.const.TRANS_RESEND_PACKAGE_INFO_EMAIL}" style="vertical-align:middle;border-style:none;margin-right: 4px;" />
			<a href="javascript:showResendPackageInfoEmail();">
				{$smarty.const.TRANS_RESEND_PACKAGE_INFO_EMAIL}
			</a>
			</span>
			{if $resendPackageInfoEmailMessage}
				<div class="highlight">{$resendPackageInfoEmailMessage|constant|default:$resendPackageInfoEmailMessage}</div>
			{/if}
			
<span id="resendPackageInfoEmailContainer" style="visibility: hidden; display: none; position: absolute; background-color: #fff; border: 1px outset #000;">
	<table border="0" cellpadding="1" cellspacing="1" class="overLibRepTab">
	<tr>
		<th id="resendPackageInfoEmailContainerHandle" style="cursor: pointer; text-align: left;" valign="middle">
			<span style="float: right; cursor: pointer;" onclick="hideobjbyid('resendPackageInfoEmailContainer');">
				<img src="{$imageDirectory}/ico/remove.gif" width="16" height="16" border="0" alt="" />
			</span>
			<span>{$smarty.const.TRANS_CHOOSE_PACKAGE_AND_SERVER}</span>
		</th>
	</tr>
	<tr>
		<td>
			<span style="color: #000;">
			{foreach item="packageServer" key="k" from=$resendEmailPackages}
				<a href="clients.php?clientID={$smarty.request.clientID}&sid={$sid}&packageID={$packageServer.packageID}&configGroupID={$packageServer.configGroupID}&resendPackageInfoEmail=1&action={getActionID action="ShowClientDetails"}">{$packageServer.packageName} - {$packageServer.serverGroupName} :: {$packageServer.serverName}</a>
			{/foreach}
			</span>
		</td>
	</tr>
	</table>
</span>
<script language="javascript">
<!--
	new Draggable('resendPackageInfoEmailContainer',{literal}{{/literal}handle:'resendPackageInfoEmailContainerHandle'{literal}}{/literal});
	
	function showResendPackageInfoEmail(){literal}{{/literal}
		XKPopoverElement('resendPackageInfoEmailContainer');
	{literal}}{/literal}
	
// -->
</script>
		</td>
	</tr>
	</table>

</div>{* box07 *}