{* $Id: coupon.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display the client context bar.
 *
 * Smarty Variables:
 *	$coupon		array of coupon information
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/context/coupon.tpl" coupon=$coupon}
 *}
{t c="TRANS_COUPON_ID" d="Coupon ID"}
{t c="TRANS_COUPON_CODE" d="Coupon Code"}
{t c="TRANS_COUPON_TYPE" d="Coupon Type"}
{t c="TRANS_COUPON_DISCOUNT" d="Coupon Discount"}

{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_REMOVE" d="Remove"}

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<tbody>
<tr class="headerRow">
	<th scope="col">{$smarty.const.TRANS_COUPON_ID}</th>
	<th scope="col">{$smarty.const.TRANS_COUPON_CODE}</th>
	<th scope="col">{$smarty.const.TRANS_COUPON_TYPE}</th>
	<th scope="col">{$smarty.const.TRANS_COUPON_DISCOUNT}</th>
	<th scope="col">{$smarty.const.TRANS_ACTIONS}</th>
</tr>
<tr class="alt1">
	<td>{$coupon.couponID}</td>
	<td>{$coupon.couponCode}</td>
	<td>{$coupon.couponType|getTypeName:"coupon"}</td>
	<td>{$coupon.couponDiscount}</td>
	<td class="nowrap">
		{assign var="couponID" value=$coupon.couponID}
		{strip}
		<a href="{getHREF page="products.php" actionName="EditCoupon" args="couponID=$couponID"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		</a>
		&nbsp;
		<a href="{getHREF page="products.php" actionName="RemoveCoupon" args="couponID=$couponID"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</a>
		{/strip}
	</td>
</tr>
</table>