{* $Id: faq.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display the FAQ context bar.
 *
 * Smarty Variables:
 *	$faq		array of FAQ information
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/context/faq.tpl" faq=$faq}
 *}

{t c="TRANS_FAQ" d="FAQ"}
{t c="TRANS_EDIT_FAQ" d="Edit FAQ"}
{t c="TRANS_CATEGORY" d="Category"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_QUESTION" d="Question"}
{t c="TRANS_ANSWER" d="Answer"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_REMOVE" d="Remove"}

<fieldset>
<legend>{$smarty.const.TRANS_FAQ}</legend>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tbody id="faq_context_{$faq.faqCategoryID}_{$faqID}">
<tr>
<td>
	<table summary="{$smarty.const.TRANS_FAQ_DATA}" width="100%" class="list">
		<tr>
			<td class="title">{$smarty.const.TRANS_ACTIONS}</td>
			<td>
				{assign var="faqID" value=$faq.faqID}
				{strip}
				<a href="{getHREF page="faqs.php" actionName="EditFAQ" args="faqID=$faqID"}">
					<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0"
						alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
				</a>
				&nbsp;
				<a href="{getHREF page="faqs.php" actionName="RemoveFAQ" args="faqID=$faqID"}">
					<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0"
						alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
				</a>
				{/strip}
			</td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_CATEGORY}</td>
			<td>{$faq.faqCategoryName}</td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_QUESTION}</td>
			<td>{$faq.faqQuestion}</td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_ANSWER}</td>
			<td>{$faq.faqAnswer}</td>
		</tr>
		<tr>
			<td class="title">{$smarty.const.TRANS_DATE_CREATED}</td>
			<td>{$faq.faqDateCreated|getDateTime}</td>
		</tr>

	</table>
</td>
</tr>
</tbody>
</table>