{* $Id: product.tpl 12403 2007-12-28 17:46:28Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display the client context bar.
 *
 * Smarty Variables:
 *	$client		array of client information
 * $contact		array of contact information
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/context/product.tpl" product=$product types=$types activeInactive=$activeInactive}
 *}
{t c="TRANS_PRODUCTID" d="Product ID"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_PRODUCTID" d="Product ID"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_REMOVE" d="Remove"}

{assign var="productID" value=$product.productID}
{assign var="productTypes" value="products"|getTypes}

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerClass="firstTD" headerName="TRANS_PRODUCTID"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="40%" headerName="TRANS_PRODUCT_NAME"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="20%" headerName="TRANS_PRODUCT_TYPE"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerName="TRANS_STATUS"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="20%" headerClass="lastTD" headerName="TRANS_ACTIONS"}
</tr>
</thead>
<tr class="althover">
	<td class="listRowFirstTD">
		<strong>
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="products.php"
				actionName="ShowProductDetails"
				args="productID=$productID"
				altText=$productID
				linkText=$productID
			}
		</strong>
	</td>
	<td>
		{$product.productName}
	</td>
	<td>
		{$productTypes[$product.productType]}
	</td>
	<td>
		{assign var="thisStatus" value=$product.productActive} {$activeInactive.$thisStatus}
	</td>
	<td>
		{strip}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="products.php"
			actionName="ShowProductDetails"
			args="productID=$productID"
			icoImage="view"
			icoWidth=""
			icoHeight=""
			icoStyle=""
			altText="TRANS_DETAILS"
			titleText=""
			linkText="TRANS_DETAILS"
			noSpace="1"
		}
		&nbsp;
		{*
		 we don't want to remove products!
		 include file="$tplDirectory/widgets/actionLink.tpl"
			page="products.php"
			actionName="RemoveProduct"
			args="productID=$productID"
			icoImage="remove"
			icoWidth=""
			icoHeight=""
			icoStyle=""
			altText="TRANS_REMOVE"
			titleText=""
			linkText="TRANS_REMOVE"
			noSpace="1"
		*}
		{/strip}
	</td>
</tr>
</table>

<br />
