{t c="TRANS_ASSOCIATE_WITH_SERVICE" d="Associate with service"}
{t c="TRANS_CHOOSE_SERVER" d="Choose Server"}

{t c="TRANS_REPROVISION_SERVICE" d="Reprovision Service"}

{************************** TRANS_PACKAGE_ATTRIBUTES **************************}
<fieldset>
<legend><strong>{$smarty.const.TRANS_PACKAGE_ATTRIBUTES}</strong></legend>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tr>
	<td>
		{foreach key="serverGroupID" item="attributes" from=$allAttributes.package}
			<fieldset>
			<legend>{$serverGroupList.$serverGroupID}{if $attributes.packageUsername.configGroupID>0} - <a href="packages.php?sid={$sid}&action={getActionID action="ShowPackageDetails"}&packageID={$packageInfo.packageID}&configGroupID={$attributes.packageUsername.configGroupID}&resendPackageInfoEmail=1">{$smarty.const.TRANS_RESEND_INFO_EMAIL}</a>
			 - <a href="packages.php?sid={$sid}&action={getActionID action="ShowPackageDetails"}&packageID={$packageInfo.packageID}&reprovisionServerGroupID={$serverGroupID}">{$smarty.const.TRANS_REPROVISION_SERVICE}</a>
{/if}</legend>
			<table width="100%" cellspacing="0" class="list">
				<tr class="headerRow" style="white-space: nowrap;">
					<td width="50%">{$smarty.const.TRANS_ATTRIBUTE_DISPLAY_NAME}</td>
					<td>{$smarty.const.TRANS_ATTRIBUTE_INTERNAL_VALUE}</td>
				</tr>
				{foreach key="attributeName" item="attribute" from=$attributes}
					<tr class="{if $thisClass=="alt2"}alt1{assign var="thisClass" value="alt1"}{else}alt2{assign var="thisClass" value="alt2"}{/if}">
						<td class="title" title="{$attributeName}">{$attributeName|getHumanReadable}:</td>
						<td>{$attribute.packageAttributeValue}</td>
					</tr>
					{foreach key="x" item="subAttribute" from=$allAttributes.addon.$serverGroupID.$attributeName}
						<tr class="{if $thisClass=="alt2"}alt1{assign var="thisClass" value="alt1"}{else}alt2{assign var="thisClass" value="alt2"}{/if}">
							<td class="title"><div title="{$subAttribute.packageAttributeName}" style="margin-left: 5px;"><img title="{$smarty.const.TRANS_ADDON_ATTRIBUTE}" src="{$imageDirectory}/ico/arrow_right_blue.gif" />{$subAttribute.packageAttributeName|getHumanReadable}</div></td>
							<td>{$subAttribute.packageAttributeValue}</td>
						</tr>
					{/foreach}
				{/foreach}
			</table>
			</fieldset>
		{foreachelse}
			{$smarty.const.TRANS_NO_ATTRIBUTES}
		{/foreach}
		<form method="post" action="packages.php">
			<input type="hidden" name="packageID" value="{$packageInfo.packageID}" />
			<input type="hidden" name="action" value="{getActionID action="EditPackageResponse"}" />
			<input type="hidden" name="sid" value="{$sid}" />
			<input type="hidden" name="task" value="serverassociate" />
			<fieldset>
			<legend>{$smarty.const.TRANS_ASSOCIATE_WITH_SERVICE}</legend>
			<table width="100%" cellspacing="0" class="list">
				<tr>
					<td class="title">{$smarty.const.TRANS_CHOOSE_SERVER}:</td>
					<td><select name="serverID">
						{html_options options=$serverGroupServersList}
					</select></td>
				</tr>
				<tr>
					<td class="title">{$smarty.const.TRANS_USERNAME}:</td>
					<td><input type="text" name="domainUserName" value="{$allAttributes.package.0.packageUsername.packageAttributeValue}" /></td>
				</tr>
				<tr class="listButtons">
					<td colspan="2"><div><input type="submit" class="submit" value="{$smarty.const.TRANS_ASSOCIATE_WITH_SERVICE}" /></div></td>
				</tr>
			</table>
			</fieldset>
		</form>
	</td>
</tr>
</table>
</fieldset>