{************************** TRANS_PAYMENT_INFORMATION **************************}

{t c="TRANS_SHARE_VALUE" d="Share Value"}
{t c="TRANS_SHARE_PERCENTAGE_EXPLAINED" d="Calculated After Each Save"}

{if $paymentQueueSettings.enable_advanced_share_editing==1}
	{assign var="advancedShares" value=1}
{else}
	{assign var="advancedShares" value=0}
{/if}

<script language="javascript">
<!--

{literal}

function getSharePercentage(){
	var x = currentSliderTargetObj;
	alert("changed: "+currentSliderTargetObj.value);

}

{/literal}

//-->
</script>

<fieldset>
<legend>{$smarty.const.TRANS_PAYMENT_INFORMATION}</legend>

<form method="post" name="editShares" action="packages.php">
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" name="action" value="{getActionID action="UpdatePackageBillingSharesResponse"}" />
	<input type="hidden" name="packageID" value="{$packageInfo.packageID}" />

	{if $advancedShares}
			<table cellspacing="0" cellpadding="0" width="100%" class="list">
				<tr class="headerRow">
					<td>{$smarty.const.TRANS_SHARE_VALUE}</td>
					<td>{$smarty.const.TRANS_PERCENTAGE}</td>
					<td colspan="2">{$smarty.const.TRANS_BILLING_ACCOUNT}</td>
				</tr>
			{foreach key="billingAccountID" item="billingAccount" from=$billingAccounts}
				{assign var="share" value=$keyedShares[$billingAccountID]}
				<tr>
					<td>{include file="$tplDirectory/widgets/formSlider.tpl"
						formName="editShares"
						formFieldName="shareValue_`$billingAccountID`"
						sliderBoxWidth="118"
						sliderBoxHeight="8"
						sliderWidth="16"
						sliderHeight="6"
						orientation="horizontal"
						valueInBox="no"
						fieldType="text"
						fieldSize=25
						sliderMin=0
						sliderMax=100
						sliderFontSize="1pt"
						sliderValue=$share.billingAccountShareValue}</td>
					<td>{$sharePercentages[$share.billingAccountShareGroup][$share.billingAccountShareID]*1}% *</td>
					<td colspan="2">({$smarty.const.TRANS_ID}: {$billingAccountID}) {$billingAccount.typeName}</td>
				</tr>
			
			{/foreach}
				<tr class="listButtons">
					<td colspan="4"><div>* {$smarty.const.TRANS_SHARE_PERCENTAGE_EXPLAINED} <input class="submit" type="submit" value="{$smarty.const.TRANS_SAVE}" /></div></td>
				</tr>
			</table>
	{else}
			<table cellspacing="0" cellpadding="0" width="100%" class="list">
				<tr>
					<td class="title">{$smarty.const.TRANS_BILLING_ACCOUNT}</td>
					<td><select name="billingAccountID">
			{foreach key="billingAccountID" item="billingAccount" from=$billingAccounts}
				{assign var="share" value=$keyedShares[$billingAccountID]}
					<option value="{$billingAccountID}"{if $sharePercentages[$share.billingAccountShareGroup][$share.billingAccountShareID]>0} selected="selected"{/if}>
					({$smarty.const.TRANS_ID}: {$billingAccountID}) {$billingAccount.typeName}</option>
			{/foreach}
						</select></td>
				</tr>
				<tr class="listButtons">
					<td colspan="2"><div><input class="submit" type="submit" value="{$smarty.const.TRANS_SAVE}" /></div></td>
				</tr>
			</table>
		
	{/if}
	
</form>
</fieldset>
