{* $Id: AddProductAddon.tpl 12437 2008-01-08 19:23:08Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{t c="TRANS_ADD_ADDONS" d="Add Addons"}

{t c="TRANS_NEW_ADDON_LABEL" d="New Addon Label"}
{t c="TRANS_ADDON" d="Addon"}
{t c="TRANS_NEW_ADDON_DISPLAY_TYPE" d="Display Type"}
{t c="TRANS_RADIO_BUTTONS" d="Radio Buttons"}
{t c="TRANS_SELECT_MENU" d="Select Menu"}
{t c="TRANS_CHECKBOXES" d="Checkboxes"}
{t c="TRANS_HOW_MANY_CHOICES" d="How many choices do you need?"}
{t c="TRANS_CHOICES_AND_VALUES" d="Choices and Values"}
{t c="TRANS_SET_ADDON_PRICING" d="Set Addon Pricing"}
{t c="TRANS_ASSOCIATE_OTHER_PRODUCTS" d="Associate Other Products"}
{t c="TRANS_NO_OTHER_MATCHING_PRODUCTS" d="There are no other matching products."}
{t c="TRANS_OTHER_PRODUCTS" d="Other Products"}
{t c="TRANS_CHECK_SERVER_GROUP_AND_SERVERS" d="Sorry, this product does not seem to have a valid server group associated with it.  Please make sure you have a server group assigned, AND that server group has a valid panel added to it."}


{t c="TRANS_PANEL_ATTRIBUE_TO_CHANGE" d="Panel Attribute to Change?"}
{t c="TRANS_NEW_OR_UPDATE_EXISTING_ADDON" d="New or Update Existing Addon"}
{t c="TRANS_ADDON_HTML_DISPLAY_TYPE" d="Addon HTML Display Type"}
{t c="TRANS_ADDON_DISPLAY_LABEL" d="Addon Display Label"}
{t c="TRANS_HOW_MANY_OPTIONS" d="How Many Options Do You Need?"}

{t c="TRANS_SET_CONFIGURATION_OPTIONS" d="Set Configuration Options"}
{t c="TRANS_OPTION_DISPLAY_NAME" d="Option Display Name"}
{t c="TRANS_OPTION_INTERNAL_VALUES" d="Option Internal Value(s)"}
{t c="TRANS_SET_OPTION_PRICING" d="Set Option Pricing"}
{t c="TRANS_OPTION" d="Option"}

{t c="TRANS_ASSIGN_THIS_ADDON_TO_OTHER_SIMILAR_PRODUCTS" d="Assign this addon to other similar products *"}
{t c="TRANS_ASSIGN_THIS_ADDON_TO_OTHER_SIMILAR_PRODUCTS_DESC" d="This addon can be assigned to other products that have the same server groups, order forms, and cycles."}


{include file="$tplDirectory/widgets/products/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/products/AddonsHeader.tpl" suppressCreateAddons=1}

{include file="$tplDirectory/widgets/products/ProductSteps.tpl" productButtons=$addonButtons noContext=1}


{if $step==1}

	{if $invalidQuestions=="invalid"}
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
	<tr>
		<td>{$smarty.const.TRANS_CHECK_SERVER_GROUP_AND_SERVERS}</td>
	</tr>
</table>
	{else}


<form method="post" action="products.php">
<input type="hidden" name="step" value="2" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="AddProductAddon"}" />
<input type="hidden" name="productID" value="{$product.productID}" />

<script language="javascript" type="text/javascript" charset="utf-8">
<!--
{literal}
function checkGroupChange(s){
	if (s.selectedIndex==0){
		showobjbyid('newGroup');
	} else {
		hideobjbyid('newGroup');
	}
}
{/literal}
//-->
</script>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">

	<tr>
		<td class="title">{$smarty.const.TRANS_PANEL_ATTRIBUE_TO_CHANGE}</td>
		<td><select name="attributeID">
			{html_options options=$chooseAttributes}
		</select></td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_NEW_OR_UPDATE_EXISTING_ADDON}</td>
		<td><select name="addonGroupID" onchange="checkGroupChange(this);">
			{html_options options=$chooseGroups selected=$selectedGroup}
		</select></td>
	</tr>
	<tbody id="newGroup"{if $selectedGroup>0} style="visibility: hidden; display: none;"{/if}>
	<tr>
		<td class="title">{$smarty.const.TRANS_ADDON_HTML_DISPLAY_TYPE}</td>
		<td><select name="newGroupDisplayType">
			<option value="r">{$smarty.const.TRANS_RADIO_BUTTONS}</option>
			<option value="s">{$smarty.const.TRANS_SELECT_MENU}</option>
			<option value="c">{$smarty.const.TRANS_CHECKBOXES}</option>
		</select></td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_ADDON_DISPLAY_LABEL}</td>
		<td><input type="text" name="newGroupLabel" value=""></td>
	</tr>
	</tbody>
	
	<tr>
		<td class="title">{$smarty.const.TRANS_HOW_MANY_OPTIONS}</td>
		<td><select name="numAddons">
				<option value="1">1</option>
				<option value="2">2</option>
				<option value="3">3</option>
				<option value="4">4</option>
				<option value="5">5</option>
			</select></td>
	</tr>

	<tr class="listButtons">
		<td colspan="2"><div><input class="submit" type="submit" value="{$smarty.const.TRANS_NEXT}"> <!-- <input class="button" type="button" value="{$smarty.const.TRANS_BACK}" onclick="history.go(-1);"> --></div></td>
	</tr>

</table>

</form>

	{/if}

{elseif $step==2}

<form method="post" action="products.php">
<input type="hidden" name="step" value="3" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="AddProductAddon"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="addonGroupID" value="{$addonGroupID}" />
<input type="hidden" name="attributeID" value="{$attributeID}" />
<input type="hidden" name="newGroupLabel" value="{$newGroupLabel}" />
<input type="hidden" name="newGroupDisplayType" value="{$newGroupDisplayType}" />
<input type="hidden" name="numAddons" value="{$numAddons}" />

<script language="javascript" type="text/javascript" charset="utf-8">
<!--

//-->
</script>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
	
	
	<tr>
		<td class="title">{$smarty.const.TRANS_SET_CONFIGURATION_OPTIONS}</td>
		<td>
			<table width="100%" class="list">
				<tr>
					<td class="title">{$smarty.const.TRANS_OPTION_DISPLAY_NAME}</td>
					<td class="title">{$smarty.const.TRANS_OPTION_INTERNAL_VALUES}</td>
				</tr>
		{section name="i" loop=$choices}
				<tr>
					<td class="title"><input type="text" name="addonNames[{$smarty.section.i.index}]" value="{$smarty.const.TRANS_NAME} {$choices[i].num+1}" /></td>
					<td>{$choices[i].question}</td>
				</tr>
		{/section}
			</table>
		</td>
	</tr>

	<tr class="listButtons">
		<td colspan="2"><div><input class="button" type="button" value="{$smarty.const.TRANS_BACK}" onclick="history.go(-1);"> <input class="submit" type="submit" value="{$smarty.const.TRANS_NEXT}"></div></td>
	</tr>

</table>

</form>

	

{elseif $step==3}


<form method="post" action="products.php">
<input type="hidden" name="step" value="4" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="AddProductAddon"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="addonGroupID" value="{$addonGroupID}" />
<input type="hidden" name="attributeID" value="{$attributeID}" />
<input type="hidden" name="newGroupLabel" value="{$newGroupLabel}" />
<input type="hidden" name="newGroupDisplayType" value="{$newGroupDisplayType}" />
<input type="hidden" name="numAddons" value="{$numAddons}" />

<script language="javascript" type="text/javascript" charset="utf-8">
<!--

//-->
</script>

<fieldset>
<legend>{$smarty.const.TRANS_SET_OPTION_PRICING}</legend>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
	
	{section name="i" loop=$addonNames}

	<tr>
		<td class="title">{$smarty.const.TRANS_OPTION}:<br />{$addonNames[i]}
		<input type="hidden" name="addons[{$smarty.section.i.index}][name]" value="{$addonNames[i]}" />
		<input type="hidden" name="addons[{$smarty.section.i.index}][value]" value="{$addonValues[i]}" />
		</td>
		<td>

		<table width="100%" class="list">
		
			{foreach from=$currencies key=id item=currencyID}

			<tr>
				<td class="titlesmall">{$currencyID}</td>
				<td>
					<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">

				{foreach from=$cycles key=id2 item=cycleID}

						<tr>
							<td class="titlesmall">{$allCycles.$cycleID}</td>
							<td>
								<table border="0" cellpadding="0" cellspacing="0" class="list">

									<tr>
										<td class="titlesmall">{$priceTypes.0}</td>
										<td><input name="addons[{$smarty.section.i.index}][prices][{$currencyID}][{$cycleID}][0]" size="18" type="text" value="{$prices.0|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" /></td>
									</tr>


									<tr>
										<td class="titlesmall">{$priceTypes.1}</td>
										<td><input name="addons[{$smarty.section.i.index}][prices][{$currencyID}][{$cycleID}][1]" size="18" type="text" value="{$prices.0|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" /></td>
									</tr>

								</table>
							</td>
						</tr>

				{foreachelse}
				{$smarty.const.TRANS_NEED_CYCLES}
				{/foreach}

					</table>
				</td>
			</tr>
			{foreachelse}
			{$smarty.const.TRANS_NEED_ORDER_FORMS}
			{/foreach}

		</table>
		
		</td>
	</tr>


	{/section}

	<tr class="listButtons">
		<td colspan="2"><div><input class="button" type="button" value="{$smarty.const.TRANS_BACK}" onclick="history.go(-1);"> <input class="submit" type="submit" value="{$smarty.const.TRANS_NEXT}"></div></td>
	</tr>

</table>
</fieldset>

</form>



{elseif $step==4}


<form method="post" action="products.php">
<input type="hidden" name="step" value="5" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="AddProductAddonResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="addonGroupID" value="{$addonGroupID}" />
<input type="hidden" name="attributeID" value="{$attributeID}" />
<input type="hidden" name="newGroupLabel" value="{$newGroupLabel}" />
<input type="hidden" name="newGroupDisplayType" value="{$newGroupDisplayType}" />
<input type="hidden" name="numAddons" value="{$numAddons}" />
<input type="hidden" name="addons" value="{$addons}" />

<script language="javascript" type="text/javascript" charset="utf-8">
<!--

//-->
</script>

<fieldset>
<legend>{$smarty.const.TRANS_ASSIGN_THIS_ADDON_TO_OTHER_SIMILAR_PRODUCTS}</legend>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
	
	<tr>
		<td class="title">{$smarty.const.TRANS_OTHER_PRODUCTS}</td>
		<td>
		
			<ul>
				{section name="i" loop=$otherProducts}
					<li class="{cycle values="alt1,alt2"}"><input type="checkbox" name="products[]" value="{$otherProducts[i].productID}"> - {$otherProducts[i].productName}</li>
				{sectionelse}
					<li>{$smarty.const.TRANS_NO_OTHER_MATCHING_PRODUCTS}</li>
				{/section}
			</ul>

		</td>
	</tr>


	<tr class="listButtons">
		<td colspan="2"><div><input class="button" type="button" value="{$smarty.const.TRANS_BACK}" onclick="history.go(-1);"> <input class="submit" type="submit" value="{$smarty.const.TRANS_FINISH}"><br /><br />
			<div class="box06">{$smarty.const.TRANS_ASSIGN_THIS_ADDON_TO_OTHER_SIMILAR_PRODUCTS_DESC}</div></div></td>
	</tr>

</table>
</fieldset>
</form>




{/if}

{include file="$tplDirectory/widgets/products/footer.tpl"}

