{* $Id: EditLedgerGroups.tpl 12604 2008-02-04 22:10:19Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_EDIT_PRODUCT_CYCLES" d="Edit Product Cycles"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_PRODUCTID" d="Product ID"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PRODUCTS" d="Show Products"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_UNDEFINED" d="Undefined"}
{t c="TRANS_REGULAR" d="Regular"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_CERT" d="Cert"}
{t c="TRANS_EDIT_PRODUCT" d="Edit Product"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DISPLAY_ORDER" d="Display Order"}
{t c="TRANS_STOP_NUM_CYCLES" d="Last Cycle"}
{t c="TRANS_PRORATABLE" d="Proratable"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_SIGNUP_EMAIL" d="Signup Email"}
{t c="TRANS_WELCOME_EMAIL" d="Welcome Email"}
{t c="TRANS_CHILDREN" d="Children"}
{t c="TRANS_ORDER_FORMS" d="Order Forms"}
{t c="TRANS_SERVER_GROUPS" d="Server Groups"}
{t c="TRANS_CYCLES" d="Cycles"}
{t c="TRANS_TLDS" d="TLDs"}
{t c="TRANS_SELECTED" d="Selected"}
{t c="TRANS_SELECTABLE" d="Selectable"}
{t c="TRANS_EXPLAIN_CYCLES" d="Explain Cycles"}
{t c="TRANS_CYCLES_EXPLANATION_RELATING" d="<p>Selecting a <dfn>cycle</dfn> allows people to order this product for the selected cycle as long as there is a price set for the order's cycle and currency. The price editor will ask for prices for all combinations of cycles and currencies. Therefore, the cycles should be set before editing pricing.</p><p>Note that on TLDs, the cycles allowed by individual TLD variants are only allowed the cycles within the cycle range specified for the TLD of the variant.</p>"}

{include file="$tplDirectory/widgets/products/header.tpl"}

{section name=i loop="$productVariants"}
{assign var="productVariantID" value=$productVariants[i].productVariantID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<br />

<fieldset>
<legend>{$productVariants[i].productVariantDisplayName} ({$productVariants[i].productVariantActive|getArrayValueByID:$activeInactive})</legend>

<table border="0" width="100%" class="list">
		{assign var="groups" value=$productVariants[i].ledgerGroups}
		{section name=j loop=$groups}
			<tr>
				<td class="{if $smarty.section.j.index%2==0}alt1{else}alt2{/if}">
						<a href="{getHREF page="products.php" actionName="EditLedgerGroupEntries" args="productVariantID=$productVariantID&ledgerGroupID=`$groups[j].ledgerGroupID`"}">{$groups[j].ledgerGroupName}</a>
				</td>
				<td class="{if $smarty.section.j.index%2==0}alt1{else}alt2{/if}">
					<a href="{getHREF page="products.php" actionName="EditLedgerGroupEntries" args="productVariantID=$productVariantID&ledgerGroupID=`$groups[j].ledgerGroupID`"}"><img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" /></a>
					<a href="{getHREF page="products.php" actionName="RemoveLedgerGroup" args="productVariantID=$productVariantID&ledgerGroupID=`$groups[j].ledgerGroupID`"}"><img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DELETE}" title="{$smarty.const.TRANS_DELETE}" /></a>
				</td>
			</tr>
		{/section}
			<tr class="listButtons">
				<td colspan="2"><div><input class="button" type="button" value="{$smarty.const.TRANS_ADD_LEDGER_ENTRY_GROUP}" onclick="document.location.href='{getHREF page="products.php" actionName="EditLedgerGroupEntries" args="ledgerGroupID=0&productVariantID=$productVariantID"}';" /></div></td>
			</tr>
	</table>
{/section}
</fieldset>

{include file="$tplDirectory/widgets/products/footer.tpl"}
