{* $Id: EditProductAttributes.tpl 12304 2007-12-03 20:30:16Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_SAVE_CHANGES" d="Save Changes"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_PRODUCTID" d="Product ID"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PRODUCTS" d="Show Products"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_UNDEFINED" d="Undefined"}
{t c="TRANS_REGULAR" d="Regular"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_CERT" d="Cert"}
{t c="TRANS_EDIT_PRODUCT" d="Edit Product"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DISPLAY_ORDER" d="Display Order"}
{t c="TRANS_STOP_NUM_CYCLES" d="Last Cycle"}
{t c="TRANS_PRORATABLE" d="Proratable"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_SIGNUP_EMAIL" d="Signup Email"}
{t c="TRANS_WELCOME_EMAIL" d="Welcome Email"}
{t c="TRANS_CHILDREN" d="Children"}
{t c="TRANS_ORDER_FORMS" d="Order Forms"}
{t c="TRANS_SERVER_GROUPS" d="Server Groups"}
{t c="TRANS_CYCLES" d="Cycles"}
{t c="TRANS_SELECTED" d="Selected"}
{t c="TRANS_SELECTABLE" d="Selectable"}
{t c="TRANS_GENERIC_ATTRIBUTES" d="Generic Attributes"}
{t c="TRANS_VALUE" d="Value"}
{t c="TRANS_NEW" d="New"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_PANEL_ATTRIBUTES" d="Panel Attributes"}


{include file="$tplDirectory/widgets/products/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<script language="javascript">
<!--
var multiSelects = new Array();
//-->
</script>

<form method="post" name="wizard" action="products.php" onsubmit="XKselectAllOptionsInMultiSelects(this);">
<input type="hidden" name="action" value="{getActionID action="EditPanelAttributeResponse"}" />
<input type="hidden" name="productID" value="{$productID}" />
<input type="hidden" name="sid" value="{$sid}" />

{if $product.productAddonGroupID==0}

<fieldset>
<legend>{$smarty.const.TRANS_GENERIC_ATTRIBUTES}</legend>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<tbody>
<tr class="headerRow">
	<td>{$smarty.const.TRANS_NAME}</td>
	<td>{$smarty.const.TRANS_VALUE}</td>
	<td>{$smarty.const.TRANS_ACTIONS}</td>
</tr>
{section name=a loop="$genericAttributes"}
	{assign var=attribute value=$genericAttributes[a]}
	{assign var=attrID value=$attribute.productAttributeID}
	{assign var=input value="ga$attrID"}
<tr class="{cycle values="alt1,alt2"}">
	<td class="title">{$attribute.productAttributeName}</td>
	<td>
		{$attribute.productAttributeValue}
	</td>
	<td>
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			useEditIcon=1
			editID=$attrID
			editKey="productAttributeID"
			editActionName="EditGenericAttributeResponse"
			editName="TRANS_VALUE"
			editColumn="productAttributeValue"
			editValue=$attribute.productAttributeValue
			extraparam="productID"
			extravalue="$productID"}
		&nbsp;
		<a href="{getHREF page="products.php" actionName="RemoveProductAttribute" args="productAttributeID=$attrID&productID=$productID&loadActionFile=products"}&loadActionID={getActionID action="EditProductAttributes"}">
			<img src="{$imageDirectory}/ico/remove.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</a>
	</td>
</tr>
{/section}
<tr>
	<td class="title">{$smarty.const.TRANS_NEW}</td>
	<td colspan="2">
		{include
			file="$tplDirectory/widgets/quickAddLink.tpl"
			useEditIcon=1
			addActionName="EditGenericAttributeResponse"
			addName="TRANS_NAME"
			addColumn="productAttributeName"
			addValue=""
			extraparam="productID"
			extravalue="$productID"}
	</td>
</tr>

</tbody>
</table>
</fieldset>

{/if}

<fieldset>
<legend>{$smarty.const.TRANS_ATTRIBUTES}</legend>
{* generated using wizard templates *}

{foreach item="attrs" from=$serverGroupAttributes}
	{if $attrs.type=="content"}
		{$attrs.data}
	{elseif $attrs.type=="include"}
		<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" summary="{$stepDescription}">
			<tr>
				<td class="title">
					{$attrs.serverGroupName}
				</th>
			</tr>
			<tr>
				<td>
					{include file=$attrs.file attributes=$attrs.attributes serverGroupID=$attrs.serverGroupID panelVariables=$attrs.panelVariables}
				</td>
			</tr>
		</table>
	{/if}
{foreachelse}

{/foreach}
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
	<tr class="listButtons">
		<td><div><input name="submit" value="{$smarty.const.TRANS_SAVE_CHANGES}" class="submit" type="submit" /></div></td>
	</tr>
</table>
</fieldset>

</form>

{include file="$tplDirectory/widgets/products/footer.tpl"}
