{* $Id: EditProductCoupons.tpl 9860 2006-10-30 21:39:34Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_EDIT_PRODUCT_COUPONS" d="Edit Product Coupons"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_PRODUCTID" d="Product ID"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PRODUCTS" d="Show Products"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_UNDEFINED" d="Undefined"}
{t c="TRANS_REGULAR" d="Regular"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_CERT" d="Cert"}
{t c="TRANS_EDIT_PRODUCT" d="Edit Product"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DISPLAY_ORDER" d="Display Order"}
{t c="TRANS_STOP_NUM_CYCLES" d="Last Cycle"}
{t c="TRANS_PRORATABLE" d="Proratable"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_SIGNUP_EMAIL" d="Signup Email"}
{t c="TRANS_WELCOME_EMAIL" d="Welcome Email"}
{t c="TRANS_CHILDREN" d="Children"}
{t c="TRANS_ORDER_FORMS" d="Order Forms"}
{t c="TRANS_SERVER_GROUPS" d="Server Groups"}
{t c="TRANS_CYCLES" d="Cycles"}
{t c="TRANS_COUPONS" d="Coupons"}
{t c="TRANS_SELECTED" d="Selected"}
{t c="TRANS_SELECTABLE" d="Selectable"}
{t c="TRANS_AUTOMATIC_COUPON" d="Automatic Coupon"}
{t c="TRANS_MANUAL_COUPONS" d="Manual Coupons"}
{t c="TRANS_EXPLAIN_PRODUCT_COUPONS" d="Explain Product Coupons"}
{t c="TRANS_PRODUCT_COUPONS_EXPLANATION_RELATING" d="<p><dfn>Automatic Coupon:</dfn> Select a coupon from the dropdown box that you would like to have automatically applied to every future order of this product.<br /><br /><dfn>Manual Coupons:</dfn> Select a coupon that you would like to associate with this product, but has to be applied manually by the client at the time of their order.<br /><br /><dfn>Tip:</dfn> Refer to the Coupons section of the documentation for steps on setting up and adding a coupon.</p>"}

{include file="$tplDirectory/widgets/products/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" name="EditProduct" action="products.php">
<input type="hidden" name="action" value="{getActionID action="EditProductCouponsResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
  <tbody>
    <tr>
      <td class="title"><label for="coupons">{$smarty.const.TRANS_AUTOMATIC_COUPON}</label></td>
      <td><select name="preAppliedCouponID">
        <option value="0"></option>

		{html_options options=$precoupons selected=$selectedPreCouponID}

      </select>      </td>
      <td rowspan="2"> {include file="$tplDirectory/widgets/showTips.tpl"
        title="TRANS_EXPLAIN_PRODUCT_COUPONS"
        msg="TRANS_PRODUCT_COUPONS_EXPLANATION_RELATING"
        width="100%"
        align="center"
        show="yes"}		</td>
    </tr>
    <tr {if $invalid.coupons}class="highlight"{/if}>
      <td class="title"><label for="coupons">{$smarty.const.TRANS_MANUAL_COUPONS}</label></td>
      <td> {include file="$tplDirectory/widgets/comboBox.tpl"
        comboTitleLeft=TRANS_SELECTED
        comboNameLeft="coupons"
        comboOptionsLeft=$selectedCoupons

        comboTitleRight=TRANS_SELECTABLE
        comboNameRight="selectableCoupons"
        comboOptionsRight=$selectableCoupons
        formName="EditProduct"
        submitName="suppress"
        }
        {$invalid.coupons} </td>
	</tr>
  </tbody>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
	<tr class="listButtons">
		<td><div><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE_CHANGES}" onclick="selectAllOptions(document.EditProduct.elements['coupons[]']);" /></div></td>
	</tr>
</table>
</form>

{include file="$tplDirectory/widgets/products/footer.tpl"}
