{* $Id: EditProductMiscellaneous.tpl 12740 2008-03-05 22:47:46Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_EDIT_PRODUCT_COUPONS" d="Edit Product Coupons"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_PRODUCTID" d="Product ID"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PRODUCTS" d="Show Products"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_UNDEFINED" d="Undefined"}
{t c="TRANS_REGULAR" d="Regular"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_CERT" d="Cert"}
{t c="TRANS_EDIT_PRODUCT" d="Edit Product"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DISPLAY_ORDER" d="Display Order"}
{t c="TRANS_STOP_NUM_CYCLES" d="Last Cycle"}
{t c="TRANS_PRORATABLE" d="Proratable"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_SIGNUP_EMAIL" d="Signup Email"}
{t c="TRANS_WELCOME_EMAIL" d="Welcome Email"}
{t c="TRANS_CHILDREN" d="Children"}
{t c="TRANS_ORDER_FORMS" d="Order Forms"}
{t c="TRANS_SERVER_GROUPS" d="Server Groups"}
{t c="TRANS_CYCLES" d="Cycles"}
{t c="TRANS_COUPONS" d="Coupons"}
{t c="TRANS_SELECTED" d="Selected"}
{t c="TRANS_SELECTABLE" d="Selectable"}
{t c="TRANS_AUTOMATIC_COUPON" d="Automatic Coupon"}
{t c="TRANS_MANUAL_COUPONS" d="Manual Coupons"}
{t c="TRANS_EXPLAIN_PRODUCT_COUPONS" d="Explain Product Coupons"}
{t c="TRANS_PRODUCT_COUPONS_EXPLANATION_RELATING" d="<p><dfn>Automatic Coupon:</dfn> Select a coupon from the dropdown box that you would like to have automatically applied to every future order of this product.<br /><br /><dfn>Manual Coupons:</dfn> Select a coupon that you would like to associate with this product, but has to be applied manually by the client at the time of their order.<br /><br /><dfn>Tip:</dfn> Refer to the Coupons section of the documentation for steps on setting up and adding a coupon.</p>"}

{t c="TRANS_PRODUCT_UPGRADE_DOWNGRADE_SETTINGS" d="Product Upgrade/Downgrade Settings"}
{t c="TRANS_PRODUCT_COUPON_SETTINGS" d="Product Coupon Settings"}
{t c="TRANS_PRODUCT_EMAIL_SETTINGS" d="Product Email Settings"}
{t c="TRANS_PRODUCT_NOTIFICATION_SETTINGS" d="Product Notification Settings"}
{t c="TRANS_PRODUCT_USAGE_PRICING" d="Product Usage Pricing"}

{include file="$tplDirectory/widgets/products/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" name="EditProduct" action="products.php" onsubmit="XKselectAllOptionsInMultiSelects(this);">
<input type="hidden" name="action" value="{getActionID action="EditProductMiscellaneousResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
<legend>{$smarty.const.TRANS_WEBSITE_WIDGETS}</legend>
	
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
	<tbody>
		<tr {if $invalid.coupons}class="highlight"{/if}>
		<td class="title"><label for="websiteWidgets">{$smarty.const.TRANS_WEBSITE_WIDGETS}: </label></td>
		<td> {include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="websiteWidgets"
			comboOptionsLeft=$websiteWidgets
	
			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableWebsiteWidgets"
			comboOptionsRight=$selectableWebsiteWidgets
			formName="EditProduct"
			submitName="suppress"
			}
			{$invalid.websiteWidgets} </td>
		</tr>
	</tbody>
	</table>

</fieldset>
<fieldset>
<legend>{$smarty.const.TRANS_PRODUCT_COUPON_SETTINGS}</legend>
	
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
	<tbody>
		<tr>
		<td class="title"><label for="coupons">{$smarty.const.TRANS_AUTOMATIC_COUPON}</label></td>
		<td><select name="preAppliedCouponID">
			<option value="0"></option>
	
			{html_options options=$precoupons selected=$selectedPreCouponID}
	
		</select>      </td>
		<td rowspan="2" valign="top"> {include file="$tplDirectory/widgets/showTips.tpl"
			title="TRANS_EXPLAIN_PRODUCT_COUPONS"
			msg="TRANS_PRODUCT_COUPONS_EXPLANATION_RELATING"
			width="100%"
			align="center"
			show="yes"}		</td>
		</tr>
		<tr {if $invalid.coupons}class="highlight"{/if}>
		<td class="title"><label for="coupons">{$smarty.const.TRANS_MANUAL_COUPONS}</label></td>
		<td> {include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="coupons"
			comboOptionsLeft=$selectedCoupons
	
			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableCoupons"
			comboOptionsRight=$selectableCoupons
			formName="EditProduct"
			submitName="suppress"
			}
			{$invalid.coupons} </td>
		</tr>
	</tbody>
	</table>
	
</fieldset>
<fieldset>
<legend>{$smarty.const.TRANS_PRODUCT_UPGRADE_DOWNGRADE_SETTINGS}</legend>
	
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
		<tbody>
			<tr {if $invalid.productChildren}class="highlight"{/if}>
				<td class="title"><label for="productUpgradeRelations">{$smarty.const.TRANS_MAY_UPGRADE_TO}</label></td>
				<td>
					{include file="$tplDirectory/widgets/comboBox.tpl"
						comboTitleLeft=TRANS_SELECTED
						comboNameLeft="productUpgradeIDs"
						comboOptionsLeft=$selectedUpgradeRelations
	
						comboTitleRight=TRANS_SELECTABLE
						comboNameRight="selectableUpgradeIDs"
						comboOptionsRight=$selectableUpgradeRelations
						submitName="suppress"
					}
				</td>
			</tr>
		</tbody>
		<tbody>
			<tr {if $invalid.productChildren}class="highlight"{/if}>
				<td class="title"><label for="productDowngradeRelations">{$smarty.const.TRANS_MAY_DOWNGRADE_TO}</label></td>
				<td>
					{include file="$tplDirectory/widgets/comboBox.tpl"
						comboTitleLeft=TRANS_SELECTED
						comboNameLeft="productDowngradeIDs"
						comboOptionsLeft=$selectedDowngradeRelations
	
						comboTitleRight=TRANS_SELECTABLE
						comboNameRight="selectableDowngradeIDs"
						comboOptionsRight=$selectableDowngradeRelations
						submitName="suppress"
					}
				</td>
			</tr>
		</tbody>
	</table>
	
</fieldset>
<fieldset>
<legend>{$smarty.const.TRANS_PRODUCT_EMAIL_SETTINGS}</legend>
	
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
		<tbody>
			<tr {if $invalid.welcomeEmailTemplateGroup}class="highlight"{/if}>
				<td class="title"><label for="welcomeEmailTemplateGroup">{$smarty.const.TRANS_WELCOME_EMAIL}</label></td>
				<td><select id="welcomeEmailTemplateGroup" name="welcomeEmailTemplateGroup">
					{mb_html_options options=$templates selected=$templateID}
				</select>  {$invalid.welcomeEmailTemplateGroup}</td>
			</tr>
		</tbody>
	</table>
	
</fieldset>
<fieldset>
<legend>{$smarty.const.TRANS_PRODUCT_NOTIFICATION_SETTINGS}</legend>
	
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
		<tbody>
			<tr {if $invalid.notifyAdminGroupID}class="highlight"{/if}>
				<td class="title"><label for="notifyAdminGroupID">{$smarty.const.TRANS_NOTIFICATION_GROUP}</label></td>
				<td>
					<select id="notifyAdminGroupID" name="notifyAdminGroupID">
						{html_options options=$adminGroups selected=$product.notifyAdminGroupID}
					</select>
					{$invalid.welcomeEmailTemplateGroup}
				</td>
			</tr>
		</tbody>
	</table>
	
</fieldset>
<fieldset>
<legend>{$smarty.const.TRANS_PRODUCT_USAGE_PRICING}</legend>
	
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
		<tbody>
			<tr {if $invalid.orderForms}class="highlight"{/if}>
			{assign var="col" value=$makeFields.0}
				<td class="title">{$makeFields.0}</td>
				<td valign="middle"><input type="text" name="usagePricing[{$makeFields.0}]" value="{$oldPrices.$col|getAmount:$makeFields.0}" onchange="this.value=XKformatNumber('{1000|getAmount:$makeFields.0:true:true};{1000|getAmount:$makeFields.0:true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" ></td>
				<td rowspan="{$helpRowSpan}" valign="top">
					{include file="$tplDirectory/widgets/showTips.tpl"
						title="TRANS_EXPLAIN_USAGE_PRICING"
						msg="TRANS_USAGE_PRICING_EXPLAINATION"
						width="100%"
						align="center"
						show="yes"}
				</td>
			</tr>
			{section name="i" loop=$makeFields}
				{if $smarty.section.i.index>0}
			<tr {if $invalid.orderForms}class="highlight"{/if}>
			{assign var="col" value=$makeFields[i]}
				<td class="class">{$makeFields[i]}</td>
				<td valign="middle"><input type="text" name="usagePricing[{$makeFields[i]}]" value="{$oldPrices.$col|getAmount:$makeFields[i]}" onchange="this.value=XKformatNumber('{1000|getAmount:$makeFields[i]:true:true};{1000|getAmount:$makeFields[i]:true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" ></td>
			</tr>
				{/if}
			{/section}
		</tbody>
	</table>
	
</fieldset>
	
	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr class="listButtons">
			<td><div><input class="submit" type="submit" value="{$smarty.const.TRANS_SAVE_CHANGES}" /></div></td>
		</tr>
	</table>
	
</form>

{include file="$tplDirectory/widgets/products/footer.tpl"}
