{* $Id: ShowProductAddons.tpl 12437 2008-01-08 19:23:08Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{t c="TRANS_CREATE_ADDONS" d="Create New Addons"}
{t c="TRANS_GROUP" d="Group"}
{t c="TRANS_ASSOCIATE_ADDONS" d="Associate Addons"}
{t c="TRANS_ASSOCIATE_ADDON_GROUPS" d="Associate Addon Groups"}
{t c="TRANS_YOU_MUST_SET_THE_ATTRIBUTES_FOR_THIS_PRODUCT_BEFORE_ADDING_ADDONS" d="You must set the attributes for this product before you can administer addons for it."}

{t c="TRANS_ADDON_OPTION" d="Addon Option"}
{t c="TRANS_INTERNAL_ATTRIBUTE_NAME" d="Internal Attribute Name"}
{t c="TRANS_INTERNAL_ATTRIBUTE_VALUE" d="Internal Attribute Value"}
{t c="TRANS_INTERNAL_ATTRIBUTES" d="Internal Attributes"}

{t c="TRANS_ALLOW_NONE" d="Allow None"}

{t c="TRANS_ASSOCIATE_EXISTING_OPTION" d="Associate Existing Option"}
{t c="TRANS_CREATE_NEW_OPTION" d="Create New Option"}

{include file="$tplDirectory/widgets/products/header.tpl"}

{if $canDoAddons==0}

<strong>{$smarty.const.TRANS_YOU_MUST_SET_THE_ATTRIBUTES_FOR_THIS_PRODUCT_BEFORE_ADDING_ADDONS}</strong>
<br />

{else}

	{include file="$tplDirectory/widgets/products/AddonsHeader.tpl" suppressShowAddons=1}
	
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
	<tbody>
	{foreach key="k" item="products" from=$addons}
	
		{assign var="addonGroup" value=$addonGroups.$k}
	
		{if $addonGroup.productAddonGroupID>0}
			<tr>
				<th colspan="2" valign="middle" align="left">
					<form method="post" action="products.php">
					<input type="hidden" name="sid" value="{$sid}" />
					<input type="hidden" name="action" value="{getActionID action="EditProductAddonGroupResponse"}" />
 					<input type="hidden" name="productAddonGroupID" value="{$k}" />
 					<input type="hidden" name="productID" value="{$product.productID}" />
					<input type="hidden" name="redirectURL" value="products.php" />
					<input type="hidden" name="redirectAction" value="ShowProductAddons" />
					<input type="hidden" name="redirectArgs" value="productID={$product.productID}&sid={$sid}" />
				
						&nbsp;{$smarty.const.TRANS_ADDON}: <input type="text" name="productAddonGroupName" size="20" value="{$addonGroup.productAddonGroupName|escape:html}" />
						<input type="checkbox" name="productAddonGroupActive" value="1" {if $addonGroup.productAddonGroupActive==1}checked="checked"{/if} /> {$smarty.const.TRANS_ACTIVE} 
						<select name="productAddonGroupInputType" style="width: 110px;">
							{html_options options=$addoninputs selected=$addonGroup.productAddonGroupInputType}
						</select>
						
						{$smarty.const.TRANS_DEFAULT}: 
						<select name="defaultSelectedProductID">
						{section name="i" loop=$products}
							<option value="{$products[i].productID}"{if $products[i].productID==$addonGroup.defaultSelectedProductID} selected="selected"{/if}>{$products[i].productName}</option>
						{/section}
						</select>
						<input type="checkbox" name="productAddonGroupNoneChoice" value="1" {if $addonGroup.productAddonGroupNoneChoice==1}checked="checked"{/if} /> {$smarty.const.TRANS_ALLOW_NONE} 
						<input type="submit" class="submit" value="{$smarty.const.TRANS_SAVE}" />
				
				
					</form>
				</th>
			</tr>
	
	
			<tr>
				<td colspan="2" class="comments altinner">
				
				<table width="100%" class="list">
					<tr class="headerRow">
						<td>{$smarty.const.TRANS_ADDON_OPTION}</td>
						<td>{$smarty.const.TRANS_SERVER_GROUP}</td>
						<td>{$smarty.const.TRANS_INTERNAL_ATTRIBUTES}</td>
						<td>{$smarty.const.TRANS_ACTION}</td>
					</tr>
				{section name="i" loop=$products}
					{assign var="serverGroupID" value=$products[i].productAttributes.0.serverGroupID}
					{assign var="serverGroup" value=$serverGroups.$serverGroupID}
				<tr class="{cycle values="alt1,alt2"}">
					<td valign="top"><a href="{getHREF actionName="ShowProductDetails" args="productID=`$products[i].productID`"}">{$products[i].productName}</a></td>
					<td valign="top">{$serverGroup.serverGroupName}</td>
					<td valign="top">
						<table border="0" style="padding: 2px;" cellspacing="0">
						{section name="j" loop=$products[i].productAttributes}
							<tr>
								<td style="border: 1px solid #ccc;">{$products[i].productAttributes[j].productAttributeName}</td>
								<td style="border: 1px solid #ccc;">{$products[i].productAttributes[j].productAttributeValue}</td>
							</tr>
						{/section}
						</table>
					</td>
					<td>
						
{strip}
{include file="$tplDirectory/widgets/actionLink.tpl"
	page="products.php"
	actionName="ShowProductDetails"
	args="productID=`$products[i].productID`"
	productID=$products[i].productID
	isAddon=1
	icoImage="view"
	icoWidth=""
	icoHeight=""
	icoStyle=""
	altText="TRANS_DETAILS"
	titleText=""
	linkText="TRANS_DETAILS"
	noSpace="1"
}	
		&nbsp;
{include file="$tplDirectory/widgets/actionLink.tpl"
	page="products.php"
	actionName="EditProductChildrenResponse"
	args="productID=`$product.productID`&disassociateID=`$products[i].productID`"
	icoImage="remove"
	icoWidth=""
	icoHeight=""
	icoStyle=""
	altText="TRANS_SUPPRESS"
	titleText=""
	linkText="TRANS_SUPPRESS"
	noSpace="1"
}
		&nbsp;
{* assign var="redirectArg" value="productID=`$product.productID`"|escape:url}
{include file="$tplDirectory/widgets/actionLink.tpl"
	page="products.php"
	actionName="RemoveProduct"
	args="productID=`$products[i].productID`&redirectURL=products.php&redirectAction=ShowProductAddons&redirectArgs=`$redirectArg`"
	icoImage="remove"
	icoWidth=""
	icoHeight=""
	icoStyle=""
	altText="TRANS_REMOVE"
	titleText=""
	linkText="TRANS_REMOVE"
	noSpace="1"
*}
{/strip}

					</td>
				</tr>
	
				{/section}
		<tr class="listButtons">
			<td colspan="4">
				<div>
					<div style="float: right; margin-right: 3px;" class="rm"><a href="products.php?sid={$sid}&action={getActionID action="AddProductAddon"}&addonGroupID={$k}&productID={$product.productID}&advanced={$advanced}">{$smarty.const.TRANS_CREATE_NEW_OPTION}</a></div>
					<div style="float: right; margin-right: 3px;" class="rm"><a href="products.php?sid={$sid}&action={getActionID action="EditProductChildren"}&productAddonGroupID={$k}&productID={$product.productID}&advanced={$advanced}">{$smarty.const.TRANS_ASSOCIATE_EXISTING_OPTION}</a></div>
				</div>
			</td>
		</tr>
				</table>
				</td>
			</tr>
			<tr>
				<td><br /></td>
			</tr>
		{/if}
	
	{/foreach}
	
	
	</tbody>
	</table>
{/if}

{include file="$tplDirectory/widgets/products/footer.tpl"}

