{* $Id: quickApplyPayment.tpl 12532 2008-01-21 19:54:57Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display the quick manual payment popup div.
 *
 *
 * Smarty Variables:
 *	$actionName     The action name to get the action id for.
 *	$invoiceID 	    The primary key column name of the record to add.
 *  $sid            The current sessionID
 *  $lineItems      The line items they can pay for in an array
 *  $redirectURL    The php script to redirect to
 *  $redirectAction The action name for the redirect
 *  $redirectArgs   The args to send through the url to the redirectURL BESIDES the sid and actionID
 *
 * Example Usage:
 * {include file="$tplDirectory/widgets/quickApplyPayment.tpl"
 *            actionName="ProcessManualPayment"
 *            formName="quickpaymentform"
 *            lineItems=$lineItemsArray
 *            sid=$sid
 *            billingAccounts=$billingAccountOptions
 *            invoiceID=$invoiceID
 *            defaultAmount=$defaultAmount
 *            localeArray=$localeArray
 *            currencyID=$currencyID
 *            paymentTypes=$typesArray
 *            redirectURL="invoice.php"
 *            redirectAction="ShowInvoiceDetails"
 *            redirectArgs=""}
 *}

{t c="TRANS_CLOSE" d="Close"}
{t c="TRANS_QUICK_APPLY_PAYMENT" d="Quick Manual Payment"}
{t c="TRANS_APPLY_MANUAL_PAYMENT_LEGEND" d="Apply Manual Payment"}
{t c="TRANS_MANUAL_PAYMENT_APPLY" d="Apply Payment"}
{t c="TRANS_MANUAL_METHOD_OF_PAYMENT" d="Payment Method"}
{t c="TRANS_APPLY_MANUAL_PAYMENT_TO" d="Apply Payment To"}
{t c="TRANS_MANUAL_PAYMENT_ENTIRE_INVOICE" d="Entire Invoice"}
{t c="TRANS_MANUAL_PAYMENT_SELECTED_LINEITEMS" d="Selected Line Items"}
{t c="TRANS_ADDON_PREFIX" d=" &rarr; "}
{t c="TRANS_LINEITEM_ADDUP_TOTAL" d="Total"}
{t c="TRANS_LINE_ITEM_BALANCE" d="Balance Due"}
{t c="TRANS_QUICKPAYMENT_INVOICE_AMOUNT" d="Amount Of Payment"}
{t c="TRANS_LINE_ITEM_TOTAL" d="Total"}
{t c="TRANS_AMOUNT_TO_PAY" d="Amount to Pay"}
{t c="TRANS_CHECK_NUMBER" d="Check Number"}
{t c="TRANS_THIS_TRANSACTION_CODE" d="Transaction Code"}
{t c="TRANS_MANUAL_PAYMENT_COMMENT" d="Manual Payment Applied"}
{t c="TRANS_QUICKPAYMENT_COMMENTS" d="Payment Comments"}
{t c="TRANS_CHOOSE_BILLING_ACCOUNT" d="Choose Billing Account"}
{t c="TRANS_GENERAL_MANUAL_PAYMENT_ACCOUNT" d="General Manual Payment"}
{t c="TRANS_DATE_PAYMENT_MADE" d="Date Payment Made"}
{t c="TRANS_WIRE" d="Wire"}
{t c="TRANS_CHECK_MO" d="Check or Money Order"}
{t c="TRANS_SEND_PAYMENT_RECEIPT_EMAIL" d="Send Payment Receipt Email"}



<span id="quickApplyPaymentContainer" style="visibility: hidden; display: none; position: absolute; background-color: #fff; border: 1px outset #000;">
	<table border="0" cellpadding="1" cellspacing="1" class="overLibRepTab">
	<tr>
		<th id="quickApplyPaymentContainerHandle" style="cursor: pointer; text-align: left;" valign="middle">
			<span style="float: right; cursor: pointer;" onclick="hideobjbyid('quickApplyPaymentContainer');">
				<img src="{$imageDirectory}/ico/remove.gif" width="16" height="16" border="0" alt="" />
			</span>
			<span>{$smarty.const.TRANS_QUICK_APPLY_PAYMENT}</span>
		</th>
	</tr>
	<tr>
		<td>
			<span style="color: #000;">
				<form method='post' action='invoices.php' name='{$formName}' id='{$formName}'>
					<input type='hidden' name='action' value='{getActionID action="ProcessManualPayment"}' />
					<input type='hidden' name='sid' value='{$sid}'>
					<input type='hidden' name='subaction' value='applypayment'>
					<input type='hidden' name='invoiceID' value='{$invoiceID}'>
					<input type='hidden' name='redirectURL' value='{$redirectURL}'>
					<input type='hidden' name='redirectAction' value='{$redirectAction}'>
					<input type='hidden' name='redirectArgs' value='{$redirectArgs}'>

					<fieldset>
						<legend>{$smarty.const.TRANS_APPLY_MANUAL_PAYMENT_LEGEND}</legend>
						<table width='350'>
						<tr>

							<td style="white-space: nowrap;" align="right">{$smarty.const.TRANS_CHOOSE_BILLING_ACCOUNT}</td>
							<td>
								<select name='billingAccountID'>
									{html_options options=$billingAccounts}
									<option value="0" >{$smarty.const.TRANS_GENERAL_MANUAL_PAYMENT_ACCOUNT}</option>
								</select>
							</td>

						</tr>
						<tr>

							<td style="white-space: nowrap;" align="right">{$smarty.const.TRANS_MANUAL_METHOD_OF_PAYMENT}</td>
							<td>
								<select name='paymentMethod' onchange="XKhandlePaymentMethod(this.options[this.selectedIndex].value);">
									{html_options options=$paymentTypes selected=3}
								</select>
							</td>

						</tr>

						<tbody id="paymentExtra">
						<tr>

							<td align="right"> <div id="paymentCheck">{$smarty.const.TRANS_CHECK_NUMBER}</div> <div id="paymentCard" class="off">{$smarty.const.TRANS_THIS_TRANSACTION_CODE}</div> </td>
							<td>

								<input type="text" name="transactionCode" size="25" value="" />

							</td>

						</tr>

						</tbody>

						<tr>
							<td style="white-space: nowrap;" align="right">{$smarty.const.TRANS_APPLY_MANUAL_PAYMENT_TO}</td>
							<td style="white-space: nowrap;"><input type="radio" name="applyPaymentTo" id="applyPaymentTo1" checked="checked" value="invoice" onmouseup="XKtoggleOff('{$formName}_lineitems');XKtoggleOn('{$formName}_amount');" /> <label for="applyPaymentTo1" onmouseup="XKtoggleOff('{$formName}_lineitems');XKtoggleOn('{$formName}_amount');">{$smarty.const.TRANS_MANUAL_PAYMENT_ENTIRE_INVOICE}</label> &nbsp;&nbsp;&nbsp;
							<input type="radio" name="applyPaymentTo" id="applyPaymentTo2" value="lineitems" onmouseup="XKtoggleOn('{$formName}_lineitems');XKtoggleOff('{$formName}_amount');" /> <label for="applyPaymentTo2" onmouseup="XKtoggleOn('{$formName}_lineitems');XKtoggleOff('{$formName}_amount');">{$smarty.const.TRANS_MANUAL_PAYMENT_SELECTED_LINEITEMS}</label></td>

						</tr>
						<tbody id='{$formName}_lineitems' class='off'>
						<tr>
							<td></td>
							<td>

								<table cellpadding="3" cellspacing="2" class="ledger" border="0">

									<tr>
											<th class="green" > {$smarty.const.TRANS_PACKAGE_ID} </th>

											<th class="green" > {$smarty.const.TRANS_DESCRIPTION} </th>
											<th class="green" > {$smarty.const.TRANS_LINE_ITEM_BALANCE} </th>
											<th > {$smarty.const.TRANS_AMOUNT_TO_PAY} </th>
									</tr>

									{section name="j" loop=$lineItems}
												<tr class="{cycle values="alt1,alt2"}{if $didfirst==''}{assign var="didfirst" value="yes"} total{/if}">
								
											{if $lineItems[j].packageAddonID>0}
													<td style="white-space: nowrap;" valign="top">{$smarty.const.TRANS_ADDON_PREFIX}{$lineItems[j].packageAddonID}</td>
											{else}
													<td valign="top">{$lineItems[j].packageID}</td>
											{/if}
													<td valign="top">{$lineItems[j].lineItemDescription|escape:quotes|escape:htmlall}</td>
													<td align="right" valign="top">{$lineItems[j].lineItemAmountDue|getAmount:$currencyID|escape:javascript}</td>
													<td valign="top"><input type=text onkeyup="document.getElementById('{$formName}_totaldiv').innerHTML=XKformatNumber('{1000|getAmount:$currencyID:true:true}', XKgetFormFieldTotals(document.{$formName}, 'lineItemPayments'), '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" onblur="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" size="13" name="lineItemPayments[{$lineItems[j].lineItemID}]" value="0.00" /></td>
								
											</tr>
									{/section}
						
									<tr class="total">
											<td> </td>
											<td> </td>
											<td align="right"> <strong>{$smarty.const.TRANS_LINEITEM_ADDUP_TOTAL}: </strong></td>
											<td><div id="{$formName}_totaldiv"> </div> </td>
						
									</tr>
						

								</table>

							</td>

						</tr>
						</tbody>

						<tbody id='{$formName}_amount'>

						<tr>
							<td align="right"> {$smarty.const.TRANS_QUICKPAYMENT_INVOICE_AMOUNT} </td>
							<td>

								<input type="text" onblur="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" name="paymentAmount" size="9" value="{$defaultAmount|getAmount:$currencyID|escape:htmlall}" />

							</td>

						</tr>

						</tbody>
						
						<tr> <td align="right"> {$smarty.const.TRANS_QUICKPAYMENT_COMMENTS} </td>
							<td>

								<input type="text" name="paymentComments" size="25" value="" />

							</td>

						</tr>

						{if $transactionType == "manual"}
							<tr>
								<td align="right"> {$smarty.const.TRANS_DATE_PAYMENT_MADE} </td>
								<td>
									{include file="$tplDirectory/widgets/dateSelector.tpl" optional=0 param="transactionDateCreated" default="transactionDateCreated" real="transactionDateCreated"}
									{* <input type="text" name="transactionDateCreated" value="{$formValues.$param|getDate}" /> *}
								</td>
							</tr>
						{/if}
						
						<tr>
							<td align="right"></td>
							<td>
								<input type="checkbox" checked="checked" name="sendPaymentEmail" value="1" /> {$smarty.const.TRANS_SEND_PAYMENT_RECEIPT_EMAIL}
							</td>
						</tr>
						<tr>

							<td> </td>
							<td><input type='submit' value='{$smarty.const.TRANS_MANUAL_PAYMENT_APPLY}' /></td>
						</tr>

						</table>
					</fieldset>
				</form>
			</span>
		</td>
	</tr>
	</table>
</span>
<script language="javascript">
<!--
	new Draggable('quickApplyPaymentContainer',{literal}{{/literal}handle:'quickApplyPaymentContainerHandle'{literal}}{/literal});
	
	function showQuickApplyPayment(){literal}{{/literal}
		XKPopoverElement('quickApplyPaymentContainer');
	{literal}}{/literal}
	
	
{literal}
	function XKhandlePaymentMethod(x){
		if (x==3){
			// check
			document.getElementById('paymentExtra').className = 'on';
			document.getElementById('paymentCheck').className = 'on';
			document.getElementById('paymentCard').className = 'off';
		} else if (x==1 || x==2 || x==4 || x==5){
			// card (or echeck, bank draft)
			document.getElementById('paymentExtra').className = 'on';
			document.getElementById('paymentCheck').className = 'off';
			document.getElementById('paymentCard').className = 'on';
		} else {
			document.getElementById('paymentExtra').className = 'off';
		}
	}
{/literal}
	
// -->
</script>

<a href="javascript:showQuickApplyPayment();"><img src="{$imageDirectory}/ico/quick_money.gif" width="16" height="16" alt="{$smarty.const.TRANS_QUICK_APPLY_PAYMENT}" title="{$smarty.const.TRANS_QUICK_APPLY_PAYMENT}" style="vertical-align:middle;border-style:none;"/></a>

<a href="javascript:showQuickApplyPayment();">
	{$smarty.const.TRANS_QUICK_APPLY_PAYMENT}
</a>
