{* $Id: quickEditLink.tpl 10845 2007-03-09 00:40:50Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display each <th></th> that allows sorting of that column.
 * We only want to allow sort options if the column has infinite values.
 *
 * This widget also builds a special search box for amount columns, that when you click on
 * the header name, will only search this column using amounts!
 *
 * Smarty Variables:
 *	$editActionName	The action name to get the action id for.
 *	$editID  		The id of the record to edit.
 *	$editKey		The primary key column name of the record to edit.
 *  $editColumn		The the column to edit.
 *	$sortArgs		The sort arguments to pass to the sortLinks widget.
 *	$recordOffset	The current record offset value
 *  $useEditIcon    1 or 0
 *	$imageDirectory	The image directory for this theme.
 *  $extraparam		Extra parameter, if necessary
 *  $extravalue		Extra param value, if necessary
 *  $sid			The current sessionID
 *
 * Example Usage:
 * {include file="$tplDirectory/widgets/quickEditLink.tpl" useEditIcon=0 editActionName="EditAdminGroupResponse" editName="TRANS_FIRST_NAME" editColumn="clientCompany" editValue="$clients.i.clientCompany"}
 *}
{t c="TRANS_CLOSE" d="Close"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_QUICK_EDIT_ID" d="Quick Edit ID"}

{strip}
<a href="javascript:void(0);" onclick="return overlib('&lt;div style=\'white-space: nowrap\'&gt;
&lt;form method=\'post\' action=\'{$fileName}\'&gt;
&lt;input type=\'hidden\' name=\'action\' value=\'{getActionID action="$editActionName"}\' /&gt;
&lt;input type=\'hidden\' name=\'{$editKey}\' value=\'{$editID}\' /&gt;
&lt;input type=\'hidden\' name=\'redirectURL\' value=\'{$fileName}\' /&gt;
&lt;input type=\'hidden\' name=\'redirectAction\' value=\'{$actionName}\' /&gt;
&lt;input type=\'hidden\' name=\'redirectArgs\' value=\'{$bookmarkArgs}\' /&gt;
&lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\' /&gt;
{if $extraparam}
&lt;input type=\'hidden\' name=\'{$extraparam}\' value=\'{$extravalue}\' /&gt;
{/if}
{$smarty.const.$editName}:&nbsp;&lt;input type=\'text\' name=\'{$editColumn}\' value=\'{$editValue}\' {if $onlyNumbers==1}onkeyup=\'this.value=XKfilterStringNumbersOnly(this.value);\'{/if} onClick=\'this.form.editValue.focus();this.form.editValue.select();\' /&gt;
&lt;input type=\'submit\' name=\'submit\' value=\'{$smarty.const.TRANS_EDIT}\' /&gt;
&lt;/form&gt;&lt;/div&gt;',
BGCLASS, 'popupBG',
FGCLASS, 'popupFG',
CAPTIONFONTCLASS, 'popupCaption',
CENTER, STICKY,
CAPTION, '{$smarty.const.TRANS_QUICK_EDIT_ID}: {$editID}', CLOSECLICK, CLOSETEXT, '&lt;img src={$imageDirectory}/ico/remove.gif width=16 height=16 border=0 /&gt;');" onmouseout="return nd();">
{if $useEditIcon}
<img src="{$imageDirectory}/ico/quickedit.gif" width="16" height="16" alt="{$smarty.const.TRANS_QUICK_EDIT}" title="{$smarty.const.TRANS_QUICK_EDIT}" />
{else}
<img src="{$imageDirectory}/spacer.gif" width="11" height="10" alt="{$smarty.const.TRANS_QUICK_EDIT}" title="{$smarty.const.TRANS_QUICK_EDIT}" />
{/if}
</a>
{/strip}
{assign var="onlyNumbers" value=0}