{* $Id: showEventStatus.tpl 9389 2006-10-10 19:59:47Z mfountain $
 * --------------------------------------------------------------
 * This widget displays the status bar for running system events.
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_NONE" d="none"}
{t c="TRANS_FETCHING_DATA" d="Fetching data, please wait . . ."}
{t c="TRANS_TOTAL_EVENTS_RUNNING" d="Total events running"}
{t c="TRANS_STOP" d="stop"}
{t c="TRANS_STOPPING" d="stopping"}
{t c="TRANS_EVENTS_COUNTER" d="Events Counter"}
{t c="TRANS_CURRENT_EVENT" d="Current Event"}

<script type="text/javascript" src="{$jsDirectory}/../ajax/core/ajax.inc.js"></script>
<script type="text/javascript">
	var cp = new cpaint();
	cp.set_transfer_mode('get');
	cp.set_response_type('text');
	cp.set_use_cpaint_api(false);

	{literal}
	function checkSystemEventStatus() {
		cp.call('{/literal}events.php?action={getActionID action="ShowEventStatusBar"}&ajax=1&sid={$sid}{literal}', 'checkSystemEventStatus', checkSystemEventStatusResponse);
		return false;
	}

	function checkSystemEventStatusResponse(result) {
		if (result) {
			document.getElementById("xmlhttpoutput").innerHTML = result;
		} else {
			clearInterval(intervalVar);
			document.getElementById("xmlhttpoutput").innerHTML = {/literal}"<strong>{$smarty.const.TRANS_EVENTS_COUNTER}</strong>: <i>{$smarty.const.TRANS_COMPLETED}</i>"{literal};
		}
	}
	{/literal}
</script>
<center>
	<div style="border:0px solid #CFCDC7; height:30px; width:700px;overflow:hidden" id="xmlhttpoutput">
		<img src="{$imageDirectory}/loadingc.gif" width="16" height="16" style="vertical-align:middle;border-style:none;" /> 
		<strong>{$smarty.const.TRANS_EVENTS_COUNTER}:</strong>
		{if $systemQueue.systemQueueCount >= 0}
			#{$systemQueue.systemQueueCount}
		{else}
			<i>...</i>
		{/if}
		&nbsp;
		&nbsp;
		<strong>{$smarty.const.TRANS_CURRENT_EVENT}:</strong> 
		{if $systemQueue.systemQueueCommand}
			<a href="{getHREF page="events.php" actionName="ShowEvents" args="systemQueueID=$systemQueueID"}">{$systemQueue.systemQueueCommand}</a>
		{else}
			<i>...</i>
		{/if}
		&nbsp;
		<a href="{getHREF page="events.php" actionName="StopEvents"}"><img src="{$imageDirectory}/ico/clock_stop.gif" width="16" height="16" style="vertical-align:middle;border-style:none;" alt="{$smarty.const.TRANS_STOP}" title="{$smarty.const.TRANS_STOP}" /></a>
	</div>
	<script language="javascript">
		var intervalVar = setInterval('checkSystemEventStatus()', 15000);
	</script>
</center>
<br />

