{* $Id: sortLinks.tpl 8816 2006-09-12 14:45:19Z bsmith $
 * --------------------------------------------------------------
 * This widget template is used to display sort links in list views.
 *
 * Smarty Variables:
 *	$fileName			The page name to submit to.
 *  $sortColumn		The sort column to pass to the sortLinks widget.
 *	$sortArgs		The sort arguments to pass to the sortLinks widget.
 *	$imageDirectory	The image directory for this theme.
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/sortLinks.tpl" sortColumn="$sortColumn"}
 *}
{t c="TRANS_SORT_ASC" d="Ascending Sort"}
{t c="TRANS_SORT_DESC" d="Descending Sort"}
{if $smarty.request}
	{foreach from=$smarty.request key=keyID item=val}
		{if ereg( '.+ID', $keyID)}
			{assign var=sortArgs value="$sortArgs&$keyID=$val"}
		{/if}
	{/foreach}
{/if}
{if $smarty.request}
	{foreach from=$smarty.request key=keyID item=val}
		{if ereg( '.+ID', $keyID)}
			{assign var=sortArgs value="$sortArgs&$keyID=$val"}
		{/if}
	{/foreach}
{/if}
<table cellpadding="0" cellspacing="1">
<tr>
	<td>{strip}
	<a href="{$fileName}?{$sortArgs}&sortColumn={$sortColumn}&sortDir=desc">
		<img src="{$imageDirectory}icons/desc.gif" width="9" height="9" border="0" alt="{$smarty.const.TRANS_SORT_DESC}" title="{$smarty.const.TRANS_SORT_DESC}">
	</a>
	{/strip}</td>
</tr>
<tr>
	<td>{strip}
	<a href="{$fileName}?{$sortArgs}&sortColumn={$sortColumn}&sortDir=asc">
		<img src="{$imageDirectory}icons/asc.gif" width="9" height="9" border="0" alt="{$smarty.const.TRANS_SORT_ASC}" title="{$smarty.const.TRANS_SORT_ASC}">
	</a>
	{/strip}</td>
</table>