{* $Id: OrderCertCSRVerify.tpl 7297 2006-06-07 20:48:54Z mfountain $
 * --------------------------------------------------------------
 * This template
 *
 * Smarty Variables:
 *	$certProducts (array of product IDs to select)
 *
 *}

{t c="TRANS_CONTINUE" d="Continue"}

{t c="TRANS_COUNTRY" d="Country"}
{t c="TRANS_STATE" d="State"}

{t c="TRANS_CSRFOR_URL" d="The CSR you generated is designed to work with the following URL:"}
{t c="TRANS_REPLACE_CSRNOTICE" d="If this is not the correct URL (computed from the Common name in the CSR), or if you want to change any information, then please generate a new CSR and click the Replace CSR button.  Note: Only the Comon Name and Country fields from the CSR are put into the certificate.  All other values are removed or replaced with other values in accordance with our CPS."}
{t c="TRANS_REPLACE_CSR" d="Replace CSR"}
{t c="TRANS_CSRDATA_DESC" d="With the highest level of security and assurance for any automated SSL product in the industry, GeoTrust now creates a business profile for each QuickSSL certificate. The information in the CSR below forms the basis for this profile, and will only be available to individuals that have access to your ChoicePoint Unique Identifier. This Unique Identifier is placed in your certificate so relying parties may obtain more information about your domain."}

{t c="TRANS_RENEWAL" d="Renewal"}
{t c="TRANS_ELIGIBLE" d="Eligible"}
{t c="TRANS_INELIGIBLE" d="Ineligible"}
{t c="TRANS_RENEWAL_INELIGIBLE" d="We're sorry, but your certificate is not eligible for renewal."}
{t c="TRANS_CERT_RENEW_ELIGIBLE" d="Your certificate is eligible for renewal."}

{t c="TRANS_CSRCOMMON_NAME" d="Common Name"}
{t c="TRANS_CSRORGANIZATION" d="Organization"}
{t c="TRANS_CSRORGANIZATIONAL_UNIT" d="Organizational Unit"}
{t c="TRANS_CSRLOCALITY" d="Locality"}

{t c="TRANS_ADDITIONAL_MONTHS" d="Additional Months"}
{t c="TRANS_RENEW_SERIAL_NUM" d="Renewal Serial Number"}
{t c="TRANS_RENEW_ORDERID" d="Renewal Order ID"}

{t c="TRANS_COMPETITIVE_UPGRADE" d="Competitive Upgrade"}
{t c="TRANS_ELIGIBLE_COMPETITIVE_UPGRADE" d="Your certificate is eligible for a competitive upgrade."}
{t c="TRANS_UPGRADE_SERIAL_NUMBER" d="Upgrade Serial Number"}
{t c="TRANS_UPGRADE_ISSUER" d="Upgrade Issuer"}
{t c="TRANS_INELIGIBLE_COMPETITIVE_UPGRADE" d="We're sorry, but your certificate is not eligible for a competitive upgrade."}

{t c="TRANS_CSRVERIFY" d="CSR Verify"}

{include
	file="$tplDirectory/header.tpl"
	parentName=TRANS_SSLCERTS
	childName=TRANS_CSRVERIFY
	tabMajor="products"}


		<fieldset>
			<legend>{$smarty.const.TRANS_CSRVERIFY}</legend>
			
			
			<p>{$smarty.const.TRANS_CSRFOR_URL}</p>
			
			<p><b><font color="#0000FF">https://{$cert.CSRDomainName}</font></b></p>
			
			<p>{$smarty.const.TRANS_REPLACE_CSRNOTICE}</p>
			
			<form name="CSRInfo" method="post" action="certs.php">
			
			<input type="hidden" name="sid" value="{$sid}" />
			<input type="hidden" name="action" value="{getActionID action="OrderCertCSRRequest"}" />
			<input type="hidden" name="certID" value="{$cert.certID}" />
			
			<table width="100%" class="list"><tr class="listButtons"><td><div>
			<input type="submit" name="fromVerifyCSR" value="{$smarty.const.TRANS_REPLACE_CSR}" class="submit" />
			</div></td></tr></table>
			</form>
			
			<br />
			
			<p>{$smarty.const.TRANS_CSRDATA_DESC}</p>
			
			<br />
			
			<table>
			<tr>
				<td>&nbsp;</td>
				<td><p><b>{$smarty.const.TRANS_CSRCOMMON_NAME}:</b></p></td>
				<td><p><font color="#0000FF">{$cert.CSRDomainName}</font></td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td><p><b>{$smarty.const.TRANS_CSRORGANIZATION}:</b></p></td>
				<td><p><font color="#0000FF">{$cert.CSROrganization}</font></td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td><p><b>{$smarty.const.TRANS_CSRORGANIZATIONAL_UNIT}:</b></p></td>
				<td><p><font color="#0000FF">{$cert.CSROrganizationUnit}</font></td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td><p><b>{$smarty.const.TRANS_CSRLOCALITY}:</b></p></td>
				<td><p><font color="#0000FF">{$cert.CSRLocality}</font></td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td><p><b>{$smarty.const.TRANS_STATE}:</b></p></td>
				<td><p><font color="#0000FF">{$cert.CSRState}</font></td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td><p><b>{$smarty.const.TRANS_COUNTRY}:</b></p></td>
				<td><p><font color="#0000FF">{$cert.CSRCountry}</font></td>
			</tr>
			</table>
			
			<br/>
			<br/>
			
			{if $cert.RI_RenewalIndicator == 'true'}
				<b>{$smarty.const.TRANS_RENEWAL}: {$smarty.const.TRANS_ELIGIBLE}</b>
			
				<br />
				{$smarty.const.TRANS_CERT_RENEW_ELIGIBLE}
				<br />
			
				<table>
				<tr>
					<td>&nbsp;</td>
					<td><p><b>{$smarty.const.TRANS_ADDITIONAL_MONTHS}:</b></p></td>
					<td><p><font color="#0000FF">{$cert.RI_RenewalMonths}</font></td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td><p><b>{$smart.const.TRANS_RENEW_SERIAL_NUM}:</b></p></td>
					<td><p><font color="#0000FF">{$cert.RI_RenewalSerialNumber}</font></td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td><p><b>{$smarty.const.TRANS_RENEW_ORDERID}:</b></p></td>
					<td><p><font color="#0000FF">{$cert.RI_RenewalOrderID}</font></td>
				</tr>
				</table>
				<br />
				<br />
			{elseif $cert.RI_RenewalIndicator == 'false'}
				<b>{$smarty.const.TRANS_RENEWAL}: {$smarty.const.TRANS_INELIGIBLE}</b>
				<br />
				{$smarty.const.TRANS_RENEWAL_INELIGIBLE}
				<br />
				<br />
			{/if}
			
			{if $cert.UPG_CUIndicator == 'true'}
				<b>{$smarty.const.TRANS_COMPETITIVE_UPGRADE}: {$smarty.const.TRANS_ELIGIBLE}</b>
				<br />
				{$smarty.const.TRANS_ELIGIBLE_COMPETITIVE_UPGRADE}
				<br />
			
				<table>
				<tr>
					<td>&nbsp;</td>
					<td><p><b>{$smarty.const.TRANS_ADDITIONAL_MONTHS}:</b></p></td>
					<td><p><font color="#0000FF">{$cert.UPG_CUmonths}</font></td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td><p><b>{$smarty.const.TRANS_UPGRADE_SERIAL_NUMBER}:</b></p></td>
					<td><p><font color="#0000FF">{$cert.UPG_CUSerialNumber}</font></td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td><p><b>{$smarty.const.TRANS_UPGRADE_ISSUER}:</b></p></td>
					<td><p><font color="#0000FF">{$cert.UPG_CUIssuer}</font></td>
				</tr>
				</table>
			
				<br />
				<br />
			{elseif $this.UPG_CUIndicator == 'false'}
				<b>{$smarty.const.TRANS_COMPETITIVE_UPGRADE}: {$smarty.const.TRANS_INELIGIBLE}</b>
				<br />
				{$smarty.const.TRANS_INELIGIBLE_COMPETITIVE_UPGRADE}
				<br />
				<br />
			{/if}
			
			<form name="CSRInfo" method="get" action="certs.php">
			
			<input type="hidden" name="sid" value="{$sid}" />
			<input type="hidden" name="action" value="{getActionID action="OrderCertGetApproverEula"}" />
			<input type="hidden" name="certID" value="{$cert.certID}" />
			
			<table width="100%" class="list"><tr class="listButtons"><td><div>
			<input type="submit" name="fromVerifyCSR" value="{$smarty.const.TRANS_CONTINUE}" class="submit" />
			</div></td></tr></table>
			</form>
		</fieldset>

{include file="$tplDirectory/footer.tpl"}