{* $Id: EditDomainRegistrarLockOptions.tpl 7317 2006-06-08 01:30:52Z kbailey $
 * --------------------------------------------------------------
 * This template edit's the domain's registrar lock setting.
 *
 * Smarty Variables:
 *  $domainRegistrarLock (1 = locked)
 *
 * 	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *	$tplDirectory	The relative path to the theme's template directory
 *
 * Author: Andy Christ
 *}

{t c="TRANS_DOMAIN_REGISTRAR_LOCK" d="Lock"}
{t c="TRANS_DOMAIN_REGISTRAR_LOCK_DESC" d="If checked, the domain cannot be transfered to another registrar until it is unlocked"}
{t c="TRANS_UPDATE" d="Update"}


{include file="$tplDirectory/header.tpl" tabMajor="packages" tabMinor="domains"}

<form method="post" action="domains.php" name="EditRenewTypeOption">
<input type="hidden" name="action" value="{getActionID action="EditDomainRegistrarLockOptionsResponse"}">
<input type="hidden" name="domainID" value="{$domain.domainID}">
<input type="hidden" name="sid" value="{$sid}">

		<fieldset>
			<legend>{$domain.domainSLD}.{$domain.domainTLD}</legend>
			<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">
			<tr>
				<td class="title">
					{$smarty.const.TRANS_DOMAIN_REGISTRAR_LOCK}
				</td>
				<td>
					<input type="checkbox" {if $domainRegistrarLock} checked="checked" {/if} name=domainRegistrarLock value="1">
					{$smarty.const.TRANS_DOMAIN_REGISTRAR_LOCK_DESC}
				</td>
			</tr>
			<tr class="listButtons">
				<td colspan="2"><div>
					<input type="submit" name="updateLock" value="{$smarty.const.TRANS_UPDATE}">
				</div></td>
			</tr>
			</table>
		</fieldset>{* box07 *}
        <br />

</form>

{include file="$tplDirectory/footer.tpl"}
