{* $Id: PayInvoicesResponse.tpl 10209 2006-12-04 21:35:08Z kbailey $
 * --------------------------------------------------------------
 * This template displays the client dashboard.
 *
 * Smarty Variables:
 *  $invoices (array of invoice data)
 *  $packages (array of package data)
 *
 * 	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *	$tplDirectory	The relative path to the theme's template directory
 *
 * Author: Michael Fountain
 * Author: Kris Bailey
 *}
{t c="TRANS_ACCOUNT_SUMMARY" d="Account Summary"}
{t c="TRANS_PACKAGE_SUMMARY" d="Package Summary"}
{t c="TRANS_DOMAIN_SUMMARY" d="Domain Summary"}
{t c="TRANS_SSLCERT_SUMMARY" d="SSL Certificate Summary"}
{t c="TRANS_NONE" d="None"}
{t c="TRANS_ACCOUNTING_ACCOUNTS_LABEL" d="Account"}
{t c="TRANS_ACCOUNT_BALANCE" d="Account Balance"}
{t c="TRANS_AVAILABLE_CREDIT" d="Available Credits"}
{t c="TRANS_BALANCE" d="Balance"}
{t c="TRANS_OPEN_TICKETS" d="Open Tickets"}
{t c="TRANS_INVOICES_DUE" d="Invoices Due"}
{t c="TRANS_ACTIVE_BILLABLE_PACKAGES" d="Active & Billable Packages"}
{t c="TRANS_NEWS_AND_ANNOUNCMENTS" d="News & Announcements"}
{t c="TRANS_ID" d="ID"}
{t c="TRANS_PRODUCT" d="Product"}
{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_BILLING_CYCLE" d="Billing Cycle"}
{t c="TRANS_NEXT_RENEWAL" d="Next Renewal"}
{t c="TRANS_MANAGE" d="Manage"}
{t c="TRANS_ACTION" d="Action"}
{t c="TRANS_INVOICE_NUMBER" d="Invoice Number"}
{t c="TRANS_AMOUNT" d="Amount"}
{t c="TRANS_AMOUNT_PAID" d="Amount Paid"}
{t c="TRANS_DATE_GENERATED" d="Date Generated"}
{t c="TRANS_DATE_DUE" d="Date Due"}
{t c="TRANS_PAY_NOW" d="Pay Now"}
{t c="TRANS_TOTAL_TO_PAY" d="Total Amount Due: "}
{t c="TRANS_AMOUNT_DUE" d="Amount Due"}

{t c="TRANS_INVOICE_PAYMENT_METHOD" d="Payment Method: "}
{t c="TRANS_EXISTING_BILLING_ACCOUNT" d="Existing Billing Account"}
{t c="TRANS_NEW_BILLING_ACCOUNT" d="New Billing Account Information"}

{t c="TRANS_CHOOSE_BILLING_ACCOUNT" d="Choose Billing Account: "}
{t c="TRANS_QUANTITY_ABBR" d="Qty"}
{t c="TRANS_PACKAGE_ID" d="PID"}
{t c="TRANS_DESCRIPTION" d="Description"}
{t c="TRANS_BEGIN" d="Begin"}
{t c="TRANS_CURRENT" d="Current"}
{t c="TRANS_NEXT" d="Next"}
{t c="TRANS_ADDONS" d="Addons"}

{t c="TRANS_PAY_AMOUNT_DUE" d="Confirm Payment Of: "}
{t c="TRANS_NAME_ON_CARD" d="Name On Card"}
{t c="TRANS_BILLING_ACCOUNT_TYPE" d="Account Type"}
{t c="TRANS_CARD_TYPE" d="Card Type"}
{t c="TRANS_BILLING_CARD_NUM" d="Card Number"}
{t c="TRANS_BILLING_CC_EXP_DATE" d="Expiration Date"}
{t c="TRANS_BILLING_CARD_START_DATE" d="Card Start Date"}
{t c="TRANS_BILLING_CARD_ISSUE_NUM" d="Card Issue Number"}

{t c="TRANS_TRANSACTION_ID" d="Transaction ID"}

{t c="TRANS_PROCESSING_TRANSACTION_PLEASE_WAIT" d="Processing Transaction, Please Wait..."}
{t c="TRANS_BILLING_CARD_CVV2" d="CVV2 Number: "}

{t c="TRANS_GATEWAY_AUTHORIZATION_CODE" d="Authorization Code"}

{t c="TRANS_INVOICES_RECEIPT" d="Payment Receipt"}

{include file="$tplDirectory/header.tpl" tabMajor="dashboard"}


    {if $paymentError==1}
		<fieldset>
			<legend><img src="{$imageDirectory}/ico/invoice-icon.gif" width="30" height="30" border="0" alt="" align="absmiddle" /> {$smarty.const.TRANS_PAYMENT_ERROR}</legend>
            <table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">
                <tr>
                    <td style="text-align: center;">
                        {$paymentErrorText}
                    </td>
                </tr>
            </table>
        </fieldset>

    {else}

		<fieldset>
			<legend><img src="{$imageDirectory}/ico/invoice-icon.gif" width="30" height="30" border="0" alt="" align="absmiddle" /> {$smarty.const.TRANS_INVOICES_RECEIPT}</legend>
			<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">
            <tr class="headerRow">
                <td>
                    {$smarty.const.TRANS_INVOICE_NUMBER}
                </td>
	            <td>
		            {$smarty.const.TRANS_DATE_GENERATED}
	            </td>
	            <td>
		            {$smarty.const.TRANS_DATE_DUE}
	            </td>
            </tr>
            {section name=i loop=$invoices}
                <tr>
                    <td>
                        {$invoices[i].invoiceNumber}
                    </td>
	                <td>
		                {$invoices[i].invoiceDateEntered|getDate}
	                </td>
	                <td>
		                {$invoices[i].invoiceDateDue|getDate}
	                </td>
                </tr>
        {* not handling this right now
                <tr>
                    <td colspan="3" style="text-align: right;" align="right">

        <table width="100%" bgcolor="#FFFFFF" align="right" class="list">
        <tr>
            <td>{$smarty.const.TRANS_PACKAGE_ID}</td>
            <td colspan="2">{$smarty.const.TRANS_DESCRIPTION}</td>
            <td>{$smarty.const.TRANS_BEGIN}</td>
            <td>{$smarty.const.TRANS_CURRENT}</td>
            <td>{$smarty.const.TRANS_NEXT}</td>
            <td>{$smarty.const.TRANS_QUANTITY_ABBR}</td>
        </tr>
        {assign var="lineItems" value=$invoices[i].lineItems.lineItem}
        {assign var="inaddons" value="no"}
        {section name="j" loop=$lineItems}
                {if $lineItems[j].packageAddonID>0}
                    {if $inaddons=="no"}
                        {assign var="inaddons" value="yes"}
                        <tr class="alt1">
                            <td><i>{$smarty.const.TRANS_ADDONS}</i></td>
                            <td colspan="5"><i>{$smarty.const.TRANS_DESCRIPTION}</i></td>
                            <td><i>{$smarty.const.TRANS_QUANTITY_ABBR}</i></td>
                        </tr>
                    {/if}
                        <tr>
                            <td>{$lineItems[j].packageAddonID}</td>
                            <td colspan="5">{$lineItems[j].lineItemDescription}</td>
                            <td>{$lineItems[j].lineItemQuantity}</td>
                        </tr>


                {else}
                {assign var="inaddons" value="no"}
                <tr class="alt1 total">
                    <td>{$lineItems[j].packageID}</td>
                    <td colspan="2">{$lineItems[j].lineItemDescription}</td>
                    <td>{$lineItems[j].lineItemDateBeginRenewal|getDate:"short"}</td>
                    <td>{$lineItems[j].lineItemDateCurrentRenewal|getDate:"short"}</td>
                    <td>{$lineItems[j].lineItemDateNextRenewal|getDate:"short"}</td>
                    <td>{$lineItems[j].lineItemQuantity}</td>
                </tr>
                {/if}
        {/section}
        </table>


                    </td>
                </tr>
*}
            {/section}
			</table>

            <table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
                <tr>
                    <td class="title">{$smarty.const.TRANS_AMOUNT_PAID}</td>
                    <td><strong>{$payTotal|getAmount:$currencyID}</strong></td>
                </tr>
                <tr>
                    <td class="title">{$smarty.const.TRANS_GATEWAY_AUTHORIZATION_CODE}</td>
                    <td><strong>{$authorizationCode}</strong></td>
                </tr>
                <tr>
                    <td class="title">{$smarty.const.TRANS_TRANSACTION_ID}</td>
                    <td><strong>{$transactionID}</strong></td>
                </tr>
            </table>

		</fieldset>{* box07 *}
        <br />

        {/if}

{include file="$tplDirectory/footer.tpl"}