{* $Id: ShowInvoiceDetails.print.tpl 11692 2007-07-27 18:48:37Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of invoice records.
 *
 * Smarty Variables:
 *	$invoices (array of invoices that match input criteria)
 *		invoiceID			A unique invoice ID
 *		invoiceNumber		An invoice's number
 *		invoiceAmount		An invoice's amount
 *		invoiceDateEntered	An invoice's generation date
 *		invoiceDateDue		An invoice's due date
 *		invoiceStatus		The status of an invoice
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_AMOUNT" d="Amount"}
{t c="TRANS_AMOUNT_PAID" d="Amount Paid"}
{t c="TRANS_CLIENT" d="Client"}
{t c="TRANS_QUICK_LINKS" d="Quick Links: "}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_INVOICEID" d="Invoice ID"}
{t c="TRANS_INVOICE_TOTAL" d="Total"}
{t c="TRANS_INVOICE_NUMBER" d="Invoice Number"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DUE" d="Due"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_ENTERED" d="Entered"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_MANAGE_INVOICES" d="Manage Invoices"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_INVOICES" d="Show Invoices"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_TAX_ID_NUMBER" d="Tax ID Number"}


{t c="TRANS_QUANTITY_ABBR" d="Qty"}
{t c="TRANS_PACKAGE_ID" d="PID"}
{t c="TRANS_DESCRIPTION" d="Description"}
{t c="TRANS_BEGIN" d="Begin"}
{t c="TRANS_CURRENT" d="Current"}
{t c="TRANS_NEXT" d="Next"}
{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_SETUP" d="Setup"}
{t c="TRANS_TAX" d="Tax"}
{t c="TRANS_TOTALS" d="Totals"}

{t c="TRANS_TAX_ZONE_ID" d="Tax Zone ID"}
{t c="TRANS_TAX_ZONE_NAME" d="Name"}
{t c="TRANS_TAX_ZONE_DESCRIPTION" d="Description"}
{t c="TRANS_TAX_ZONE_TYPE" d="Type"}
{t c="TRANS_TAX_ZONE_RATE" d="Rate"}
{t c="TRANS_TAX_ZONE_TOTAL" d="Total Tax Charge"}

{t c="TRANS_ADDONS" d="Addons"}
{t c="TRANS_ADDON_ID" d="Addon ID"}

{t c="TRANS_TRANSACTIONS" d="Transactions"}
{t c="TRANS_TRANSACTION_ID" d="ID"}
{t c="TRANS_TRANSACTION_STATUS" d="Status"}
{t c="TRANS_TRANSACTION_CODE" d="Code"}
{t c="TRANS_TRANSACTION_NOTES" d="Notes"}
{t c="TRANS_TRANSACTION_DATE" d="Date"}
{t c="TRANS_TRANSACTION_AMOUNT" d="Amount"}
{t c="TRANS_TRANSACTION_GATEWAY" d="Gateway"}

{t c="TRANS_SET_AMOUNT" d="Set Amount"}
{t c="TRANS_PERCENTAGE" d="Percentage"}

{t c="TRANS_SUCCESSFUL_CHARGE" d="Successful Charge"}
{t c="TRANS_DECLINED_CHARGE" d="Declined Charge"}
{t c="TRANS_SUB_TOTAL" d="Sub Total"}
{t c="TRANS_ERRORED_CHARGE" d="Errored Charge"}
{t c="TRANS_AUTOFAILED_CHARGE" d="Autofailed (previously declined)"}
{t c="TRANS_MANUALLY_APPLIED" d="Manually Applied Payment"}
{t c="TRANS_PAID_WITH_CREDIT" d="Paid with credit"}
{t c="TRANS_CHARGE_REFUNDED" d="Charged but Refunded"}
{t c="TRANS_TRANSACTION_PAYMENT_METHOD" d="Method"}
{t c="TRANS_AUTHORIZED_CHARGE" d="Authorized Only"}
{t c="TRANS_CAPTURE" d="Capture"}
{t c="TRANS_X_CANCEL" d="X"}
{t c="TRANS_AUTH_CANCELLED_CHARGE" d="Cancelled Auth"}

{t c="TRANS_REFUND" d="Refund"}
{t c="TRANS_CLIENT_CURRENT_CREDIT_BALANCE" d="Client has credit on file of"}

{assign var="filterArgs" value="invoiceStatus=$invoiceStatus"}
{include
	file="$tplDirectory/header.print.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_MANAGE_INVOICES"
	grandchildName="TRANS_SHOW_INVOICES"
	sideNavMajor="finances"
	sideNavMinor="invoices"
	useMenu="finances"}

{t c="TRANS_TO" d="To"}
{t c="TRANS_FROM" d="From"}
{t c="TRANS_PAYMENT_TERMS" d="Payment Terms"}
{t c="TRANS_APPLY_MANUAL_PAYMENT" d="Apply Manual Payment"}
{t c="TRANS_QUICK_PAYMENT" d="Quick Payment"}
{t c="TRANS_TAX_ZONES" d="Tax Zones"}
{t c="TRANS_CREATE_CREDIT_NOTE" d="Create Credit Note"}
{t c="TRANS_ARE_YOU_SURE_FINALIZE" d="Are you sure you wish to capture the funds of this transaction?"}
{t c="TRANS_ARE_YOU_SURE_CANCEL" d="Are you sure you want to CANCEL this transaction?\\nYou will be unable to capture these funds without running another transaction if you do."}
{t c="TRANS_CAPTURED_CHARGE" d="Captured Charge"}
{t c="TRANS_LINE_ITEMS" d="Line Items"}

{assign var="lineItems" value=$invoice.lineItems}
<script language="javascript" type="text/javascript">
<!--
{literal}
function checkSure(url){
	if (confirm("{/literal}{$smarty.const.TRANS_ARE_YOU_SURE_FINALIZE}{literal}")){
		document.location.href = url;
	}
}
function checkSure2(url){
	if (confirm("{/literal}{$smarty.const.TRANS_ARE_YOU_SURE_CANCEL}{literal}")){
		document.location.href = url;
	}
}
{/literal}
//-->
</script>


		<div class="box07">
			
<table  width="100%" border="0" cellpadding="0" cellspacing="3">

<tr>
	<td align="right" valign="top"><strong>{$smarty.const.TRANS_TO}:</strong></td>
	<td align="left" valign="top">
		<table width="80%" bgcolor="#FFFFFF">
		<tr>
			<td>
				{if $clientData.clientCompany && $invoice.clientContactID==0}
					{assign var="contactName" value=$clientData.clientCompany}
				{else}
					{assign var="contactName" value="`$contactData.contactFirstName` `$contactData.contactLastName`"}
				{/if}
                <strong>{$contactName}</strong><br />
                {$contactData.contactAddress1}<br />
                {if $contactData.contactAddress2!=""}
                    {$contactData.contactAddress2}<br />
                {/if}
                {$contactData.contactCity}, {$contactData.contactState} {$contactData.contactZip}<br />
                {$contactData.contactPhone1} {if $contactData.contactPhone2!=''}- {$contactData.contactPhone2}{/if}
                {if $clientData.taxIDNumber!=''}
                <br />{$smarty.const.TRANS_TAX_ID_NUMBER}: {$clientData.taxIDNumber}
                {/if}
			</td>
		</tr>
		</table>
	</td>
	<td align="right" valign="top"><strong>{$smarty.const.TRANS_FROM}:</strong></td>
	<td align="left" valign="top">
		<table width="80%" bgcolor="#FFFFFF">
		<tr>
			<td>
				<strong>{$companyData.companyName}</strong><br />
				{$companyData.companyAddress1}<br />
                {if $companyData.companyAddress2!=""}
                    {$companyData.companyAddress2}<br />
                {/if}
                {$companyData.companyCity}, {$companyData.companyState} {$companyData.companyZip}<br />
                {$companyData.companyPhone1} {if $companyData.companyPhone2!=''}- {$companyData.companyPhone2}{/if}
                {if $companyData.companyTaxIDNumber!=''}
                <br />{$smarty.const.TRANS_TAX_ID_NUMBER}: {$companyData.companyTaxIDNumber}
                {/if}

			</td>
		</tr>
		</table>
	</td>
</tr>
<tr>
	<td colspan="4" align="center">
		<table width="100%" class="list" cellspacing="2" cellpadding="0">
			<tr class="subHeaderRow">
				<td class="firstTD">
					<strong>{$smarty.const.TRANS_INVOICE_NUMBER}:</strong>
				</td>
				<td>
					<strong>{$smarty.const.TRANS_ENTERED}:</strong>
				</td>
				<td>
					<strong>{$smarty.const.TRANS_DUE}:</strong>
				</td>
				<td>
					<strong>{$smarty.const.TRANS_PAYMENT_TERMS}:</strong>
				</td>
				<td align="right">
					<strong>{$smarty.const.TRANS_INVOICE_TOTAL}:</strong>
				</td>
				<td align="right">
					<strong>{$smarty.const.TRANS_AMOUNT_PAID}:</strong>
				</td>
			</tr>
			<tr>
				<td>{$invoice.invoiceNumber}</td>
				<td>{$invoice.invoiceDateEntered|getDate:"short"}</td>
				<td>{$invoice.invoiceDateDue|getDate:"short"}</td>
				<td>Due By Due Date</td>
				<td align="right">{$invoice.invoiceAmount|getAmount:$invoice.currencyID}</td>
				<td align="right">{$invoice.invoiceAmountPaid|getAmount:$invoice.currencyID}</td>
			</tr>

		</table>
	</td>
</tr>
<tr>
	<td colspan="4" align="left">
		<h5>{$smarty.const.TRANS_LINE_ITEMS}</h5>
		<table width="100%" bgcolor="#FFFFFF" class="list">
			<tr class="subHeaderRow" style="white-space: nowrap;">
				<td class="firstTD">{$smarty.const.TRANS_PACKAGE_ID}</td>
				<td colspan="2">{$smarty.const.TRANS_DESCRIPTION}</td>
				<td>{$smarty.const.TRANS_BEGIN}</td>
				<td>{$smarty.const.TRANS_CURRENT}</td>
				<td>{$smarty.const.TRANS_NEXT}</td>
				<td>{$smarty.const.TRANS_QUANTITY_ABBR}</td>
				<td>{$smarty.const.TRANS_PRICE}</td>
				<td>{$smarty.const.TRANS_DISCOUNT}</td>
				<td>{$smarty.const.TRANS_SETUP}</td>
				<td>{$smarty.const.TRANS_TAX}</td>
				<td>{$smarty.const.TRANS_SUB_TOTAL}</td>
				<td>{$smarty.const.TRANS_TOTALS}</td>
			</tr>
        {assign var="inaddons" value="no"}
        {assign var="currencyID" value=$lineItems.0.currencyID}
		{section name="j" loop=$lineItems}
			{assign var="tpid" value=$lineItems[j].packageID}
                {if $lineItems[j].packageAddonID>0}
                    {if $inaddons=="no"}
                        {assign var="inaddons" value="yes"}
                        <tr class="alt1">
				<td align="right"><i>{$smarty.const.TRANS_ADDONS}</i></td>
				<td colspan="5"><i>{$smarty.const.TRANS_DESCRIPTION}</i></td>
				<td><i>{$smarty.const.TRANS_QUANTITY_ABBR}</i></td>
				<td><i>{$smarty.const.TRANS_PRICE}</i></td>
				<td><i>{$smarty.const.TRANS_DISCOUNT}</i></td>
				<td><i>{$smarty.const.TRANS_SETUP}</i></td>
				<td><i>{$smarty.const.TRANS_TAX}</i></td>
				<td><i>{$smarty.const.TRANS_SUB_TOTAL}</i></td>
				<td><i>{$smarty.const.TRANS_TOTALS}</i></td>
                        </tr>
                    {/if}
                        <tr>
				<td align="right">{$lineItems[j].packageAddonID}</td>
				<td colspan="5">{$lineItems[j].lineItemDescription}</td>
				<td>{$lineItems[j].lineItemQuantity}</td>
				<td>{$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}</td>
				<td>{$lineItems[j].lineItemDiscountAmount|getAmount:$currencyID}</td>
				<td>{$lineItems[j].lineItemSetupAmount|getAmount:$currencyID}</td>
				<td>{$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
				<td>{$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
				<td>{$lineItems[j].lineItemTotalAmount|getAmount:$currencyID}</td>
                        </tr>


                {else}
                {assign var="inaddons" value="no"}
                <tr class="alt1 total">
			<td>{$lineItems[j].packageID}</td>
			<td colspan="2">{$lineItems[j].lineItemDescription}
						{if $domains.$tpid.0.domainID}
							{foreach item="domain" key="dkey" from=$domains.$tpid}
								<br />{$smarty.const.TRANS_DOMAIN}: <strong>{$domain.domainSLD|highlightTerm}.{$domain.domainTLD|highlightTerm}</strong>
							{/foreach}
						{/if}</td>
			<td>{$lineItems[j].lineItemDateBeginRenewal|getDate:"short"}</td>
			<td>{$lineItems[j].lineItemDateCurrentRenewal|getDate:"short"}</td>
			<td>{$lineItems[j].lineItemDateNextRenewal|getDate:"short"}</td>
			<td>{$lineItems[j].lineItemQuantity}</td>
			<td>{$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}</td>
			<td>{$lineItems[j].lineItemDiscountAmount|getAmount:$currencyID}</td>
			<td>{$lineItems[j].lineItemSetupAmount|getAmount:$currencyID}</td>
			<td>{$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
			<td>{$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
			<td>{$lineItems[j].lineItemTotalAmount|getAmount:$currencyID}</td>
		</tr>
                {/if}
		{/section}
		</table>
	</td>
</tr>

<tr>
    <td colspan="4" align="center">

{if $taxZones.0.taxZoneID}
        <div align="left">
		<h5>{$smarty.const.TRANS_TAX_ZONES}</h5>
		<table width="100%" cellpadding="0" cellspacing="2" class="list">
			<tr class="subHeaderRow">
				<td class="firstTD">{$smarty.const.TRANS_TAX_ZONE_ID}</td>
				<td>{$smarty.const.TRANS_TAX_ZONE_NAME}</td>
				<td>{$smarty.const.TRANS_TAX_ZONE_DESCRIPTION}</td>
				<td>{$smarty.const.TRANS_TAX_ZONE_TYPE}</td>
				<td>{$smarty.const.TRANS_TAX_ZONE_RATE}</td>
				<td>{$smarty.const.TRANS_TAX_ZONE_TOTAL}</td>
			</tr>
			{section name="j" loop=$taxZones}
				{if $className=="alt1"}
					{assign var="className" value="alt2"}
				{else}
					{assign var="className" value="alt1"}
				{/if}
			<tr class="{cycle values="alt1,alt2"}">
				<td>{$taxZones[j].taxZoneID}</td>
				<td>{$taxZones[j].taxZoneName}</td>
				<td>{$taxZones[j].taxZoneDescription}</td>
				<td>{if $taxZones[j].lineItemTaxAmountType==0}
					{$smarty.const.TRANS_PERCENTAGE}
				{else}
					{$smarty.const.TRANS_SET_AMOUNT}
				{/if}</td>
				<td align="right">{if $taxZones[j].lineItemTaxAmountType==0}
					{$taxZones[j].lineItemTaxAmount}%
				{else}
					{$taxZones[j].lineItemTaxAmount|getAmount:$currencyID}
				{/if}</td>
				<td align="right">{$taxZones[j].taxTotal|getAmount:$currencyID}</td>
			</tr>
			{/section}
		</table>
	</div>
{/if}


        {if $transactions}
	<div align="left">
		<h5>{$smarty.const.TRANS_TRANSACTIONS}</h5>
		<table width="100%" cellpadding="0" cellspacing="2" class="list">
			<tr class="subHeaderRow">
				<td class="firstTD">{$smarty.const.TRANS_ID}</td>
				<td>{$smarty.const.TRANS_TRANSACTION_PAYMENT_METHOD}</td>
				<td>{$smarty.const.TRANS_TRANSACTION_STATUS}</td>
				<td>{$smarty.const.TRANS_TRANSACTION_CODE}</td>
				<td>{$smarty.const.TRANS_TRANSACTION_NOTES}</td>
				<td>{$smarty.const.TRANS_TRANSACTION_DATE}</td>
				<td>{$smarty.const.TRANS_TRANSACTION_AMOUNT}</td>
			</tr>
			{section name="j" loop=$transactions}
				{if $className=="alt1"}
					{assign var="className" value="alt2"}
				{else}
					{assign var="className" value="alt1"}
				{/if}
			<tr class="{cycle values="alt1,alt2"}">
				<td>{$transactions[j].transactionID}</td>
				{assign var="tkey" value=$transactions[j].transactionPaymentMethod|getArrayValueByID:$paymentMethods}
				<td>{$smarty.const.$tkey|default:$tkey}</td>
				{assign var="tkey" value=$transactions[j].authReturn|getArrayValueByID:$transactionStatuses}
				<td>{$smarty.const.$tkey|default:$tkey}</td>
				<td>{$transactions[j].transactionCode}</td>
				<td>{$transactions[j].transactionNotes}</td>
				<td>{$transactions[j].transactionDateCreated|getDate:short}</td>
				<td align="right">{$transactions[j].transactionAmount|getAmount:$transactions[j].currencyID}</td>
			</tr>
			{/section}
		</table>
	</div>
        {/if}

    </td>
</tr>
</table>

</div>
