{* $Id: CancelPackage.tpl 12256 2007-11-19 17:42:33Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of packages.
 *
 * Smarty Variables:
 *	$packages (array of packages that match criteria)
 *
 *}
 
{t c="TRANS_CANCEL_PACKAGE" d="Cancel Package"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_INVALID_PACKAGE" d="Invalid Package"}
{t c="TRANS_DO_NOT_CANCEL" d="Do Not Cancel"}
{t c="TRANS_CANCEL_PACKAGE_IMMEDIATELY" d="Cancel Package Immediately"}
{t c="TRANS_CANCEL_PACKAGE_IMMEDIATELY_DESC" d="This package will be set to be cancelled immediately.  Are you sure you want to cancel it?"}
{t c="TRANS_CANCEL_PACKAGE_FUTURE_DESC" d="If you cancel this package you will continue to receive service through it's next renewal date.  On that date it will be cancelled and you will receive no further charges for it.  Are you sure you want to cancel it?"}
{t c="TRANS_CANCEL_PACKAGE_FUTURE" d="Cancel Package On Renewal Date"}
{t c="TRANS_PACKAGE_NEXT_RENEWAL_DATE" d="Package Next Renewal Date"}
 
{t c="TRANS_PACKAGE_CANCELLED_BY_ADMIN" d="Sorry, this package has be slated for cancellation by the admin.  If you wish to keep this package please contact us to discuss further options."}
{t c="TRANS_PACKAGE_CANCELLED_BY_CLIENT" d="You have requested this package be cancelled, would you like to withdraw your cancellation request?"}
{t c="TRANS_WITHDRAW_PACKAGE_CANCELLATION" d="Yes, withdraw my cancellation request"}

{include file="$tplDirectory/header.tpl" tabMajor="packages" tabMinor="packages"}


{if $package.packageID<1}
	<strong>{$smarty.const.TRANS_INVALID_PACKAGE}</strong>
{else}

	<fieldset>
		<legend>{$smarty.const.TRANS_CANCEL_PACKAGE}</legend>

		<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
			<tr>
				<td>
					{$smarty.const.TRANS_ID}
				</td>
				<td>
					{$smarty.const.TRANS_NAME}
				</td>
				<td>
					{$smarty.const.TRANS_PRICE}
				</td>
				<td>
					{$smarty.const.TRANS_BILLING_CYCLE}
				</td>
				<td>
					{$smarty.const.TRANS_NEXT_RENEWAL}
				</td>
			</tr>

			<tr class="{cycle values="alt1,alt2"}">
				<td>
					{$package.packageID}
				</td>
				<td>
					{$package.packageName}
				</td>
				<td style="text-align: right;">
					{$package.packagePrice|getAmount:$package.paymentGroupCurrenyID}
				</td>
				<td>
					{$package.cycleID|getArrayValueByID:$cycles}
				</td>
				<td>
					{$package.packageDateNextRenewal|getDate:short}
				</td>
			</tr>
		
		</table>

		<br />

		<form method="post" action="packages.php">
			<input type="hidden" name="action" value="{getActionID action="CancelPackageResponse"}">
			<input type="hidden" name="packageID" value="{$package.packageID}">
			<input type="hidden" name="sid" value="{$sid}">

			<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">

			{if $package.packagePendingCancellation==0}

				{if $immediately==1}

					<tr>
						<td>{$smarty.const.TRANS_CANCEL_PACKAGE_IMMEDIATELY_DESC}</td>
					</tr>
					<tr>
						<td><input type="hidden" name="desiredAction" value="cancel">
						<input class="submit" type="submit" value="{$smarty.const.TRANS_CANCEL_PACKAGE_IMMEDIATELY}"> <input class="button" type="button" value="{$smarty.const.TRANS_DO_NOT_CANCEL}" onclick="history.go(-1);"></td>
					</tr>

				{else}

					<tr>
						<td>{$smarty.const.TRANS_CANCEL_PACKAGE_FUTURE_DESC}</td>
					</tr>
					<tr>
						<td>{$smarty.const.TRANS_PACKAGE_NEXT_RENEWAL_DATE}: <strong>{$package.packageDateNextRenewal|getDate:short}</strong></td>
					</tr>
					<tr>
						<td><input type="hidden" name="desiredAction" value="cancel">
						<input class="submit" type="submit" value="{$smarty.const.TRANS_CANCEL_PACKAGE_FUTURE}"> <input class="button" type="button" value="{$smarty.const.TRANS_DO_NOT_CANCEL}" onclick="history.go(-1);"></td>
					</tr>

				{/if}

			{elseif $package.packagePendingCancellation==1}
			
				<tr>
					<td>{$smarty.const.TRANS_PACKAGE_CANCELLED_BY_CLIENT}</td>
				</tr>
				<tr>
					<td><input type="hidden" name="desiredAction" value="uncancel">
					<input class="submit" type="submit" value="{$smarty.const.TRANS_WITHDRAW_PACKAGE_CANCELLATION}"> <input class="button" type="button" value="{$smarty.const.TRANS_BACK}" onclick="history.go(-1);"></td>
				</tr>
				
			{elseif $package.packagePendingCancellation==2}

				<tr>
					<td>{$smarty.const.TRANS_PACKAGE_CANCELLED_BY_ADMIN}</td>
				</tr>
				<tr>
					<td><input type="hidden" name="desiredAction" value="uncancel">
					<input class="button" type="button" value="{$smarty.const.TRANS_BACK}" onclick="history.go(-1);"></td>
				</tr>
			
			{/if}
		
			</table>

		</form>

	</fieldset>


{/if}


{include file="$tplDirectory/footer.tpl"}
