{* $Id: ShowPackages.tpl 12993 2008-07-11 13:45:33Z achrist $
 * --------------------------------------------------------------
 * This template displays a list of packages.
 *
 * Smarty Variables:
 *	$packages (array of packages that match criteria)
 *      $packageUsage (array of usage info)
 *
 *}
{strip}
 
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_CONFIGURE" d="Configure"}
{t c="TRANS_UPGRADE_DOWNGRADE" d="Upgrade/Downgrade"}
{t c="TRANS_WITHDRAW_CANCELLATION" d="Withdraw Cancellation"}
{t c="TRANS_PACKAGE_PENDING_CANCELLATION" d="PACKAGE PENDING CANCELLATION"}
{t c="TRANS_NO_PACKAGES_FOUND" d="No Packages Found"}
{t c="TRANS_UPGRADE" d="Upgrade"} 
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_PANEL_OPTIONS" d="Panel Options"}
{t c="TRANS_STOP_DATE" d="Stop Date"}
{t c="TRANS_MORE_CYCLES" d="more cycles"}
{t c="TRANS_MANAGE_CERT" d="Manage Certificate"}
{t c="TRANS_MINUTES" d="minutes"}
{t c="TRANS_OVER_THE_LIMIT" d="You are over your limit!"}
{t c="TRANS_NEXT_BILL_DATE" d="Next Bill Date"}
{t c="TRANS_SMANAGE" d="<span style='font-size: 12px; color: black;'>Manage</span>"}
{/strip}
{include file="$tplDirectory/header.tpl" tabMajor="packages" tabMinor="packages"}


<fieldset>
	<legend><img src="{$imageDirectory}/ico/package-icon.gif" width="30" height="30" border="0" alt="" align="absmiddle" /> {$smarty.const.TRANS_PACKAGES}</legend>
	<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">
    <tr class="headerRow">
	    <td>
		    {$smarty.const.TRANS_ID}
	    </td>
	    <td>
		    {$smarty.const.TRANS_PACKAGE}
	    </td>
	    <td>
		    {$smarty.const.TRANS_PRICE}
	    </td>
	    <td>
		    {$smarty.const.TRANS_BILLING_CYCLE}
	    </td>
	    <td>
		    {$smarty.const.TRANS_NEXT_RENEWAL}
	    </td>
	    <td>
		    {$smarty.const.TRANS_STATUS}
	    </td>
	    <td>
		    {$smarty.const.TRANS_ACTION}
	    </td>
    </tr>
    {section name=i loop=$packages}
        <tr class="{cycle values="alt1,alt2"}">
	        <td>
		        {$packages[i].packageID}
	        </td>
	        <td>
		        {$packages[i].packageName|stripslashes}
		        {if $packages[i].domains.0.domainID>0}
		        	{foreach item="domain" key="dk" from=$packages[i].domains}
		        		<br />
		        		<!-- <a href="{getHREF page="domains.php" actionName="ShowDomainDetails" args="domainID=`$domain.domainID`"}"> --><strong>{$domain.domainSLD}.{$domain.domainTLD}</strong><!-- </a> -->
		        	{/foreach}
		        {/if}
	        </td>
	        <td style="text-align: right;">
		        {$packages[i].packagePrice|getAmount:$packages[i].paymentGroupCurrencyID}
	        </td>
	        <td style="text-align: center;">
		        {$packages[i].cycleID|getArrayValueByID:$cycles}
	        </td>
	        <td style="text-align: center;">
		        {$packages[i].packageDateNextRenewal|getDate}
	        </td>
	        <td  style="text-align: center;">
		        {$packages[i].packageStatus|getStatusName:"package"}
	        </td>
	        <td>
		        <a href="{getHREF page="packages.php" actionName="ShowPackageDetails"}&packageID={$packages[i].packageID}">{$smarty.const.TRANS_SMANAGE}</a>
	        </td>
        </tr>
    {sectionelse}
        <tr bgcolor="#EEEDE9">
            <td style="text-align: left;" colspan="6"><i>{$smarty.const.TRANS_NONE}</i></td>
        </tr>
    {/section}
	</table>
	
{include file="$tplDirectory/widgets/paginationLinks.tpl"}
	
</fieldset>{* box07x *}

{include file="$tplDirectory/footer.tpl"}

