{* $Id: UpgradePackage.tpl 12256 2007-11-19 17:42:33Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{t c="TRANS_UPGRADE_PACKAGE" d="Upgrade Package"}
{t c="TRANS_COUPON_CYCLES" d="Coupon Cycles"}
{t c="TRANS_UPGRADE_AT_END_OF_CYCLE" d="End of current cycle"}
{t c="TRANS_UPGRADE_NOW" d="Now"}
{t c="TRANS_PROVISION_THE_CHANGES" d="Provision to the Panel"}
{t c="TRANS_PACKAGE_UPGRADE_TIME" d="When should this upgrade take place"}
{t c="TRANS_PERFORM_UPGRADE" d="Perform Upgrade"}
{t c="TRANS_UPGRADED_FROM" d="Upgraded From"}
{t c="TRANS_UPGRADE_NOW_WITH_PRORATION_CREDITS" d="Upgrade now and apply proration credits"}
{t c="TRANS_UPGRADE_NOW_WITHOUT_PRORATION_CREDITS" d="Upgrade now and DO NOT apply proration credits"}
{t c="TRANS_GENERATE_INVOICE_IF_APPROPRIATE" d="Generage invoice if appropriate"}
{t c="TRANS_ADJUST_ADDONS_ONLY" d="Adjust Addons Only"}
{t c="TRANS_ADJUST_ADDONS" d="Adjust Addons"}

{t c="TRANS_WE_ARE_UNABLE_TO_PERFORM_UPGRADES_OR_DOWNGRADES_ON_YOUR_PACKAGE_AT_THIS_TIME" d="We are unable to perform upgrades or downgrades on your package at this time.  Please contact us for further assistance."}

{include file="$tplDirectory/header.tpl" tabMajor="packages" tabMinor="packages"}

{assign var="currencyID" value=$packageInfo.paymentGroupCurrencyID}

<fieldset>
<legend>{$smarty.const.TRANS_UPGRADE_PACKAGE}</legend>

{if $cango}

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">

	<tr class="headerRow">
<!--		<td> </td> -->
		<td>{$smarty.const.TRANS_PRODUCT}</td>
		<td>{$smarty.const.TRANS_PRICE}</td>
		<td colspan="2">{$smarty.const.TRANS_UPGRADE_FEE}</td>
	</tr>


	{foreach key="id" item="product" from=$upgradeProducts}

		{if count($product.addons) OR $product.productID!=$packageInfo.productID}

	<form method="post" action="packages.php">
	<input type="hidden" name="sid" value="{$sid}">
	<input type="hidden" name="action" value="{getActionID action="UpgradePackageResponse"}">
	<input type="hidden" name="packageID" value="{$packageInfo.packageID}">
	<input type="hidden" name="productID" value="{$product.productID}" />
	<input type="hidden" name="productVariantID" value="{$product.productVariantID}" />


	<tr class="{cycle values="alt1,alt2"}">
<!--		<td valign="top"><input class="button" type="button" name="configure" value="{$smarty.const.TRANS_CONFIGURE}" onclick="XKtoggle('configureRow{$product.productID}');" /></td> -->
		<td valign="top" style="cursor: pointer;" onclick="XKtoggle('configureRow{$product.productID}');">{$product.productName} <a href="javascript:;"> {$smarty.const.TRANS_ADDONS} </a>{if $product.productVariantName}<br /><strong>{$product.productVariantName}</strong>{/if}</td>
		<td valign="top">{if $product.productID==$packageInfo.productID}--{else}{$product.prices.0.productVariantPriceAmount|getAmount:$currencyID}{/if}</td>
		<td valign="top">{if $product.productID==$packageInfo.productID}--{else}{$product.prices[$feePriceType].productVariantPriceAmount|getAmount:$currencyID}{/if}</td>
		{if $product.productID==$packageInfo.productID}
			<td valign="top" align="right"><input type="submit" class="submit" value="{$smarty.const.TRANS_ADJUST_ADDONS}" /></td>
		{else}
			<td valign="top" align="right"><input type="submit" class="submit" value="{$smarty.const.TRANS_ORDER_UPGRADE}" /></td>
		{/if}
	</tr>
	<tbody class="{if $product.productID==$packageInfo.productID}on{else}off{/if}" id="configureRow{$product.productID}">
		<tr>
			<td valign="top" align="right">{$smarty.const.TRANS_ADDONS}</td>
			<td colspan="5">
				<table width="100%" class="list">
				{*****************************************************************************}

				{assign var="firsttime" value="1"}
				{foreach key="id" item="addons" from=$product.addons}
					<tr class="alt1">
						<td colspan="2"><strong>{assign var="group" value=$product.addonGroups.$id}{$group.productAddonGroupName}</strong></td>
					</tr>
					{assign var="firsttime" value=0}
					{if $group.productAddonGroupInputType=="" || $group.productAddonGroupInputType=="r" || $group.productAddonGroupInputType=="s"}
						{section name="i" loop=$addons}
							{assign var="pid" value=$addons[i].productID}
							
							{assign var="selectedAddon" value=$selectedAddons.$pid}
							
							{if $pid==$selectedAddon.packageAddonProductID} {* && $product.productID==$packageInfo.productID *}
								{assign var="taprice" value=$selectedAddon.packageAddonPrice}
								{assign var="tafeeprice" value=0}
								{assign var="tacouponprice" value=$selectedAddon.couponPrice}
								{assign var="tacouponcycles" value=$selectedAddon.couponNumCycles}
								{assign var="addonSelected" value="1"}
							{else}
								{assign var="taprice" value=$addons[i].prices.0.productVariantPriceAmount}
								{assign var="tafeeprice" value=$addons[i].prices[$feePriceType].productVariantPriceAmount}
								{assign var="tacouponprice" value=$addons[i].prices.0.productVariantPriceAmount}
								{assign var="tacouponcycles" value="0"}
								{assign var="addonSelected" value="0"}
							{/if}
							
							<tr class="alt2">
								<td><label for="addonSelector{$product.productID}_{$pid}"><input type="radio" name="addons[{$id}][]" id="addonSelector{$product.productID}_{$pid}" value="{$pid}" {if $addonSelected==1}checked="checked"{/if} />&nbsp; - {$addons[i].productName|constant}</label></td>
								<td>
									{$taprice|getAmount:$packageInfo.paymentGroupCurrencyID}
									{if $tafeeprice>0}
										{$smarty.const.TRANS_UPGRADE_FEE}: {$tafeeprice|getAmount:$packageInfo.paymentGroupCurrencyID}
									{/if}
								</td>
							</tr>
						{/section}
							<tr class="alt2">
								<td colspan="2"><label for="addonSelector{$product.productID}_none"><input type="radio" id="addonSelector{$product.productID}_none" name="addons[{$id}][]" value="0" />&nbsp; - {$smarty.const.TRANS_NONE}</label></td>
							</tr>
					{elseif $group.productAddonGroupInputType=="c"}
						{section name="i" loop=$addons}
							{assign var="pid" value=$addons[i].productID}
							
							{assign var="selectedAddon" value=$selectedAddons.$pid}
							
							{if $pid==$selectedAddon.packageAddonProductID} {* && $product.productID==$packageInfo.productID *}
								{assign var="taprice" value=$selectedAddon.packageAddonPrice}
								{assign var="tafeeprice" value=0}
								{assign var="tacouponprice" value=$selectedAddon.couponPrice}
								{assign var="tacouponcycles" value=$selectedAddon.couponNumCycles}
								{assign var="addonSelected" value="1"}
							{else}
								{assign var="taprice" value=$addons[i].prices.0.productVariantPriceAmount}
								{assign var="tafeeprice" value=$addons[i].prices[$feePriceType].productVariantPriceAmount}
								{assign var="tacouponprice" value=$addons[i].prices.0.productVariantPriceAmount}
								{assign var="tacouponcycles" value="0"}
								{assign var="addonSelected" value="0"}
							{/if}
							<tr class="alt2">
								<td><label for="addonSelector{$product.productID}_{$pid}"><input type="checkbox" id="addonSelector{$product.productID}_{$pid}" name="addons[{$id}][]" value="{$pid}" {if $addonSelected==1}checked="checked"{/if} />&nbsp; - {$addons[i].productName|constant}</label></td>
								<td>
									{$taprice|getAmount:$packageInfo.paymentGroupCurrencyID}
									{if $tafeeprice>0}
										{$smarty.const.TRANS_UPGRADE_FEE}: {$tafeeprice|getAmount:$packageInfo.paymentGroupCurrencyID}
									{/if}
								</td>
							</tr>
						{/section}

					{/if}
					<tr>
						<td colspan="2"><br /> </td>
					</tr>
				{foreachelse}
					<tr class="alt2">
						<td>{$smarty.const.TRANS_NO_ADDONS}</td>
					</tr>
				{/foreach}
					<tr class="listButtons">
						<td colspan="2"><div><input type="submit" class="submit" value="{if $product.productID==$packageInfo.productID}{$smarty.const.TRANS_ADJUST_ADDONS}{else}{$smarty.const.TRANS_PERFORM_UPGRADE}{/if}" /></div></td>
					</tr>
				</table><br />

				{*****************************************************************************}
			</td>
		</tr>
	</tbody>


	</form>

		{/if}

	{/foreach}

</table>

{else}

	{$smarty.const.TRANS_WE_ARE_UNABLE_TO_PERFORM_UPGRADES_OR_DOWNGRADES_ON_YOUR_PACKAGE_AT_THIS_TIME}

{/if}

</fieldset>

{include file="$tplDirectory/footer.tpl"}



