{* $Id: EditBillingAccount.tpl 12804 2008-03-24 16:16:04Z btyra $
 * --------------------------------------------------------------
 * This template displays a form to edit a BillingAccount.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{strip}
{t c="TRANS_MANAGE_CLIENTS" d="Manage Clients"}
{t c="TRANS_BILLING_ACCOUNT" d="Billing Account"}
{t c="TRANS_BILLING_ACCOUNTS" d="Billing Accounts"}
{t c="TRANS_EDIT_BILLING_ACCOUNT" d="Edit Billing Account"}
{t c="TRANS_RESET" d="Reset"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_ID" d="ID"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_ADD_BILLING_ACCOUNT" d="Add Billing Account"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_ORDER" d="Order"}
{t c="TRANS_PERCENT" d="Percent"}
{t c="TRANS_BILLING_ACCOUNT_DETAILS" d="Billing Account Details"}
{t c="TRANS_NAME_ON_CARD" d="Name On Card"}
{t c="TRANS_CREDIT_CARD_ACCOUNT" d="TRANS_CREDIT_CARD_ACCOUNT"}
{t c="TRANS_BANK_ACCOUNT" d="Bank Account"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_EXPIRES" d="Expires"}
{t c="TRANS_ISSUE_NUMBER" d="Issue Number"}
{t c="TRANS_START_DATE" d="Start Date"}
{t c="TRANS_SELECTED" d="Selected"}
{t c="TRANS_BANK_NAME" d="Bank Name"}
{t c="TRANS_BANK_STATE" d="Bank State"}
{t c="TRANS_ROUTING_NUMBER" d="Routing Number"}
{t c="TRANS_ACCOUNT_NUMBER" d="Account Number"}
{t c="TRANS_LICENSE_NUMBER" d="License/ID Number"}
{t c="TRANS_LICENSE_STATE" d="License/ID State"}
{t c="TRANS_DOB" d="Date of Birth"}
{t c="TRANS_EXPIRY_MONTH" d="Expiry Month"}
{t c="TRANS_EXPIRY_YEAR" d="Expiry Year"}
{t c="TRANS_CARD_NUMBER" d="Card Number"}
{t c="TRANS_EQUAL_PERCENT" d="Equal Percent"}
{t c="TRANS_ORDER_MESG" d="The ascending order of precedence in which this account is charged for the bill. Lower numbers are attempted first. Billing accounts with the same order of precedence are charged as a group according to the specified percentage."}
{t c="TRANS_PERCENT_MESG" d="Percentage of the bill to pay with this billing account. All percentages of the billing accounts in the specified order of precedence must add up to 100%."}
{t c="TRANS_EQUAL_MESG" d="Apply an equal percentage to all billing accounts within the specified order of precedence."}
{t c="TRANS_ENCRYPTION_PASSPHRASE" d="Encryption Passphrase"}
{t c="TRANS_PACKAGES_THIS_BILLING_ACCOUNT_PAYS_FOR" d="Packages this billing account pays for"}
{t c="TRANS_REJECTED_TRANSACTIONS" d="Rejected Transactions"}
{t c="TRANS_REJECTED_TRANSACTIONS_DESC" d="<p>This billing account has had a payment rejected due to the expiration or inadequacy of a previous authorization. This does not mean that your card was declined.</p><p>One of the following may have occured:</p><ul><li>The loss of authorization due to expiration</li><li>The payment now exceeds the amount previously authorized</li></ul></p> You must reauthorize the payment in order for it to proceed. You may chose to authorize an amount greater than the payment so that you will not have to reauthorize for more if the payment increases.</p><p>To reauthorize your account, your card number and card verification number are needed to verify that you are the cardholder.</p>"}
{t c="TRANS_REJECTED_TRANSACTION" d="Rejected Transaction"}
{t c="TRANS_DESCRIPTION" d="Description"}
{t c="TRANS_REJECTION_MESSAGE" d="Rejection Message"}
{t c="TRANS_REAUTHORIZE" d="Reauthorize"}
{t c="TRANS_AUTHORIZE_FOR_THIS_AMOUNT" d="Authorize for this amount"}
{t c="TRANS_CARD_VERIFICATION_NUMBER" d="Card Verification Number"}
{/strip}
{include file="$tplDirectory/header.tpl" tabMajor="profile" tabMinor="billing"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{assign var=activeType0 value=$billingAccountTypes.0}
{assign var=activeType1 value=$billingAccountTypes.1}
{assign var=activeType2 value=$billingAccountTypes.2}
{assign var=activeType3 value=$billingAccountTypes.3}
{assign var=activeType4 value=$billingAccountTypes.4}
{assign var=activeType5 value=$billingAccountTypes.5}


		<fieldset>
			{if $rejects}
			<fieldset>
				<legend><img src="{$imageDirectory}/ico/billing-icon.gif" width="30" height="30" border="0" alt="" align="absmiddle" /> {$smarty.const.TRANS_REJECTED_TRANSACTIONS}</legend>

				{$smarty.const.TRANS_REJECTED_TRANSACTIONS_DESC}
				<div>
					{section name="i" loop=$rejects}
						{assign var="reject" value=$rejects[i]}
						{assign var="rejectID" value=$reject.gwTransactionID}
						<form method="post" name="billing" id="billing" action="profile.php" onsubmit="" >
						<div>
							<input type="hidden" name="action" value="{getActionID action="ReauthBillingAccountResponse"}" />
							<input type="hidden" name="sid" value="{$sid}" />
							<input type="hidden" name="billingAccountID" value="{$billingAccount.billingAccountID}" />
							<input type="hidden" name="gwTransactionID" value="{$rejectID}" />
						</div>

						<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
							<caption>{$smarty.const.TRANS_REJECTED_TRANSACTION} {$rejectID}</caption>
							{assign var="attrs" value=$reject.attrs}
							<tr>
								<td class="title">{$smarty.const.TRANS_TYPE}</td>
								<td>{$attrs.subCommand}</td>
							</tr>
							<tr>
								<td class="title">{$smarty.const.TRANS_AMOUNT}</td>
								<td>{$attrs.paymentAmount} {$attrs.currency}</td>
							</tr>
							<tr>
								<td class="title">{$smarty.const.TRANS_DESCRIPTION}</td>
								<td>{$attrs.paymentDescription}</td>
							</tr>
							<tr>
								<td class="title">{$smarty.const.TRANS_REJECTION_MESSAGE}</td>
								<td>{$attrs.Message}</td>
							</tr>
							<tr>
								<td class="title">{$smarty.const.TRANS_CARD_NUMBER}</td>
								<td>
									<input size="16" maxlength="19" type="text" id="cardNum" name="cardNum" value="" />
								</td>
							</tr>
							<tr>
								<td class="title">{$smarty.const.TRANS_CARD_VERIFICATION_NUMBER}</td>
								<td>
									<input size="4 maxlength="4" type="text" id="cardCVV2" name="cardCVV2" value="" />
								</td>
							</tr>
							<tr>
								<td class="title">{$smarty.const.TRANS_REAUTHORIZE}</td>
								<td>
									<input size="10" maxlength="10" type="text" id="authAmount" name="authAmount" value="{$attrs.paymentAmount}" /> {$attrs.currency}
									<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_AUTHORIZE_FOR_THIS_AMOUNT}" />
								</td>
							</tr>
						</table>
						</form>
					{/section}
				</div>
				</fieldset>
			{/if}
			<legend><img src="{$imageDirectory}/ico/billing-icon.gif" width="30" height="30" border="0" alt="" align="absmiddle" /> {$smarty.const.TRANS_EDIT_BILLING_ACCOUNT}: {$formValues.billingAccountDisplayName}</legend>

			<div>
				<form method="post" name="billing" id="billing" action="profile.php" onsubmit="XKselectAllOptionsInMultiSelects(this);" >
				<input type="hidden" name="action" value="{getActionID action="EditBillingAccountResponse"}" />
				<input type="hidden" name="sid" value="{$sid}" />
				<input type="hidden" name="billingAccountID" value="{$billingAccount.billingAccountID}" />


				<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
				<tbody>
				<tr class="{if $invalid.contactFirstName}highlight{else}{/if}">

				<tr class="{if $invalid.billingAccountType}highlight{/if}">
					<td class="title">{$smarty.const.TRANS_TYPE}</td>
					<td>
						{foreach from=$billingAccountTypes item=billingAccountType key=key}
							<input id="type_{$key}" type="radio" name="billingAccountType" value="{$key}" {if $key == $formValues.billingAccountType}checked="checked"{/if} style="display: none;" /> 
							{if $key == $formValues.billingAccountType}{$billingAccountType}{/if}
						{/foreach}

						{* {html_radios name="billingAccountType" separator="<br />" options=$billingAccountTypes selected=$formValues.billingAccountType} *}
						{$invalid.billingAccountType}
					</td>
				</tr>
				</table>

				<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
				<tbody>
				{if $activeType0 != "" or $activeType1 != "" or $activeType2 != "" or $activeType5 != ""}
				<tr>
					<td width="50%" valign="top">
						{if $activeType0}
						<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
						<tr>
							<td colspan="2" class="headerRow">{$smarty.const.TRANS_CREDIT_CARD_ACCOUNT}</td>
						</tr>
						<tr class="{if $invalid.billingCardNameOnCard}highlight{/if}">
							<td class="title"><label for="billingCardNameOnCard">{$smarty.const.TRANS_NAME_ON_CARD}</label></td>
							<td><input size="25" maxlength="75" type="text" id="billingCardNameOnCard" name="billingCardNameOnCard" value="{$formValues.billingCardNameOnCard}" /> {$invalid.billingCardNameOnCard}</td>
						</tr>
						<tr class="{if $invalid.billingCardType}highlight{/if}">
							<td class="title"><label for="billingCardType">{$smarty.const.TRANS_TYPE}</label></td>
							<td><select id="billingCardType" name="billingCardType" onchange="updateCardExtraEnableState()"> {html_options options=$cardTypes selected=$formValues.billingCardType} </select> {$invalid.billingCardType}</td>
						</tr>
						<tr class="{if $invalid.billingCardNum}highlight{/if}">
							<td class="title"><label for="billingCardNum">{$smarty.const.TRANS_CARD_NUMBER}</label></td>
							<td><input size="16" maxlength="19" type="text" id="billingCardNum" name="billingCardNum" value="" /> {$invalid.billingCardNum}</td>
						</tr>
						<tr class="{if $invalid.billingCardExpMonth}highlight{/if}">
							<td class="title"><label for="billingCardExpMonth">{$smarty.const.TRANS_EXPIRY_MONTH}</label></td>
							<td><input size="2" maxlength="2" type="text" id="billingCardExpMonth" name="billingCardExpMonth" value="{$formValues.billingCardExpMonth}" /> {$invalid.billingCardExpMonth}</td>
						</tr>
						<tr class="{if $invalid.billingCardExpYear}highlight{/if}">
							<td class="title"><label for="billingCardExpYear">{$smarty.const.TRANS_EXPIRY_YEAR}</label></td>
							<td><input size="4" maxlength="4" type="text" id="billingCardExpYear" name="billingCardExpYear" value="{$formValues.billingCardExpYear}" /> {$invalid.billingCardExpYear}</td>
						</tr>
						<tr class="{if $invalid.billingCardIssueNum}highlight{/if}">
							<td class="title"><label for="billingCardIssueNum">{$smarty.const.TRANS_ISSUE_NUMBER}</label></td>
							<td><input size="3" maxlength="3" type="text" id="billingCardIssueNum" name="billingCardIssueNum" value="{$formValues.billingCardIssueNum}" /> {$invalid.billingCardIssueNum}</td>
						</tr>
						<tr class="{if $invalid.billingCardStartDate}highlight{/if}">
							<td class="title"><label for="billingCardStartDate">{$smarty.const.TRANS_START_DATE}</label></td>
							<td><input size="25" maxlength="50" type="text" id="billingCardStartDate" name="billingCardStartDate" value="{$formValues.billingCardStartDate}" /> {$invalid.billingCardStartDate}</td>
						</tr>
						</table>
						{/if}
					</td>
					<td width="50%" valign="top">
						<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
						<tr>
							<td colspan="2" class="headerRow">{$smarty.const.TRANS_BANK_ACCOUNT}</td>
						</tr>
						<tr class="{if $invalid.billingBankName}highlight{/if}">
							<td class="title"><label for="billingBankName">{$smarty.const.TRANS_BANK_NAME}</label></td>
							<td><input size="25" maxlength="50" type="text" id="billingBankName" name="billingBankName" value="{$formValues.billingBankName}" /> {$invalid.billingBankName}</td>
						</tr>
						<tr class="{if $invalid.billingBankState}highlight{/if}">
							<td class="title"><label for="billingBankState">{$smarty.const.TRANS_BANK_STATE}</label></td>
							<td><input size="25" maxlength="50" type="text" id="billingBankState" name="billingBankState" value="{$formValues.billingBankState}" /> {$invalid.billingBankState}</td>
						</tr>
						<tr class="{if $invalid.billingBankType}highlight{/if}">
							<td class="title"><label for="billingBankType">{$smarty.const.TRANS_TYPE}</label></td>
							<td><select id="billingBankType" name="billingBankType"> {html_options options=$bankAccountTypes selected=$formValues.billingBankType} </select> {$invalid.billingBankType}</td>
						</tr>
						<tr class="{if $invalid.billingBankAbaCode}highlight{/if}">
							<td class="title"><label for="billingBankAbaCode">{$smarty.const.TRANS_ROUTING_NUMBER}</label></td>
							<td><input size="20" maxlength="20" type="text" id="billingBankAbaCode" name="billingBankAbaCode" value="{$formValues.billingBankAbaCode}" /> {$invalid.billingBankAbaCode}</td>
						</tr>
						<tr class="{if $invalid.billingBankAccountNum}highlight{/if}">
							<td class="title"><label for="billingBankAccountNum">{$smarty.const.TRANS_ACCOUNT_NUMBER}</label></td>
							<td><input size="20" maxlength="20" type="text" id="billingBankAccountNum" name="billingBankAccountNum" value="" /> {$invalid.billingBankAccountNum}</td>
						</tr>
						<tr class="{if $invalid.billingBankLicenseNum}highlight{/if}">
							<td class="title"><label for="billingBankLicenseNum">{$smarty.const.TRANS_LICENSE_NUMBER}</label></td>
							<td><input size="20" maxlength="20" type="text" id="billingBankLicenseNum" name="billingBankLicenseNum" value="{$formValues.billingBankLicenseNum}" /> {$invalid.billingBankLicenseNum}</td>
						</tr>
						<tr class="{if $invalid.billingBankLicenseState}highlight{/if}">
							<td class="title"><label for="billingBankLicenseState">{$smarty.const.TRANS_LICENSE_STATE}</label></td>
							<td><input size="25" maxlength="50" type="text" id="billingBankLicenseState" name="billingBankLicenseState" value="{$formValues.billingBankLicenseState}" /> {$invalid.billingBankLicenseState}</td>
						</tr>
						<tr class="{if $invalid.billingBankDob}highlight{/if}">
							<td class="title"><label for="billingBankDob">{$smarty.const.TRANS_DOB}</label></td>
							<td><input size="25" maxlength="25" type="text" id="billingBankDob" name="billingBankDob" value="{$formValues.billingBankDob}" /> {$invalid.billingBankDob}</td>
						</tr>
						</table>
					</td>

				</tr>
				{/if}
				<tr>
					<td colspan="2" class="headerRow">{$smarty.const.TRANS_PACKAGES_THIS_BILLING_ACCOUNT_PAYS_FOR}: </td>
				</tr>
				<tr>
					<td colspan="2" align="center">
						{include file="$tplDirectory/widgets/comboBox.tpl"
							comboTitleLeft=TRANS_SELECTED
							comboNameLeft="packages"
							comboOptionsLeft=$selectedPackages

							comboTitleRight=TRANS_SELECTABLE
							comboNameRight="selectablePackages"
							comboOptionsRight=$selectablePackages
							formName="billing"
							submitName="suppress"
						}
					</td>
				</tr>


				<tr class="listButtons">
					<td colspan="2"><div>
						<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE_CHANGES}" />
				{* 		<input class="reset" type="reset" value="{$smarty.const.TRANS_RESET}" onclick="updateTypeEnableState()" /> *}
					</div></td>
				</tr>

				</table>

				</form>

			</div>
		</fieldset>

<script type="text/javascript">
	{literal}
	function updateTypeEnableState() {
		{/literal}

		{strip}
		if (
		{if $activeType0}
		document.getElementById('type_0').checked &&
		{/if}

		{if $activeType3 && !$activeType4}
			!document.getElementById('type_3').checked) {literal}{{/literal}
		{elseif !$activeType3 && $activeType4}
			!document.getElementById('type_4').checked) {literal}{{/literal}
		{elseif $activeType3 && $activeType4}
			!(document.getElementById('type_3').checked || document.getElementById('type_4').checked)) {literal}{{/literal}
		{else}
			{literal}) {{/literal}
		{/if}
		{/strip}
			{if $activeType0}
			document.getElementById('billingCardNameOnCard').disabled=false;
			document.getElementById('billingCardType').disabled=false;
			document.getElementById('billingCardNum').disabled=false;
			document.getElementById('billingCardExpMonth').disabled=false;
			document.getElementById('billingCardExpYear').disabled=false;
			document.getElementById('billingCardIssueNum').disabled=false;
			document.getElementById('billingCardStartDate').disabled=false;
			{/if}

			document.getElementById('billingBankName').disabled=true;
			document.getElementById('billingBankState').disabled=true;
			document.getElementById('billingBankType').disabled=true;
			document.getElementById('billingBankAbaCode').disabled=true;
			document.getElementById('billingBankAccountNum').disabled=true;
			document.getElementById('billingBankLicenseNum').disabled=true;
			document.getElementById('billingBankLicenseState').disabled=true;
			document.getElementById('billingBankDob').disabled=true;

			//document.getElementById('billingBankName').value="";
			//document.getElementById('billingBankState').value="";
			//document.getElementById('billingBankType').selectedIndex="0";
			//document.getElementById('billingBankAbaCode').value="";
			//document.getElementById('billingBankAccountNum').value="";
			//document.getElementById('billingBankLicenseNum').value="";
			//document.getElementById('billingBankLicenseState').value="";
			//document.getElementById('billingBankDob').value="";

			{literal}
			updateCardExtraEnableState();
		}

		{/literal}
		{strip}
		if (
		{if $activeType0}
		!document.getElementById('type_0').checked &&
		{/if}

		{if $activeType3 && $activeType4}
			!(document.getElementById('type_3').checked || document.getElementById('type_4').checked)) {literal}{{/literal}
		{elseif $activeType3 && !$activeType4}
			!document.getElementById('type_3').checked) {literal}{{/literal}
		{elseif !$activeType3 && $activeType4}
			!document.getElementById('type_4').checked) {literal}{{/literal}
		{else}
			{literal}) {{/literal}
		{/if}
		{/strip}
			{if $activeType0}
			document.getElementById('billingCardNameOnCard').disabled=true;
			document.getElementById('billingCardType').disabled=true;
			document.getElementById('billingCardNum').disabled=true;
			document.getElementById('billingCardExpMonth').disabled=true;
			document.getElementById('billingCardExpYear').disabled=true;
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;
			{/if}
			//document.getElementById('billingCardNameOnCard').value="";
			//document.getElementById('billingCardType').selectedIndex="0";
			//document.getElementById('billingCardNum').value="";
			//document.getElementById('billingCardExpMonth').value="";
			//document.getElementById('billingCardExpYear').value="";
			//document.getElementById('billingCardIssueNum').value="";
			//document.getElementById('billingCardStartDate').value="";

			document.getElementById('billingBankName').disabled=false;
			document.getElementById('billingBankState').disabled=false;
			document.getElementById('billingBankType').disabled=false;
			document.getElementById('billingBankAbaCode').disabled=false;
			document.getElementById('billingBankAccountNum').disabled=false;
			document.getElementById('billingBankLicenseNum').disabled=false;
			document.getElementById('billingBankLicenseState').disabled=false;
			document.getElementById('billingBankDob').disabled=false;
			{literal}
		}

		{/literal}
		{strip}
		{if $activeType3 && $activeType4}
			if(document.getElementById('type_3').checked || document.getElementById('type_4').checked) {literal}{{/literal}
		{elseif $activeType3 && !$activeType4}
			if(document.getElementById('type_3').checked) {literal}{{/literal}
		{else}
			if(document.getElementById('type_4').checked) {literal}{{/literal}
		{/if}
		{/strip}
			{if $activeType0}
			document.getElementById('billingCardNameOnCard').disabled=true;
			document.getElementById('billingCardType').disabled=true;
			document.getElementById('billingCardNum').disabled=true;
			document.getElementById('billingCardExpMonth').disabled=true;
			document.getElementById('billingCardExpYear').disabled=true;
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;
			{/if}

			document.getElementById('billingBankName').disabled=true;
			document.getElementById('billingBankState').disabled=true;
			document.getElementById('billingBankType').disabled=true;
			document.getElementById('billingBankAbaCode').disabled=true;
			document.getElementById('billingBankAccountNum').disabled=true;
			document.getElementById('billingBankLicenseNum').disabled=true;
			document.getElementById('billingBankLicenseState').disabled=true;
			document.getElementById('billingBankDob').disabled=true;
			{literal}
		}
	}
	updateTypeEnableState();

	function updateCardExtraEnableState() {
		cardExtraTypes = Array({/literal}{strip}
			{assign var="comma" value=0}
			{section name=iter loop=$cardExtraTypes}
				{if $comma}, {/if}
				{$cardExtraTypes[iter]}
				{assign var="comma" value=1}
			{/section}
		{/strip})

		{if $activeType0}
		{literal}
		selected = document.getElementById('billingCardType').selectedIndex;
		c = cardExtraTypes.length;
		cardExtraTypeSelected = false;
		for(i = 0; i < c; i++) {
			cardExtraType = cardExtraTypes[i];
			if(cardExtraType == selected) {
				cardExtraTypeSelected = true;
			}
		}
		if(cardExtraTypeSelected) {
			document.getElementById('billingCardIssueNum').disabled=false;
			document.getElementById('billingCardStartDate').disabled=false;
		} else {
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;
		}
		{/literal}
		{/if}
		{literal}
	}
	updateCardExtraEnableState();
	{/literal}
</script>

{include file="$tplDirectory/footer.tpl"}
