{* $Id: tableHeader.tpl 7027 2006-05-23 22:26:18Z bsmith $
 * --------------------------------------------------------------
 * This widget template is used to display each <th></th> with no sorting or filtering.
 *
 * Smarty Variables:
 *	$headerName  	The constant representation of that column name.
 *	$headerAlign  	The text alignment of the header name.
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_X" headerAlign="center"}
 *}
{if $headerAlign==""}
	{assign var="headerAlign" value="center"}
{/if}
{strip}
<th align="{$headerAlign}"{if $colWidth>0} width="{$colWidth}"{/if}>
	{$smarty.const.$headerName}
</th{if $colWidth>0} width="{$colWidth}"{/if}>
{/strip}