{* $Id: displayFinalOrder.tpl 10026 2006-11-15 20:10:05Z bsmith $
 * --------------------------------------------------------------
 * This template displays a mini client stats report.
 *
 * Smarty Variables:
 *	$clientStats (array of client status and their count)
 *		clientStatus
 *		numClients
 *	$actionID				The unique action ID for this page view
 * $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Mark Garrett
 *}

<script type="text/javascript" language="javascript" charset="utf-8">
	var cp = new cpaint();
	cp.set_transfer_mode('post');
	cp.set_response_type('text');
	cp.set_use_cpaint_api(false);
	//cp.set_debug(2);
	
	var locale3 = "{$set_locale}";
	var slURL3 = '{getHREF page="processorder.php"}';

	{literal}
	function processOrder() {
		var f = document.billingform;
		var tval = '';
		var slURLc = slURL3;
		var rad = '';

		for (uix=0; uix<f.elements.length; uix++){

			if (typeof f.elements[uix]!="undefined"){

				if (f.elements[uix].type=="text" || f.elements[uix].type=="hidden"){

					slURLc = slURLc + "&" + f.elements[uix].name + "=" + f.elements[uix].value;

				} else if (f.elements[uix].type.indexOf("select")!=-1){

					if (f.elements[uix].selectedIndex<0){
						f.elements[uix].selectedIndex = 0;
					}
					if (parseInt(f.elements[uix].selectedIndex+' ')<0){}else{
						slURLc = slURLc + "&" + f.elements[uix].name + "=" + f.elements[uix].options[f.elements[uix].selectedIndex].value;
					}

				} else if (f.elements[uix].type=="radio"){

					if (typeof f.elements[f.elements[uix].name]!="undefined" && typeof f.elements[f.elements[uix].name].length!="undefined"){
						rad = f.elements[f.elements[uix].name];
						for (iiu=0; iiu<rad.length; iiu++){
							if (typeof rad[iiu]!="undefined"){
								if (rad[iiu].checked==true){
									tval = rad[iiu].value;
								}
							}
						}
						slURLc = slURLc + "&" + f.elements[uix].name + "=" + tval;
					}
				}
			}
		}
		
		document.getElementById('billInfo').innerHTML = "{/literal}<img src='{$imageDirectory}/loading.gif' height='14' width='14' alt='{$smarty.const.TRANS_ORDER_PROCESSING_ORDER}' /> <b>{$smarty.const.TRANS_ORDER_PROCESSING_ORDER}</b>{literal}";
		cp.call(slURLc, 'processOrder', processOrderResponse);
		return false;
	}

	function processOrderResponse(result) {
		if (result) {
			document.getElementById('billInfo').innerHTML = result;
		}
	}
	{/literal}
</script>

<center>
	{include file="$tplDirectory/$orderFormDir/header.tpl"}
	<form method="post" action="ezorder.php?finalizeorder=1">

		<input type="hidden" name="clientID" value="{$invoice.clientID}" />

		<input type="hidden" name="domain_cycleID" value="{$formValues.domain_cycleID}" />
		<input type="hidden" name="domain_productID" value="{$formValues.domain_productID}" />
		<input type="hidden" name="domain_productVariantID" value="{$formValues.domain_productVariantID}" />
		<input type="hidden" name="domain_domainType" value="{$formValues.domain_domainType}" />
		<input type="hidden" name="domain_domainTransferKey" value="{$formValues.domain_domainTransferKey}" />
		<input type="hidden" name="domain_domainName" value="{$formValues.domain_domainName}" />
		<input type="hidden" name="domain_domainLanguage" value="{$formValues.domain_domainLanguage}" />
		<input type="hidden" name="domain_set_locale" value="{$formValues.domain_set_locale}" />

		<input type="hidden" name="product_productID" value="{$formValues.product_productID}" />
		<input type="hidden" name="product_productVariantID" value="{$formValues.product_productVariantID}" />
		<input type="hidden" name="product_cycleID" value="{$formValues.product_cycleID}" />

		<input type="hidden" name="sid" value="{$sid}" />
		<input type="hidden" name="orderFormID" value="{$formValues.orderFormID}" />

		<div width="750px">
			<table width="750" border="0" cellspacing="0" cellpadding="0" class="tab00">
			<tr>
				<td class="box09"><h1>{$smarty.const.TRANS_ORDERFORM_VERIFY_INFO}:</h1></td>
			</tr>

			<tr>
				<td class="box010">
					{include file="$tplDirectory/$orderFormDir/CustomerInfo.tpl" suppressFields=1}
				</td>
			</tr>

			<tr>
				<td class="box09"><h1>{$smarty.const.TRANS_ORDERFORM_VERIFY_DOMAIN_INFO}:</h1></td>
			</tr>
			<tr>
				<td class="box010">
					{include file="$tplDirectory/$orderFormDir/widgets/DomainInfo.tpl" suppressFields=1}
				</td>
			</tr>
			</table>

			<div class="st01 st03 box07" style="width:750px;margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
				<div style="text-align: left; margin-bottom: 2px;">
					<h1>{$smarty.const.TRANS_ORDER_DETAILS}</h1>
					<div style="padding: 5px; background-color: #fff; text-align: center;">

						<table width="100%" cellpadding="4" cellspacing="0" border="0">

							<tr class="alt1">
								<th colspan="2" align="left">{$smarty.const.TRANS_ITEM}</th>
								<th align="right">{$smarty.const.TRANS_PRICE}</th>
								<th align="right">{$smarty.const.TRANS_DISCOUNT}</th>
								<th align="right">{$smarty.const.TRANS_SETUP}</th>
								<th style="border-right: 1px solid #ccc; padding-right: 5px;" align="right">{$smarty.const.TRANS_TAX}</th>
								<th align="right">{$smarty.const.TRANS_TOTALS}</th>
							</tr>
					
						{section name="i" loop=$invoice.packages}
					
							<tr class="{if $smarty.section.i.index%2==0}alt1{else}alt2{/if}">
								<td style="border-top: 1px solid #ccc;" align="left" colspan="2"><strong>{$invoice.packages[i].packageName}
								{assign var="tpid" value=$invoice.packages[i].packageID}
								{if $domains.$tpid}
									<br />{$smarty.const.TRANS_DOMAIN}: {$domains.$tpid.domainName}
								{/if}
								</strong></td>
								<td style="border-top: 1px solid #ccc;" align="right"><strong>{$invoice.packages[i].packagePrice|getAmount:$currencyID:false}</strong></td>
								<td style="border-top: 1px solid #ccc;" align="right"><strong>{$invoice.packages[i].packageDiscountAmount|getAmount:$currencyID:false}</strong></td>
								<td style="border-top: 1px solid #ccc;" align="right"><strong>{$invoice.packages[i].packageSetupAmount|getAmount:$currencyID:false}</strong></td>
								<td style="border-top: 1px solid #ccc; border-right: 1px solid #ccc; padding-right: 5px;" align="right"><strong>{$invoice.packages[i].packageTaxAmount|getAmount:$currencyID:false}</strong></td>
								<td style="border-top: 1px solid #ccc;" align="right"><strong>{$invoice.packages[i].packageTotalAmount|getAmount:$currencyID}</strong></td>
							</tr>
							{if $invoice.packages[i].taxZones.0.amount}
								{assign var="firstTaxZone" value="1"}
								{section name="j" loop=$invoice.packages[i].taxZones}
									{if $invoice.packages[i].taxZones[j].amount>0}
							<tr class="{if $smarty.section.i.index%2==0}alt1{else}alt2{/if}">
								<td align="right">{if $firstTaxZone==1}{assign var="firstTaxZone" value="0"}{$smarty.const.TRANS_ITEM_TAXES}: {/if}</td>
								<td align="left">{$invoice.packages[i].taxZones[j].tax_zone_description}</td>
								<td align="right">{if $invoice.packages[i].taxZones[j].tax_zone_amount_type==0}
										{$invoice.packages[i].taxZones[j].tax_zone_amount}%
										{else}
										{$invoice.packages[i].taxZones[j].tax_zone_amount|getAmount:$currencyID}
										{/if}</td>
								<td></td>
								<td></td>
								<td align="right" style=" border-right: 1px solid #ccc; padding-right: 5px;">{$invoice.packages[i].taxZones[j].amount|getAmount:$currencyID}</td>
								<td></td>
							</tr>
									{/if}
								{/section}
							{/if}
					
						{/section}
					
						</table>
						<br />
						
						<table width="100%" cellpadding="4" cellspacing="0" border="0">
							<tr>
								<td align="right" style="border-top: 2px solid #ccc;">
									<table align="right" cellpadding="4" cellspacing="0" border="0">
										<tr>
											<td style="padding: 2px; text-align: right; font-size: 11pt;">{$smarty.const.TRANS_SUB_TOTAL}:</td>
											<td style="padding: 2px; text-align: right; font-size: 11pt;"> {$invoice.invoiceSubTotalAmount|getAmount:$currencyID}</td>
										</tr>
										<tr>
											<td style="padding: 2px; text-align: right; font-size: 11pt;">{$smarty.const.TRANS_TAX}: </td>
											<td style="padding: 2px; text-align: right; font-size: 11pt;"> {$invoice.invoiceTax|getAmount:$currencyID}</td>
										</tr>
										<tr>
											<td style="padding: 2px; text-align: right; font-size: 11pt;">{$smarty.const.TRANS_ORDER_TOTAL}: </td>
											<td style="padding: 2px; text-align: right; font-size: 11pt;"><strong>{$invoice.invoiceTotalAmount|getAmount:$currencyID}</strong></td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</div>
				</div>
			</div>
			<div id="billInfo" style="width:770px">
				{include file="$tplDirectory/shopping/PaymentInfo.tpl"}
			</div>
			<table border="0" width="750px">
			<tr>
				<td width="33%">&nbsp;</td>
				<td width="33%" colspan="2" align="right"><input class="submit" type="submit" value="{$smarty.const.TRANS_CONFIRM_CHECKOUT}" /></td>
			</tr>
			</table>
		</div>
	</form>
	{include file="$tplDirectory/order/footer.tpl"}
</center>