{* $Id: DomainInfo.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This template displays the form elements for domain registration.
 *
 * Author: Kris Bailey
 *}

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{$smarty.const.TRANS_ORDERFORM_DOMAIN_REG_INFO}</h1>
<div style="padding: 5px; background-color: #fff; text-align: center;">

		<table width="100%" border="0" cellspacing="0" cellpadding="3">

		{if !$suppressFields}
		<tr>
			<td colspan="2">
				<input name="useContactInfo" id="useContactInfo" type="checkbox" value="1" onclick="alertCustomerChange();" onmouseup="setTimeout('XKcopyUpdateConditional(\'useContactInfo\');', 10);" checked="checked" />
				<span id="useContactInfo_Text">{$smarty.const.TRANS_ORDERFORM_USE_CONTACT_INFO}</span>
			</td>
		</tr>
		{/if}
		<tbody id="domainCustomerContactInfo">
		<tr style="text-align: left;">
			<td valign="top" width="50%" style="border-right: 1px solid #999; padding: 10px;">
				{$smarty.const.TRANS_ORDERFORM_FIRST_NAME}<br />
					<input name="registrantFirstName" style="width: 100px;" type="text" value="{$formValues.registrantFirstName}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
				{$smarty.const.TRANS_ORDERFORM_LAST_NAME}<br />
					<input name="registrantLastName" style="width: 100px;" type="text" value="{$formValues.registrantLastName}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
				{$smarty.const.TRANS_ORDERFORM_ADDRESS1}<br />
					<input name="registrantAddress1" style="width: 140px;" type="text" value="{$formValues.registrantAddress1}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
				{$smarty.const.TRANS_ORDERFORM_ADDRESS2}<br />
					<input name="registrantAddress2" style="width: 140px;" type="text" value="{$formValues.registrantAddress2}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
				{$smarty.const.TRANS_ORDERFORM_CONTACT_CITY}<br />
					<input name="registrantCity" style="width: 120px;" type="text" value="{$formValues.registrantCity}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
				{$smarty.const.TRANS_ORDERFORM_CONTACT_STATE}<br />
					<input name="registrantStateProvince" style="width: 120px;" type="text" value="{$formValues.registrantStateProvince}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
				{$smarty.const.TRANS_ORDERFORM_CONTACT_ZIP}<br />
					<input name="registrantPostalCode" style="width: 120px;" type="text" value="{$formValues.registrantPostalCode}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
			</td>

			<td valign="top" width="50%" style="padding: 10px;">
				{$smarty.const.TRANS_ORDERFORM_COMPANY_NAME}<br />
					<input name="registrantOrganizationName" style="width: 140px;" type="text" value="{$formValues.registrantOrganizationName}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
				{$smarty.const.TRANS_ORDERFORM_DOMAIN_JOB_TITLE}<br />
					<input name="registrantJobTitle" style="width: 120px;" type="text" value="{$formValues.registrantJobTitle}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
				{$smarty.const.TRANS_ORDERFORM_CONTACT_EMAIL}<br />
					<input name="registrantEmail" style="width: 120px;" type="text" value="{$formValues.registrantEmail}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
				{$smarty.const.TRANS_ORDERFORM_CONTACT_PHONE1}<br />
					<input name="registrantPhone" style="width: 120px;" type="text" value="{$formValues.registrantPhone}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
				{$smarty.const.TRANS_ORDERFORM_CONTACT_FAX}<br />
					<input name="registrantFax" style="width: 120px;" type="text" value="{$formValues.registrantFax}" onkeyup="checkCheckoutFormElementChange(this);" /><br />
				{$smarty.const.TRANS_ORDERFORM_CONTACT_COUNTRY}<br />
					<select name="registrantCountry" >
						{html_options options=$countryList selected=$formValues.registrantCountriesID}
					</select>
			</td>
		</tr>
		</tbody>
		</table>

		{assign var="tmpname" value="interface-response"}

		{foreach key=domainName item=domInfo from=$domainsExtraInfo}
		<table width="100%" border="0" cellspacing="0" cellpadding="3">
			<tr>
				<td colspan="2" style="text-align: left; padding: 3px;"><h6>{$smarty.const.TRANS_ORDERFORM_ADDITIONAL_DOMAIN_INFO} - {$domainName}</h6></td>
			</tr>
			{assign var="loop" value=$domInfo.$tmpname.0.attributes}
			{section name=a loop=$loop}
			{assign var="attribute" value=$loop[a]}
			<tr>
				<td align="right" width="200" valign="top" style="padding: 3px;">{$attribute.description}:</td>
				{if $attribute.userdefined != "True"}
					<td style="text-align: left; padding: 3px;" valign="top">
					{assign var="divs" value=""}
					{foreach key=key item=option from=$attribute.options}
						{assign var=opvalue value=$option.value}
						{assign var="new" value="XKtoggleOff('$opvalue:$domainName'); "}
						{assign var="divs" value="$divs$new"}
					{/foreach}

					<select id="extAttrib[{$domainName}][{$attribute.name}]" name="extAttrib[{$domainName}][{$attribute.name}]" onchange="{$divs}XKtoggleOn(this.options[this.selectedIndex].value+':'+'{$domainName}');">
						{foreach key=key item=option from=$attribute.options}
							<option label="{$option.title}" value="{$option.value}">{$option.title}</option>
						{/foreach}
					</select>
					{foreach key=key item=option from=$attribute.options name=lame}
						{if $smarty.foreach.lame.first}
						<div id="{$option.value}:{$domainName}">
							<em>{$option.description|html_entity_decode}</em>
						</div>
						{else}
						<div id="{$option.value}:{$domainName}" class="off">
							<em>{$option.description|html_entity_decode}</em>
						</div>
						{/if}
					{/foreach}
					</td>
				{else}
					<td style="text-align: left; padding: 3px;" valign="top"><input id="extAttrib[{$domainName}][{$attribute.name}]" name="extAttrib[{$domainName}][{$attribute.name}]" type="text" /></td>
				{/if}
			</tr>
			{/section}
		</table>
		{/foreach}
</div></div></div>

<script langauge="javascript" type="text/javascript">
//<[[CDATA][
alertCustomerChange();
//]]>
</script>
