{* $Id: ShowCartSafari.tpl 12437 2008-01-08 19:23:08Z kbailey $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{include file="$tplDirectory/shopping/header.tpl"}

{t c="TRANS_ADD_DOMAIN" d="Add Domain"}
{t c="TRANS_DONE" d="Done"}
{t c="TRANS_LOADING" d="Loading..."}
{t c="TRANS_REALLY_REMOVE_FROM_ORDER" d="Would you really like to remove this item from your order?"}
{t c="TRANS_CART_CONTENTS" d="Order Contents"}
{t c="TRANS_ITEM_NAME" d="Goods or Services"}
{t c="TRANS_DISCOUNT_PRICE" d="Price Total"}
{t c="TRANS_NO_ITEMS_IN_CART" d="Sorry, your order is empty."}
{t c="TRANS_ASSOCIATED_DOMAINS" d="Domains"}
{t c="TRANS_REALLY_DISSASSOCIATE_FROM_ORDER" d="Are you sure you want to disassociate this domain from this Item?"}
{t c="TRANS_CONFIGURE" d="Configure"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_PLUS_SETUP" d="+ Setup"}
{t c="TRANS_PLUS_ADDONS" d="+ Addons"}
{t c="TRANS_CHANGE" d="Change"}
{t c="TRANS_CLEAR_CART" d="Clear Cart"}
{t c="TRANS_CONTINUE_SHOPPING" d="Continue Shopping"}
{t c="TRANS_PROCEED_WITH_PURCHASE" d="Proceed with Purchase"}
{t c="TRANS_ADD_COUPON_TO_ORDER" d="Add Coupon To Order"}
{t c="TRANS_COUPON_CODE" d="Coupon Code"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_COUPON_SAVINGS" d="Coupon Savings"}
{t c="TRANS_MINUS_COUPON" d="-Coupon"}
{t c="TRANS_REALLY_CLEAR_CART" d="Are you sure you want to clear all of the items from your order?"}
{t c="TRANS_SIGNED_IN_AS" d="Signed In As"}
{t c="TRANS_NOT_SIGNED_IN" d="Not Signed In"}
{t c="TRANS_SIGN_IN_NOW" d="Sign In"}
{t c="TRANS_LOGIN_INCORRECT" d="Login Incorrect."}
{t c="TRANS_SIGNOUT" d="Sign Out"}
{t c="TRANS_MUST_ADD_DOMAIN_TO_ITEM" d="Sorry, an item you are ordering requires that you associate a domain with it.\\nPlease add a domain."}
{t c="TRANS_MUST_ADD_ADDON_TO_ITEM" d="Sorry, an item you are ordering requires that you choose an addon to go with it.\\nPlease choose an addon."}
{t c="TRANS_ORDER_SUBTOTAL" d="Order Subtotal"}

{t c="TRANS_REMOVE_PRODUCT" d="Remove Product"}
{t c="TRANS_REMOVE_DOMAIN_FROM_PRODUCT" d="Remove Domain From Product"}
{t c="TRANS_ADD_DOMAIN_TO_PRODUCT" d="Add Domain To Product"}

{t c="TRANS_PURCHASE_DOMAIN_ONLY" d="Purchase Domain Only"}
{t c="TRANS_SORRY_WE_ARE_UNABLE_TO_ACCEPT_NEW_CUSTOMERS" d="Sorry, we are unable to accept new customers at this time.  Please <a href='javascript:initiateLogin();'>log in</a> or check back at a later date."}

{t c="TRANS_REMOVE_DOMAIN" d="Remove Domain"}


<script language="javaScript" type="text/javascript" charset="utf-8">
// <![CDATA[
	var cancheckoutdomain = true;
	var cancheckoutaddon = true;

	var mustsetdomains = new Array();
	var mustsetaddons = new Array();

	var currentdomainform = "";

	{literal}
	function checkProceedPurchase(){
		if (cancheckoutdomain!=true){
			alert("{/literal}{$smarty.const.TRANS_MUST_ADD_DOMAIN_TO_ITEM}{literal}");
			getAddDomainForm(mustsetdomains[0]);
		} else {
			if (cancheckoutaddon!=true){
				alert("{/literal}{$smarty.const.TRANS_MUST_ADD_ADDON_TO_ITEM}{literal}");
				getAddonForm(mustsetaddons[0][0], mustsetaddons[0][1], mustsetaddons[0][2], mustsetaddons[0][3]);
			} else {
				document.location.href = "cart.php?sid={/literal}{$sid}{literal}&action={/literal}{getActionID action="ShowCartCheckoutForm"}{literal}";
			}
		}
	}
	{/literal}

// get the domain form now...
	var cp = new cpaint();
	cp.set_transfer_mode('get');
	cp.set_response_type('text');
	//cp.set_use_cpaint_api(false);
	//cp.set_debug(2);

	var locale = "{$set_locale}";
	var slURL1 = 'cart.php?action={getActionID action="AddCartDomain"}&sid={$sid}&shoppingItemID=';
	var domainformitemid = 0;

{literal}
	function getAddDomainForm(itemid) {
		domainformitemid = itemid;
		XKtoggleOn('itemrow'+itemid);
		setLoading(document.getElementById('iteminnerdiv'+itemid), "{/literal}{$smarty.const.TRANS_LOADING}{literal}");
		//XKsmoothSize('itemouterdiv'+itemid, 'iteminnerdiv'+itemid);
		Effect.BlindDown('itemouterdiv'+itemid);

		var slURL = slURL1+itemid+"&"+Math.random();
		cp.call(slURL, 'getAddDomainForm', getAddDomainFormResponse);
		return false;
	}

	function getAddDomainFormResponse(result) {
		if (result) {
/*			XKdelayedContent = result;
			document.getElementById('iteminnerdiv'+domainformitemid).innerHTML = "<span style='font-size: 1pt;'>&nbsp;</span>";
			XKsmoothSize('itemouterdiv'+domainformitemid, 'iteminnerdiv'+domainformitemid);*/
			document.getElementById('iteminnerdiv'+domainformitemid).innerHTML = result;
       		Effect.BlindDown('itemouterdiv'+itemid);

		} else {
			{/literal}
			alert("{$smarty.const.TRANS_FAILED_TO_FETCH_CONTENT}");
			{literal}
		}
	}
{/literal}



	var cp2 = new cpaint();
	cp2.set_transfer_mode('get');
	cp2.set_response_type('text');
	//cp2.set_debug(2);

	var locale = "{$set_locale}";
	var slURL2 = 'cart.php?checkwhois=1&sid={$sid}';

	{literal}
	function checkDomAvail(xtld, xsld, trans, idn, itemid) {
		if (xsld=="")return;
		domainformitemid = itemid;
		var idnvalue = 0;
		for (idni=0; idni<idn.length; idni++){
			if (idn[idni][0]==xtld){
				idnvalue = idn[idni][1];
			}
		}

		xsld = xsld.toLowerCase();

		var slURL2a = slURL2+"&sld="+xsld+"&tld="+xtld+"&trans="+trans+"&idn="+idnvalue+"&set_locale="+locale+"&ajax=1&shoppingItemID="+itemid+"&"+Math.random();
		setLoading(document.getElementById('whoisCheck'+itemid), "{/literal}{$smarty.const.TRANS_LOADING}{literal}");
		cp2.call(slURL2a, 'checkDomAvail', checkDomAvailResponse);
		return false;
	}

	function checkDomAvailResponse(result) {
		if (result) {
			document.getElementById('whoisCheck'+domainformitemid).innerHTML = result;
			//XKsmoothSize('itemouterdiv'+domainformitemid, 'iteminnerdiv'+domainformitemid);
       		Effect.BlindDown('itemouterdiv'+itemid);
		} else {
			{/literal}
			alert("{$smarty.const.TRANS_ORDER_DOM_CHECK_FAIL}");
			{literal}
		}
	}

/////////////////////////////////////////////////////////////////// end check domain avail...

	function addDomainProduct(cpid, domain) {
		var exploded = cpid.split("|");

		if (typeof currentdomainform.domainLanguage!="undefined"){
			var domainLanguage = currentdomainform.domainLanguage.options[currentdomainform.domainLanguage.selectedIndex].value;
		} else {
			var domainLanguage = "";
		}

		var addURL = "cart.php?sid={/literal}{$sid}&action={getActionID action="AddCartProductResponse"}{literal}&parentShoppingItemID="+exploded[3]+"&addType=domain&domainLanguage="+domainLanguage+"&";
		if (exploded[0]==""){
			var domaininfo = domain.split("|");
			addURL += "existsld="+domaininfo[0]+"&existtld="+domaininfo[1];
		} else if (exploded[0]=="-2"){
			addURL += "domain="+domain+"&productID="+exploded[1]+"&productVariantID="+exploded[2]+"&cycleID=-2&domainTransferKey="+exploded[4]+"&"+Math.random();
		} else {
			addURL += "domain="+domain+"&productID="+exploded[1]+"&productVariantID="+exploded[2]+"&cycleID="+exploded[0]+"&"+Math.random();
		}

		setLoading(document.getElementById('iteminnerdiv'+exploded[3]), "{/literal}{$smarty.const.TRANS_LOADING}{literal}");
		//XKsmoothSize('itemouterdiv'+exploded[3], 'iteminnerdiv'+exploded[3]);
       	Effect.BlindDown('itemouterdiv'+exploded[3]);
		document.location.href = addURL;

	}

	function addCartDomain(siid, psiid, sld, tld){
		var addURL = "cart.php?sid={/literal}{$sid}&action={getActionID action="AddCartProductResponse"}{literal}&parentShoppingItemID="+psiid+"&addType=associateDomain&domainShoppingItemID="+siid+"&domainSLD="+sld+"&domainTLD="+tld+"&";
		setLoading(document.getElementById('iteminnerdiv'+psiid), "{/literal}{$smarty.const.TRANS_LOADING}{literal}");
		//XKsmoothSize('itemouterdiv'+psiid, 'iteminnerdiv'+psiid);
       	Effect.BlindDown('itemouterdiv'+psiid);
		document.location.href = addURL;
	}

{/literal}

///////////////////////////////////////////////////////////////////////// get addons

// get the domain form now...
	var cp3 = new cpaint();
	cp3.set_transfer_mode('get');
	cp3.set_response_type('text');
	//cp3.set_use_cpaint_api(false);
	//cp3.set_debug(2);

	var locale = "{$set_locale}";
	var slURL3 = 'cart.php?action={getActionID action="ShowCartProductAddons"}&sid={$sid}&shoppingItemID=';
	var domainformitemid = 0;

{literal}
	function getAddonForm(itemid, productID, productVariantID, cycleID) {
		domainformitemid = itemid;
		XKtoggleOn('itemrow'+itemid);
		setLoading(document.getElementById('iteminnerdiv'+itemid), "{/literal}{$smarty.const.TRANS_LOADING}{literal}");
		//XKsmoothSize('itemouterdiv'+itemid, 'iteminnerdiv'+itemid);
       	Effect.BlindDown('itemouterdiv'+itemid);

		var slURL3a = slURL3+itemid+"&productID="+productID+"&productVariantID="+productVariantID+"&cycleID="+cycleID+"&"+Math.random();
		cp3.call(slURL3a, 'getAddonForm', getAddonFormResponse);
		return false;
	}

	function getAddonFormResponse(result) {
		if (result) {
			/*XKdelayedContent = result;
			document.getElementById('iteminnerdiv'+domainformitemid).innerHTML = "<span style='font-size: 1pt;'>&nbsp;</span>";
			XKsmoothSize('itemouterdiv'+domainformitemid, 'iteminnerdiv'+domainformitemid);*/

			document.getElementById('iteminnerdiv'+domainformitemid).innerHTML = result;
           	Effect.BlindDown('itemouterdiv'+domainformitemid);

		} else {
			{/literal}
			alert("{$smarty.const.TRANS_FAILED_TO_FETCH_CONTENT}");
			{literal}
		}
	}
{/literal}


//////////////////////////////////////
{literal}
	function addAddons(form){
		var addonProductIDs = new Array();
		var itemid = form.shoppingItemID.value;
		if (form.elements){ // loop through form and get all checked radio boxes values
			for (i=0; i<form.elements.length; i++){
				if (form.elements[i].type=="radio" || form.elements[i].type=="checkbox"){
					if (form.elements[i].checked){
						addonProductIDs[addonProductIDs.length] = form.elements[i].value;
					}
				} else if (form.elements[i].type=="select" || form.elements[i].type=="select-one"){
					if (form.elements[i].selectedIndex>0){
						addonProductIDs[addonProductIDs.length] = form.elements[i].options[form.elements[i].selectedIndex].value;
					}
				}
			}
		}


		var BAurl = "cart.php?sid={/literal}{$sid}{literal}&action="+form.actionID.value+"&addType=addons&shoppingItemID="+form.shoppingItemID.value+"&";

		for (i=0; i<addonProductIDs.length; i++){
			BAurl += "addonID[]="+addonProductIDs[i]+"&";
		}


		setLoading(document.getElementById('iteminnerdiv'+itemid), "{/literal}{$smarty.const.TRANS_LOADING}{literal}");
		//XKsmoothSize('itemouterdiv'+itemid, 'iteminnerdiv'+itemid);
      	Effect.BlindDown('itemouterdiv'+itemid);
		document.location.href = BAurl;


	}

{/literal}
////////////////////////////////////////

////////////////////////////////////////// config product

// get the domain form now...
	var cp4 = new cpaint();
	cp4.set_transfer_mode('get');
	cp4.set_response_type('text');
	//cp4.set_use_cpaint_api(false);
	//cp4.set_debug(2);

	var locale = "{$set_locale}";
	var slURL4 = 'cart.php?action={getActionID action="EditCartProduct"}&sid={$sid}&shoppingItemID=';
	var formitemid = 0;

{literal}
	function configureProduct(itemid) {
		formitemid = itemid;
		XKtoggleOn('itemrow'+itemid);
		setLoading(document.getElementById('iteminnerdiv'+itemid), "{/literal}{$smarty.const.TRANS_LOADING}{literal}");
		//XKsmoothSize('itemouterdiv'+itemid, 'iteminnerdiv'+itemid);
      	Effect.BlindDown('itemouterdiv'+itemid);

		var slURL4a = slURL4+itemid+"&"+Math.random();
		cp4.call(slURL4a, 'configureProduct', configureProductResponse);
		return false;
	}

	function configureProductResponse(result) {
		if (result) {
			/*XKdelayedContent = result;
			document.getElementById('iteminnerdiv'+formitemid).innerHTML = "<span style='font-size: 1pt;'>&nbsp;</span>";
			XKsmoothSize('itemouterdiv'+formitemid, 'iteminnerdiv'+formitemid);*/
			document.getElementById('iteminnerdiv'+formitemid).innerHTML = result;
      		Effect.BlindDown('itemouterdiv'+formitemid);

		} else {
			{/literal}
			alert("{$smarty.const.TRANS_FAILED_TO_FETCH_CONTENT}");
			{literal}
		}
	}
{/literal}



///////////////////////////////////////////

//////////////////////////////////////
{literal}
	function updateProduct(form){
		var productCycleID = 0;
		var itemid = form.shoppingItemID.value;
		if (form.elements){ // loop through form and get all checked radio boxes values
			for (i=0; i<form.elements.length; i++){
				if (form.elements[i].type=="radio"){
					if (form.elements[i].checked){
						productCycleID = form.elements[i].value;
					}
				}
			}
		}

		var UPurl = "cart.php?sid={/literal}{$sid}{literal}&action="+form.actionID.value+"&shoppingItemID="+form.shoppingItemID.value+"&cycleID="+productCycleID+"&"+Math.random();
		setLoading(document.getElementById('iteminnerdiv'+itemid), "{/literal}{$smarty.const.TRANS_LOADING}{literal}");
		//XKsmoothSize('itemouterdiv'+itemid, 'iteminnerdiv'+itemid);
   		Effect.BlindDown('itemouterdiv'+itemid);
		document.location.href = UPurl;

	}

{/literal}
////////////////////////////////////////

//////////////////////////////////////
{literal}
	function addCoupon(form){
		var couponCode = form.couponcode.value;

		var CCurl = "cart.php?sid={/literal}{$sid}&action={getActionID action="AddCartCouponResponse"}{literal}&couponCode="+couponCode+"&"+Math.random();
		setLoading(document.getElementById('coupondiv'), "{/literal}{$smarty.const.TRANS_LOADING}{literal}");
		document.location.href = CCurl;

	}

{/literal}
////////////////////////////////////////

{literal}
function setLoading(divobj, message){
	if (typeof message=="undefined"){
		message = "{/literal}{$smarty.const.TRANS_LOADING}{literal}";
	}
	divobj.innerHTML = "<img src='{/literal}{$imageDirectory}{literal}/loading2.gif' align='left' height='16' width='16' alt='"+message+"' /> &nbsp;&nbsp;<b>"+message+"</b>";
}


function addDomain(itemid){

	XKdelayedContent = ""; // = document.getElementById('adddomaintemplate').innerHTML;
	document.getElementById('iteminnerdiv'+itemid).innerHTML = document.getElementById('adddomaintemplate').innerHTML;
	//XKsmoothSize('itemouterdiv'+itemid, 'iteminnerdiv'+itemid);
	Effect.BlindDown('itemouterdiv'+itemid);

}

function doneEditing(itemid){
	/*XKsmoothCallback = "XKtoggle('itemrow'+"+itemid+");"; // = document.getElementById('adddomaintemplate').innerHTML;
	document.getElementById('iteminnerdiv'+itemid).innerHTML = "<span style='font-size: 1pt;'>&nbsp;</span>";
	XKsmoothSize('itemouterdiv'+itemid, 'iteminnerdiv'+itemid);*/
	XKtoggleOff('itemrow'+itemid);
	Effect.BlindDown('itemouterdiv'+itemid);
}

function initiateLogin(){
	document.getElementById('innerlogindiv').innerHTML = document.getElementById('loginHTML').innerHTML;
	//XKsmoothSize('outerlogindiv', 'innerlogindiv');
   	Effect.BlindDown('outerlogindiv');
}

function cancelLogin(){
	//document.getElementById('innerlogindiv').innerHTML = '<span style="font-size: 1pt;">&nbsp;</span>';
	//XKsmoothSize('outerlogindiv', 'innerlogindiv');
   	Effect.BlindUp('outerlogindiv');
}

function confirmremove(itemid, url){
	if (confirm('{/literal}{$smarty.const.TRANS_REALLY_REMOVE_FROM_ORDER}{literal}')){
		doneEditing(itemid);
		document.location.href = url+"&"+Math.random();
	}
}

function confirmaddonremove(itemid, url){
	if (confirm('{/literal}{$smarty.const.TRANS_REALLY_REMOVE_FROM_ORDER}{literal}')){
		document.getElementById('addon'+itemid).className = 'highlight';
		document.location.href = url+"&"+Math.random();
	}
}

function confirmdomainremove(domainid, url){
	if (confirm('{/literal}{$smarty.const.TRANS_REALLY_DISSASSOCIATE_FROM_ORDER}{literal}')){
		document.getElementById('domainrow'+domainid).className = 'highlight';
		document.location.href = url+"&"+Math.random();
	}
}

function confirmclearcart(url){
	if (confirm('{/literal}{$smarty.const.TRANS_REALLY_CLEAR_CART}{literal}')){
		setLoading(document.getElementById('innercartcontentdiv'), "{/literal}{$smarty.const.TRANS_LOADING}{literal}");
		//XKsmoothSize('cartcontentdiv', 'innercartcontentdiv');
		Effect.BlindDown('cartcontentdiv');
		document.location.href = url+"&"+Math.random();
	}
}

{/literal}

var execAddon = "";
// ]]>
</script>

{assign var="orderTotal" value=0}

<div align="center" class="box07">

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{$smarty.const.TRANS_CART_CONTENTS}</h1>
<div style="padding: 5px; background-color: #fff; text-align: center;">

<table border="0" width="100%" class="tab01">
	<tr>
		<td>{if $shoppingItems.0.shoppingItemID}<div class="rm07" style="float: right; margin-right: 5px; margin-top: 5px;"><a href="javascript:confirmclearcart('cart.php?sid={$sid}&action={getActionID action="ClearCart"}');">{$smarty.const.TRANS_CLEAR_CART}</a></div>
		{if $skipDomain<1}<div class="rm" style="float: right; margin-right: 1px; margin-top: 5px;"><a style="cursor: pointer;" onclick="getAddDomainForm('0');">{$smarty.const.TRANS_PURCHASE_DOMAIN_ONLY}</a></div>{/if}{else}
		{if $skipDomain<1}<div class="rm" style="float: right; margin-right: 5px; margin-top: 5px;"><a style="cursor: pointer;" onclick="getAddDomainForm('0');">{$smarty.const.TRANS_PURCHASE_DOMAIN_ONLY}</a></div>{/if}{/if}
		<div class="rm" style="float: right; margin-right: {if $skipDomain==1 && !$shoppingItems.0.shoppingItemID}5{else}1{/if}px; margin-top: 5px;"><a href="{$continueShoppingURL}">{$smarty.const.TRANS_CONTINUE_SHOPPING}</a></div>
		{if $userShoppingSession}
			<div><div style="text-align: left; margin-bottom: 2px;" class="st03"><h1 class="box07"><span style="font-weight: normal;">{$smarty.const.TRANS_SIGNED_IN_AS}:</span> {$userShoppingSession.firstName} {$userShoppingSession.lastName}, <em><a href="cart.php?sid={$sid}&action={getActionID action="ProcessCartLoginResponse"}&logout=1">{$smarty.const.TRANS_SIGNOUT}</a></em></h1></div></div>
		{else}
			<div><div style="text-align: left;" class="st03"><h1 class="box07"><span style="font-weight: normal;">{$smarty.const.TRANS_NOT_SIGNED_IN},</span> <em><a href="javascript:initiateLogin();">{$smarty.const.TRANS_SIGN_IN_NOW}</a></em></h1></div></div>
			<div align="left" id="outerlogindiv" style="padding: 2px; {if $incorrectLogin=="yes"}xheight: 30px;{else}xheight: 1px;{/if} overflow: hidden;">
				<div align="left" id="innerlogindiv">{if $incorrectLogin=="yes"}<table border="0" cellpadding="0" cellspacing="0" width="100%"><tr class="highlight"><td>{$smarty.const.TRANS_LOGIN_INCORRECT}</td></tr></table>{else}<span style="font-size: 1pt;">&nbsp;</span>{/if}</div>
			</div>
		{/if}
		</td>
	</tr>

	<tbody class="off" id="itemrow0">
	<tr>
		<td align="left" colspan="5" style="border-bottom: 1px solid #ddd;">
						<div style="float: left; margin-right: 5px; margin-bottom: 1px;" class="rm"><a href="javascript:doneEditing('0');">{$smarty.const.TRANS_CANCEL}</a></div></td>
	</tr>
	<tr>
		<td colspan="5">
			<div align="left" id="itemouterdiv0" style="padding: 2px; xheight: 1px; overflow: hidden;">
				<div align="left" id="iteminnerdiv0"><span style="font-size: 1pt;"></span></div>
			</div>
		</td>
	</tr>
	</tbody>

{if $smarty.const.numClientsRemaining<1 && !$userShoppingSession}

	<tr>
		<td>
			<div class="alt2">
				<strong>{$smarty.const.TRANS_SORRY_WE_ARE_UNABLE_TO_ACCEPT_NEW_CUSTOMERS}</strong>
			</div>
		</td>
	</tr>

{else}


{if $shoppingItems.0.shoppingItemID}

	<tr>
		<td align="left">
		<div id="cartcontentdiv"><div id="innercartcontentdiv">
		<table border="0" width="100%" cellpadding="3" cellspacing="0" class="tab01">
			<tr>
				<th>{$smarty.const.TRANS_ITEM_NAME}</th>
				<th>{$smarty.const.TRANS_CYCLE}</th>
				<th>{$smarty.const.TRANS_PRICE}</th>
				<th>{$smarty.const.TRANS_DISCOUNT_PRICE}</th>
			</tr>

		{section name="i" loop=$shoppingItems}

			{assign var="productID" value=$shoppingItems[i].productID}
			{assign var="shoppingItemID" value=$shoppingItems[i].shoppingItemID}
			{assign var="cycleID" value=$shoppingItems[i].cycleID}
			{assign var="thisdomains" value=$shoppingItems[i].domains}

			<tr class="{cycle values="alt1,alt2"}">
				<td valign="top" align="left">
					{* if $shoppingItems[i].domains.domain.0.shoppingItemsDomainsRelID}
						<div style="float: right;"><table border="0">
							<tr>
								<td></td>
								<th>{$smarty.const.TRANS_ASSOCIATED_DOMAINS}</th>
							</tr>

							{section name="j" loop=$thisdomains}
								<tr id="domainrow{$thisdomains[j].shoppingItemsDomainsRelID}">
									<td><div style="float: right; margin-bottom: 1px;" class="rm07"><a href="javascript:confirmdomainremove('{$thisdomains[j].shoppingItemsDomainsRelID}', 'cart.php?sid={$sid}&action={getActionID action="DisassociateDomain"}&shoppingItemsDomainsRelID={$thisdomains[j].shoppingItemsDomainsRelID}');">x</a></div></td>
									<td>{$thisdomains[j].domainSLD}.{$thisdomains[j].domainTLD}</td>
								</tr>
							{/section}
						</table></div>
					{/if *}
					<strong>{$products.$productID.productName|constant}</strong> <!-- <small>({$smarty.const.TRANS_ID}: {$shoppingItems[i].productID})</small> -->
					<br />{$products.$productID.productComments|constant}
					
					{if $thisdomains.0.domainSLD}
						{assign var="removeDomain" value="yes"}
						<br />
						<table border="0" cellspacing="0" width="95%" class="box05">
							{foreach item="currentDomain" key="dk" from=$thisdomains}
								<tr id="domainrow{$currentDomain.shoppingItemsDomainsRelID}">
									<td>
										{if $currentDomain.shoppingItemsDomainsRelID}
											<a href="javascript:confirmdomainremove('{$currentDomain.shoppingItemsDomainsRelID}', 'cart.php?sid={$sid}&action={getActionID action="DisassociateDomain"}&shoppingItemID={$shoppingItems[i].shoppingItemID}&shoppingItemsDomainsRelID={$currentDomain.shoppingItemsDomainsRelID}');"><small>[X]</small></a>
										{/if}
										&nbsp;{$smarty.const.TRANS_DOMAIN}: <strong>{$currentDomain.domainSLD}.{$currentDomain.domainTLD}</strong>
										{if $currentDomain.shoppingItemsDomainsRelID==$shoppingItems[i].shoppingItemPrimaryDomainID}
											<small>({$smarty.const.TRANS_PRIMARY})</small>
										{else}
											<a href="cart.php?sid={$sid}&action={getActionID action="EditCartProductResponse"}&shoppingItemID={$shoppingItems[i].shoppingItemID}&shoppingItemPrimaryDomainID={$currentDomain.shoppingItemsDomainsRelID}"><small>[{$smarty.const.TRANS_SET_AS_PRIMARY}]</small></a>
										{/if}
									</td>
								</tr>
							{/foreach}
						</table>
					{else}
						{if $shoppingItems[i].shoppingItemSLD!=""}
							{assign var="domainType" value="yes"}
						{else}
							{assign var="domainType" value="no"}
						{/if}
						{assign var="removeDomain" value="no"}
					{/if}
					{if $shoppingItems[i].shoppingItemSLD!=""}
						<br /><table border="0" cellspacing="0" width="95%" class="box05"><tr><td> {$smarty.const.TRANS_DOMAIN}: <strong>{$shoppingItems[i].shoppingItemSLD}.{$shoppingItems[i].shoppingItemTLD}</strong></td></tr></table>
					{/if}
					
					{if $shoppingItems[i].children.0.shoppingItemID>0}
						<table border="0" cellspacing="0" width="95%">
						{section name="j" loop=$shoppingItems[i].children}
							{assign var="addon" value=$shoppingItems[i].children[j]}
							{assign var="addonID" value=$addon.productID}
							<tr class="{if $smarty.section.j.index%2==0}alt1{else}alt2{/if}" id="addon{$addon.shoppingItemID}">
								{*
								<td width="30" valign="top"><div style="float: right; margin-right: 5px; margin-bottom: 1px;" class="rm07"><a href="javascript:confirmaddonremove('{$addon.shoppingItemID}', 'cart.php?sid={$sid}&action={getActionID action="RemoveCartProductResponse"}&shoppingItemID={$addon.shoppingItemID}');">x</a></div></td>
								*}
								<td valign="top" align="left">{$products.$addonID.productName|constant}</td>
								<td valign="top" align="right"><div align="right"><strong>{$addon.shoppingItemPrice|getAmount:$addon.currencyID}</strong></div>
                                {if $addon.shoppingItemSetupPrice>0}
									<div align="right"><strong>{$smarty.const.TRANS_PLUS_SETUP}: {$addon.shoppingItemSetupPrice|getAmount:$addon.currencyID}</strong></div>
								{/if}
								{if $addon.appliedCoupons.0.couponID>0}
									{section name="c" loop=$addon.appliedCoupons}
										{assign var="mcp" value=$addon.appliedCoupons[c].negdiscount}
										<div align="right" style="white-space: nowrap;">{$smarty.const.TRANS_COUPON}: <strong>{$mcp|getAmount:$addon.currencyID}</strong><br /><em>({$addon.appliedCoupons[c].couponCode})</em></div>
									{/section}
								{/if}
								</td>
							</tr>
						{/section}
						</table>
					{/if}
				</td>
				<td valign="top" align="left">
					{if $products.$productID.numCycles<2 && $products.$productID.productStopNumCycles==1}
					{elseif $shoppingItems[i].shoppingItemDomainType==1}
						{$smarty.const.TRANS_TRANSFER}
					{else}
						{$cycleList.$cycleID}{if $products.$productID.numCycles>1}<div style="margin-top: 1px; float: left;" class="rm"><a style="cursor: pointer;" onclick="configureProduct('{$shoppingItems[i].shoppingItemID}');">{$smarty.const.TRANS_CHANGE}</a></div>{/if}
					{/if}
				</td>
				<td valign="top" align="right">
					<div align="right" style="white-space: nowrap;"><strong>{$shoppingItems[i].shoppingItemPrice|getAmount:$shoppingItems[i].currencyID}</strong></div>
					{if $shoppingItems[i].shoppingItemSetupPrice>0}
						<div align="right" style="white-space: nowrap;">{$smarty.const.TRANS_PLUS_SETUP}: <strong>{$shoppingItems[i].shoppingItemSetupPrice|getAmount:$shoppingItems[i].currencyID}</strong></div>
					{/if}
					{if $shoppingItems[i].addonPrice>0}
						<div align="right" style="white-space: nowrap;">{$smarty.const.TRANS_PLUS_ADDONS}: <strong>{$shoppingItems[i].addonPrice|getAmount:$shoppingItems[i].currencyID}</strong></div>
					{/if}
					{if $shoppingItems[i].appliedCoupons.0.couponID>0}
						{section name="c" loop=$shoppingItems[i].appliedCoupons}
							{if $shoppingItems[i].appliedCoupons[c].shoppingCouponType}
								{assign var="mcp" value=$shoppingItems[i].appliedCoupons[c].negdiscount}
								<div align="right" style="white-space: nowrap;">{$smarty.const.TRANS_DISCOUNT}: <strong>{$mcp|getAmount:$shoppingItems[i].currencyID}</strong></div>
							{else}
								{assign var="mcp" value=$shoppingItems[i].appliedCoupons[c].negdiscount}
								<div align="right" style="white-space: nowrap;">{$smarty.const.TRANS_COUPON}: <strong>{$mcp|getAmount:$shoppingItems[i].currencyID}</strong><br /><em>({$shoppingItems[i].appliedCoupons[c].couponCode})</em></div>
							{/if}
						{/section}
					{/if}

				</td>
				<td valign="top" align="right">
					{assign var="orderTotal" value=$orderTotal+$shoppingItems[i].shoppingItemPrice+$shoppingItems[i].shoppingItemSetupPrice+$shoppingItems[i].addonPrice-$shoppingItems[i].couponTotal}
					<strong>{$shoppingItems[i].shoppingItemPrice+$shoppingItems[i].shoppingItemSetupPrice+$shoppingItems[i].addonPrice-$shoppingItems[i].couponTotal|getAmount:$shoppingItems[i].currencyID}</strong>
				</td>
			</tr>
			<tr>
				<td colspan="4">
				
					{if $products.$productID.productDomainRequired==0}
						{if !$thisdomains.0.shoppingItemsDomainsRelID}
						<div style="float: left; margin-right: 1px;" class="rm"><a style="cursor: pointer;" onclick="getAddDomainForm('{$shoppingItems[i].shoppingItemID}');">{$smarty.const.TRANS_ADD_DOMAIN_TO_PRODUCT}</a></div>
						{elseif $removeDomain=="yes"}
						<div style="float: left; margin-right: 1px;" class="rm07"><a href="javascript:confirmdomainremove('{$thisdomains.0.shoppingItemsDomainsRelID}', 'cart.php?sid={$sid}&action={getActionID action="DisassociateDomain"}&shoppingItemsDomainsRelID={$thisdomains.0.shoppingItemsDomainsRelID}');">{$smarty.const.TRANS_REMOVE_DOMAIN_FROM_PRODUCT}</a></div>
						{/if}
					{elseif $products.$productID.productDomainRequired==1}
						{if !$thisdomains.0.shoppingItemsDomainsRelID}
						<script type="text/javascript" language="javascript" charset="utf-8">
						// <![CDATA[
							cancheckoutdomain = false;
							mustsetdomains[mustsetdomains.length] = '{$shoppingItems[i].shoppingItemID}';
						// ]]>
						</script>
						<div style="float: left; margin-right: 1px;" class="rm07"><a style="cursor: pointer;" onclick="getAddDomainForm('{$shoppingItems[i].shoppingItemID}');">{$smarty.const.TRANS_ADD_DOMAIN_TO_PRODUCT}</a></div>
						{elseif $removeDomain=="yes"}
						<div style="float: left; margin-right: 1px;" class="rm07"><a href="javascript:confirmdomainremove('{$thisdomains.0.shoppingItemsDomainsRelID}', 'cart.php?sid={$sid}&action={getActionID action="DisassociateDomain"}&shoppingItemsDomainsRelID={$thisdomains.0.shoppingItemsDomainsRelID}');">{$smarty.const.TRANS_REMOVE_DOMAIN_FROM_PRODUCT}</a></div>
						{/if}
					{else}
						{if $removeDomain=="yes"}
						<div style="float: left; margin-right: 1px;" class="rm07"><a href="javascript:confirmdomainremove('{$thisdomains.0.shoppingItemsDomainsRelID}', 'cart.php?sid={$sid}&action={getActionID action="DisassociateDomain"}&shoppingItemsDomainsRelID={$thisdomains.0.shoppingItemsDomainsRelID}');">{$smarty.const.TRANS_REMOVE_DOMAIN_FROM_PRODUCT}</a></div>
						{/if}
					{/if}
					<script type="text/javascript" language="javascript" charset="utf-8">
					// <![CDATA[
						execAddon = "";
					// ]]>
					</script>
					{if $products.$productID.productAddonRequired==0}
						{if !$shoppingItems[i].children.0.shoppingItemID}
						<script type="text/javascript" language="javascript" charset="utf-8">
						// <![CDATA[
							execAddon = "getAddonForm('{$shoppingItems[i].shoppingItemID}', '{$productID}', '{$shoppingItems[i].productVariantID}', '{$shoppingItems[i].cycleID}');";
						// ]]>
						</script>
						{/if}
						<div style="float: left; margin-right: 1px;" class="rm"><a style="cursor: pointer;" onclick="getAddonForm('{$shoppingItems[i].shoppingItemID}', '{$productID}', '{$shoppingItems[i].productVariantID}', '{$shoppingItems[i].cycleID}');">{$smarty.const.TRANS_ADDONS}</a></div>
					{elseif $products.$productID.productAddonRequired==1}
						{if !$shoppingItems[i].children.0.shoppingItemID}
						<script type="text/javascript" language="javascript" charset="utf-8">
						// <![CDATA[
							execAddon = "getAddonForm('{$shoppingItems[i].shoppingItemID}', '{$productID}', '{$shoppingItems[i].productVariantID}', '{$shoppingItems[i].cycleID}');";
							cancheckoutaddon = false;
							mustsetaddons[mustsetaddons.length] = new Array('{$shoppingItems[i].shoppingItemID}', '{$productID}', '{$shoppingItems[i].productVariantID}', '{$shoppingItems[i].cycleID}');
						// ]]>
						</script>
						<div style="float: left; margin-right: 1px;" class="rm07"><a style="cursor: pointer;" onclick="getAddonForm('{$shoppingItems[i].shoppingItemID}', '{$productID}', '{$shoppingItems[i].productVariantID}', '{$shoppingItems[i].cycleID}');">{$smarty.const.TRANS_ADDONS}</a></div>
						{else}
						<div style="float: left; margin-right: 1px;" class="rm"><a style="cursor: pointer;" onclick="getAddonForm('{$shoppingItems[i].shoppingItemID}', '{$productID}', '{$shoppingItems[i].productVariantID}', '{$shoppingItems[i].cycleID}');">{$smarty.const.TRANS_ADDONS}</a></div>
						{/if}
					{/if}
					<div style="float: left; margin-right: 1px;" class="rm07"><a href="javascript:confirmremove('{$shoppingItems[i].shoppingItemID}', 'cart.php?sid={$sid}&action={getActionID action="RemoveCartProductResponse"}&shoppingItemID={$shoppingItems[i].shoppingItemID}');">
					{if $domainType=="yes"}
						{$smarty.const.TRANS_REMOVE_DOMAIN}
					{else}
						{$smarty.const.TRANS_REMOVE_PRODUCT}
					{/if}
					</a></div>
				</td>
			</tr>
			<tbody class="off" id="itemrow{$shoppingItems[i].shoppingItemID}">
			<tr>
				<td align="left" colspan="4" style="border-bottom: 1px solid #ddd;">
								<div style="float: left; margin-right: 5px; margin-bottom: 1px;" class="rm"><a href="javascript:doneEditing('{$shoppingItems[i].shoppingItemID}');">{$smarty.const.TRANS_CANCEL}</a></div></td>
			</tr>
			<tr>
				<td colspan="4">
					<div align="left" id="itemouterdiv{$shoppingItems[i].shoppingItemID}" style="padding: 2px; xheight: 1px; overflow: hidden;">
						<div align="left" id="iteminnerdiv{$shoppingItems[i].shoppingItemID}"><span style="font-size: 1pt;"></span></div>
					</div>
				</td>
			</tr>
			</tbody>

		{/section}
			<tr class="alt1">
				<th colspan="4" style="text-align: right;">{$smarty.const.TRANS_ORDER_SUBTOTAL}: <strong>{$orderTotal|getAmount:$currencyID}</strong></th>
			</tr>

			<tr class="alt1">
				<td colspan="4">
					<div align="left">
					<form name="couponform" onsubmit="addDomain(this);return false;">
					<table border="0" width="95%" class="tab01">

						{if $coupons.0.couponID>0}
							<tr>
								<th>{$smarty.const.TRANS_COUPON_CODE}</th>
								<th>{$smarty.const.TRANS_DISCOUNT}</th>
								<th>{$smarty.const.TRANS_COUPON_SAVINGS}</th>
							</tr>
						{/if}

						{section name="i" loop=$coupons}
							{if !$coupons[i].shoppingCouponType}
							<tr class="{cycle values="alt1,alt2"}">
								<td>{$coupons[i].couponCode}</td>
								<td><strong>{if $coupons[i].couponType==0}
										{$coupons[i].couponDiscount}%
									{else}
										{$coupons[i].couponDiscount|getAmount:$currencyID}
									{/if}</strong>
									</td>
								<td align="right"><strong>{$coupons[i].discountTotal|getAmount:$currencyID}</strong></td>
							</tr>
							{/if}
						{/section}
						<tr>
							<td colspan="3">{$smarty.const.TRANS_ADD_COUPON_TO_ORDER} <input type="text" name="couponcode" size="10" /> <input class="button" type="button" value="{$smarty.const.TRANS_ADD}" onclick="addCoupon(this.form);" /> <div id="coupondiv"></div></td>
						</tr>
					</table>
					</form>
					</div>
				</td>
			</tr>
		</table></div></div>
		</td>
	</tr>

{else}
			<tr><td><div class="alt2"><strong>{$smarty.const.TRANS_NO_ITEMS_IN_CART}</strong></div></td></tr>
{/if}

{/if}

</table>

</div>
</div>
</div>

<script type="text/javascript" language="javascript" charset="utf-8">
// <![CDATA[
	if (execAddon!=""){literal}{
		setTimeout(execAddon, 10);
	}{/literal}
// ]]>
</script>

{if $shoppingItems.0.shoppingItemID}

<table border="0" width="95%" class="tab01">
	<tr>
		<td align="right"><input class="button" type="button" value="{$smarty.const.TRANS_PROCEED_WITH_PURCHASE}" onclick="checkProceedPurchase();"></td>
	</tr>
</table>
{/if}

<div id="debugdiv" xstyle="display: none;">
</div>

</div>

<div id="loginHTML" class="off">
	<form method="post" action="cart.php" />
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" name="action" value="{getActionID action="ProcessCartLoginResponse"}" />
	<table width="95%" class="tab01">
		<tbody>
		<tr>
			<th>{$smarty.const.TRANS_USERNAME}: </th>
			<td><input type="text" name="contactUsername" size="10" /></td>
		</tr>
		<tr>
			<th>{$smarty.const.TRANS_PASSWORD}</th>
			<td><input type="password" name="contactPassword" size="10" /></td>
		</tr>
		<tr>
			<td></td>
			<td><input class="submit" type="submit" value="{$smarty.const.TRANS_LOGIN}" /> <input class="button" type="button" value="{$smarty.const.TRANS_CANCEL}" onclick="cancelLogin();" /></td>
		</tr>
		</tbody>
	</table>
	</form>
</div>
{include file="$tplDirectory/shopping/footer.tpl"}
