{* $Id: ShowOrderFormProductsStep.tpl 12167 2007-11-02 15:06:04Z kbailey $
 * --------------------------------------------------------------
 * Author: Kris Bailey
 *}

{t c="TRANS_DOMAIN_ADDED_TO_ORDER" d="Domain added to order"}
{t c="TRANS_DOMAIN_ADDED_TO_ORDER_DESC" d="The domain transfer has been added to your order.  Feel free to continue shopping or continue to your cart."}
{t c="TRANS_CHOOSE_PRODUCT_WITH_DOMAIN" d="Choose Hosting Product"}
{t c="TRANS_CHOOSE_PRODUCT_WITH_DOMAIN_DESC" d="You can transfer this domain and renew it only, or you can transfer it and purchase hosting as well.  Please choose what you would like to do."}
{t c="TRANS_ADD_TO_CART" d="Add to cart"}
{t c="TRANS_CONTINUE_TO_CHECKOUT" d="Continue to checkout"}

{t c="TRANS_TRANSFER_DOMAIN_ONLY" d="Order domain transfer only."}

{if $domainAdded}
	<div style="display: none;"
		tldID="{$smarty.request.tldID}"
		domainSLD="{$smarty.request.domainSLD}"
		domainTLD="{$smarty.request.domainTLD}"
		id="domainTransferPassBack"></div>
	<h6>{$smarty.const.TRANS_DOMAIN_ADDED_TO_ORDER}: {$smarty.request.domainSLD}.{$smarty.request.domainTLD}</h6>
	{$smarty.const.TRANS_DOMAIN_ADDED_TO_ORDER_DESC}<br /><br />
	<div style="text-align: center; width: 370px;">
		<input type="button" class="button" value="{$smarty.const.TRANS_OK}" onclick="finishTransfer();" />
		<input type="button" class="button" value="{$smarty.const.TRANS_CONTINUE_TO_CHECKOUT}" onclick="document.location.href='{$fullCartURL}';" />
	</div>
{else}

	<form method="post" onsubmit="return false;">
		<input type="hidden" name="finalStep" value="1" />
		<input type="hidden" name="action" value="{getActionID action="ShowOrderFormProductsStep"}" />
		<input type="hidden" name="orderFormID" value="{$orderFormID}" />
		<input type="hidden" name="domainSLD" value="{$smarty.request.domainSLD}" />
		<input type="hidden" name="domainTLD" value="{$smarty.request.domainTLD}" />
		<input type="hidden" name="productID" value="{$smarty.request.productID}" />
		<input type="hidden" name="productVariantID" value="{$smarty.request.productVariantID}" />
		<input type="hidden" name="tldID" value="{$smarty.request.tldID}" />
		<input type="hidden" name="cycleID" value="-2" />
		<input type="hidden" name="domainTransferKey" value="{$smarty.request.domainTransferKey}" />
	
	<h6>{$smarty.const.TRANS_CHOOSE_PRODUCT_WITH_DOMAIN}</h6>
	
	{$smarty.const.TRANS_CHOOSE_PRODUCT_WITH_DOMAIN_DESC}<br /><br />
	
	<input type="radio" checked="checked" name="hostingProduct" value="0" id="hostingProduct_0" /> <label for="hostingProduct_0">{$smarty.const.TRANS_TRANSFER_DOMAIN_ONLY}</label><br />
	<div style="height: 300px; margin-top: 5px; margin-bottom: 5px; padding-top: 5px; width: 370px; overflow: auto; border-bottom: 1px solid black; border-top: 1px solid black;">

		{section name=i loop=$products}
			<h3>{$products[i].productName|constant}</h3>
			{if $products[i].productComments}
				{$products[i].productComments|constant}
			{/if}
			{assign var="prices" value=$products[i].prices.$currencyID}
			<blockquote>
				{section name=j loop=$prices}
					{assign var="cycleID" value=$prices[j].0.cycleID}
					{assign var="variantID" value=$prices[j].0.productVariantID}
					<input type="radio" name="hostingProduct" value="{$products[i].productID}|{$prices[j].0.productVariantID}|{$cycleID}" id="hostingProduct_{$products[i].productID}_{$prices[j].0.productVariantID}_{$cycleID}" />
					<label for="hostingProduct_{$products[i].productID}_{$prices[j].0.productVariantID}_{$cycleID}"> - {$cycleList.$cycleID}
						{if $prices[j].0.discountPrice}
							</label><br />
							<table>
								<tr>
									<td align="right">{$smarty.const.TRANS_ORIGINAL_PRICE}: </td>
									<td align="right">{$prices[j].0.productVariantPriceAmount|getAmount:$currencyID}
										{if $prices[j].1.productVariantPriceAmount>0}
											+ {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {$smarty.const.TRANS_SETUP}
										{/if}</td>
								</tr>
								<tr>
									<td align="right">{$smarty.const.TRANS_INSTANT_SAVINGS}: </td>
									<td align="right">{$prices[j].0.discountAmount|getAmount:$currencyID}</td>
								</tr>
								<tr>
									<td align="right"><strong>{$smarty.const.TRANS_SALE_PRICE}: </strong></td>
									<td align="right"><strong>{$prices[j].0.discountPrice|getAmount:$currencyID}
										{if $prices[j].1.productVariantPriceAmount>0}
											+ {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {$smarty.const.TRANS_SETUP}
										{/if}</strong></td>
								</tr>
							</table>
						{else}
							{$prices[j].0.productVariantPriceAmount|getAmount:$currencyID}
							{if $prices[j].1.productVariantPriceAmount>0}
								+ {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {$smarty.const.TRANS_SETUP}
							{/if}
							</label><br />
						{/if}

				{/section}
			</blockquote>
		
		{/section}

	</div>
	<div style="text-align: center; width: 369px;" id="scrollIntoViewDiv">
		<input type="button" class="button" value="{$smarty.const.TRANS_ADD_TO_CART}" onclick="constructTransferHit(this.form);" />
		<input type="button" class="button" value="{$smarty.const.TRANS_CANCEL}" onclick="cancelTransfer();" />
	</div>
	</form>

{/if}

