{* $Id: simpleWidget-List.tpl 12266 2007-11-21 17:43:16Z kbailey $
 *
 * THIS IS A _LIST_ WEB SITE WIDGET.
 * IT WILL DISPLAY ONE PRODUCT PER ROW.
 *
 *  |---------------------------------------|
 *  |                                       |
 *  |---------------------------------------|
 *  |                                       |
 *  |---------------------------------------|
 *  |                                       |
 *  |---------------------------------------|
 *  |                                       |
 *  |---------------------------------------|
 *}

{if $numproducts==""}
	{assign var="numproducts" value="999999999"}
{/if}

{t c="TRANS_SALE_PRICE" d="Sale Price"}
{t c="TRANS_INSTANT_SAVINGS" d="Instant Savings"}

{include file="$tplDirectory/website_widgets/include/header.tpl"}

<table width="100%" border="0" cellpadding="2" cellspacing="2" class="tab01">

{section name=i loop=$products}
	{if $smarty.section.i.index<$numproducts}
	    <tr class="{cycle values="alt1,alt2"}">
		    <td valign="top" width="50%">
                <h3>{$products[i].productName|constant}</h3>
                {if $products[i].productComments}
                    <br />
			        {$products[i].productComments|constant}
                {/if}
            </td>
		    <td valign="top" width="50%">
		    {assign var="prices" value=$products[i].prices.$currencyID}
		                <table width="100%" class="tab04">
		                {section name=j loop=$prices}
							{assign var="cycleID" value=$prices[j].0.cycleID}
			                {assign var="variantID" value=$prices[j].0.productVariantID}

							<tr>
								<td colspan="2">
										<div class="rm" style="float: right; margin: 1px 1px 1px 1px;">
											<a href="{$plainCartURL}?orderFormID={$orderFormID}&action={getActionID action="AddCartProductResponse"}&productID={$products[i].productID}&productVariantID={$prices[j].0.productVariantID}&cycleID={$cycleID}">
												{$smarty.const.TRANS_ORDER}
											</a>
										</div>
								<strong>{$keyedVariants.$variantID.productVariantDisplayName} - {$cycleList.$cycleID}</strong></td>
							</tr>
							{if $prices[j].0.discountPrice}
								<tr>
									<td align="right">{$smarty.const.TRANS_ORIGINAL_PRICE}: </td>
									<td align="right">{$prices[j].0.productVariantPriceAmount|getAmount:$currencyID}
										{if $prices[j].1.productVariantPriceAmount>0}
				                            + {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {$smarty.const.TRANS_SETUP}
			                            {/if}</td>
								</tr>
								<tr>
									<td align="right">{$smarty.const.TRANS_INSTANT_SAVINGS}: </td>
									<td align="right">{$prices[j].0.discountAmount|getAmount:$currencyID}</td>
								</tr>
								<tr>
									<td align="right"><strong>{$smarty.const.TRANS_SALE_PRICE}: </strong></td>
									<td align="right"><strong>{$prices[j].0.discountPrice|getAmount:$currencyID}
										{if $prices[j].1.productVariantPriceAmount>0}
				                            + {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {$smarty.const.TRANS_SETUP}
			                            {/if}</strong></td>
								</tr>
							{else}
								<tr>
									<td align="right">{$smarty.const.TRANS_PRICE}: </td>
									<td align="right">{$prices[j].0.productVariantPriceAmount|getAmount:$currencyID}
										{if $prices[j].1.productVariantPriceAmount>0}
				                            + {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {$smarty.const.TRANS_SETUP}
			                            {/if}</td>
								</tr>
							{/if}



		                {sectionelse}
		                    <tr><td>{$smarty.const.TRANS_NO_PRICES_IN_THIS_CURRENCY}</td></tr>
		                {/section}
		                </table>
            </td>
        </tr>
	{/if}

{sectionelse}

	<tr>
		<td>Sorry, no products.</td>
	</tr>

{/section}

</table>

{include file="$tplDirectory/website_widgets/include/footer.tpl"}
