{* $Id: stepByStep-Grid.tpl 12266 2007-11-21 17:43:16Z kbailey $
 *
 * THIS IS A _GRID_ WEB SITE WIDGET.
 * IT WILL DISPLAY ONE PRODUCT PER CELL IN A 2 by X GRID.
 *
 *  |-------------------|-------------------|
 *  |                   |                   |
 *  |                   |                   |
 *  |                   |                   |
 *  |-------------------|-------------------|
 *  |                   |                   |
 *  |                   |                   |
 *  |                   |                   |
 *  |-------------------|-------------------|
 *}

{t c="TRANS_SALE_PRICE" d="Sale Price"}
{t c="TRANS_INSTANT_SAVINGS" d="Instant Savings"}

{assign var="productIter" value=0}

{include file="$tplDirectory/website_widgets/include/header.tpl"}

<table width="100%" border="0" cellpadding="4" cellspacing="4" class="tab01">
{section name=row start=0 loop=$ceilProducts}
    <tr class="{cycle values="alt1,alt2"}">
        {section name=td start=$productIter loop=$numProducts max=2}
            <td valign="top" width="50%" class="{cycle values="alt1,alt2"}">
                <table width="100%" border="0" cellpadding="0" cellspacing="0">
	            <tr>
		            <td valign="top">
                        <h3>{$products[$productIter].productName|constant}</h3>
                        {if $products[$productIter].productComments}
                            <br />
			                {$products[$productIter].productComments|constant}
                        {/if}
                    </td>
                </tr>
                <tr>
		            <td valign="top">
		                {assign var="prices" value=$products[$productIter].prices.$currencyID}
		                <table width="100%" class="tab04">
		                {section name=j loop=$prices}
							{assign var="cycleID" value=$prices[j].0.cycleID}
			                {assign var="variantID" value=$prices[j].0.productVariantID}

							<tr>
								<td colspan="2">
										<div class="rm" style="float: right; margin: 1px 1px 1px 1px;">
											<a href="{$plainCartURL}?orderFormID={$orderFormID}&action={getActionID action="ShowCartProductAddonsStep"}&productID={$products[$productIter].productID}&productVariantID={$prices[j].0.productVariantID}&cycleID={$cycleID}">
												{$smarty.const.TRANS_CONTINUE}
											</a>
										</div>
								<strong>{$keyedVariants.$variantID.productVariantDisplayName} - {$cycleList.$cycleID}</strong></td>
							</tr>
							{if $prices[j].0.discountPrice}
								<tr>
									<td align="right">{$smarty.const.TRANS_ORIGINAL_PRICE}: </td>
									<td align="right">{$prices[j].0.productVariantPriceAmount|getAmount:$currencyID}
										{if $prices[j].1.productVariantPriceAmount>0}
				                            + {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {$smarty.const.TRANS_SETUP}
			                            {/if}</td>
								</tr>
								<tr>
									<td align="right">{$smarty.const.TRANS_INSTANT_SAVINGS}: </td>
									<td align="right">{$prices[j].0.discountAmount|getAmount:$currencyID}</td>
								</tr>
								<tr>
									<td align="right"><strong>{$smarty.const.TRANS_SALE_PRICE}: </strong></td>
									<td align="right"><strong>{$prices[j].0.discountPrice|getAmount:$currencyID}
										{if $prices[j].1.productVariantPriceAmount>0}
				                            + {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {$smarty.const.TRANS_SETUP}
			                            {/if}</strong></td>
								</tr>
							{else}
								<tr>
									<td align="right">{$smarty.const.TRANS_PRICE}: </td>
									<td align="right">{$prices[j].0.productVariantPriceAmount|getAmount:$currencyID}
										{if $prices[j].1.productVariantPriceAmount>0}
				                            + {$prices[j].1.productVariantPriceAmount|getAmount:$currencyID} {$smarty.const.TRANS_SETUP}
			                            {/if}</td>
								</tr>
							{/if}



		                {sectionelse}
		                    <tr><td>{$smarty.const.TRANS_NO_PRICES_IN_THIS_CURRENCY}</td></tr>
		                {/section}
		                </table>
		            </td>
	            </tr>
                </table>
            </td>
        {assign var="productIter" value=$smarty.section.td.index+1}
        {/section}
    </tr>
{/section}
</table>

{include file="$tplDirectory/website_widgets/include/footer.tpl"}
