Dear {$contactFirstName} {$contactLastName},

 Thank you very much for choosing {$companyName} as your Web and E-Commerce
Hosting Provider. This is your order confirmation email for your Web hosting
account with {$companyName}. Please note that this is not your account
information. An email with your username, password, and IP address will be
emailed to you later once your account is setup at {$companyName}.

Contact Information:
Email: {$contactEmail}
{if $contactCompany}
Company: {$contactCompany}
{elseif $clientCompany}
Company: {$clientCompany}
{/if}
Address: {$contactAddress1} {strip}
{if $contactAddress2}
{$contactAddress2}
{/if}
{/strip}
{$contactCity}, {$contactState} {$contactZip}
Phone: {$contactPhone1}
{if $contactFax}Fax: {$contactFax}
{/if}
Username: {$contactUsername}

Order Information:

{foreach from=$lineItems item=lineItem}
{assign var="name" value=$lineItem.lineItemDescription}{$smarty.const.$name|default:$name}
{strip}
{if $lineItem.domainName}
{assign var="name" value=$lineItem.domainName}
{$smarty.const.$name|default:$name}
{elseif $lineItem.domains.0}
{$lineItem.domains.0.domainSLD}.{$lineItem.domains.0.domainTLD}
{/if}
{/strip}
{$cycles[$lineItem.cycleID]} @ {$lineItem.lineItemTotalAmount|getAmount:$currencyID}
{foreachelse}
- Empty - 
{/foreach}

Sub Total: {$invoiceSubTotal|getAmount:$currencyID}
Total Due: {$invoiceAmount|getAmount:$currencyID}


Thank You for Signing Up!
{$companyName}