Welcome {$contactFirstName} {$contactLastName}!
  
Thank you for signing up with {$companyName}. Your new account information is provided below.

ACCOUNT INFORMATION:

Plan: {$packageName}
Price: {$packagePrice|getAmount:$currencyID}
Domain: {$domainSLD}.{$domainTLD}
IP Address: {$packageIP}

LOGIN INFORMATION:

Domain: {$domainSLD}.{$domainTLD}
Username: {$packageUsername}
Password: {$packagePassword}

FTP INFORMATION:

FTP: {$packageIP}
Username: {if $ftpUsername}{$ftpUsername}{else}{$packageUsername}{/if}
Password: {if $ftpPassword}{$ftpPassword}{else}{$packagePassword}{/if}

TELNET/SSH INFORMATION:

SSH: {$packageIP}
Username: {$packageUsername}
Password: {$packagePassword}

NAMESERVER INFORMATION:

{if $nameserver1}{$nameserver1}: {$nameserver1IP}
{/if}{if $nameserver2}{$nameserver2}: {$nameserver2IP}
{/if}{if $nameserver3}{$nameserver3}: {$nameserver3IP}
{/if}{if $nameserver4}{$nameserver4}: {$nameserver4IP}
{/if}
You may access your control panel at http://{$packageIP}/CONTROL PANEL PATH or http://{$domainSLD}.{$domainTLD}/CONTROL PANEL PATH if your domain has been transferred to our nameservers.

BILLING:

Login to our client billing system at the following URL to view and pay your invoices, change your payment type or billing details, update contact information, and more!

{$companyClientURL}
Username: {$contactUsername}

Need help with your password? Visit the URL above and click the Forgot your password? link to retrieve your password.

QUESTIONS?

If you have any questions regarding your account, please contact us at your convenience.

Thank you,

{$companyName}
{$companyURL}


{$companyAddress1}
{$companyAddress2}
{$companyCity}, {$companyState}
{$companyZip}

Date: {$currentTime|getDateTime:full}
