<?php
// $Id: countries.php 11568 2007-07-13 13:31:44Z bsmith $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

/**
 * This file maintains a list of all countries for use in registrar select lists and it is only
 * available for use when the registrar module is called or we are using the domains.php action file.
 *
 * This data should not be used for any other purpose at this time.
 *
 * @author  Michael Fountain
 */
$CONF["countries"] = array
(
"US" => array(TRANS_ISO_3166_US,1),
"AF" => array(TRANS_ISO_3166_AF,93),
"AL" => array(TRANS_ISO_3166_AL,355),
"DZ" => array(TRANS_ISO_3166_DZ,213),
"AS" => array(TRANS_ISO_3166_AS,684),
"AD" => array(TRANS_ISO_3166_AD,376),
"AO" => array(TRANS_ISO_3166_AO,244),
"AI" => array(TRANS_ISO_3166_AI,1),
"AQ" => array(TRANS_ISO_3166_AQ,672),
"AG" => array(TRANS_ISO_3166_AG,1),
"AR" => array(TRANS_ISO_3166_AR,54),
"AM" => array(TRANS_ISO_3166_AM,374),
"AW" => array(TRANS_ISO_3166_AW,297),
"AU" => array(TRANS_ISO_3166_AU,61),
"AT" => array(TRANS_ISO_3166_AT,43),
"AZ" => array(TRANS_ISO_3166_AZ,994),
"BS" => array(TRANS_ISO_3166_BS,1),
"BH" => array(TRANS_ISO_3166_BH,973),
"BD" => array(TRANS_ISO_3166_BD,880),
"BB" => array(TRANS_ISO_3166_BB,1),
"BY" => array(TRANS_ISO_3166_BY,375),
"BE" => array(TRANS_ISO_3166_BE,32),
"BZ" => array(TRANS_ISO_3166_BZ,501),
"BJ" => array(TRANS_ISO_3166_BJ,229),
"BM" => array(TRANS_ISO_3166_BM,1),
"BT" => array(TRANS_ISO_3166_BT,975),
"BO" => array(TRANS_ISO_3166_BO,591),
"BA" => array(TRANS_ISO_3166_BA,387),
"BW" => array(TRANS_ISO_3166_BW,267),
"BR" => array(TRANS_ISO_3166_BR,55),
"IO" => array(TRANS_ISO_3166_IO,246),
"BN" => array(TRANS_ISO_3166_BN,673),
"BG" => array(TRANS_ISO_3166_BG,359),
"BF" => array(TRANS_ISO_3166_BF,226),
"BI" => array(TRANS_ISO_3166_BI,257),
"KH" => array(TRANS_ISO_3166_KH,855),
"CM" => array(TRANS_ISO_3166_CM,237),
"CA" => array(TRANS_ISO_3166_CA,1),
"CV" => array(TRANS_ISO_3166_CV,238),
"KY" => array(TRANS_ISO_3166_KY,1),
"CF" => array(TRANS_ISO_3166_CF,236),
"TD" => array(TRANS_ISO_3166_TD,235),
"CL" => array(TRANS_ISO_3166_CL,56),
"CN" => array(TRANS_ISO_3166_CN,86),
"CX" => array(TRANS_ISO_3166_CX,618),
"CC" => array(TRANS_ISO_3166_CC,61),
"CO" => array(TRANS_ISO_3166_CO,57),
"KM" => array(TRANS_ISO_3166_KM,269),
"CG" => array(TRANS_ISO_3166_CG,242),
"CD" => array(TRANS_ISO_3166_CD,243),
"CK" => array(TRANS_ISO_3166_CK,682),
"CR" => array(TRANS_ISO_3166_CR,506),
"CI" => array(TRANS_ISO_3166_CI,225),
"HR" => array(TRANS_ISO_3166_HR,385),
"CU" => array(TRANS_ISO_3166_CU,53),
"CY" => array(TRANS_ISO_3166_CY,357),
"CZ" => array(TRANS_ISO_3166_CZ,420),
"DK" => array(TRANS_ISO_3166_DK,45),
"DJ" => array(TRANS_ISO_3166_DJ,253),
"DM" => array(TRANS_ISO_3166_DM,1),
"DO" => array(TRANS_ISO_3166_DO,1),
"TP" => array(TRANS_ISO_3166_TP,670),
"EG" => array(TRANS_ISO_3166_EG,20),
"SV" => array(TRANS_ISO_3166_SV,503),
"EC" => array(TRANS_ISO_3166_EC,593),
"GC" => array(TRANS_ISO_3166_GC,240),
"ER" => array(TRANS_ISO_3166_ER,291),
"EE" => array(TRANS_ISO_3166_EE,372),
"ET" => array(TRANS_ISO_3166_ET,251),
"FK" => array(TRANS_ISO_3166_FK,500),
"FO" => array(TRANS_ISO_3166_FO,298),
"FM" => array(TRANS_ISO_3166_FM,691),
"FJ" => array(TRANS_ISO_3166_FJ,679),
"FI" => array(TRANS_ISO_3166_FI,358),
"FR" => array(TRANS_ISO_3166_FR,33),
"GF" => array(TRANS_ISO_3166_GF,594),
"PF" => array(TRANS_ISO_3166_PF,689),
"TF" => array(TRANS_ISO_3166_TF,596),
"GA" => array(TRANS_ISO_3166_GA,241),
"GM" => array(TRANS_ISO_3166_GM,220),
"GE" => array(TRANS_ISO_3166_GE,995),
"DE" => array(TRANS_ISO_3166_DE,49),
"GH" => array(TRANS_ISO_3166_GH,233),
"GI" => array(TRANS_ISO_3166_GI,350),
"GR" => array(TRANS_ISO_3166_GR,30),
"GL" => array(TRANS_ISO_3166_GL,299),
"GD" => array(TRANS_ISO_3166_GD,1),
"GP" => array(TRANS_ISO_3166_GP,590),
"GU" => array(TRANS_ISO_3166_GU,1),
"GT" => array(TRANS_ISO_3166_GT,502),
"GN" => array(TRANS_ISO_3166_GN,224),
"GW" => array(TRANS_ISO_3166_GW,245),
"GY" => array(TRANS_ISO_3166_GY,592),
"HT" => array(TRANS_ISO_3166_HT,509),
"HM" => array(TRANS_ISO_3166_HM,61),
"HN" => array(TRANS_ISO_3166_HN,504),
"HK" => array(TRANS_ISO_3166_HK,852),
"HU" => array(TRANS_ISO_3166_HU,36),
"IS" => array(TRANS_ISO_3166_IS,354),
"IN" => array(TRANS_ISO_3166_IN,91),
"ID" => array(TRANS_ISO_3166_ID,62),
"IR" => array(TRANS_ISO_3166_IR,98),
"IQ" => array(TRANS_ISO_3166_IQ,964),
"IE" => array(TRANS_ISO_3166_IE,353),
"IL" => array(TRANS_ISO_3166_IL,972),
"IT" => array(TRANS_ISO_3166_IT,39),
"JM" => array(TRANS_ISO_3166_JM,1),
"JP" => array(TRANS_ISO_3166_JP,81),
"JO" => array(TRANS_ISO_3166_JO,962),
"KZ" => array(TRANS_ISO_3166_KZ,7),
"KE" => array(TRANS_ISO_3166_KE,254),
"KI" => array(TRANS_ISO_3166_KI,686),
"KP" => array(TRANS_ISO_3166_KP,850),
"KR" => array(TRANS_ISO_3166_KR,82),
"KW" => array(TRANS_ISO_3166_KW,965),
"KG" => array(TRANS_ISO_3166_KG,996),
"LA" => array(TRANS_ISO_3166_LA,856),
"LV" => array(TRANS_ISO_3166_LV,371),
"LB" => array(TRANS_ISO_3166_LB,961),
"LS" => array(TRANS_ISO_3166_LS,266),
"LR" => array(TRANS_ISO_3166_LR,231),
"LY" => array(TRANS_ISO_3166_LY,218),
"LI" => array(TRANS_ISO_3166_LI,423),
"LT" => array(TRANS_ISO_3166_LT,370),
"LU" => array(TRANS_ISO_3166_LU,352),
"MO" => array(TRANS_ISO_3166_MO,853),
"MK" => array(TRANS_ISO_3166_MK,389),
"MG" => array(TRANS_ISO_3166_MG,261),
"MW" => array(TRANS_ISO_3166_MW,265),
"MY" => array(TRANS_ISO_3166_MY,60),
"MV" => array(TRANS_ISO_3166_MV,960),
"ML" => array(TRANS_ISO_3166_ML,269),
"MT" => array(TRANS_ISO_3166_MT,356),
"MH" => array(TRANS_ISO_3166_MH,692),
"MQ" => array(TRANS_ISO_3166_MQ,596),
"MR" => array(TRANS_ISO_3166_MR,222),
"MU" => array(TRANS_ISO_3166_MU,230),
"YT" => array(TRANS_ISO_3166_YT,269),
"FX" => array(TRANS_ISO_3166_FX,33),
"MX" => array(TRANS_ISO_3166_MX,52),
"MD" => array(TRANS_ISO_3166_MD,373),
"MC" => array(TRANS_ISO_3166_MC,377),
"MN" => array(TRANS_ISO_3166_MN,976),
"MS" => array(TRANS_ISO_3166_MS,1),
"MA" => array(TRANS_ISO_3166_MA,212),
"MZ" => array(TRANS_ISO_3166_MZ,258),
"MM" => array(TRANS_ISO_3166_MM,95),
"NA" => array(TRANS_ISO_3166_NA,264),
"NR" => array(TRANS_ISO_3166_NR,674),
"NP" => array(TRANS_ISO_3166_NP,977),
"NL" => array(TRANS_ISO_3166_NL,31),
"AN" => array(TRANS_ISO_3166_AN,599),
"NC" => array(TRANS_ISO_3166_NC,687),
"NZ" => array(TRANS_ISO_3166_NZ,64),
"NI" => array(TRANS_ISO_3166_NI,505),
"NU" => array(TRANS_ISO_3166_NU,683),
"NE" => array(TRANS_ISO_3166_NE,227),
"NG" => array(TRANS_ISO_3166_NG,234),
"NF" => array(TRANS_ISO_3166_NF,672),
"MP" => array(TRANS_ISO_3166_MP,1),
"NO" => array(TRANS_ISO_3166_NO,47),
"OM" => array(TRANS_ISO_3166_OM,968),
"PK" => array(TRANS_ISO_3166_PK,92),
"PW" => array(TRANS_ISO_3166_PW,680),
"PS" => array(TRANS_ISO_3166_PS,970),
"PA" => array(TRANS_ISO_3166_PA,507),
"PG" => array(TRANS_ISO_3166_PG,675),
"PY" => array(TRANS_ISO_3166_PY,595),
"PE" => array(TRANS_ISO_3166_PE,51),
"PH" => array(TRANS_ISO_3166_PH,63),
"PN" => array(TRANS_ISO_3166_PN,872),
"PL" => array(TRANS_ISO_3166_PL,48),
"PT" => array(TRANS_ISO_3166_PT,351),
"PR" => array(TRANS_ISO_3166_PR,1),
"QA" => array(TRANS_ISO_3166_QA,974),
"RE" => array(TRANS_ISO_3166_RE,262),
"RO" => array(TRANS_ISO_3166_RO,40),
"RU" => array(TRANS_ISO_3166_RU,7),
"RW" => array(TRANS_ISO_3166_RW,250),
"GS" => array(TRANS_ISO_3166_GS,995),
"WS" => array(TRANS_ISO_3166_WS,684),
"SM" => array(TRANS_ISO_3166_SM,378),
"ST" => array(TRANS_ISO_3166_ST,239),
"SA" => array(TRANS_ISO_3166_SA,966),
"SN" => array(TRANS_ISO_3166_SN,221),
"SC" => array(TRANS_ISO_3166_SC,248),
"SL" => array(TRANS_ISO_3166_SL,232),
"SG" => array(TRANS_ISO_3166_SG,65),
"SK" => array(TRANS_ISO_3166_SK,421),
"SI" => array(TRANS_ISO_3166_SI,386),
"SB" => array(TRANS_ISO_3166_SB,677),
"SO" => array(TRANS_ISO_3166_SO,252),
"ZA" => array(TRANS_ISO_3166_ZA,27),
"ES" => array(TRANS_ISO_3166_ES,34),
"LK" => array(TRANS_ISO_3166_LK,94),
"SH" => array(TRANS_ISO_3166_SH,290),
"KN" => array(TRANS_ISO_3166_KN,1),
"LC" => array(TRANS_ISO_3166_LC,1),
"PM" => array(TRANS_ISO_3166_PM,508),
"VC" => array(TRANS_ISO_3166_VC,1),
"SD" => array(TRANS_ISO_3166_SD,249),
"SR" => array(TRANS_ISO_3166_SR,597),
"SJ" => array(TRANS_ISO_3166_SJ,47),
"SZ" => array(TRANS_ISO_3166_SZ,268),
"SE" => array(TRANS_ISO_3166_SE,46),
"CH" => array(TRANS_ISO_3166_CH,41),
"SY" => array(TRANS_ISO_3166_SY,963),
"TW" => array(TRANS_ISO_3166_TW,886),
"TJ" => array(TRANS_ISO_3166_TJ,992),
"TZ" => array(TRANS_ISO_3166_TZ,255),
"TH" => array(TRANS_ISO_3166_TH,66),
"TG" => array(TRANS_ISO_3166_TG,228),
"TK" => array(TRANS_ISO_3166_TK,690),
"TO" => array(TRANS_ISO_3166_TO,676),
"TT" => array(TRANS_ISO_3166_TT,1),
"TN" => array(TRANS_ISO_3166_TN,216),
"TR" => array(TRANS_ISO_3166_TR,90),
"TM" => array(TRANS_ISO_3166_TM,993),
"TC" => array(TRANS_ISO_3166_TC,1),
"TV" => array(TRANS_ISO_3166_TV,688),
"UG" => array(TRANS_ISO_3166_UG,256),
"UA" => array(TRANS_ISO_3166_UA,380),
"AE" => array(TRANS_ISO_3166_AE,971),
"GB" => array(TRANS_ISO_3166_GB,44),
"UM" => array(TRANS_ISO_3166_UM,1),
"UY" => array(TRANS_ISO_3166_UY,598),
"UZ" => array(TRANS_ISO_3166_UZ,998),
"VU" => array(TRANS_ISO_3166_VU,678),
"VA" => array(TRANS_ISO_3166_VA,39),
"VE" => array(TRANS_ISO_3166_VE,58),
"VN" => array(TRANS_ISO_3166_VN,84),
"VG" => array(TRANS_ISO_3166_VG,1),
"VI" => array(TRANS_ISO_3166_VI,340),
"WF" => array(TRANS_ISO_3166_WF,681),
"EH" => array(TRANS_ISO_3166_EH,212),
"YE" => array(TRANS_ISO_3166_YE,967),
"YU" => array(TRANS_ISO_3166_YU,381),
"ZR" => array(TRANS_ISO_3166_ZR,243),
"ZM" => array(TRANS_ISO_3166_ZM,260),
"ZW" => array(TRANS_ISO_3166_ZW,263),
);

/**
 * Get the string name of the country associated with the given country ID. If the given ID
 * is not found, then this function returns false.
 *
 * @param  string  The id of the country to lookup
 * @return  string  The string name associated with the given ID, or false if the ID was not found
 */
function getCountryName($id) {
	global $CONF;
	$id = strval($id);
	$retval = false;
	if(is_array($CONF["countries"]) && count($CONF["countries"])) {
		$retval = $CONF["countries"][$id][0];
	}
	return $retval;
}

/**
 * Returns an assoc array of countries only.
 *
 * @return  array  An assoc array of countries.
 */
function getCountries() {
	global $CONF;
	$retval = array();
	foreach((array)$CONF["countries"] as $id => $data) {
		// return country name with country ID as index: "ZW" => "Zimbabwe"
		$retval[$id] = $data[0];
	}
	return $retval;
}

/**
 * Returns an array of country phone codes.
 *
 * @param  string  The index of the phone code list to return. (id, country, lookup)
 * @return  array  An array of country phone codes in a specific list.
 */
function getCountryPhoneCodes($index="country") {
	global $CONF;
	$index = strval($index);
	$retval = array();
	foreach((array)$CONF["countries"] as $id => $data) {
		if (eregi("id",$index)) {
			// return country name with phone code display and as index: "263" => "Zimbabwe (+ 263)"
			$retval[] = array($data[1]=>$data[0]." (+ ".str_pad($data[1],3,"0",STR_PAD_LEFT).")");
		} else if (eregi("lookup",$index)) {
			// return country phone code with country ID as index: "ZW" => "263"
			$retval[$id] = $data[1];
		} else {
			// return country name with country code display and as index: "ZW" => "Zimbabwe (+ 263)"
			$retval[$id] = $data[0]." (+ ".str_pad($data[1],3,"0",STR_PAD_LEFT).")";
		}
	}
	return $retval;
}
?>
